import sys, os

sys.path.append(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))
from UcsBase import ManagedObject
sys.path.remove(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))

class BmcSELCounter(ManagedObject):
	def __init__(self):
		ManagedObject.__init__(self,"BmcSELCounter")

	@staticmethod
	def ClassId():
		return "bmcSELCounter"

	BITMASK = "Bitmask"
	COLL_INTERVAL = "CollInterval"
	CONT_CLASS_ID = "ContClassId"
	CONT_INST_ID = "ContInstId"
	CONT_INST_ID_PROP_ID = "ContInstIdPropId"
	DN = "Dn"
	EQPT_CLASS_ID = "EqptClassId"
	EQPT_INST_ID = "EqptInstId"
	EQPT_INST_ID_PROP_ID = "EqptInstIdPropId"
	GLOBAL_ID = "GlobalId"
	LOCAL_ID = "LocalId"
	PC_GLOBAL_ID = "PcGlobalId"
	PC_LOCAL_ID = "PcLocalId"
	RN = "Rn"
	STATS_CLASS_ID = "StatsClassId"
	STATS_PROP_ID = "StatsPropId"
	STATUS = "Status"
	THRESHOLD = "Threshold"
	VALUE = "Value"

	CONST_CONT_CLASS_ID_COMPUTE_BOARD = "compute:Board"
	CONST_CONT_CLASS_ID_MEMORY_UNIT = "memory:Unit"
	CONST_CONT_CLASS_ID_PROCESSOR_UNIT = "processor:Unit"
	CONST_CONT_CLASS_ID_UNSPECIFIED = "unspecified"
	CONST_CONT_INST_ID_UNSPECIFIED = "unspecified"
	CONST_CONT_INST_ID_PROP_ID_MEMORY_UNIT_ID = "memory:Unit:id"
	CONST_CONT_INST_ID_PROP_ID_PROCESSOR_UNIT_ID = "processor:Unit:id"
	CONST_CONT_INST_ID_PROP_ID_UNSPECIFIED = "unspecified"
	CONST_EQPT_CLASS_ID_COMPUTE_BOARD = "compute:Board"
	CONST_EQPT_CLASS_ID_MEMORY_UNIT = "memory:Unit"
	CONST_EQPT_CLASS_ID_PROCESSOR_UNIT = "processor:Unit"
	CONST_EQPT_CLASS_ID_UNSPECIFIED = "unspecified"
	CONST_EQPT_INST_ID_UNSPECIFIED = "unspecified"
	CONST_EQPT_INST_ID_PROP_ID_MEMORY_UNIT_ID = "memory:Unit:id"
	CONST_EQPT_INST_ID_PROP_ID_PROCESSOR_UNIT_ID = "processor:Unit:id"
	CONST_EQPT_INST_ID_PROP_ID_UNSPECIFIED = "unspecified"
	CONST_PC_GLOBAL_ID_NO_ERRORS = "No Errors"
	CONST_PC_LOCAL_ID_NO_ERRORS = "No Errors"
	CONST_STATS_CLASS_ID_COMPUTE_PCIE_FATAL_COMPLETION_STATS = "compute:PCIeFatalCompletionStats"
	CONST_STATS_CLASS_ID_COMPUTE_PCIE_FATAL_PROTOCOL_STATS = "compute:PCIeFatalProtocolStats"
	CONST_STATS_CLASS_ID_COMPUTE_PCIE_FATAL_RECEIVE_STATS = "compute:PCIeFatalReceiveStats"
	CONST_STATS_CLASS_ID_COMPUTE_PCIE_FATAL_STATS = "compute:PCIeFatalStats"
	CONST_STATS_CLASS_ID_MEMORY_ERROR_STATS = "memory:ErrorStats"
	CONST_STATS_CLASS_ID_PROCESSOR_ERROR_STATS = "processor:ErrorStats"
	CONST_STATS_CLASS_ID_UNSPECIFIED = "unspecified"
	CONST_STATS_PROP_ID_COMPUTE_PCIE_FATAL_COMPLETION_STATS_ABORT_ERRORS = "compute:PCIeFatalCompletionStats:AbortErrors"
	CONST_STATS_PROP_ID_COMPUTE_PCIE_FATAL_COMPLETION_STATS_TIMEOUT_ERRORS = "compute:PCIeFatalCompletionStats:TimeoutErrors"
	CONST_STATS_PROP_ID_COMPUTE_PCIE_FATAL_COMPLETION_STATS_UNEXPECTED_ERRORS = "compute:PCIeFatalCompletionStats:unexpectedErrors"
	CONST_STATS_PROP_ID_COMPUTE_PCIE_FATAL_PROTOCOL_STATS_DLLP_ERRORS = "compute:PCIeFatalProtocolStats:dllpErrors"
	CONST_STATS_PROP_ID_COMPUTE_PCIE_FATAL_PROTOCOL_STATS_FLOW_CONTROL_ERRORS = "compute:PCIeFatalProtocolStats:flowControlErrors"
	CONST_STATS_PROP_ID_COMPUTE_PCIE_FATAL_RECEIVE_STATS_BUFFER_OVERFLOW_ERRORS = "compute:PCIeFatalReceiveStats:bufferOverflowErrors"
	CONST_STATS_PROP_ID_COMPUTE_PCIE_FATAL_RECEIVE_STATS_ERR_FATAL_ERRORS = "compute:PCIeFatalReceiveStats:errFatalErrors"
	CONST_STATS_PROP_ID_COMPUTE_PCIE_FATAL_RECEIVE_STATS_ERR_NON_FATAL_ERRORS = "compute:PCIeFatalReceiveStats:errNonFatalErrors"
	CONST_STATS_PROP_ID_COMPUTE_PCIE_FATAL_RECEIVE_STATS_UNSUPPORTED_REQUEST_ERRORS = "compute:PCIeFatalReceiveStats:unsupportedRequestErrors"
	CONST_STATS_PROP_ID_COMPUTE_PCIE_FATAL_STATS_ACS_VIOLATION_ERRORS = "compute:PCIeFatalStats:acsViolationErrors"
	CONST_STATS_PROP_ID_COMPUTE_PCIE_FATAL_STATS_MALFORMED_TLPERRORS = "compute:PCIeFatalStats:malformedTLPErrors"
	CONST_STATS_PROP_ID_COMPUTE_PCIE_FATAL_STATS_POISONED_TLPERRORS = "compute:PCIeFatalStats:poisonedTLPErrors"
	CONST_STATS_PROP_ID_COMPUTE_PCIE_FATAL_STATS_SURPRISE_LINK_DOWN_ERRORS = "compute:PCIeFatalStats:surpriseLinkDownErrors"
	CONST_STATS_PROP_ID_MEMORY_ERROR_STATS_ADDRESS_PARITY_ERRORS = "memory:ErrorStats:addressParityErrors"
	CONST_STATS_PROP_ID_MEMORY_ERROR_STATS_ECC_MULTIBIT_ERRORS = "memory:ErrorStats:eccMultibitErrors"
	CONST_STATS_PROP_ID_MEMORY_ERROR_STATS_ECC_SINGLEBIT_ERRORS = "memory:ErrorStats:eccSinglebitErrors"
	CONST_STATS_PROP_ID_MEMORY_ERROR_STATS_MISMATCH_ERRORS = "memory:ErrorStats:mismatchErrors"
	CONST_STATS_PROP_ID_PROCESSOR_ERROR_STATS_MIRRORING_INTER_SOCK_ERRORS = "processor:ErrorStats:mirroringInterSockErrors"
	CONST_STATS_PROP_ID_PROCESSOR_ERROR_STATS_MIRRORING_INTRA_SOCK_ERRORS = "processor:ErrorStats:mirroringIntraSockErrors"
	CONST_STATS_PROP_ID_PROCESSOR_ERROR_STATS_SMI_LINK_CORR_ERRORS = "processor:ErrorStats:smiLinkCorrErrors"
	CONST_STATS_PROP_ID_PROCESSOR_ERROR_STATS_SMI_LINK_UNCORR_ERRORS = "processor:ErrorStats:smiLinkUncorrErrors"
	CONST_STATS_PROP_ID_PROCESSOR_ERROR_STATS_SPARING_ERRORS = "processor:ErrorStats:sparingErrors"
	CONST_STATS_PROP_ID_UNSPECIFIED = "unspecified"
