import sys, os

sys.path.append(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))
from UcsBase import ManagedObject
sys.path.remove(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))

class ComputeBlade(ManagedObject):
	def __init__(self):
		ManagedObject.__init__(self,"ComputeBlade")

	@staticmethod
	def ClassId():
		return "computeBlade"

	ADMIN_POWER = "AdminPower"
	ADMIN_STATE = "AdminState"
	ASSIGNED_TO_DN = "AssignedToDn"
	ASSOCIATION = "Association"
	AVAILABILITY = "Availability"
	AVAILABLE_MEMORY = "AvailableMemory"
	CHASSIS_ID = "ChassisId"
	CHECK_POINT = "CheckPoint"
	CONN_PATH = "ConnPath"
	CONN_STATUS = "ConnStatus"
	DESCR = "Descr"
	DISCOVERY = "Discovery"
	DN = "Dn"
	LC = "Lc"
	LC_TS = "LcTs"
	LOCAL_ID = "LocalId"
	LOW_VOLTAGE_MEMORY = "LowVoltageMemory"
	MANAGING_INST = "ManagingInst"
	MEMORY_SPEED = "MemorySpeed"
	MFG_TIME = "MfgTime"
	MODEL = "Model"
	NAME = "Name"
	NUM_OF_ADAPTORS = "NumOfAdaptors"
	NUM_OF_CORES = "NumOfCores"
	NUM_OF_CORES_ENABLED = "NumOfCoresEnabled"
	NUM_OF_CPUS = "NumOfCpus"
	NUM_OF_ETH_HOST_IFS = "NumOfEthHostIfs"
	NUM_OF_FC_HOST_IFS = "NumOfFcHostIfs"
	NUM_OF_THREADS = "NumOfThreads"
	OPER_POWER = "OperPower"
	OPER_QUALIFIER = "OperQualifier"
	OPER_STATE = "OperState"
	OPERABILITY = "Operability"
	ORIGINAL_UUID = "OriginalUuid"
	PART_NUMBER = "PartNumber"
	POLICY_LEVEL = "PolicyLevel"
	POLICY_OWNER = "PolicyOwner"
	PRESENCE = "Presence"
	REVISION = "Revision"
	RN = "Rn"
	SCALED_MODE = "ScaledMode"
	SERIAL = "Serial"
	SERVER_ID = "ServerId"
	SLOT_ID = "SlotId"
	STATUS = "Status"
	TOTAL_MEMORY = "TotalMemory"
	UPGRADE_SCENARIO = "UpgradeScenario"
	USR_LBL = "UsrLbl"
	UUID = "Uuid"
	VENDOR = "Vendor"
	VID = "Vid"

	CONST_ADMIN_POWER_ADMIN_DOWN = "admin-down"
	CONST_ADMIN_POWER_ADMIN_UP = "admin-up"
	CONST_ADMIN_POWER_BMC_RESET_IMMEDIATE = "bmc-reset-immediate"
	CONST_ADMIN_POWER_BMC_RESET_WAIT = "bmc-reset-wait"
	CONST_ADMIN_POWER_CMOS_RESET_IMMEDIATE = "cmos-reset-immediate"
	CONST_ADMIN_POWER_CYCLE_IMMEDIATE = "cycle-immediate"
	CONST_ADMIN_POWER_CYCLE_WAIT = "cycle-wait"
	CONST_ADMIN_POWER_DIAGNOSTIC_INTERRUPT = "diagnostic-interrupt"
	CONST_ADMIN_POWER_HARD_RESET_IMMEDIATE = "hard-reset-immediate"
	CONST_ADMIN_POWER_HARD_RESET_WAIT = "hard-reset-wait"
	CONST_ADMIN_POWER_IPMI_RESET = "ipmi-reset"
	CONST_ADMIN_POWER_KVM_RESET = "kvm-reset"
	CONST_ADMIN_POWER_POLICY = "policy"
	CONST_ADMIN_STATE_IN_SERVICE = "in-service"
	CONST_ADMIN_STATE_OUT_OF_SERVICE = "out-of-service"
	CONST_ASSOCIATION_ASSOCIATED = "associated"
	CONST_ASSOCIATION_ESTABLISHING = "establishing"
	CONST_ASSOCIATION_FAILED = "failed"
	CONST_ASSOCIATION_NONE = "none"
	CONST_ASSOCIATION_REMOVING = "removing"
	CONST_ASSOCIATION_THROTTLED = "throttled"
	CONST_AVAILABILITY_AVAILABLE = "available"
	CONST_AVAILABILITY_UNAVAILABLE = "unavailable"
	CONST_CHASSIS_ID_N_A = "N/A"
	CONST_CHECK_POINT_DEEP_CHECKPOINT = "deep-checkpoint"
	CONST_CHECK_POINT_DISCOVERED = "discovered"
	CONST_CHECK_POINT_REMOVING = "removing"
	CONST_CHECK_POINT_SHALLOW_CHECKPOINT = "shallow-checkpoint"
	CONST_CHECK_POINT_UNKNOWN = "unknown"
	CONST_DISCOVERY_COMPLETE = "complete"
	CONST_DISCOVERY_DIAGNOSTICS_COMPLETE = "diagnostics-complete"
	CONST_DISCOVERY_DIAGNOSTICS_FAILED = "diagnostics-failed"
	CONST_DISCOVERY_DIAGNOSTICS_IN_PROGRESS = "diagnostics-in-progress"
	CONST_DISCOVERY_EFIDIAGNOSTICS_IN_PROGRESS = "efidiagnostics-in-progress"
	CONST_DISCOVERY_FAILED = "failed"
	CONST_DISCOVERY_FRU_IDENTITY_INDETERMINATE = "fru-identity-indeterminate"
	CONST_DISCOVERY_FRU_NOT_READY = "fru-not-ready"
	CONST_DISCOVERY_FRU_STATE_INDETERMINATE = "fru-state-indeterminate"
	CONST_DISCOVERY_ILLEGAL_FRU = "illegal-fru"
	CONST_DISCOVERY_IN_PROGRESS = "in-progress"
	CONST_DISCOVERY_INSUFFICIENTLY_EQUIPPED = "insufficiently-equipped"
	CONST_DISCOVERY_INVALID_ADAPTOR_IOCARD = "invalid-adaptor-iocard"
	CONST_DISCOVERY_MALFORMED_FRU_INFO = "malformed-fru-info"
	CONST_DISCOVERY_RETRY = "retry"
	CONST_DISCOVERY_THROTTLED = "throttled"
	CONST_DISCOVERY_UNDISCOVERED = "undiscovered"
	CONST_DISCOVERY_USER_ACKNOWLEDGED = "user-acknowledged"
	CONST_DISCOVERY_WAITING_FOR_MGMT_ACK = "waiting-for-mgmt-ack"
	CONST_DISCOVERY_WAITING_FOR_USER_ACK = "waiting-for-user-ack"
	CONST_FSM_PREV_ACTIVATE_ADAPTOR_ACTIVATE_LOCAL = "ActivateAdaptorActivateLocal"
	CONST_FSM_PREV_ACTIVATE_ADAPTOR_ACTIVATE_PEER = "ActivateAdaptorActivatePeer"
	CONST_FSM_PREV_ACTIVATE_ADAPTOR_BEGIN = "ActivateAdaptorBegin"
	CONST_FSM_PREV_ACTIVATE_ADAPTOR_DEASSERT_RESET_BYPASS = "ActivateAdaptorDeassertResetBypass"
	CONST_FSM_PREV_ACTIVATE_ADAPTOR_FAIL = "ActivateAdaptorFail"
	CONST_FSM_PREV_ACTIVATE_ADAPTOR_POWER_ON = "ActivateAdaptorPowerOn"
	CONST_FSM_PREV_ACTIVATE_ADAPTOR_RESET = "ActivateAdaptorReset"
	CONST_FSM_PREV_ACTIVATE_ADAPTOR_SUCCESS = "ActivateAdaptorSuccess"
	CONST_FSM_PREV_ACTIVATE_BIOSACTIVATE = "ActivateBIOSActivate"
	CONST_FSM_PREV_ACTIVATE_BIOSBEGIN = "ActivateBIOSBegin"
	CONST_FSM_PREV_ACTIVATE_BIOSCLEAR = "ActivateBIOSClear"
	CONST_FSM_PREV_ACTIVATE_BIOSFAIL = "ActivateBIOSFail"
	CONST_FSM_PREV_ACTIVATE_BIOSPOLL_ACTIVATE_STATUS = "ActivateBIOSPollActivateStatus"
	CONST_FSM_PREV_ACTIVATE_BIOSPOLL_CLEAR_STATUS = "ActivateBIOSPollClearStatus"
	CONST_FSM_PREV_ACTIVATE_BIOSPOWER_OFF = "ActivateBIOSPowerOff"
	CONST_FSM_PREV_ACTIVATE_BIOSPOWER_ON = "ActivateBIOSPowerOn"
	CONST_FSM_PREV_ACTIVATE_BIOSSUCCESS = "ActivateBIOSSuccess"
	CONST_FSM_PREV_ACTIVATE_BIOSUPDATE_TOKENS = "ActivateBIOSUpdateTokens"
	CONST_FSM_PREV_ASSOCIATE_ACTIVATE_ADAPTOR_NW_FW_LOCAL = "AssociateActivateAdaptorNwFwLocal"
	CONST_FSM_PREV_ASSOCIATE_ACTIVATE_ADAPTOR_NW_FW_PEER = "AssociateActivateAdaptorNwFwPeer"
	CONST_FSM_PREV_ASSOCIATE_ACTIVATE_BIOS = "AssociateActivateBios"
	CONST_FSM_PREV_ASSOCIATE_ACTIVATE_IBMCFW = "AssociateActivateIBMCFw"
	CONST_FSM_PREV_ASSOCIATE_BEGIN = "AssociateBegin"
	CONST_FSM_PREV_ASSOCIATE_BIOS_IMG_UPDATE = "AssociateBiosImgUpdate"
	CONST_FSM_PREV_ASSOCIATE_BIOS_POST_COMPLETION = "AssociateBiosPostCompletion"
	CONST_FSM_PREV_ASSOCIATE_BLADE_POWER_OFF = "AssociateBladePowerOff"
	CONST_FSM_PREV_ASSOCIATE_BMC_CONFIG_PNU_OS = "AssociateBmcConfigPnuOS"
	CONST_FSM_PREV_ASSOCIATE_BMC_PRECONFIG_PNU_OSLOCAL = "AssociateBmcPreconfigPnuOSLocal"
	CONST_FSM_PREV_ASSOCIATE_BMC_PRECONFIG_PNU_OSPEER = "AssociateBmcPreconfigPnuOSPeer"
	CONST_FSM_PREV_ASSOCIATE_BMC_UNCONFIG_PNU_OS = "AssociateBmcUnconfigPnuOS"
	CONST_FSM_PREV_ASSOCIATE_BOOT_HOST = "AssociateBootHost"
	CONST_FSM_PREV_ASSOCIATE_BOOT_PNUOS = "AssociateBootPnuos"
	CONST_FSM_PREV_ASSOCIATE_BOOT_WAIT = "AssociateBootWait"
	CONST_FSM_PREV_ASSOCIATE_CLEAR_BIOS_UPDATE = "AssociateClearBiosUpdate"
	CONST_FSM_PREV_ASSOCIATE_CONFIG_CIMC_VMEDIA = "AssociateConfigCimcVMedia"
	CONST_FSM_PREV_ASSOCIATE_CONFIG_EXT_MGMT_GW = "AssociateConfigExtMgmtGw"
	CONST_FSM_PREV_ASSOCIATE_CONFIG_EXT_MGMT_RULES = "AssociateConfigExtMgmtRules"
	CONST_FSM_PREV_ASSOCIATE_CONFIG_FLEX_FLASH = "AssociateConfigFlexFlash"
	CONST_FSM_PREV_ASSOCIATE_CONFIG_SO_L = "AssociateConfigSoL"
	CONST_FSM_PREV_ASSOCIATE_CONFIG_USER_ACCESS = "AssociateConfigUserAccess"
	CONST_FSM_PREV_ASSOCIATE_CONFIG_UUID = "AssociateConfigUuid"
	CONST_FSM_PREV_ASSOCIATE_COPY_REMOTE = "AssociateCopyRemote"
	CONST_FSM_PREV_ASSOCIATE_DEASSERT_RESET_BYPASS = "AssociateDeassertResetBypass"
	CONST_FSM_PREV_ASSOCIATE_DELETE_CURL_DOWNLOADED_IMAGES = "AssociateDeleteCurlDownloadedImages"
	CONST_FSM_PREV_ASSOCIATE_DOWNLOAD_IMAGES = "AssociateDownloadImages"
	CONST_FSM_PREV_ASSOCIATE_FAIL = "AssociateFail"
	CONST_FSM_PREV_ASSOCIATE_GRAPHICS_IMAGE_UPDATE = "AssociateGraphicsImageUpdate"
	CONST_FSM_PREV_ASSOCIATE_HAG_HOST_OSCONNECT = "AssociateHagHostOSConnect"
	CONST_FSM_PREV_ASSOCIATE_HAG_PNU_OSCONNECT = "AssociateHagPnuOSConnect"
	CONST_FSM_PREV_ASSOCIATE_HAG_PNU_OSDISCONNECT = "AssociateHagPnuOSDisconnect"
	CONST_FSM_PREV_ASSOCIATE_HBA_IMG_UPDATE = "AssociateHbaImgUpdate"
	CONST_FSM_PREV_ASSOCIATE_HOST_OSCONFIG = "AssociateHostOSConfig"
	CONST_FSM_PREV_ASSOCIATE_HOST_OSIDENT = "AssociateHostOSIdent"
	CONST_FSM_PREV_ASSOCIATE_HOST_OSPOLICY = "AssociateHostOSPolicy"
	CONST_FSM_PREV_ASSOCIATE_HOST_OSVALIDATE = "AssociateHostOSValidate"
	CONST_FSM_PREV_ASSOCIATE_LOCAL_DISK_FW_UPDATE = "AssociateLocalDiskFwUpdate"
	CONST_FSM_PREV_ASSOCIATE_MARK_ADAPTER_FOR_REBOOT = "AssociateMarkAdapterForReboot"
	CONST_FSM_PREV_ASSOCIATE_NIC_CONFIG_HOST_OSLOCAL = "AssociateNicConfigHostOSLocal"
	CONST_FSM_PREV_ASSOCIATE_NIC_CONFIG_HOST_OSPEER = "AssociateNicConfigHostOSPeer"
	CONST_FSM_PREV_ASSOCIATE_NIC_CONFIG_PNU_OSLOCAL = "AssociateNicConfigPnuOSLocal"
	CONST_FSM_PREV_ASSOCIATE_NIC_CONFIG_PNU_OSPEER = "AssociateNicConfigPnuOSPeer"
	CONST_FSM_PREV_ASSOCIATE_NIC_CONFIG_SERVICE_INFRA_LOCAL = "AssociateNicConfigServiceInfraLocal"
	CONST_FSM_PREV_ASSOCIATE_NIC_CONFIG_SERVICE_INFRA_PEER = "AssociateNicConfigServiceInfraPeer"
	CONST_FSM_PREV_ASSOCIATE_NIC_IMG_UPDATE = "AssociateNicImgUpdate"
	CONST_FSM_PREV_ASSOCIATE_NIC_UNCONFIG_PNU_OSLOCAL = "AssociateNicUnconfigPnuOSLocal"
	CONST_FSM_PREV_ASSOCIATE_NIC_UNCONFIG_PNU_OSPEER = "AssociateNicUnconfigPnuOSPeer"
	CONST_FSM_PREV_ASSOCIATE_OOB_STORAGE_INVENTORY = "AssociateOobStorageInventory"
	CONST_FSM_PREV_ASSOCIATE_PNU_OSCATALOG = "AssociatePnuOSCatalog"
	CONST_FSM_PREV_ASSOCIATE_PNU_OSCONFIG = "AssociatePnuOSConfig"
	CONST_FSM_PREV_ASSOCIATE_PNU_OSIDENT = "AssociatePnuOSIdent"
	CONST_FSM_PREV_ASSOCIATE_PNU_OSINVENTORY = "AssociatePnuOSInventory"
	CONST_FSM_PREV_ASSOCIATE_PNU_OSLOCAL_DISK_CONFIG = "AssociatePnuOSLocalDiskConfig"
	CONST_FSM_PREV_ASSOCIATE_PNU_OSPOLICY = "AssociatePnuOSPolicy"
	CONST_FSM_PREV_ASSOCIATE_PNU_OSSELF_TEST = "AssociatePnuOSSelfTest"
	CONST_FSM_PREV_ASSOCIATE_PNU_OSUNLOAD_DRIVERS = "AssociatePnuOSUnloadDrivers"
	CONST_FSM_PREV_ASSOCIATE_PNU_OSVALIDATE = "AssociatePnuOSValidate"
	CONST_FSM_PREV_ASSOCIATE_POLL_BIOS_ACTIVATE_STATUS = "AssociatePollBiosActivateStatus"
	CONST_FSM_PREV_ASSOCIATE_POLL_BIOS_UPDATE_STATUS = "AssociatePollBiosUpdateStatus"
	CONST_FSM_PREV_ASSOCIATE_POLL_BOARD_CTRL_UPDATE_STATUS = "AssociatePollBoardCtrlUpdateStatus"
	CONST_FSM_PREV_ASSOCIATE_POLL_CLEAR_BIOS_UPDATE_STATUS = "AssociatePollClearBiosUpdateStatus"
	CONST_FSM_PREV_ASSOCIATE_POWER_ON = "AssociatePowerOn"
	CONST_FSM_PREV_ASSOCIATE_POWER_ON_PRE_CONFIG = "AssociatePowerOnPreConfig"
	CONST_FSM_PREV_ASSOCIATE_PRE_SANITIZE = "AssociatePreSanitize"
	CONST_FSM_PREV_ASSOCIATE_PREPARE_FOR_BOOT = "AssociatePrepareForBoot"
	CONST_FSM_PREV_ASSOCIATE_RESET_IBMC = "AssociateResetIBMC"
	CONST_FSM_PREV_ASSOCIATE_SANITIZE = "AssociateSanitize"
	CONST_FSM_PREV_ASSOCIATE_SERIAL_DEBUG_PNU_OSCONNECT = "AssociateSerialDebugPnuOSConnect"
	CONST_FSM_PREV_ASSOCIATE_SERIAL_DEBUG_PNU_OSDISCONNECT = "AssociateSerialDebugPnuOSDisconnect"
	CONST_FSM_PREV_ASSOCIATE_SOL_REDIRECT_DISABLE = "AssociateSolRedirectDisable"
	CONST_FSM_PREV_ASSOCIATE_SOL_REDIRECT_ENABLE = "AssociateSolRedirectEnable"
	CONST_FSM_PREV_ASSOCIATE_STORAGE_CTLR_IMG_UPDATE = "AssociateStorageCtlrImgUpdate"
	CONST_FSM_PREV_ASSOCIATE_SUCCESS = "AssociateSuccess"
	CONST_FSM_PREV_ASSOCIATE_SW_CONFIG_HOST_OSLOCAL = "AssociateSwConfigHostOSLocal"
	CONST_FSM_PREV_ASSOCIATE_SW_CONFIG_HOST_OSPEER = "AssociateSwConfigHostOSPeer"
	CONST_FSM_PREV_ASSOCIATE_SW_CONFIG_PNU_OSLOCAL = "AssociateSwConfigPnuOSLocal"
	CONST_FSM_PREV_ASSOCIATE_SW_CONFIG_PNU_OSPEER = "AssociateSwConfigPnuOSPeer"
	CONST_FSM_PREV_ASSOCIATE_SW_CONFIG_PORT_NIV_LOCAL = "AssociateSwConfigPortNivLocal"
	CONST_FSM_PREV_ASSOCIATE_SW_CONFIG_PORT_NIV_PEER = "AssociateSwConfigPortNivPeer"
	CONST_FSM_PREV_ASSOCIATE_SW_CONFIG_SERVICE_INFRA_LOCAL = "AssociateSwConfigServiceInfraLocal"
	CONST_FSM_PREV_ASSOCIATE_SW_CONFIG_SERVICE_INFRA_PEER = "AssociateSwConfigServiceInfraPeer"
	CONST_FSM_PREV_ASSOCIATE_SW_UNCONFIG_PNU_OSLOCAL = "AssociateSwUnconfigPnuOSLocal"
	CONST_FSM_PREV_ASSOCIATE_SW_UNCONFIG_PNU_OSPEER = "AssociateSwUnconfigPnuOSPeer"
	CONST_FSM_PREV_ASSOCIATE_SYNC_POWER_STATE = "AssociateSyncPowerState"
	CONST_FSM_PREV_ASSOCIATE_UNCONFIG_CIMC_VMEDIA = "AssociateUnconfigCimcVMedia"
	CONST_FSM_PREV_ASSOCIATE_UNCONFIG_EXT_MGMT_GW = "AssociateUnconfigExtMgmtGw"
	CONST_FSM_PREV_ASSOCIATE_UNCONFIG_EXT_MGMT_RULES = "AssociateUnconfigExtMgmtRules"
	CONST_FSM_PREV_ASSOCIATE_UPDATE_ADAPTOR_NW_FW_LOCAL = "AssociateUpdateAdaptorNwFwLocal"
	CONST_FSM_PREV_ASSOCIATE_UPDATE_ADAPTOR_NW_FW_PEER = "AssociateUpdateAdaptorNwFwPeer"
	CONST_FSM_PREV_ASSOCIATE_UPDATE_BIOS_REQUEST = "AssociateUpdateBiosRequest"
	CONST_FSM_PREV_ASSOCIATE_UPDATE_BOARD_CTRL_REQUEST = "AssociateUpdateBoardCtrlRequest"
	CONST_FSM_PREV_ASSOCIATE_UPDATE_IBMCFW = "AssociateUpdateIBMCFw"
	CONST_FSM_PREV_ASSOCIATE_VERIFY_FC_ZONE_CONFIG = "AssociateVerifyFcZoneConfig"
	CONST_FSM_PREV_ASSOCIATE_WAIT_FOR_ADAPTOR_NW_FW_UPDATE_LOCAL = "AssociateWaitForAdaptorNwFwUpdateLocal"
	CONST_FSM_PREV_ASSOCIATE_WAIT_FOR_ADAPTOR_NW_FW_UPDATE_PEER = "AssociateWaitForAdaptorNwFwUpdatePeer"
	CONST_FSM_PREV_ASSOCIATE_WAIT_FOR_IBMCFW_UPDATE = "AssociateWaitForIBMCFwUpdate"
	CONST_FSM_PREV_BIOS_RECOVERY_BEGIN = "BiosRecoveryBegin"
	CONST_FSM_PREV_BIOS_RECOVERY_CLEANUP = "BiosRecoveryCleanup"
	CONST_FSM_PREV_BIOS_RECOVERY_FAIL = "BiosRecoveryFail"
	CONST_FSM_PREV_BIOS_RECOVERY_PRE_SANITIZE = "BiosRecoveryPreSanitize"
	CONST_FSM_PREV_BIOS_RECOVERY_RESET = "BiosRecoveryReset"
	CONST_FSM_PREV_BIOS_RECOVERY_SANITIZE = "BiosRecoverySanitize"
	CONST_FSM_PREV_BIOS_RECOVERY_SETUP_VMEDIA_LOCAL = "BiosRecoverySetupVmediaLocal"
	CONST_FSM_PREV_BIOS_RECOVERY_SETUP_VMEDIA_PEER = "BiosRecoverySetupVmediaPeer"
	CONST_FSM_PREV_BIOS_RECOVERY_SHUTDOWN = "BiosRecoveryShutdown"
	CONST_FSM_PREV_BIOS_RECOVERY_START = "BiosRecoveryStart"
	CONST_FSM_PREV_BIOS_RECOVERY_STOP_VMEDIA_LOCAL = "BiosRecoveryStopVMediaLocal"
	CONST_FSM_PREV_BIOS_RECOVERY_STOP_VMEDIA_PEER = "BiosRecoveryStopVMediaPeer"
	CONST_FSM_PREV_BIOS_RECOVERY_SUCCESS = "BiosRecoverySuccess"
	CONST_FSM_PREV_BIOS_RECOVERY_TEARDOWN_VMEDIA_LOCAL = "BiosRecoveryTeardownVmediaLocal"
	CONST_FSM_PREV_BIOS_RECOVERY_TEARDOWN_VMEDIA_PEER = "BiosRecoveryTeardownVmediaPeer"
	CONST_FSM_PREV_BIOS_RECOVERY_WAIT = "BiosRecoveryWait"
	CONST_FSM_PREV_CIMC_SESSION_DELETE_BEGIN = "CimcSessionDeleteBegin"
	CONST_FSM_PREV_CIMC_SESSION_DELETE_EXECUTE = "CimcSessionDeleteExecute"
	CONST_FSM_PREV_CIMC_SESSION_DELETE_FAIL = "CimcSessionDeleteFail"
	CONST_FSM_PREV_CIMC_SESSION_DELETE_SUCCESS = "CimcSessionDeleteSuccess"
	CONST_FSM_PREV_CMOS_RESET_BEGIN = "CmosResetBegin"
	CONST_FSM_PREV_CMOS_RESET_BLADE_POWER_ON = "CmosResetBladePowerOn"
	CONST_FSM_PREV_CMOS_RESET_EXECUTE = "CmosResetExecute"
	CONST_FSM_PREV_CMOS_RESET_FAIL = "CmosResetFail"
	CONST_FSM_PREV_CMOS_RESET_PRE_SANITIZE = "CmosResetPreSanitize"
	CONST_FSM_PREV_CMOS_RESET_RECONFIG_BIOS = "CmosResetReconfigBios"
	CONST_FSM_PREV_CMOS_RESET_RECONFIG_UUID = "CmosResetReconfigUuid"
	CONST_FSM_PREV_CMOS_RESET_SANITIZE = "CmosResetSanitize"
	CONST_FSM_PREV_CMOS_RESET_SUCCESS = "CmosResetSuccess"
	CONST_FSM_PREV_CONFIG_BOARD_BEGIN = "ConfigBoardBegin"
	CONST_FSM_PREV_CONFIG_BOARD_CONFIG_MEMORY_POLICY = "ConfigBoardConfigMemoryPolicy"
	CONST_FSM_PREV_CONFIG_BOARD_FAIL = "ConfigBoardFail"
	CONST_FSM_PREV_CONFIG_BOARD_SUCCESS = "ConfigBoardSuccess"
	CONST_FSM_PREV_CONFIG_SO_LBEGIN = "ConfigSoLBegin"
	CONST_FSM_PREV_CONFIG_SO_LEXECUTE = "ConfigSoLExecute"
	CONST_FSM_PREV_CONFIG_SO_LFAIL = "ConfigSoLFail"
	CONST_FSM_PREV_CONFIG_SO_LSUCCESS = "ConfigSoLSuccess"
	CONST_FSM_PREV_DECOMMISSION_BEGIN = "DecommissionBegin"
	CONST_FSM_PREV_DECOMMISSION_CLEANUP_CIMC = "DecommissionCleanupCIMC"
	CONST_FSM_PREV_DECOMMISSION_CLEANUP_PORT_CONFIG_LOCAL = "DecommissionCleanupPortConfigLocal"
	CONST_FSM_PREV_DECOMMISSION_CLEANUP_PORT_CONFIG_PEER = "DecommissionCleanupPortConfigPeer"
	CONST_FSM_PREV_DECOMMISSION_EXECUTE = "DecommissionExecute"
	CONST_FSM_PREV_DECOMMISSION_FAIL = "DecommissionFail"
	CONST_FSM_PREV_DECOMMISSION_STOP_VMEDIA_LOCAL = "DecommissionStopVMediaLocal"
	CONST_FSM_PREV_DECOMMISSION_STOP_VMEDIA_PEER = "DecommissionStopVMediaPeer"
	CONST_FSM_PREV_DECOMMISSION_SUCCESS = "DecommissionSuccess"
	CONST_FSM_PREV_DECOMMISSION_UNCONFIG_EXT_MGMT_GW = "DecommissionUnconfigExtMgmtGw"
	CONST_FSM_PREV_DECOMMISSION_UNCONFIG_EXT_MGMT_RULES = "DecommissionUnconfigExtMgmtRules"
	CONST_FSM_PREV_DIAG_BEGIN = "DiagBegin"
	CONST_FSM_PREV_DIAG_BIOS_POST_COMPLETION = "DiagBiosPostCompletion"
	CONST_FSM_PREV_DIAG_BLADE_BOOT = "DiagBladeBoot"
	CONST_FSM_PREV_DIAG_BLADE_BOOT_WAIT = "DiagBladeBootWait"
	CONST_FSM_PREV_DIAG_BLADE_POWER_ON = "DiagBladePowerOn"
	CONST_FSM_PREV_DIAG_BLADE_READ_SMBIOS = "DiagBladeReadSmbios"
	CONST_FSM_PREV_DIAG_BMC_CONFIG_PNU_OS = "DiagBmcConfigPnuOS"
	CONST_FSM_PREV_DIAG_BMC_INVENTORY = "DiagBmcInventory"
	CONST_FSM_PREV_DIAG_BMC_PRESENCE = "DiagBmcPresence"
	CONST_FSM_PREV_DIAG_BMC_SHUTDOWN_DIAG_COMPLETED = "DiagBmcShutdownDiagCompleted"
	CONST_FSM_PREV_DIAG_CLEANUP_SERVER_CONN_SW_A = "DiagCleanupServerConnSwA"
	CONST_FSM_PREV_DIAG_CLEANUP_SERVER_CONN_SW_B = "DiagCleanupServerConnSwB"
	CONST_FSM_PREV_DIAG_CONFIG_FE_LOCAL = "DiagConfigFeLocal"
	CONST_FSM_PREV_DIAG_CONFIG_FE_PEER = "DiagConfigFePeer"
	CONST_FSM_PREV_DIAG_CONFIG_USER_ACCESS = "DiagConfigUserAccess"
	CONST_FSM_PREV_DIAG_DEBUG_WAIT = "DiagDebugWait"
	CONST_FSM_PREV_DIAG_DERIVE_CONFIG = "DiagDeriveConfig"
	CONST_FSM_PREV_DIAG_DISABLE_SERVER_CONN_SW_A = "DiagDisableServerConnSwA"
	CONST_FSM_PREV_DIAG_DISABLE_SERVER_CONN_SW_B = "DiagDisableServerConnSwB"
	CONST_FSM_PREV_DIAG_ENABLE_SERVER_CONN_SW_A = "DiagEnableServerConnSwA"
	CONST_FSM_PREV_DIAG_ENABLE_SERVER_CONN_SW_B = "DiagEnableServerConnSwB"
	CONST_FSM_PREV_DIAG_EVALUATE_STATUS = "DiagEvaluateStatus"
	CONST_FSM_PREV_DIAG_FABRIC_ATRAFFIC_TEST_STATUS = "DiagFabricATrafficTestStatus"
	CONST_FSM_PREV_DIAG_FABRIC_BTRAFFIC_TEST_STATUS = "DiagFabricBTrafficTestStatus"
	CONST_FSM_PREV_DIAG_FAIL = "DiagFail"
	CONST_FSM_PREV_DIAG_GENERATE_LOG_WAIT = "DiagGenerateLogWait"
	CONST_FSM_PREV_DIAG_GENERATE_REPORT = "DiagGenerateReport"
	CONST_FSM_PREV_DIAG_HOST_CATALOG = "DiagHostCatalog"
	CONST_FSM_PREV_DIAG_HOST_CONNECT = "DiagHostConnect"
	CONST_FSM_PREV_DIAG_HOST_DISCONNECT = "DiagHostDisconnect"
	CONST_FSM_PREV_DIAG_HOST_IDENT = "DiagHostIdent"
	CONST_FSM_PREV_DIAG_HOST_INVENTORY = "DiagHostInventory"
	CONST_FSM_PREV_DIAG_HOST_POLICY = "DiagHostPolicy"
	CONST_FSM_PREV_DIAG_HOST_SERVER_DIAG = "DiagHostServerDiag"
	CONST_FSM_PREV_DIAG_HOST_SERVER_DIAG_STATUS = "DiagHostServerDiagStatus"
	CONST_FSM_PREV_DIAG_NIC_CONFIG_LOCAL = "DiagNicConfigLocal"
	CONST_FSM_PREV_DIAG_NIC_CONFIG_PEER = "DiagNicConfigPeer"
	CONST_FSM_PREV_DIAG_NIC_INVENTORY_LOCAL = "DiagNicInventoryLocal"
	CONST_FSM_PREV_DIAG_NIC_INVENTORY_PEER = "DiagNicInventoryPeer"
	CONST_FSM_PREV_DIAG_NIC_PRESENCE_LOCAL = "DiagNicPresenceLocal"
	CONST_FSM_PREV_DIAG_NIC_PRESENCE_PEER = "DiagNicPresencePeer"
	CONST_FSM_PREV_DIAG_NIC_UNCONFIG_LOCAL = "DiagNicUnconfigLocal"
	CONST_FSM_PREV_DIAG_NIC_UNCONFIG_PEER = "DiagNicUnconfigPeer"
	CONST_FSM_PREV_DIAG_REMOVE_CONFIG = "DiagRemoveConfig"
	CONST_FSM_PREV_DIAG_REMOVE_VMEDIA_LOCAL = "DiagRemoveVMediaLocal"
	CONST_FSM_PREV_DIAG_REMOVE_VMEDIA_PEER = "DiagRemoveVMediaPeer"
	CONST_FSM_PREV_DIAG_RESTORE_CONFIG_FE_LOCAL = "DiagRestoreConfigFeLocal"
	CONST_FSM_PREV_DIAG_RESTORE_CONFIG_FE_PEER = "DiagRestoreConfigFePeer"
	CONST_FSM_PREV_DIAG_SERIAL_DEBUG_CONNECT = "DiagSerialDebugConnect"
	CONST_FSM_PREV_DIAG_SERIAL_DEBUG_DISCONNECT = "DiagSerialDebugDisconnect"
	CONST_FSM_PREV_DIAG_SET_DIAG_USER = "DiagSetDiagUser"
	CONST_FSM_PREV_DIAG_SETUP_VMEDIA_LOCAL = "DiagSetupVMediaLocal"
	CONST_FSM_PREV_DIAG_SETUP_VMEDIA_PEER = "DiagSetupVMediaPeer"
	CONST_FSM_PREV_DIAG_SOL_REDIRECT_DISABLE = "DiagSolRedirectDisable"
	CONST_FSM_PREV_DIAG_SOL_REDIRECT_ENABLE = "DiagSolRedirectEnable"
	CONST_FSM_PREV_DIAG_START_FABRIC_ATRAFFIC_TEST = "DiagStartFabricATrafficTest"
	CONST_FSM_PREV_DIAG_START_FABRIC_BTRAFFIC_TEST = "DiagStartFabricBTrafficTest"
	CONST_FSM_PREV_DIAG_STOP_VMEDIA_LOCAL = "DiagStopVMediaLocal"
	CONST_FSM_PREV_DIAG_STOP_VMEDIA_PEER = "DiagStopVMediaPeer"
	CONST_FSM_PREV_DIAG_SUCCESS = "DiagSuccess"
	CONST_FSM_PREV_DIAG_SW_CONFIG_LOCAL = "DiagSwConfigLocal"
	CONST_FSM_PREV_DIAG_SW_CONFIG_PEER = "DiagSwConfigPeer"
	CONST_FSM_PREV_DIAG_SW_UNCONFIG_LOCAL = "DiagSwUnconfigLocal"
	CONST_FSM_PREV_DIAG_SW_UNCONFIG_PEER = "DiagSwUnconfigPeer"
	CONST_FSM_PREV_DIAG_UNCONFIG_USER_ACCESS = "DiagUnconfigUserAccess"
	CONST_FSM_PREV_DIAGNOSTIC_INTERRUPT_BEGIN = "DiagnosticInterruptBegin"
	CONST_FSM_PREV_DIAGNOSTIC_INTERRUPT_EXECUTE = "DiagnosticInterruptExecute"
	CONST_FSM_PREV_DIAGNOSTIC_INTERRUPT_FAIL = "DiagnosticInterruptFail"
	CONST_FSM_PREV_DIAGNOSTIC_INTERRUPT_SUCCESS = "DiagnosticInterruptSuccess"
	CONST_FSM_PREV_DISASSOCIATE_BEGIN = "DisassociateBegin"
	CONST_FSM_PREV_DISASSOCIATE_BIOS_POST_COMPLETION = "DisassociateBiosPostCompletion"
	CONST_FSM_PREV_DISASSOCIATE_BMC_CONFIG_PNU_OS = "DisassociateBmcConfigPnuOS"
	CONST_FSM_PREV_DISASSOCIATE_BMC_PRECONFIG_PNU_OSLOCAL = "DisassociateBmcPreconfigPnuOSLocal"
	CONST_FSM_PREV_DISASSOCIATE_BMC_PRECONFIG_PNU_OSPEER = "DisassociateBmcPreconfigPnuOSPeer"
	CONST_FSM_PREV_DISASSOCIATE_BMC_UNCONFIG_PNU_OS = "DisassociateBmcUnconfigPnuOS"
	CONST_FSM_PREV_DISASSOCIATE_BOOT_PNUOS = "DisassociateBootPnuos"
	CONST_FSM_PREV_DISASSOCIATE_BOOT_WAIT = "DisassociateBootWait"
	CONST_FSM_PREV_DISASSOCIATE_CONFIG_BIOS = "DisassociateConfigBios"
	CONST_FSM_PREV_DISASSOCIATE_CONFIG_FLEX_FLASH_SCRUB = "DisassociateConfigFlexFlashScrub"
	CONST_FSM_PREV_DISASSOCIATE_CONFIG_KVM_MGMT_DEFAULT_SETTING = "DisassociateConfigKvmMgmtDefaultSetting"
	CONST_FSM_PREV_DISASSOCIATE_CONFIG_USER_ACCESS = "DisassociateConfigUserAccess"
	CONST_FSM_PREV_DISASSOCIATE_DEASSERT_RESET_BYPASS = "DisassociateDeassertResetBypass"
	CONST_FSM_PREV_DISASSOCIATE_FAIL = "DisassociateFail"
	CONST_FSM_PREV_DISASSOCIATE_HAG_PNU_OSCONNECT = "DisassociateHagPnuOSConnect"
	CONST_FSM_PREV_DISASSOCIATE_HAG_PNU_OSDISCONNECT = "DisassociateHagPnuOSDisconnect"
	CONST_FSM_PREV_DISASSOCIATE_HANDLE_POOLING = "DisassociateHandlePooling"
	CONST_FSM_PREV_DISASSOCIATE_NIC_CONFIG_PNU_OSLOCAL = "DisassociateNicConfigPnuOSLocal"
	CONST_FSM_PREV_DISASSOCIATE_NIC_CONFIG_PNU_OSPEER = "DisassociateNicConfigPnuOSPeer"
	CONST_FSM_PREV_DISASSOCIATE_NIC_UNCONFIG_HOST_OSLOCAL = "DisassociateNicUnconfigHostOSLocal"
	CONST_FSM_PREV_DISASSOCIATE_NIC_UNCONFIG_HOST_OSPEER = "DisassociateNicUnconfigHostOSPeer"
	CONST_FSM_PREV_DISASSOCIATE_NIC_UNCONFIG_PNU_OSLOCAL = "DisassociateNicUnconfigPnuOSLocal"
	CONST_FSM_PREV_DISASSOCIATE_NIC_UNCONFIG_PNU_OSPEER = "DisassociateNicUnconfigPnuOSPeer"
	CONST_FSM_PREV_DISASSOCIATE_NIC_UNCONFIG_SERVICE_INFRA_LOCAL = "DisassociateNicUnconfigServiceInfraLocal"
	CONST_FSM_PREV_DISASSOCIATE_NIC_UNCONFIG_SERVICE_INFRA_PEER = "DisassociateNicUnconfigServiceInfraPeer"
	CONST_FSM_PREV_DISASSOCIATE_PNU_OSCATALOG = "DisassociatePnuOSCatalog"
	CONST_FSM_PREV_DISASSOCIATE_PNU_OSIDENT = "DisassociatePnuOSIdent"
	CONST_FSM_PREV_DISASSOCIATE_PNU_OSPOLICY = "DisassociatePnuOSPolicy"
	CONST_FSM_PREV_DISASSOCIATE_PNU_OSSCRUB = "DisassociatePnuOSScrub"
	CONST_FSM_PREV_DISASSOCIATE_PNU_OSSELF_TEST = "DisassociatePnuOSSelfTest"
	CONST_FSM_PREV_DISASSOCIATE_PNU_OSUNCONFIG = "DisassociatePnuOSUnconfig"
	CONST_FSM_PREV_DISASSOCIATE_PNU_OSVALIDATE = "DisassociatePnuOSValidate"
	CONST_FSM_PREV_DISASSOCIATE_POWER_ON = "DisassociatePowerOn"
	CONST_FSM_PREV_DISASSOCIATE_PRE_SANITIZE = "DisassociatePreSanitize"
	CONST_FSM_PREV_DISASSOCIATE_RESET_SECURE_BOOT_CONFIG = "DisassociateResetSecureBootConfig"
	CONST_FSM_PREV_DISASSOCIATE_SANITIZE = "DisassociateSanitize"
	CONST_FSM_PREV_DISASSOCIATE_SERIAL_DEBUG_PNU_OSCONNECT = "DisassociateSerialDebugPnuOSConnect"
	CONST_FSM_PREV_DISASSOCIATE_SERIAL_DEBUG_PNU_OSDISCONNECT = "DisassociateSerialDebugPnuOSDisconnect"
	CONST_FSM_PREV_DISASSOCIATE_SHUTDOWN = "DisassociateShutdown"
	CONST_FSM_PREV_DISASSOCIATE_SOL_REDIRECT_DISABLE = "DisassociateSolRedirectDisable"
	CONST_FSM_PREV_DISASSOCIATE_SOL_REDIRECT_ENABLE = "DisassociateSolRedirectEnable"
	CONST_FSM_PREV_DISASSOCIATE_SUCCESS = "DisassociateSuccess"
	CONST_FSM_PREV_DISASSOCIATE_SW_CONFIG_PNU_OSLOCAL = "DisassociateSwConfigPnuOSLocal"
	CONST_FSM_PREV_DISASSOCIATE_SW_CONFIG_PNU_OSPEER = "DisassociateSwConfigPnuOSPeer"
	CONST_FSM_PREV_DISASSOCIATE_SW_CONFIG_PORT_NIV_LOCAL = "DisassociateSwConfigPortNivLocal"
	CONST_FSM_PREV_DISASSOCIATE_SW_CONFIG_PORT_NIV_PEER = "DisassociateSwConfigPortNivPeer"
	CONST_FSM_PREV_DISASSOCIATE_SW_UNCONFIG_HOST_OSLOCAL = "DisassociateSwUnconfigHostOSLocal"
	CONST_FSM_PREV_DISASSOCIATE_SW_UNCONFIG_HOST_OSPEER = "DisassociateSwUnconfigHostOSPeer"
	CONST_FSM_PREV_DISASSOCIATE_SW_UNCONFIG_PNU_OSLOCAL = "DisassociateSwUnconfigPnuOSLocal"
	CONST_FSM_PREV_DISASSOCIATE_SW_UNCONFIG_PNU_OSPEER = "DisassociateSwUnconfigPnuOSPeer"
	CONST_FSM_PREV_DISASSOCIATE_UNCONFIG_BIOS = "DisassociateUnconfigBios"
	CONST_FSM_PREV_DISASSOCIATE_UNCONFIG_CIMC_VMEDIA = "DisassociateUnconfigCimcVMedia"
	CONST_FSM_PREV_DISASSOCIATE_UNCONFIG_EXT_MGMT_GW = "DisassociateUnconfigExtMgmtGw"
	CONST_FSM_PREV_DISASSOCIATE_UNCONFIG_EXT_MGMT_RULES = "DisassociateUnconfigExtMgmtRules"
	CONST_FSM_PREV_DISASSOCIATE_UNCONFIG_FLEX_FLASH = "DisassociateUnconfigFlexFlash"
	CONST_FSM_PREV_DISASSOCIATE_UNCONFIG_SO_L = "DisassociateUnconfigSoL"
	CONST_FSM_PREV_DISASSOCIATE_UNCONFIG_UUID = "DisassociateUnconfigUuid"
	CONST_FSM_PREV_DISASSOCIATE_VERIFY_FC_ZONE_CONFIG = "DisassociateVerifyFcZoneConfig"
	CONST_FSM_PREV_DISCOVER_BEGIN = "DiscoverBegin"
	CONST_FSM_PREV_DISCOVER_BIOS_POST_COMPLETION = "DiscoverBiosPostCompletion"
	CONST_FSM_PREV_DISCOVER_BLADE_BOOT_PNUOS = "DiscoverBladeBootPnuos"
	CONST_FSM_PREV_DISCOVER_BLADE_BOOT_WAIT = "DiscoverBladeBootWait"
	CONST_FSM_PREV_DISCOVER_BLADE_POWER_ON = "DiscoverBladePowerOn"
	CONST_FSM_PREV_DISCOVER_BLADE_READ_SMBIOS = "DiscoverBladeReadSmbios"
	CONST_FSM_PREV_DISCOVER_BMC_CONFIG_PNU_OS = "DiscoverBmcConfigPnuOS"
	CONST_FSM_PREV_DISCOVER_BMC_INVENTORY = "DiscoverBmcInventory"
	CONST_FSM_PREV_DISCOVER_BMC_PRE_CONFIG_PNU_OSLOCAL = "DiscoverBmcPreConfigPnuOSLocal"
	CONST_FSM_PREV_DISCOVER_BMC_PRE_CONFIG_PNU_OSPEER = "DiscoverBmcPreConfigPnuOSPeer"
	CONST_FSM_PREV_DISCOVER_BMC_PRESENCE = "DiscoverBmcPresence"
	CONST_FSM_PREV_DISCOVER_BMC_SHUTDOWN_DISCOVERED = "DiscoverBmcShutdownDiscovered"
	CONST_FSM_PREV_DISCOVER_CHECK_POWER_AVAILABILITY = "DiscoverCheckPowerAvailability"
	CONST_FSM_PREV_DISCOVER_CONFIG_FE_LOCAL = "DiscoverConfigFeLocal"
	CONST_FSM_PREV_DISCOVER_CONFIG_FE_PEER = "DiscoverConfigFePeer"
	CONST_FSM_PREV_DISCOVER_CONFIG_FLEX_FLASH_SCRUB = "DiscoverConfigFlexFlashScrub"
	CONST_FSM_PREV_DISCOVER_CONFIG_USER_ACCESS = "DiscoverConfigUserAccess"
	CONST_FSM_PREV_DISCOVER_FAIL = "DiscoverFail"
	CONST_FSM_PREV_DISCOVER_HAG_CONNECT = "DiscoverHagConnect"
	CONST_FSM_PREV_DISCOVER_HAG_DISCONNECT = "DiscoverHagDisconnect"
	CONST_FSM_PREV_DISCOVER_HANDLE_POOLING = "DiscoverHandlePooling"
	CONST_FSM_PREV_DISCOVER_NIC_CONFIG_PNU_OSLOCAL = "DiscoverNicConfigPnuOSLocal"
	CONST_FSM_PREV_DISCOVER_NIC_CONFIG_PNU_OSPEER = "DiscoverNicConfigPnuOSPeer"
	CONST_FSM_PREV_DISCOVER_NIC_PRESENCE_LOCAL = "DiscoverNicPresenceLocal"
	CONST_FSM_PREV_DISCOVER_NIC_PRESENCE_PEER = "DiscoverNicPresencePeer"
	CONST_FSM_PREV_DISCOVER_NIC_UNCONFIG_PNU_OSLOCAL = "DiscoverNicUnconfigPnuOSLocal"
	CONST_FSM_PREV_DISCOVER_NIC_UNCONFIG_PNU_OSPEER = "DiscoverNicUnconfigPnuOSPeer"
	CONST_FSM_PREV_DISCOVER_OOB_STORAGE_INVENTORY = "DiscoverOobStorageInventory"
	CONST_FSM_PREV_DISCOVER_PNU_OSCATALOG = "DiscoverPnuOSCatalog"
	CONST_FSM_PREV_DISCOVER_PNU_OSIDENT = "DiscoverPnuOSIdent"
	CONST_FSM_PREV_DISCOVER_PNU_OSINVENTORY = "DiscoverPnuOSInventory"
	CONST_FSM_PREV_DISCOVER_PNU_OSPOLICY = "DiscoverPnuOSPolicy"
	CONST_FSM_PREV_DISCOVER_PNU_OSSCRUB = "DiscoverPnuOSScrub"
	CONST_FSM_PREV_DISCOVER_PNU_OSSELF_TEST = "DiscoverPnuOSSelfTest"
	CONST_FSM_PREV_DISCOVER_PRE_SANITIZE = "DiscoverPreSanitize"
	CONST_FSM_PREV_DISCOVER_SANITIZE = "DiscoverSanitize"
	CONST_FSM_PREV_DISCOVER_SERIAL_DEBUG_CONNECT = "DiscoverSerialDebugConnect"
	CONST_FSM_PREV_DISCOVER_SERIAL_DEBUG_DISCONNECT = "DiscoverSerialDebugDisconnect"
	CONST_FSM_PREV_DISCOVER_SETUP_VMEDIA_LOCAL = "DiscoverSetupVmediaLocal"
	CONST_FSM_PREV_DISCOVER_SETUP_VMEDIA_PEER = "DiscoverSetupVmediaPeer"
	CONST_FSM_PREV_DISCOVER_SOL_REDIRECT_DISABLE = "DiscoverSolRedirectDisable"
	CONST_FSM_PREV_DISCOVER_SOL_REDIRECT_ENABLE = "DiscoverSolRedirectEnable"
	CONST_FSM_PREV_DISCOVER_SUCCESS = "DiscoverSuccess"
	CONST_FSM_PREV_DISCOVER_SW_CONFIG_PNU_OSLOCAL = "DiscoverSwConfigPnuOSLocal"
	CONST_FSM_PREV_DISCOVER_SW_CONFIG_PNU_OSPEER = "DiscoverSwConfigPnuOSPeer"
	CONST_FSM_PREV_DISCOVER_SW_UNCONFIG_PNU_OSLOCAL = "DiscoverSwUnconfigPnuOSLocal"
	CONST_FSM_PREV_DISCOVER_SW_UNCONFIG_PNU_OSPEER = "DiscoverSwUnconfigPnuOSPeer"
	CONST_FSM_PREV_DISCOVER_TEARDOWN_VMEDIA_LOCAL = "DiscoverTeardownVmediaLocal"
	CONST_FSM_PREV_DISCOVER_TEARDOWN_VMEDIA_PEER = "DiscoverTeardownVmediaPeer"
	CONST_FSM_PREV_DISCOVER_UNCONFIG_CIMC_VMEDIA = "DiscoverUnconfigCimcVMedia"
	CONST_FSM_PREV_DISCOVER_UNCONFIG_EXT_MGMT_GW = "DiscoverUnconfigExtMgmtGw"
	CONST_FSM_PREV_DISCOVER_UNCONFIG_EXT_MGMT_RULES = "DiscoverUnconfigExtMgmtRules"
	CONST_FSM_PREV_FLASH_CONTROLLER_BEGIN = "FlashControllerBegin"
	CONST_FSM_PREV_FLASH_CONTROLLER_FAIL = "FlashControllerFail"
	CONST_FSM_PREV_FLASH_CONTROLLER_SUCCESS = "FlashControllerSuccess"
	CONST_FSM_PREV_FLASH_CONTROLLER_UPDATE_FLASH_LIFE = "FlashControllerUpdateFlashLife"
	CONST_FSM_PREV_FW_UPGRADE_ACTIVATE_ADAPTOR_NW_FW_LOCAL = "FwUpgradeActivateAdaptorNwFwLocal"
	CONST_FSM_PREV_FW_UPGRADE_ACTIVATE_ADAPTOR_NW_FW_PEER = "FwUpgradeActivateAdaptorNwFwPeer"
	CONST_FSM_PREV_FW_UPGRADE_ACTIVATE_BIOS = "FwUpgradeActivateBios"
	CONST_FSM_PREV_FW_UPGRADE_ACTIVATE_IBMCFW = "FwUpgradeActivateIBMCFw"
	CONST_FSM_PREV_FW_UPGRADE_BEGIN = "FwUpgradeBegin"
	CONST_FSM_PREV_FW_UPGRADE_BIOS_IMG_UPDATE = "FwUpgradeBiosImgUpdate"
	CONST_FSM_PREV_FW_UPGRADE_BIOS_POST_COMPLETION = "FwUpgradeBiosPostCompletion"
	CONST_FSM_PREV_FW_UPGRADE_BLADE_POWER_OFF = "FwUpgradeBladePowerOff"
	CONST_FSM_PREV_FW_UPGRADE_BMC_CONFIG_PNU_OS = "FwUpgradeBmcConfigPnuOS"
	CONST_FSM_PREV_FW_UPGRADE_BMC_PRECONFIG_PNU_OSLOCAL = "FwUpgradeBmcPreconfigPnuOSLocal"
	CONST_FSM_PREV_FW_UPGRADE_BMC_PRECONFIG_PNU_OSPEER = "FwUpgradeBmcPreconfigPnuOSPeer"
	CONST_FSM_PREV_FW_UPGRADE_BMC_UNCONFIG_PNU_OS = "FwUpgradeBmcUnconfigPnuOS"
	CONST_FSM_PREV_FW_UPGRADE_BOOT_PNUOS = "FwUpgradeBootPnuos"
	CONST_FSM_PREV_FW_UPGRADE_BOOT_WAIT = "FwUpgradeBootWait"
	CONST_FSM_PREV_FW_UPGRADE_CLEAR_BIOS_UPDATE = "FwUpgradeClearBiosUpdate"
	CONST_FSM_PREV_FW_UPGRADE_COPY_REMOTE = "FwUpgradeCopyRemote"
	CONST_FSM_PREV_FW_UPGRADE_DEASSERT_RESET_BYPASS = "FwUpgradeDeassertResetBypass"
	CONST_FSM_PREV_FW_UPGRADE_DELETE_CURL_DOWNLOADED_IMAGES = "FwUpgradeDeleteCurlDownloadedImages"
	CONST_FSM_PREV_FW_UPGRADE_DOWNLOAD_IMAGES = "FwUpgradeDownloadImages"
	CONST_FSM_PREV_FW_UPGRADE_FAIL = "FwUpgradeFail"
	CONST_FSM_PREV_FW_UPGRADE_GRAPHICS_IMAGE_UPDATE = "FwUpgradeGraphicsImageUpdate"
	CONST_FSM_PREV_FW_UPGRADE_HAG_PNU_OSCONNECT = "FwUpgradeHagPnuOSConnect"
	CONST_FSM_PREV_FW_UPGRADE_HAG_PNU_OSDISCONNECT = "FwUpgradeHagPnuOSDisconnect"
	CONST_FSM_PREV_FW_UPGRADE_HBA_IMG_UPDATE = "FwUpgradeHbaImgUpdate"
	CONST_FSM_PREV_FW_UPGRADE_LOCAL_DISK_FW_UPDATE = "FwUpgradeLocalDiskFwUpdate"
	CONST_FSM_PREV_FW_UPGRADE_NIC_CONFIG_PNU_OSLOCAL = "FwUpgradeNicConfigPnuOSLocal"
	CONST_FSM_PREV_FW_UPGRADE_NIC_CONFIG_PNU_OSPEER = "FwUpgradeNicConfigPnuOSPeer"
	CONST_FSM_PREV_FW_UPGRADE_NIC_IMG_UPDATE = "FwUpgradeNicImgUpdate"
	CONST_FSM_PREV_FW_UPGRADE_NIC_UNCONFIG_PNU_OSLOCAL = "FwUpgradeNicUnconfigPnuOSLocal"
	CONST_FSM_PREV_FW_UPGRADE_NIC_UNCONFIG_PNU_OSPEER = "FwUpgradeNicUnconfigPnuOSPeer"
	CONST_FSM_PREV_FW_UPGRADE_PNU_OSCATALOG = "FwUpgradePnuOSCatalog"
	CONST_FSM_PREV_FW_UPGRADE_PNU_OSCONFIG = "FwUpgradePnuOSConfig"
	CONST_FSM_PREV_FW_UPGRADE_PNU_OSIDENT = "FwUpgradePnuOSIdent"
	CONST_FSM_PREV_FW_UPGRADE_PNU_OSINVENTORY = "FwUpgradePnuOSInventory"
	CONST_FSM_PREV_FW_UPGRADE_PNU_OSPOLICY = "FwUpgradePnuOSPolicy"
	CONST_FSM_PREV_FW_UPGRADE_PNU_OSSELF_TEST = "FwUpgradePnuOSSelfTest"
	CONST_FSM_PREV_FW_UPGRADE_PNU_OSUNLOAD_DRIVERS = "FwUpgradePnuOSUnloadDrivers"
	CONST_FSM_PREV_FW_UPGRADE_PNU_OSVALIDATE = "FwUpgradePnuOSValidate"
	CONST_FSM_PREV_FW_UPGRADE_POLL_BIOS_ACTIVATE_STATUS = "FwUpgradePollBiosActivateStatus"
	CONST_FSM_PREV_FW_UPGRADE_POLL_BIOS_UPDATE_STATUS = "FwUpgradePollBiosUpdateStatus"
	CONST_FSM_PREV_FW_UPGRADE_POLL_BOARD_CTRL_UPDATE_STATUS = "FwUpgradePollBoardCtrlUpdateStatus"
	CONST_FSM_PREV_FW_UPGRADE_POLL_CLEAR_BIOS_UPDATE_STATUS = "FwUpgradePollClearBiosUpdateStatus"
	CONST_FSM_PREV_FW_UPGRADE_POWER_ON = "FwUpgradePowerOn"
	CONST_FSM_PREV_FW_UPGRADE_PRE_SANITIZE = "FwUpgradePreSanitize"
	CONST_FSM_PREV_FW_UPGRADE_RESET_IBMC = "FwUpgradeResetIBMC"
	CONST_FSM_PREV_FW_UPGRADE_SANITIZE = "FwUpgradeSanitize"
	CONST_FSM_PREV_FW_UPGRADE_SERIAL_DEBUG_PNU_OSCONNECT = "FwUpgradeSerialDebugPnuOSConnect"
	CONST_FSM_PREV_FW_UPGRADE_SERIAL_DEBUG_PNU_OSDISCONNECT = "FwUpgradeSerialDebugPnuOSDisconnect"
	CONST_FSM_PREV_FW_UPGRADE_SHUTDOWN = "FwUpgradeShutdown"
	CONST_FSM_PREV_FW_UPGRADE_SOL_REDIRECT_DISABLE = "FwUpgradeSolRedirectDisable"
	CONST_FSM_PREV_FW_UPGRADE_SOL_REDIRECT_ENABLE = "FwUpgradeSolRedirectEnable"
	CONST_FSM_PREV_FW_UPGRADE_STORAGE_CTLR_IMG_UPDATE = "FwUpgradeStorageCtlrImgUpdate"
	CONST_FSM_PREV_FW_UPGRADE_SUCCESS = "FwUpgradeSuccess"
	CONST_FSM_PREV_FW_UPGRADE_SW_CONFIG_PNU_OSLOCAL = "FwUpgradeSwConfigPnuOSLocal"
	CONST_FSM_PREV_FW_UPGRADE_SW_CONFIG_PNU_OSPEER = "FwUpgradeSwConfigPnuOSPeer"
	CONST_FSM_PREV_FW_UPGRADE_SW_CONFIG_PORT_NIV_LOCAL = "FwUpgradeSwConfigPortNivLocal"
	CONST_FSM_PREV_FW_UPGRADE_SW_CONFIG_PORT_NIV_PEER = "FwUpgradeSwConfigPortNivPeer"
	CONST_FSM_PREV_FW_UPGRADE_SW_UNCONFIG_PNU_OSLOCAL = "FwUpgradeSwUnconfigPnuOSLocal"
	CONST_FSM_PREV_FW_UPGRADE_SW_UNCONFIG_PNU_OSPEER = "FwUpgradeSwUnconfigPnuOSPeer"
	CONST_FSM_PREV_FW_UPGRADE_UNCONFIG_CIMC_VMEDIA = "FwUpgradeUnconfigCimcVMedia"
	CONST_FSM_PREV_FW_UPGRADE_UNCONFIG_EXT_MGMT_GW = "FwUpgradeUnconfigExtMgmtGw"
	CONST_FSM_PREV_FW_UPGRADE_UNCONFIG_EXT_MGMT_RULES = "FwUpgradeUnconfigExtMgmtRules"
	CONST_FSM_PREV_FW_UPGRADE_UPDATE_ADAPTOR_NW_FW_LOCAL = "FwUpgradeUpdateAdaptorNwFwLocal"
	CONST_FSM_PREV_FW_UPGRADE_UPDATE_ADAPTOR_NW_FW_PEER = "FwUpgradeUpdateAdaptorNwFwPeer"
	CONST_FSM_PREV_FW_UPGRADE_UPDATE_BIOS_REQUEST = "FwUpgradeUpdateBiosRequest"
	CONST_FSM_PREV_FW_UPGRADE_UPDATE_BOARD_CTRL_REQUEST = "FwUpgradeUpdateBoardCtrlRequest"
	CONST_FSM_PREV_FW_UPGRADE_UPDATE_IBMCFW = "FwUpgradeUpdateIBMCFw"
	CONST_FSM_PREV_FW_UPGRADE_WAIT_FOR_ADAPTOR_NW_FW_UPDATE_LOCAL = "FwUpgradeWaitForAdaptorNwFwUpdateLocal"
	CONST_FSM_PREV_FW_UPGRADE_WAIT_FOR_ADAPTOR_NW_FW_UPDATE_PEER = "FwUpgradeWaitForAdaptorNwFwUpdatePeer"
	CONST_FSM_PREV_FW_UPGRADE_WAIT_FOR_IBMCFW_UPDATE = "FwUpgradeWaitForIBMCFwUpdate"
	CONST_FSM_PREV_HARD_SHUTDOWN_BEGIN = "HardShutdownBegin"
	CONST_FSM_PREV_HARD_SHUTDOWN_EXECUTE = "HardShutdownExecute"
	CONST_FSM_PREV_HARD_SHUTDOWN_FAIL = "HardShutdownFail"
	CONST_FSM_PREV_HARD_SHUTDOWN_SUCCESS = "HardShutdownSuccess"
	CONST_FSM_PREV_HARDRESET_BEGIN = "HardresetBegin"
	CONST_FSM_PREV_HARDRESET_EXECUTE = "HardresetExecute"
	CONST_FSM_PREV_HARDRESET_FAIL = "HardresetFail"
	CONST_FSM_PREV_HARDRESET_PRE_SANITIZE = "HardresetPreSanitize"
	CONST_FSM_PREV_HARDRESET_SANITIZE = "HardresetSanitize"
	CONST_FSM_PREV_HARDRESET_SUCCESS = "HardresetSuccess"
	CONST_FSM_PREV_POWER_CAP_BEGIN = "PowerCapBegin"
	CONST_FSM_PREV_POWER_CAP_CONFIG = "PowerCapConfig"
	CONST_FSM_PREV_POWER_CAP_FAIL = "PowerCapFail"
	CONST_FSM_PREV_POWER_CAP_SUCCESS = "PowerCapSuccess"
	CONST_FSM_PREV_POWERCYCLE_BEGIN = "PowercycleBegin"
	CONST_FSM_PREV_POWERCYCLE_EXECUTE = "PowercycleExecute"
	CONST_FSM_PREV_POWERCYCLE_FAIL = "PowercycleFail"
	CONST_FSM_PREV_POWERCYCLE_PRE_SANITIZE = "PowercyclePreSanitize"
	CONST_FSM_PREV_POWERCYCLE_SANITIZE = "PowercycleSanitize"
	CONST_FSM_PREV_POWERCYCLE_SUCCESS = "PowercycleSuccess"
	CONST_FSM_PREV_RESET_BMC_BEGIN = "ResetBmcBegin"
	CONST_FSM_PREV_RESET_BMC_EXECUTE = "ResetBmcExecute"
	CONST_FSM_PREV_RESET_BMC_FAIL = "ResetBmcFail"
	CONST_FSM_PREV_RESET_BMC_SUCCESS = "ResetBmcSuccess"
	CONST_FSM_PREV_RESET_IPMI_BEGIN = "ResetIpmiBegin"
	CONST_FSM_PREV_RESET_IPMI_EXECUTE = "ResetIpmiExecute"
	CONST_FSM_PREV_RESET_IPMI_FAIL = "ResetIpmiFail"
	CONST_FSM_PREV_RESET_IPMI_SUCCESS = "ResetIpmiSuccess"
	CONST_FSM_PREV_RESET_KVM_BEGIN = "ResetKvmBegin"
	CONST_FSM_PREV_RESET_KVM_EXECUTE = "ResetKvmExecute"
	CONST_FSM_PREV_RESET_KVM_FAIL = "ResetKvmFail"
	CONST_FSM_PREV_RESET_KVM_SUCCESS = "ResetKvmSuccess"
	CONST_FSM_PREV_RESET_MEMORY_ERRORS_BEGIN = "ResetMemoryErrorsBegin"
	CONST_FSM_PREV_RESET_MEMORY_ERRORS_EXECUTE = "ResetMemoryErrorsExecute"
	CONST_FSM_PREV_RESET_MEMORY_ERRORS_FAIL = "ResetMemoryErrorsFail"
	CONST_FSM_PREV_RESET_MEMORY_ERRORS_SUCCESS = "ResetMemoryErrorsSuccess"
	CONST_FSM_PREV_SERVICE_INFRA_DEPLOY_BEGIN = "ServiceInfraDeployBegin"
	CONST_FSM_PREV_SERVICE_INFRA_DEPLOY_FAIL = "ServiceInfraDeployFail"
	CONST_FSM_PREV_SERVICE_INFRA_DEPLOY_NIC_CONFIG_LOCAL = "ServiceInfraDeployNicConfigLocal"
	CONST_FSM_PREV_SERVICE_INFRA_DEPLOY_NIC_CONFIG_PEER = "ServiceInfraDeployNicConfigPeer"
	CONST_FSM_PREV_SERVICE_INFRA_DEPLOY_SUCCESS = "ServiceInfraDeploySuccess"
	CONST_FSM_PREV_SERVICE_INFRA_DEPLOY_SW_CONFIG_LOCAL = "ServiceInfraDeploySwConfigLocal"
	CONST_FSM_PREV_SERVICE_INFRA_DEPLOY_SW_CONFIG_PEER = "ServiceInfraDeploySwConfigPeer"
	CONST_FSM_PREV_SERVICE_INFRA_WITHDRAW_BEGIN = "ServiceInfraWithdrawBegin"
	CONST_FSM_PREV_SERVICE_INFRA_WITHDRAW_FAIL = "ServiceInfraWithdrawFail"
	CONST_FSM_PREV_SERVICE_INFRA_WITHDRAW_NIC_UN_CONFIG_LOCAL = "ServiceInfraWithdrawNicUnConfigLocal"
	CONST_FSM_PREV_SERVICE_INFRA_WITHDRAW_NIC_UN_CONFIG_PEER = "ServiceInfraWithdrawNicUnConfigPeer"
	CONST_FSM_PREV_SERVICE_INFRA_WITHDRAW_SUCCESS = "ServiceInfraWithdrawSuccess"
	CONST_FSM_PREV_SERVICE_INFRA_WITHDRAW_SW_UN_CONFIG_LOCAL = "ServiceInfraWithdrawSwUnConfigLocal"
	CONST_FSM_PREV_SERVICE_INFRA_WITHDRAW_SW_UN_CONFIG_PEER = "ServiceInfraWithdrawSwUnConfigPeer"
	CONST_FSM_PREV_SOFT_SHUTDOWN_BEGIN = "SoftShutdownBegin"
	CONST_FSM_PREV_SOFT_SHUTDOWN_EXECUTE = "SoftShutdownExecute"
	CONST_FSM_PREV_SOFT_SHUTDOWN_FAIL = "SoftShutdownFail"
	CONST_FSM_PREV_SOFT_SHUTDOWN_SUCCESS = "SoftShutdownSuccess"
	CONST_FSM_PREV_SOFTRESET_BEGIN = "SoftresetBegin"
	CONST_FSM_PREV_SOFTRESET_EXECUTE = "SoftresetExecute"
	CONST_FSM_PREV_SOFTRESET_FAIL = "SoftresetFail"
	CONST_FSM_PREV_SOFTRESET_PRE_SANITIZE = "SoftresetPreSanitize"
	CONST_FSM_PREV_SOFTRESET_SANITIZE = "SoftresetSanitize"
	CONST_FSM_PREV_SOFTRESET_SUCCESS = "SoftresetSuccess"
	CONST_FSM_PREV_SW_CONN_UPD_A = "SwConnUpdA"
	CONST_FSM_PREV_SW_CONN_UPD_B = "SwConnUpdB"
	CONST_FSM_PREV_SW_CONN_UPD_BEGIN = "SwConnUpdBegin"
	CONST_FSM_PREV_SW_CONN_UPD_FAIL = "SwConnUpdFail"
	CONST_FSM_PREV_SW_CONN_UPD_SUCCESS = "SwConnUpdSuccess"
	CONST_FSM_PREV_TURNUP_BEGIN = "TurnupBegin"
	CONST_FSM_PREV_TURNUP_EXECUTE = "TurnupExecute"
	CONST_FSM_PREV_TURNUP_FAIL = "TurnupFail"
	CONST_FSM_PREV_TURNUP_SUCCESS = "TurnupSuccess"
	CONST_FSM_PREV_UNCONFIG_SO_LBEGIN = "UnconfigSoLBegin"
	CONST_FSM_PREV_UNCONFIG_SO_LEXECUTE = "UnconfigSoLExecute"
	CONST_FSM_PREV_UNCONFIG_SO_LFAIL = "UnconfigSoLFail"
	CONST_FSM_PREV_UNCONFIG_SO_LSUCCESS = "UnconfigSoLSuccess"
	CONST_FSM_PREV_UPDATE_ADAPTOR_BEGIN = "UpdateAdaptorBegin"
	CONST_FSM_PREV_UPDATE_ADAPTOR_FAIL = "UpdateAdaptorFail"
	CONST_FSM_PREV_UPDATE_ADAPTOR_POLL_UPDATE_STATUS_LOCAL = "UpdateAdaptorPollUpdateStatusLocal"
	CONST_FSM_PREV_UPDATE_ADAPTOR_POLL_UPDATE_STATUS_PEER = "UpdateAdaptorPollUpdateStatusPeer"
	CONST_FSM_PREV_UPDATE_ADAPTOR_POWER_OFF = "UpdateAdaptorPowerOff"
	CONST_FSM_PREV_UPDATE_ADAPTOR_POWER_ON = "UpdateAdaptorPowerOn"
	CONST_FSM_PREV_UPDATE_ADAPTOR_SUCCESS = "UpdateAdaptorSuccess"
	CONST_FSM_PREV_UPDATE_ADAPTOR_UPDATE_REQUEST_LOCAL = "UpdateAdaptorUpdateRequestLocal"
	CONST_FSM_PREV_UPDATE_ADAPTOR_UPDATE_REQUEST_PEER = "UpdateAdaptorUpdateRequestPeer"
	CONST_FSM_PREV_UPDATE_BIOSBEGIN = "UpdateBIOSBegin"
	CONST_FSM_PREV_UPDATE_BIOSCLEAR = "UpdateBIOSClear"
	CONST_FSM_PREV_UPDATE_BIOSFAIL = "UpdateBIOSFail"
	CONST_FSM_PREV_UPDATE_BIOSPOLL_CLEAR_STATUS = "UpdateBIOSPollClearStatus"
	CONST_FSM_PREV_UPDATE_BIOSPOLL_UPDATE_STATUS = "UpdateBIOSPollUpdateStatus"
	CONST_FSM_PREV_UPDATE_BIOSSUCCESS = "UpdateBIOSSuccess"
	CONST_FSM_PREV_UPDATE_BIOSUPDATE_REQUEST = "UpdateBIOSUpdateRequest"
	CONST_FSM_PREV_UPDATE_BOARD_CONTROLLER_BEGIN = "UpdateBoardControllerBegin"
	CONST_FSM_PREV_UPDATE_BOARD_CONTROLLER_FAIL = "UpdateBoardControllerFail"
	CONST_FSM_PREV_UPDATE_BOARD_CONTROLLER_POLL_UPDATE_STATUS = "UpdateBoardControllerPollUpdateStatus"
	CONST_FSM_PREV_UPDATE_BOARD_CONTROLLER_PREPARE_FOR_UPDATE = "UpdateBoardControllerPrepareForUpdate"
	CONST_FSM_PREV_UPDATE_BOARD_CONTROLLER_SERVER_POWER_OFF = "UpdateBoardControllerServerPowerOff"
	CONST_FSM_PREV_UPDATE_BOARD_CONTROLLER_SERVER_POWER_ON = "UpdateBoardControllerServerPowerOn"
	CONST_FSM_PREV_UPDATE_BOARD_CONTROLLER_SUCCESS = "UpdateBoardControllerSuccess"
	CONST_FSM_PREV_UPDATE_BOARD_CONTROLLER_UPDATE_REQUEST = "UpdateBoardControllerUpdateRequest"
	CONST_FSM_PREV_NOP = "nop"
	CONST_FSM_PREV_UPDATE_EXT_USERS_BEGIN = "updateExtUsersBegin"
	CONST_FSM_PREV_UPDATE_EXT_USERS_DEPLOY = "updateExtUsersDeploy"
	CONST_FSM_PREV_UPDATE_EXT_USERS_FAIL = "updateExtUsersFail"
	CONST_FSM_PREV_UPDATE_EXT_USERS_SUCCESS = "updateExtUsersSuccess"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_2FA_AUTH_RETRY = "ERR-2fa-auth-retry"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_ACTIVATE_FAILED = "ERR-ACTIVATE-failed"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_ACTIVATE_IN_PROGRESS = "ERR-ACTIVATE-in-progress"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_ACTIVATE_RETRY = "ERR-ACTIVATE-retry"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_BIOS_TOKENS_OLD_BIOS = "ERR-BIOS-TOKENS-OLD-BIOS"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_BIOS_TOKENS_OLD_CIMC = "ERR-BIOS-TOKENS-OLD-CIMC"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_BIOS_NETWORK_BOOT_ORDER_NOT_FOUND = "ERR-BIOS-network-boot-order-not-found"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_BOARDCTRLUPDATE_IGNORE = "ERR-BOARDCTRLUPDATE-ignore"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DIAG_CANCELLED = "ERR-DIAG-cancelled"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DIAG_FSM_RESTARTED = "ERR-DIAG-fsm-restarted"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DIAG_TEST_FAILED = "ERR-DIAG-test-failed"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DNLD_AUTHENTICATION_FAILURE = "ERR-DNLD-authentication-failure"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DNLD_HOSTKEY_MISMATCH = "ERR-DNLD-hostkey-mismatch"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DNLD_INVALID_IMAGE = "ERR-DNLD-invalid-image"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DNLD_NO_FILE = "ERR-DNLD-no-file"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DNLD_NO_SPACE = "ERR-DNLD-no-space"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DNS_DELETE_ERROR = "ERR-DNS-delete-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DNS_GET_ERROR = "ERR-DNS-get-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DNS_SET_ERROR = "ERR-DNS-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DIAGNOSTICS_IN_PROGRESS = "ERR-Diagnostics-in-progress"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DIAGNOSTICS_MEMTEST_IN_PROGRESS = "ERR-Diagnostics-memtest-in-progress"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DIAGNOSTICS_NETWORK_IN_PROGRESS = "ERR-Diagnostics-network-in-progress"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_FILTER_ILLEGAL_FORMAT = "ERR-FILTER-illegal-format"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_FSM_NO_SUCH_STATE = "ERR-FSM-no-such-state"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_HOST_FRU_IDENTITY_MISMATCH = "ERR-HOST-fru-identity-mismatch"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_HTTP_SET_ERROR = "ERR-HTTP-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_HTTPS_SET_ERROR = "ERR-HTTPS-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_IBMC_ANALYZE_RESULTS = "ERR-IBMC-analyze-results"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_IBMC_CONNECT_ERROR = "ERR-IBMC-connect-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_IBMC_CONNECTOR_INFO_RETRIEVAL_ERROR = "ERR-IBMC-connector-info-retrieval-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_IBMC_FRU_RETRIEVAL_ERROR = "ERR-IBMC-fru-retrieval-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_IBMC_INVALID_END_POINT_CONFIG = "ERR-IBMC-invalid-end-point-config"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_IBMC_RESULTS_NOT_READY = "ERR-IBMC-results-not-ready"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MAX_SUBSCRIPTIONS_ALLOWED_ERROR = "ERR-MAX-subscriptions-allowed-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_CONFIG_CHILD_OBJECT_CANT_BE_CONFIGURED = "ERR-MO-CONFIG-child-object-cant-be-configured"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_META_NO_SUCH_OBJECT_CLASS = "ERR-MO-META-no-such-object-class"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_PROPERTY_NO_SUCH_PROPERTY = "ERR-MO-PROPERTY-no-such-property"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_PROPERTY_VALUE_OUT_OF_RANGE = "ERR-MO-PROPERTY-value-out-of-range"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_ACCESS_DENIED = "ERR-MO-access-denied"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_DELETION_RULE_VIOLATION = "ERR-MO-deletion-rule-violation"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_DUPLICATE_OBJECT = "ERR-MO-duplicate-object"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_ILLEGAL_CONTAINMENT = "ERR-MO-illegal-containment"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_ILLEGAL_CREATION = "ERR-MO-illegal-creation"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_ILLEGAL_ITERATOR_STATE = "ERR-MO-illegal-iterator-state"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_ILLEGAL_OBJECT_LIFECYCLE_TRANSITION = "ERR-MO-illegal-object-lifecycle-transition"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_NAMING_RULE_VIOLATION = "ERR-MO-naming-rule-violation"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_OBJECT_NOT_FOUND = "ERR-MO-object-not-found"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_RESOURCE_ALLOCATION = "ERR-MO-resource-allocation"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_NTP_DELETE_ERROR = "ERR-NTP-delete-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_NTP_GET_ERROR = "ERR-NTP-get-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_NTP_SET_ERROR = "ERR-NTP-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_POWER_CAP_UNSUPPORTED = "ERR-POWER-CAP-UNSUPPORTED"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_SERVER_MIS_CONNECT = "ERR-SERVER-mis-connect"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_SWITCH_INVALID_IF_CONFIG = "ERR-SWITCH-invalid-if-config"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_TOKEN_REQUEST_DENIED = "ERR-TOKEN-request-denied"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_UNABLE_TO_FETCH_BIOS_SETTINGS = "ERR-UNABLE-TO-FETCH-BIOS-SETTINGS"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_UPDATE_FAILED = "ERR-UPDATE-failed"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_UPDATE_IN_PROGRESS = "ERR-UPDATE-in-progress"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_UPDATE_RETRY = "ERR-UPDATE-retry"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_AAA_CONFIG_MODIFY_ERROR = "ERR-aaa-config-modify-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_ACCT_REALM_SET_ERROR = "ERR-acct-realm-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_ADMIN_PASSWD_SET = "ERR-admin-passwd-set"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_AUTH_ISSUE = "ERR-auth-issue"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_AUTH_REALM_GET_ERROR = "ERR-auth-realm-get-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_AUTH_REALM_SET_ERROR = "ERR-auth-realm-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_AUTHENTICATION = "ERR-authentication"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_AUTHORIZATION_REQUIRED = "ERR-authorization-required"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_CLI_SESSION_LIMIT_REACHED = "ERR-cli-session-limit-reached"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_CREATE_KEYRING = "ERR-create-keyring"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_CREATE_LOCALE = "ERR-create-locale"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_CREATE_ROLE = "ERR-create-role"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_CREATE_USER = "ERR-create-user"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DELETE_LOCALE = "ERR-delete-locale"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DELETE_ROLE = "ERR-delete-role"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DELETE_SESSION = "ERR-delete-session"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DELETE_USER = "ERR-delete-user"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_EFI_DIAGNOSTICS_IN_PROGRESS = "ERR-efi-Diagnostics--in-progress"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_ENABLE_MGMT_CONN = "ERR-enable-mgmt-conn"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_EP_SET_ERROR = "ERR-ep-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_GET_MAX_HTTP_USER_SESSIONS = "ERR-get-max-http-user-sessions"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_HTTP_INITIALIZING = "ERR-http-initializing"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_INSUFFICIENTLY_EQUIPPED = "ERR-insufficiently-equipped"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_INTERNAL_ERROR = "ERR-internal-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_LDAP_DELETE_ERROR = "ERR-ldap-delete-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_LDAP_GET_ERROR = "ERR-ldap-get-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_LDAP_GROUP_MODIFY_ERROR = "ERR-ldap-group-modify-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_LDAP_GROUP_SET_ERROR = "ERR-ldap-group-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_LDAP_SET_ERROR = "ERR-ldap-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_LOCALE_SET_ERROR = "ERR-locale-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MAX_USERID_SESSIONS_REACHED = "ERR-max-userid-sessions-reached"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MISSING_METHOD = "ERR-missing-method"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MODIFY_LOCALE = "ERR-modify-locale"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MODIFY_ROLE = "ERR-modify-role"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MODIFY_USER = "ERR-modify-user"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MODIFY_USER_LOCALE = "ERR-modify-user-locale"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MODIFY_USER_ROLE = "ERR-modify-user-role"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_PROVIDER_GROUP_MODIFY_ERROR = "ERR-provider-group-modify-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_PROVIDER_GROUP_SET_ERROR = "ERR-provider-group-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_RADIUS_GET_ERROR = "ERR-radius-get-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_RADIUS_GLOBAL_SET_ERROR = "ERR-radius-global-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_RADIUS_GROUP_SET_ERROR = "ERR-radius-group-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_RADIUS_SET_ERROR = "ERR-radius-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_REQUEST_TIMEOUT = "ERR-request-timeout"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_RESET_ADAPTER = "ERR-reset-adapter"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_ROLE_SET_ERROR = "ERR-role-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_SECONDARY_NODE = "ERR-secondary-node"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_SERVICE_NOT_READY = "ERR-service-not-ready"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_SESSION_CACHE_FULL = "ERR-session-cache-full"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_SESSION_NOT_FOUND = "ERR-session-not-found"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_SET_NETWORK = "ERR-set-network"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_SET_PASSWORD_STRENGTH_CHECK = "ERR-set-password-strength-check"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_SET_PORT_CHANNEL = "ERR-set-port-channel"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_STORE_PRE_LOGIN_BANNER_MSG = "ERR-store-pre-login-banner-msg"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_TACACS_ENABLE_ERROR = "ERR-tacacs-enable-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_TACACS_GLOBAL_SET_ERROR = "ERR-tacacs-global-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_TACACS_GROUP_SET_ERROR = "ERR-tacacs-group-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_TACACS_PLUS_GET_ERROR = "ERR-tacacs-plus-get-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_TACACS_SET_ERROR = "ERR-tacacs-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_TEST_ERROR_1 = "ERR-test-error-1"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_TEST_ERROR_2 = "ERR-test-error-2"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_TIMEZONE_SET_ERROR = "ERR-timezone-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_USER_ACCOUNT_EXPIRED = "ERR-user-account-expired"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_USER_SET_ERROR = "ERR-user-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_XML_PARSE_ERROR = "ERR-xml-parse-error"
	CONST_FSM_RMT_INV_ERR_CODE_NONE = "none"
	CONST_FSM_STAMP_NEVER = "never"
	CONST_FSM_STATUS_ACTIVATE_ADAPTOR_ACTIVATE_LOCAL = "ActivateAdaptorActivateLocal"
	CONST_FSM_STATUS_ACTIVATE_ADAPTOR_ACTIVATE_PEER = "ActivateAdaptorActivatePeer"
	CONST_FSM_STATUS_ACTIVATE_ADAPTOR_BEGIN = "ActivateAdaptorBegin"
	CONST_FSM_STATUS_ACTIVATE_ADAPTOR_DEASSERT_RESET_BYPASS = "ActivateAdaptorDeassertResetBypass"
	CONST_FSM_STATUS_ACTIVATE_ADAPTOR_FAIL = "ActivateAdaptorFail"
	CONST_FSM_STATUS_ACTIVATE_ADAPTOR_POWER_ON = "ActivateAdaptorPowerOn"
	CONST_FSM_STATUS_ACTIVATE_ADAPTOR_RESET = "ActivateAdaptorReset"
	CONST_FSM_STATUS_ACTIVATE_ADAPTOR_SUCCESS = "ActivateAdaptorSuccess"
	CONST_FSM_STATUS_ACTIVATE_BIOSACTIVATE = "ActivateBIOSActivate"
	CONST_FSM_STATUS_ACTIVATE_BIOSBEGIN = "ActivateBIOSBegin"
	CONST_FSM_STATUS_ACTIVATE_BIOSCLEAR = "ActivateBIOSClear"
	CONST_FSM_STATUS_ACTIVATE_BIOSFAIL = "ActivateBIOSFail"
	CONST_FSM_STATUS_ACTIVATE_BIOSPOLL_ACTIVATE_STATUS = "ActivateBIOSPollActivateStatus"
	CONST_FSM_STATUS_ACTIVATE_BIOSPOLL_CLEAR_STATUS = "ActivateBIOSPollClearStatus"
	CONST_FSM_STATUS_ACTIVATE_BIOSPOWER_OFF = "ActivateBIOSPowerOff"
	CONST_FSM_STATUS_ACTIVATE_BIOSPOWER_ON = "ActivateBIOSPowerOn"
	CONST_FSM_STATUS_ACTIVATE_BIOSSUCCESS = "ActivateBIOSSuccess"
	CONST_FSM_STATUS_ACTIVATE_BIOSUPDATE_TOKENS = "ActivateBIOSUpdateTokens"
	CONST_FSM_STATUS_ASSOCIATE_ACTIVATE_ADAPTOR_NW_FW_LOCAL = "AssociateActivateAdaptorNwFwLocal"
	CONST_FSM_STATUS_ASSOCIATE_ACTIVATE_ADAPTOR_NW_FW_PEER = "AssociateActivateAdaptorNwFwPeer"
	CONST_FSM_STATUS_ASSOCIATE_ACTIVATE_BIOS = "AssociateActivateBios"
	CONST_FSM_STATUS_ASSOCIATE_ACTIVATE_IBMCFW = "AssociateActivateIBMCFw"
	CONST_FSM_STATUS_ASSOCIATE_BEGIN = "AssociateBegin"
	CONST_FSM_STATUS_ASSOCIATE_BIOS_IMG_UPDATE = "AssociateBiosImgUpdate"
	CONST_FSM_STATUS_ASSOCIATE_BIOS_POST_COMPLETION = "AssociateBiosPostCompletion"
	CONST_FSM_STATUS_ASSOCIATE_BLADE_POWER_OFF = "AssociateBladePowerOff"
	CONST_FSM_STATUS_ASSOCIATE_BMC_CONFIG_PNU_OS = "AssociateBmcConfigPnuOS"
	CONST_FSM_STATUS_ASSOCIATE_BMC_PRECONFIG_PNU_OSLOCAL = "AssociateBmcPreconfigPnuOSLocal"
	CONST_FSM_STATUS_ASSOCIATE_BMC_PRECONFIG_PNU_OSPEER = "AssociateBmcPreconfigPnuOSPeer"
	CONST_FSM_STATUS_ASSOCIATE_BMC_UNCONFIG_PNU_OS = "AssociateBmcUnconfigPnuOS"
	CONST_FSM_STATUS_ASSOCIATE_BOOT_HOST = "AssociateBootHost"
	CONST_FSM_STATUS_ASSOCIATE_BOOT_PNUOS = "AssociateBootPnuos"
	CONST_FSM_STATUS_ASSOCIATE_BOOT_WAIT = "AssociateBootWait"
	CONST_FSM_STATUS_ASSOCIATE_CLEAR_BIOS_UPDATE = "AssociateClearBiosUpdate"
	CONST_FSM_STATUS_ASSOCIATE_CONFIG_CIMC_VMEDIA = "AssociateConfigCimcVMedia"
	CONST_FSM_STATUS_ASSOCIATE_CONFIG_EXT_MGMT_GW = "AssociateConfigExtMgmtGw"
	CONST_FSM_STATUS_ASSOCIATE_CONFIG_EXT_MGMT_RULES = "AssociateConfigExtMgmtRules"
	CONST_FSM_STATUS_ASSOCIATE_CONFIG_FLEX_FLASH = "AssociateConfigFlexFlash"
	CONST_FSM_STATUS_ASSOCIATE_CONFIG_SO_L = "AssociateConfigSoL"
	CONST_FSM_STATUS_ASSOCIATE_CONFIG_USER_ACCESS = "AssociateConfigUserAccess"
	CONST_FSM_STATUS_ASSOCIATE_CONFIG_UUID = "AssociateConfigUuid"
	CONST_FSM_STATUS_ASSOCIATE_COPY_REMOTE = "AssociateCopyRemote"
	CONST_FSM_STATUS_ASSOCIATE_DEASSERT_RESET_BYPASS = "AssociateDeassertResetBypass"
	CONST_FSM_STATUS_ASSOCIATE_DELETE_CURL_DOWNLOADED_IMAGES = "AssociateDeleteCurlDownloadedImages"
	CONST_FSM_STATUS_ASSOCIATE_DOWNLOAD_IMAGES = "AssociateDownloadImages"
	CONST_FSM_STATUS_ASSOCIATE_FAIL = "AssociateFail"
	CONST_FSM_STATUS_ASSOCIATE_GRAPHICS_IMAGE_UPDATE = "AssociateGraphicsImageUpdate"
	CONST_FSM_STATUS_ASSOCIATE_HAG_HOST_OSCONNECT = "AssociateHagHostOSConnect"
	CONST_FSM_STATUS_ASSOCIATE_HAG_PNU_OSCONNECT = "AssociateHagPnuOSConnect"
	CONST_FSM_STATUS_ASSOCIATE_HAG_PNU_OSDISCONNECT = "AssociateHagPnuOSDisconnect"
	CONST_FSM_STATUS_ASSOCIATE_HBA_IMG_UPDATE = "AssociateHbaImgUpdate"
	CONST_FSM_STATUS_ASSOCIATE_HOST_OSCONFIG = "AssociateHostOSConfig"
	CONST_FSM_STATUS_ASSOCIATE_HOST_OSIDENT = "AssociateHostOSIdent"
	CONST_FSM_STATUS_ASSOCIATE_HOST_OSPOLICY = "AssociateHostOSPolicy"
	CONST_FSM_STATUS_ASSOCIATE_HOST_OSVALIDATE = "AssociateHostOSValidate"
	CONST_FSM_STATUS_ASSOCIATE_LOCAL_DISK_FW_UPDATE = "AssociateLocalDiskFwUpdate"
	CONST_FSM_STATUS_ASSOCIATE_MARK_ADAPTER_FOR_REBOOT = "AssociateMarkAdapterForReboot"
	CONST_FSM_STATUS_ASSOCIATE_NIC_CONFIG_HOST_OSLOCAL = "AssociateNicConfigHostOSLocal"
	CONST_FSM_STATUS_ASSOCIATE_NIC_CONFIG_HOST_OSPEER = "AssociateNicConfigHostOSPeer"
	CONST_FSM_STATUS_ASSOCIATE_NIC_CONFIG_PNU_OSLOCAL = "AssociateNicConfigPnuOSLocal"
	CONST_FSM_STATUS_ASSOCIATE_NIC_CONFIG_PNU_OSPEER = "AssociateNicConfigPnuOSPeer"
	CONST_FSM_STATUS_ASSOCIATE_NIC_CONFIG_SERVICE_INFRA_LOCAL = "AssociateNicConfigServiceInfraLocal"
	CONST_FSM_STATUS_ASSOCIATE_NIC_CONFIG_SERVICE_INFRA_PEER = "AssociateNicConfigServiceInfraPeer"
	CONST_FSM_STATUS_ASSOCIATE_NIC_IMG_UPDATE = "AssociateNicImgUpdate"
	CONST_FSM_STATUS_ASSOCIATE_NIC_UNCONFIG_PNU_OSLOCAL = "AssociateNicUnconfigPnuOSLocal"
	CONST_FSM_STATUS_ASSOCIATE_NIC_UNCONFIG_PNU_OSPEER = "AssociateNicUnconfigPnuOSPeer"
	CONST_FSM_STATUS_ASSOCIATE_OOB_STORAGE_INVENTORY = "AssociateOobStorageInventory"
	CONST_FSM_STATUS_ASSOCIATE_PNU_OSCATALOG = "AssociatePnuOSCatalog"
	CONST_FSM_STATUS_ASSOCIATE_PNU_OSCONFIG = "AssociatePnuOSConfig"
	CONST_FSM_STATUS_ASSOCIATE_PNU_OSIDENT = "AssociatePnuOSIdent"
	CONST_FSM_STATUS_ASSOCIATE_PNU_OSINVENTORY = "AssociatePnuOSInventory"
	CONST_FSM_STATUS_ASSOCIATE_PNU_OSLOCAL_DISK_CONFIG = "AssociatePnuOSLocalDiskConfig"
	CONST_FSM_STATUS_ASSOCIATE_PNU_OSPOLICY = "AssociatePnuOSPolicy"
	CONST_FSM_STATUS_ASSOCIATE_PNU_OSSELF_TEST = "AssociatePnuOSSelfTest"
	CONST_FSM_STATUS_ASSOCIATE_PNU_OSUNLOAD_DRIVERS = "AssociatePnuOSUnloadDrivers"
	CONST_FSM_STATUS_ASSOCIATE_PNU_OSVALIDATE = "AssociatePnuOSValidate"
	CONST_FSM_STATUS_ASSOCIATE_POLL_BIOS_ACTIVATE_STATUS = "AssociatePollBiosActivateStatus"
	CONST_FSM_STATUS_ASSOCIATE_POLL_BIOS_UPDATE_STATUS = "AssociatePollBiosUpdateStatus"
	CONST_FSM_STATUS_ASSOCIATE_POLL_BOARD_CTRL_UPDATE_STATUS = "AssociatePollBoardCtrlUpdateStatus"
	CONST_FSM_STATUS_ASSOCIATE_POLL_CLEAR_BIOS_UPDATE_STATUS = "AssociatePollClearBiosUpdateStatus"
	CONST_FSM_STATUS_ASSOCIATE_POWER_ON = "AssociatePowerOn"
	CONST_FSM_STATUS_ASSOCIATE_POWER_ON_PRE_CONFIG = "AssociatePowerOnPreConfig"
	CONST_FSM_STATUS_ASSOCIATE_PRE_SANITIZE = "AssociatePreSanitize"
	CONST_FSM_STATUS_ASSOCIATE_PREPARE_FOR_BOOT = "AssociatePrepareForBoot"
	CONST_FSM_STATUS_ASSOCIATE_RESET_IBMC = "AssociateResetIBMC"
	CONST_FSM_STATUS_ASSOCIATE_SANITIZE = "AssociateSanitize"
	CONST_FSM_STATUS_ASSOCIATE_SERIAL_DEBUG_PNU_OSCONNECT = "AssociateSerialDebugPnuOSConnect"
	CONST_FSM_STATUS_ASSOCIATE_SERIAL_DEBUG_PNU_OSDISCONNECT = "AssociateSerialDebugPnuOSDisconnect"
	CONST_FSM_STATUS_ASSOCIATE_SOL_REDIRECT_DISABLE = "AssociateSolRedirectDisable"
	CONST_FSM_STATUS_ASSOCIATE_SOL_REDIRECT_ENABLE = "AssociateSolRedirectEnable"
	CONST_FSM_STATUS_ASSOCIATE_STORAGE_CTLR_IMG_UPDATE = "AssociateStorageCtlrImgUpdate"
	CONST_FSM_STATUS_ASSOCIATE_SUCCESS = "AssociateSuccess"
	CONST_FSM_STATUS_ASSOCIATE_SW_CONFIG_HOST_OSLOCAL = "AssociateSwConfigHostOSLocal"
	CONST_FSM_STATUS_ASSOCIATE_SW_CONFIG_HOST_OSPEER = "AssociateSwConfigHostOSPeer"
	CONST_FSM_STATUS_ASSOCIATE_SW_CONFIG_PNU_OSLOCAL = "AssociateSwConfigPnuOSLocal"
	CONST_FSM_STATUS_ASSOCIATE_SW_CONFIG_PNU_OSPEER = "AssociateSwConfigPnuOSPeer"
	CONST_FSM_STATUS_ASSOCIATE_SW_CONFIG_PORT_NIV_LOCAL = "AssociateSwConfigPortNivLocal"
	CONST_FSM_STATUS_ASSOCIATE_SW_CONFIG_PORT_NIV_PEER = "AssociateSwConfigPortNivPeer"
	CONST_FSM_STATUS_ASSOCIATE_SW_CONFIG_SERVICE_INFRA_LOCAL = "AssociateSwConfigServiceInfraLocal"
	CONST_FSM_STATUS_ASSOCIATE_SW_CONFIG_SERVICE_INFRA_PEER = "AssociateSwConfigServiceInfraPeer"
	CONST_FSM_STATUS_ASSOCIATE_SW_UNCONFIG_PNU_OSLOCAL = "AssociateSwUnconfigPnuOSLocal"
	CONST_FSM_STATUS_ASSOCIATE_SW_UNCONFIG_PNU_OSPEER = "AssociateSwUnconfigPnuOSPeer"
	CONST_FSM_STATUS_ASSOCIATE_SYNC_POWER_STATE = "AssociateSyncPowerState"
	CONST_FSM_STATUS_ASSOCIATE_UNCONFIG_CIMC_VMEDIA = "AssociateUnconfigCimcVMedia"
	CONST_FSM_STATUS_ASSOCIATE_UNCONFIG_EXT_MGMT_GW = "AssociateUnconfigExtMgmtGw"
	CONST_FSM_STATUS_ASSOCIATE_UNCONFIG_EXT_MGMT_RULES = "AssociateUnconfigExtMgmtRules"
	CONST_FSM_STATUS_ASSOCIATE_UPDATE_ADAPTOR_NW_FW_LOCAL = "AssociateUpdateAdaptorNwFwLocal"
	CONST_FSM_STATUS_ASSOCIATE_UPDATE_ADAPTOR_NW_FW_PEER = "AssociateUpdateAdaptorNwFwPeer"
	CONST_FSM_STATUS_ASSOCIATE_UPDATE_BIOS_REQUEST = "AssociateUpdateBiosRequest"
	CONST_FSM_STATUS_ASSOCIATE_UPDATE_BOARD_CTRL_REQUEST = "AssociateUpdateBoardCtrlRequest"
	CONST_FSM_STATUS_ASSOCIATE_UPDATE_IBMCFW = "AssociateUpdateIBMCFw"
	CONST_FSM_STATUS_ASSOCIATE_VERIFY_FC_ZONE_CONFIG = "AssociateVerifyFcZoneConfig"
	CONST_FSM_STATUS_ASSOCIATE_WAIT_FOR_ADAPTOR_NW_FW_UPDATE_LOCAL = "AssociateWaitForAdaptorNwFwUpdateLocal"
	CONST_FSM_STATUS_ASSOCIATE_WAIT_FOR_ADAPTOR_NW_FW_UPDATE_PEER = "AssociateWaitForAdaptorNwFwUpdatePeer"
	CONST_FSM_STATUS_ASSOCIATE_WAIT_FOR_IBMCFW_UPDATE = "AssociateWaitForIBMCFwUpdate"
	CONST_FSM_STATUS_BIOS_RECOVERY_BEGIN = "BiosRecoveryBegin"
	CONST_FSM_STATUS_BIOS_RECOVERY_CLEANUP = "BiosRecoveryCleanup"
	CONST_FSM_STATUS_BIOS_RECOVERY_FAIL = "BiosRecoveryFail"
	CONST_FSM_STATUS_BIOS_RECOVERY_PRE_SANITIZE = "BiosRecoveryPreSanitize"
	CONST_FSM_STATUS_BIOS_RECOVERY_RESET = "BiosRecoveryReset"
	CONST_FSM_STATUS_BIOS_RECOVERY_SANITIZE = "BiosRecoverySanitize"
	CONST_FSM_STATUS_BIOS_RECOVERY_SETUP_VMEDIA_LOCAL = "BiosRecoverySetupVmediaLocal"
	CONST_FSM_STATUS_BIOS_RECOVERY_SETUP_VMEDIA_PEER = "BiosRecoverySetupVmediaPeer"
	CONST_FSM_STATUS_BIOS_RECOVERY_SHUTDOWN = "BiosRecoveryShutdown"
	CONST_FSM_STATUS_BIOS_RECOVERY_START = "BiosRecoveryStart"
	CONST_FSM_STATUS_BIOS_RECOVERY_STOP_VMEDIA_LOCAL = "BiosRecoveryStopVMediaLocal"
	CONST_FSM_STATUS_BIOS_RECOVERY_STOP_VMEDIA_PEER = "BiosRecoveryStopVMediaPeer"
	CONST_FSM_STATUS_BIOS_RECOVERY_SUCCESS = "BiosRecoverySuccess"
	CONST_FSM_STATUS_BIOS_RECOVERY_TEARDOWN_VMEDIA_LOCAL = "BiosRecoveryTeardownVmediaLocal"
	CONST_FSM_STATUS_BIOS_RECOVERY_TEARDOWN_VMEDIA_PEER = "BiosRecoveryTeardownVmediaPeer"
	CONST_FSM_STATUS_BIOS_RECOVERY_WAIT = "BiosRecoveryWait"
	CONST_FSM_STATUS_CIMC_SESSION_DELETE_BEGIN = "CimcSessionDeleteBegin"
	CONST_FSM_STATUS_CIMC_SESSION_DELETE_EXECUTE = "CimcSessionDeleteExecute"
	CONST_FSM_STATUS_CIMC_SESSION_DELETE_FAIL = "CimcSessionDeleteFail"
	CONST_FSM_STATUS_CIMC_SESSION_DELETE_SUCCESS = "CimcSessionDeleteSuccess"
	CONST_FSM_STATUS_CMOS_RESET_BEGIN = "CmosResetBegin"
	CONST_FSM_STATUS_CMOS_RESET_BLADE_POWER_ON = "CmosResetBladePowerOn"
	CONST_FSM_STATUS_CMOS_RESET_EXECUTE = "CmosResetExecute"
	CONST_FSM_STATUS_CMOS_RESET_FAIL = "CmosResetFail"
	CONST_FSM_STATUS_CMOS_RESET_PRE_SANITIZE = "CmosResetPreSanitize"
	CONST_FSM_STATUS_CMOS_RESET_RECONFIG_BIOS = "CmosResetReconfigBios"
	CONST_FSM_STATUS_CMOS_RESET_RECONFIG_UUID = "CmosResetReconfigUuid"
	CONST_FSM_STATUS_CMOS_RESET_SANITIZE = "CmosResetSanitize"
	CONST_FSM_STATUS_CMOS_RESET_SUCCESS = "CmosResetSuccess"
	CONST_FSM_STATUS_CONFIG_BOARD_BEGIN = "ConfigBoardBegin"
	CONST_FSM_STATUS_CONFIG_BOARD_CONFIG_MEMORY_POLICY = "ConfigBoardConfigMemoryPolicy"
	CONST_FSM_STATUS_CONFIG_BOARD_FAIL = "ConfigBoardFail"
	CONST_FSM_STATUS_CONFIG_BOARD_SUCCESS = "ConfigBoardSuccess"
	CONST_FSM_STATUS_CONFIG_SO_LBEGIN = "ConfigSoLBegin"
	CONST_FSM_STATUS_CONFIG_SO_LEXECUTE = "ConfigSoLExecute"
	CONST_FSM_STATUS_CONFIG_SO_LFAIL = "ConfigSoLFail"
	CONST_FSM_STATUS_CONFIG_SO_LSUCCESS = "ConfigSoLSuccess"
	CONST_FSM_STATUS_DECOMMISSION_BEGIN = "DecommissionBegin"
	CONST_FSM_STATUS_DECOMMISSION_CLEANUP_CIMC = "DecommissionCleanupCIMC"
	CONST_FSM_STATUS_DECOMMISSION_CLEANUP_PORT_CONFIG_LOCAL = "DecommissionCleanupPortConfigLocal"
	CONST_FSM_STATUS_DECOMMISSION_CLEANUP_PORT_CONFIG_PEER = "DecommissionCleanupPortConfigPeer"
	CONST_FSM_STATUS_DECOMMISSION_EXECUTE = "DecommissionExecute"
	CONST_FSM_STATUS_DECOMMISSION_FAIL = "DecommissionFail"
	CONST_FSM_STATUS_DECOMMISSION_STOP_VMEDIA_LOCAL = "DecommissionStopVMediaLocal"
	CONST_FSM_STATUS_DECOMMISSION_STOP_VMEDIA_PEER = "DecommissionStopVMediaPeer"
	CONST_FSM_STATUS_DECOMMISSION_SUCCESS = "DecommissionSuccess"
	CONST_FSM_STATUS_DECOMMISSION_UNCONFIG_EXT_MGMT_GW = "DecommissionUnconfigExtMgmtGw"
	CONST_FSM_STATUS_DECOMMISSION_UNCONFIG_EXT_MGMT_RULES = "DecommissionUnconfigExtMgmtRules"
	CONST_FSM_STATUS_DIAG_BEGIN = "DiagBegin"
	CONST_FSM_STATUS_DIAG_BIOS_POST_COMPLETION = "DiagBiosPostCompletion"
	CONST_FSM_STATUS_DIAG_BLADE_BOOT = "DiagBladeBoot"
	CONST_FSM_STATUS_DIAG_BLADE_BOOT_WAIT = "DiagBladeBootWait"
	CONST_FSM_STATUS_DIAG_BLADE_POWER_ON = "DiagBladePowerOn"
	CONST_FSM_STATUS_DIAG_BLADE_READ_SMBIOS = "DiagBladeReadSmbios"
	CONST_FSM_STATUS_DIAG_BMC_CONFIG_PNU_OS = "DiagBmcConfigPnuOS"
	CONST_FSM_STATUS_DIAG_BMC_INVENTORY = "DiagBmcInventory"
	CONST_FSM_STATUS_DIAG_BMC_PRESENCE = "DiagBmcPresence"
	CONST_FSM_STATUS_DIAG_BMC_SHUTDOWN_DIAG_COMPLETED = "DiagBmcShutdownDiagCompleted"
	CONST_FSM_STATUS_DIAG_CLEANUP_SERVER_CONN_SW_A = "DiagCleanupServerConnSwA"
	CONST_FSM_STATUS_DIAG_CLEANUP_SERVER_CONN_SW_B = "DiagCleanupServerConnSwB"
	CONST_FSM_STATUS_DIAG_CONFIG_FE_LOCAL = "DiagConfigFeLocal"
	CONST_FSM_STATUS_DIAG_CONFIG_FE_PEER = "DiagConfigFePeer"
	CONST_FSM_STATUS_DIAG_CONFIG_USER_ACCESS = "DiagConfigUserAccess"
	CONST_FSM_STATUS_DIAG_DEBUG_WAIT = "DiagDebugWait"
	CONST_FSM_STATUS_DIAG_DERIVE_CONFIG = "DiagDeriveConfig"
	CONST_FSM_STATUS_DIAG_DISABLE_SERVER_CONN_SW_A = "DiagDisableServerConnSwA"
	CONST_FSM_STATUS_DIAG_DISABLE_SERVER_CONN_SW_B = "DiagDisableServerConnSwB"
	CONST_FSM_STATUS_DIAG_ENABLE_SERVER_CONN_SW_A = "DiagEnableServerConnSwA"
	CONST_FSM_STATUS_DIAG_ENABLE_SERVER_CONN_SW_B = "DiagEnableServerConnSwB"
	CONST_FSM_STATUS_DIAG_EVALUATE_STATUS = "DiagEvaluateStatus"
	CONST_FSM_STATUS_DIAG_FABRIC_ATRAFFIC_TEST_STATUS = "DiagFabricATrafficTestStatus"
	CONST_FSM_STATUS_DIAG_FABRIC_BTRAFFIC_TEST_STATUS = "DiagFabricBTrafficTestStatus"
	CONST_FSM_STATUS_DIAG_FAIL = "DiagFail"
	CONST_FSM_STATUS_DIAG_GENERATE_LOG_WAIT = "DiagGenerateLogWait"
	CONST_FSM_STATUS_DIAG_GENERATE_REPORT = "DiagGenerateReport"
	CONST_FSM_STATUS_DIAG_HOST_CATALOG = "DiagHostCatalog"
	CONST_FSM_STATUS_DIAG_HOST_CONNECT = "DiagHostConnect"
	CONST_FSM_STATUS_DIAG_HOST_DISCONNECT = "DiagHostDisconnect"
	CONST_FSM_STATUS_DIAG_HOST_IDENT = "DiagHostIdent"
	CONST_FSM_STATUS_DIAG_HOST_INVENTORY = "DiagHostInventory"
	CONST_FSM_STATUS_DIAG_HOST_POLICY = "DiagHostPolicy"
	CONST_FSM_STATUS_DIAG_HOST_SERVER_DIAG = "DiagHostServerDiag"
	CONST_FSM_STATUS_DIAG_HOST_SERVER_DIAG_STATUS = "DiagHostServerDiagStatus"
	CONST_FSM_STATUS_DIAG_NIC_CONFIG_LOCAL = "DiagNicConfigLocal"
	CONST_FSM_STATUS_DIAG_NIC_CONFIG_PEER = "DiagNicConfigPeer"
	CONST_FSM_STATUS_DIAG_NIC_INVENTORY_LOCAL = "DiagNicInventoryLocal"
	CONST_FSM_STATUS_DIAG_NIC_INVENTORY_PEER = "DiagNicInventoryPeer"
	CONST_FSM_STATUS_DIAG_NIC_PRESENCE_LOCAL = "DiagNicPresenceLocal"
	CONST_FSM_STATUS_DIAG_NIC_PRESENCE_PEER = "DiagNicPresencePeer"
	CONST_FSM_STATUS_DIAG_NIC_UNCONFIG_LOCAL = "DiagNicUnconfigLocal"
	CONST_FSM_STATUS_DIAG_NIC_UNCONFIG_PEER = "DiagNicUnconfigPeer"
	CONST_FSM_STATUS_DIAG_REMOVE_CONFIG = "DiagRemoveConfig"
	CONST_FSM_STATUS_DIAG_REMOVE_VMEDIA_LOCAL = "DiagRemoveVMediaLocal"
	CONST_FSM_STATUS_DIAG_REMOVE_VMEDIA_PEER = "DiagRemoveVMediaPeer"
	CONST_FSM_STATUS_DIAG_RESTORE_CONFIG_FE_LOCAL = "DiagRestoreConfigFeLocal"
	CONST_FSM_STATUS_DIAG_RESTORE_CONFIG_FE_PEER = "DiagRestoreConfigFePeer"
	CONST_FSM_STATUS_DIAG_SERIAL_DEBUG_CONNECT = "DiagSerialDebugConnect"
	CONST_FSM_STATUS_DIAG_SERIAL_DEBUG_DISCONNECT = "DiagSerialDebugDisconnect"
	CONST_FSM_STATUS_DIAG_SET_DIAG_USER = "DiagSetDiagUser"
	CONST_FSM_STATUS_DIAG_SETUP_VMEDIA_LOCAL = "DiagSetupVMediaLocal"
	CONST_FSM_STATUS_DIAG_SETUP_VMEDIA_PEER = "DiagSetupVMediaPeer"
	CONST_FSM_STATUS_DIAG_SOL_REDIRECT_DISABLE = "DiagSolRedirectDisable"
	CONST_FSM_STATUS_DIAG_SOL_REDIRECT_ENABLE = "DiagSolRedirectEnable"
	CONST_FSM_STATUS_DIAG_START_FABRIC_ATRAFFIC_TEST = "DiagStartFabricATrafficTest"
	CONST_FSM_STATUS_DIAG_START_FABRIC_BTRAFFIC_TEST = "DiagStartFabricBTrafficTest"
	CONST_FSM_STATUS_DIAG_STOP_VMEDIA_LOCAL = "DiagStopVMediaLocal"
	CONST_FSM_STATUS_DIAG_STOP_VMEDIA_PEER = "DiagStopVMediaPeer"
	CONST_FSM_STATUS_DIAG_SUCCESS = "DiagSuccess"
	CONST_FSM_STATUS_DIAG_SW_CONFIG_LOCAL = "DiagSwConfigLocal"
	CONST_FSM_STATUS_DIAG_SW_CONFIG_PEER = "DiagSwConfigPeer"
	CONST_FSM_STATUS_DIAG_SW_UNCONFIG_LOCAL = "DiagSwUnconfigLocal"
	CONST_FSM_STATUS_DIAG_SW_UNCONFIG_PEER = "DiagSwUnconfigPeer"
	CONST_FSM_STATUS_DIAG_UNCONFIG_USER_ACCESS = "DiagUnconfigUserAccess"
	CONST_FSM_STATUS_DIAGNOSTIC_INTERRUPT_BEGIN = "DiagnosticInterruptBegin"
	CONST_FSM_STATUS_DIAGNOSTIC_INTERRUPT_EXECUTE = "DiagnosticInterruptExecute"
	CONST_FSM_STATUS_DIAGNOSTIC_INTERRUPT_FAIL = "DiagnosticInterruptFail"
	CONST_FSM_STATUS_DIAGNOSTIC_INTERRUPT_SUCCESS = "DiagnosticInterruptSuccess"
	CONST_FSM_STATUS_DISASSOCIATE_BEGIN = "DisassociateBegin"
	CONST_FSM_STATUS_DISASSOCIATE_BIOS_POST_COMPLETION = "DisassociateBiosPostCompletion"
	CONST_FSM_STATUS_DISASSOCIATE_BMC_CONFIG_PNU_OS = "DisassociateBmcConfigPnuOS"
	CONST_FSM_STATUS_DISASSOCIATE_BMC_PRECONFIG_PNU_OSLOCAL = "DisassociateBmcPreconfigPnuOSLocal"
	CONST_FSM_STATUS_DISASSOCIATE_BMC_PRECONFIG_PNU_OSPEER = "DisassociateBmcPreconfigPnuOSPeer"
	CONST_FSM_STATUS_DISASSOCIATE_BMC_UNCONFIG_PNU_OS = "DisassociateBmcUnconfigPnuOS"
	CONST_FSM_STATUS_DISASSOCIATE_BOOT_PNUOS = "DisassociateBootPnuos"
	CONST_FSM_STATUS_DISASSOCIATE_BOOT_WAIT = "DisassociateBootWait"
	CONST_FSM_STATUS_DISASSOCIATE_CONFIG_BIOS = "DisassociateConfigBios"
	CONST_FSM_STATUS_DISASSOCIATE_CONFIG_FLEX_FLASH_SCRUB = "DisassociateConfigFlexFlashScrub"
	CONST_FSM_STATUS_DISASSOCIATE_CONFIG_KVM_MGMT_DEFAULT_SETTING = "DisassociateConfigKvmMgmtDefaultSetting"
	CONST_FSM_STATUS_DISASSOCIATE_CONFIG_USER_ACCESS = "DisassociateConfigUserAccess"
	CONST_FSM_STATUS_DISASSOCIATE_DEASSERT_RESET_BYPASS = "DisassociateDeassertResetBypass"
	CONST_FSM_STATUS_DISASSOCIATE_FAIL = "DisassociateFail"
	CONST_FSM_STATUS_DISASSOCIATE_HAG_PNU_OSCONNECT = "DisassociateHagPnuOSConnect"
	CONST_FSM_STATUS_DISASSOCIATE_HAG_PNU_OSDISCONNECT = "DisassociateHagPnuOSDisconnect"
	CONST_FSM_STATUS_DISASSOCIATE_HANDLE_POOLING = "DisassociateHandlePooling"
	CONST_FSM_STATUS_DISASSOCIATE_NIC_CONFIG_PNU_OSLOCAL = "DisassociateNicConfigPnuOSLocal"
	CONST_FSM_STATUS_DISASSOCIATE_NIC_CONFIG_PNU_OSPEER = "DisassociateNicConfigPnuOSPeer"
	CONST_FSM_STATUS_DISASSOCIATE_NIC_UNCONFIG_HOST_OSLOCAL = "DisassociateNicUnconfigHostOSLocal"
	CONST_FSM_STATUS_DISASSOCIATE_NIC_UNCONFIG_HOST_OSPEER = "DisassociateNicUnconfigHostOSPeer"
	CONST_FSM_STATUS_DISASSOCIATE_NIC_UNCONFIG_PNU_OSLOCAL = "DisassociateNicUnconfigPnuOSLocal"
	CONST_FSM_STATUS_DISASSOCIATE_NIC_UNCONFIG_PNU_OSPEER = "DisassociateNicUnconfigPnuOSPeer"
	CONST_FSM_STATUS_DISASSOCIATE_NIC_UNCONFIG_SERVICE_INFRA_LOCAL = "DisassociateNicUnconfigServiceInfraLocal"
	CONST_FSM_STATUS_DISASSOCIATE_NIC_UNCONFIG_SERVICE_INFRA_PEER = "DisassociateNicUnconfigServiceInfraPeer"
	CONST_FSM_STATUS_DISASSOCIATE_PNU_OSCATALOG = "DisassociatePnuOSCatalog"
	CONST_FSM_STATUS_DISASSOCIATE_PNU_OSIDENT = "DisassociatePnuOSIdent"
	CONST_FSM_STATUS_DISASSOCIATE_PNU_OSPOLICY = "DisassociatePnuOSPolicy"
	CONST_FSM_STATUS_DISASSOCIATE_PNU_OSSCRUB = "DisassociatePnuOSScrub"
	CONST_FSM_STATUS_DISASSOCIATE_PNU_OSSELF_TEST = "DisassociatePnuOSSelfTest"
	CONST_FSM_STATUS_DISASSOCIATE_PNU_OSUNCONFIG = "DisassociatePnuOSUnconfig"
	CONST_FSM_STATUS_DISASSOCIATE_PNU_OSVALIDATE = "DisassociatePnuOSValidate"
	CONST_FSM_STATUS_DISASSOCIATE_POWER_ON = "DisassociatePowerOn"
	CONST_FSM_STATUS_DISASSOCIATE_PRE_SANITIZE = "DisassociatePreSanitize"
	CONST_FSM_STATUS_DISASSOCIATE_RESET_SECURE_BOOT_CONFIG = "DisassociateResetSecureBootConfig"
	CONST_FSM_STATUS_DISASSOCIATE_SANITIZE = "DisassociateSanitize"
	CONST_FSM_STATUS_DISASSOCIATE_SERIAL_DEBUG_PNU_OSCONNECT = "DisassociateSerialDebugPnuOSConnect"
	CONST_FSM_STATUS_DISASSOCIATE_SERIAL_DEBUG_PNU_OSDISCONNECT = "DisassociateSerialDebugPnuOSDisconnect"
	CONST_FSM_STATUS_DISASSOCIATE_SHUTDOWN = "DisassociateShutdown"
	CONST_FSM_STATUS_DISASSOCIATE_SOL_REDIRECT_DISABLE = "DisassociateSolRedirectDisable"
	CONST_FSM_STATUS_DISASSOCIATE_SOL_REDIRECT_ENABLE = "DisassociateSolRedirectEnable"
	CONST_FSM_STATUS_DISASSOCIATE_SUCCESS = "DisassociateSuccess"
	CONST_FSM_STATUS_DISASSOCIATE_SW_CONFIG_PNU_OSLOCAL = "DisassociateSwConfigPnuOSLocal"
	CONST_FSM_STATUS_DISASSOCIATE_SW_CONFIG_PNU_OSPEER = "DisassociateSwConfigPnuOSPeer"
	CONST_FSM_STATUS_DISASSOCIATE_SW_CONFIG_PORT_NIV_LOCAL = "DisassociateSwConfigPortNivLocal"
	CONST_FSM_STATUS_DISASSOCIATE_SW_CONFIG_PORT_NIV_PEER = "DisassociateSwConfigPortNivPeer"
	CONST_FSM_STATUS_DISASSOCIATE_SW_UNCONFIG_HOST_OSLOCAL = "DisassociateSwUnconfigHostOSLocal"
	CONST_FSM_STATUS_DISASSOCIATE_SW_UNCONFIG_HOST_OSPEER = "DisassociateSwUnconfigHostOSPeer"
	CONST_FSM_STATUS_DISASSOCIATE_SW_UNCONFIG_PNU_OSLOCAL = "DisassociateSwUnconfigPnuOSLocal"
	CONST_FSM_STATUS_DISASSOCIATE_SW_UNCONFIG_PNU_OSPEER = "DisassociateSwUnconfigPnuOSPeer"
	CONST_FSM_STATUS_DISASSOCIATE_UNCONFIG_BIOS = "DisassociateUnconfigBios"
	CONST_FSM_STATUS_DISASSOCIATE_UNCONFIG_CIMC_VMEDIA = "DisassociateUnconfigCimcVMedia"
	CONST_FSM_STATUS_DISASSOCIATE_UNCONFIG_EXT_MGMT_GW = "DisassociateUnconfigExtMgmtGw"
	CONST_FSM_STATUS_DISASSOCIATE_UNCONFIG_EXT_MGMT_RULES = "DisassociateUnconfigExtMgmtRules"
	CONST_FSM_STATUS_DISASSOCIATE_UNCONFIG_FLEX_FLASH = "DisassociateUnconfigFlexFlash"
	CONST_FSM_STATUS_DISASSOCIATE_UNCONFIG_SO_L = "DisassociateUnconfigSoL"
	CONST_FSM_STATUS_DISASSOCIATE_UNCONFIG_UUID = "DisassociateUnconfigUuid"
	CONST_FSM_STATUS_DISASSOCIATE_VERIFY_FC_ZONE_CONFIG = "DisassociateVerifyFcZoneConfig"
	CONST_FSM_STATUS_DISCOVER_BEGIN = "DiscoverBegin"
	CONST_FSM_STATUS_DISCOVER_BIOS_POST_COMPLETION = "DiscoverBiosPostCompletion"
	CONST_FSM_STATUS_DISCOVER_BLADE_BOOT_PNUOS = "DiscoverBladeBootPnuos"
	CONST_FSM_STATUS_DISCOVER_BLADE_BOOT_WAIT = "DiscoverBladeBootWait"
	CONST_FSM_STATUS_DISCOVER_BLADE_POWER_ON = "DiscoverBladePowerOn"
	CONST_FSM_STATUS_DISCOVER_BLADE_READ_SMBIOS = "DiscoverBladeReadSmbios"
	CONST_FSM_STATUS_DISCOVER_BMC_CONFIG_PNU_OS = "DiscoverBmcConfigPnuOS"
	CONST_FSM_STATUS_DISCOVER_BMC_INVENTORY = "DiscoverBmcInventory"
	CONST_FSM_STATUS_DISCOVER_BMC_PRE_CONFIG_PNU_OSLOCAL = "DiscoverBmcPreConfigPnuOSLocal"
	CONST_FSM_STATUS_DISCOVER_BMC_PRE_CONFIG_PNU_OSPEER = "DiscoverBmcPreConfigPnuOSPeer"
	CONST_FSM_STATUS_DISCOVER_BMC_PRESENCE = "DiscoverBmcPresence"
	CONST_FSM_STATUS_DISCOVER_BMC_SHUTDOWN_DISCOVERED = "DiscoverBmcShutdownDiscovered"
	CONST_FSM_STATUS_DISCOVER_CHECK_POWER_AVAILABILITY = "DiscoverCheckPowerAvailability"
	CONST_FSM_STATUS_DISCOVER_CONFIG_FE_LOCAL = "DiscoverConfigFeLocal"
	CONST_FSM_STATUS_DISCOVER_CONFIG_FE_PEER = "DiscoverConfigFePeer"
	CONST_FSM_STATUS_DISCOVER_CONFIG_FLEX_FLASH_SCRUB = "DiscoverConfigFlexFlashScrub"
	CONST_FSM_STATUS_DISCOVER_CONFIG_USER_ACCESS = "DiscoverConfigUserAccess"
	CONST_FSM_STATUS_DISCOVER_FAIL = "DiscoverFail"
	CONST_FSM_STATUS_DISCOVER_HAG_CONNECT = "DiscoverHagConnect"
	CONST_FSM_STATUS_DISCOVER_HAG_DISCONNECT = "DiscoverHagDisconnect"
	CONST_FSM_STATUS_DISCOVER_HANDLE_POOLING = "DiscoverHandlePooling"
	CONST_FSM_STATUS_DISCOVER_NIC_CONFIG_PNU_OSLOCAL = "DiscoverNicConfigPnuOSLocal"
	CONST_FSM_STATUS_DISCOVER_NIC_CONFIG_PNU_OSPEER = "DiscoverNicConfigPnuOSPeer"
	CONST_FSM_STATUS_DISCOVER_NIC_PRESENCE_LOCAL = "DiscoverNicPresenceLocal"
	CONST_FSM_STATUS_DISCOVER_NIC_PRESENCE_PEER = "DiscoverNicPresencePeer"
	CONST_FSM_STATUS_DISCOVER_NIC_UNCONFIG_PNU_OSLOCAL = "DiscoverNicUnconfigPnuOSLocal"
	CONST_FSM_STATUS_DISCOVER_NIC_UNCONFIG_PNU_OSPEER = "DiscoverNicUnconfigPnuOSPeer"
	CONST_FSM_STATUS_DISCOVER_OOB_STORAGE_INVENTORY = "DiscoverOobStorageInventory"
	CONST_FSM_STATUS_DISCOVER_PNU_OSCATALOG = "DiscoverPnuOSCatalog"
	CONST_FSM_STATUS_DISCOVER_PNU_OSIDENT = "DiscoverPnuOSIdent"
	CONST_FSM_STATUS_DISCOVER_PNU_OSINVENTORY = "DiscoverPnuOSInventory"
	CONST_FSM_STATUS_DISCOVER_PNU_OSPOLICY = "DiscoverPnuOSPolicy"
	CONST_FSM_STATUS_DISCOVER_PNU_OSSCRUB = "DiscoverPnuOSScrub"
	CONST_FSM_STATUS_DISCOVER_PNU_OSSELF_TEST = "DiscoverPnuOSSelfTest"
	CONST_FSM_STATUS_DISCOVER_PRE_SANITIZE = "DiscoverPreSanitize"
	CONST_FSM_STATUS_DISCOVER_SANITIZE = "DiscoverSanitize"
	CONST_FSM_STATUS_DISCOVER_SERIAL_DEBUG_CONNECT = "DiscoverSerialDebugConnect"
	CONST_FSM_STATUS_DISCOVER_SERIAL_DEBUG_DISCONNECT = "DiscoverSerialDebugDisconnect"
	CONST_FSM_STATUS_DISCOVER_SETUP_VMEDIA_LOCAL = "DiscoverSetupVmediaLocal"
	CONST_FSM_STATUS_DISCOVER_SETUP_VMEDIA_PEER = "DiscoverSetupVmediaPeer"
	CONST_FSM_STATUS_DISCOVER_SOL_REDIRECT_DISABLE = "DiscoverSolRedirectDisable"
	CONST_FSM_STATUS_DISCOVER_SOL_REDIRECT_ENABLE = "DiscoverSolRedirectEnable"
	CONST_FSM_STATUS_DISCOVER_SUCCESS = "DiscoverSuccess"
	CONST_FSM_STATUS_DISCOVER_SW_CONFIG_PNU_OSLOCAL = "DiscoverSwConfigPnuOSLocal"
	CONST_FSM_STATUS_DISCOVER_SW_CONFIG_PNU_OSPEER = "DiscoverSwConfigPnuOSPeer"
	CONST_FSM_STATUS_DISCOVER_SW_UNCONFIG_PNU_OSLOCAL = "DiscoverSwUnconfigPnuOSLocal"
	CONST_FSM_STATUS_DISCOVER_SW_UNCONFIG_PNU_OSPEER = "DiscoverSwUnconfigPnuOSPeer"
	CONST_FSM_STATUS_DISCOVER_TEARDOWN_VMEDIA_LOCAL = "DiscoverTeardownVmediaLocal"
	CONST_FSM_STATUS_DISCOVER_TEARDOWN_VMEDIA_PEER = "DiscoverTeardownVmediaPeer"
	CONST_FSM_STATUS_DISCOVER_UNCONFIG_CIMC_VMEDIA = "DiscoverUnconfigCimcVMedia"
	CONST_FSM_STATUS_DISCOVER_UNCONFIG_EXT_MGMT_GW = "DiscoverUnconfigExtMgmtGw"
	CONST_FSM_STATUS_DISCOVER_UNCONFIG_EXT_MGMT_RULES = "DiscoverUnconfigExtMgmtRules"
	CONST_FSM_STATUS_FLASH_CONTROLLER_BEGIN = "FlashControllerBegin"
	CONST_FSM_STATUS_FLASH_CONTROLLER_FAIL = "FlashControllerFail"
	CONST_FSM_STATUS_FLASH_CONTROLLER_SUCCESS = "FlashControllerSuccess"
	CONST_FSM_STATUS_FLASH_CONTROLLER_UPDATE_FLASH_LIFE = "FlashControllerUpdateFlashLife"
	CONST_FSM_STATUS_FW_UPGRADE_ACTIVATE_ADAPTOR_NW_FW_LOCAL = "FwUpgradeActivateAdaptorNwFwLocal"
	CONST_FSM_STATUS_FW_UPGRADE_ACTIVATE_ADAPTOR_NW_FW_PEER = "FwUpgradeActivateAdaptorNwFwPeer"
	CONST_FSM_STATUS_FW_UPGRADE_ACTIVATE_BIOS = "FwUpgradeActivateBios"
	CONST_FSM_STATUS_FW_UPGRADE_ACTIVATE_IBMCFW = "FwUpgradeActivateIBMCFw"
	CONST_FSM_STATUS_FW_UPGRADE_BEGIN = "FwUpgradeBegin"
	CONST_FSM_STATUS_FW_UPGRADE_BIOS_IMG_UPDATE = "FwUpgradeBiosImgUpdate"
	CONST_FSM_STATUS_FW_UPGRADE_BIOS_POST_COMPLETION = "FwUpgradeBiosPostCompletion"
	CONST_FSM_STATUS_FW_UPGRADE_BLADE_POWER_OFF = "FwUpgradeBladePowerOff"
	CONST_FSM_STATUS_FW_UPGRADE_BMC_CONFIG_PNU_OS = "FwUpgradeBmcConfigPnuOS"
	CONST_FSM_STATUS_FW_UPGRADE_BMC_PRECONFIG_PNU_OSLOCAL = "FwUpgradeBmcPreconfigPnuOSLocal"
	CONST_FSM_STATUS_FW_UPGRADE_BMC_PRECONFIG_PNU_OSPEER = "FwUpgradeBmcPreconfigPnuOSPeer"
	CONST_FSM_STATUS_FW_UPGRADE_BMC_UNCONFIG_PNU_OS = "FwUpgradeBmcUnconfigPnuOS"
	CONST_FSM_STATUS_FW_UPGRADE_BOOT_PNUOS = "FwUpgradeBootPnuos"
	CONST_FSM_STATUS_FW_UPGRADE_BOOT_WAIT = "FwUpgradeBootWait"
	CONST_FSM_STATUS_FW_UPGRADE_CLEAR_BIOS_UPDATE = "FwUpgradeClearBiosUpdate"
	CONST_FSM_STATUS_FW_UPGRADE_COPY_REMOTE = "FwUpgradeCopyRemote"
	CONST_FSM_STATUS_FW_UPGRADE_DEASSERT_RESET_BYPASS = "FwUpgradeDeassertResetBypass"
	CONST_FSM_STATUS_FW_UPGRADE_DELETE_CURL_DOWNLOADED_IMAGES = "FwUpgradeDeleteCurlDownloadedImages"
	CONST_FSM_STATUS_FW_UPGRADE_DOWNLOAD_IMAGES = "FwUpgradeDownloadImages"
	CONST_FSM_STATUS_FW_UPGRADE_FAIL = "FwUpgradeFail"
	CONST_FSM_STATUS_FW_UPGRADE_GRAPHICS_IMAGE_UPDATE = "FwUpgradeGraphicsImageUpdate"
	CONST_FSM_STATUS_FW_UPGRADE_HAG_PNU_OSCONNECT = "FwUpgradeHagPnuOSConnect"
	CONST_FSM_STATUS_FW_UPGRADE_HAG_PNU_OSDISCONNECT = "FwUpgradeHagPnuOSDisconnect"
	CONST_FSM_STATUS_FW_UPGRADE_HBA_IMG_UPDATE = "FwUpgradeHbaImgUpdate"
	CONST_FSM_STATUS_FW_UPGRADE_LOCAL_DISK_FW_UPDATE = "FwUpgradeLocalDiskFwUpdate"
	CONST_FSM_STATUS_FW_UPGRADE_NIC_CONFIG_PNU_OSLOCAL = "FwUpgradeNicConfigPnuOSLocal"
	CONST_FSM_STATUS_FW_UPGRADE_NIC_CONFIG_PNU_OSPEER = "FwUpgradeNicConfigPnuOSPeer"
	CONST_FSM_STATUS_FW_UPGRADE_NIC_IMG_UPDATE = "FwUpgradeNicImgUpdate"
	CONST_FSM_STATUS_FW_UPGRADE_NIC_UNCONFIG_PNU_OSLOCAL = "FwUpgradeNicUnconfigPnuOSLocal"
	CONST_FSM_STATUS_FW_UPGRADE_NIC_UNCONFIG_PNU_OSPEER = "FwUpgradeNicUnconfigPnuOSPeer"
	CONST_FSM_STATUS_FW_UPGRADE_PNU_OSCATALOG = "FwUpgradePnuOSCatalog"
	CONST_FSM_STATUS_FW_UPGRADE_PNU_OSCONFIG = "FwUpgradePnuOSConfig"
	CONST_FSM_STATUS_FW_UPGRADE_PNU_OSIDENT = "FwUpgradePnuOSIdent"
	CONST_FSM_STATUS_FW_UPGRADE_PNU_OSINVENTORY = "FwUpgradePnuOSInventory"
	CONST_FSM_STATUS_FW_UPGRADE_PNU_OSPOLICY = "FwUpgradePnuOSPolicy"
	CONST_FSM_STATUS_FW_UPGRADE_PNU_OSSELF_TEST = "FwUpgradePnuOSSelfTest"
	CONST_FSM_STATUS_FW_UPGRADE_PNU_OSUNLOAD_DRIVERS = "FwUpgradePnuOSUnloadDrivers"
	CONST_FSM_STATUS_FW_UPGRADE_PNU_OSVALIDATE = "FwUpgradePnuOSValidate"
	CONST_FSM_STATUS_FW_UPGRADE_POLL_BIOS_ACTIVATE_STATUS = "FwUpgradePollBiosActivateStatus"
	CONST_FSM_STATUS_FW_UPGRADE_POLL_BIOS_UPDATE_STATUS = "FwUpgradePollBiosUpdateStatus"
	CONST_FSM_STATUS_FW_UPGRADE_POLL_BOARD_CTRL_UPDATE_STATUS = "FwUpgradePollBoardCtrlUpdateStatus"
	CONST_FSM_STATUS_FW_UPGRADE_POLL_CLEAR_BIOS_UPDATE_STATUS = "FwUpgradePollClearBiosUpdateStatus"
	CONST_FSM_STATUS_FW_UPGRADE_POWER_ON = "FwUpgradePowerOn"
	CONST_FSM_STATUS_FW_UPGRADE_PRE_SANITIZE = "FwUpgradePreSanitize"
	CONST_FSM_STATUS_FW_UPGRADE_RESET_IBMC = "FwUpgradeResetIBMC"
	CONST_FSM_STATUS_FW_UPGRADE_SANITIZE = "FwUpgradeSanitize"
	CONST_FSM_STATUS_FW_UPGRADE_SERIAL_DEBUG_PNU_OSCONNECT = "FwUpgradeSerialDebugPnuOSConnect"
	CONST_FSM_STATUS_FW_UPGRADE_SERIAL_DEBUG_PNU_OSDISCONNECT = "FwUpgradeSerialDebugPnuOSDisconnect"
	CONST_FSM_STATUS_FW_UPGRADE_SHUTDOWN = "FwUpgradeShutdown"
	CONST_FSM_STATUS_FW_UPGRADE_SOL_REDIRECT_DISABLE = "FwUpgradeSolRedirectDisable"
	CONST_FSM_STATUS_FW_UPGRADE_SOL_REDIRECT_ENABLE = "FwUpgradeSolRedirectEnable"
	CONST_FSM_STATUS_FW_UPGRADE_STORAGE_CTLR_IMG_UPDATE = "FwUpgradeStorageCtlrImgUpdate"
	CONST_FSM_STATUS_FW_UPGRADE_SUCCESS = "FwUpgradeSuccess"
	CONST_FSM_STATUS_FW_UPGRADE_SW_CONFIG_PNU_OSLOCAL = "FwUpgradeSwConfigPnuOSLocal"
	CONST_FSM_STATUS_FW_UPGRADE_SW_CONFIG_PNU_OSPEER = "FwUpgradeSwConfigPnuOSPeer"
	CONST_FSM_STATUS_FW_UPGRADE_SW_CONFIG_PORT_NIV_LOCAL = "FwUpgradeSwConfigPortNivLocal"
	CONST_FSM_STATUS_FW_UPGRADE_SW_CONFIG_PORT_NIV_PEER = "FwUpgradeSwConfigPortNivPeer"
	CONST_FSM_STATUS_FW_UPGRADE_SW_UNCONFIG_PNU_OSLOCAL = "FwUpgradeSwUnconfigPnuOSLocal"
	CONST_FSM_STATUS_FW_UPGRADE_SW_UNCONFIG_PNU_OSPEER = "FwUpgradeSwUnconfigPnuOSPeer"
	CONST_FSM_STATUS_FW_UPGRADE_UNCONFIG_CIMC_VMEDIA = "FwUpgradeUnconfigCimcVMedia"
	CONST_FSM_STATUS_FW_UPGRADE_UNCONFIG_EXT_MGMT_GW = "FwUpgradeUnconfigExtMgmtGw"
	CONST_FSM_STATUS_FW_UPGRADE_UNCONFIG_EXT_MGMT_RULES = "FwUpgradeUnconfigExtMgmtRules"
	CONST_FSM_STATUS_FW_UPGRADE_UPDATE_ADAPTOR_NW_FW_LOCAL = "FwUpgradeUpdateAdaptorNwFwLocal"
	CONST_FSM_STATUS_FW_UPGRADE_UPDATE_ADAPTOR_NW_FW_PEER = "FwUpgradeUpdateAdaptorNwFwPeer"
	CONST_FSM_STATUS_FW_UPGRADE_UPDATE_BIOS_REQUEST = "FwUpgradeUpdateBiosRequest"
	CONST_FSM_STATUS_FW_UPGRADE_UPDATE_BOARD_CTRL_REQUEST = "FwUpgradeUpdateBoardCtrlRequest"
	CONST_FSM_STATUS_FW_UPGRADE_UPDATE_IBMCFW = "FwUpgradeUpdateIBMCFw"
	CONST_FSM_STATUS_FW_UPGRADE_WAIT_FOR_ADAPTOR_NW_FW_UPDATE_LOCAL = "FwUpgradeWaitForAdaptorNwFwUpdateLocal"
	CONST_FSM_STATUS_FW_UPGRADE_WAIT_FOR_ADAPTOR_NW_FW_UPDATE_PEER = "FwUpgradeWaitForAdaptorNwFwUpdatePeer"
	CONST_FSM_STATUS_FW_UPGRADE_WAIT_FOR_IBMCFW_UPDATE = "FwUpgradeWaitForIBMCFwUpdate"
	CONST_FSM_STATUS_HARD_SHUTDOWN_BEGIN = "HardShutdownBegin"
	CONST_FSM_STATUS_HARD_SHUTDOWN_EXECUTE = "HardShutdownExecute"
	CONST_FSM_STATUS_HARD_SHUTDOWN_FAIL = "HardShutdownFail"
	CONST_FSM_STATUS_HARD_SHUTDOWN_SUCCESS = "HardShutdownSuccess"
	CONST_FSM_STATUS_HARDRESET_BEGIN = "HardresetBegin"
	CONST_FSM_STATUS_HARDRESET_EXECUTE = "HardresetExecute"
	CONST_FSM_STATUS_HARDRESET_FAIL = "HardresetFail"
	CONST_FSM_STATUS_HARDRESET_PRE_SANITIZE = "HardresetPreSanitize"
	CONST_FSM_STATUS_HARDRESET_SANITIZE = "HardresetSanitize"
	CONST_FSM_STATUS_HARDRESET_SUCCESS = "HardresetSuccess"
	CONST_FSM_STATUS_POWER_CAP_BEGIN = "PowerCapBegin"
	CONST_FSM_STATUS_POWER_CAP_CONFIG = "PowerCapConfig"
	CONST_FSM_STATUS_POWER_CAP_FAIL = "PowerCapFail"
	CONST_FSM_STATUS_POWER_CAP_SUCCESS = "PowerCapSuccess"
	CONST_FSM_STATUS_POWERCYCLE_BEGIN = "PowercycleBegin"
	CONST_FSM_STATUS_POWERCYCLE_EXECUTE = "PowercycleExecute"
	CONST_FSM_STATUS_POWERCYCLE_FAIL = "PowercycleFail"
	CONST_FSM_STATUS_POWERCYCLE_PRE_SANITIZE = "PowercyclePreSanitize"
	CONST_FSM_STATUS_POWERCYCLE_SANITIZE = "PowercycleSanitize"
	CONST_FSM_STATUS_POWERCYCLE_SUCCESS = "PowercycleSuccess"
	CONST_FSM_STATUS_RESET_BMC_BEGIN = "ResetBmcBegin"
	CONST_FSM_STATUS_RESET_BMC_EXECUTE = "ResetBmcExecute"
	CONST_FSM_STATUS_RESET_BMC_FAIL = "ResetBmcFail"
	CONST_FSM_STATUS_RESET_BMC_SUCCESS = "ResetBmcSuccess"
	CONST_FSM_STATUS_RESET_IPMI_BEGIN = "ResetIpmiBegin"
	CONST_FSM_STATUS_RESET_IPMI_EXECUTE = "ResetIpmiExecute"
	CONST_FSM_STATUS_RESET_IPMI_FAIL = "ResetIpmiFail"
	CONST_FSM_STATUS_RESET_IPMI_SUCCESS = "ResetIpmiSuccess"
	CONST_FSM_STATUS_RESET_KVM_BEGIN = "ResetKvmBegin"
	CONST_FSM_STATUS_RESET_KVM_EXECUTE = "ResetKvmExecute"
	CONST_FSM_STATUS_RESET_KVM_FAIL = "ResetKvmFail"
	CONST_FSM_STATUS_RESET_KVM_SUCCESS = "ResetKvmSuccess"
	CONST_FSM_STATUS_RESET_MEMORY_ERRORS_BEGIN = "ResetMemoryErrorsBegin"
	CONST_FSM_STATUS_RESET_MEMORY_ERRORS_EXECUTE = "ResetMemoryErrorsExecute"
	CONST_FSM_STATUS_RESET_MEMORY_ERRORS_FAIL = "ResetMemoryErrorsFail"
	CONST_FSM_STATUS_RESET_MEMORY_ERRORS_SUCCESS = "ResetMemoryErrorsSuccess"
	CONST_FSM_STATUS_SERVICE_INFRA_DEPLOY_BEGIN = "ServiceInfraDeployBegin"
	CONST_FSM_STATUS_SERVICE_INFRA_DEPLOY_FAIL = "ServiceInfraDeployFail"
	CONST_FSM_STATUS_SERVICE_INFRA_DEPLOY_NIC_CONFIG_LOCAL = "ServiceInfraDeployNicConfigLocal"
	CONST_FSM_STATUS_SERVICE_INFRA_DEPLOY_NIC_CONFIG_PEER = "ServiceInfraDeployNicConfigPeer"
	CONST_FSM_STATUS_SERVICE_INFRA_DEPLOY_SUCCESS = "ServiceInfraDeploySuccess"
	CONST_FSM_STATUS_SERVICE_INFRA_DEPLOY_SW_CONFIG_LOCAL = "ServiceInfraDeploySwConfigLocal"
	CONST_FSM_STATUS_SERVICE_INFRA_DEPLOY_SW_CONFIG_PEER = "ServiceInfraDeploySwConfigPeer"
	CONST_FSM_STATUS_SERVICE_INFRA_WITHDRAW_BEGIN = "ServiceInfraWithdrawBegin"
	CONST_FSM_STATUS_SERVICE_INFRA_WITHDRAW_FAIL = "ServiceInfraWithdrawFail"
	CONST_FSM_STATUS_SERVICE_INFRA_WITHDRAW_NIC_UN_CONFIG_LOCAL = "ServiceInfraWithdrawNicUnConfigLocal"
	CONST_FSM_STATUS_SERVICE_INFRA_WITHDRAW_NIC_UN_CONFIG_PEER = "ServiceInfraWithdrawNicUnConfigPeer"
	CONST_FSM_STATUS_SERVICE_INFRA_WITHDRAW_SUCCESS = "ServiceInfraWithdrawSuccess"
	CONST_FSM_STATUS_SERVICE_INFRA_WITHDRAW_SW_UN_CONFIG_LOCAL = "ServiceInfraWithdrawSwUnConfigLocal"
	CONST_FSM_STATUS_SERVICE_INFRA_WITHDRAW_SW_UN_CONFIG_PEER = "ServiceInfraWithdrawSwUnConfigPeer"
	CONST_FSM_STATUS_SOFT_SHUTDOWN_BEGIN = "SoftShutdownBegin"
	CONST_FSM_STATUS_SOFT_SHUTDOWN_EXECUTE = "SoftShutdownExecute"
	CONST_FSM_STATUS_SOFT_SHUTDOWN_FAIL = "SoftShutdownFail"
	CONST_FSM_STATUS_SOFT_SHUTDOWN_SUCCESS = "SoftShutdownSuccess"
	CONST_FSM_STATUS_SOFTRESET_BEGIN = "SoftresetBegin"
	CONST_FSM_STATUS_SOFTRESET_EXECUTE = "SoftresetExecute"
	CONST_FSM_STATUS_SOFTRESET_FAIL = "SoftresetFail"
	CONST_FSM_STATUS_SOFTRESET_PRE_SANITIZE = "SoftresetPreSanitize"
	CONST_FSM_STATUS_SOFTRESET_SANITIZE = "SoftresetSanitize"
	CONST_FSM_STATUS_SOFTRESET_SUCCESS = "SoftresetSuccess"
	CONST_FSM_STATUS_SW_CONN_UPD_A = "SwConnUpdA"
	CONST_FSM_STATUS_SW_CONN_UPD_B = "SwConnUpdB"
	CONST_FSM_STATUS_SW_CONN_UPD_BEGIN = "SwConnUpdBegin"
	CONST_FSM_STATUS_SW_CONN_UPD_FAIL = "SwConnUpdFail"
	CONST_FSM_STATUS_SW_CONN_UPD_SUCCESS = "SwConnUpdSuccess"
	CONST_FSM_STATUS_TURNUP_BEGIN = "TurnupBegin"
	CONST_FSM_STATUS_TURNUP_EXECUTE = "TurnupExecute"
	CONST_FSM_STATUS_TURNUP_FAIL = "TurnupFail"
	CONST_FSM_STATUS_TURNUP_SUCCESS = "TurnupSuccess"
	CONST_FSM_STATUS_UNCONFIG_SO_LBEGIN = "UnconfigSoLBegin"
	CONST_FSM_STATUS_UNCONFIG_SO_LEXECUTE = "UnconfigSoLExecute"
	CONST_FSM_STATUS_UNCONFIG_SO_LFAIL = "UnconfigSoLFail"
	CONST_FSM_STATUS_UNCONFIG_SO_LSUCCESS = "UnconfigSoLSuccess"
	CONST_FSM_STATUS_UPDATE_ADAPTOR_BEGIN = "UpdateAdaptorBegin"
	CONST_FSM_STATUS_UPDATE_ADAPTOR_FAIL = "UpdateAdaptorFail"
	CONST_FSM_STATUS_UPDATE_ADAPTOR_POLL_UPDATE_STATUS_LOCAL = "UpdateAdaptorPollUpdateStatusLocal"
	CONST_FSM_STATUS_UPDATE_ADAPTOR_POLL_UPDATE_STATUS_PEER = "UpdateAdaptorPollUpdateStatusPeer"
	CONST_FSM_STATUS_UPDATE_ADAPTOR_POWER_OFF = "UpdateAdaptorPowerOff"
	CONST_FSM_STATUS_UPDATE_ADAPTOR_POWER_ON = "UpdateAdaptorPowerOn"
	CONST_FSM_STATUS_UPDATE_ADAPTOR_SUCCESS = "UpdateAdaptorSuccess"
	CONST_FSM_STATUS_UPDATE_ADAPTOR_UPDATE_REQUEST_LOCAL = "UpdateAdaptorUpdateRequestLocal"
	CONST_FSM_STATUS_UPDATE_ADAPTOR_UPDATE_REQUEST_PEER = "UpdateAdaptorUpdateRequestPeer"
	CONST_FSM_STATUS_UPDATE_BIOSBEGIN = "UpdateBIOSBegin"
	CONST_FSM_STATUS_UPDATE_BIOSCLEAR = "UpdateBIOSClear"
	CONST_FSM_STATUS_UPDATE_BIOSFAIL = "UpdateBIOSFail"
	CONST_FSM_STATUS_UPDATE_BIOSPOLL_CLEAR_STATUS = "UpdateBIOSPollClearStatus"
	CONST_FSM_STATUS_UPDATE_BIOSPOLL_UPDATE_STATUS = "UpdateBIOSPollUpdateStatus"
	CONST_FSM_STATUS_UPDATE_BIOSSUCCESS = "UpdateBIOSSuccess"
	CONST_FSM_STATUS_UPDATE_BIOSUPDATE_REQUEST = "UpdateBIOSUpdateRequest"
	CONST_FSM_STATUS_UPDATE_BOARD_CONTROLLER_BEGIN = "UpdateBoardControllerBegin"
	CONST_FSM_STATUS_UPDATE_BOARD_CONTROLLER_FAIL = "UpdateBoardControllerFail"
	CONST_FSM_STATUS_UPDATE_BOARD_CONTROLLER_POLL_UPDATE_STATUS = "UpdateBoardControllerPollUpdateStatus"
	CONST_FSM_STATUS_UPDATE_BOARD_CONTROLLER_PREPARE_FOR_UPDATE = "UpdateBoardControllerPrepareForUpdate"
	CONST_FSM_STATUS_UPDATE_BOARD_CONTROLLER_SERVER_POWER_OFF = "UpdateBoardControllerServerPowerOff"
	CONST_FSM_STATUS_UPDATE_BOARD_CONTROLLER_SERVER_POWER_ON = "UpdateBoardControllerServerPowerOn"
	CONST_FSM_STATUS_UPDATE_BOARD_CONTROLLER_SUCCESS = "UpdateBoardControllerSuccess"
	CONST_FSM_STATUS_UPDATE_BOARD_CONTROLLER_UPDATE_REQUEST = "UpdateBoardControllerUpdateRequest"
	CONST_FSM_STATUS_NOP = "nop"
	CONST_FSM_STATUS_UPDATE_EXT_USERS_BEGIN = "updateExtUsersBegin"
	CONST_FSM_STATUS_UPDATE_EXT_USERS_DEPLOY = "updateExtUsersDeploy"
	CONST_FSM_STATUS_UPDATE_EXT_USERS_FAIL = "updateExtUsersFail"
	CONST_FSM_STATUS_UPDATE_EXT_USERS_SUCCESS = "updateExtUsersSuccess"
	CONST_INT_ID_NONE = "none"
	CONST_LC_DECOMMISSION = "decommission"
	CONST_LC_DISCOVERED = "discovered"
	CONST_LC_MIGRATE = "migrate"
	CONST_LC_REDISCOVER = "rediscover"
	CONST_LC_REMOVE = "remove"
	CONST_LC_RESET_TO_FACTORY = "resetToFactory"
	CONST_LC_UNDISCOVERED = "undiscovered"
	CONST_LC_UPGRADE_FIRMWARE = "upgrade-firmware"
	CONST_LOW_VOLTAGE_MEMORY_LOW_VOLTAGE = "low-voltage"
	CONST_LOW_VOLTAGE_MEMORY_NOT_APPLICABLE = "not-applicable"
	CONST_LOW_VOLTAGE_MEMORY_REGULAR_VOLTAGE = "regular-voltage"
	CONST_MANAGING_INST_A = "A"
	CONST_MANAGING_INST_B = "B"
	CONST_MANAGING_INST_NONE = "NONE"
	CONST_MEMORY_SPEED_NOT_APPLICABLE = "not-applicable"
	CONST_MEMORY_SPEED_UNSPECIFIED = "unspecified"
	CONST_MFG_TIME_NOT_APPLICABLE = "not-applicable"
	CONST_OPER_POWER_DEGRADED = "degraded"
	CONST_OPER_POWER_ERROR = "error"
	CONST_OPER_POWER_FAILED = "failed"
	CONST_OPER_POWER_NOT_SUPPORTED = "not-supported"
	CONST_OPER_POWER_OFF = "off"
	CONST_OPER_POWER_OFFDUTY = "offduty"
	CONST_OPER_POWER_OFFLINE = "offline"
	CONST_OPER_POWER_OK = "ok"
	CONST_OPER_POWER_ON = "on"
	CONST_OPER_POWER_ONLINE = "online"
	CONST_OPER_POWER_POWER_SAVE = "power-save"
	CONST_OPER_POWER_TEST = "test"
	CONST_OPER_POWER_UNKNOWN = "unknown"
	CONST_OPER_STATE_BIOS_RESTORE = "bios-restore"
	CONST_OPER_STATE_CMOS_RESET = "cmos-reset"
	CONST_OPER_STATE_COMPUTE_FAILED = "compute-failed"
	CONST_OPER_STATE_COMPUTE_MISMATCH = "compute-mismatch"
	CONST_OPER_STATE_CONFIG = "config"
	CONST_OPER_STATE_CONFIG_FAILURE = "config-failure"
	CONST_OPER_STATE_DECOMISSIONING = "decomissioning"
	CONST_OPER_STATE_DEGRADED = "degraded"
	CONST_OPER_STATE_DIAGNOSTICS = "diagnostics"
	CONST_OPER_STATE_DIAGNOSTICS_FAILED = "diagnostics-failed"
	CONST_OPER_STATE_DISABLED = "disabled"
	CONST_OPER_STATE_DISCOVERY = "discovery"
	CONST_OPER_STATE_DISCOVERY_FAILED = "discovery-failed"
	CONST_OPER_STATE_INACCESSIBLE = "inaccessible"
	CONST_OPER_STATE_INDETERMINATE = "indeterminate"
	CONST_OPER_STATE_INOPERABLE = "inoperable"
	CONST_OPER_STATE_MAINTENANCE = "maintenance"
	CONST_OPER_STATE_MAINTENANCE_FAILED = "maintenance-failed"
	CONST_OPER_STATE_OK = "ok"
	CONST_OPER_STATE_PENDING_REASSOCIATION = "pending-reassociation"
	CONST_OPER_STATE_PENDING_REBOOT = "pending-reboot"
	CONST_OPER_STATE_POWER_OFF = "power-off"
	CONST_OPER_STATE_POWER_PROBLEM = "power-problem"
	CONST_OPER_STATE_REMOVED = "removed"
	CONST_OPER_STATE_RESTART = "restart"
	CONST_OPER_STATE_SVNIC_NOT_PRESENT = "svnic-not-present"
	CONST_OPER_STATE_TEST = "test"
	CONST_OPER_STATE_TEST_FAILED = "test-failed"
	CONST_OPER_STATE_THERMAL_PROBLEM = "thermal-problem"
	CONST_OPER_STATE_UNASSOCIATED = "unassociated"
	CONST_OPER_STATE_UNCONFIG = "unconfig"
	CONST_OPER_STATE_UNCONFIG_FAILED = "unconfig-failed"
	CONST_OPER_STATE_VOLTAGE_PROBLEM = "voltage-problem"
	CONST_OPERABILITY_ACCESSIBILITY_PROBLEM = "accessibility-problem"
	CONST_OPERABILITY_AUTO_UPGRADE = "auto-upgrade"
	CONST_OPERABILITY_BIOS_POST_TIMEOUT = "bios-post-timeout"
	CONST_OPERABILITY_CHASSIS_LIMIT_EXCEEDED = "chassis-limit-exceeded"
	CONST_OPERABILITY_CONFIG = "config"
	CONST_OPERABILITY_DECOMISSIONING = "decomissioning"
	CONST_OPERABILITY_DEGRADED = "degraded"
	CONST_OPERABILITY_DISABLED = "disabled"
	CONST_OPERABILITY_DISCOVERY = "discovery"
	CONST_OPERABILITY_DISCOVERY_FAILED = "discovery-failed"
	CONST_OPERABILITY_EQUIPMENT_PROBLEM = "equipment-problem"
	CONST_OPERABILITY_FABRIC_CONN_PROBLEM = "fabric-conn-problem"
	CONST_OPERABILITY_FABRIC_UNSUPPORTED_CONN = "fabric-unsupported-conn"
	CONST_OPERABILITY_IDENTIFY = "identify"
	CONST_OPERABILITY_IDENTITY_UNESTABLISHABLE = "identity-unestablishable"
	CONST_OPERABILITY_INOPERABLE = "inoperable"
	CONST_OPERABILITY_LINK_ACTIVATE_BLOCKED = "link-activate-blocked"
	CONST_OPERABILITY_MALFORMED_FRU = "malformed-fru"
	CONST_OPERABILITY_NOT_SUPPORTED = "not-supported"
	CONST_OPERABILITY_OPERABLE = "operable"
	CONST_OPERABILITY_PEER_COMM_PROBLEM = "peer-comm-problem"
	CONST_OPERABILITY_PERFORMANCE_PROBLEM = "performance-problem"
	CONST_OPERABILITY_POST_FAILURE = "post-failure"
	CONST_OPERABILITY_POWER_PROBLEM = "power-problem"
	CONST_OPERABILITY_POWERED_OFF = "powered-off"
	CONST_OPERABILITY_REMOVED = "removed"
	CONST_OPERABILITY_THERMAL_PROBLEM = "thermal-problem"
	CONST_OPERABILITY_UNKNOWN = "unknown"
	CONST_OPERABILITY_UPGRADE_PROBLEM = "upgrade-problem"
	CONST_OPERABILITY_VOLTAGE_PROBLEM = "voltage-problem"
	CONST_POLICY_OWNER_LOCAL = "local"
	CONST_POLICY_OWNER_PENDING_POLICY = "pending-policy"
	CONST_POLICY_OWNER_POLICY = "policy"
	CONST_PRESENCE_EMPTY = "empty"
	CONST_PRESENCE_EQUIPPED = "equipped"
	CONST_PRESENCE_EQUIPPED_IDENTITY_UNESTABLISHABLE = "equipped-identity-unestablishable"
	CONST_PRESENCE_EQUIPPED_NOT_PRIMARY = "equipped-not-primary"
	CONST_PRESENCE_EQUIPPED_SLAVE = "equipped-slave"
	CONST_PRESENCE_EQUIPPED_WITH_MALFORMED_FRU = "equipped-with-malformed-fru"
	CONST_PRESENCE_INACCESSIBLE = "inaccessible"
	CONST_PRESENCE_MISMATCH = "mismatch"
	CONST_PRESENCE_MISMATCH_IDENTITY_UNESTABLISHABLE = "mismatch-identity-unestablishable"
	CONST_PRESENCE_MISMATCH_SLAVE = "mismatch-slave"
	CONST_PRESENCE_MISSING = "missing"
	CONST_PRESENCE_MISSING_SLAVE = "missing-slave"
	CONST_PRESENCE_UNAUTHORIZED = "unauthorized"
	CONST_PRESENCE_UNKNOWN = "unknown"
	CONST_SCALED_MODE_NONE = "none"
	CONST_SCALED_MODE_SCALED = "scaled"
	CONST_SCALED_MODE_SINGLE = "single"
	CONST_UPGRADE_SCENARIO_NOT_APPLICABLE = "not-applicable"
	CONST_UPGRADE_SCENARIO_NOT_UPGRADED = "not-upgraded"
	CONST_UPGRADE_SCENARIO_UPGRADED = "upgraded"
