import sys, os

sys.path.append(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))
from UcsHandle import UcsVersion, UcsPropertyMeta, UcsMoMeta
from UcsMeta import _VersionMeta
sys.path.remove(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))

PROPERTY_DICT = {
	"BufferOverflowErrors":UcsPropertyMeta("BufferOverflowErrors", "bufferOverflowErrors", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"BufferOverflowErrors15Min":UcsPropertyMeta("BufferOverflowErrors15Min", "bufferOverflowErrors15Min", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"BufferOverflowErrors15MinH":UcsPropertyMeta("BufferOverflowErrors15MinH", "bufferOverflowErrors15MinH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"BufferOverflowErrors1Day":UcsPropertyMeta("BufferOverflowErrors1Day", "bufferOverflowErrors1Day", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"BufferOverflowErrors1DayH":UcsPropertyMeta("BufferOverflowErrors1DayH", "bufferOverflowErrors1DayH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"BufferOverflowErrors1Hour":UcsPropertyMeta("BufferOverflowErrors1Hour", "bufferOverflowErrors1Hour", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"BufferOverflowErrors1HourH":UcsPropertyMeta("BufferOverflowErrors1HourH", "bufferOverflowErrors1HourH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"BufferOverflowErrors1Week":UcsPropertyMeta("BufferOverflowErrors1Week", "bufferOverflowErrors1Week", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"BufferOverflowErrors1WeekH":UcsPropertyMeta("BufferOverflowErrors1WeekH", "bufferOverflowErrors1WeekH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"BufferOverflowErrors2Weeks":UcsPropertyMeta("BufferOverflowErrors2Weeks", "bufferOverflowErrors2Weeks", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"BufferOverflowErrors2WeeksH":UcsPropertyMeta("BufferOverflowErrors2WeeksH", "bufferOverflowErrors2WeeksH", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ChildAction":UcsPropertyMeta("ChildAction", "childAction", "string", _VersionMeta.Version111j, UcsPropertyMeta.Internal, None, None, None, """((deleteAll|ignore|deleteNonPresent),){0,2}(deleteAll|ignore|deleteNonPresent){0,1}""", [], ["0-4294967295"]),
	"Dn":UcsPropertyMeta("Dn", "dn", "string", _VersionMeta.Version111j, UcsPropertyMeta.ReadOnly, None, 0, 256, None, [], ["0-4294967295"]),
	"ErrFatalErrors":UcsPropertyMeta("ErrFatalErrors", "errFatalErrors", "uint", _VersionMeta.Version111j, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrFatalErrors15Min":UcsPropertyMeta("ErrFatalErrors15Min", "errFatalErrors15Min", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrFatalErrors15MinH":UcsPropertyMeta("ErrFatalErrors15MinH", "errFatalErrors15MinH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrFatalErrors1Day":UcsPropertyMeta("ErrFatalErrors1Day", "errFatalErrors1Day", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrFatalErrors1DayH":UcsPropertyMeta("ErrFatalErrors1DayH", "errFatalErrors1DayH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrFatalErrors1Hour":UcsPropertyMeta("ErrFatalErrors1Hour", "errFatalErrors1Hour", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrFatalErrors1HourH":UcsPropertyMeta("ErrFatalErrors1HourH", "errFatalErrors1HourH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrFatalErrors1Week":UcsPropertyMeta("ErrFatalErrors1Week", "errFatalErrors1Week", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrFatalErrors1WeekH":UcsPropertyMeta("ErrFatalErrors1WeekH", "errFatalErrors1WeekH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrFatalErrors2Weeks":UcsPropertyMeta("ErrFatalErrors2Weeks", "errFatalErrors2Weeks", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrFatalErrors2WeeksH":UcsPropertyMeta("ErrFatalErrors2WeeksH", "errFatalErrors2WeeksH", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrNonFatalErrors":UcsPropertyMeta("ErrNonFatalErrors", "errNonFatalErrors", "uint", _VersionMeta.Version111j, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrNonFatalErrors15Min":UcsPropertyMeta("ErrNonFatalErrors15Min", "errNonFatalErrors15Min", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrNonFatalErrors15MinH":UcsPropertyMeta("ErrNonFatalErrors15MinH", "errNonFatalErrors15MinH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrNonFatalErrors1Day":UcsPropertyMeta("ErrNonFatalErrors1Day", "errNonFatalErrors1Day", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrNonFatalErrors1DayH":UcsPropertyMeta("ErrNonFatalErrors1DayH", "errNonFatalErrors1DayH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrNonFatalErrors1Hour":UcsPropertyMeta("ErrNonFatalErrors1Hour", "errNonFatalErrors1Hour", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrNonFatalErrors1HourH":UcsPropertyMeta("ErrNonFatalErrors1HourH", "errNonFatalErrors1HourH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrNonFatalErrors1Week":UcsPropertyMeta("ErrNonFatalErrors1Week", "errNonFatalErrors1Week", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrNonFatalErrors1WeekH":UcsPropertyMeta("ErrNonFatalErrors1WeekH", "errNonFatalErrors1WeekH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrNonFatalErrors2Weeks":UcsPropertyMeta("ErrNonFatalErrors2Weeks", "errNonFatalErrors2Weeks", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrNonFatalErrors2WeeksH":UcsPropertyMeta("ErrNonFatalErrors2WeeksH", "errNonFatalErrors2WeeksH", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"Intervals":UcsPropertyMeta("Intervals", "intervals", "uint", _VersionMeta.Version111j, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"Rn":UcsPropertyMeta("Rn", "rn", "string", _VersionMeta.Version111j, UcsPropertyMeta.ReadOnly, None, 0, 256, None, [], ["0-4294967295"]),
	"Status":UcsPropertyMeta("Status", "status", "string", _VersionMeta.Version111j, UcsPropertyMeta.ReadWrite, None, None, None, """((removed|created|modified|deleted),){0,3}(removed|created|modified|deleted){0,1}""", [], ["0-4294967295"]),
	"Suspect":UcsPropertyMeta("Suspect", "suspect", "string", _VersionMeta.Version111j, UcsPropertyMeta.ReadOnly, None, None, None, None, ["false", "no", "true", "yes"], ["0-4294967295"]),
	"Thresholded":UcsPropertyMeta("Thresholded", "thresholded", "string", _VersionMeta.Version111j, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"TimeCollected":UcsPropertyMeta("TimeCollected", "timeCollected", "string", _VersionMeta.Version111j, UcsPropertyMeta.ReadOnly, None, None, None, """([0-9]){4}-([0-9]){2}-([0-9]){2}T([0-9]){2}:([0-9]){2}:([0-9]){2}((\.([0-9]){3})){0,1}""", [], ["0-4294967295"]),
	"UnsupportedRequestErrors":UcsPropertyMeta("UnsupportedRequestErrors", "unsupportedRequestErrors", "uint", _VersionMeta.Version111j, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"UnsupportedRequestErrors15Min":UcsPropertyMeta("UnsupportedRequestErrors15Min", "unsupportedRequestErrors15Min", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"UnsupportedRequestErrors15MinH":UcsPropertyMeta("UnsupportedRequestErrors15MinH", "unsupportedRequestErrors15MinH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"UnsupportedRequestErrors1Day":UcsPropertyMeta("UnsupportedRequestErrors1Day", "unsupportedRequestErrors1Day", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"UnsupportedRequestErrors1DayH":UcsPropertyMeta("UnsupportedRequestErrors1DayH", "unsupportedRequestErrors1DayH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"UnsupportedRequestErrors1Hour":UcsPropertyMeta("UnsupportedRequestErrors1Hour", "unsupportedRequestErrors1Hour", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"UnsupportedRequestErrors1HourH":UcsPropertyMeta("UnsupportedRequestErrors1HourH", "unsupportedRequestErrors1HourH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"UnsupportedRequestErrors1Week":UcsPropertyMeta("UnsupportedRequestErrors1Week", "unsupportedRequestErrors1Week", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"UnsupportedRequestErrors1WeekH":UcsPropertyMeta("UnsupportedRequestErrors1WeekH", "unsupportedRequestErrors1WeekH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"UnsupportedRequestErrors2Weeks":UcsPropertyMeta("UnsupportedRequestErrors2Weeks", "unsupportedRequestErrors2Weeks", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"UnsupportedRequestErrors2WeeksH":UcsPropertyMeta("UnsupportedRequestErrors2WeeksH", "unsupportedRequestErrors2WeeksH", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"Update":UcsPropertyMeta("Update", "update", "uint", _VersionMeta.Version111j, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"Meta":UcsMoMeta("ComputePCIeFatalReceiveStats", "computePCIeFatalReceiveStats", "pciefat-receive-stats", _VersionMeta.Version111j, "OutputOnly", 0x0L, [], [], ["Get"], ["admin", "operations", "read-only"])
}

