import sys, os

sys.path.append(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))
from UcsHandle import UcsVersion, UcsPropertyMeta, UcsMoMeta
from UcsMeta import _VersionMeta
sys.path.remove(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))

PROPERTY_DICT = {
	"AcsViolationErrors":UcsPropertyMeta("AcsViolationErrors", "acsViolationErrors", "uint", _VersionMeta.Version111j, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"AcsViolationErrors15Min":UcsPropertyMeta("AcsViolationErrors15Min", "acsViolationErrors15Min", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"AcsViolationErrors15MinH":UcsPropertyMeta("AcsViolationErrors15MinH", "acsViolationErrors15MinH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"AcsViolationErrors1Day":UcsPropertyMeta("AcsViolationErrors1Day", "acsViolationErrors1Day", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"AcsViolationErrors1DayH":UcsPropertyMeta("AcsViolationErrors1DayH", "acsViolationErrors1DayH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"AcsViolationErrors1Hour":UcsPropertyMeta("AcsViolationErrors1Hour", "acsViolationErrors1Hour", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"AcsViolationErrors1HourH":UcsPropertyMeta("AcsViolationErrors1HourH", "acsViolationErrors1HourH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"AcsViolationErrors1Week":UcsPropertyMeta("AcsViolationErrors1Week", "acsViolationErrors1Week", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"AcsViolationErrors1WeekH":UcsPropertyMeta("AcsViolationErrors1WeekH", "acsViolationErrors1WeekH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"AcsViolationErrors2Weeks":UcsPropertyMeta("AcsViolationErrors2Weeks", "acsViolationErrors2Weeks", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"AcsViolationErrors2WeeksH":UcsPropertyMeta("AcsViolationErrors2WeeksH", "acsViolationErrors2WeeksH", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ChildAction":UcsPropertyMeta("ChildAction", "childAction", "string", _VersionMeta.Version111j, UcsPropertyMeta.Internal, None, None, None, """((deleteAll|ignore|deleteNonPresent),){0,2}(deleteAll|ignore|deleteNonPresent){0,1}""", [], ["0-4294967295"]),
	"Dn":UcsPropertyMeta("Dn", "dn", "string", _VersionMeta.Version111j, UcsPropertyMeta.ReadOnly, None, 0, 256, None, [], ["0-4294967295"]),
	"Intervals":UcsPropertyMeta("Intervals", "intervals", "uint", _VersionMeta.Version111j, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MalformedTLPErrors":UcsPropertyMeta("MalformedTLPErrors", "malformedTLPErrors", "uint", _VersionMeta.Version111j, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MalformedTLPErrors15Min":UcsPropertyMeta("MalformedTLPErrors15Min", "malformedTLPErrors15Min", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MalformedTLPErrors15MinH":UcsPropertyMeta("MalformedTLPErrors15MinH", "malformedTLPErrors15MinH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MalformedTLPErrors1Day":UcsPropertyMeta("MalformedTLPErrors1Day", "malformedTLPErrors1Day", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MalformedTLPErrors1DayH":UcsPropertyMeta("MalformedTLPErrors1DayH", "malformedTLPErrors1DayH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MalformedTLPErrors1Hour":UcsPropertyMeta("MalformedTLPErrors1Hour", "malformedTLPErrors1Hour", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MalformedTLPErrors1HourH":UcsPropertyMeta("MalformedTLPErrors1HourH", "malformedTLPErrors1HourH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MalformedTLPErrors1Week":UcsPropertyMeta("MalformedTLPErrors1Week", "malformedTLPErrors1Week", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MalformedTLPErrors1WeekH":UcsPropertyMeta("MalformedTLPErrors1WeekH", "malformedTLPErrors1WeekH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MalformedTLPErrors2Weeks":UcsPropertyMeta("MalformedTLPErrors2Weeks", "malformedTLPErrors2Weeks", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MalformedTLPErrors2WeeksH":UcsPropertyMeta("MalformedTLPErrors2WeeksH", "malformedTLPErrors2WeeksH", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"PoisonedTLPErrors":UcsPropertyMeta("PoisonedTLPErrors", "poisonedTLPErrors", "uint", _VersionMeta.Version111j, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"PoisonedTLPErrors15Min":UcsPropertyMeta("PoisonedTLPErrors15Min", "poisonedTLPErrors15Min", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"PoisonedTLPErrors15MinH":UcsPropertyMeta("PoisonedTLPErrors15MinH", "poisonedTLPErrors15MinH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"PoisonedTLPErrors1Day":UcsPropertyMeta("PoisonedTLPErrors1Day", "poisonedTLPErrors1Day", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"PoisonedTLPErrors1DayH":UcsPropertyMeta("PoisonedTLPErrors1DayH", "poisonedTLPErrors1DayH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"PoisonedTLPErrors1Hour":UcsPropertyMeta("PoisonedTLPErrors1Hour", "poisonedTLPErrors1Hour", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"PoisonedTLPErrors1HourH":UcsPropertyMeta("PoisonedTLPErrors1HourH", "poisonedTLPErrors1HourH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"PoisonedTLPErrors1Week":UcsPropertyMeta("PoisonedTLPErrors1Week", "poisonedTLPErrors1Week", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"PoisonedTLPErrors1WeekH":UcsPropertyMeta("PoisonedTLPErrors1WeekH", "poisonedTLPErrors1WeekH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"PoisonedTLPErrors2Weeks":UcsPropertyMeta("PoisonedTLPErrors2Weeks", "poisonedTLPErrors2Weeks", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"PoisonedTLPErrors2WeeksH":UcsPropertyMeta("PoisonedTLPErrors2WeeksH", "poisonedTLPErrors2WeeksH", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"Rn":UcsPropertyMeta("Rn", "rn", "string", _VersionMeta.Version111j, UcsPropertyMeta.ReadOnly, None, 0, 256, None, [], ["0-4294967295"]),
	"Status":UcsPropertyMeta("Status", "status", "string", _VersionMeta.Version111j, UcsPropertyMeta.ReadWrite, None, None, None, """((removed|created|modified|deleted),){0,3}(removed|created|modified|deleted){0,1}""", [], ["0-4294967295"]),
	"SurpriseLinkDownErrors":UcsPropertyMeta("SurpriseLinkDownErrors", "surpriseLinkDownErrors", "uint", _VersionMeta.Version111j, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SurpriseLinkDownErrors15Min":UcsPropertyMeta("SurpriseLinkDownErrors15Min", "surpriseLinkDownErrors15Min", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SurpriseLinkDownErrors15MinH":UcsPropertyMeta("SurpriseLinkDownErrors15MinH", "surpriseLinkDownErrors15MinH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SurpriseLinkDownErrors1Day":UcsPropertyMeta("SurpriseLinkDownErrors1Day", "surpriseLinkDownErrors1Day", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SurpriseLinkDownErrors1DayH":UcsPropertyMeta("SurpriseLinkDownErrors1DayH", "surpriseLinkDownErrors1DayH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SurpriseLinkDownErrors1Hour":UcsPropertyMeta("SurpriseLinkDownErrors1Hour", "surpriseLinkDownErrors1Hour", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SurpriseLinkDownErrors1HourH":UcsPropertyMeta("SurpriseLinkDownErrors1HourH", "surpriseLinkDownErrors1HourH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SurpriseLinkDownErrors1Week":UcsPropertyMeta("SurpriseLinkDownErrors1Week", "surpriseLinkDownErrors1Week", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SurpriseLinkDownErrors1WeekH":UcsPropertyMeta("SurpriseLinkDownErrors1WeekH", "surpriseLinkDownErrors1WeekH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SurpriseLinkDownErrors2Weeks":UcsPropertyMeta("SurpriseLinkDownErrors2Weeks", "surpriseLinkDownErrors2Weeks", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SurpriseLinkDownErrors2WeeksH":UcsPropertyMeta("SurpriseLinkDownErrors2WeeksH", "surpriseLinkDownErrors2WeeksH", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"Suspect":UcsPropertyMeta("Suspect", "suspect", "string", _VersionMeta.Version111j, UcsPropertyMeta.ReadOnly, None, None, None, None, ["false", "no", "true", "yes"], ["0-4294967295"]),
	"Thresholded":UcsPropertyMeta("Thresholded", "thresholded", "string", _VersionMeta.Version111j, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"TimeCollected":UcsPropertyMeta("TimeCollected", "timeCollected", "string", _VersionMeta.Version111j, UcsPropertyMeta.ReadOnly, None, None, None, """([0-9]){4}-([0-9]){2}-([0-9]){2}T([0-9]){2}:([0-9]){2}:([0-9]){2}((\.([0-9]){3})){0,1}""", [], ["0-4294967295"]),
	"Update":UcsPropertyMeta("Update", "update", "uint", _VersionMeta.Version111j, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"Meta":UcsMoMeta("ComputePCIeFatalStats", "computePCIeFatalStats", "pciefat-stats", _VersionMeta.Version111j, "OutputOnly", 0x0L, [], [], ["Get"], ["admin", "operations", "read-only"])
}

