import sys, os

sys.path.append(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))
from UcsHandle import UcsVersion, UcsPropertyMeta, UcsMoMeta
from UcsMeta import _VersionMeta
sys.path.remove(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))

PROPERTY_DICT = {
	"BytesRx":UcsPropertyMeta("BytesRx", "bytesRx", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"BytesRxDelta":UcsPropertyMeta("BytesRxDelta", "bytesRxDelta", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"BytesRxDeltaAvg":UcsPropertyMeta("BytesRxDeltaAvg", "bytesRxDeltaAvg", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"BytesRxDeltaMax":UcsPropertyMeta("BytesRxDeltaMax", "bytesRxDeltaMax", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"BytesRxDeltaMin":UcsPropertyMeta("BytesRxDeltaMin", "bytesRxDeltaMin", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"BytesTx":UcsPropertyMeta("BytesTx", "bytesTx", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"BytesTxDelta":UcsPropertyMeta("BytesTxDelta", "bytesTxDelta", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"BytesTxDeltaAvg":UcsPropertyMeta("BytesTxDeltaAvg", "bytesTxDeltaAvg", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"BytesTxDeltaMax":UcsPropertyMeta("BytesTxDeltaMax", "bytesTxDeltaMax", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"BytesTxDeltaMin":UcsPropertyMeta("BytesTxDeltaMin", "bytesTxDeltaMin", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ChildAction":UcsPropertyMeta("ChildAction", "childAction", "string", _VersionMeta.Version211a, UcsPropertyMeta.Internal, None, None, None, """((deleteAll|ignore|deleteNonPresent),){0,2}(deleteAll|ignore|deleteNonPresent){0,1}""", [], ["0-4294967295"]),
	"Dn":UcsPropertyMeta("Dn", "dn", "string", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, 0, 256, None, [], ["0-4294967295"]),
	"DroppedRx":UcsPropertyMeta("DroppedRx", "droppedRx", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"DroppedRxDelta":UcsPropertyMeta("DroppedRxDelta", "droppedRxDelta", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"DroppedRxDeltaAvg":UcsPropertyMeta("DroppedRxDeltaAvg", "droppedRxDeltaAvg", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"DroppedRxDeltaMax":UcsPropertyMeta("DroppedRxDeltaMax", "droppedRxDeltaMax", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"DroppedRxDeltaMin":UcsPropertyMeta("DroppedRxDeltaMin", "droppedRxDeltaMin", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"DroppedTx":UcsPropertyMeta("DroppedTx", "droppedTx", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"DroppedTxDelta":UcsPropertyMeta("DroppedTxDelta", "droppedTxDelta", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"DroppedTxDeltaAvg":UcsPropertyMeta("DroppedTxDeltaAvg", "droppedTxDeltaAvg", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"DroppedTxDeltaMax":UcsPropertyMeta("DroppedTxDeltaMax", "droppedTxDeltaMax", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"DroppedTxDeltaMin":UcsPropertyMeta("DroppedTxDeltaMin", "droppedTxDeltaMin", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrorsRx":UcsPropertyMeta("ErrorsRx", "errorsRx", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrorsRxDelta":UcsPropertyMeta("ErrorsRxDelta", "errorsRxDelta", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrorsRxDeltaAvg":UcsPropertyMeta("ErrorsRxDeltaAvg", "errorsRxDeltaAvg", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrorsRxDeltaMax":UcsPropertyMeta("ErrorsRxDeltaMax", "errorsRxDeltaMax", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrorsRxDeltaMin":UcsPropertyMeta("ErrorsRxDeltaMin", "errorsRxDeltaMin", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrorsTx":UcsPropertyMeta("ErrorsTx", "errorsTx", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrorsTxDelta":UcsPropertyMeta("ErrorsTxDelta", "errorsTxDelta", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrorsTxDeltaAvg":UcsPropertyMeta("ErrorsTxDeltaAvg", "errorsTxDeltaAvg", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrorsTxDeltaMax":UcsPropertyMeta("ErrorsTxDeltaMax", "errorsTxDeltaMax", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ErrorsTxDeltaMin":UcsPropertyMeta("ErrorsTxDeltaMin", "errorsTxDeltaMin", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"Intervals":UcsPropertyMeta("Intervals", "intervals", "uint", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"PacketsRx":UcsPropertyMeta("PacketsRx", "packetsRx", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"PacketsRxDelta":UcsPropertyMeta("PacketsRxDelta", "packetsRxDelta", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"PacketsRxDeltaAvg":UcsPropertyMeta("PacketsRxDeltaAvg", "packetsRxDeltaAvg", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"PacketsRxDeltaMax":UcsPropertyMeta("PacketsRxDeltaMax", "packetsRxDeltaMax", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"PacketsRxDeltaMin":UcsPropertyMeta("PacketsRxDeltaMin", "packetsRxDeltaMin", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"PacketsTx":UcsPropertyMeta("PacketsTx", "packetsTx", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"PacketsTxDelta":UcsPropertyMeta("PacketsTxDelta", "packetsTxDelta", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"PacketsTxDeltaAvg":UcsPropertyMeta("PacketsTxDeltaAvg", "packetsTxDeltaAvg", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"PacketsTxDeltaMax":UcsPropertyMeta("PacketsTxDeltaMax", "packetsTxDeltaMax", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"PacketsTxDeltaMin":UcsPropertyMeta("PacketsTxDeltaMin", "packetsTxDeltaMin", "ulong", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"Rn":UcsPropertyMeta("Rn", "rn", "string", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, 0, 256, None, [], ["0-4294967295"]),
	"Status":UcsPropertyMeta("Status", "status", "string", _VersionMeta.Version211a, UcsPropertyMeta.ReadWrite, None, None, None, """((removed|created|modified|deleted),){0,3}(removed|created|modified|deleted){0,1}""", [], ["0-4294967295"]),
	"Suspect":UcsPropertyMeta("Suspect", "suspect", "string", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, ["false", "no", "true", "yes"], ["0-4294967295"]),
	"Thresholded":UcsPropertyMeta("Thresholded", "thresholded", "string", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"TimeCollected":UcsPropertyMeta("TimeCollected", "timeCollected", "string", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, """([0-9]){4}-([0-9]){2}-([0-9]){2}T([0-9]){2}:([0-9]){2}:([0-9]){2}((\.([0-9]){3})){0,1}""", [], ["0-4294967295"]),
	"Update":UcsPropertyMeta("Update", "update", "uint", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"Meta":UcsMoMeta("EtherFcoeInterfaceStats", "etherFcoeInterfaceStats", "fcoe-interface-stats", _VersionMeta.Version211a, "OutputOnly", 0x0L, [], [u'etherFcoeInterfaceStatsHist'], ["Get"], ["admin", "operations", "read-only"])
}

