import sys, os

sys.path.append(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))
from UcsBase import ManagedObject
sys.path.remove(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))

class FaultSuppressPolicyItem(ManagedObject):
	def __init__(self):
		ManagedObject.__init__(self,"FaultSuppressPolicyItem")

	@staticmethod
	def ClassId():
		return "faultSuppressPolicyItem"

	CAUSE = "Cause"
	DESCR = "Descr"
	DN = "Dn"
	RN = "Rn"
	STATUS = "Status"
	TYPE = "Type"

	CONST_CAUSE_A_FAILED = "a-failed"
	CONST_CAUSE_ACTIVATE_ADAPTOR_NW_FW_LOCAL_FAILED = "activate-adaptor-nw-fw-local-failed"
	CONST_CAUSE_ACTIVATE_ADAPTOR_NW_FW_PEER_FAILED = "activate-adaptor-nw-fw-peer-failed"
	CONST_CAUSE_ACTIVATE_BIOS_FAILED = "activate-bios-failed"
	CONST_CAUSE_ACTIVATE_CATALOG_FAILED = "activate-catalog-failed"
	CONST_CAUSE_ACTIVATE_FAILED = "activate-failed"
	CONST_CAUSE_ACTIVATE_LOCAL_FAILED = "activate-local-failed"
	CONST_CAUSE_ACTIVATE_LOCALFI_FAILED = "activate-localfi-failed"
	CONST_CAUSE_ACTIVATE_PEER_FAILED = "activate-peer-failed"
	CONST_CAUSE_ACTIVATE_REMOTEFI_FAILED = "activate-remotefi-failed"
	CONST_CAUSE_ACTIVATEIBMCFW_FAILED = "activateibmcfw-failed"
	CONST_CAUSE_ACTIVATEIOM_FAILED = "activateiom-failed"
	CONST_CAUSE_ACTIVATEUCSM_FAILED = "activateucsm-failed"
	CONST_CAUSE_ACTIVATION_FAILED = "activation-failed"
	CONST_CAUSE_ACTIVE_FAILED = "active-failed"
	CONST_CAUSE_ANALYZE_IMPACT_FAILED = "analyze-impact-failed"
	CONST_CAUSE_ANOTHER_CONNECTION_ALREADY_ENABLED = "another-connection-already-enabled"
	CONST_CAUSE_ANY = "any"
	CONST_CAUSE_APPLY_CATALOG_FAILED = "apply-catalog-failed"
	CONST_CAUSE_APPLY_CONFIG_FAILED = "apply-config-failed"
	CONST_CAUSE_APPLY_DEFAULT_IDENTIFIERS_FAILED = "apply-default-identifiers-failed"
	CONST_CAUSE_APPLY_FAILED = "apply-failed"
	CONST_CAUSE_APPLY_IDENTIFIERS_FAILED = "apply-identifiers-failed"
	CONST_CAUSE_APPLY_PHYSICAL_FAILED = "apply-physical-failed"
	CONST_CAUSE_APPLY_POLICIES_FAILED = "apply-policies-failed"
	CONST_CAUSE_APPLY_TEMPLATE_FAILED = "apply-template-failed"
	CONST_CAUSE_ARP_TARGETS_CONFIG_ERROR = "arp-targets-config-error"
	CONST_CAUSE_ASSIGNMENT_FAILED = "assignment-failed"
	CONST_CAUSE_ASSOCIATION_FAILED = "association-failed"
	CONST_CAUSE_AUTO_FIRMWARE_UPGRADE = "auto-firmware-upgrade"
	CONST_CAUSE_B_FAILED = "b-failed"
	CONST_CAUSE_BACKUP_LOCAL_FAILED = "backup-local-failed"
	CONST_CAUSE_BEGIN_FAILED = "begin-failed"
	CONST_CAUSE_BIOS_IMG_UPDATE_FAILED = "bios-img-update-failed"
	CONST_CAUSE_BIOS_POST_COMPLETION_FAILED = "bios-post-completion-failed"
	CONST_CAUSE_BLADE_BOOT_FAILED = "blade-boot-failed"
	CONST_CAUSE_BLADE_BOOT_PNUOS_FAILED = "blade-boot-pnuos-failed"
	CONST_CAUSE_BLADE_BOOT_WAIT_FAILED = "blade-boot-wait-failed"
	CONST_CAUSE_BLADE_POWER_OFF_FAILED = "blade-power-off-failed"
	CONST_CAUSE_BLADE_POWER_ON_FAILED = "blade-power-on-failed"
	CONST_CAUSE_BLADE_READ_SMBIOS_FAILED = "blade-read-smbios-failed"
	CONST_CAUSE_BMC_CONFIG_PNUOS_FAILED = "bmc-config-pnuos-failed"
	CONST_CAUSE_BMC_CONFIGURE_CONN_LOCAL_FAILED = "bmc-configure-conn-local-failed"
	CONST_CAUSE_BMC_CONFIGURE_CONN_PEER_FAILED = "bmc-configure-conn-peer-failed"
	CONST_CAUSE_BMC_INVENTORY_FAILED = "bmc-inventory-failed"
	CONST_CAUSE_BMC_PRE_CONFIG_PNUOSLOCAL_FAILED = "bmc-pre-config-pnuoslocal-failed"
	CONST_CAUSE_BMC_PRE_CONFIG_PNUOSPEER_FAILED = "bmc-pre-config-pnuospeer-failed"
	CONST_CAUSE_BMC_PRECONFIG_PNUOSLOCAL_FAILED = "bmc-preconfig-pnuoslocal-failed"
	CONST_CAUSE_BMC_PRECONFIG_PNUOSPEER_FAILED = "bmc-preconfig-pnuospeer-failed"
	CONST_CAUSE_BMC_PRESENCE_FAILED = "bmc-presence-failed"
	CONST_CAUSE_BMC_SHUTDOWN_DIAG_COMPLETED_FAILED = "bmc-shutdown-diag-completed-failed"
	CONST_CAUSE_BMC_SHUTDOWN_DISCOVERED_FAILED = "bmc-shutdown-discovered-failed"
	CONST_CAUSE_BMC_UNCONFIG_PNUOS_FAILED = "bmc-unconfig-pnuos-failed"
	CONST_CAUSE_BOARD_CTRL_UPGRADED = "board-ctrl-upgraded"
	CONST_CAUSE_BOOT_HOST_FAILED = "boot-host-failed"
	CONST_CAUSE_BOOT_PNUOS_FAILED = "boot-pnuos-failed"
	CONST_CAUSE_BOOT_WAIT_FAILED = "boot-wait-failed"
	CONST_CAUSE_CALLHOME_CONFIG_ERROR = "callhome-config-error"
	CONST_CAUSE_CAPACITY_EXCEEDED = "capacity-exceeded"
	CONST_CAUSE_CHECK_INVENTORY_STATUS_FAILED = "check-inventory-status-failed"
	CONST_CAUSE_CHECK_LICENSE_FAILED = "check-license-failed"
	CONST_CAUSE_CHECK_POWER_AVAILABILITY_FAILED = "check-power-availability-failed"
	CONST_CAUSE_CIMC_FIRMWARE_MISMATCH = "cimc-firmware-mismatch"
	CONST_CAUSE_CIMCVLAN_CFG_LOCAL_FAILED = "cimcvlan-cfg-local-failed"
	CONST_CAUSE_CIMCVLAN_CFG_PEER_FAILED = "cimcvlan-cfg-peer-failed"
	CONST_CAUSE_CLEAN_OLD_DATA_FAILED = "clean-old-data-failed"
	CONST_CAUSE_CLEANUP_ENTRIES_FAILED = "cleanup-entries-failed"
	CONST_CAUSE_CLEANUP_FAILED = "cleanup-failed"
	CONST_CAUSE_CLEANUP_LOCAL_FAILED = "cleanup-local-failed"
	CONST_CAUSE_CLEANUP_PEER_FAILED = "cleanup-peer-failed"
	CONST_CAUSE_CLEANUP_PORT_CONFIG_LOCAL_FAILED = "cleanup-port-config-local-failed"
	CONST_CAUSE_CLEANUP_PORT_CONFIG_PEER_FAILED = "cleanup-port-config-peer-failed"
	CONST_CAUSE_CLEANUP_SERVER_CONN_SW_AFAILED = "cleanup-server-conn-sw-afailed"
	CONST_CAUSE_CLEANUP_SERVER_CONN_SW_BFAILED = "cleanup-server-conn-sw-bfailed"
	CONST_CAUSE_CLEANUPCIMC_FAILED = "cleanupcimc-failed"
	CONST_CAUSE_CLEAR_BIOS_UPDATE_FAILED = "clear-bios-update-failed"
	CONST_CAUSE_CLEAR_FAILED = "clear-failed"
	CONST_CAUSE_CLIENT_LOST_CONNECTIVITY = "client-lost-connectivity"
	CONST_CAUSE_CMC_VIF_DOWN = "cmc-vif-down"
	CONST_CAUSE_CMCVLAN_CFG_FAILED = "cmcvlan-cfg-failed"
	CONST_CAUSE_CMCVLAN_CFG_PEER_FAILED = "cmcvlan-cfg-peer-failed"
	CONST_CAUSE_COMM_SVC_CONFIG_ERROR = "comm-svc-config-error"
	CONST_CAUSE_COMMIT_STORAGE_FAILED = "commit-storage-failed"
	CONST_CAUSE_CONFIG_BACKUP_OUTDATED = "config-backup-outdated"
	CONST_CAUSE_CONFIG_BIOS_FAILED = "config-bios-failed"
	CONST_CAUSE_CONFIG_CIMCVMEDIA_FAILED = "config-cimcvmedia-failed"
	CONST_CAUSE_CONFIG_DISCOVERY_MODE_FAILED = "config-discovery-mode-failed"
	CONST_CAUSE_CONFIG_ERROR = "config-error"
	CONST_CAUSE_CONFIG_EXT_MGMT_GW_FAILED = "config-ext-mgmt-gw-failed"
	CONST_CAUSE_CONFIG_EXT_MGMT_RULES_FAILED = "config-ext-mgmt-rules-failed"
	CONST_CAUSE_CONFIG_FAILED = "config-failed"
	CONST_CAUSE_CONFIG_FE_LOCAL_FAILED = "config-fe-local-failed"
	CONST_CAUSE_CONFIG_FE_PEER_FAILED = "config-fe-peer-failed"
	CONST_CAUSE_CONFIG_FLEX_FLASH_FAILED = "config-flex-flash-failed"
	CONST_CAUSE_CONFIG_FLEX_FLASH_SCRUB_FAILED = "config-flex-flash-scrub-failed"
	CONST_CAUSE_CONFIG_KVM_MGMT_DEFAULT_SETTING_FAILED = "config-kvm-mgmt-default-setting-failed"
	CONST_CAUSE_CONFIG_MEMORY_POLICY_FAILED = "config-memory-policy-failed"
	CONST_CAUSE_CONFIG_NIV_MODE_FAILED = "config-niv-mode-failed"
	CONST_CAUSE_CONFIG_SO_LFAILED = "config-so-lfailed"
	CONST_CAUSE_CONFIG_SW_AFAILED = "config-sw-afailed"
	CONST_CAUSE_CONFIG_SW_BFAILED = "config-sw-bfailed"
	CONST_CAUSE_CONFIG_USER_ACCESS_FAILED = "config-user-access-failed"
	CONST_CAUSE_CONFIG_UUID_FAILED = "config-uuid-failed"
	CONST_CAUSE_CONFIGURATION_APPLIED = "configuration-applied"
	CONST_CAUSE_CONFIGURATION_APPLYING = "configuration-applying"
	CONST_CAUSE_CONFIGURATION_ERROR = "configuration-error"
	CONST_CAUSE_CONFIGURATION_FAILED = "configuration-failed"
	CONST_CAUSE_CONFIGURATION_FAILURE = "configuration-failure"
	CONST_CAUSE_CONFIGURATION_IN_PROGRESS = "configuration-in-progress"
	CONST_CAUSE_CONFIGURATION_NOT_APPLIED = "configuration-not-applied"
	CONST_CAUSE_CONFIGURE_END_POINT_FAILED = "configure-end-point-failed"
	CONST_CAUSE_CONFIGURE_FAILED = "configure-failed"
	CONST_CAUSE_CONFIGURE_SW_MGMT_END_POINT_FAILED = "configure-sw-mgmt-end-point-failed"
	CONST_CAUSE_CONFIGURE_VIF_NS_FAILED = "configure-vif-ns-failed"
	CONST_CAUSE_CONNECTION_UNUSED = "connection-unused"
	CONST_CAUSE_CONNECTIVITY_PROBLEM = "connectivity-problem"
	CONST_CAUSE_COPY_CAT_FROM_REP_FAILED = "copy-cat-from-rep-failed"
	CONST_CAUSE_COPY_EXT_TO_LOCAL_FAILED = "copy-ext-to-local-failed"
	CONST_CAUSE_COPY_EXT_TO_PEER_FAILED = "copy-ext-to-peer-failed"
	CONST_CAUSE_COPY_EXTERNAL_REP_TO_REMOTE_FAILED = "copy-external-rep-to-remote-failed"
	CONST_CAUSE_COPY_IMG_FROM_REP_FAILED = "copy-img-from-rep-failed"
	CONST_CAUSE_COPY_PRIMARY_FAILED = "copy-primary-failed"
	CONST_CAUSE_COPY_REMOTE_FAILED = "copy-remote-failed"
	CONST_CAUSE_COPY_SUB_FAILED = "copy-sub-failed"
	CONST_CAUSE_COPY_TO_LOCAL_FAILED = "copy-to-local-failed"
	CONST_CAUSE_COPY_TO_PEER_FAILED = "copy-to-peer-failed"
	CONST_CAUSE_COPYIOMIMG_TO_SUB_FAILED = "copyiomimg-to-sub-failed"
	CONST_CAUSE_CREATE_LOCAL_FAILED = "create-local-failed"
	CONST_CAUSE_CREATE_REMOTE_FAILED = "create-remote-failed"
	CONST_CAUSE_DEASSERT_RESET_BYPASS_FAILED = "deassert-reset-bypass-failed"
	CONST_CAUSE_DEBUG_WAIT_FAILED = "debug-wait-failed"
	CONST_CAUSE_DECOMISSION_FAILED = "decomission-failed"
	CONST_CAUSE_DECOMMISSIONED = "decommissioned"
	CONST_CAUSE_DEFAULT_HOSTPACK_MISSING = "default-hostpack-missing"
	CONST_CAUSE_DEFAULT_HOSTPACK_MISSING_VERSIONS = "default-hostpack-missing-versions"
	CONST_CAUSE_DELETE_CURL_DOWNLOADED_IMAGES_FAILED = "delete-curl-downloaded-images-failed"
	CONST_CAUSE_DELETE_LOCAL_FAILED = "delete-local-failed"
	CONST_CAUSE_DELETE_PRIMARY_FAILED = "delete-primary-failed"
	CONST_CAUSE_DELETE_REMOTE_FAILED = "delete-remote-failed"
	CONST_CAUSE_DELETE_SUB_FAILED = "delete-sub-failed"
	CONST_CAUSE_DEPLOY_FAILED = "deploy-failed"
	CONST_CAUSE_DERIVE_CONFIG_FAILED = "derive-config-failed"
	CONST_CAUSE_DEVICE_SHARED_STORAGE_IO_ERROR = "device-shared-storage-IO-error"
	CONST_CAUSE_DEVICE_SHARED_STORAGE_ERROR = "device-shared-storage-error"
	CONST_CAUSE_DISABLE_AFAILED = "disable-afailed"
	CONST_CAUSE_DISABLE_BFAILED = "disable-bfailed"
	CONST_CAUSE_DISABLE_END_POINT_FAILED = "disable-end-point-failed"
	CONST_CAUSE_DISABLE_FAILED = "disable-failed"
	CONST_CAUSE_DISABLE_SERVER_CONN_SW_AFAILED = "disable-server-conn-sw-afailed"
	CONST_CAUSE_DISABLE_SERVER_CONN_SW_BFAILED = "disable-server-conn-sw-bfailed"
	CONST_CAUSE_DISASSOCIATION_FAILED = "disassociation-failed"
	CONST_CAUSE_DISCOVER_CHASSIS_FAILED = "discover-chassis-failed"
	CONST_CAUSE_DISCOVERY_FAILED = "discovery-failed"
	CONST_CAUSE_DISCOVERY_IN_PROGRESS = "discovery-in-progress"
	CONST_CAUSE_DOWNLOAD_IMAGES_FAILED = "download-images-failed"
	CONST_CAUSE_DOWNLOAD_LOCAL_FAILED = "download-local-failed"
	CONST_CAUSE_ELECTION_FAILURE = "election-failure"
	CONST_CAUSE_EMPTY_PIN_GROUP = "empty-pin-group"
	CONST_CAUSE_EMPTY_POOL = "empty-pool"
	CONST_CAUSE_ENABLE_AFAILED = "enable-afailed"
	CONST_CAUSE_ENABLE_BFAILED = "enable-bfailed"
	CONST_CAUSE_ENABLE_CHASSIS_FAILED = "enable-chassis-failed"
	CONST_CAUSE_ENABLE_FAILED = "enable-failed"
	CONST_CAUSE_ENABLE_PORT_FAILED = "enable-port-failed"
	CONST_CAUSE_ENABLE_SERVER_CONN_SW_AFAILED = "enable-server-conn-sw-afailed"
	CONST_CAUSE_ENABLE_SERVER_CONN_SW_BFAILED = "enable-server-conn-sw-bfailed"
	CONST_CAUSE_EQUIPMENT_DEGRADED = "equipment-degraded"
	CONST_CAUSE_EQUIPMENT_DISABLED = "equipment-disabled"
	CONST_CAUSE_EQUIPMENT_DISCONNECTED = "equipment-disconnected"
	CONST_CAUSE_EQUIPMENT_INACCESSIBLE = "equipment-inaccessible"
	CONST_CAUSE_EQUIPMENT_INOPERABLE = "equipment-inoperable"
	CONST_CAUSE_EQUIPMENT_MISSING = "equipment-missing"
	CONST_CAUSE_EQUIPMENT_OFFLINE = "equipment-offline"
	CONST_CAUSE_EQUIPMENT_PROBLEM = "equipment-problem"
	CONST_CAUSE_EQUIPMENT_REMOVED = "equipment-removed"
	CONST_CAUSE_EQUIPMENT_UNACKNOWLEDGED = "equipment-unacknowledged"
	CONST_CAUSE_EQUIPMENT_UNHEALTHY = "equipment-unhealthy"
	CONST_CAUSE_EVALUATE_ASSOCIATION_FAILED = "evaluate-association-failed"
	CONST_CAUSE_EVALUATE_STATUS_FAILED = "evaluate-status-failed"
	CONST_CAUSE_EXECUTE_AFAILED = "execute-afailed"
	CONST_CAUSE_EXECUTE_BFAILED = "execute-bfailed"
	CONST_CAUSE_EXECUTE_FAILED = "execute-failed"
	CONST_CAUSE_EXECUTE_LOCAL_FAILED = "execute-local-failed"
	CONST_CAUSE_EXECUTE_PEER_FAILED = "execute-peer-failed"
	CONST_CAUSE_EXTRA_PRIMARY_VLANS = "extra-primary-vlans"
	CONST_CAUSE_EXTRA_SECONDARY_VLANS = "extra-secondary-vlans"
	CONST_CAUSE_EXTRA_SECONDARY_VLANS_PER_PRIMARY = "extra-secondary-vlans-per-primary"
	CONST_CAUSE_FABRICATRAFFIC_TEST_STATUS_FAILED = "fabricatraffic-test-status-failed"
	CONST_CAUSE_FABRICBTRAFFIC_TEST_STATUS_FAILED = "fabricbtraffic-test-status-failed"
	CONST_CAUSE_FAIL_FAILED = "fail-failed"
	CONST_CAUSE_FC_PORTCHANNEL_MEMBERS_INCONSISTENT_SPEED = "fc-portchannel-members-inconsistent-speed"
	CONST_CAUSE_FC_STORAGEPORT_NPV_MODE = "fc-storageport-npv-mode"
	CONST_CAUSE_FC_ZONING_ENABLED = "fc-zoning-enabled"
	CONST_CAUSE_FCOE_STORAGEPORT_NPV_MODE = "fcoe-storageport-npv-mode"
	CONST_CAUSE_FCOE_UPLINK_PORT_CHANNEL_UNSUPPORTED_FI_SETTINGS = "fcoe-uplink-port-channel-unsupported-fi-settings"
	CONST_CAUSE_FCOE_UPLINK_UNSUPPORTED_FI_SETTINGS = "fcoe-uplink-unsupported-fi-settings"
	CONST_CAUSE_FEX_UNSUPPORTED = "fex-unsupported"
	CONST_CAUSE_FILE_TRANSFER_FAILED = "file-transfer-failed"
	CONST_CAUSE_FINALIZE_FAILED = "finalize-failed"
	CONST_CAUSE_FIRMWARE_UPGRADE_PROBLEM = "firmware-upgrade-problem"
	CONST_CAUSE_FRU_PROBLEM = "fru-problem"
	CONST_CAUSE_FSM_FAILED = "fsm-failed"
	CONST_CAUSE_GENERATE_LOG_WAIT_FAILED = "generate-log-wait-failed"
	CONST_CAUSE_GENERATE_REPORT_FAILED = "generate-report-failed"
	CONST_CAUSE_GET_VERSION_FAILED = "get-version-failed"
	CONST_CAUSE_GRAPHICS_IMAGE_UPDATE_FAILED = "graphics-image-update-failed"
	CONST_CAUSE_GROUP_CAP_INSUFFICIENT = "group-cap-insufficient"
	CONST_CAUSE_GROUP_PERMIT_UNRESOLVED = "group-permit-unresolved"
	CONST_CAUSE_HA_NOT_READY = "ha-not-ready"
	CONST_CAUSE_HA_SSH_KEYS_MISMATCHED = "ha-ssh-keys-mismatched"
	CONST_CAUSE_HAG_CONNECT_FAILED = "hag-connect-failed"
	CONST_CAUSE_HAG_DISCONNECT_FAILED = "hag-disconnect-failed"
	CONST_CAUSE_HAG_HOSTOSCONNECT_FAILED = "hag-hostosconnect-failed"
	CONST_CAUSE_HAG_PNUOSCONNECT_FAILED = "hag-pnuosconnect-failed"
	CONST_CAUSE_HAG_PNUOSDISCONNECT_FAILED = "hag-pnuosdisconnect-failed"
	CONST_CAUSE_HANDLE_POOLING_FAILED = "handle-pooling-failed"
	CONST_CAUSE_HBA_IMG_UPDATE_FAILED = "hba-img-update-failed"
	CONST_CAUSE_HEALTH_LED_AMBER = "health-led-amber"
	CONST_CAUSE_HEALTH_LED_AMBER_BLINKING = "health-led-amber-blinking"
	CONST_CAUSE_HOST_CATALOG_FAILED = "host-catalog-failed"
	CONST_CAUSE_HOST_CONNECT_FAILED = "host-connect-failed"
	CONST_CAUSE_HOST_DISCONNECT_FAILED = "host-disconnect-failed"
	CONST_CAUSE_HOST_IDENT_FAILED = "host-ident-failed"
	CONST_CAUSE_HOST_INVENTORY_FAILED = "host-inventory-failed"
	CONST_CAUSE_HOST_POLICY_FAILED = "host-policy-failed"
	CONST_CAUSE_HOST_SERVER_DIAG_FAILED = "host-server-diag-failed"
	CONST_CAUSE_HOST_SERVER_DIAG_STATUS_FAILED = "host-server-diag-status-failed"
	CONST_CAUSE_HOSTOSCONFIG_FAILED = "hostosconfig-failed"
	CONST_CAUSE_HOSTOSIDENT_FAILED = "hostosident-failed"
	CONST_CAUSE_HOSTOSPOLICY_FAILED = "hostospolicy-failed"
	CONST_CAUSE_HOSTOSVALIDATE_FAILED = "hostosvalidate-failed"
	CONST_CAUSE_IDENTIFY_FAILED = "identify-failed"
	CONST_CAUSE_IDENTITY_UNESTABLISHABLE = "identity-unestablishable"
	CONST_CAUSE_IMAGE_CANNOT_BOOT = "image-cannot-boot"
	CONST_CAUSE_IMAGE_DELETED = "image-deleted"
	CONST_CAUSE_IMAGE_UNUSABLE = "image-unusable"
	CONST_CAUSE_IN_MAINTENANCE = "in-maintenance"
	CONST_CAUSE_INACCESSIBLE_VLAN_REFERENCED = "inaccessible-vlan-referenced"
	CONST_CAUSE_INBAND_VLAN_NAME_RESOLUTION_FAILURE = "inband-vlan-name-resolution-failure"
	CONST_CAUSE_INCOMPATIBLE_SERVER_FIRMWARE = "incompatible-server-firmware"
	CONST_CAUSE_INCOMPATIBLE_SPEED = "incompatible-speed"
	CONST_CAUSE_INSUFFICIENT_RESOURCES = "insufficient-resources"
	CONST_CAUSE_INSUFFICIENTLY_EQUIPPED = "insufficiently-equipped"
	CONST_CAUSE_INTERFACE_FAILED = "interface-failed"
	CONST_CAUSE_INTERFACE_MISCONFIGURED = "interface-misconfigured"
	CONST_CAUSE_INVALID_KEYRING_CERTIFICATE = "invalid-keyring-certificate"
	CONST_CAUSE_INVALID_KEYRING_MODULUS = "invalid-keyring-modulus"
	CONST_CAUSE_INVALID_SERVER_GROUP = "invalid-server-group"
	CONST_CAUSE_INVALID_TARGET = "invalid-target"
	CONST_CAUSE_INVALID_TRUSTPOINT_CERT_CHAIN = "invalid-trustpoint-cert-chain"
	CONST_CAUSE_INVALID_VLAN_IN_THE_ALLOWED_VLAN_LIST = "invalid-vlan-in-the-allowed-vlan-list"
	CONST_CAUSE_INVENTORY_FAILED = "inventory-failed"
	CONST_CAUSE_KEYRING_CONFIG_ERROR = "keyring-config-error"
	CONST_CAUSE_LEADERSHIP_CHANGE = "leadershipChange"
	CONST_CAUSE_LICENSE_FILE_NOT_DELETED = "license-file-not-deleted"
	CONST_CAUSE_LICENSE_FILE_UNINSTALLABLE = "license-file-uninstallable"
	CONST_CAUSE_LICENSE_GRACEPERIOD_10DAYS = "license-graceperiod-10days"
	CONST_CAUSE_LICENSE_GRACEPERIOD_119DAYS = "license-graceperiod-119days"
	CONST_CAUSE_LICENSE_GRACEPERIOD_30DAYS = "license-graceperiod-30days"
	CONST_CAUSE_LICENSE_GRACEPERIOD_60DAYS = "license-graceperiod-60days"
	CONST_CAUSE_LICENSE_GRACEPERIOD_90DAYS = "license-graceperiod-90days"
	CONST_CAUSE_LICENSE_GRACEPERIOD_ENTERED = "license-graceperiod-entered"
	CONST_CAUSE_LICENSE_GRACEPERIOD_EXPIRED = "license-graceperiod-expired"
	CONST_CAUSE_LICENSE_INSUFFICIENT = "license-insufficient"
	CONST_CAUSE_LIMIT_REACHED = "limit-reached"
	CONST_CAUSE_LINK_DOWN = "link-down"
	CONST_CAUSE_LINK_MISCONNECTED = "link-misconnected"
	CONST_CAUSE_LINK_MISSING = "link-missing"
	CONST_CAUSE_LOAD_CATALOG_FAILED = "load-catalog-failed"
	CONST_CAUSE_LOCAL_DISK_FW_UPDATE_FAILED = "local-disk-fw-update-failed"
	CONST_CAUSE_LOCAL_FAILED = "local-failed"
	CONST_CAUSE_LOCALE_CONFIG_ERROR = "locale-config-error"
	CONST_CAUSE_LOCALE_ORG_CONFIG_ERROR = "locale-org-config-error"
	CONST_CAUSE_LOG_CAPACITY = "log-capacity"
	CONST_CAUSE_MAINTENANCE_FAILED = "maintenance-failed"
	CONST_CAUSE_MANAGEMENT_SERVICES_FAILURE = "management-services-failure"
	CONST_CAUSE_MANAGEMENT_SERVICES_UNRESPONSIVE = "management-services-unresponsive"
	CONST_CAUSE_MARK_ADAPTER_FOR_REBOOT_FAILED = "mark-adapter-for-reboot-failed"
	CONST_CAUSE_MEMBERSHIP_DOWN = "membership-down"
	CONST_CAUSE_MGMTIF_DOWN = "mgmtif-down"
	CONST_CAUSE_MISSING_PRIMARY_VLAN = "missing-primary-vlan"
	CONST_CAUSE_MOUNT_LOCAL_FAILED = "mount-local-failed"
	CONST_CAUSE_MOUNT_PEER_FAILED = "mount-peer-failed"
	CONST_CAUSE_MULTIPLE_CONNECTION_POLICIES = "multiple-connection-policies"
	CONST_CAUSE_NAMED_POLICY_UNRESOLVED = "named-policy-unresolved"
	CONST_CAUSE_NAMED_VLAN_UNRESOLVED = "named-vlan-unresolved"
	CONST_CAUSE_NDISC_TARGETS_CONFIG_ERROR = "ndisc-targets-config-error"
	CONST_CAUSE_NEW_LINK = "new-link"
	CONST_CAUSE_NEW_VNIC_VCON_SCHEME_APPLIED = "new-vnic-vcon-scheme-applied"
	CONST_CAUSE_NIC_CONFIG_HOSTOSLOCAL_FAILED = "nic-config-hostoslocal-failed"
	CONST_CAUSE_NIC_CONFIG_HOSTOSPEER_FAILED = "nic-config-hostospeer-failed"
	CONST_CAUSE_NIC_CONFIG_LOCAL_FAILED = "nic-config-local-failed"
	CONST_CAUSE_NIC_CONFIG_PEER_FAILED = "nic-config-peer-failed"
	CONST_CAUSE_NIC_CONFIG_PNUOSLOCAL_FAILED = "nic-config-pnuoslocal-failed"
	CONST_CAUSE_NIC_CONFIG_PNUOSPEER_FAILED = "nic-config-pnuospeer-failed"
	CONST_CAUSE_NIC_CONFIG_SERVICE_INFRA_LOCAL_FAILED = "nic-config-service-infra-local-failed"
	CONST_CAUSE_NIC_CONFIG_SERVICE_INFRA_PEER_FAILED = "nic-config-service-infra-peer-failed"
	CONST_CAUSE_NIC_IMG_UPDATE_FAILED = "nic-img-update-failed"
	CONST_CAUSE_NIC_INVENTORY_LOCAL_FAILED = "nic-inventory-local-failed"
	CONST_CAUSE_NIC_INVENTORY_PEER_FAILED = "nic-inventory-peer-failed"
	CONST_CAUSE_NIC_PRESENCE_LOCAL_FAILED = "nic-presence-local-failed"
	CONST_CAUSE_NIC_PRESENCE_PEER_FAILED = "nic-presence-peer-failed"
	CONST_CAUSE_NIC_UN_CONFIG_LOCAL_FAILED = "nic-un-config-local-failed"
	CONST_CAUSE_NIC_UN_CONFIG_PEER_FAILED = "nic-un-config-peer-failed"
	CONST_CAUSE_NIC_UNCONFIG_HOSTOSLOCAL_FAILED = "nic-unconfig-hostoslocal-failed"
	CONST_CAUSE_NIC_UNCONFIG_HOSTOSPEER_FAILED = "nic-unconfig-hostospeer-failed"
	CONST_CAUSE_NIC_UNCONFIG_LOCAL_FAILED = "nic-unconfig-local-failed"
	CONST_CAUSE_NIC_UNCONFIG_PEER_FAILED = "nic-unconfig-peer-failed"
	CONST_CAUSE_NIC_UNCONFIG_PNUOSLOCAL_FAILED = "nic-unconfig-pnuoslocal-failed"
	CONST_CAUSE_NIC_UNCONFIG_PNUOSPEER_FAILED = "nic-unconfig-pnuospeer-failed"
	CONST_CAUSE_NIC_UNCONFIG_SERVICE_INFRA_LOCAL_FAILED = "nic-unconfig-service-infra-local-failed"
	CONST_CAUSE_NIC_UNCONFIG_SERVICE_INFRA_PEER_FAILED = "nic-unconfig-service-infra-peer-failed"
	CONST_CAUSE_NO_ACK_FROM_BIOS = "no-ack-from-bios"
	CONST_CAUSE_NO_CAP_FAIL = "no-cap-fail"
	CONST_CAUSE_NO_VLAN_OPTIMIZATION = "no-vlan-optimization"
	CONST_CAUSE_NON_EXISTENT_SCHEDULER = "non-existent-scheduler"
	CONST_CAUSE_OLD_CHASSIS_COMPONENT_FIRMWARE = "old-chassis-component-firmware"
	CONST_CAUSE_OLD_FIRMWARE = "old-firmware"
	CONST_CAUSE_OOB_STORAGE_INVENTORY_FAILED = "oob-storage-inventory-failed"
	CONST_CAUSE_OPERATION_FAILED = "operation-failed"
	CONST_CAUSE_OPERATIONAL_STATE_DOWN = "operational-state-down"
	CONST_CAUSE_PEER_FAILED = "peer-failed"
	CONST_CAUSE_PERFORMANCE_PROBLEM = "performance-problem"
	CONST_CAUSE_PING_FAILED = "ping-failed"
	CONST_CAUSE_PINNING_MISCONFIG = "pinning-misconfig"
	CONST_CAUSE_PINNING_MISMATCH = "pinning-mismatch"
	CONST_CAUSE_PLD_FIRMWARE_MISMATCH = "pld-firmware-mismatch"
	CONST_CAUSE_PNUOSCATALOG_FAILED = "pnuoscatalog-failed"
	CONST_CAUSE_PNUOSCONFIG_FAILED = "pnuosconfig-failed"
	CONST_CAUSE_PNUOSCONN_STATUS_FAILED = "pnuosconn-status-failed"
	CONST_CAUSE_PNUOSCONNECTIVITY_FAILED = "pnuosconnectivity-failed"
	CONST_CAUSE_PNUOSIDENT_FAILED = "pnuosident-failed"
	CONST_CAUSE_PNUOSINVENTORY_FAILED = "pnuosinventory-failed"
	CONST_CAUSE_PNUOSLOCAL_DISK_CONFIG_FAILED = "pnuoslocal-disk-config-failed"
	CONST_CAUSE_PNUOSPOLICY_FAILED = "pnuospolicy-failed"
	CONST_CAUSE_PNUOSSCRUB_FAILED = "pnuosscrub-failed"
	CONST_CAUSE_PNUOSSELF_TEST_FAILED = "pnuosself-test-failed"
	CONST_CAUSE_PNUOSUNCONFIG_FAILED = "pnuosunconfig-failed"
	CONST_CAUSE_PNUOSUNLOAD_DRIVERS_FAILED = "pnuosunload-drivers-failed"
	CONST_CAUSE_PNUOSVALIDATE_FAILED = "pnuosvalidate-failed"
	CONST_CAUSE_POLL_ACTIVATE_OF_LOCALFI_FAILED = "poll-activate-of-localfi-failed"
	CONST_CAUSE_POLL_ACTIVATE_OF_REMOTEFI_FAILED = "poll-activate-of-remotefi-failed"
	CONST_CAUSE_POLL_ACTIVATE_OFIOM_FAILED = "poll-activate-ofiom-failed"
	CONST_CAUSE_POLL_ACTIVATE_OFUCSM_FAILED = "poll-activate-ofucsm-failed"
	CONST_CAUSE_POLL_ACTIVATE_STATUS_FAILED = "poll-activate-status-failed"
	CONST_CAUSE_POLL_BIOS_ACTIVATE_STATUS_FAILED = "poll-bios-activate-status-failed"
	CONST_CAUSE_POLL_BIOS_UPDATE_STATUS_FAILED = "poll-bios-update-status-failed"
	CONST_CAUSE_POLL_BOARD_CTRL_UPDATE_STATUS_FAILED = "poll-board-ctrl-update-status-failed"
	CONST_CAUSE_POLL_CLEAR_BIOS_UPDATE_STATUS_FAILED = "poll-clear-bios-update-status-failed"
	CONST_CAUSE_POLL_CLEAR_STATUS_FAILED = "poll-clear-status-failed"
	CONST_CAUSE_POLL_UPDATE_OFIOM_FAILED = "poll-update-ofiom-failed"
	CONST_CAUSE_POLL_UPDATE_STATUS_FAILED = "poll-update-status-failed"
	CONST_CAUSE_POLL_UPDATE_STATUS_LOCAL_FAILED = "poll-update-status-local-failed"
	CONST_CAUSE_POLL_UPDATE_STATUS_PEER_FAILED = "poll-update-status-peer-failed"
	CONST_CAUSE_PORT_FAILED = "port-failed"
	CONST_CAUSE_PORT_INVENTORY_SW_AFAILED = "port-inventory-sw-afailed"
	CONST_CAUSE_PORT_INVENTORY_SW_BFAILED = "port-inventory-sw-bfailed"
	CONST_CAUSE_POST_SET_KEY_RING_LOCAL_FAILED = "post-set-key-ring-local-failed"
	CONST_CAUSE_POST_SET_KEY_RING_PEER_FAILED = "post-set-key-ring-peer-failed"
	CONST_CAUSE_POWER_CAP_FAIL = "power-cap-fail"
	CONST_CAUSE_POWER_CONSUMPTION_HIT_LIMIT = "power-consumption-hit-limit"
	CONST_CAUSE_POWER_CYCLE_FAILED = "power-cycle-failed"
	CONST_CAUSE_POWER_DOWN = "power-down"
	CONST_CAUSE_POWER_OFF_FAILED = "power-off-failed"
	CONST_CAUSE_POWER_ON_FAILED = "power-on-failed"
	CONST_CAUSE_POWER_ON_PRE_CONFIG_FAILED = "power-on-pre-config-failed"
	CONST_CAUSE_POWER_PROBLEM = "power-problem"
	CONST_CAUSE_POWERED_OFF = "powered-off"
	CONST_CAUSE_PRE_SANITIZE_FAILED = "pre-sanitize-failed"
	CONST_CAUSE_PREPARE_FOR_BOOT_FAILED = "prepare-for-boot-failed"
	CONST_CAUSE_PREPARE_FOR_UPDATE_FAILED = "prepare-for-update-failed"
	CONST_CAUSE_PRIMARY_FAILED = "primary-failed"
	CONST_CAUSE_PRIMARY_VLAN_MISSING_FOR_COMMUNITY = "primary-vlan-missing-for-community"
	CONST_CAUSE_PRIMARY_VLAN_MISSING_FOR_ISOLATED = "primary-vlan-missing-for-isolated"
	CONST_CAUSE_PROFILE_CONFIG_INCORRECT = "profile-config-incorrect"
	CONST_CAUSE_PROPOGATE_EP_SETTINGS_FAILED = "propogate-ep-settings-failed"
	CONST_CAUSE_PROPOGATE_EP_TIME_ZONE_SETTINGS_LOCAL_FAILED = "propogate-ep-time-zone-settings-local-failed"
	CONST_CAUSE_PROPOGATE_EP_TIME_ZONE_SETTINGS_PEER_FAILED = "propogate-ep-time-zone-settings-peer-failed"
	CONST_CAUSE_PROPOGATE_EP_TIME_ZONE_SETTINGS_TO_ADAPTORS_LOCAL_FAILED = "propogate-ep-time-zone-settings-to-adaptors-local-failed"
	CONST_CAUSE_PROPOGATE_EP_TIME_ZONE_SETTINGS_TO_ADAPTORS_PEER_FAILED = "propogate-ep-time-zone-settings-to-adaptors-peer-failed"
	CONST_CAUSE_PROPOGATE_EP_TIME_ZONE_SETTINGS_TO_FEX_IOM_LOCAL_FAILED = "propogate-ep-time-zone-settings-to-fex-iom-local-failed"
	CONST_CAUSE_PROPOGATE_EP_TIME_ZONE_SETTINGS_TO_FEX_IOM_PEER_FAILED = "propogate-ep-time-zone-settings-to-fex-iom-peer-failed"
	CONST_CAUSE_PROVIDER_GROUP_ALREADY_EXISTS = "provider-group-already-exists"
	CONST_CAUSE_PROVIDER_GROUP_SIZE_EMPTY = "provider-group-size-empty"
	CONST_CAUSE_PROVISION_STORAGE_FAILED = "provision-storage-failed"
	CONST_CAUSE_PSU_FAILURE = "psu-failure"
	CONST_CAUSE_PSU_INSUFFICIENT = "psu-insufficient"
	CONST_CAUSE_PSU_REDUNDANCY_FAIL = "psu-redundancy-fail"
	CONST_CAUSE_READ_SMBIOS_FAILED = "read-smbios-failed"
	CONST_CAUSE_RECONFIG_BIOS_FAILED = "reconfig-bios-failed"
	CONST_CAUSE_RECONFIG_UUID_FAILED = "reconfig-uuid-failed"
	CONST_CAUSE_REFERENCED_REMOTE_VLAN_UNRESOLVABLE = "referenced-remote-vlan-unresolvable"
	CONST_CAUSE_REFERENCED_REMOTE_VSAN_UNRESOLVABLE = "referenced-remote-vsan-unresolvable"
	CONST_CAUSE_REFERENCED_VLAN_UNRESOLVABLE = "referenced-vlan-unresolvable"
	CONST_CAUSE_REFERENCED_VSAN_UNRESOLVABLE = "referenced-vsan-unresolvable"
	CONST_CAUSE_REGISTER_CLIENT_FAILED = "register-client-failed"
	CONST_CAUSE_RELEASE_ALL_FAILED = "release-all-failed"
	CONST_CAUSE_RELEASE_FAILED = "release-failed"
	CONST_CAUSE_RELEASE_MANY_FAILED = "release-many-failed"
	CONST_CAUSE_REMOTE_FAILED = "remote-failed"
	CONST_CAUSE_REMOVE_CONFIG_FAILED = "remove-config-failed"
	CONST_CAUSE_REMOVE_FAILED = "remove-failed"
	CONST_CAUSE_REMOVE_LOCAL_FAILED = "remove-local-failed"
	CONST_CAUSE_REMOVEVMEDIA_LOCAL_FAILED = "removevmedia-local-failed"
	CONST_CAUSE_REMOVEVMEDIA_PEER_FAILED = "removevmedia-peer-failed"
	CONST_CAUSE_REPORT_FAILED = "report-failed"
	CONST_CAUSE_REPORT_FULL_INVENTORY_FAILED = "report-full-inventory-failed"
	CONST_CAUSE_REPORT_RESULTS_FAILED = "report-results-failed"
	CONST_CAUSE_REQUEST_FAILED = "request-failed"
	CONST_CAUSE_RESCAN_IMAGES_FAILED = "rescan-images-failed"
	CONST_CAUSE_RESET_FAILED = "reset-failed"
	CONST_CAUSE_RESET_LOCAL_FAILED = "reset-local-failed"
	CONST_CAUSE_RESET_REMOTE_FAILED = "reset-remote-failed"
	CONST_CAUSE_RESET_SECURE_BOOT_CONFIG_FAILED = "reset-secure-boot-config-failed"
	CONST_CAUSE_RESETIBMC_FAILED = "resetibmc-failed"
	CONST_CAUSE_RESOLVE_ALL_FAILED = "resolve-all-failed"
	CONST_CAUSE_RESOLVE_BOOT_CONFIG_FAILED = "resolve-boot-config-failed"
	CONST_CAUSE_RESOLVE_DEFAULT_IDENTIFIERS_FAILED = "resolve-default-identifiers-failed"
	CONST_CAUSE_RESOLVE_DISTRIBUTABLE_FAILED = "resolve-distributable-failed"
	CONST_CAUSE_RESOLVE_DISTRIBUTABLE_NAMES_FAILED = "resolve-distributable-names-failed"
	CONST_CAUSE_RESOLVE_FAILED = "resolve-failed"
	CONST_CAUSE_RESOLVE_IDENTIFIERS_FAILED = "resolve-identifiers-failed"
	CONST_CAUSE_RESOLVE_IMAGES_FAILED = "resolve-images-failed"
	CONST_CAUSE_RESOLVE_MANY_FAILED = "resolve-many-failed"
	CONST_CAUSE_RESOLVE_NETWORK_POLICIES_FAILED = "resolve-network-policies-failed"
	CONST_CAUSE_RESOLVE_NETWORK_TEMPLATES_FAILED = "resolve-network-templates-failed"
	CONST_CAUSE_RESOLVE_POLICIES_FAILED = "resolve-policies-failed"
	CONST_CAUSE_RESOLVE_SCHEDULE_FAILED = "resolve-schedule-failed"
	CONST_CAUSE_RESTORE_CONFIG_FE_LOCAL_FAILED = "restore-config-fe-local-failed"
	CONST_CAUSE_RESTORE_CONFIG_FE_PEER_FAILED = "restore-config-fe-peer-failed"
	CONST_CAUSE_ROLE_CONFIG_ERROR = "role-config-error"
	CONST_CAUSE_SANITIZE_FAILED = "sanitize-failed"
	CONST_CAUSE_SATELLITE_CONNECTION_ABSENT = "satellite-connection-absent"
	CONST_CAUSE_SATELLITE_CONNECTION_INIT = "satellite-connection-init"
	CONST_CAUSE_SATELLITE_MIS_CONNECTED = "satellite-mis-connected"
	CONST_CAUSE_SECONDARY_FAILED = "secondary-failed"
	CONST_CAUSE_SERIAL_DEBUG_CONNECT_FAILED = "serial-debug-connect-failed"
	CONST_CAUSE_SERIAL_DEBUG_DISCONNECT_FAILED = "serial-debug-disconnect-failed"
	CONST_CAUSE_SERIAL_DEBUG_PNUOSCONNECT_FAILED = "serial-debug-pnuosconnect-failed"
	CONST_CAUSE_SERIAL_DEBUG_PNUOSDISCONNECT_FAILED = "serial-debug-pnuosdisconnect-failed"
	CONST_CAUSE_SERVER_ASSIGNED = "server-assigned"
	CONST_CAUSE_SERVER_ASSOCIATED = "server-associated"
	CONST_CAUSE_SERVER_ASSOCIATING = "server-associating"
	CONST_CAUSE_SERVER_CIMC_CMC_RUNNING_VERSION_DOES_NOT_SUPPORT_INBAND = "server-cimc-cmc-running-version-does-not-support-inband"
	CONST_CAUSE_SERVER_DEASSOCIATING = "server-deassociating"
	CONST_CAUSE_SERVER_DOES_NOT_SUPPORT_INBAND = "server-does-not-support-inband"
	CONST_CAUSE_SERVER_ERROR = "server-error"
	CONST_CAUSE_SERVER_FAILED = "server-failed"
	CONST_CAUSE_SERVER_IDENTIFICATION_PROBLEM = "server-identification-problem"
	CONST_CAUSE_SERVER_INACCESSIBLE = "server-inaccessible"
	CONST_CAUSE_SERVER_MOVED = "server-moved"
	CONST_CAUSE_SERVER_POWER_OFF_FAILED = "server-power-off-failed"
	CONST_CAUSE_SERVER_POWER_ON_FAILED = "server-power-on-failed"
	CONST_CAUSE_SERVER_UNASSIGNED = "server-unassigned"
	CONST_CAUSE_SERVER_UNASSOCIATED = "server-unassociated"
	CONST_CAUSE_SET_DIAG_USER_FAILED = "set-diag-user-failed"
	CONST_CAUSE_SET_EP_AFAILED = "set-ep-afailed"
	CONST_CAUSE_SET_EP_BFAILED = "set-ep-bfailed"
	CONST_CAUSE_SET_EP_LOCAL_FAILED = "set-ep-local-failed"
	CONST_CAUSE_SET_EP_PEER_FAILED = "set-ep-peer-failed"
	CONST_CAUSE_SET_KEY_RING_LOCAL_FAILED = "set-key-ring-local-failed"
	CONST_CAUSE_SET_KEY_RING_PEER_FAILED = "set-key-ring-peer-failed"
	CONST_CAUSE_SET_LOCAL_FAILED = "set-local-failed"
	CONST_CAUSE_SET_PEER_FAILED = "set-peer-failed"
	CONST_CAUSE_SET_REALM_LOCAL_FAILED = "set-realm-local-failed"
	CONST_CAUSE_SET_REALM_PEER_FAILED = "set-realm-peer-failed"
	CONST_CAUSE_SET_USER_LOCAL_FAILED = "set-user-local-failed"
	CONST_CAUSE_SET_USER_PEER_FAILED = "set-user-peer-failed"
	CONST_CAUSE_SETUP_VMEDIA_LOCAL_FAILED = "setup-vmedia-local-failed"
	CONST_CAUSE_SETUP_VMEDIA_PEER_FAILED = "setup-vmedia-peer-failed"
	CONST_CAUSE_SETUPVMEDIA_LOCAL_FAILED = "setupvmedia-local-failed"
	CONST_CAUSE_SETUPVMEDIA_PEER_FAILED = "setupvmedia-peer-failed"
	CONST_CAUSE_SHUTDOWN_FAILED = "shutdown-failed"
	CONST_CAUSE_SNMP_CONFIG_ERROR = "snmp-config-error"
	CONST_CAUSE_SNMP_USER_CONFIG_ERROR = "snmp-user-config-error"
	CONST_CAUSE_SOL_REDIRECT_DISABLE_FAILED = "sol-redirect-disable-failed"
	CONST_CAUSE_SOL_REDIRECT_ENABLE_FAILED = "sol-redirect-enable-failed"
	CONST_CAUSE_START_FABRICATRAFFIC_TEST_FAILED = "start-fabricatraffic-test-failed"
	CONST_CAUSE_START_FABRICBTRAFFIC_TEST_FAILED = "start-fabricbtraffic-test-failed"
	CONST_CAUSE_START_FAILED = "start-failed"
	CONST_CAUSE_STOPVMEDIA_LOCAL_FAILED = "stopvmedia-local-failed"
	CONST_CAUSE_STOPVMEDIA_PEER_FAILED = "stopvmedia-peer-failed"
	CONST_CAUSE_STORAGE_CTLR_IMG_UPDATE_FAILED = "storage-ctlr-img-update-failed"
	CONST_CAUSE_SUCCESS_FAILED = "success-failed"
	CONST_CAUSE_SUPPRESS_STATUS_CHANGE = "suppress-status-change"
	CONST_CAUSE_SUSPEND_MODE_ENTERED = "suspend-mode-entered"
	CONST_CAUSE_SVNIC_NOT_PRESENT = "svnic-not-present"
	CONST_CAUSE_SW_CONFIG_HOSTOSLOCAL_FAILED = "sw-config-hostoslocal-failed"
	CONST_CAUSE_SW_CONFIG_HOSTOSPEER_FAILED = "sw-config-hostospeer-failed"
	CONST_CAUSE_SW_CONFIG_LOCAL_FAILED = "sw-config-local-failed"
	CONST_CAUSE_SW_CONFIG_PEER_FAILED = "sw-config-peer-failed"
	CONST_CAUSE_SW_CONFIG_PNUOSLOCAL_FAILED = "sw-config-pnuoslocal-failed"
	CONST_CAUSE_SW_CONFIG_PNUOSPEER_FAILED = "sw-config-pnuospeer-failed"
	CONST_CAUSE_SW_CONFIG_PORT_NIV_LOCAL_FAILED = "sw-config-port-niv-local-failed"
	CONST_CAUSE_SW_CONFIG_PORT_NIV_PEER_FAILED = "sw-config-port-niv-peer-failed"
	CONST_CAUSE_SW_CONFIG_SERVICE_INFRA_LOCAL_FAILED = "sw-config-service-infra-local-failed"
	CONST_CAUSE_SW_CONFIG_SERVICE_INFRA_PEER_FAILED = "sw-config-service-infra-peer-failed"
	CONST_CAUSE_SW_CONFIGURE_CONN_LOCAL_FAILED = "sw-configure-conn-local-failed"
	CONST_CAUSE_SW_CONFIGURE_CONN_PEER_FAILED = "sw-configure-conn-peer-failed"
	CONST_CAUSE_SW_PNUOSCONNECTIVITY_LOCAL_FAILED = "sw-pnuosconnectivity-local-failed"
	CONST_CAUSE_SW_PNUOSCONNECTIVITY_PEER_FAILED = "sw-pnuosconnectivity-peer-failed"
	CONST_CAUSE_SW_UN_CONFIG_LOCAL_FAILED = "sw-un-config-local-failed"
	CONST_CAUSE_SW_UN_CONFIG_PEER_FAILED = "sw-un-config-peer-failed"
	CONST_CAUSE_SW_UNCONFIG_HOSTOSLOCAL_FAILED = "sw-unconfig-hostoslocal-failed"
	CONST_CAUSE_SW_UNCONFIG_HOSTOSPEER_FAILED = "sw-unconfig-hostospeer-failed"
	CONST_CAUSE_SW_UNCONFIG_LOCAL_FAILED = "sw-unconfig-local-failed"
	CONST_CAUSE_SW_UNCONFIG_PEER_FAILED = "sw-unconfig-peer-failed"
	CONST_CAUSE_SW_UNCONFIG_PNUOSLOCAL_FAILED = "sw-unconfig-pnuoslocal-failed"
	CONST_CAUSE_SW_UNCONFIG_PNUOSPEER_FAILED = "sw-unconfig-pnuospeer-failed"
	CONST_CAUSE_SW_UNCONFIG_PORT_NIV_LOCAL_FAILED = "sw-unconfig-port-niv-local-failed"
	CONST_CAUSE_SW_UNCONFIG_PORT_NIV_PEER_FAILED = "sw-unconfig-port-niv-peer-failed"
	CONST_CAUSE_SW_UNCONFIGURE_LOCAL_FAILED = "sw-unconfigure-local-failed"
	CONST_CAUSE_SW_UNCONFIGURE_PEER_FAILED = "sw-unconfigure-peer-failed"
	CONST_CAUSE_SWITCH_FAILED = "switch-failed"
	CONST_CAUSE_SYNC_BLADEAGLOCAL_FAILED = "sync-bladeaglocal-failed"
	CONST_CAUSE_SYNC_BLADEAGREMOTE_FAILED = "sync-bladeagremote-failed"
	CONST_CAUSE_SYNC_FAILED = "sync-failed"
	CONST_CAUSE_SYNC_HOSTAGENTAGLOCAL_FAILED = "sync-hostagentaglocal-failed"
	CONST_CAUSE_SYNC_HOSTAGENTAGREMOTE_FAILED = "sync-hostagentagremote-failed"
	CONST_CAUSE_SYNC_NICAGLOCAL_FAILED = "sync-nicaglocal-failed"
	CONST_CAUSE_SYNC_NICAGREMOTE_FAILED = "sync-nicagremote-failed"
	CONST_CAUSE_SYNC_PORTAGLOCAL_FAILED = "sync-portaglocal-failed"
	CONST_CAUSE_SYNC_PORTAGREMOTE_FAILED = "sync-portagremote-failed"
	CONST_CAUSE_SYNC_POWER_STATE_FAILED = "sync-power-state-failed"
	CONST_CAUSE_TEARDOWN_VMEDIA_LOCAL_FAILED = "teardown-vmedia-local-failed"
	CONST_CAUSE_TEARDOWN_VMEDIA_PEER_FAILED = "teardown-vmedia-peer-failed"
	CONST_CAUSE_TFTP_SERVER_ERROR = "tftp-server-error"
	CONST_CAUSE_THERMAL_PROBLEM = "thermal-problem"
	CONST_CAUSE_THRESHOLD_CROSSED = "threshold-crossed"
	CONST_CAUSE_TIMEZONE_FILE_NOT_EXISTS = "timezone-file-not-exists"
	CONST_CAUSE_TRANSITION = "transition"
	CONST_CAUSE_UCSM_PROCESS_FAILURE = "ucsm-process-failure"
	CONST_CAUSE_UDLD_LINK_DOWN = "udld-link-down"
	CONST_CAUSE_UN_IDENTIFY_LOCAL_FAILED = "un-identify-local-failed"
	CONST_CAUSE_UN_IDENTIFY_PEER_FAILED = "un-identify-peer-failed"
	CONST_CAUSE_UNASSOCIATED = "unassociated"
	CONST_CAUSE_UNCONFIG_BIOS_FAILED = "unconfig-bios-failed"
	CONST_CAUSE_UNCONFIG_CIMCVMEDIA_FAILED = "unconfig-cimcvmedia-failed"
	CONST_CAUSE_UNCONFIG_EXT_MGMT_GW_FAILED = "unconfig-ext-mgmt-gw-failed"
	CONST_CAUSE_UNCONFIG_EXT_MGMT_RULES_FAILED = "unconfig-ext-mgmt-rules-failed"
	CONST_CAUSE_UNCONFIG_FLEX_FLASH_FAILED = "unconfig-flex-flash-failed"
	CONST_CAUSE_UNCONFIG_SO_LFAILED = "unconfig-so-lfailed"
	CONST_CAUSE_UNCONFIG_USER_ACCESS_FAILED = "unconfig-user-access-failed"
	CONST_CAUSE_UNCONFIG_UUID_FAILED = "unconfig-uuid-failed"
	CONST_CAUSE_UNCONFIGURATION_IN_PROGRESS = "unconfiguration-in-progress"
	CONST_CAUSE_UNDER_TEST = "under-test"
	CONST_CAUSE_UNEXPECTED_NUMBER_OF_LINKS = "unexpected-number-of-links"
	CONST_CAUSE_UNIDENTIFIABLE_FRU = "unidentifiable-fru"
	CONST_CAUSE_UNKNOWN = "unknown"
	CONST_CAUSE_UNMOUNT_LOCAL_FAILED = "unmount-local-failed"
	CONST_CAUSE_UNMOUNT_PEER_FAILED = "unmount-peer-failed"
	CONST_CAUSE_UNPACK_LOCAL_FAILED = "unpack-local-failed"
	CONST_CAUSE_UNREGISTER_FAILED = "unregister-failed"
	CONST_CAUSE_UNSUPPORTED_CIMC_FIRMWARE = "unsupported-cimc-firmware"
	CONST_CAUSE_UNSUPPORTED_CONNECTIVITY = "unsupported-connectivity"
	CONST_CAUSE_UNSUPPORTED_CONNECTIVITY_CONFIGURATION = "unsupported-connectivity-configuration"
	CONST_CAUSE_UNSUPPORTED_TRANSCEIVER = "unsupported-transceiver"
	CONST_CAUSE_UPDATE_ADAPTOR_NW_FW_LOCAL_FAILED = "update-adaptor-nw-fw-local-failed"
	CONST_CAUSE_UPDATE_ADAPTOR_NW_FW_PEER_FAILED = "update-adaptor-nw-fw-peer-failed"
	CONST_CAUSE_UPDATE_BIOS_REQUEST_FAILED = "update-bios-request-failed"
	CONST_CAUSE_UPDATE_BOARD_CTRL_REQUEST_FAILED = "update-board-ctrl-request-failed"
	CONST_CAUSE_UPDATE_CONNECTIVITY_FAILED = "update-connectivity-failed"
	CONST_CAUSE_UPDATE_ETH_FLOW_MON_FAILED = "update-eth-flow-mon-failed"
	CONST_CAUSE_UPDATE_ETH_MON_FAILED = "update-eth-mon-failed"
	CONST_CAUSE_UPDATE_FC_MON_FAILED = "update-fc-mon-failed"
	CONST_CAUSE_UPDATE_FLASH_LIFE_FAILED = "update-flash-life-failed"
	CONST_CAUSE_UPDATE_LOCAL_FAILED = "update-local-failed"
	CONST_CAUSE_UPDATE_REMOTE_FAILED = "update-remote-failed"
	CONST_CAUSE_UPDATE_REQUEST_FAILED = "update-request-failed"
	CONST_CAUSE_UPDATE_REQUEST_LOCAL_FAILED = "update-request-local-failed"
	CONST_CAUSE_UPDATE_REQUEST_PEER_FAILED = "update-request-peer-failed"
	CONST_CAUSE_UPDATE_TOKENS_FAILED = "update-tokens-failed"
	CONST_CAUSE_UPDATE_VLAN_GROUPS_FAILED = "update-vlan-groups-failed"
	CONST_CAUSE_UPDATE_ZONES_FAILED = "update-zones-failed"
	CONST_CAUSE_UPDATEIBMCFW_FAILED = "updateibmcfw-failed"
	CONST_CAUSE_UPDATEIOM_FAILED = "updateiom-failed"
	CONST_CAUSE_UPLOAD_FAILED = "upload-failed"
	CONST_CAUSE_USER_CONFIG_ERROR = "user-config-error"
	CONST_CAUSE_USER_LOCALE_CONFIG_ERROR = "user-locale-config-error"
	CONST_CAUSE_USER_ROLE_CONFIG_ERROR = "user-role-config-error"
	CONST_CAUSE_VALIDATE_CONFIGURATION_FAILED = "validate-configuration-failed"
	CONST_CAUSE_VALIDATE_LOCAL_FAILED = "validate-local-failed"
	CONST_CAUSE_VALIDATE_POLICY_OWNERSHIP_FAILED = "validate-policy-ownership-failed"
	CONST_CAUSE_VALIDATE_REMOTE_FAILED = "validate-remote-failed"
	CONST_CAUSE_VERIFY_FAILED = "verify-failed"
	CONST_CAUSE_VERIFY_FC_ZONE_CONFIG_FAILED = "verify-fc-zone-config-failed"
	CONST_CAUSE_VERIFY_GUID_FAILED = "verify-guid-failed"
	CONST_CAUSE_VERIFY_LOCAL_FAILED = "verify-local-failed"
	CONST_CAUSE_VERIFY_PHYS_CONFIG_FAILED = "verify-phys-config-failed"
	CONST_CAUSE_VERIFY_REGISTRATION_FAILED = "verify-registration-failed"
	CONST_CAUSE_VERIFY_REMOTE_FAILED = "verify-remote-failed"
	CONST_CAUSE_VERSION_INCOMPATIBLE = "version-incompatible"
	CONST_CAUSE_VIF_DOWN = "vif-down"
	CONST_CAUSE_VIF_IDS_MISMATCH = "vif-ids-mismatch"
	CONST_CAUSE_VLAN_CONFLICT_PERMIT = "vlan-conflict-permit"
	CONST_CAUSE_VLAN_ERROR_ASSOC_PRIMARY = "vlan-error-assoc-primary"
	CONST_CAUSE_VLAN_MCAST_POLICY_MISCONFIGURED = "vlan-mcast-policy-misconfigured"
	CONST_CAUSE_VLAN_MISCONFIGURED = "vlan-misconfigured"
	CONST_CAUSE_VLAN_MISMATCH = "vlan-mismatch"
	CONST_CAUSE_VLAN_PERMIT_UNRESOLVED = "vlan-permit-unresolved"
	CONST_CAUSE_VM_NETWORK_REFERENCE_INCORRECT = "vm-network-reference-incorrect"
	CONST_CAUSE_VMEDIA_MOUNT_INACCESSIBLE = "vmedia-mount-inaccessible"
	CONST_CAUSE_VOLTAGE_PROBLEM = "voltage-problem"
	CONST_CAUSE_VSAN_MISCONFIGURED = "vsan-misconfigured"
	CONST_CAUSE_WAIT_FAILED = "wait-failed"
	CONST_CAUSE_WAIT_FOR_ADAPTOR_NW_FW_UPDATE_LOCAL_FAILED = "wait-for-adaptor-nw-fw-update-local-failed"
	CONST_CAUSE_WAIT_FOR_ADAPTOR_NW_FW_UPDATE_PEER_FAILED = "wait-for-adaptor-nw-fw-update-peer-failed"
	CONST_CAUSE_WAIT_FOR_ASSOC_COMPLETION_FAILED = "wait-for-assoc-completion-failed"
	CONST_CAUSE_WAIT_FOR_COMMIT_STORAGE_FAILED = "wait-for-commit-storage-failed"
	CONST_CAUSE_WAIT_FOR_CONN_READY_FAILED = "wait-for-conn-ready-failed"
	CONST_CAUSE_WAIT_FOR_DEPLOY_FAILED = "wait-for-deploy-failed"
	CONST_CAUSE_WAIT_FOR_MAINT_PERMISSION_FAILED = "wait-for-maint-permission-failed"
	CONST_CAUSE_WAIT_FOR_MAINT_WINDOW_FAILED = "wait-for-maint-window-failed"
	CONST_CAUSE_WAIT_FOR_STORAGE_PROVISION_FAILED = "wait-for-storage-provision-failed"
	CONST_CAUSE_WAIT_FOR_USER_ACK_FAILED = "wait-for-user-ack-failed"
	CONST_CAUSE_WAIT_FORIBMCFW_UPDATE_FAILED = "wait-foribmcfw-update-failed"
	CONST_CAUSE_WAIT_ON_PHYS_FAILED = "wait-on-phys-failed"
	CONST_TYPE_ANY = "any"
	CONST_TYPE_CONFIGURATION = "configuration"
	CONST_TYPE_CONNECTIVITY = "connectivity"
	CONST_TYPE_ENVIRONMENTAL = "environmental"
	CONST_TYPE_EQUIPMENT = "equipment"
	CONST_TYPE_FSM = "fsm"
	CONST_TYPE_GENERIC = "generic"
	CONST_TYPE_MANAGEMENT = "management"
	CONST_TYPE_NETWORK = "network"
	CONST_TYPE_OPERATIONAL = "operational"
	CONST_TYPE_SECURITY = "security"
	CONST_TYPE_SERVER = "server"
	CONST_TYPE_SYSDEBUG = "sysdebug"
