import sys, os

sys.path.append(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))
from UcsBase import ManagedObject
sys.path.remove(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))

class LsServer(ManagedObject):
	def __init__(self):
		ManagedObject.__init__(self,"LsServer")

	@staticmethod
	def ClassId():
		return "lsServer"

	AGENT_POLICY_NAME = "AgentPolicyName"
	ASSIGN_STATE = "AssignState"
	ASSOC_STATE = "AssocState"
	BIOS_PROFILE_NAME = "BiosProfileName"
	BOOT_POLICY_NAME = "BootPolicyName"
	CONFIG_QUALIFIER = "ConfigQualifier"
	CONFIG_STATE = "ConfigState"
	DESCR = "Descr"
	DN = "Dn"
	DYNAMIC_CON_POLICY_NAME = "DynamicConPolicyName"
	EXT_IPPOOL_NAME = "ExtIPPoolName"
	EXT_IPSTATE = "ExtIPState"
	HOST_FW_POLICY_NAME = "HostFwPolicyName"
	IDENT_POOL_NAME = "IdentPoolName"
	KVM_MGMT_POLICY_NAME = "KvmMgmtPolicyName"
	LOCAL_DISK_POLICY_NAME = "LocalDiskPolicyName"
	MAINT_POLICY_NAME = "MaintPolicyName"
	MGMT_ACCESS_POLICY_NAME = "MgmtAccessPolicyName"
	MGMT_FW_POLICY_NAME = "MgmtFwPolicyName"
	NAME = "Name"
	OPER_BIOS_PROFILE_NAME = "OperBiosProfileName"
	OPER_BOOT_POLICY_NAME = "OperBootPolicyName"
	OPER_DYNAMIC_CON_POLICY_NAME = "OperDynamicConPolicyName"
	OPER_EXT_IPPOOL_NAME = "OperExtIPPoolName"
	OPER_HOST_FW_POLICY_NAME = "OperHostFwPolicyName"
	OPER_IDENT_POOL_NAME = "OperIdentPoolName"
	OPER_KVM_MGMT_POLICY_NAME = "OperKvmMgmtPolicyName"
	OPER_LOCAL_DISK_POLICY_NAME = "OperLocalDiskPolicyName"
	OPER_MAINT_POLICY_NAME = "OperMaintPolicyName"
	OPER_MGMT_ACCESS_POLICY_NAME = "OperMgmtAccessPolicyName"
	OPER_MGMT_FW_POLICY_NAME = "OperMgmtFwPolicyName"
	OPER_POWER_POLICY_NAME = "OperPowerPolicyName"
	OPER_SCRUB_POLICY_NAME = "OperScrubPolicyName"
	OPER_SOL_POLICY_NAME = "OperSolPolicyName"
	OPER_SRC_TEMPL_NAME = "OperSrcTemplName"
	OPER_STATE = "OperState"
	OPER_STATS_POLICY_NAME = "OperStatsPolicyName"
	OPER_VCON_PROFILE_NAME = "OperVconProfileName"
	OPER_VMEDIA_POLICY_NAME = "OperVmediaPolicyName"
	OWNER = "Owner"
	PN_DN = "PnDn"
	POLICY_LEVEL = "PolicyLevel"
	POLICY_OWNER = "PolicyOwner"
	POWER_POLICY_NAME = "PowerPolicyName"
	RESOLVE_REMOTE = "ResolveRemote"
	RN = "Rn"
	SCRUB_POLICY_NAME = "ScrubPolicyName"
	SOL_POLICY_NAME = "SolPolicyName"
	SRC_TEMPL_NAME = "SrcTemplName"
	STATS_POLICY_NAME = "StatsPolicyName"
	STATUS = "Status"
	SVNIC_CONFIG = "SvnicConfig"
	TYPE = "Type"
	USR_LBL = "UsrLbl"
	UUID = "Uuid"
	UUID_SUFFIX = "UuidSuffix"
	VCON_PROFILE_NAME = "VconProfileName"
	VMEDIA_POLICY_NAME = "VmediaPolicyName"

	CONST_ASSIGN_STATE_ASSIGNED = "assigned"
	CONST_ASSIGN_STATE_FAILED = "failed"
	CONST_ASSIGN_STATE_UNASSIGNED = "unassigned"
	CONST_ASSOC_STATE_ASSOCIATED = "associated"
	CONST_ASSOC_STATE_ASSOCIATING = "associating"
	CONST_ASSOC_STATE_DISASSOCIATING = "disassociating"
	CONST_ASSOC_STATE_FAILED = "failed"
	CONST_ASSOC_STATE_UNASSOCIATED = "unassociated"
	CONST_CONFIG_STATE_APPLIED = "applied"
	CONST_CONFIG_STATE_APPLYING = "applying"
	CONST_CONFIG_STATE_FAILED_TO_APPLY = "failed-to-apply"
	CONST_CONFIG_STATE_NOT_APPLIED = "not-applied"
	CONST_EXT_IPSTATE_NONE = "none"
	CONST_EXT_IPSTATE_POOLED = "pooled"
	CONST_EXT_IPSTATE_STATIC = "static"
	CONST_FSM_PREV_CONFIGURE_ANALYZE_IMPACT = "ConfigureAnalyzeImpact"
	CONST_FSM_PREV_CONFIGURE_APPLY_CONFIG = "ConfigureApplyConfig"
	CONST_FSM_PREV_CONFIGURE_APPLY_DEFAULT_IDENTIFIERS = "ConfigureApplyDefaultIdentifiers"
	CONST_FSM_PREV_CONFIGURE_APPLY_IDENTIFIERS = "ConfigureApplyIdentifiers"
	CONST_FSM_PREV_CONFIGURE_APPLY_POLICIES = "ConfigureApplyPolicies"
	CONST_FSM_PREV_CONFIGURE_APPLY_TEMPLATE = "ConfigureApplyTemplate"
	CONST_FSM_PREV_CONFIGURE_BEGIN = "ConfigureBegin"
	CONST_FSM_PREV_CONFIGURE_COMMIT_STORAGE = "ConfigureCommitStorage"
	CONST_FSM_PREV_CONFIGURE_EVALUATE_ASSOCIATION = "ConfigureEvaluateAssociation"
	CONST_FSM_PREV_CONFIGURE_FAIL = "ConfigureFail"
	CONST_FSM_PREV_CONFIGURE_PROVISION_STORAGE = "ConfigureProvisionStorage"
	CONST_FSM_PREV_CONFIGURE_RESOLVE_BOOT_CONFIG = "ConfigureResolveBootConfig"
	CONST_FSM_PREV_CONFIGURE_RESOLVE_DEFAULT_IDENTIFIERS = "ConfigureResolveDefaultIdentifiers"
	CONST_FSM_PREV_CONFIGURE_RESOLVE_DISTRIBUTABLE = "ConfigureResolveDistributable"
	CONST_FSM_PREV_CONFIGURE_RESOLVE_DISTRIBUTABLE_NAMES = "ConfigureResolveDistributableNames"
	CONST_FSM_PREV_CONFIGURE_RESOLVE_IDENTIFIERS = "ConfigureResolveIdentifiers"
	CONST_FSM_PREV_CONFIGURE_RESOLVE_IMAGES = "ConfigureResolveImages"
	CONST_FSM_PREV_CONFIGURE_RESOLVE_NETWORK_POLICIES = "ConfigureResolveNetworkPolicies"
	CONST_FSM_PREV_CONFIGURE_RESOLVE_NETWORK_TEMPLATES = "ConfigureResolveNetworkTemplates"
	CONST_FSM_PREV_CONFIGURE_RESOLVE_POLICIES = "ConfigureResolvePolicies"
	CONST_FSM_PREV_CONFIGURE_RESOLVE_SCHEDULE = "ConfigureResolveSchedule"
	CONST_FSM_PREV_CONFIGURE_SUCCESS = "ConfigureSuccess"
	CONST_FSM_PREV_CONFIGURE_VALIDATE_POLICY_OWNERSHIP = "ConfigureValidatePolicyOwnership"
	CONST_FSM_PREV_CONFIGURE_WAIT_FOR_ASSOC_COMPLETION = "ConfigureWaitForAssocCompletion"
	CONST_FSM_PREV_CONFIGURE_WAIT_FOR_COMMIT_STORAGE = "ConfigureWaitForCommitStorage"
	CONST_FSM_PREV_CONFIGURE_WAIT_FOR_MAINT_PERMISSION = "ConfigureWaitForMaintPermission"
	CONST_FSM_PREV_CONFIGURE_WAIT_FOR_MAINT_WINDOW = "ConfigureWaitForMaintWindow"
	CONST_FSM_PREV_CONFIGURE_WAIT_FOR_STORAGE_PROVISION = "ConfigureWaitForStorageProvision"
	CONST_FSM_PREV_NOP = "nop"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_2FA_AUTH_RETRY = "ERR-2fa-auth-retry"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_ACTIVATE_FAILED = "ERR-ACTIVATE-failed"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_ACTIVATE_IN_PROGRESS = "ERR-ACTIVATE-in-progress"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_ACTIVATE_RETRY = "ERR-ACTIVATE-retry"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_BIOS_TOKENS_OLD_BIOS = "ERR-BIOS-TOKENS-OLD-BIOS"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_BIOS_TOKENS_OLD_CIMC = "ERR-BIOS-TOKENS-OLD-CIMC"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_BIOS_NETWORK_BOOT_ORDER_NOT_FOUND = "ERR-BIOS-network-boot-order-not-found"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_BOARDCTRLUPDATE_IGNORE = "ERR-BOARDCTRLUPDATE-ignore"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DIAG_CANCELLED = "ERR-DIAG-cancelled"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DIAG_FSM_RESTARTED = "ERR-DIAG-fsm-restarted"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DIAG_TEST_FAILED = "ERR-DIAG-test-failed"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DNLD_AUTHENTICATION_FAILURE = "ERR-DNLD-authentication-failure"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DNLD_HOSTKEY_MISMATCH = "ERR-DNLD-hostkey-mismatch"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DNLD_INVALID_IMAGE = "ERR-DNLD-invalid-image"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DNLD_NO_FILE = "ERR-DNLD-no-file"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DNLD_NO_SPACE = "ERR-DNLD-no-space"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DNS_DELETE_ERROR = "ERR-DNS-delete-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DNS_GET_ERROR = "ERR-DNS-get-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DNS_SET_ERROR = "ERR-DNS-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DIAGNOSTICS_IN_PROGRESS = "ERR-Diagnostics-in-progress"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DIAGNOSTICS_MEMTEST_IN_PROGRESS = "ERR-Diagnostics-memtest-in-progress"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DIAGNOSTICS_NETWORK_IN_PROGRESS = "ERR-Diagnostics-network-in-progress"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_FILTER_ILLEGAL_FORMAT = "ERR-FILTER-illegal-format"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_FSM_NO_SUCH_STATE = "ERR-FSM-no-such-state"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_HOST_FRU_IDENTITY_MISMATCH = "ERR-HOST-fru-identity-mismatch"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_HTTP_SET_ERROR = "ERR-HTTP-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_HTTPS_SET_ERROR = "ERR-HTTPS-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_IBMC_ANALYZE_RESULTS = "ERR-IBMC-analyze-results"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_IBMC_CONNECT_ERROR = "ERR-IBMC-connect-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_IBMC_CONNECTOR_INFO_RETRIEVAL_ERROR = "ERR-IBMC-connector-info-retrieval-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_IBMC_FRU_RETRIEVAL_ERROR = "ERR-IBMC-fru-retrieval-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_IBMC_INVALID_END_POINT_CONFIG = "ERR-IBMC-invalid-end-point-config"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_IBMC_RESULTS_NOT_READY = "ERR-IBMC-results-not-ready"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MAX_SUBSCRIPTIONS_ALLOWED_ERROR = "ERR-MAX-subscriptions-allowed-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_CONFIG_CHILD_OBJECT_CANT_BE_CONFIGURED = "ERR-MO-CONFIG-child-object-cant-be-configured"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_META_NO_SUCH_OBJECT_CLASS = "ERR-MO-META-no-such-object-class"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_PROPERTY_NO_SUCH_PROPERTY = "ERR-MO-PROPERTY-no-such-property"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_PROPERTY_VALUE_OUT_OF_RANGE = "ERR-MO-PROPERTY-value-out-of-range"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_ACCESS_DENIED = "ERR-MO-access-denied"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_DELETION_RULE_VIOLATION = "ERR-MO-deletion-rule-violation"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_DUPLICATE_OBJECT = "ERR-MO-duplicate-object"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_ILLEGAL_CONTAINMENT = "ERR-MO-illegal-containment"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_ILLEGAL_CREATION = "ERR-MO-illegal-creation"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_ILLEGAL_ITERATOR_STATE = "ERR-MO-illegal-iterator-state"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_ILLEGAL_OBJECT_LIFECYCLE_TRANSITION = "ERR-MO-illegal-object-lifecycle-transition"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_NAMING_RULE_VIOLATION = "ERR-MO-naming-rule-violation"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_OBJECT_NOT_FOUND = "ERR-MO-object-not-found"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MO_RESOURCE_ALLOCATION = "ERR-MO-resource-allocation"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_NTP_DELETE_ERROR = "ERR-NTP-delete-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_NTP_GET_ERROR = "ERR-NTP-get-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_NTP_SET_ERROR = "ERR-NTP-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_POWER_CAP_UNSUPPORTED = "ERR-POWER-CAP-UNSUPPORTED"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_SERVER_MIS_CONNECT = "ERR-SERVER-mis-connect"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_SWITCH_INVALID_IF_CONFIG = "ERR-SWITCH-invalid-if-config"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_TOKEN_REQUEST_DENIED = "ERR-TOKEN-request-denied"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_UNABLE_TO_FETCH_BIOS_SETTINGS = "ERR-UNABLE-TO-FETCH-BIOS-SETTINGS"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_UPDATE_FAILED = "ERR-UPDATE-failed"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_UPDATE_IN_PROGRESS = "ERR-UPDATE-in-progress"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_UPDATE_RETRY = "ERR-UPDATE-retry"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_AAA_CONFIG_MODIFY_ERROR = "ERR-aaa-config-modify-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_ACCT_REALM_SET_ERROR = "ERR-acct-realm-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_ADMIN_PASSWD_SET = "ERR-admin-passwd-set"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_AUTH_ISSUE = "ERR-auth-issue"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_AUTH_REALM_GET_ERROR = "ERR-auth-realm-get-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_AUTH_REALM_SET_ERROR = "ERR-auth-realm-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_AUTHENTICATION = "ERR-authentication"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_AUTHORIZATION_REQUIRED = "ERR-authorization-required"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_CLI_SESSION_LIMIT_REACHED = "ERR-cli-session-limit-reached"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_CREATE_KEYRING = "ERR-create-keyring"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_CREATE_LOCALE = "ERR-create-locale"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_CREATE_ROLE = "ERR-create-role"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_CREATE_USER = "ERR-create-user"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DELETE_LOCALE = "ERR-delete-locale"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DELETE_ROLE = "ERR-delete-role"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DELETE_SESSION = "ERR-delete-session"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_DELETE_USER = "ERR-delete-user"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_EFI_DIAGNOSTICS_IN_PROGRESS = "ERR-efi-Diagnostics--in-progress"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_ENABLE_MGMT_CONN = "ERR-enable-mgmt-conn"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_EP_SET_ERROR = "ERR-ep-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_GET_MAX_HTTP_USER_SESSIONS = "ERR-get-max-http-user-sessions"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_HTTP_INITIALIZING = "ERR-http-initializing"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_INSUFFICIENTLY_EQUIPPED = "ERR-insufficiently-equipped"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_INTERNAL_ERROR = "ERR-internal-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_LDAP_DELETE_ERROR = "ERR-ldap-delete-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_LDAP_GET_ERROR = "ERR-ldap-get-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_LDAP_GROUP_MODIFY_ERROR = "ERR-ldap-group-modify-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_LDAP_GROUP_SET_ERROR = "ERR-ldap-group-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_LDAP_SET_ERROR = "ERR-ldap-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_LOCALE_SET_ERROR = "ERR-locale-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MAX_USERID_SESSIONS_REACHED = "ERR-max-userid-sessions-reached"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MISSING_METHOD = "ERR-missing-method"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MODIFY_LOCALE = "ERR-modify-locale"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MODIFY_ROLE = "ERR-modify-role"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MODIFY_USER = "ERR-modify-user"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MODIFY_USER_LOCALE = "ERR-modify-user-locale"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_MODIFY_USER_ROLE = "ERR-modify-user-role"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_PROVIDER_GROUP_MODIFY_ERROR = "ERR-provider-group-modify-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_PROVIDER_GROUP_SET_ERROR = "ERR-provider-group-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_RADIUS_GET_ERROR = "ERR-radius-get-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_RADIUS_GLOBAL_SET_ERROR = "ERR-radius-global-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_RADIUS_GROUP_SET_ERROR = "ERR-radius-group-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_RADIUS_SET_ERROR = "ERR-radius-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_REQUEST_TIMEOUT = "ERR-request-timeout"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_RESET_ADAPTER = "ERR-reset-adapter"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_ROLE_SET_ERROR = "ERR-role-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_SECONDARY_NODE = "ERR-secondary-node"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_SERVICE_NOT_READY = "ERR-service-not-ready"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_SESSION_CACHE_FULL = "ERR-session-cache-full"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_SESSION_NOT_FOUND = "ERR-session-not-found"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_SET_NETWORK = "ERR-set-network"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_SET_PASSWORD_STRENGTH_CHECK = "ERR-set-password-strength-check"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_SET_PORT_CHANNEL = "ERR-set-port-channel"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_STORE_PRE_LOGIN_BANNER_MSG = "ERR-store-pre-login-banner-msg"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_TACACS_ENABLE_ERROR = "ERR-tacacs-enable-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_TACACS_GLOBAL_SET_ERROR = "ERR-tacacs-global-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_TACACS_GROUP_SET_ERROR = "ERR-tacacs-group-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_TACACS_PLUS_GET_ERROR = "ERR-tacacs-plus-get-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_TACACS_SET_ERROR = "ERR-tacacs-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_TEST_ERROR_1 = "ERR-test-error-1"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_TEST_ERROR_2 = "ERR-test-error-2"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_TIMEZONE_SET_ERROR = "ERR-timezone-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_USER_ACCOUNT_EXPIRED = "ERR-user-account-expired"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_USER_SET_ERROR = "ERR-user-set-error"
	CONST_FSM_RMT_INV_ERR_CODE_ERR_XML_PARSE_ERROR = "ERR-xml-parse-error"
	CONST_FSM_RMT_INV_ERR_CODE_NONE = "none"
	CONST_FSM_STAMP_NEVER = "never"
	CONST_FSM_STATUS_CONFIGURE_ANALYZE_IMPACT = "ConfigureAnalyzeImpact"
	CONST_FSM_STATUS_CONFIGURE_APPLY_CONFIG = "ConfigureApplyConfig"
	CONST_FSM_STATUS_CONFIGURE_APPLY_DEFAULT_IDENTIFIERS = "ConfigureApplyDefaultIdentifiers"
	CONST_FSM_STATUS_CONFIGURE_APPLY_IDENTIFIERS = "ConfigureApplyIdentifiers"
	CONST_FSM_STATUS_CONFIGURE_APPLY_POLICIES = "ConfigureApplyPolicies"
	CONST_FSM_STATUS_CONFIGURE_APPLY_TEMPLATE = "ConfigureApplyTemplate"
	CONST_FSM_STATUS_CONFIGURE_BEGIN = "ConfigureBegin"
	CONST_FSM_STATUS_CONFIGURE_COMMIT_STORAGE = "ConfigureCommitStorage"
	CONST_FSM_STATUS_CONFIGURE_EVALUATE_ASSOCIATION = "ConfigureEvaluateAssociation"
	CONST_FSM_STATUS_CONFIGURE_FAIL = "ConfigureFail"
	CONST_FSM_STATUS_CONFIGURE_PROVISION_STORAGE = "ConfigureProvisionStorage"
	CONST_FSM_STATUS_CONFIGURE_RESOLVE_BOOT_CONFIG = "ConfigureResolveBootConfig"
	CONST_FSM_STATUS_CONFIGURE_RESOLVE_DEFAULT_IDENTIFIERS = "ConfigureResolveDefaultIdentifiers"
	CONST_FSM_STATUS_CONFIGURE_RESOLVE_DISTRIBUTABLE = "ConfigureResolveDistributable"
	CONST_FSM_STATUS_CONFIGURE_RESOLVE_DISTRIBUTABLE_NAMES = "ConfigureResolveDistributableNames"
	CONST_FSM_STATUS_CONFIGURE_RESOLVE_IDENTIFIERS = "ConfigureResolveIdentifiers"
	CONST_FSM_STATUS_CONFIGURE_RESOLVE_IMAGES = "ConfigureResolveImages"
	CONST_FSM_STATUS_CONFIGURE_RESOLVE_NETWORK_POLICIES = "ConfigureResolveNetworkPolicies"
	CONST_FSM_STATUS_CONFIGURE_RESOLVE_NETWORK_TEMPLATES = "ConfigureResolveNetworkTemplates"
	CONST_FSM_STATUS_CONFIGURE_RESOLVE_POLICIES = "ConfigureResolvePolicies"
	CONST_FSM_STATUS_CONFIGURE_RESOLVE_SCHEDULE = "ConfigureResolveSchedule"
	CONST_FSM_STATUS_CONFIGURE_SUCCESS = "ConfigureSuccess"
	CONST_FSM_STATUS_CONFIGURE_VALIDATE_POLICY_OWNERSHIP = "ConfigureValidatePolicyOwnership"
	CONST_FSM_STATUS_CONFIGURE_WAIT_FOR_ASSOC_COMPLETION = "ConfigureWaitForAssocCompletion"
	CONST_FSM_STATUS_CONFIGURE_WAIT_FOR_COMMIT_STORAGE = "ConfigureWaitForCommitStorage"
	CONST_FSM_STATUS_CONFIGURE_WAIT_FOR_MAINT_PERMISSION = "ConfigureWaitForMaintPermission"
	CONST_FSM_STATUS_CONFIGURE_WAIT_FOR_MAINT_WINDOW = "ConfigureWaitForMaintWindow"
	CONST_FSM_STATUS_CONFIGURE_WAIT_FOR_STORAGE_PROVISION = "ConfigureWaitForStorageProvision"
	CONST_FSM_STATUS_NOP = "nop"
	CONST_INT_ID_NONE = "none"
	CONST_OPER_STATE_BIOS_RESTORE = "bios-restore"
	CONST_OPER_STATE_CMOS_RESET = "cmos-reset"
	CONST_OPER_STATE_COMPUTE_FAILED = "compute-failed"
	CONST_OPER_STATE_COMPUTE_MISMATCH = "compute-mismatch"
	CONST_OPER_STATE_CONFIG = "config"
	CONST_OPER_STATE_CONFIG_FAILURE = "config-failure"
	CONST_OPER_STATE_DECOMISSIONING = "decomissioning"
	CONST_OPER_STATE_DEGRADED = "degraded"
	CONST_OPER_STATE_DIAGNOSTICS = "diagnostics"
	CONST_OPER_STATE_DIAGNOSTICS_FAILED = "diagnostics-failed"
	CONST_OPER_STATE_DISABLED = "disabled"
	CONST_OPER_STATE_DISCOVERY = "discovery"
	CONST_OPER_STATE_DISCOVERY_FAILED = "discovery-failed"
	CONST_OPER_STATE_INACCESSIBLE = "inaccessible"
	CONST_OPER_STATE_INDETERMINATE = "indeterminate"
	CONST_OPER_STATE_INOPERABLE = "inoperable"
	CONST_OPER_STATE_MAINTENANCE = "maintenance"
	CONST_OPER_STATE_MAINTENANCE_FAILED = "maintenance-failed"
	CONST_OPER_STATE_OK = "ok"
	CONST_OPER_STATE_PENDING_REASSOCIATION = "pending-reassociation"
	CONST_OPER_STATE_PENDING_REBOOT = "pending-reboot"
	CONST_OPER_STATE_POWER_OFF = "power-off"
	CONST_OPER_STATE_POWER_PROBLEM = "power-problem"
	CONST_OPER_STATE_REMOVED = "removed"
	CONST_OPER_STATE_RESTART = "restart"
	CONST_OPER_STATE_SVNIC_NOT_PRESENT = "svnic-not-present"
	CONST_OPER_STATE_TEST = "test"
	CONST_OPER_STATE_TEST_FAILED = "test-failed"
	CONST_OPER_STATE_THERMAL_PROBLEM = "thermal-problem"
	CONST_OPER_STATE_UNASSOCIATED = "unassociated"
	CONST_OPER_STATE_UNCONFIG = "unconfig"
	CONST_OPER_STATE_UNCONFIG_FAILED = "unconfig-failed"
	CONST_OPER_STATE_VOLTAGE_PROBLEM = "voltage-problem"
	CONST_OWNER_MANAGEMENT = "management"
	CONST_OWNER_PHYSICAL_DEFAULT_CONFIG = "physical-default-config"
	CONST_OWNER_PHYSICAL_INHERIT = "physical-inherit"
	CONST_OWNER_TIER = "tier"
	CONST_POLICY_OWNER_LOCAL = "local"
	CONST_POLICY_OWNER_PENDING_POLICY = "pending-policy"
	CONST_POLICY_OWNER_POLICY = "policy"
	CONST_RESOLVE_REMOTE_NO = "no"
	CONST_RESOLVE_REMOTE_YES = "yes"
	CONST_SVNIC_CONFIG_FALSE = "false"
	CONST_SVNIC_CONFIG_NO = "no"
	CONST_SVNIC_CONFIG_TRUE = "true"
	CONST_SVNIC_CONFIG_YES = "yes"
	CONST_TYPE_INITIAL_TEMPLATE = "initial-template"
	CONST_TYPE_INSTANCE = "instance"
	CONST_TYPE_UPDATING_TEMPLATE = "updating-template"
	CONST_UUID_DERIVED = "derived"
