import sys, os

sys.path.append(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))
from UcsHandle import UcsVersion, UcsPropertyMeta, UcsMoMeta
from UcsMeta import _VersionMeta
sys.path.remove(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))

PROPERTY_DICT = {
	"AddressParityErrors":UcsPropertyMeta("AddressParityErrors", "addressParityErrors", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"AddressParityErrors15Min":UcsPropertyMeta("AddressParityErrors15Min", "addressParityErrors15Min", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"AddressParityErrors15MinH":UcsPropertyMeta("AddressParityErrors15MinH", "addressParityErrors15MinH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"AddressParityErrors1Day":UcsPropertyMeta("AddressParityErrors1Day", "addressParityErrors1Day", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"AddressParityErrors1DayH":UcsPropertyMeta("AddressParityErrors1DayH", "addressParityErrors1DayH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"AddressParityErrors1Hour":UcsPropertyMeta("AddressParityErrors1Hour", "addressParityErrors1Hour", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"AddressParityErrors1HourH":UcsPropertyMeta("AddressParityErrors1HourH", "addressParityErrors1HourH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"AddressParityErrors1Week":UcsPropertyMeta("AddressParityErrors1Week", "addressParityErrors1Week", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"AddressParityErrors1WeekH":UcsPropertyMeta("AddressParityErrors1WeekH", "addressParityErrors1WeekH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"AddressParityErrors2Weeks":UcsPropertyMeta("AddressParityErrors2Weeks", "addressParityErrors2Weeks", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"AddressParityErrors2WeeksH":UcsPropertyMeta("AddressParityErrors2WeeksH", "addressParityErrors2WeeksH", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"ChildAction":UcsPropertyMeta("ChildAction", "childAction", "string", _VersionMeta.Version131c, UcsPropertyMeta.Internal, None, None, None, """((deleteAll|ignore|deleteNonPresent),){0,2}(deleteAll|ignore|deleteNonPresent){0,1}""", [], ["0-4294967295"]),
	"Dn":UcsPropertyMeta("Dn", "dn", "string", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, 0, 256, None, [], ["0-4294967295"]),
	"EccMultibitErrors":UcsPropertyMeta("EccMultibitErrors", "eccMultibitErrors", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"EccMultibitErrors15Min":UcsPropertyMeta("EccMultibitErrors15Min", "eccMultibitErrors15Min", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"EccMultibitErrors15MinH":UcsPropertyMeta("EccMultibitErrors15MinH", "eccMultibitErrors15MinH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"EccMultibitErrors1Day":UcsPropertyMeta("EccMultibitErrors1Day", "eccMultibitErrors1Day", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"EccMultibitErrors1DayH":UcsPropertyMeta("EccMultibitErrors1DayH", "eccMultibitErrors1DayH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"EccMultibitErrors1Hour":UcsPropertyMeta("EccMultibitErrors1Hour", "eccMultibitErrors1Hour", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"EccMultibitErrors1HourH":UcsPropertyMeta("EccMultibitErrors1HourH", "eccMultibitErrors1HourH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"EccMultibitErrors1Week":UcsPropertyMeta("EccMultibitErrors1Week", "eccMultibitErrors1Week", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"EccMultibitErrors1WeekH":UcsPropertyMeta("EccMultibitErrors1WeekH", "eccMultibitErrors1WeekH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"EccMultibitErrors2Weeks":UcsPropertyMeta("EccMultibitErrors2Weeks", "eccMultibitErrors2Weeks", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"EccMultibitErrors2WeeksH":UcsPropertyMeta("EccMultibitErrors2WeeksH", "eccMultibitErrors2WeeksH", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"EccSinglebitErrors":UcsPropertyMeta("EccSinglebitErrors", "eccSinglebitErrors", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"EccSinglebitErrors15Min":UcsPropertyMeta("EccSinglebitErrors15Min", "eccSinglebitErrors15Min", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"EccSinglebitErrors15MinH":UcsPropertyMeta("EccSinglebitErrors15MinH", "eccSinglebitErrors15MinH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"EccSinglebitErrors1Day":UcsPropertyMeta("EccSinglebitErrors1Day", "eccSinglebitErrors1Day", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"EccSinglebitErrors1DayH":UcsPropertyMeta("EccSinglebitErrors1DayH", "eccSinglebitErrors1DayH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"EccSinglebitErrors1Hour":UcsPropertyMeta("EccSinglebitErrors1Hour", "eccSinglebitErrors1Hour", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"EccSinglebitErrors1HourH":UcsPropertyMeta("EccSinglebitErrors1HourH", "eccSinglebitErrors1HourH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"EccSinglebitErrors1Week":UcsPropertyMeta("EccSinglebitErrors1Week", "eccSinglebitErrors1Week", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"EccSinglebitErrors1WeekH":UcsPropertyMeta("EccSinglebitErrors1WeekH", "eccSinglebitErrors1WeekH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"EccSinglebitErrors2Weeks":UcsPropertyMeta("EccSinglebitErrors2Weeks", "eccSinglebitErrors2Weeks", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"EccSinglebitErrors2WeeksH":UcsPropertyMeta("EccSinglebitErrors2WeeksH", "eccSinglebitErrors2WeeksH", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"Intervals":UcsPropertyMeta("Intervals", "intervals", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MismatchErrors":UcsPropertyMeta("MismatchErrors", "mismatchErrors", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MismatchErrors15Min":UcsPropertyMeta("MismatchErrors15Min", "mismatchErrors15Min", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MismatchErrors15MinH":UcsPropertyMeta("MismatchErrors15MinH", "mismatchErrors15MinH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MismatchErrors1Day":UcsPropertyMeta("MismatchErrors1Day", "mismatchErrors1Day", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MismatchErrors1DayH":UcsPropertyMeta("MismatchErrors1DayH", "mismatchErrors1DayH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MismatchErrors1Hour":UcsPropertyMeta("MismatchErrors1Hour", "mismatchErrors1Hour", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MismatchErrors1HourH":UcsPropertyMeta("MismatchErrors1HourH", "mismatchErrors1HourH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MismatchErrors1Week":UcsPropertyMeta("MismatchErrors1Week", "mismatchErrors1Week", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MismatchErrors1WeekH":UcsPropertyMeta("MismatchErrors1WeekH", "mismatchErrors1WeekH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MismatchErrors2Weeks":UcsPropertyMeta("MismatchErrors2Weeks", "mismatchErrors2Weeks", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MismatchErrors2WeeksH":UcsPropertyMeta("MismatchErrors2WeeksH", "mismatchErrors2WeeksH", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"Rn":UcsPropertyMeta("Rn", "rn", "string", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, 0, 256, None, [], ["0-4294967295"]),
	"Status":UcsPropertyMeta("Status", "status", "string", _VersionMeta.Version131c, UcsPropertyMeta.ReadWrite, None, None, None, """((removed|created|modified|deleted),){0,3}(removed|created|modified|deleted){0,1}""", [], ["0-4294967295"]),
	"Suspect":UcsPropertyMeta("Suspect", "suspect", "string", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, ["false", "no", "true", "yes"], ["0-4294967295"]),
	"Thresholded":UcsPropertyMeta("Thresholded", "thresholded", "string", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"TimeCollected":UcsPropertyMeta("TimeCollected", "timeCollected", "string", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, """([0-9]){4}-([0-9]){2}-([0-9]){2}T([0-9]){2}:([0-9]){2}:([0-9]){2}((\.([0-9]){3})){0,1}""", [], ["0-4294967295"]),
	"Update":UcsPropertyMeta("Update", "update", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"Meta":UcsMoMeta("MemoryErrorStats", "memoryErrorStats", "error-stats", _VersionMeta.Version131c, "OutputOnly", 0x0L, [], [], ["Get"], ["admin", "operations", "read-only"])
}

