import sys, os

sys.path.append(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))
from UcsHandle import UcsVersion, UcsPropertyMeta, UcsMoMeta
from UcsMeta import _VersionMeta
sys.path.remove(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))

PROPERTY_DICT = {
	"ChildAction":UcsPropertyMeta("ChildAction", "childAction", "string", _VersionMeta.Version131c, UcsPropertyMeta.Internal, None, None, None, """((deleteAll|ignore|deleteNonPresent),){0,2}(deleteAll|ignore|deleteNonPresent){0,1}""", [], ["0-4294967295"]),
	"Dn":UcsPropertyMeta("Dn", "dn", "string", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, 0, 256, None, [], ["0-4294967295"]),
	"Intervals":UcsPropertyMeta("Intervals", "intervals", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MirroringInterSockErrors":UcsPropertyMeta("MirroringInterSockErrors", "mirroringInterSockErrors", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MirroringInterSockErrors15Min":UcsPropertyMeta("MirroringInterSockErrors15Min", "mirroringInterSockErrors15Min", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MirroringInterSockErrors15MinH":UcsPropertyMeta("MirroringInterSockErrors15MinH", "mirroringInterSockErrors15MinH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MirroringInterSockErrors1Day":UcsPropertyMeta("MirroringInterSockErrors1Day", "mirroringInterSockErrors1Day", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MirroringInterSockErrors1DayH":UcsPropertyMeta("MirroringInterSockErrors1DayH", "mirroringInterSockErrors1DayH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MirroringInterSockErrors1Hour":UcsPropertyMeta("MirroringInterSockErrors1Hour", "mirroringInterSockErrors1Hour", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MirroringInterSockErrors1HourH":UcsPropertyMeta("MirroringInterSockErrors1HourH", "mirroringInterSockErrors1HourH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MirroringInterSockErrors1Week":UcsPropertyMeta("MirroringInterSockErrors1Week", "mirroringInterSockErrors1Week", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MirroringInterSockErrors1WeekH":UcsPropertyMeta("MirroringInterSockErrors1WeekH", "mirroringInterSockErrors1WeekH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MirroringInterSockErrors2Weeks":UcsPropertyMeta("MirroringInterSockErrors2Weeks", "mirroringInterSockErrors2Weeks", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MirroringInterSockErrors2WeeksH":UcsPropertyMeta("MirroringInterSockErrors2WeeksH", "mirroringInterSockErrors2WeeksH", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MirroringIntraSockErrors":UcsPropertyMeta("MirroringIntraSockErrors", "mirroringIntraSockErrors", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MirroringIntraSockErrors15Min":UcsPropertyMeta("MirroringIntraSockErrors15Min", "mirroringIntraSockErrors15Min", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MirroringIntraSockErrors15MinH":UcsPropertyMeta("MirroringIntraSockErrors15MinH", "mirroringIntraSockErrors15MinH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MirroringIntraSockErrors1Day":UcsPropertyMeta("MirroringIntraSockErrors1Day", "mirroringIntraSockErrors1Day", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MirroringIntraSockErrors1DayH":UcsPropertyMeta("MirroringIntraSockErrors1DayH", "mirroringIntraSockErrors1DayH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MirroringIntraSockErrors1Hour":UcsPropertyMeta("MirroringIntraSockErrors1Hour", "mirroringIntraSockErrors1Hour", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MirroringIntraSockErrors1HourH":UcsPropertyMeta("MirroringIntraSockErrors1HourH", "mirroringIntraSockErrors1HourH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MirroringIntraSockErrors1Week":UcsPropertyMeta("MirroringIntraSockErrors1Week", "mirroringIntraSockErrors1Week", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MirroringIntraSockErrors1WeekH":UcsPropertyMeta("MirroringIntraSockErrors1WeekH", "mirroringIntraSockErrors1WeekH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MirroringIntraSockErrors2Weeks":UcsPropertyMeta("MirroringIntraSockErrors2Weeks", "mirroringIntraSockErrors2Weeks", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"MirroringIntraSockErrors2WeeksH":UcsPropertyMeta("MirroringIntraSockErrors2WeeksH", "mirroringIntraSockErrors2WeeksH", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"Rn":UcsPropertyMeta("Rn", "rn", "string", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, 0, 256, None, [], ["0-4294967295"]),
	"SmiLinkCorrErrors":UcsPropertyMeta("SmiLinkCorrErrors", "smiLinkCorrErrors", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SmiLinkCorrErrors15Min":UcsPropertyMeta("SmiLinkCorrErrors15Min", "smiLinkCorrErrors15Min", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SmiLinkCorrErrors15MinH":UcsPropertyMeta("SmiLinkCorrErrors15MinH", "smiLinkCorrErrors15MinH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SmiLinkCorrErrors1Day":UcsPropertyMeta("SmiLinkCorrErrors1Day", "smiLinkCorrErrors1Day", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SmiLinkCorrErrors1DayH":UcsPropertyMeta("SmiLinkCorrErrors1DayH", "smiLinkCorrErrors1DayH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SmiLinkCorrErrors1Hour":UcsPropertyMeta("SmiLinkCorrErrors1Hour", "smiLinkCorrErrors1Hour", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SmiLinkCorrErrors1HourH":UcsPropertyMeta("SmiLinkCorrErrors1HourH", "smiLinkCorrErrors1HourH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SmiLinkCorrErrors1Week":UcsPropertyMeta("SmiLinkCorrErrors1Week", "smiLinkCorrErrors1Week", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SmiLinkCorrErrors1WeekH":UcsPropertyMeta("SmiLinkCorrErrors1WeekH", "smiLinkCorrErrors1WeekH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SmiLinkCorrErrors2Weeks":UcsPropertyMeta("SmiLinkCorrErrors2Weeks", "smiLinkCorrErrors2Weeks", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SmiLinkCorrErrors2WeeksH":UcsPropertyMeta("SmiLinkCorrErrors2WeeksH", "smiLinkCorrErrors2WeeksH", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SmiLinkUncorrErrors":UcsPropertyMeta("SmiLinkUncorrErrors", "smiLinkUncorrErrors", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SmiLinkUncorrErrors15Min":UcsPropertyMeta("SmiLinkUncorrErrors15Min", "smiLinkUncorrErrors15Min", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SmiLinkUncorrErrors15MinH":UcsPropertyMeta("SmiLinkUncorrErrors15MinH", "smiLinkUncorrErrors15MinH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SmiLinkUncorrErrors1Day":UcsPropertyMeta("SmiLinkUncorrErrors1Day", "smiLinkUncorrErrors1Day", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SmiLinkUncorrErrors1DayH":UcsPropertyMeta("SmiLinkUncorrErrors1DayH", "smiLinkUncorrErrors1DayH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SmiLinkUncorrErrors1Hour":UcsPropertyMeta("SmiLinkUncorrErrors1Hour", "smiLinkUncorrErrors1Hour", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SmiLinkUncorrErrors1HourH":UcsPropertyMeta("SmiLinkUncorrErrors1HourH", "smiLinkUncorrErrors1HourH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SmiLinkUncorrErrors1Week":UcsPropertyMeta("SmiLinkUncorrErrors1Week", "smiLinkUncorrErrors1Week", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SmiLinkUncorrErrors1WeekH":UcsPropertyMeta("SmiLinkUncorrErrors1WeekH", "smiLinkUncorrErrors1WeekH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SmiLinkUncorrErrors2Weeks":UcsPropertyMeta("SmiLinkUncorrErrors2Weeks", "smiLinkUncorrErrors2Weeks", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SmiLinkUncorrErrors2WeeksH":UcsPropertyMeta("SmiLinkUncorrErrors2WeeksH", "smiLinkUncorrErrors2WeeksH", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SparingErrors":UcsPropertyMeta("SparingErrors", "sparingErrors", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SparingErrors15Min":UcsPropertyMeta("SparingErrors15Min", "sparingErrors15Min", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SparingErrors15MinH":UcsPropertyMeta("SparingErrors15MinH", "sparingErrors15MinH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SparingErrors1Day":UcsPropertyMeta("SparingErrors1Day", "sparingErrors1Day", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SparingErrors1DayH":UcsPropertyMeta("SparingErrors1DayH", "sparingErrors1DayH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SparingErrors1Hour":UcsPropertyMeta("SparingErrors1Hour", "sparingErrors1Hour", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SparingErrors1HourH":UcsPropertyMeta("SparingErrors1HourH", "sparingErrors1HourH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SparingErrors1Week":UcsPropertyMeta("SparingErrors1Week", "sparingErrors1Week", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SparingErrors1WeekH":UcsPropertyMeta("SparingErrors1WeekH", "sparingErrors1WeekH", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SparingErrors2Weeks":UcsPropertyMeta("SparingErrors2Weeks", "sparingErrors2Weeks", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"SparingErrors2WeeksH":UcsPropertyMeta("SparingErrors2WeeksH", "sparingErrors2WeeksH", "uint", _VersionMeta.Version221b, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"Status":UcsPropertyMeta("Status", "status", "string", _VersionMeta.Version131c, UcsPropertyMeta.ReadWrite, None, None, None, """((removed|created|modified|deleted),){0,3}(removed|created|modified|deleted){0,1}""", [], ["0-4294967295"]),
	"Suspect":UcsPropertyMeta("Suspect", "suspect", "string", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, ["false", "no", "true", "yes"], ["0-4294967295"]),
	"Thresholded":UcsPropertyMeta("Thresholded", "thresholded", "string", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"TimeCollected":UcsPropertyMeta("TimeCollected", "timeCollected", "string", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, """([0-9]){4}-([0-9]){2}-([0-9]){2}T([0-9]){2}:([0-9]){2}:([0-9]){2}((\.([0-9]){3})){0,1}""", [], ["0-4294967295"]),
	"Update":UcsPropertyMeta("Update", "update", "uint", _VersionMeta.Version131c, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"Meta":UcsMoMeta("ProcessorErrorStats", "processorErrorStats", "error-stats", _VersionMeta.Version131c, "OutputOnly", 0x0L, [], [], ["Get"], ["admin", "operations", "read-only"])
}

