import sys, os

sys.path.append(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))
from UcsBase import ManagedObject
sys.path.remove(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))

class StorageRaidBattery(ManagedObject):
	def __init__(self):
		ManagedObject.__init__(self,"StorageRaidBattery")

	@staticmethod
	def ClassId():
		return "storageRaidBattery"

	BATTERY_TYPE = "BatteryType"
	BBU_STATUS = "BbuStatus"
	BLOCK_SIZE = "BlockSize"
	CAPACITY_PERCENTAGE = "CapacityPercentage"
	CONNECTION_PROTOCOL = "ConnectionProtocol"
	DN = "Dn"
	ID = "Id"
	LC = "Lc"
	LEARN_CYCLE_REQUESTED = "LearnCycleRequested"
	LEARN_MODE = "LearnMode"
	MODEL = "Model"
	NEXT_LEARN_CYCLE_TS = "NextLearnCycleTs"
	NUMBER_OF_BLOCKS = "NumberOfBlocks"
	OPER_QUALIFIER_REASON = "OperQualifierReason"
	OPERABILITY = "Operability"
	OPERABILITY_QUALIFIER = "OperabilityQualifier"
	OPERABILITY_QUALIFIER_REASON = "OperabilityQualifierReason"
	PRESENCE = "Presence"
	REVISION = "Revision"
	RN = "Rn"
	SERIAL = "Serial"
	SIZE = "Size"
	STATUS = "Status"
	TEMPERATURE = "Temperature"
	VENDOR = "Vendor"

	CONST_BATTERY_TYPE_BATTERY = "battery"
	CONST_BATTERY_TYPE_SUPERCAP = "supercap"
	CONST_BATTERY_TYPE_UNKNOWN = "unknown"
	CONST_BBU_STATUS_FAILURE_PREDICTED = "failure-predicted"
	CONST_BBU_STATUS_LEARN_CYCLE_ACTIVE = "learn-cycle-active"
	CONST_BBU_STATUS_LEARN_CYCLE_NEEDED = "learn-cycle-needed"
	CONST_BBU_STATUS_MICROCODE_UPDATE_REQD = "microcode-update-reqd"
	CONST_BBU_STATUS_NO_FLASH_SPACE = "no-flash-space"
	CONST_BBU_STATUS_NOT_PRESENT = "not-present"
	CONST_BBU_STATUS_NOT_SUPPORTED = "not-supported"
	CONST_BBU_STATUS_OPTIMAL = "optimal"
	CONST_BBU_STATUS_PREMIUM_FEATURE_REQD = "premium-feature-reqd"
	CONST_BBU_STATUS_REPLACEMENT_NEEDED = "replacement-needed"
	CONST_BBU_STATUS_UNKNOWN = "unknown"
	CONST_BLOCK_SIZE_UNKNOWN = "unknown"
	CONST_CAPACITY_PERCENTAGE_EMPTY = "empty"
	CONST_CAPACITY_PERCENTAGE_FULL = "full"
	CONST_CAPACITY_PERCENTAGE_NOT_APPLICABLE = "not-applicable"
	CONST_CONNECTION_PROTOCOL_SAS = "SAS"
	CONST_CONNECTION_PROTOCOL_SATA = "SATA"
	CONST_CONNECTION_PROTOCOL_UNSPECIFIED = "unspecified"
	CONST_LC_ALLOCATED = "allocated"
	CONST_LC_AVAILABLE = "available"
	CONST_LC_DEALLOCATED = "deallocated"
	CONST_LC_REPURPOSED = "repurposed"
	CONST_LEARN_CYCLE_REQUESTED_FALSE = "false"
	CONST_LEARN_CYCLE_REQUESTED_TRUE = "true"
	CONST_LEARN_CYCLE_REQUESTED_UNKNOWN = "unknown"
	CONST_LEARN_MODE_AUTO = "auto"
	CONST_LEARN_MODE_DISABLED = "disabled"
	CONST_LEARN_MODE_UNKNOWN = "unknown"
	CONST_LEARN_MODE_WARN = "warn"
	CONST_NEXT_LEARN_CYCLE_TS_UNKNOWN = "unknown"
	CONST_NUMBER_OF_BLOCKS_UNKNOWN = "unknown"
	CONST_OPERABILITY_ACCESSIBILITY_PROBLEM = "accessibility-problem"
	CONST_OPERABILITY_AUTO_UPGRADE = "auto-upgrade"
	CONST_OPERABILITY_BIOS_POST_TIMEOUT = "bios-post-timeout"
	CONST_OPERABILITY_CHASSIS_LIMIT_EXCEEDED = "chassis-limit-exceeded"
	CONST_OPERABILITY_CONFIG = "config"
	CONST_OPERABILITY_DECOMISSIONING = "decomissioning"
	CONST_OPERABILITY_DEGRADED = "degraded"
	CONST_OPERABILITY_DISABLED = "disabled"
	CONST_OPERABILITY_DISCOVERY = "discovery"
	CONST_OPERABILITY_DISCOVERY_FAILED = "discovery-failed"
	CONST_OPERABILITY_EQUIPMENT_PROBLEM = "equipment-problem"
	CONST_OPERABILITY_FABRIC_CONN_PROBLEM = "fabric-conn-problem"
	CONST_OPERABILITY_FABRIC_UNSUPPORTED_CONN = "fabric-unsupported-conn"
	CONST_OPERABILITY_IDENTIFY = "identify"
	CONST_OPERABILITY_IDENTITY_UNESTABLISHABLE = "identity-unestablishable"
	CONST_OPERABILITY_INOPERABLE = "inoperable"
	CONST_OPERABILITY_LINK_ACTIVATE_BLOCKED = "link-activate-blocked"
	CONST_OPERABILITY_MALFORMED_FRU = "malformed-fru"
	CONST_OPERABILITY_NOT_SUPPORTED = "not-supported"
	CONST_OPERABILITY_OPERABLE = "operable"
	CONST_OPERABILITY_PEER_COMM_PROBLEM = "peer-comm-problem"
	CONST_OPERABILITY_PERFORMANCE_PROBLEM = "performance-problem"
	CONST_OPERABILITY_POST_FAILURE = "post-failure"
	CONST_OPERABILITY_POWER_PROBLEM = "power-problem"
	CONST_OPERABILITY_POWERED_OFF = "powered-off"
	CONST_OPERABILITY_REMOVED = "removed"
	CONST_OPERABILITY_THERMAL_PROBLEM = "thermal-problem"
	CONST_OPERABILITY_UNKNOWN = "unknown"
	CONST_OPERABILITY_UPGRADE_PROBLEM = "upgrade-problem"
	CONST_OPERABILITY_VOLTAGE_PROBLEM = "voltage-problem"
	CONST_OPERABILITY_QUALIFIER_UNKNOWN = "unknown"
	CONST_PRESENCE_EMPTY = "empty"
	CONST_PRESENCE_EQUIPPED = "equipped"
	CONST_PRESENCE_EQUIPPED_IDENTITY_UNESTABLISHABLE = "equipped-identity-unestablishable"
	CONST_PRESENCE_EQUIPPED_NOT_PRIMARY = "equipped-not-primary"
	CONST_PRESENCE_EQUIPPED_SLAVE = "equipped-slave"
	CONST_PRESENCE_EQUIPPED_WITH_MALFORMED_FRU = "equipped-with-malformed-fru"
	CONST_PRESENCE_INACCESSIBLE = "inaccessible"
	CONST_PRESENCE_MISMATCH = "mismatch"
	CONST_PRESENCE_MISMATCH_IDENTITY_UNESTABLISHABLE = "mismatch-identity-unestablishable"
	CONST_PRESENCE_MISMATCH_SLAVE = "mismatch-slave"
	CONST_PRESENCE_MISSING = "missing"
	CONST_PRESENCE_MISSING_SLAVE = "missing-slave"
	CONST_PRESENCE_NOT_SUPPORTED = "not-supported"
	CONST_PRESENCE_UNAUTHORIZED = "unauthorized"
	CONST_PRESENCE_UNKNOWN = "unknown"
	CONST_SIZE_UNKNOWN = "unknown"
	CONST_TEMPERATURE_NOT_APPLICABLE = "not-applicable"
