import sys, os

sys.path.append(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))
from UcsBase import ManagedObject
sys.path.remove(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))

class StorageVirtualDrive(ManagedObject):
	def __init__(self):
		ManagedObject.__init__(self,"StorageVirtualDrive")

	@staticmethod
	def ClassId():
		return "storageVirtualDrive"

	ACCESS_POLICY = "AccessPolicy"
	ACTUAL_WRITE_CACHE_POLICY = "ActualWriteCachePolicy"
	BLOCK_SIZE = "BlockSize"
	BOOTABLE = "Bootable"
	CONFIGURED_WRITE_CACHE_POLICY = "ConfiguredWriteCachePolicy"
	CONNECTION_PROTOCOL = "ConnectionProtocol"
	DN = "Dn"
	DRIVE_CACHE = "DriveCache"
	DRIVE_STATE = "DriveState"
	ID = "Id"
	IO_POLICY = "IoPolicy"
	LC = "Lc"
	MODEL = "Model"
	NUMBER_OF_BLOCKS = "NumberOfBlocks"
	OPER_QUALIFIER_REASON = "OperQualifierReason"
	OPERABILITY = "Operability"
	PRESENCE = "Presence"
	READ_POLICY = "ReadPolicy"
	REVISION = "Revision"
	RN = "Rn"
	SERIAL = "Serial"
	SIZE = "Size"
	STATUS = "Status"
	STRIP_SIZE = "StripSize"
	TYPE = "Type"
	VENDOR = "Vendor"

	CONST_ACCESS_POLICY_BLOCKED = "blocked"
	CONST_ACCESS_POLICY_READ_ONLY = "read-only"
	CONST_ACCESS_POLICY_READ_WRITE = "read-write"
	CONST_ACCESS_POLICY_UNKNOWN = "unknown"
	CONST_ACTUAL_WRITE_CACHE_POLICY_UNKNOWN = "unknown"
	CONST_ACTUAL_WRITE_CACHE_POLICY_WRITE_BACK = "write-back"
	CONST_ACTUAL_WRITE_CACHE_POLICY_WRITE_THROUGH = "write-through"
	CONST_BLOCK_SIZE_UNKNOWN = "unknown"
	CONST_BOOTABLE_FALSE = "false"
	CONST_BOOTABLE_TRUE = "true"
	CONST_BOOTABLE_UNKNOWN = "unknown"
	CONST_CONFIGURED_WRITE_CACHE_POLICY_ALWAYS_WRITE_BACK = "always-write-back"
	CONST_CONFIGURED_WRITE_CACHE_POLICY_UNKNOWN = "unknown"
	CONST_CONFIGURED_WRITE_CACHE_POLICY_WRITE_BACK_GOOD_BBU = "write-back-good-bbu"
	CONST_CONFIGURED_WRITE_CACHE_POLICY_WRITE_THROUGH = "write-through"
	CONST_CONNECTION_PROTOCOL_SAS = "SAS"
	CONST_CONNECTION_PROTOCOL_SATA = "SATA"
	CONST_CONNECTION_PROTOCOL_UNSPECIFIED = "unspecified"
	CONST_DRIVE_CACHE_DISABLE = "disable"
	CONST_DRIVE_CACHE_ENABLE = "enable"
	CONST_DRIVE_CACHE_NO_CHANGE = "no-change"
	CONST_DRIVE_CACHE_UNKNOWN = "unknown"
	CONST_DRIVE_STATE_CACHE_DEGRADED = "cache-degraded"
	CONST_DRIVE_STATE_DEGRADED = "degraded"
	CONST_DRIVE_STATE_OFFLINE = "offline"
	CONST_DRIVE_STATE_OPTIMAL = "optimal"
	CONST_DRIVE_STATE_PARTIALLY_DEGRADED = "partially-degraded"
	CONST_DRIVE_STATE_UNKNOWN = "unknown"
	CONST_IO_POLICY_CACHED = "cached"
	CONST_IO_POLICY_DIRECT = "direct"
	CONST_IO_POLICY_UNKNOWN = "unknown"
	CONST_LC_ALLOCATED = "allocated"
	CONST_LC_AVAILABLE = "available"
	CONST_LC_DEALLOCATED = "deallocated"
	CONST_LC_REPURPOSED = "repurposed"
	CONST_NUMBER_OF_BLOCKS_UNKNOWN = "unknown"
	CONST_OPERABILITY_ACCESSIBILITY_PROBLEM = "accessibility-problem"
	CONST_OPERABILITY_AUTO_UPGRADE = "auto-upgrade"
	CONST_OPERABILITY_BIOS_POST_TIMEOUT = "bios-post-timeout"
	CONST_OPERABILITY_CHASSIS_LIMIT_EXCEEDED = "chassis-limit-exceeded"
	CONST_OPERABILITY_CONFIG = "config"
	CONST_OPERABILITY_DECOMISSIONING = "decomissioning"
	CONST_OPERABILITY_DEGRADED = "degraded"
	CONST_OPERABILITY_DISABLED = "disabled"
	CONST_OPERABILITY_DISCOVERY = "discovery"
	CONST_OPERABILITY_DISCOVERY_FAILED = "discovery-failed"
	CONST_OPERABILITY_EQUIPMENT_PROBLEM = "equipment-problem"
	CONST_OPERABILITY_FABRIC_CONN_PROBLEM = "fabric-conn-problem"
	CONST_OPERABILITY_FABRIC_UNSUPPORTED_CONN = "fabric-unsupported-conn"
	CONST_OPERABILITY_IDENTIFY = "identify"
	CONST_OPERABILITY_IDENTITY_UNESTABLISHABLE = "identity-unestablishable"
	CONST_OPERABILITY_INOPERABLE = "inoperable"
	CONST_OPERABILITY_LINK_ACTIVATE_BLOCKED = "link-activate-blocked"
	CONST_OPERABILITY_MALFORMED_FRU = "malformed-fru"
	CONST_OPERABILITY_NOT_SUPPORTED = "not-supported"
	CONST_OPERABILITY_OPERABLE = "operable"
	CONST_OPERABILITY_PEER_COMM_PROBLEM = "peer-comm-problem"
	CONST_OPERABILITY_PERFORMANCE_PROBLEM = "performance-problem"
	CONST_OPERABILITY_POST_FAILURE = "post-failure"
	CONST_OPERABILITY_POWER_PROBLEM = "power-problem"
	CONST_OPERABILITY_POWERED_OFF = "powered-off"
	CONST_OPERABILITY_REMOVED = "removed"
	CONST_OPERABILITY_THERMAL_PROBLEM = "thermal-problem"
	CONST_OPERABILITY_UNKNOWN = "unknown"
	CONST_OPERABILITY_UPGRADE_PROBLEM = "upgrade-problem"
	CONST_OPERABILITY_VOLTAGE_PROBLEM = "voltage-problem"
	CONST_PRESENCE_EMPTY = "empty"
	CONST_PRESENCE_EQUIPPED = "equipped"
	CONST_PRESENCE_EQUIPPED_IDENTITY_UNESTABLISHABLE = "equipped-identity-unestablishable"
	CONST_PRESENCE_EQUIPPED_NOT_PRIMARY = "equipped-not-primary"
	CONST_PRESENCE_EQUIPPED_SLAVE = "equipped-slave"
	CONST_PRESENCE_EQUIPPED_WITH_MALFORMED_FRU = "equipped-with-malformed-fru"
	CONST_PRESENCE_INACCESSIBLE = "inaccessible"
	CONST_PRESENCE_MISMATCH = "mismatch"
	CONST_PRESENCE_MISMATCH_IDENTITY_UNESTABLISHABLE = "mismatch-identity-unestablishable"
	CONST_PRESENCE_MISMATCH_SLAVE = "mismatch-slave"
	CONST_PRESENCE_MISSING = "missing"
	CONST_PRESENCE_MISSING_SLAVE = "missing-slave"
	CONST_PRESENCE_NOT_SUPPORTED = "not-supported"
	CONST_PRESENCE_UNAUTHORIZED = "unauthorized"
	CONST_PRESENCE_UNKNOWN = "unknown"
	CONST_READ_POLICY_NORMAL = "normal"
	CONST_READ_POLICY_READ_AHEAD = "read-ahead"
	CONST_READ_POLICY_UNKNOWN = "unknown"
	CONST_SIZE_UNKNOWN = "unknown"
	CONST_STRIP_SIZE_UNKNOWN = "unknown"
	CONST_TYPE_MIRROR = "mirror"
	CONST_TYPE_MIRROR_STRIPE = "mirror-stripe"
	CONST_TYPE_RAID = "raid"
	CONST_TYPE_SIMPLE = "simple"
	CONST_TYPE_STRIPE = "stripe"
	CONST_TYPE_STRIPE_DUAL_PARITY = "stripe-dual-parity"
	CONST_TYPE_STRIPE_DUAL_PARITY_STRIPE = "stripe-dual-parity-stripe"
	CONST_TYPE_STRIPE_PARITY = "stripe-parity"
	CONST_TYPE_STRIPE_PARITY_STRIPE = "stripe-parity-stripe"
	CONST_TYPE_UNSPECIFIED = "unspecified"
