import sys, os

sys.path.append(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))
from UcsBase import ManagedObject
sys.path.remove(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))

class FaultInst(ManagedObject):
	def __init__(self):
		ManagedObject.__init__(self,"FaultInst")

	@staticmethod
	def ClassId():
		return "faultInst"

	ACK = "Ack"
	CAUSE = "Cause"
	CHANGE_SET = "ChangeSet"
	CODE = "Code"
	CREATED = "Created"
	DESCR = "Descr"
	DN = "Dn"
	HIGHEST_SEVERITY = "HighestSeverity"
	ID = "Id"
	LAST_TRANSITION = "LastTransition"
	LC = "Lc"
	OCCUR = "Occur"
	ORIG_SEVERITY = "OrigSeverity"
	PREV_SEVERITY = "PrevSeverity"
	RN = "Rn"
	RULE = "Rule"
	SEVERITY = "Severity"
	STATUS = "Status"
	TAGS = "Tags"
	TYPE = "Type"

	CONST_ACK_FALSE = "false"
	CONST_ACK_NO = "no"
	CONST_ACK_TRUE = "true"
	CONST_ACK_YES = "yes"
	CONST_CAUSE_A_FAILED = "a-failed"
	CONST_CAUSE_ACTIVATE_ADAPTOR_NW_FW_LOCAL_FAILED = "activate-adaptor-nw-fw-local-failed"
	CONST_CAUSE_ACTIVATE_ADAPTOR_NW_FW_PEER_FAILED = "activate-adaptor-nw-fw-peer-failed"
	CONST_CAUSE_ACTIVATE_BIOS_FAILED = "activate-bios-failed"
	CONST_CAUSE_ACTIVATE_CATALOG_FAILED = "activate-catalog-failed"
	CONST_CAUSE_ACTIVATE_FAILED = "activate-failed"
	CONST_CAUSE_ACTIVATE_LOCAL_FAILED = "activate-local-failed"
	CONST_CAUSE_ACTIVATE_LOCALFI_FAILED = "activate-localfi-failed"
	CONST_CAUSE_ACTIVATE_PEER_FAILED = "activate-peer-failed"
	CONST_CAUSE_ACTIVATE_REMOTEFI_FAILED = "activate-remotefi-failed"
	CONST_CAUSE_ACTIVATEIBMCFW_FAILED = "activateibmcfw-failed"
	CONST_CAUSE_ACTIVATEIOM_FAILED = "activateiom-failed"
	CONST_CAUSE_ACTIVATEUCSM_FAILED = "activateucsm-failed"
	CONST_CAUSE_ACTIVATION_FAILED = "activation-failed"
	CONST_CAUSE_ACTIVE_FAILED = "active-failed"
	CONST_CAUSE_ANALYZE_IMPACT_FAILED = "analyze-impact-failed"
	CONST_CAUSE_ANOTHER_CONNECTION_ALREADY_ENABLED = "another-connection-already-enabled"
	CONST_CAUSE_ANY = "any"
	CONST_CAUSE_APPLY_CATALOG_FAILED = "apply-catalog-failed"
	CONST_CAUSE_APPLY_CONFIG_FAILED = "apply-config-failed"
	CONST_CAUSE_APPLY_DEFAULT_IDENTIFIERS_FAILED = "apply-default-identifiers-failed"
	CONST_CAUSE_APPLY_FAILED = "apply-failed"
	CONST_CAUSE_APPLY_IDENTIFIERS_FAILED = "apply-identifiers-failed"
	CONST_CAUSE_APPLY_PHYSICAL_FAILED = "apply-physical-failed"
	CONST_CAUSE_APPLY_POLICIES_FAILED = "apply-policies-failed"
	CONST_CAUSE_APPLY_TEMPLATE_FAILED = "apply-template-failed"
	CONST_CAUSE_ARP_TARGETS_CONFIG_ERROR = "arp-targets-config-error"
	CONST_CAUSE_ASSIGNMENT_FAILED = "assignment-failed"
	CONST_CAUSE_ASSOCIATION_FAILED = "association-failed"
	CONST_CAUSE_AUTO_FIRMWARE_UPGRADE = "auto-firmware-upgrade"
	CONST_CAUSE_B_FAILED = "b-failed"
	CONST_CAUSE_BACKUP_LOCAL_FAILED = "backup-local-failed"
	CONST_CAUSE_BEGIN_FAILED = "begin-failed"
	CONST_CAUSE_BIOS_IMG_UPDATE_FAILED = "bios-img-update-failed"
	CONST_CAUSE_BIOS_POST_COMPLETION_FAILED = "bios-post-completion-failed"
	CONST_CAUSE_BLADE_BOOT_FAILED = "blade-boot-failed"
	CONST_CAUSE_BLADE_BOOT_PNUOS_FAILED = "blade-boot-pnuos-failed"
	CONST_CAUSE_BLADE_BOOT_WAIT_FAILED = "blade-boot-wait-failed"
	CONST_CAUSE_BLADE_POWER_OFF_FAILED = "blade-power-off-failed"
	CONST_CAUSE_BLADE_POWER_ON_FAILED = "blade-power-on-failed"
	CONST_CAUSE_BLADE_READ_SMBIOS_FAILED = "blade-read-smbios-failed"
	CONST_CAUSE_BMC_CONFIG_PNUOS_FAILED = "bmc-config-pnuos-failed"
	CONST_CAUSE_BMC_CONFIGURE_CONN_LOCAL_FAILED = "bmc-configure-conn-local-failed"
	CONST_CAUSE_BMC_CONFIGURE_CONN_PEER_FAILED = "bmc-configure-conn-peer-failed"
	CONST_CAUSE_BMC_INVENTORY_FAILED = "bmc-inventory-failed"
	CONST_CAUSE_BMC_PRE_CONFIG_PNUOSLOCAL_FAILED = "bmc-pre-config-pnuoslocal-failed"
	CONST_CAUSE_BMC_PRE_CONFIG_PNUOSPEER_FAILED = "bmc-pre-config-pnuospeer-failed"
	CONST_CAUSE_BMC_PRECONFIG_PNUOSLOCAL_FAILED = "bmc-preconfig-pnuoslocal-failed"
	CONST_CAUSE_BMC_PRECONFIG_PNUOSPEER_FAILED = "bmc-preconfig-pnuospeer-failed"
	CONST_CAUSE_BMC_PRESENCE_FAILED = "bmc-presence-failed"
	CONST_CAUSE_BMC_SHUTDOWN_DIAG_COMPLETED_FAILED = "bmc-shutdown-diag-completed-failed"
	CONST_CAUSE_BMC_SHUTDOWN_DISCOVERED_FAILED = "bmc-shutdown-discovered-failed"
	CONST_CAUSE_BMC_UNCONFIG_PNUOS_FAILED = "bmc-unconfig-pnuos-failed"
	CONST_CAUSE_BOARD_CTRL_UPGRADED = "board-ctrl-upgraded"
	CONST_CAUSE_BOOT_HOST_FAILED = "boot-host-failed"
	CONST_CAUSE_BOOT_PNUOS_FAILED = "boot-pnuos-failed"
	CONST_CAUSE_BOOT_WAIT_FAILED = "boot-wait-failed"
	CONST_CAUSE_CALLHOME_CONFIG_ERROR = "callhome-config-error"
	CONST_CAUSE_CAPACITY_EXCEEDED = "capacity-exceeded"
	CONST_CAUSE_CHECK_INVENTORY_STATUS_FAILED = "check-inventory-status-failed"
	CONST_CAUSE_CHECK_LICENSE_FAILED = "check-license-failed"
	CONST_CAUSE_CHECK_POWER_AVAILABILITY_FAILED = "check-power-availability-failed"
	CONST_CAUSE_CIMC_FIRMWARE_MISMATCH = "cimc-firmware-mismatch"
	CONST_CAUSE_CIMCVLAN_CFG_LOCAL_FAILED = "cimcvlan-cfg-local-failed"
	CONST_CAUSE_CIMCVLAN_CFG_PEER_FAILED = "cimcvlan-cfg-peer-failed"
	CONST_CAUSE_CLEAN_OLD_DATA_FAILED = "clean-old-data-failed"
	CONST_CAUSE_CLEANUP_ENTRIES_FAILED = "cleanup-entries-failed"
	CONST_CAUSE_CLEANUP_FAILED = "cleanup-failed"
	CONST_CAUSE_CLEANUP_LOCAL_FAILED = "cleanup-local-failed"
	CONST_CAUSE_CLEANUP_PEER_FAILED = "cleanup-peer-failed"
	CONST_CAUSE_CLEANUP_PORT_CONFIG_LOCAL_FAILED = "cleanup-port-config-local-failed"
	CONST_CAUSE_CLEANUP_PORT_CONFIG_PEER_FAILED = "cleanup-port-config-peer-failed"
	CONST_CAUSE_CLEANUP_SERVER_CONN_SW_AFAILED = "cleanup-server-conn-sw-afailed"
	CONST_CAUSE_CLEANUP_SERVER_CONN_SW_BFAILED = "cleanup-server-conn-sw-bfailed"
	CONST_CAUSE_CLEANUPCIMC_FAILED = "cleanupcimc-failed"
	CONST_CAUSE_CLEAR_BIOS_UPDATE_FAILED = "clear-bios-update-failed"
	CONST_CAUSE_CLEAR_FAILED = "clear-failed"
	CONST_CAUSE_CLIENT_LOST_CONNECTIVITY = "client-lost-connectivity"
	CONST_CAUSE_CMC_VIF_DOWN = "cmc-vif-down"
	CONST_CAUSE_CMCVLAN_CFG_FAILED = "cmcvlan-cfg-failed"
	CONST_CAUSE_CMCVLAN_CFG_PEER_FAILED = "cmcvlan-cfg-peer-failed"
	CONST_CAUSE_COMM_SVC_CONFIG_ERROR = "comm-svc-config-error"
	CONST_CAUSE_COMMIT_STORAGE_FAILED = "commit-storage-failed"
	CONST_CAUSE_CONFIG_BACKUP_OUTDATED = "config-backup-outdated"
	CONST_CAUSE_CONFIG_BIOS_FAILED = "config-bios-failed"
	CONST_CAUSE_CONFIG_CIMCVMEDIA_FAILED = "config-cimcvmedia-failed"
	CONST_CAUSE_CONFIG_DISCOVERY_MODE_FAILED = "config-discovery-mode-failed"
	CONST_CAUSE_CONFIG_ERROR = "config-error"
	CONST_CAUSE_CONFIG_EXT_MGMT_GW_FAILED = "config-ext-mgmt-gw-failed"
	CONST_CAUSE_CONFIG_EXT_MGMT_RULES_FAILED = "config-ext-mgmt-rules-failed"
	CONST_CAUSE_CONFIG_FAILED = "config-failed"
	CONST_CAUSE_CONFIG_FE_LOCAL_FAILED = "config-fe-local-failed"
	CONST_CAUSE_CONFIG_FE_PEER_FAILED = "config-fe-peer-failed"
	CONST_CAUSE_CONFIG_FLEX_FLASH_FAILED = "config-flex-flash-failed"
	CONST_CAUSE_CONFIG_FLEX_FLASH_SCRUB_FAILED = "config-flex-flash-scrub-failed"
	CONST_CAUSE_CONFIG_KVM_MGMT_DEFAULT_SETTING_FAILED = "config-kvm-mgmt-default-setting-failed"
	CONST_CAUSE_CONFIG_MEMORY_POLICY_FAILED = "config-memory-policy-failed"
	CONST_CAUSE_CONFIG_NIV_MODE_FAILED = "config-niv-mode-failed"
	CONST_CAUSE_CONFIG_SO_LFAILED = "config-so-lfailed"
	CONST_CAUSE_CONFIG_SW_AFAILED = "config-sw-afailed"
	CONST_CAUSE_CONFIG_SW_BFAILED = "config-sw-bfailed"
	CONST_CAUSE_CONFIG_USER_ACCESS_FAILED = "config-user-access-failed"
	CONST_CAUSE_CONFIG_UUID_FAILED = "config-uuid-failed"
	CONST_CAUSE_CONFIGURATION_APPLIED = "configuration-applied"
	CONST_CAUSE_CONFIGURATION_APPLYING = "configuration-applying"
	CONST_CAUSE_CONFIGURATION_ERROR = "configuration-error"
	CONST_CAUSE_CONFIGURATION_FAILED = "configuration-failed"
	CONST_CAUSE_CONFIGURATION_FAILURE = "configuration-failure"
	CONST_CAUSE_CONFIGURATION_IN_PROGRESS = "configuration-in-progress"
	CONST_CAUSE_CONFIGURATION_NOT_APPLIED = "configuration-not-applied"
	CONST_CAUSE_CONFIGURE_END_POINT_FAILED = "configure-end-point-failed"
	CONST_CAUSE_CONFIGURE_FAILED = "configure-failed"
	CONST_CAUSE_CONFIGURE_SW_MGMT_END_POINT_FAILED = "configure-sw-mgmt-end-point-failed"
	CONST_CAUSE_CONFIGURE_VIF_NS_FAILED = "configure-vif-ns-failed"
	CONST_CAUSE_CONNECTION_UNUSED = "connection-unused"
	CONST_CAUSE_CONNECTIVITY_PROBLEM = "connectivity-problem"
	CONST_CAUSE_COPY_CAT_FROM_REP_FAILED = "copy-cat-from-rep-failed"
	CONST_CAUSE_COPY_EXT_TO_LOCAL_FAILED = "copy-ext-to-local-failed"
	CONST_CAUSE_COPY_EXT_TO_PEER_FAILED = "copy-ext-to-peer-failed"
	CONST_CAUSE_COPY_EXTERNAL_REP_TO_REMOTE_FAILED = "copy-external-rep-to-remote-failed"
	CONST_CAUSE_COPY_IMG_FROM_REP_FAILED = "copy-img-from-rep-failed"
	CONST_CAUSE_COPY_PRIMARY_FAILED = "copy-primary-failed"
	CONST_CAUSE_COPY_REMOTE_FAILED = "copy-remote-failed"
	CONST_CAUSE_COPY_SUB_FAILED = "copy-sub-failed"
	CONST_CAUSE_COPY_TO_LOCAL_FAILED = "copy-to-local-failed"
	CONST_CAUSE_COPY_TO_PEER_FAILED = "copy-to-peer-failed"
	CONST_CAUSE_COPYIOMIMG_TO_SUB_FAILED = "copyiomimg-to-sub-failed"
	CONST_CAUSE_CREATE_LOCAL_FAILED = "create-local-failed"
	CONST_CAUSE_CREATE_REMOTE_FAILED = "create-remote-failed"
	CONST_CAUSE_DEASSERT_RESET_BYPASS_FAILED = "deassert-reset-bypass-failed"
	CONST_CAUSE_DEBUG_WAIT_FAILED = "debug-wait-failed"
	CONST_CAUSE_DECOMISSION_FAILED = "decomission-failed"
	CONST_CAUSE_DECOMMISSIONED = "decommissioned"
	CONST_CAUSE_DEFAULT_HOSTPACK_MISSING = "default-hostpack-missing"
	CONST_CAUSE_DEFAULT_HOSTPACK_MISSING_VERSIONS = "default-hostpack-missing-versions"
	CONST_CAUSE_DELETE_CURL_DOWNLOADED_IMAGES_FAILED = "delete-curl-downloaded-images-failed"
	CONST_CAUSE_DELETE_LOCAL_FAILED = "delete-local-failed"
	CONST_CAUSE_DELETE_PRIMARY_FAILED = "delete-primary-failed"
	CONST_CAUSE_DELETE_REMOTE_FAILED = "delete-remote-failed"
	CONST_CAUSE_DELETE_SUB_FAILED = "delete-sub-failed"
	CONST_CAUSE_DEPLOY_FAILED = "deploy-failed"
	CONST_CAUSE_DERIVE_CONFIG_FAILED = "derive-config-failed"
	CONST_CAUSE_DEVICE_SHARED_STORAGE_IO_ERROR = "device-shared-storage-IO-error"
	CONST_CAUSE_DEVICE_SHARED_STORAGE_ERROR = "device-shared-storage-error"
	CONST_CAUSE_DISABLE_AFAILED = "disable-afailed"
	CONST_CAUSE_DISABLE_BFAILED = "disable-bfailed"
	CONST_CAUSE_DISABLE_END_POINT_FAILED = "disable-end-point-failed"
	CONST_CAUSE_DISABLE_FAILED = "disable-failed"
	CONST_CAUSE_DISABLE_SERVER_CONN_SW_AFAILED = "disable-server-conn-sw-afailed"
	CONST_CAUSE_DISABLE_SERVER_CONN_SW_BFAILED = "disable-server-conn-sw-bfailed"
	CONST_CAUSE_DISASSOCIATION_FAILED = "disassociation-failed"
	CONST_CAUSE_DISCOVER_CHASSIS_FAILED = "discover-chassis-failed"
	CONST_CAUSE_DISCOVERY_FAILED = "discovery-failed"
	CONST_CAUSE_DISCOVERY_IN_PROGRESS = "discovery-in-progress"
	CONST_CAUSE_DOWNLOAD_IMAGES_FAILED = "download-images-failed"
	CONST_CAUSE_DOWNLOAD_LOCAL_FAILED = "download-local-failed"
	CONST_CAUSE_ELECTION_FAILURE = "election-failure"
	CONST_CAUSE_EMPTY_PIN_GROUP = "empty-pin-group"
	CONST_CAUSE_EMPTY_POOL = "empty-pool"
	CONST_CAUSE_ENABLE_AFAILED = "enable-afailed"
	CONST_CAUSE_ENABLE_BFAILED = "enable-bfailed"
	CONST_CAUSE_ENABLE_CHASSIS_FAILED = "enable-chassis-failed"
	CONST_CAUSE_ENABLE_FAILED = "enable-failed"
	CONST_CAUSE_ENABLE_PORT_FAILED = "enable-port-failed"
	CONST_CAUSE_ENABLE_SERVER_CONN_SW_AFAILED = "enable-server-conn-sw-afailed"
	CONST_CAUSE_ENABLE_SERVER_CONN_SW_BFAILED = "enable-server-conn-sw-bfailed"
	CONST_CAUSE_EQUIPMENT_DEGRADED = "equipment-degraded"
	CONST_CAUSE_EQUIPMENT_DISABLED = "equipment-disabled"
	CONST_CAUSE_EQUIPMENT_DISCONNECTED = "equipment-disconnected"
	CONST_CAUSE_EQUIPMENT_INACCESSIBLE = "equipment-inaccessible"
	CONST_CAUSE_EQUIPMENT_INOPERABLE = "equipment-inoperable"
	CONST_CAUSE_EQUIPMENT_MISSING = "equipment-missing"
	CONST_CAUSE_EQUIPMENT_OFFLINE = "equipment-offline"
	CONST_CAUSE_EQUIPMENT_PROBLEM = "equipment-problem"
	CONST_CAUSE_EQUIPMENT_REMOVED = "equipment-removed"
	CONST_CAUSE_EQUIPMENT_UNACKNOWLEDGED = "equipment-unacknowledged"
	CONST_CAUSE_EQUIPMENT_UNHEALTHY = "equipment-unhealthy"
	CONST_CAUSE_EVALUATE_ASSOCIATION_FAILED = "evaluate-association-failed"
	CONST_CAUSE_EVALUATE_STATUS_FAILED = "evaluate-status-failed"
	CONST_CAUSE_EXECUTE_AFAILED = "execute-afailed"
	CONST_CAUSE_EXECUTE_BFAILED = "execute-bfailed"
	CONST_CAUSE_EXECUTE_FAILED = "execute-failed"
	CONST_CAUSE_EXECUTE_LOCAL_FAILED = "execute-local-failed"
	CONST_CAUSE_EXECUTE_PEER_FAILED = "execute-peer-failed"
	CONST_CAUSE_EXTRA_PRIMARY_VLANS = "extra-primary-vlans"
	CONST_CAUSE_EXTRA_SECONDARY_VLANS = "extra-secondary-vlans"
	CONST_CAUSE_EXTRA_SECONDARY_VLANS_PER_PRIMARY = "extra-secondary-vlans-per-primary"
	CONST_CAUSE_FABRICATRAFFIC_TEST_STATUS_FAILED = "fabricatraffic-test-status-failed"
	CONST_CAUSE_FABRICBTRAFFIC_TEST_STATUS_FAILED = "fabricbtraffic-test-status-failed"
	CONST_CAUSE_FAIL_FAILED = "fail-failed"
	CONST_CAUSE_FC_PORTCHANNEL_MEMBERS_INCONSISTENT_SPEED = "fc-portchannel-members-inconsistent-speed"
	CONST_CAUSE_FC_STORAGEPORT_NPV_MODE = "fc-storageport-npv-mode"
	CONST_CAUSE_FC_ZONING_ENABLED = "fc-zoning-enabled"
	CONST_CAUSE_FCOE_STORAGEPORT_NPV_MODE = "fcoe-storageport-npv-mode"
	CONST_CAUSE_FCOE_UPLINK_PORT_CHANNEL_UNSUPPORTED_FI_SETTINGS = "fcoe-uplink-port-channel-unsupported-fi-settings"
	CONST_CAUSE_FCOE_UPLINK_UNSUPPORTED_FI_SETTINGS = "fcoe-uplink-unsupported-fi-settings"
	CONST_CAUSE_FEX_UNSUPPORTED = "fex-unsupported"
	CONST_CAUSE_FILE_TRANSFER_FAILED = "file-transfer-failed"
	CONST_CAUSE_FINALIZE_FAILED = "finalize-failed"
	CONST_CAUSE_FIRMWARE_UPGRADE_PROBLEM = "firmware-upgrade-problem"
	CONST_CAUSE_FRU_PROBLEM = "fru-problem"
	CONST_CAUSE_FSM_FAILED = "fsm-failed"
	CONST_CAUSE_GENERATE_LOG_WAIT_FAILED = "generate-log-wait-failed"
	CONST_CAUSE_GENERATE_REPORT_FAILED = "generate-report-failed"
	CONST_CAUSE_GET_VERSION_FAILED = "get-version-failed"
	CONST_CAUSE_GRAPHICS_IMAGE_UPDATE_FAILED = "graphics-image-update-failed"
	CONST_CAUSE_GROUP_CAP_INSUFFICIENT = "group-cap-insufficient"
	CONST_CAUSE_GROUP_PERMIT_UNRESOLVED = "group-permit-unresolved"
	CONST_CAUSE_HA_NOT_READY = "ha-not-ready"
	CONST_CAUSE_HA_SSH_KEYS_MISMATCHED = "ha-ssh-keys-mismatched"
	CONST_CAUSE_HAG_CONNECT_FAILED = "hag-connect-failed"
	CONST_CAUSE_HAG_DISCONNECT_FAILED = "hag-disconnect-failed"
	CONST_CAUSE_HAG_HOSTOSCONNECT_FAILED = "hag-hostosconnect-failed"
	CONST_CAUSE_HAG_PNUOSCONNECT_FAILED = "hag-pnuosconnect-failed"
	CONST_CAUSE_HAG_PNUOSDISCONNECT_FAILED = "hag-pnuosdisconnect-failed"
	CONST_CAUSE_HANDLE_POOLING_FAILED = "handle-pooling-failed"
	CONST_CAUSE_HBA_IMG_UPDATE_FAILED = "hba-img-update-failed"
	CONST_CAUSE_HEALTH_LED_AMBER = "health-led-amber"
	CONST_CAUSE_HEALTH_LED_AMBER_BLINKING = "health-led-amber-blinking"
	CONST_CAUSE_HOST_CATALOG_FAILED = "host-catalog-failed"
	CONST_CAUSE_HOST_CONNECT_FAILED = "host-connect-failed"
	CONST_CAUSE_HOST_DISCONNECT_FAILED = "host-disconnect-failed"
	CONST_CAUSE_HOST_IDENT_FAILED = "host-ident-failed"
	CONST_CAUSE_HOST_INVENTORY_FAILED = "host-inventory-failed"
	CONST_CAUSE_HOST_POLICY_FAILED = "host-policy-failed"
	CONST_CAUSE_HOST_SERVER_DIAG_FAILED = "host-server-diag-failed"
	CONST_CAUSE_HOST_SERVER_DIAG_STATUS_FAILED = "host-server-diag-status-failed"
	CONST_CAUSE_HOSTOSCONFIG_FAILED = "hostosconfig-failed"
	CONST_CAUSE_HOSTOSIDENT_FAILED = "hostosident-failed"
	CONST_CAUSE_HOSTOSPOLICY_FAILED = "hostospolicy-failed"
	CONST_CAUSE_HOSTOSVALIDATE_FAILED = "hostosvalidate-failed"
	CONST_CAUSE_IDENTIFY_FAILED = "identify-failed"
	CONST_CAUSE_IDENTITY_UNESTABLISHABLE = "identity-unestablishable"
	CONST_CAUSE_IMAGE_CANNOT_BOOT = "image-cannot-boot"
	CONST_CAUSE_IMAGE_DELETED = "image-deleted"
	CONST_CAUSE_IMAGE_UNUSABLE = "image-unusable"
	CONST_CAUSE_IN_MAINTENANCE = "in-maintenance"
	CONST_CAUSE_INACCESSIBLE_VLAN_REFERENCED = "inaccessible-vlan-referenced"
	CONST_CAUSE_INBAND_VLAN_NAME_RESOLUTION_FAILURE = "inband-vlan-name-resolution-failure"
	CONST_CAUSE_INCOMPATIBLE_SERVER_FIRMWARE = "incompatible-server-firmware"
	CONST_CAUSE_INCOMPATIBLE_SPEED = "incompatible-speed"
	CONST_CAUSE_INSUFFICIENT_RESOURCES = "insufficient-resources"
	CONST_CAUSE_INSUFFICIENTLY_EQUIPPED = "insufficiently-equipped"
	CONST_CAUSE_INTERFACE_FAILED = "interface-failed"
	CONST_CAUSE_INTERFACE_MISCONFIGURED = "interface-misconfigured"
	CONST_CAUSE_INVALID_KEYRING_CERTIFICATE = "invalid-keyring-certificate"
	CONST_CAUSE_INVALID_KEYRING_MODULUS = "invalid-keyring-modulus"
	CONST_CAUSE_INVALID_SERVER_GROUP = "invalid-server-group"
	CONST_CAUSE_INVALID_TARGET = "invalid-target"
	CONST_CAUSE_INVALID_TRUSTPOINT_CERT_CHAIN = "invalid-trustpoint-cert-chain"
	CONST_CAUSE_INVALID_VLAN_IN_THE_ALLOWED_VLAN_LIST = "invalid-vlan-in-the-allowed-vlan-list"
	CONST_CAUSE_INVENTORY_FAILED = "inventory-failed"
	CONST_CAUSE_KEYRING_CONFIG_ERROR = "keyring-config-error"
	CONST_CAUSE_LEADERSHIP_CHANGE = "leadershipChange"
	CONST_CAUSE_LICENSE_FILE_NOT_DELETED = "license-file-not-deleted"
	CONST_CAUSE_LICENSE_FILE_UNINSTALLABLE = "license-file-uninstallable"
	CONST_CAUSE_LICENSE_GRACEPERIOD_10DAYS = "license-graceperiod-10days"
	CONST_CAUSE_LICENSE_GRACEPERIOD_119DAYS = "license-graceperiod-119days"
	CONST_CAUSE_LICENSE_GRACEPERIOD_30DAYS = "license-graceperiod-30days"
	CONST_CAUSE_LICENSE_GRACEPERIOD_60DAYS = "license-graceperiod-60days"
	CONST_CAUSE_LICENSE_GRACEPERIOD_90DAYS = "license-graceperiod-90days"
	CONST_CAUSE_LICENSE_GRACEPERIOD_ENTERED = "license-graceperiod-entered"
	CONST_CAUSE_LICENSE_GRACEPERIOD_EXPIRED = "license-graceperiod-expired"
	CONST_CAUSE_LICENSE_INSUFFICIENT = "license-insufficient"
	CONST_CAUSE_LIMIT_REACHED = "limit-reached"
	CONST_CAUSE_LINK_DOWN = "link-down"
	CONST_CAUSE_LINK_MISCONNECTED = "link-misconnected"
	CONST_CAUSE_LINK_MISSING = "link-missing"
	CONST_CAUSE_LOAD_CATALOG_FAILED = "load-catalog-failed"
	CONST_CAUSE_LOCAL_DISK_FW_UPDATE_FAILED = "local-disk-fw-update-failed"
	CONST_CAUSE_LOCAL_FAILED = "local-failed"
	CONST_CAUSE_LOCALE_CONFIG_ERROR = "locale-config-error"
	CONST_CAUSE_LOCALE_ORG_CONFIG_ERROR = "locale-org-config-error"
	CONST_CAUSE_LOG_CAPACITY = "log-capacity"
	CONST_CAUSE_MAINTENANCE_FAILED = "maintenance-failed"
	CONST_CAUSE_MANAGEMENT_SERVICES_FAILURE = "management-services-failure"
	CONST_CAUSE_MANAGEMENT_SERVICES_UNRESPONSIVE = "management-services-unresponsive"
	CONST_CAUSE_MARK_ADAPTER_FOR_REBOOT_FAILED = "mark-adapter-for-reboot-failed"
	CONST_CAUSE_MEMBERSHIP_DOWN = "membership-down"
	CONST_CAUSE_MGMTIF_DOWN = "mgmtif-down"
	CONST_CAUSE_MISSING_PRIMARY_VLAN = "missing-primary-vlan"
	CONST_CAUSE_MOUNT_LOCAL_FAILED = "mount-local-failed"
	CONST_CAUSE_MOUNT_PEER_FAILED = "mount-peer-failed"
	CONST_CAUSE_MULTIPLE_CONNECTION_POLICIES = "multiple-connection-policies"
	CONST_CAUSE_NAMED_POLICY_UNRESOLVED = "named-policy-unresolved"
	CONST_CAUSE_NAMED_VLAN_UNRESOLVED = "named-vlan-unresolved"
	CONST_CAUSE_NDISC_TARGETS_CONFIG_ERROR = "ndisc-targets-config-error"
	CONST_CAUSE_NEW_LINK = "new-link"
	CONST_CAUSE_NEW_VNIC_VCON_SCHEME_APPLIED = "new-vnic-vcon-scheme-applied"
	CONST_CAUSE_NIC_CONFIG_HOSTOSLOCAL_FAILED = "nic-config-hostoslocal-failed"
	CONST_CAUSE_NIC_CONFIG_HOSTOSPEER_FAILED = "nic-config-hostospeer-failed"
	CONST_CAUSE_NIC_CONFIG_LOCAL_FAILED = "nic-config-local-failed"
	CONST_CAUSE_NIC_CONFIG_PEER_FAILED = "nic-config-peer-failed"
	CONST_CAUSE_NIC_CONFIG_PNUOSLOCAL_FAILED = "nic-config-pnuoslocal-failed"
	CONST_CAUSE_NIC_CONFIG_PNUOSPEER_FAILED = "nic-config-pnuospeer-failed"
	CONST_CAUSE_NIC_CONFIG_SERVICE_INFRA_LOCAL_FAILED = "nic-config-service-infra-local-failed"
	CONST_CAUSE_NIC_CONFIG_SERVICE_INFRA_PEER_FAILED = "nic-config-service-infra-peer-failed"
	CONST_CAUSE_NIC_IMG_UPDATE_FAILED = "nic-img-update-failed"
	CONST_CAUSE_NIC_INVENTORY_LOCAL_FAILED = "nic-inventory-local-failed"
	CONST_CAUSE_NIC_INVENTORY_PEER_FAILED = "nic-inventory-peer-failed"
	CONST_CAUSE_NIC_PRESENCE_LOCAL_FAILED = "nic-presence-local-failed"
	CONST_CAUSE_NIC_PRESENCE_PEER_FAILED = "nic-presence-peer-failed"
	CONST_CAUSE_NIC_UN_CONFIG_LOCAL_FAILED = "nic-un-config-local-failed"
	CONST_CAUSE_NIC_UN_CONFIG_PEER_FAILED = "nic-un-config-peer-failed"
	CONST_CAUSE_NIC_UNCONFIG_HOSTOSLOCAL_FAILED = "nic-unconfig-hostoslocal-failed"
	CONST_CAUSE_NIC_UNCONFIG_HOSTOSPEER_FAILED = "nic-unconfig-hostospeer-failed"
	CONST_CAUSE_NIC_UNCONFIG_LOCAL_FAILED = "nic-unconfig-local-failed"
	CONST_CAUSE_NIC_UNCONFIG_PEER_FAILED = "nic-unconfig-peer-failed"
	CONST_CAUSE_NIC_UNCONFIG_PNUOSLOCAL_FAILED = "nic-unconfig-pnuoslocal-failed"
	CONST_CAUSE_NIC_UNCONFIG_PNUOSPEER_FAILED = "nic-unconfig-pnuospeer-failed"
	CONST_CAUSE_NIC_UNCONFIG_SERVICE_INFRA_LOCAL_FAILED = "nic-unconfig-service-infra-local-failed"
	CONST_CAUSE_NIC_UNCONFIG_SERVICE_INFRA_PEER_FAILED = "nic-unconfig-service-infra-peer-failed"
	CONST_CAUSE_NO_ACK_FROM_BIOS = "no-ack-from-bios"
	CONST_CAUSE_NO_CAP_FAIL = "no-cap-fail"
	CONST_CAUSE_NO_VLAN_OPTIMIZATION = "no-vlan-optimization"
	CONST_CAUSE_NON_EXISTENT_SCHEDULER = "non-existent-scheduler"
	CONST_CAUSE_OLD_CHASSIS_COMPONENT_FIRMWARE = "old-chassis-component-firmware"
	CONST_CAUSE_OLD_FIRMWARE = "old-firmware"
	CONST_CAUSE_OOB_STORAGE_INVENTORY_FAILED = "oob-storage-inventory-failed"
	CONST_CAUSE_OPERATION_FAILED = "operation-failed"
	CONST_CAUSE_OPERATIONAL_STATE_DOWN = "operational-state-down"
	CONST_CAUSE_PEER_FAILED = "peer-failed"
	CONST_CAUSE_PERFORMANCE_PROBLEM = "performance-problem"
	CONST_CAUSE_PING_FAILED = "ping-failed"
	CONST_CAUSE_PINNING_MISCONFIG = "pinning-misconfig"
	CONST_CAUSE_PINNING_MISMATCH = "pinning-mismatch"
	CONST_CAUSE_PLD_FIRMWARE_MISMATCH = "pld-firmware-mismatch"
	CONST_CAUSE_PNUOSCATALOG_FAILED = "pnuoscatalog-failed"
	CONST_CAUSE_PNUOSCONFIG_FAILED = "pnuosconfig-failed"
	CONST_CAUSE_PNUOSCONN_STATUS_FAILED = "pnuosconn-status-failed"
	CONST_CAUSE_PNUOSCONNECTIVITY_FAILED = "pnuosconnectivity-failed"
	CONST_CAUSE_PNUOSIDENT_FAILED = "pnuosident-failed"
	CONST_CAUSE_PNUOSINVENTORY_FAILED = "pnuosinventory-failed"
	CONST_CAUSE_PNUOSLOCAL_DISK_CONFIG_FAILED = "pnuoslocal-disk-config-failed"
	CONST_CAUSE_PNUOSPOLICY_FAILED = "pnuospolicy-failed"
	CONST_CAUSE_PNUOSSCRUB_FAILED = "pnuosscrub-failed"
	CONST_CAUSE_PNUOSSELF_TEST_FAILED = "pnuosself-test-failed"
	CONST_CAUSE_PNUOSUNCONFIG_FAILED = "pnuosunconfig-failed"
	CONST_CAUSE_PNUOSUNLOAD_DRIVERS_FAILED = "pnuosunload-drivers-failed"
	CONST_CAUSE_PNUOSVALIDATE_FAILED = "pnuosvalidate-failed"
	CONST_CAUSE_POLL_ACTIVATE_OF_LOCALFI_FAILED = "poll-activate-of-localfi-failed"
	CONST_CAUSE_POLL_ACTIVATE_OF_REMOTEFI_FAILED = "poll-activate-of-remotefi-failed"
	CONST_CAUSE_POLL_ACTIVATE_OFIOM_FAILED = "poll-activate-ofiom-failed"
	CONST_CAUSE_POLL_ACTIVATE_OFUCSM_FAILED = "poll-activate-ofucsm-failed"
	CONST_CAUSE_POLL_ACTIVATE_STATUS_FAILED = "poll-activate-status-failed"
	CONST_CAUSE_POLL_BIOS_ACTIVATE_STATUS_FAILED = "poll-bios-activate-status-failed"
	CONST_CAUSE_POLL_BIOS_UPDATE_STATUS_FAILED = "poll-bios-update-status-failed"
	CONST_CAUSE_POLL_BOARD_CTRL_UPDATE_STATUS_FAILED = "poll-board-ctrl-update-status-failed"
	CONST_CAUSE_POLL_CLEAR_BIOS_UPDATE_STATUS_FAILED = "poll-clear-bios-update-status-failed"
	CONST_CAUSE_POLL_CLEAR_STATUS_FAILED = "poll-clear-status-failed"
	CONST_CAUSE_POLL_UPDATE_OFIOM_FAILED = "poll-update-ofiom-failed"
	CONST_CAUSE_POLL_UPDATE_STATUS_FAILED = "poll-update-status-failed"
	CONST_CAUSE_POLL_UPDATE_STATUS_LOCAL_FAILED = "poll-update-status-local-failed"
	CONST_CAUSE_POLL_UPDATE_STATUS_PEER_FAILED = "poll-update-status-peer-failed"
	CONST_CAUSE_PORT_FAILED = "port-failed"
	CONST_CAUSE_PORT_INVENTORY_SW_AFAILED = "port-inventory-sw-afailed"
	CONST_CAUSE_PORT_INVENTORY_SW_BFAILED = "port-inventory-sw-bfailed"
	CONST_CAUSE_POST_SET_KEY_RING_LOCAL_FAILED = "post-set-key-ring-local-failed"
	CONST_CAUSE_POST_SET_KEY_RING_PEER_FAILED = "post-set-key-ring-peer-failed"
	CONST_CAUSE_POWER_CAP_FAIL = "power-cap-fail"
	CONST_CAUSE_POWER_CONSUMPTION_HIT_LIMIT = "power-consumption-hit-limit"
	CONST_CAUSE_POWER_CYCLE_FAILED = "power-cycle-failed"
	CONST_CAUSE_POWER_DOWN = "power-down"
	CONST_CAUSE_POWER_OFF_FAILED = "power-off-failed"
	CONST_CAUSE_POWER_ON_FAILED = "power-on-failed"
	CONST_CAUSE_POWER_ON_PRE_CONFIG_FAILED = "power-on-pre-config-failed"
	CONST_CAUSE_POWER_PROBLEM = "power-problem"
	CONST_CAUSE_POWERED_OFF = "powered-off"
	CONST_CAUSE_PRE_SANITIZE_FAILED = "pre-sanitize-failed"
	CONST_CAUSE_PREPARE_FOR_BOOT_FAILED = "prepare-for-boot-failed"
	CONST_CAUSE_PREPARE_FOR_UPDATE_FAILED = "prepare-for-update-failed"
	CONST_CAUSE_PRIMARY_FAILED = "primary-failed"
	CONST_CAUSE_PRIMARY_VLAN_MISSING_FOR_COMMUNITY = "primary-vlan-missing-for-community"
	CONST_CAUSE_PRIMARY_VLAN_MISSING_FOR_ISOLATED = "primary-vlan-missing-for-isolated"
	CONST_CAUSE_PROFILE_CONFIG_INCORRECT = "profile-config-incorrect"
	CONST_CAUSE_PROPOGATE_EP_SETTINGS_FAILED = "propogate-ep-settings-failed"
	CONST_CAUSE_PROPOGATE_EP_TIME_ZONE_SETTINGS_LOCAL_FAILED = "propogate-ep-time-zone-settings-local-failed"
	CONST_CAUSE_PROPOGATE_EP_TIME_ZONE_SETTINGS_PEER_FAILED = "propogate-ep-time-zone-settings-peer-failed"
	CONST_CAUSE_PROPOGATE_EP_TIME_ZONE_SETTINGS_TO_ADAPTORS_LOCAL_FAILED = "propogate-ep-time-zone-settings-to-adaptors-local-failed"
	CONST_CAUSE_PROPOGATE_EP_TIME_ZONE_SETTINGS_TO_ADAPTORS_PEER_FAILED = "propogate-ep-time-zone-settings-to-adaptors-peer-failed"
	CONST_CAUSE_PROPOGATE_EP_TIME_ZONE_SETTINGS_TO_FEX_IOM_LOCAL_FAILED = "propogate-ep-time-zone-settings-to-fex-iom-local-failed"
	CONST_CAUSE_PROPOGATE_EP_TIME_ZONE_SETTINGS_TO_FEX_IOM_PEER_FAILED = "propogate-ep-time-zone-settings-to-fex-iom-peer-failed"
	CONST_CAUSE_PROVIDER_GROUP_ALREADY_EXISTS = "provider-group-already-exists"
	CONST_CAUSE_PROVIDER_GROUP_SIZE_EMPTY = "provider-group-size-empty"
	CONST_CAUSE_PROVISION_STORAGE_FAILED = "provision-storage-failed"
	CONST_CAUSE_PSU_FAILURE = "psu-failure"
	CONST_CAUSE_PSU_INSUFFICIENT = "psu-insufficient"
	CONST_CAUSE_PSU_REDUNDANCY_FAIL = "psu-redundancy-fail"
	CONST_CAUSE_READ_SMBIOS_FAILED = "read-smbios-failed"
	CONST_CAUSE_RECONFIG_BIOS_FAILED = "reconfig-bios-failed"
	CONST_CAUSE_RECONFIG_UUID_FAILED = "reconfig-uuid-failed"
	CONST_CAUSE_REFERENCED_REMOTE_VLAN_UNRESOLVABLE = "referenced-remote-vlan-unresolvable"
	CONST_CAUSE_REFERENCED_REMOTE_VSAN_UNRESOLVABLE = "referenced-remote-vsan-unresolvable"
	CONST_CAUSE_REFERENCED_VLAN_UNRESOLVABLE = "referenced-vlan-unresolvable"
	CONST_CAUSE_REFERENCED_VSAN_UNRESOLVABLE = "referenced-vsan-unresolvable"
	CONST_CAUSE_REGISTER_CLIENT_FAILED = "register-client-failed"
	CONST_CAUSE_RELEASE_ALL_FAILED = "release-all-failed"
	CONST_CAUSE_RELEASE_FAILED = "release-failed"
	CONST_CAUSE_RELEASE_MANY_FAILED = "release-many-failed"
	CONST_CAUSE_REMOTE_FAILED = "remote-failed"
	CONST_CAUSE_REMOVE_CONFIG_FAILED = "remove-config-failed"
	CONST_CAUSE_REMOVE_FAILED = "remove-failed"
	CONST_CAUSE_REMOVE_LOCAL_FAILED = "remove-local-failed"
	CONST_CAUSE_REMOVEVMEDIA_LOCAL_FAILED = "removevmedia-local-failed"
	CONST_CAUSE_REMOVEVMEDIA_PEER_FAILED = "removevmedia-peer-failed"
	CONST_CAUSE_REPORT_FAILED = "report-failed"
	CONST_CAUSE_REPORT_FULL_INVENTORY_FAILED = "report-full-inventory-failed"
	CONST_CAUSE_REPORT_RESULTS_FAILED = "report-results-failed"
	CONST_CAUSE_REQUEST_FAILED = "request-failed"
	CONST_CAUSE_RESCAN_IMAGES_FAILED = "rescan-images-failed"
	CONST_CAUSE_RESET_FAILED = "reset-failed"
	CONST_CAUSE_RESET_LOCAL_FAILED = "reset-local-failed"
	CONST_CAUSE_RESET_REMOTE_FAILED = "reset-remote-failed"
	CONST_CAUSE_RESET_SECURE_BOOT_CONFIG_FAILED = "reset-secure-boot-config-failed"
	CONST_CAUSE_RESETIBMC_FAILED = "resetibmc-failed"
	CONST_CAUSE_RESOLVE_ALL_FAILED = "resolve-all-failed"
	CONST_CAUSE_RESOLVE_BOOT_CONFIG_FAILED = "resolve-boot-config-failed"
	CONST_CAUSE_RESOLVE_DEFAULT_IDENTIFIERS_FAILED = "resolve-default-identifiers-failed"
	CONST_CAUSE_RESOLVE_DISTRIBUTABLE_FAILED = "resolve-distributable-failed"
	CONST_CAUSE_RESOLVE_DISTRIBUTABLE_NAMES_FAILED = "resolve-distributable-names-failed"
	CONST_CAUSE_RESOLVE_FAILED = "resolve-failed"
	CONST_CAUSE_RESOLVE_IDENTIFIERS_FAILED = "resolve-identifiers-failed"
	CONST_CAUSE_RESOLVE_IMAGES_FAILED = "resolve-images-failed"
	CONST_CAUSE_RESOLVE_MANY_FAILED = "resolve-many-failed"
	CONST_CAUSE_RESOLVE_NETWORK_POLICIES_FAILED = "resolve-network-policies-failed"
	CONST_CAUSE_RESOLVE_NETWORK_TEMPLATES_FAILED = "resolve-network-templates-failed"
	CONST_CAUSE_RESOLVE_POLICIES_FAILED = "resolve-policies-failed"
	CONST_CAUSE_RESOLVE_SCHEDULE_FAILED = "resolve-schedule-failed"
	CONST_CAUSE_RESTORE_CONFIG_FE_LOCAL_FAILED = "restore-config-fe-local-failed"
	CONST_CAUSE_RESTORE_CONFIG_FE_PEER_FAILED = "restore-config-fe-peer-failed"
	CONST_CAUSE_ROLE_CONFIG_ERROR = "role-config-error"
	CONST_CAUSE_SANITIZE_FAILED = "sanitize-failed"
	CONST_CAUSE_SATELLITE_CONNECTION_ABSENT = "satellite-connection-absent"
	CONST_CAUSE_SATELLITE_CONNECTION_INIT = "satellite-connection-init"
	CONST_CAUSE_SATELLITE_MIS_CONNECTED = "satellite-mis-connected"
	CONST_CAUSE_SECONDARY_FAILED = "secondary-failed"
	CONST_CAUSE_SERIAL_DEBUG_CONNECT_FAILED = "serial-debug-connect-failed"
	CONST_CAUSE_SERIAL_DEBUG_DISCONNECT_FAILED = "serial-debug-disconnect-failed"
	CONST_CAUSE_SERIAL_DEBUG_PNUOSCONNECT_FAILED = "serial-debug-pnuosconnect-failed"
	CONST_CAUSE_SERIAL_DEBUG_PNUOSDISCONNECT_FAILED = "serial-debug-pnuosdisconnect-failed"
	CONST_CAUSE_SERVER_ASSIGNED = "server-assigned"
	CONST_CAUSE_SERVER_ASSOCIATED = "server-associated"
	CONST_CAUSE_SERVER_ASSOCIATING = "server-associating"
	CONST_CAUSE_SERVER_CIMC_CMC_RUNNING_VERSION_DOES_NOT_SUPPORT_INBAND = "server-cimc-cmc-running-version-does-not-support-inband"
	CONST_CAUSE_SERVER_DEASSOCIATING = "server-deassociating"
	CONST_CAUSE_SERVER_DOES_NOT_SUPPORT_INBAND = "server-does-not-support-inband"
	CONST_CAUSE_SERVER_ERROR = "server-error"
	CONST_CAUSE_SERVER_FAILED = "server-failed"
	CONST_CAUSE_SERVER_IDENTIFICATION_PROBLEM = "server-identification-problem"
	CONST_CAUSE_SERVER_INACCESSIBLE = "server-inaccessible"
	CONST_CAUSE_SERVER_MOVED = "server-moved"
	CONST_CAUSE_SERVER_POWER_OFF_FAILED = "server-power-off-failed"
	CONST_CAUSE_SERVER_POWER_ON_FAILED = "server-power-on-failed"
	CONST_CAUSE_SERVER_UNASSIGNED = "server-unassigned"
	CONST_CAUSE_SERVER_UNASSOCIATED = "server-unassociated"
	CONST_CAUSE_SET_DIAG_USER_FAILED = "set-diag-user-failed"
	CONST_CAUSE_SET_EP_AFAILED = "set-ep-afailed"
	CONST_CAUSE_SET_EP_BFAILED = "set-ep-bfailed"
	CONST_CAUSE_SET_EP_LOCAL_FAILED = "set-ep-local-failed"
	CONST_CAUSE_SET_EP_PEER_FAILED = "set-ep-peer-failed"
	CONST_CAUSE_SET_KEY_RING_LOCAL_FAILED = "set-key-ring-local-failed"
	CONST_CAUSE_SET_KEY_RING_PEER_FAILED = "set-key-ring-peer-failed"
	CONST_CAUSE_SET_LOCAL_FAILED = "set-local-failed"
	CONST_CAUSE_SET_PEER_FAILED = "set-peer-failed"
	CONST_CAUSE_SET_REALM_LOCAL_FAILED = "set-realm-local-failed"
	CONST_CAUSE_SET_REALM_PEER_FAILED = "set-realm-peer-failed"
	CONST_CAUSE_SET_USER_LOCAL_FAILED = "set-user-local-failed"
	CONST_CAUSE_SET_USER_PEER_FAILED = "set-user-peer-failed"
	CONST_CAUSE_SETUP_VMEDIA_LOCAL_FAILED = "setup-vmedia-local-failed"
	CONST_CAUSE_SETUP_VMEDIA_PEER_FAILED = "setup-vmedia-peer-failed"
	CONST_CAUSE_SETUPVMEDIA_LOCAL_FAILED = "setupvmedia-local-failed"
	CONST_CAUSE_SETUPVMEDIA_PEER_FAILED = "setupvmedia-peer-failed"
	CONST_CAUSE_SHUTDOWN_FAILED = "shutdown-failed"
	CONST_CAUSE_SNMP_CONFIG_ERROR = "snmp-config-error"
	CONST_CAUSE_SNMP_USER_CONFIG_ERROR = "snmp-user-config-error"
	CONST_CAUSE_SOL_REDIRECT_DISABLE_FAILED = "sol-redirect-disable-failed"
	CONST_CAUSE_SOL_REDIRECT_ENABLE_FAILED = "sol-redirect-enable-failed"
	CONST_CAUSE_START_FABRICATRAFFIC_TEST_FAILED = "start-fabricatraffic-test-failed"
	CONST_CAUSE_START_FABRICBTRAFFIC_TEST_FAILED = "start-fabricbtraffic-test-failed"
	CONST_CAUSE_START_FAILED = "start-failed"
	CONST_CAUSE_STOPVMEDIA_LOCAL_FAILED = "stopvmedia-local-failed"
	CONST_CAUSE_STOPVMEDIA_PEER_FAILED = "stopvmedia-peer-failed"
	CONST_CAUSE_STORAGE_CTLR_IMG_UPDATE_FAILED = "storage-ctlr-img-update-failed"
	CONST_CAUSE_SUCCESS_FAILED = "success-failed"
	CONST_CAUSE_SUPPRESS_STATUS_CHANGE = "suppress-status-change"
	CONST_CAUSE_SUSPEND_MODE_ENTERED = "suspend-mode-entered"
	CONST_CAUSE_SVNIC_NOT_PRESENT = "svnic-not-present"
	CONST_CAUSE_SW_CONFIG_HOSTOSLOCAL_FAILED = "sw-config-hostoslocal-failed"
	CONST_CAUSE_SW_CONFIG_HOSTOSPEER_FAILED = "sw-config-hostospeer-failed"
	CONST_CAUSE_SW_CONFIG_LOCAL_FAILED = "sw-config-local-failed"
	CONST_CAUSE_SW_CONFIG_PEER_FAILED = "sw-config-peer-failed"
	CONST_CAUSE_SW_CONFIG_PNUOSLOCAL_FAILED = "sw-config-pnuoslocal-failed"
	CONST_CAUSE_SW_CONFIG_PNUOSPEER_FAILED = "sw-config-pnuospeer-failed"
	CONST_CAUSE_SW_CONFIG_PORT_NIV_LOCAL_FAILED = "sw-config-port-niv-local-failed"
	CONST_CAUSE_SW_CONFIG_PORT_NIV_PEER_FAILED = "sw-config-port-niv-peer-failed"
	CONST_CAUSE_SW_CONFIG_SERVICE_INFRA_LOCAL_FAILED = "sw-config-service-infra-local-failed"
	CONST_CAUSE_SW_CONFIG_SERVICE_INFRA_PEER_FAILED = "sw-config-service-infra-peer-failed"
	CONST_CAUSE_SW_CONFIGURE_CONN_LOCAL_FAILED = "sw-configure-conn-local-failed"
	CONST_CAUSE_SW_CONFIGURE_CONN_PEER_FAILED = "sw-configure-conn-peer-failed"
	CONST_CAUSE_SW_PNUOSCONNECTIVITY_LOCAL_FAILED = "sw-pnuosconnectivity-local-failed"
	CONST_CAUSE_SW_PNUOSCONNECTIVITY_PEER_FAILED = "sw-pnuosconnectivity-peer-failed"
	CONST_CAUSE_SW_UN_CONFIG_LOCAL_FAILED = "sw-un-config-local-failed"
	CONST_CAUSE_SW_UN_CONFIG_PEER_FAILED = "sw-un-config-peer-failed"
	CONST_CAUSE_SW_UNCONFIG_HOSTOSLOCAL_FAILED = "sw-unconfig-hostoslocal-failed"
	CONST_CAUSE_SW_UNCONFIG_HOSTOSPEER_FAILED = "sw-unconfig-hostospeer-failed"
	CONST_CAUSE_SW_UNCONFIG_LOCAL_FAILED = "sw-unconfig-local-failed"
	CONST_CAUSE_SW_UNCONFIG_PEER_FAILED = "sw-unconfig-peer-failed"
	CONST_CAUSE_SW_UNCONFIG_PNUOSLOCAL_FAILED = "sw-unconfig-pnuoslocal-failed"
	CONST_CAUSE_SW_UNCONFIG_PNUOSPEER_FAILED = "sw-unconfig-pnuospeer-failed"
	CONST_CAUSE_SW_UNCONFIG_PORT_NIV_LOCAL_FAILED = "sw-unconfig-port-niv-local-failed"
	CONST_CAUSE_SW_UNCONFIG_PORT_NIV_PEER_FAILED = "sw-unconfig-port-niv-peer-failed"
	CONST_CAUSE_SW_UNCONFIGURE_LOCAL_FAILED = "sw-unconfigure-local-failed"
	CONST_CAUSE_SW_UNCONFIGURE_PEER_FAILED = "sw-unconfigure-peer-failed"
	CONST_CAUSE_SWITCH_FAILED = "switch-failed"
	CONST_CAUSE_SYNC_BLADEAGLOCAL_FAILED = "sync-bladeaglocal-failed"
	CONST_CAUSE_SYNC_BLADEAGREMOTE_FAILED = "sync-bladeagremote-failed"
	CONST_CAUSE_SYNC_FAILED = "sync-failed"
	CONST_CAUSE_SYNC_HOSTAGENTAGLOCAL_FAILED = "sync-hostagentaglocal-failed"
	CONST_CAUSE_SYNC_HOSTAGENTAGREMOTE_FAILED = "sync-hostagentagremote-failed"
	CONST_CAUSE_SYNC_NICAGLOCAL_FAILED = "sync-nicaglocal-failed"
	CONST_CAUSE_SYNC_NICAGREMOTE_FAILED = "sync-nicagremote-failed"
	CONST_CAUSE_SYNC_PORTAGLOCAL_FAILED = "sync-portaglocal-failed"
	CONST_CAUSE_SYNC_PORTAGREMOTE_FAILED = "sync-portagremote-failed"
	CONST_CAUSE_SYNC_POWER_STATE_FAILED = "sync-power-state-failed"
	CONST_CAUSE_TEARDOWN_VMEDIA_LOCAL_FAILED = "teardown-vmedia-local-failed"
	CONST_CAUSE_TEARDOWN_VMEDIA_PEER_FAILED = "teardown-vmedia-peer-failed"
	CONST_CAUSE_TFTP_SERVER_ERROR = "tftp-server-error"
	CONST_CAUSE_THERMAL_PROBLEM = "thermal-problem"
	CONST_CAUSE_THRESHOLD_CROSSED = "threshold-crossed"
	CONST_CAUSE_TIMEZONE_FILE_NOT_EXISTS = "timezone-file-not-exists"
	CONST_CAUSE_TRANSITION = "transition"
	CONST_CAUSE_UCSM_PROCESS_FAILURE = "ucsm-process-failure"
	CONST_CAUSE_UDLD_LINK_DOWN = "udld-link-down"
	CONST_CAUSE_UN_IDENTIFY_LOCAL_FAILED = "un-identify-local-failed"
	CONST_CAUSE_UN_IDENTIFY_PEER_FAILED = "un-identify-peer-failed"
	CONST_CAUSE_UNASSOCIATED = "unassociated"
	CONST_CAUSE_UNCONFIG_BIOS_FAILED = "unconfig-bios-failed"
	CONST_CAUSE_UNCONFIG_CIMCVMEDIA_FAILED = "unconfig-cimcvmedia-failed"
	CONST_CAUSE_UNCONFIG_EXT_MGMT_GW_FAILED = "unconfig-ext-mgmt-gw-failed"
	CONST_CAUSE_UNCONFIG_EXT_MGMT_RULES_FAILED = "unconfig-ext-mgmt-rules-failed"
	CONST_CAUSE_UNCONFIG_FLEX_FLASH_FAILED = "unconfig-flex-flash-failed"
	CONST_CAUSE_UNCONFIG_SO_LFAILED = "unconfig-so-lfailed"
	CONST_CAUSE_UNCONFIG_USER_ACCESS_FAILED = "unconfig-user-access-failed"
	CONST_CAUSE_UNCONFIG_UUID_FAILED = "unconfig-uuid-failed"
	CONST_CAUSE_UNCONFIGURATION_IN_PROGRESS = "unconfiguration-in-progress"
	CONST_CAUSE_UNDER_TEST = "under-test"
	CONST_CAUSE_UNEXPECTED_NUMBER_OF_LINKS = "unexpected-number-of-links"
	CONST_CAUSE_UNIDENTIFIABLE_FRU = "unidentifiable-fru"
	CONST_CAUSE_UNKNOWN = "unknown"
	CONST_CAUSE_UNMOUNT_LOCAL_FAILED = "unmount-local-failed"
	CONST_CAUSE_UNMOUNT_PEER_FAILED = "unmount-peer-failed"
	CONST_CAUSE_UNPACK_LOCAL_FAILED = "unpack-local-failed"
	CONST_CAUSE_UNREGISTER_FAILED = "unregister-failed"
	CONST_CAUSE_UNSUPPORTED_CIMC_FIRMWARE = "unsupported-cimc-firmware"
	CONST_CAUSE_UNSUPPORTED_CONNECTIVITY = "unsupported-connectivity"
	CONST_CAUSE_UNSUPPORTED_CONNECTIVITY_CONFIGURATION = "unsupported-connectivity-configuration"
	CONST_CAUSE_UNSUPPORTED_TRANSCEIVER = "unsupported-transceiver"
	CONST_CAUSE_UPDATE_ADAPTOR_NW_FW_LOCAL_FAILED = "update-adaptor-nw-fw-local-failed"
	CONST_CAUSE_UPDATE_ADAPTOR_NW_FW_PEER_FAILED = "update-adaptor-nw-fw-peer-failed"
	CONST_CAUSE_UPDATE_BIOS_REQUEST_FAILED = "update-bios-request-failed"
	CONST_CAUSE_UPDATE_BOARD_CTRL_REQUEST_FAILED = "update-board-ctrl-request-failed"
	CONST_CAUSE_UPDATE_CONNECTIVITY_FAILED = "update-connectivity-failed"
	CONST_CAUSE_UPDATE_ETH_FLOW_MON_FAILED = "update-eth-flow-mon-failed"
	CONST_CAUSE_UPDATE_ETH_MON_FAILED = "update-eth-mon-failed"
	CONST_CAUSE_UPDATE_FC_MON_FAILED = "update-fc-mon-failed"
	CONST_CAUSE_UPDATE_FLASH_LIFE_FAILED = "update-flash-life-failed"
	CONST_CAUSE_UPDATE_LOCAL_FAILED = "update-local-failed"
	CONST_CAUSE_UPDATE_REMOTE_FAILED = "update-remote-failed"
	CONST_CAUSE_UPDATE_REQUEST_FAILED = "update-request-failed"
	CONST_CAUSE_UPDATE_REQUEST_LOCAL_FAILED = "update-request-local-failed"
	CONST_CAUSE_UPDATE_REQUEST_PEER_FAILED = "update-request-peer-failed"
	CONST_CAUSE_UPDATE_TOKENS_FAILED = "update-tokens-failed"
	CONST_CAUSE_UPDATE_VLAN_GROUPS_FAILED = "update-vlan-groups-failed"
	CONST_CAUSE_UPDATE_ZONES_FAILED = "update-zones-failed"
	CONST_CAUSE_UPDATEIBMCFW_FAILED = "updateibmcfw-failed"
	CONST_CAUSE_UPDATEIOM_FAILED = "updateiom-failed"
	CONST_CAUSE_UPLOAD_FAILED = "upload-failed"
	CONST_CAUSE_USER_CONFIG_ERROR = "user-config-error"
	CONST_CAUSE_USER_LOCALE_CONFIG_ERROR = "user-locale-config-error"
	CONST_CAUSE_USER_ROLE_CONFIG_ERROR = "user-role-config-error"
	CONST_CAUSE_VALIDATE_CONFIGURATION_FAILED = "validate-configuration-failed"
	CONST_CAUSE_VALIDATE_LOCAL_FAILED = "validate-local-failed"
	CONST_CAUSE_VALIDATE_POLICY_OWNERSHIP_FAILED = "validate-policy-ownership-failed"
	CONST_CAUSE_VALIDATE_REMOTE_FAILED = "validate-remote-failed"
	CONST_CAUSE_VERIFY_FAILED = "verify-failed"
	CONST_CAUSE_VERIFY_FC_ZONE_CONFIG_FAILED = "verify-fc-zone-config-failed"
	CONST_CAUSE_VERIFY_GUID_FAILED = "verify-guid-failed"
	CONST_CAUSE_VERIFY_LOCAL_FAILED = "verify-local-failed"
	CONST_CAUSE_VERIFY_PHYS_CONFIG_FAILED = "verify-phys-config-failed"
	CONST_CAUSE_VERIFY_REGISTRATION_FAILED = "verify-registration-failed"
	CONST_CAUSE_VERIFY_REMOTE_FAILED = "verify-remote-failed"
	CONST_CAUSE_VERSION_INCOMPATIBLE = "version-incompatible"
	CONST_CAUSE_VIF_DOWN = "vif-down"
	CONST_CAUSE_VIF_IDS_MISMATCH = "vif-ids-mismatch"
	CONST_CAUSE_VLAN_CONFLICT_PERMIT = "vlan-conflict-permit"
	CONST_CAUSE_VLAN_ERROR_ASSOC_PRIMARY = "vlan-error-assoc-primary"
	CONST_CAUSE_VLAN_MCAST_POLICY_MISCONFIGURED = "vlan-mcast-policy-misconfigured"
	CONST_CAUSE_VLAN_MISCONFIGURED = "vlan-misconfigured"
	CONST_CAUSE_VLAN_MISMATCH = "vlan-mismatch"
	CONST_CAUSE_VLAN_PERMIT_UNRESOLVED = "vlan-permit-unresolved"
	CONST_CAUSE_VM_NETWORK_REFERENCE_INCORRECT = "vm-network-reference-incorrect"
	CONST_CAUSE_VMEDIA_MOUNT_INACCESSIBLE = "vmedia-mount-inaccessible"
	CONST_CAUSE_VOLTAGE_PROBLEM = "voltage-problem"
	CONST_CAUSE_VSAN_MISCONFIGURED = "vsan-misconfigured"
	CONST_CAUSE_WAIT_FAILED = "wait-failed"
	CONST_CAUSE_WAIT_FOR_ADAPTOR_NW_FW_UPDATE_LOCAL_FAILED = "wait-for-adaptor-nw-fw-update-local-failed"
	CONST_CAUSE_WAIT_FOR_ADAPTOR_NW_FW_UPDATE_PEER_FAILED = "wait-for-adaptor-nw-fw-update-peer-failed"
	CONST_CAUSE_WAIT_FOR_ASSOC_COMPLETION_FAILED = "wait-for-assoc-completion-failed"
	CONST_CAUSE_WAIT_FOR_COMMIT_STORAGE_FAILED = "wait-for-commit-storage-failed"
	CONST_CAUSE_WAIT_FOR_CONN_READY_FAILED = "wait-for-conn-ready-failed"
	CONST_CAUSE_WAIT_FOR_DEPLOY_FAILED = "wait-for-deploy-failed"
	CONST_CAUSE_WAIT_FOR_MAINT_PERMISSION_FAILED = "wait-for-maint-permission-failed"
	CONST_CAUSE_WAIT_FOR_MAINT_WINDOW_FAILED = "wait-for-maint-window-failed"
	CONST_CAUSE_WAIT_FOR_STORAGE_PROVISION_FAILED = "wait-for-storage-provision-failed"
	CONST_CAUSE_WAIT_FOR_USER_ACK_FAILED = "wait-for-user-ack-failed"
	CONST_CAUSE_WAIT_FORIBMCFW_UPDATE_FAILED = "wait-foribmcfw-update-failed"
	CONST_CAUSE_WAIT_ON_PHYS_FAILED = "wait-on-phys-failed"
	CONST_CODE_E4194528 = "E4194528"
	CONST_CODE_E4194529 = "E4194529"
	CONST_CODE_E4194530 = "E4194530"
	CONST_CODE_E4194531 = "E4194531"
	CONST_CODE_E4194532 = "E4194532"
	CONST_CODE_E4194533 = "E4194533"
	CONST_CODE_E4194534 = "E4194534"
	CONST_CODE_E4194535 = "E4194535"
	CONST_CODE_E4194536 = "E4194536"
	CONST_CODE_E4194537 = "E4194537"
	CONST_CODE_E4194538 = "E4194538"
	CONST_CODE_E4194539 = "E4194539"
	CONST_CODE_E4194540 = "E4194540"
	CONST_CODE_E4194541 = "E4194541"
	CONST_CODE_E4194542 = "E4194542"
	CONST_CODE_E4194543 = "E4194543"
	CONST_CODE_E4194544 = "E4194544"
	CONST_CODE_E4194545 = "E4194545"
	CONST_CODE_E4194546 = "E4194546"
	CONST_CODE_E4194547 = "E4194547"
	CONST_CODE_E4194548 = "E4194548"
	CONST_CODE_E4194549 = "E4194549"
	CONST_CODE_E4194550 = "E4194550"
	CONST_CODE_E4194551 = "E4194551"
	CONST_CODE_E4194552 = "E4194552"
	CONST_CODE_E4194553 = "E4194553"
	CONST_CODE_E4194554 = "E4194554"
	CONST_CODE_E4194555 = "E4194555"
	CONST_CODE_E4194556 = "E4194556"
	CONST_CODE_E4194557 = "E4194557"
	CONST_CODE_E4194558 = "E4194558"
	CONST_CODE_E4194559 = "E4194559"
	CONST_CODE_E4194560 = "E4194560"
	CONST_CODE_E4194561 = "E4194561"
	CONST_CODE_E4194562 = "E4194562"
	CONST_CODE_E4194563 = "E4194563"
	CONST_CODE_E4194564 = "E4194564"
	CONST_CODE_E4194565 = "E4194565"
	CONST_CODE_E4194566 = "E4194566"
	CONST_CODE_E4194567 = "E4194567"
	CONST_CODE_E4194568 = "E4194568"
	CONST_CODE_E4194569 = "E4194569"
	CONST_CODE_E4194570 = "E4194570"
	CONST_CODE_E4194571 = "E4194571"
	CONST_CODE_E4194572 = "E4194572"
	CONST_CODE_E4194573 = "E4194573"
	CONST_CODE_E4194574 = "E4194574"
	CONST_CODE_E4194575 = "E4194575"
	CONST_CODE_E4194576 = "E4194576"
	CONST_CODE_E4194577 = "E4194577"
	CONST_CODE_E4194578 = "E4194578"
	CONST_CODE_E4194579 = "E4194579"
	CONST_CODE_E4194580 = "E4194580"
	CONST_CODE_E4194581 = "E4194581"
	CONST_CODE_E4194582 = "E4194582"
	CONST_CODE_E4194583 = "E4194583"
	CONST_CODE_E4194584 = "E4194584"
	CONST_CODE_E4194585 = "E4194585"
	CONST_CODE_E4194586 = "E4194586"
	CONST_CODE_E4194587 = "E4194587"
	CONST_CODE_E4194591 = "E4194591"
	CONST_CODE_E4194592 = "E4194592"
	CONST_CODE_E4194593 = "E4194593"
	CONST_CODE_E4194594 = "E4194594"
	CONST_CODE_E4194595 = "E4194595"
	CONST_CODE_E4194596 = "E4194596"
	CONST_CODE_E4194597 = "E4194597"
	CONST_CODE_E4194598 = "E4194598"
	CONST_CODE_E4194599 = "E4194599"
	CONST_CODE_E4194600 = "E4194600"
	CONST_CODE_E4194601 = "E4194601"
	CONST_CODE_E4194602 = "E4194602"
	CONST_CODE_E4194603 = "E4194603"
	CONST_CODE_E4194604 = "E4194604"
	CONST_CODE_E4194605 = "E4194605"
	CONST_CODE_E4194607 = "E4194607"
	CONST_CODE_E4194608 = "E4194608"
	CONST_CODE_E4194609 = "E4194609"
	CONST_CODE_E4194610 = "E4194610"
	CONST_CODE_E4194611 = "E4194611"
	CONST_CODE_E4194612 = "E4194612"
	CONST_CODE_E4194613 = "E4194613"
	CONST_CODE_E4194614 = "E4194614"
	CONST_CODE_E4194615 = "E4194615"
	CONST_CODE_E4194616 = "E4194616"
	CONST_CODE_E4194617 = "E4194617"
	CONST_CODE_E4194620 = "E4194620"
	CONST_CODE_E4194621 = "E4194621"
	CONST_CODE_E4194622 = "E4194622"
	CONST_CODE_E4194623 = "E4194623"
	CONST_CODE_E4194624 = "E4194624"
	CONST_CODE_E4194626 = "E4194626"
	CONST_CODE_E4194627 = "E4194627"
	CONST_CODE_E4194628 = "E4194628"
	CONST_CODE_E4194629 = "E4194629"
	CONST_CODE_E4194630 = "E4194630"
	CONST_CODE_E4194631 = "E4194631"
	CONST_CODE_E4194632 = "E4194632"
	CONST_CODE_E4194652 = "E4194652"
	CONST_CODE_E4194654 = "E4194654"
	CONST_CODE_E4194655 = "E4194655"
	CONST_CODE_E4194656 = "E4194656"
	CONST_CODE_E4194657 = "E4194657"
	CONST_CODE_E4194658 = "E4194658"
	CONST_CODE_E4194659 = "E4194659"
	CONST_CODE_E4194660 = "E4194660"
	CONST_CODE_E4194661 = "E4194661"
	CONST_CODE_E4194662 = "E4194662"
	CONST_CODE_E4194663 = "E4194663"
	CONST_CODE_E4194664 = "E4194664"
	CONST_CODE_E4194665 = "E4194665"
	CONST_CODE_E4194671 = "E4194671"
	CONST_CODE_E4194672 = "E4194672"
	CONST_CODE_E4194673 = "E4194673"
	CONST_CODE_E4194674 = "E4194674"
	CONST_CODE_E4194675 = "E4194675"
	CONST_CODE_E4194676 = "E4194676"
	CONST_CODE_E4194683 = "E4194683"
	CONST_CODE_E4194684 = "E4194684"
	CONST_CODE_E4194685 = "E4194685"
	CONST_CODE_E4194686 = "E4194686"
	CONST_CODE_E4194687 = "E4194687"
	CONST_CODE_E4194688 = "E4194688"
	CONST_CODE_E4194689 = "E4194689"
	CONST_CODE_E4194693 = "E4194693"
	CONST_CODE_E4194694 = "E4194694"
	CONST_CODE_E4194695 = "E4194695"
	CONST_CODE_E4194697 = "E4194697"
	CONST_CODE_E4194698 = "E4194698"
	CONST_CODE_E4194699 = "E4194699"
	CONST_CODE_E4194700 = "E4194700"
	CONST_CODE_E4194701 = "E4194701"
	CONST_CODE_E4194702 = "E4194702"
	CONST_CODE_E4194703 = "E4194703"
	CONST_CODE_E4194704 = "E4194704"
	CONST_CODE_E4194705 = "E4194705"
	CONST_CODE_E4194706 = "E4194706"
	CONST_CODE_E4194714 = "E4194714"
	CONST_CODE_E4194715 = "E4194715"
	CONST_CODE_E4194717 = "E4194717"
	CONST_CODE_E4194718 = "E4194718"
	CONST_CODE_E4194720 = "E4194720"
	CONST_CODE_E4194721 = "E4194721"
	CONST_CODE_E4194722 = "E4194722"
	CONST_CODE_E4194723 = "E4194723"
	CONST_CODE_E4194724 = "E4194724"
	CONST_CODE_E4194725 = "E4194725"
	CONST_CODE_E4194726 = "E4194726"
	CONST_CODE_E4194727 = "E4194727"
	CONST_CODE_E4194728 = "E4194728"
	CONST_CODE_E4194729 = "E4194729"
	CONST_CODE_E4194730 = "E4194730"
	CONST_CODE_E4194734 = "E4194734"
	CONST_CODE_E4194736 = "E4194736"
	CONST_CODE_E4194737 = "E4194737"
	CONST_CODE_E4194738 = "E4194738"
	CONST_CODE_E4194739 = "E4194739"
	CONST_CODE_E4194740 = "E4194740"
	CONST_CODE_E4194741 = "E4194741"
	CONST_CODE_E4194744 = "E4194744"
	CONST_CODE_E4194745 = "E4194745"
	CONST_CODE_E4194746 = "E4194746"
	CONST_CODE_E4194747 = "E4194747"
	CONST_CODE_E4194748 = "E4194748"
	CONST_CODE_E4194749 = "E4194749"
	CONST_CODE_E4194750 = "E4194750"
	CONST_CODE_E4194751 = "E4194751"
	CONST_CODE_E4194752 = "E4194752"
	CONST_CODE_E4194753 = "E4194753"
	CONST_CODE_E4194754 = "E4194754"
	CONST_CODE_E4194755 = "E4194755"
	CONST_CODE_E4194763 = "E4194763"
	CONST_CODE_E4194764 = "E4194764"
	CONST_CODE_E4194765 = "E4194765"
	CONST_CODE_E4194766 = "E4194766"
	CONST_CODE_E4194767 = "E4194767"
	CONST_CODE_E4194768 = "E4194768"
	CONST_CODE_E4194769 = "E4194769"
	CONST_CODE_E4194770 = "E4194770"
	CONST_CODE_E4194771 = "E4194771"
	CONST_CODE_E4194773 = "E4194773"
	CONST_CODE_E4194774 = "E4194774"
	CONST_CODE_E4194775 = "E4194775"
	CONST_CODE_E4194776 = "E4194776"
	CONST_CODE_E4194777 = "E4194777"
	CONST_CODE_E4194778 = "E4194778"
	CONST_CODE_E4194787 = "E4194787"
	CONST_CODE_E4194788 = "E4194788"
	CONST_CODE_E4194789 = "E4194789"
	CONST_CODE_E4194790 = "E4194790"
	CONST_CODE_E4194791 = "E4194791"
	CONST_CODE_E4194792 = "E4194792"
	CONST_CODE_E4194793 = "E4194793"
	CONST_CODE_E4194794 = "E4194794"
	CONST_CODE_E4194795 = "E4194795"
	CONST_CODE_E4194796 = "E4194796"
	CONST_CODE_E4194797 = "E4194797"
	CONST_CODE_E4194798 = "E4194798"
	CONST_CODE_E4194799 = "E4194799"
	CONST_CODE_E4194800 = "E4194800"
	CONST_CODE_E4194801 = "E4194801"
	CONST_CODE_E4194802 = "E4194802"
	CONST_CODE_E4194803 = "E4194803"
	CONST_CODE_E4194804 = "E4194804"
	CONST_CODE_E4194805 = "E4194805"
	CONST_CODE_E4194806 = "E4194806"
	CONST_CODE_E4194807 = "E4194807"
	CONST_CODE_E4194812 = "E4194812"
	CONST_CODE_E4194828 = "E4194828"
	CONST_CODE_E4194830 = "E4194830"
	CONST_CODE_E4194831 = "E4194831"
	CONST_CODE_E4194832 = "E4194832"
	CONST_CODE_E4194833 = "E4194833"
	CONST_CODE_E4194834 = "E4194834"
	CONST_CODE_E4194835 = "E4194835"
	CONST_CODE_E4194836 = "E4194836"
	CONST_CODE_E4194847 = "E4194847"
	CONST_CODE_E4194848 = "E4194848"
	CONST_CODE_E4194849 = "E4194849"
	CONST_CODE_E4194856 = "E4194856"
	CONST_CODE_E4194859 = "E4194859"
	CONST_CODE_E4194860 = "E4194860"
	CONST_CODE_E4194861 = "E4194861"
	CONST_CODE_E4194862 = "E4194862"
	CONST_CODE_E4194863 = "E4194863"
	CONST_CODE_E4194864 = "E4194864"
	CONST_CODE_E4194865 = "E4194865"
	CONST_CODE_E4194866 = "E4194866"
	CONST_CODE_E4194867 = "E4194867"
	CONST_CODE_E4194868 = "E4194868"
	CONST_CODE_E4194869 = "E4194869"
	CONST_CODE_E4194871 = "E4194871"
	CONST_CODE_E4194876 = "E4194876"
	CONST_CODE_E4194878 = "E4194878"
	CONST_CODE_E4194879 = "E4194879"
	CONST_CODE_E4194880 = "E4194880"
	CONST_CODE_E4194881 = "E4194881"
	CONST_CODE_E4194883 = "E4194883"
	CONST_CODE_E4194884 = "E4194884"
	CONST_CODE_E4194885 = "E4194885"
	CONST_CODE_E4194886 = "E4194886"
	CONST_CODE_E4194887 = "E4194887"
	CONST_CODE_E4194888 = "E4194888"
	CONST_CODE_E4194889 = "E4194889"
	CONST_CODE_E4194890 = "E4194890"
	CONST_CODE_E4194891 = "E4194891"
	CONST_CODE_E4194892 = "E4194892"
	CONST_CODE_E4194894 = "E4194894"
	CONST_CODE_E4194895 = "E4194895"
	CONST_CODE_E4194896 = "E4194896"
	CONST_CODE_E4194897 = "E4194897"
	CONST_CODE_E4194899 = "E4194899"
	CONST_CODE_E4194900 = "E4194900"
	CONST_CODE_E4194901 = "E4194901"
	CONST_CODE_E4194902 = "E4194902"
	CONST_CODE_E4194903 = "E4194903"
	CONST_CODE_E4194904 = "E4194904"
	CONST_CODE_E4194905 = "E4194905"
	CONST_CODE_E4194906 = "E4194906"
	CONST_CODE_E4194907 = "E4194907"
	CONST_CODE_E4194908 = "E4194908"
	CONST_CODE_E4194909 = "E4194909"
	CONST_CODE_E4194910 = "E4194910"
	CONST_CODE_E4194911 = "E4194911"
	CONST_CODE_E4194918 = "E4194918"
	CONST_CODE_E4194919 = "E4194919"
	CONST_CODE_E4194920 = "E4194920"
	CONST_CODE_E4194921 = "E4194921"
	CONST_CODE_E4194924 = "E4194924"
	CONST_CODE_E4194925 = "E4194925"
	CONST_CODE_E4194926 = "E4194926"
	CONST_CODE_E4194927 = "E4194927"
	CONST_CODE_E4194928 = "E4194928"
	CONST_CODE_E4194929 = "E4194929"
	CONST_CODE_E4194930 = "E4194930"
	CONST_CODE_E4194931 = "E4194931"
	CONST_CODE_E4194932 = "E4194932"
	CONST_CODE_E4194933 = "E4194933"
	CONST_CODE_E4194934 = "E4194934"
	CONST_CODE_E4194935 = "E4194935"
	CONST_CODE_E4194936 = "E4194936"
	CONST_CODE_E4194937 = "E4194937"
	CONST_CODE_E4194938 = "E4194938"
	CONST_CODE_E4194939 = "E4194939"
	CONST_CODE_E4194940 = "E4194940"
	CONST_CODE_E4194941 = "E4194941"
	CONST_CODE_E4194942 = "E4194942"
	CONST_CODE_E4194943 = "E4194943"
	CONST_CODE_E4194944 = "E4194944"
	CONST_CODE_E4194945 = "E4194945"
	CONST_CODE_E4194946 = "E4194946"
	CONST_CODE_E4194947 = "E4194947"
	CONST_CODE_E4194948 = "E4194948"
	CONST_CODE_E4194949 = "E4194949"
	CONST_CODE_E4194950 = "E4194950"
	CONST_CODE_E4194951 = "E4194951"
	CONST_CODE_E4194952 = "E4194952"
	CONST_CODE_E4194953 = "E4194953"
	CONST_CODE_E4194954 = "E4194954"
	CONST_CODE_E4194955 = "E4194955"
	CONST_CODE_E4194956 = "E4194956"
	CONST_CODE_E4194969 = "E4194969"
	CONST_CODE_E4194970 = "E4194970"
	CONST_CODE_E4194971 = "E4194971"
	CONST_CODE_E4194975 = "E4194975"
	CONST_CODE_E4194976 = "E4194976"
	CONST_CODE_E4194977 = "E4194977"
	CONST_CODE_E4194978 = "E4194978"
	CONST_CODE_E4194979 = "E4194979"
	CONST_CODE_E4194980 = "E4194980"
	CONST_CODE_E4194981 = "E4194981"
	CONST_CODE_E4194982 = "E4194982"
	CONST_CODE_E4194983 = "E4194983"
	CONST_CODE_E4194984 = "E4194984"
	CONST_CODE_E4194985 = "E4194985"
	CONST_CODE_E4194986 = "E4194986"
	CONST_CODE_E4194987 = "E4194987"
	CONST_CODE_E4194988 = "E4194988"
	CONST_CODE_E4194989 = "E4194989"
	CONST_CODE_E4194990 = "E4194990"
	CONST_CODE_E4194991 = "E4194991"
	CONST_CODE_E4194992 = "E4194992"
	CONST_CODE_E4194993 = "E4194993"
	CONST_CODE_E4194994 = "E4194994"
	CONST_CODE_E4194995 = "E4194995"
	CONST_CODE_E4194996 = "E4194996"
	CONST_CODE_E4194997 = "E4194997"
	CONST_CODE_E4195000 = "E4195000"
	CONST_CODE_E4195001 = "E4195001"
	CONST_CODE_E4195003 = "E4195003"
	CONST_CODE_E4195004 = "E4195004"
	CONST_CODE_E4195006 = "E4195006"
	CONST_CODE_E4195007 = "E4195007"
	CONST_CODE_E4195008 = "E4195008"
	CONST_CODE_E4195009 = "E4195009"
	CONST_CODE_E4195010 = "E4195010"
	CONST_CODE_E4195011 = "E4195011"
	CONST_CODE_E4195012 = "E4195012"
	CONST_CODE_E4195013 = "E4195013"
	CONST_CODE_E4195014 = "E4195014"
	CONST_CODE_E4195017 = "E4195017"
	CONST_CODE_E4195018 = "E4195018"
	CONST_CODE_E4195019 = "E4195019"
	CONST_CODE_E4195020 = "E4195020"
	CONST_CODE_E4195021 = "E4195021"
	CONST_CODE_E4195022 = "E4195022"
	CONST_CODE_E4195023 = "E4195023"
	CONST_CODE_E4195024 = "E4195024"
	CONST_CODE_E4195025 = "E4195025"
	CONST_CODE_E4195026 = "E4195026"
	CONST_CODE_E4195027 = "E4195027"
	CONST_CODE_E4195028 = "E4195028"
	CONST_CODE_E4195029 = "E4195029"
	CONST_CODE_E4195030 = "E4195030"
	CONST_CODE_E4195031 = "E4195031"
	CONST_CODE_E4195032 = "E4195032"
	CONST_CODE_E4195033 = "E4195033"
	CONST_CODE_E4195034 = "E4195034"
	CONST_CODE_E4195036 = "E4195036"
	CONST_CODE_E4195037 = "E4195037"
	CONST_CODE_E4195038 = "E4195038"
	CONST_CODE_E4195039 = "E4195039"
	CONST_CODE_E4195040 = "E4195040"
	CONST_CODE_E4195041 = "E4195041"
	CONST_CODE_E4195043 = "E4195043"
	CONST_CODE_E4195044 = "E4195044"
	CONST_CODE_E4195045 = "E4195045"
	CONST_CODE_E4195046 = "E4195046"
	CONST_CODE_E4195047 = "E4195047"
	CONST_CODE_E4195048 = "E4195048"
	CONST_CODE_E4195049 = "E4195049"
	CONST_CODE_E4195050 = "E4195050"
	CONST_CODE_E4195051 = "E4195051"
	CONST_CODE_E4195052 = "E4195052"
	CONST_CODE_E4195053 = "E4195053"
	CONST_CODE_E4195054 = "E4195054"
	CONST_CODE_E4195055 = "E4195055"
	CONST_CODE_E4195056 = "E4195056"
	CONST_CODE_E4195057 = "E4195057"
	CONST_CODE_E4195058 = "E4195058"
	CONST_CODE_E4195059 = "E4195059"
	CONST_CODE_E4195060 = "E4195060"
	CONST_CODE_E4195061 = "E4195061"
	CONST_CODE_E4195064 = "E4195064"
	CONST_CODE_E4195065 = "E4195065"
	CONST_CODE_E4195066 = "E4195066"
	CONST_CODE_E4195067 = "E4195067"
	CONST_CODE_E4195068 = "E4195068"
	CONST_CODE_E4195069 = "E4195069"
	CONST_CODE_E4195071 = "E4195071"
	CONST_CODE_E4195072 = "E4195072"
	CONST_CODE_E4195073 = "E4195073"
	CONST_CODE_E4195074 = "E4195074"
	CONST_CODE_E4195075 = "E4195075"
	CONST_CODE_E4195076 = "E4195076"
	CONST_CODE_E4195077 = "E4195077"
	CONST_CODE_E4195078 = "E4195078"
	CONST_CODE_E4195080 = "E4195080"
	CONST_CODE_E4195081 = "E4195081"
	CONST_CODE_E4195082 = "E4195082"
	CONST_CODE_E4195083 = "E4195083"
	CONST_CODE_E4195084 = "E4195084"
	CONST_CODE_E4195085 = "E4195085"
	CONST_CODE_E4195086 = "E4195086"
	CONST_CODE_E4195087 = "E4195087"
	CONST_CODE_E4195088 = "E4195088"
	CONST_CODE_E4195207 = "E4195207"
	CONST_CODE_E4195208 = "E4195208"
	CONST_CODE_E4195209 = "E4195209"
	CONST_CODE_E4195213 = "E4195213"
	CONST_CODE_E4195214 = "E4195214"
	CONST_CODE_E4195220 = "E4195220"
	CONST_CODE_E4195221 = "E4195221"
	CONST_CODE_E4195222 = "E4195222"
	CONST_CODE_E4195223 = "E4195223"
	CONST_CODE_E4195224 = "E4195224"
	CONST_CODE_E4195225 = "E4195225"
	CONST_CODE_E4195226 = "E4195226"
	CONST_CODE_E4195227 = "E4195227"
	CONST_CODE_E4195228 = "E4195228"
	CONST_CODE_E4195229 = "E4195229"
	CONST_CODE_E4195230 = "E4195230"
	CONST_CODE_E4195231 = "E4195231"
	CONST_CODE_E4195232 = "E4195232"
	CONST_CODE_E4195234 = "E4195234"
	CONST_CODE_E4195235 = "E4195235"
	CONST_CODE_E4195236 = "E4195236"
	CONST_CODE_E4195237 = "E4195237"
	CONST_CODE_E4195238 = "E4195238"
	CONST_CODE_E4195239 = "E4195239"
	CONST_CODE_E4195242 = "E4195242"
	CONST_CODE_E4195243 = "E4195243"
	CONST_CODE_E4195244 = "E4195244"
	CONST_CODE_E4195245 = "E4195245"
	CONST_CODE_E4195246 = "E4195246"
	CONST_CODE_E4195247 = "E4195247"
	CONST_CODE_E4195248 = "E4195248"
	CONST_CODE_E4195249 = "E4195249"
	CONST_CODE_E4195250 = "E4195250"
	CONST_CODE_E4195251 = "E4195251"
	CONST_CODE_E4195252 = "E4195252"
	CONST_CODE_E4195253 = "E4195253"
	CONST_CODE_E4195254 = "E4195254"
	CONST_CODE_E4195255 = "E4195255"
	CONST_CODE_E4195256 = "E4195256"
	CONST_CODE_E4195257 = "E4195257"
	CONST_CODE_E4195258 = "E4195258"
	CONST_CODE_E4195259 = "E4195259"
	CONST_CODE_E4195260 = "E4195260"
	CONST_CODE_E4195261 = "E4195261"
	CONST_CODE_E4195262 = "E4195262"
	CONST_CODE_E4195263 = "E4195263"
	CONST_CODE_E4195264 = "E4195264"
	CONST_CODE_E4195265 = "E4195265"
	CONST_CODE_E4195266 = "E4195266"
	CONST_CODE_E4195267 = "E4195267"
	CONST_CODE_E4195268 = "E4195268"
	CONST_CODE_E4195269 = "E4195269"
	CONST_CODE_E4195270 = "E4195270"
	CONST_CODE_E4195271 = "E4195271"
	CONST_CODE_E4195272 = "E4195272"
	CONST_CODE_E4195273 = "E4195273"
	CONST_CODE_E4195274 = "E4195274"
	CONST_CODE_E4195275 = "E4195275"
	CONST_CODE_E4195276 = "E4195276"
	CONST_CODE_E4195277 = "E4195277"
	CONST_CODE_E4195278 = "E4195278"
	CONST_CODE_E4195279 = "E4195279"
	CONST_CODE_E4195281 = "E4195281"
	CONST_CODE_E4195282 = "E4195282"
	CONST_CODE_E4195283 = "E4195283"
	CONST_CODE_E4195284 = "E4195284"
	CONST_CODE_E4195285 = "E4195285"
	CONST_CODE_E4195286 = "E4195286"
	CONST_CODE_E4195287 = "E4195287"
	CONST_CODE_E4195288 = "E4195288"
	CONST_CODE_E4195289 = "E4195289"
	CONST_CODE_E4195290 = "E4195290"
	CONST_CODE_E4195291 = "E4195291"
	CONST_CODE_E4195292 = "E4195292"
	CONST_CODE_E4195293 = "E4195293"
	CONST_CODE_E4195294 = "E4195294"
	CONST_CODE_E4195295 = "E4195295"
	CONST_CODE_E4195296 = "E4195296"
	CONST_CODE_E4195297 = "E4195297"
	CONST_CODE_E4195298 = "E4195298"
	CONST_CODE_E4195299 = "E4195299"
	CONST_CODE_E4195300 = "E4195300"
	CONST_CODE_E4195301 = "E4195301"
	CONST_CODE_E4195302 = "E4195302"
	CONST_CODE_E4195303 = "E4195303"
	CONST_CODE_E4195304 = "E4195304"
	CONST_CODE_E4195305 = "E4195305"
	CONST_CODE_E4195306 = "E4195306"
	CONST_CODE_E4195307 = "E4195307"
	CONST_CODE_E4195308 = "E4195308"
	CONST_CODE_E4195309 = "E4195309"
	CONST_CODE_E4195310 = "E4195310"
	CONST_CODE_E4195311 = "E4195311"
	CONST_CODE_E4195312 = "E4195312"
	CONST_CODE_E4195313 = "E4195313"
	CONST_CODE_E4195314 = "E4195314"
	CONST_CODE_E4195315 = "E4195315"
	CONST_CODE_E4195316 = "E4195316"
	CONST_CODE_E4195317 = "E4195317"
	CONST_CODE_E4195318 = "E4195318"
	CONST_CODE_E4195319 = "E4195319"
	CONST_CODE_E4195320 = "E4195320"
	CONST_CODE_E4195321 = "E4195321"
	CONST_CODE_E4195331 = "E4195331"
	CONST_CODE_E4195332 = "E4195332"
	CONST_CODE_E4195333 = "E4195333"
	CONST_CODE_E4195334 = "E4195334"
	CONST_CODE_E4195335 = "E4195335"
	CONST_CODE_E4195336 = "E4195336"
	CONST_CODE_E4195337 = "E4195337"
	CONST_CODE_E4195338 = "E4195338"
	CONST_CODE_E4195339 = "E4195339"
	CONST_CODE_E4195340 = "E4195340"
	CONST_CODE_E4195341 = "E4195341"
	CONST_CODE_E4195342 = "E4195342"
	CONST_CODE_E4195343 = "E4195343"
	CONST_CODE_E4195344 = "E4195344"
	CONST_CODE_E4195345 = "E4195345"
	CONST_CODE_E4195346 = "E4195346"
	CONST_CODE_E4195347 = "E4195347"
	CONST_CODE_E4195348 = "E4195348"
	CONST_CODE_E4195349 = "E4195349"
	CONST_CODE_E4195350 = "E4195350"
	CONST_CODE_E4195351 = "E4195351"
	CONST_CODE_E4195352 = "E4195352"
	CONST_CODE_E4195353 = "E4195353"
	CONST_CODE_E4195354 = "E4195354"
	CONST_CODE_E4195355 = "E4195355"
	CONST_CODE_E4195356 = "E4195356"
	CONST_CODE_E4195357 = "E4195357"
	CONST_CODE_E4195358 = "E4195358"
	CONST_CODE_E4195359 = "E4195359"
	CONST_CODE_E4195360 = "E4195360"
	CONST_CODE_E4195361 = "E4195361"
	CONST_CODE_E4195362 = "E4195362"
	CONST_CODE_E4195363 = "E4195363"
	CONST_CODE_E4195364 = "E4195364"
	CONST_CODE_E4195365 = "E4195365"
	CONST_CODE_E4195366 = "E4195366"
	CONST_CODE_E4195367 = "E4195367"
	CONST_CODE_E4195368 = "E4195368"
	CONST_CODE_E4195369 = "E4195369"
	CONST_CODE_E4195370 = "E4195370"
	CONST_CODE_E4195371 = "E4195371"
	CONST_CODE_E4195372 = "E4195372"
	CONST_CODE_E4195373 = "E4195373"
	CONST_CODE_E4195374 = "E4195374"
	CONST_CODE_E4195375 = "E4195375"
	CONST_CODE_E4195376 = "E4195376"
	CONST_CODE_E4195377 = "E4195377"
	CONST_CODE_E4195378 = "E4195378"
	CONST_CODE_E4195379 = "E4195379"
	CONST_CODE_E4195380 = "E4195380"
	CONST_CODE_E4195381 = "E4195381"
	CONST_CODE_E4195382 = "E4195382"
	CONST_CODE_E4195387 = "E4195387"
	CONST_CODE_E4195388 = "E4195388"
	CONST_CODE_E4195389 = "E4195389"
	CONST_CODE_E4195390 = "E4195390"
	CONST_CODE_E4195391 = "E4195391"
	CONST_CODE_E4195392 = "E4195392"
	CONST_CODE_E4195393 = "E4195393"
	CONST_CODE_E4195394 = "E4195394"
	CONST_CODE_E4195395 = "E4195395"
	CONST_CODE_E4195396 = "E4195396"
	CONST_CODE_E4195397 = "E4195397"
	CONST_CODE_E4195398 = "E4195398"
	CONST_CODE_E4195400 = "E4195400"
	CONST_CODE_E4195401 = "E4195401"
	CONST_CODE_E4195402 = "E4195402"
	CONST_CODE_E4195403 = "E4195403"
	CONST_CODE_E4195404 = "E4195404"
	CONST_CODE_E4195405 = "E4195405"
	CONST_CODE_E4195406 = "E4195406"
	CONST_CODE_E4195407 = "E4195407"
	CONST_CODE_E4195408 = "E4195408"
	CONST_CODE_E4195409 = "E4195409"
	CONST_CODE_E4195410 = "E4195410"
	CONST_CODE_E4195411 = "E4195411"
	CONST_CODE_E4195412 = "E4195412"
	CONST_CODE_E4195413 = "E4195413"
	CONST_CODE_E4195414 = "E4195414"
	CONST_CODE_E4195415 = "E4195415"
	CONST_CODE_E4195416 = "E4195416"
	CONST_CODE_E4195417 = "E4195417"
	CONST_CODE_E4195418 = "E4195418"
	CONST_CODE_E4195419 = "E4195419"
	CONST_CODE_E4195460 = "E4195460"
	CONST_CODE_E4195461 = "E4195461"
	CONST_CODE_E4195462 = "E4195462"
	CONST_CODE_E4195463 = "E4195463"
	CONST_CODE_E4195464 = "E4195464"
	CONST_CODE_E4195465 = "E4195465"
	CONST_CODE_E4195466 = "E4195466"
	CONST_CODE_E4195467 = "E4195467"
	CONST_CODE_E4195468 = "E4195468"
	CONST_CODE_E4195469 = "E4195469"
	CONST_CODE_E4195470 = "E4195470"
	CONST_CODE_E4195471 = "E4195471"
	CONST_CODE_E4195472 = "E4195472"
	CONST_CODE_E4195473 = "E4195473"
	CONST_CODE_E4195474 = "E4195474"
	CONST_CODE_E4195475 = "E4195475"
	CONST_CODE_E4195476 = "E4195476"
	CONST_CODE_E4195477 = "E4195477"
	CONST_CODE_E4195478 = "E4195478"
	CONST_CODE_E4195479 = "E4195479"
	CONST_CODE_E4195480 = "E4195480"
	CONST_CODE_E4195481 = "E4195481"
	CONST_CODE_E4195482 = "E4195482"
	CONST_CODE_E4195483 = "E4195483"
	CONST_CODE_E4195484 = "E4195484"
	CONST_CODE_E4195485 = "E4195485"
	CONST_CODE_E4195486 = "E4195486"
	CONST_CODE_E4195487 = "E4195487"
	CONST_CODE_E4195488 = "E4195488"
	CONST_CODE_E4195489 = "E4195489"
	CONST_CODE_E4195490 = "E4195490"
	CONST_CODE_E4195491 = "E4195491"
	CONST_CODE_E4195492 = "E4195492"
	CONST_CODE_E4195493 = "E4195493"
	CONST_CODE_E4195494 = "E4195494"
	CONST_CODE_E4195495 = "E4195495"
	CONST_CODE_E4195496 = "E4195496"
	CONST_CODE_E4195497 = "E4195497"
	CONST_CODE_E4195498 = "E4195498"
	CONST_CODE_E4195499 = "E4195499"
	CONST_CODE_E4195500 = "E4195500"
	CONST_CODE_E4195501 = "E4195501"
	CONST_CODE_E4195502 = "E4195502"
	CONST_CODE_E4195503 = "E4195503"
	CONST_CODE_E4195504 = "E4195504"
	CONST_CODE_E4195505 = "E4195505"
	CONST_CODE_E4195506 = "E4195506"
	CONST_CODE_E4195507 = "E4195507"
	CONST_CODE_E4195508 = "E4195508"
	CONST_CODE_E4195509 = "E4195509"
	CONST_CODE_E4195510 = "E4195510"
	CONST_CODE_E4195511 = "E4195511"
	CONST_CODE_E4195512 = "E4195512"
	CONST_CODE_E4195513 = "E4195513"
	CONST_CODE_E4195514 = "E4195514"
	CONST_CODE_E4195515 = "E4195515"
	CONST_CODE_E4195516 = "E4195516"
	CONST_CODE_E4195517 = "E4195517"
	CONST_CODE_E4195518 = "E4195518"
	CONST_CODE_E4195519 = "E4195519"
	CONST_CODE_E4195520 = "E4195520"
	CONST_CODE_E4195521 = "E4195521"
	CONST_CODE_E4195522 = "E4195522"
	CONST_CODE_E4195523 = "E4195523"
	CONST_CODE_E4195524 = "E4195524"
	CONST_CODE_E4195525 = "E4195525"
	CONST_CODE_E4195526 = "E4195526"
	CONST_CODE_E4195527 = "E4195527"
	CONST_CODE_E4195528 = "E4195528"
	CONST_CODE_E4195529 = "E4195529"
	CONST_CODE_E4195530 = "E4195530"
	CONST_CODE_E4195531 = "E4195531"
	CONST_CODE_E4195532 = "E4195532"
	CONST_CODE_E4195533 = "E4195533"
	CONST_CODE_E4195534 = "E4195534"
	CONST_CODE_E4195535 = "E4195535"
	CONST_CODE_E4195536 = "E4195536"
	CONST_CODE_E4195537 = "E4195537"
	CONST_CODE_E4195538 = "E4195538"
	CONST_CODE_E4195539 = "E4195539"
	CONST_CODE_E4195540 = "E4195540"
	CONST_CODE_E4195541 = "E4195541"
	CONST_CODE_E4195542 = "E4195542"
	CONST_CODE_E4195543 = "E4195543"
	CONST_CODE_E4195544 = "E4195544"
	CONST_CODE_E4195545 = "E4195545"
	CONST_CODE_E4195546 = "E4195546"
	CONST_CODE_E4195547 = "E4195547"
	CONST_CODE_E4195548 = "E4195548"
	CONST_CODE_E4195549 = "E4195549"
	CONST_CODE_E4195550 = "E4195550"
	CONST_CODE_E4195551 = "E4195551"
	CONST_CODE_E4195552 = "E4195552"
	CONST_CODE_E4195553 = "E4195553"
	CONST_CODE_E4195558 = "E4195558"
	CONST_CODE_E4195559 = "E4195559"
	CONST_CODE_E4195560 = "E4195560"
	CONST_CODE_E4195561 = "E4195561"
	CONST_CODE_E4195562 = "E4195562"
	CONST_CODE_E4195563 = "E4195563"
	CONST_CODE_E4195564 = "E4195564"
	CONST_CODE_E4195565 = "E4195565"
	CONST_CODE_E4195566 = "E4195566"
	CONST_CODE_E4195567 = "E4195567"
	CONST_CODE_E4195568 = "E4195568"
	CONST_CODE_E4195571 = "E4195571"
	CONST_CODE_E4195572 = "E4195572"
	CONST_CODE_E4195573 = "E4195573"
	CONST_CODE_E4195574 = "E4195574"
	CONST_CODE_E4195575 = "E4195575"
	CONST_CODE_E4195576 = "E4195576"
	CONST_CODE_E4195577 = "E4195577"
	CONST_CODE_E4195578 = "E4195578"
	CONST_CODE_E4195579 = "E4195579"
	CONST_CODE_E4195580 = "E4195580"
	CONST_CODE_E4195581 = "E4195581"
	CONST_CODE_E4195582 = "E4195582"
	CONST_CODE_E4195583 = "E4195583"
	CONST_CODE_E4195584 = "E4195584"
	CONST_CODE_E4195585 = "E4195585"
	CONST_CODE_E4195586 = "E4195586"
	CONST_CODE_E4195587 = "E4195587"
	CONST_CODE_E4195588 = "E4195588"
	CONST_CODE_E4195592 = "E4195592"
	CONST_CODE_E4195593 = "E4195593"
	CONST_CODE_E4195594 = "E4195594"
	CONST_CODE_E4195595 = "E4195595"
	CONST_CODE_E4195596 = "E4195596"
	CONST_CODE_E4195597 = "E4195597"
	CONST_CODE_E4195598 = "E4195598"
	CONST_CODE_E4195599 = "E4195599"
	CONST_CODE_E4195601 = "E4195601"
	CONST_CODE_E4195602 = "E4195602"
	CONST_CODE_E4195603 = "E4195603"
	CONST_CODE_E4195604 = "E4195604"
	CONST_CODE_E4195605 = "E4195605"
	CONST_CODE_E4195606 = "E4195606"
	CONST_CODE_E4195607 = "E4195607"
	CONST_CODE_E4195615 = "E4195615"
	CONST_CODE_E4195616 = "E4195616"
	CONST_CODE_E4195617 = "E4195617"
	CONST_CODE_E4195655 = "E4195655"
	CONST_CODE_E4195656 = "E4195656"
	CONST_CODE_E4195660 = "E4195660"
	CONST_CODE_E4195661 = "E4195661"
	CONST_CODE_E4195662 = "E4195662"
	CONST_CODE_E4195663 = "E4195663"
	CONST_CODE_E4195664 = "E4195664"
	CONST_CODE_E4195665 = "E4195665"
	CONST_CODE_E4195666 = "E4195666"
	CONST_CODE_E4195667 = "E4195667"
	CONST_CODE_E4195669 = "E4195669"
	CONST_CODE_E4195670 = "E4195670"
	CONST_CODE_E4195671 = "E4195671"
	CONST_CODE_E4195672 = "E4195672"
	CONST_CODE_E4195673 = "E4195673"
	CONST_CODE_E4195674 = "E4195674"
	CONST_CODE_E4195698 = "E4195698"
	CONST_CODE_E4195699 = "E4195699"
	CONST_CODE_E4195700 = "E4195700"
	CONST_CODE_E4195701 = "E4195701"
	CONST_CODE_E4195702 = "E4195702"
	CONST_CODE_E4195703 = "E4195703"
	CONST_CODE_E4195704 = "E4195704"
	CONST_CODE_E4195705 = "E4195705"
	CONST_CODE_E4195706 = "E4195706"
	CONST_CODE_E4195707 = "E4195707"
	CONST_CODE_E4195708 = "E4195708"
	CONST_CODE_E4195709 = "E4195709"
	CONST_CODE_E4195710 = "E4195710"
	CONST_CODE_E4195711 = "E4195711"
	CONST_CODE_E4195712 = "E4195712"
	CONST_CODE_E4195713 = "E4195713"
	CONST_CODE_E4195714 = "E4195714"
	CONST_CODE_E4195715 = "E4195715"
	CONST_CODE_E4195716 = "E4195716"
	CONST_CODE_E4195718 = "E4195718"
	CONST_CODE_E4195721 = "E4195721"
	CONST_CODE_E4195730 = "E4195730"
	CONST_CODE_E4195731 = "E4195731"
	CONST_CODE_E4195732 = "E4195732"
	CONST_CODE_E4195739 = "E4195739"
	CONST_CODE_E4195740 = "E4195740"
	CONST_CODE_E4195741 = "E4195741"
	CONST_CODE_E4195742 = "E4195742"
	CONST_CODE_E4195743 = "E4195743"
	CONST_CODE_E4195744 = "E4195744"
	CONST_CODE_E4195745 = "E4195745"
	CONST_CODE_E4195746 = "E4195746"
	CONST_CODE_E4195747 = "E4195747"
	CONST_CODE_E4195748 = "E4195748"
	CONST_CODE_E4195749 = "E4195749"
	CONST_CODE_E4195750 = "E4195750"
	CONST_CODE_E4195751 = "E4195751"
	CONST_CODE_E4195752 = "E4195752"
	CONST_CODE_E4195753 = "E4195753"
	CONST_CODE_E4195754 = "E4195754"
	CONST_CODE_E4195755 = "E4195755"
	CONST_CODE_E4195756 = "E4195756"
	CONST_CODE_E4195757 = "E4195757"
	CONST_CODE_E4195758 = "E4195758"
	CONST_CODE_E4195759 = "E4195759"
	CONST_CODE_E4195760 = "E4195760"
	CONST_CODE_E4195761 = "E4195761"
	CONST_CODE_E4195762 = "E4195762"
	CONST_CODE_E4195763 = "E4195763"
	CONST_CODE_E4195764 = "E4195764"
	CONST_CODE_E4195765 = "E4195765"
	CONST_CODE_E4195766 = "E4195766"
	CONST_CODE_E4195767 = "E4195767"
	CONST_CODE_E4195768 = "E4195768"
	CONST_CODE_E4195769 = "E4195769"
	CONST_CODE_E4195770 = "E4195770"
	CONST_CODE_E4195771 = "E4195771"
	CONST_CODE_E4195772 = "E4195772"
	CONST_CODE_E4195775 = "E4195775"
	CONST_CODE_E4195776 = "E4195776"
	CONST_CODE_E4195777 = "E4195777"
	CONST_CODE_E4195778 = "E4195778"
	CONST_CODE_E4195779 = "E4195779"
	CONST_CODE_E4195786 = "E4195786"
	CONST_CODE_E4195787 = "E4195787"
	CONST_CODE_E4195788 = "E4195788"
	CONST_CODE_E4195789 = "E4195789"
	CONST_CODE_E4195790 = "E4195790"
	CONST_CODE_E4195791 = "E4195791"
	CONST_CODE_E4195792 = "E4195792"
	CONST_CODE_E4195793 = "E4195793"
	CONST_CODE_E4195794 = "E4195794"
	CONST_CODE_E4195795 = "E4195795"
	CONST_CODE_E4195796 = "E4195796"
	CONST_CODE_E4195797 = "E4195797"
	CONST_CODE_E4195798 = "E4195798"
	CONST_CODE_E4195799 = "E4195799"
	CONST_CODE_E4195800 = "E4195800"
	CONST_CODE_E4195801 = "E4195801"
	CONST_CODE_E4195802 = "E4195802"
	CONST_CODE_E4195803 = "E4195803"
	CONST_CODE_E4195804 = "E4195804"
	CONST_CODE_E4195807 = "E4195807"
	CONST_CODE_E4195808 = "E4195808"
	CONST_CODE_E4195809 = "E4195809"
	CONST_CODE_E4195810 = "E4195810"
	CONST_CODE_E4195813 = "E4195813"
	CONST_CODE_E4195814 = "E4195814"
	CONST_CODE_E4195815 = "E4195815"
	CONST_CODE_E4195818 = "E4195818"
	CONST_CODE_E4195819 = "E4195819"
	CONST_CODE_E4195820 = "E4195820"
	CONST_CODE_E4195821 = "E4195821"
	CONST_CODE_E4195822 = "E4195822"
	CONST_CODE_E4195823 = "E4195823"
	CONST_CODE_E4195824 = "E4195824"
	CONST_CODE_E4195825 = "E4195825"
	CONST_CODE_E4195826 = "E4195826"
	CONST_CODE_E4195827 = "E4195827"
	CONST_CODE_E4195828 = "E4195828"
	CONST_CODE_E4195829 = "E4195829"
	CONST_CODE_E4195830 = "E4195830"
	CONST_CODE_E4195831 = "E4195831"
	CONST_CODE_E4195832 = "E4195832"
	CONST_CODE_E4195833 = "E4195833"
	CONST_CODE_E4195834 = "E4195834"
	CONST_CODE_E4195835 = "E4195835"
	CONST_CODE_E4195836 = "E4195836"
	CONST_CODE_E4195837 = "E4195837"
	CONST_CODE_E4195838 = "E4195838"
	CONST_CODE_E4195839 = "E4195839"
	CONST_CODE_E4195840 = "E4195840"
	CONST_CODE_E4195841 = "E4195841"
	CONST_CODE_E4195842 = "E4195842"
	CONST_CODE_E4195843 = "E4195843"
	CONST_CODE_E4195844 = "E4195844"
	CONST_CODE_E4195845 = "E4195845"
	CONST_CODE_E4195846 = "E4195846"
	CONST_CODE_E4195847 = "E4195847"
	CONST_CODE_E4195848 = "E4195848"
	CONST_CODE_E4195849 = "E4195849"
	CONST_CODE_E4195850 = "E4195850"
	CONST_CODE_E4195851 = "E4195851"
	CONST_CODE_E4195852 = "E4195852"
	CONST_CODE_E4195853 = "E4195853"
	CONST_CODE_E4195854 = "E4195854"
	CONST_CODE_E4195855 = "E4195855"
	CONST_CODE_E4195856 = "E4195856"
	CONST_CODE_E4195857 = "E4195857"
	CONST_CODE_E4195858 = "E4195858"
	CONST_CODE_E4195859 = "E4195859"
	CONST_CODE_E4195860 = "E4195860"
	CONST_CODE_E4195861 = "E4195861"
	CONST_CODE_E4195862 = "E4195862"
	CONST_CODE_E4195863 = "E4195863"
	CONST_CODE_E4195864 = "E4195864"
	CONST_CODE_E4195865 = "E4195865"
	CONST_CODE_E4195866 = "E4195866"
	CONST_CODE_E4195867 = "E4195867"
	CONST_CODE_E4195868 = "E4195868"
	CONST_CODE_E4195869 = "E4195869"
	CONST_CODE_E4195870 = "E4195870"
	CONST_CODE_E4195871 = "E4195871"
	CONST_CODE_E4195872 = "E4195872"
	CONST_CODE_E4195873 = "E4195873"
	CONST_CODE_E4195874 = "E4195874"
	CONST_CODE_E4195875 = "E4195875"
	CONST_CODE_E4195876 = "E4195876"
	CONST_CODE_E4195877 = "E4195877"
	CONST_CODE_E4195880 = "E4195880"
	CONST_CODE_E4195881 = "E4195881"
	CONST_CODE_E4195882 = "E4195882"
	CONST_CODE_E4195883 = "E4195883"
	CONST_CODE_E4195884 = "E4195884"
	CONST_CODE_E4195885 = "E4195885"
	CONST_CODE_E4195886 = "E4195886"
	CONST_CODE_E4195887 = "E4195887"
	CONST_CODE_E4195888 = "E4195888"
	CONST_CODE_E4195889 = "E4195889"
	CONST_CODE_E4195890 = "E4195890"
	CONST_CODE_E4195891 = "E4195891"
	CONST_CODE_E4195892 = "E4195892"
	CONST_CODE_E4195893 = "E4195893"
	CONST_CODE_E4195894 = "E4195894"
	CONST_CODE_E4195895 = "E4195895"
	CONST_CODE_E4195896 = "E4195896"
	CONST_CODE_E4195897 = "E4195897"
	CONST_CODE_E4195898 = "E4195898"
	CONST_CODE_E4195899 = "E4195899"
	CONST_CODE_E4195900 = "E4195900"
	CONST_CODE_E4195901 = "E4195901"
	CONST_CODE_E4195902 = "E4195902"
	CONST_CODE_E4195903 = "E4195903"
	CONST_CODE_E4195904 = "E4195904"
	CONST_CODE_E4195905 = "E4195905"
	CONST_CODE_E4195906 = "E4195906"
	CONST_CODE_E4195907 = "E4195907"
	CONST_CODE_E4195908 = "E4195908"
	CONST_CODE_E4195909 = "E4195909"
	CONST_CODE_E4195910 = "E4195910"
	CONST_CODE_E4195911 = "E4195911"
	CONST_CODE_E4195912 = "E4195912"
	CONST_CODE_E4195913 = "E4195913"
	CONST_CODE_E4195914 = "E4195914"
	CONST_CODE_E4195915 = "E4195915"
	CONST_CODE_E4195916 = "E4195916"
	CONST_CODE_E4195917 = "E4195917"
	CONST_CODE_E4195918 = "E4195918"
	CONST_CODE_E4195919 = "E4195919"
	CONST_CODE_E4195920 = "E4195920"
	CONST_CODE_E4195921 = "E4195921"
	CONST_CODE_E4195922 = "E4195922"
	CONST_CODE_E4195923 = "E4195923"
	CONST_CODE_E4195924 = "E4195924"
	CONST_CODE_E4195925 = "E4195925"
	CONST_CODE_E4195926 = "E4195926"
	CONST_CODE_E4195927 = "E4195927"
	CONST_CODE_E4195928 = "E4195928"
	CONST_CODE_E4195929 = "E4195929"
	CONST_CODE_E4195930 = "E4195930"
	CONST_CODE_E4195931 = "E4195931"
	CONST_CODE_E4195932 = "E4195932"
	CONST_CODE_E4195933 = "E4195933"
	CONST_CODE_E4195934 = "E4195934"
	CONST_CODE_E4195935 = "E4195935"
	CONST_CODE_E4195936 = "E4195936"
	CONST_CODE_E4195937 = "E4195937"
	CONST_CODE_E4195938 = "E4195938"
	CONST_CODE_E4195939 = "E4195939"
	CONST_CODE_E4195940 = "E4195940"
	CONST_CODE_E4195941 = "E4195941"
	CONST_CODE_E4195942 = "E4195942"
	CONST_CODE_E4195943 = "E4195943"
	CONST_CODE_E4195944 = "E4195944"
	CONST_CODE_E4195945 = "E4195945"
	CONST_CODE_E4195946 = "E4195946"
	CONST_CODE_E4195947 = "E4195947"
	CONST_CODE_E4195948 = "E4195948"
	CONST_CODE_E4195949 = "E4195949"
	CONST_CODE_E4195950 = "E4195950"
	CONST_CODE_E4195951 = "E4195951"
	CONST_CODE_E4195952 = "E4195952"
	CONST_CODE_E4195953 = "E4195953"
	CONST_CODE_E4195956 = "E4195956"
	CONST_CODE_E4195957 = "E4195957"
	CONST_CODE_E4195958 = "E4195958"
	CONST_CODE_E4195959 = "E4195959"
	CONST_CODE_E4195960 = "E4195960"
	CONST_CODE_E4195961 = "E4195961"
	CONST_CODE_E4195962 = "E4195962"
	CONST_CODE_E4195963 = "E4195963"
	CONST_CODE_E4195964 = "E4195964"
	CONST_CODE_E4195965 = "E4195965"
	CONST_CODE_E4195966 = "E4195966"
	CONST_CODE_E4195967 = "E4195967"
	CONST_CODE_E4195968 = "E4195968"
	CONST_CODE_E4195969 = "E4195969"
	CONST_CODE_E4195970 = "E4195970"
	CONST_CODE_E4195971 = "E4195971"
	CONST_CODE_E4195972 = "E4195972"
	CONST_CODE_E4195973 = "E4195973"
	CONST_CODE_E4195976 = "E4195976"
	CONST_CODE_E4195977 = "E4195977"
	CONST_CODE_E4195978 = "E4195978"
	CONST_CODE_E4195979 = "E4195979"
	CONST_CODE_E4195980 = "E4195980"
	CONST_CODE_E4195981 = "E4195981"
	CONST_CODE_E4195982 = "E4195982"
	CONST_CODE_E4195983 = "E4195983"
	CONST_CODE_E4195984 = "E4195984"
	CONST_CODE_E4195985 = "E4195985"
	CONST_CODE_E4195986 = "E4195986"
	CONST_CODE_E4195987 = "E4195987"
	CONST_CODE_E4195988 = "E4195988"
	CONST_CODE_E4195989 = "E4195989"
	CONST_CODE_E4195991 = "E4195991"
	CONST_CODE_E4195992 = "E4195992"
	CONST_CODE_E4195993 = "E4195993"
	CONST_CODE_E4195994 = "E4195994"
	CONST_CODE_E4195995 = "E4195995"
	CONST_CODE_E4195996 = "E4195996"
	CONST_CODE_E4195997 = "E4195997"
	CONST_CODE_E4195998 = "E4195998"
	CONST_CODE_E4195999 = "E4195999"
	CONST_CODE_E4196000 = "E4196000"
	CONST_CODE_E4196001 = "E4196001"
	CONST_CODE_E4196002 = "E4196002"
	CONST_CODE_E4196003 = "E4196003"
	CONST_CODE_E4196004 = "E4196004"
	CONST_CODE_E4196005 = "E4196005"
	CONST_CODE_E4196006 = "E4196006"
	CONST_CODE_E4196007 = "E4196007"
	CONST_CODE_E4196008 = "E4196008"
	CONST_CODE_E4196009 = "E4196009"
	CONST_CODE_E4196010 = "E4196010"
	CONST_CODE_E4196011 = "E4196011"
	CONST_CODE_E4196012 = "E4196012"
	CONST_CODE_E4196013 = "E4196013"
	CONST_CODE_E4196014 = "E4196014"
	CONST_CODE_E4196015 = "E4196015"
	CONST_CODE_E4196016 = "E4196016"
	CONST_CODE_E4196017 = "E4196017"
	CONST_CODE_E4196018 = "E4196018"
	CONST_CODE_E4196019 = "E4196019"
	CONST_CODE_E4196020 = "E4196020"
	CONST_CODE_E4196023 = "E4196023"
	CONST_CODE_E4196024 = "E4196024"
	CONST_CODE_E4196025 = "E4196025"
	CONST_CODE_E4196026 = "E4196026"
	CONST_CODE_E4196027 = "E4196027"
	CONST_CODE_E4196034 = "E4196034"
	CONST_CODE_E4196035 = "E4196035"
	CONST_CODE_E4196036 = "E4196036"
	CONST_CODE_E4196041 = "E4196041"
	CONST_CODE_E4196042 = "E4196042"
	CONST_CODE_E4196045 = "E4196045"
	CONST_CODE_E4196047 = "E4196047"
	CONST_CODE_E4196048 = "E4196048"
	CONST_CODE_E4196049 = "E4196049"
	CONST_CODE_E4196051 = "E4196051"
	CONST_CODE_E4196052 = "E4196052"
	CONST_CODE_E4196055 = "E4196055"
	CONST_CODE_E4196056 = "E4196056"
	CONST_CODE_E4196060 = "E4196060"
	CONST_CODE_E4196061 = "E4196061"
	CONST_CODE_E4196062 = "E4196062"
	CONST_CODE_E4196063 = "E4196063"
	CONST_CODE_E4196065 = "E4196065"
	CONST_CODE_E4196066 = "E4196066"
	CONST_CODE_E4196068 = "E4196068"
	CONST_CODE_E4196069 = "E4196069"
	CONST_CODE_E4196070 = "E4196070"
	CONST_CODE_E4196071 = "E4196071"
	CONST_CODE_E4196072 = "E4196072"
	CONST_CODE_E4196073 = "E4196073"
	CONST_CODE_E4196074 = "E4196074"
	CONST_CODE_E4196075 = "E4196075"
	CONST_CODE_E4196076 = "E4196076"
	CONST_CODE_E4196077 = "E4196077"
	CONST_CODE_E4196078 = "E4196078"
	CONST_CODE_E4196079 = "E4196079"
	CONST_CODE_E4196080 = "E4196080"
	CONST_CODE_E4196081 = "E4196081"
	CONST_CODE_E4196082 = "E4196082"
	CONST_CODE_E4196083 = "E4196083"
	CONST_CODE_E4196084 = "E4196084"
	CONST_CODE_E4196085 = "E4196085"
	CONST_CODE_E4196086 = "E4196086"
	CONST_CODE_E4196087 = "E4196087"
	CONST_CODE_E4196088 = "E4196088"
	CONST_CODE_E4196089 = "E4196089"
	CONST_CODE_E4196090 = "E4196090"
	CONST_CODE_E4196091 = "E4196091"
	CONST_CODE_E4196092 = "E4196092"
	CONST_CODE_E4196093 = "E4196093"
	CONST_CODE_E4196094 = "E4196094"
	CONST_CODE_E4196095 = "E4196095"
	CONST_CODE_E4196096 = "E4196096"
	CONST_CODE_E4196097 = "E4196097"
	CONST_CODE_E4196098 = "E4196098"
	CONST_CODE_E4196099 = "E4196099"
	CONST_CODE_E4196100 = "E4196100"
	CONST_CODE_E4196101 = "E4196101"
	CONST_CODE_E4196102 = "E4196102"
	CONST_CODE_E4196103 = "E4196103"
	CONST_CODE_E4196104 = "E4196104"
	CONST_CODE_E4196105 = "E4196105"
	CONST_CODE_E4196106 = "E4196106"
	CONST_CODE_E4196107 = "E4196107"
	CONST_CODE_E4196108 = "E4196108"
	CONST_CODE_E4196109 = "E4196109"
	CONST_CODE_E4196110 = "E4196110"
	CONST_CODE_E4196111 = "E4196111"
	CONST_CODE_E4196112 = "E4196112"
	CONST_CODE_E4196113 = "E4196113"
	CONST_CODE_E4196114 = "E4196114"
	CONST_CODE_E4196115 = "E4196115"
	CONST_CODE_E4196116 = "E4196116"
	CONST_CODE_E4196117 = "E4196117"
	CONST_CODE_E4196118 = "E4196118"
	CONST_CODE_E4196119 = "E4196119"
	CONST_CODE_E4196120 = "E4196120"
	CONST_CODE_E4196121 = "E4196121"
	CONST_CODE_E4196122 = "E4196122"
	CONST_CODE_E4196123 = "E4196123"
	CONST_CODE_E4196124 = "E4196124"
	CONST_CODE_E4196125 = "E4196125"
	CONST_CODE_E4196126 = "E4196126"
	CONST_CODE_E4196127 = "E4196127"
	CONST_CODE_E4196128 = "E4196128"
	CONST_CODE_E4196129 = "E4196129"
	CONST_CODE_E4196130 = "E4196130"
	CONST_CODE_E4196131 = "E4196131"
	CONST_CODE_E4196132 = "E4196132"
	CONST_CODE_E4196133 = "E4196133"
	CONST_CODE_E4196134 = "E4196134"
	CONST_CODE_E4196135 = "E4196135"
	CONST_CODE_E4196136 = "E4196136"
	CONST_CODE_E4196137 = "E4196137"
	CONST_CODE_E4196138 = "E4196138"
	CONST_CODE_E4196139 = "E4196139"
	CONST_CODE_E4196140 = "E4196140"
	CONST_CODE_E4196141 = "E4196141"
	CONST_CODE_E4196142 = "E4196142"
	CONST_CODE_E4196143 = "E4196143"
	CONST_CODE_E4196144 = "E4196144"
	CONST_CODE_E4196145 = "E4196145"
	CONST_CODE_E4196146 = "E4196146"
	CONST_CODE_E4196147 = "E4196147"
	CONST_CODE_E4196149 = "E4196149"
	CONST_CODE_E4196151 = "E4196151"
	CONST_CODE_E4196152 = "E4196152"
	CONST_CODE_E4196153 = "E4196153"
	CONST_CODE_E4196154 = "E4196154"
	CONST_CODE_E4196155 = "E4196155"
	CONST_CODE_E4196156 = "E4196156"
	CONST_CODE_E4196157 = "E4196157"
	CONST_CODE_E4196158 = "E4196158"
	CONST_CODE_E4196159 = "E4196159"
	CONST_CODE_E4196160 = "E4196160"
	CONST_CODE_E4196161 = "E4196161"
	CONST_CODE_E4196162 = "E4196162"
	CONST_CODE_E4196163 = "E4196163"
	CONST_CODE_E4196164 = "E4196164"
	CONST_CODE_E4196165 = "E4196165"
	CONST_CODE_E4196168 = "E4196168"
	CONST_CODE_E4196169 = "E4196169"
	CONST_CODE_E4196170 = "E4196170"
	CONST_CODE_E4196171 = "E4196171"
	CONST_CODE_E4196172 = "E4196172"
	CONST_CODE_E4196173 = "E4196173"
	CONST_CODE_E4196174 = "E4196174"
	CONST_CODE_E4196175 = "E4196175"
	CONST_CODE_E4196176 = "E4196176"
	CONST_CODE_E4196177 = "E4196177"
	CONST_CODE_E4196178 = "E4196178"
	CONST_CODE_E4196179 = "E4196179"
	CONST_CODE_E4196180 = "E4196180"
	CONST_CODE_E4196181 = "E4196181"
	CONST_CODE_E4196182 = "E4196182"
	CONST_CODE_E4196183 = "E4196183"
	CONST_CODE_E4196184 = "E4196184"
	CONST_CODE_E4196185 = "E4196185"
	CONST_CODE_E4196186 = "E4196186"
	CONST_CODE_E4196187 = "E4196187"
	CONST_CODE_E4196188 = "E4196188"
	CONST_CODE_E4196189 = "E4196189"
	CONST_CODE_E4196190 = "E4196190"
	CONST_CODE_E4196191 = "E4196191"
	CONST_CODE_E4196192 = "E4196192"
	CONST_CODE_E4196193 = "E4196193"
	CONST_CODE_E4196194 = "E4196194"
	CONST_CODE_E4196195 = "E4196195"
	CONST_CODE_E4196196 = "E4196196"
	CONST_CODE_E4196197 = "E4196197"
	CONST_CODE_E4196198 = "E4196198"
	CONST_CODE_E4196199 = "E4196199"
	CONST_CODE_E4196200 = "E4196200"
	CONST_CODE_E4196201 = "E4196201"
	CONST_CODE_E4196202 = "E4196202"
	CONST_CODE_E4196203 = "E4196203"
	CONST_CODE_E4196204 = "E4196204"
	CONST_CODE_E4196205 = "E4196205"
	CONST_CODE_E4196206 = "E4196206"
	CONST_CODE_E4196207 = "E4196207"
	CONST_CODE_E4196208 = "E4196208"
	CONST_CODE_E4196209 = "E4196209"
	CONST_CODE_E4196210 = "E4196210"
	CONST_CODE_E4196211 = "E4196211"
	CONST_CODE_E4196214 = "E4196214"
	CONST_CODE_E4196215 = "E4196215"
	CONST_CODE_E4196216 = "E4196216"
	CONST_CODE_E4196217 = "E4196217"
	CONST_CODE_E4196218 = "E4196218"
	CONST_CODE_E4196219 = "E4196219"
	CONST_CODE_E4196220 = "E4196220"
	CONST_CODE_E4196221 = "E4196221"
	CONST_CODE_E4196222 = "E4196222"
	CONST_CODE_E4196223 = "E4196223"
	CONST_CODE_E4196224 = "E4196224"
	CONST_CODE_E4196225 = "E4196225"
	CONST_CODE_E4196226 = "E4196226"
	CONST_CODE_E4196227 = "E4196227"
	CONST_CODE_E4196228 = "E4196228"
	CONST_CODE_E4196229 = "E4196229"
	CONST_CODE_E4196230 = "E4196230"
	CONST_CODE_E4196231 = "E4196231"
	CONST_CODE_E4196232 = "E4196232"
	CONST_CODE_E4196233 = "E4196233"
	CONST_CODE_E4196234 = "E4196234"
	CONST_CODE_E4196235 = "E4196235"
	CONST_CODE_E4196236 = "E4196236"
	CONST_CODE_E4196237 = "E4196237"
	CONST_CODE_E4196241 = "E4196241"
	CONST_CODE_E4196242 = "E4196242"
	CONST_CODE_E4196243 = "E4196243"
	CONST_CODE_E4196244 = "E4196244"
	CONST_CODE_E4196245 = "E4196245"
	CONST_CODE_E4196246 = "E4196246"
	CONST_CODE_E4196247 = "E4196247"
	CONST_CODE_E4196249 = "E4196249"
	CONST_CODE_E4196250 = "E4196250"
	CONST_CODE_E4196251 = "E4196251"
	CONST_CODE_E4196252 = "E4196252"
	CONST_CODE_E4196253 = "E4196253"
	CONST_CODE_E4196254 = "E4196254"
	CONST_CODE_E4196255 = "E4196255"
	CONST_CODE_E4196259 = "E4196259"
	CONST_CODE_E4196261 = "E4196261"
	CONST_CODE_E4196262 = "E4196262"
	CONST_CODE_E4196263 = "E4196263"
	CONST_CODE_E4196264 = "E4196264"
	CONST_CODE_E4196265 = "E4196265"
	CONST_CODE_E4196268 = "E4196268"
	CONST_CODE_E4196269 = "E4196269"
	CONST_CODE_E4196270 = "E4196270"
	CONST_CODE_E4196271 = "E4196271"
	CONST_CODE_E4196272 = "E4196272"
	CONST_CODE_E4196273 = "E4196273"
	CONST_CODE_E4196274 = "E4196274"
	CONST_CODE_E4196275 = "E4196275"
	CONST_CODE_E4196276 = "E4196276"
	CONST_CODE_E4196277 = "E4196277"
	CONST_CODE_E4196278 = "E4196278"
	CONST_CODE_E4196279 = "E4196279"
	CONST_CODE_E4196280 = "E4196280"
	CONST_CODE_E4196281 = "E4196281"
	CONST_CODE_E4196282 = "E4196282"
	CONST_CODE_E4196283 = "E4196283"
	CONST_CODE_E4196284 = "E4196284"
	CONST_CODE_E4196285 = "E4196285"
	CONST_CODE_E4196286 = "E4196286"
	CONST_CODE_E4196287 = "E4196287"
	CONST_CODE_E4196288 = "E4196288"
	CONST_CODE_E4196289 = "E4196289"
	CONST_CODE_E4196290 = "E4196290"
	CONST_CODE_E4196291 = "E4196291"
	CONST_CODE_E4196292 = "E4196292"
	CONST_CODE_E4196293 = "E4196293"
	CONST_CODE_E4196294 = "E4196294"
	CONST_CODE_E4196295 = "E4196295"
	CONST_CODE_E4196296 = "E4196296"
	CONST_CODE_E4196297 = "E4196297"
	CONST_CODE_E4196298 = "E4196298"
	CONST_CODE_E4196299 = "E4196299"
	CONST_CODE_E4196300 = "E4196300"
	CONST_CODE_E4196301 = "E4196301"
	CONST_CODE_E4196302 = "E4196302"
	CONST_CODE_E4196303 = "E4196303"
	CONST_CODE_E4196304 = "E4196304"
	CONST_CODE_E4196305 = "E4196305"
	CONST_CODE_E4196306 = "E4196306"
	CONST_CODE_E4196307 = "E4196307"
	CONST_CODE_E4196308 = "E4196308"
	CONST_CODE_E4196309 = "E4196309"
	CONST_CODE_E4196310 = "E4196310"
	CONST_CODE_E4196317 = "E4196317"
	CONST_CODE_E4196318 = "E4196318"
	CONST_CODE_E4196319 = "E4196319"
	CONST_CODE_E4196320 = "E4196320"
	CONST_CODE_E4196321 = "E4196321"
	CONST_CODE_E4196322 = "E4196322"
	CONST_CODE_E4196323 = "E4196323"
	CONST_CODE_E4196324 = "E4196324"
	CONST_CODE_E4196325 = "E4196325"
	CONST_CODE_E4196326 = "E4196326"
	CONST_CODE_E4196327 = "E4196327"
	CONST_CODE_E4196328 = "E4196328"
	CONST_CODE_E4196332 = "E4196332"
	CONST_CODE_E4196333 = "E4196333"
	CONST_CODE_E4196334 = "E4196334"
	CONST_CODE_E4196338 = "E4196338"
	CONST_CODE_E4196342 = "E4196342"
	CONST_CODE_E4196343 = "E4196343"
	CONST_CODE_E4196344 = "E4196344"
	CONST_CODE_E4196345 = "E4196345"
	CONST_CODE_E4196346 = "E4196346"
	CONST_CODE_E4196347 = "E4196347"
	CONST_CODE_E4196348 = "E4196348"
	CONST_CODE_E4196349 = "E4196349"
	CONST_CODE_E4196350 = "E4196350"
	CONST_CODE_E4196354 = "E4196354"
	CONST_CODE_E4196355 = "E4196355"
	CONST_CODE_E4196356 = "E4196356"
	CONST_CODE_E4196357 = "E4196357"
	CONST_CODE_E4196358 = "E4196358"
	CONST_CODE_E4196359 = "E4196359"
	CONST_CODE_E4196360 = "E4196360"
	CONST_CODE_E4196361 = "E4196361"
	CONST_CODE_E4196362 = "E4196362"
	CONST_CODE_E4196363 = "E4196363"
	CONST_CODE_E4196364 = "E4196364"
	CONST_CODE_E4196365 = "E4196365"
	CONST_CODE_E4196366 = "E4196366"
	CONST_CODE_E4196367 = "E4196367"
	CONST_CODE_E4196368 = "E4196368"
	CONST_CODE_E4196369 = "E4196369"
	CONST_CODE_E4196370 = "E4196370"
	CONST_CODE_E4196371 = "E4196371"
	CONST_CODE_E4196372 = "E4196372"
	CONST_CODE_E4196373 = "E4196373"
	CONST_CODE_E4196374 = "E4196374"
	CONST_CODE_E4196375 = "E4196375"
	CONST_CODE_E4196376 = "E4196376"
	CONST_CODE_E4196377 = "E4196377"
	CONST_CODE_E4196378 = "E4196378"
	CONST_CODE_E4196379 = "E4196379"
	CONST_CODE_E4196380 = "E4196380"
	CONST_CODE_E4196382 = "E4196382"
	CONST_CODE_E4196383 = "E4196383"
	CONST_CODE_E4196384 = "E4196384"
	CONST_CODE_E4196385 = "E4196385"
	CONST_CODE_E4196386 = "E4196386"
	CONST_CODE_E4196387 = "E4196387"
	CONST_CODE_E4196391 = "E4196391"
	CONST_CODE_E4196392 = "E4196392"
	CONST_CODE_E4196393 = "E4196393"
	CONST_CODE_E4196394 = "E4196394"
	CONST_CODE_E4196395 = "E4196395"
	CONST_CODE_E4196396 = "E4196396"
	CONST_CODE_E4196397 = "E4196397"
	CONST_CODE_E4196398 = "E4196398"
	CONST_CODE_E4196399 = "E4196399"
	CONST_CODE_E4196400 = "E4196400"
	CONST_CODE_E4196401 = "E4196401"
	CONST_CODE_E4196402 = "E4196402"
	CONST_CODE_E4196403 = "E4196403"
	CONST_CODE_E4196407 = "E4196407"
	CONST_CODE_E4196408 = "E4196408"
	CONST_CODE_E4196409 = "E4196409"
	CONST_CODE_E4196410 = "E4196410"
	CONST_CODE_E4196412 = "E4196412"
	CONST_CODE_E4196413 = "E4196413"
	CONST_CODE_E4196414 = "E4196414"
	CONST_CODE_E4196416 = "E4196416"
	CONST_CODE_E4196417 = "E4196417"
	CONST_CODE_E4196419 = "E4196419"
	CONST_CODE_E4196420 = "E4196420"
	CONST_CODE_E4196422 = "E4196422"
	CONST_CODE_E4196423 = "E4196423"
	CONST_CODE_E4196424 = "E4196424"
	CONST_CODE_E4196425 = "E4196425"
	CONST_CODE_E4196426 = "E4196426"
	CONST_CODE_E4196427 = "E4196427"
	CONST_CODE_E4196428 = "E4196428"
	CONST_CODE_E4196430 = "E4196430"
	CONST_CODE_E4196431 = "E4196431"
	CONST_CODE_E4196432 = "E4196432"
	CONST_CODE_E4196433 = "E4196433"
	CONST_CODE_E4196434 = "E4196434"
	CONST_CODE_E4196435 = "E4196435"
	CONST_CODE_E4196436 = "E4196436"
	CONST_CODE_E4196437 = "E4196437"
	CONST_CODE_E4196438 = "E4196438"
	CONST_CODE_E4196439 = "E4196439"
	CONST_CODE_E4196440 = "E4196440"
	CONST_CODE_E4196441 = "E4196441"
	CONST_CODE_E4196442 = "E4196442"
	CONST_CODE_E4196443 = "E4196443"
	CONST_CODE_E4196444 = "E4196444"
	CONST_CODE_E4196445 = "E4196445"
	CONST_CODE_E4196446 = "E4196446"
	CONST_CODE_E4196447 = "E4196447"
	CONST_CODE_E4196448 = "E4196448"
	CONST_CODE_E4196450 = "E4196450"
	CONST_CODE_E4196451 = "E4196451"
	CONST_CODE_E4196452 = "E4196452"
	CONST_CODE_E4196453 = "E4196453"
	CONST_CODE_E4196454 = "E4196454"
	CONST_CODE_E4196455 = "E4196455"
	CONST_CODE_E4196458 = "E4196458"
	CONST_CODE_E4196459 = "E4196459"
	CONST_CODE_E4196460 = "E4196460"
	CONST_CODE_E4196461 = "E4196461"
	CONST_CODE_E4196462 = "E4196462"
	CONST_CODE_E4196464 = "E4196464"
	CONST_CODE_E4196465 = "E4196465"
	CONST_CODE_E4196466 = "E4196466"
	CONST_CODE_E4196467 = "E4196467"
	CONST_CODE_E4196468 = "E4196468"
	CONST_CODE_E4196469 = "E4196469"
	CONST_CODE_E4196470 = "E4196470"
	CONST_CODE_E4196471 = "E4196471"
	CONST_CODE_E4196472 = "E4196472"
	CONST_CODE_E4196474 = "E4196474"
	CONST_CODE_E4196475 = "E4196475"
	CONST_CODE_E4196477 = "E4196477"
	CONST_CODE_E4196478 = "E4196478"
	CONST_CODE_E4196480 = "E4196480"
	CONST_CODE_E4196481 = "E4196481"
	CONST_CODE_E4196483 = "E4196483"
	CONST_CODE_E4196484 = "E4196484"
	CONST_CODE_E4196485 = "E4196485"
	CONST_CODE_E4196486 = "E4196486"
	CONST_CODE_E4196487 = "E4196487"
	CONST_CODE_E4196488 = "E4196488"
	CONST_CODE_E4196489 = "E4196489"
	CONST_CODE_E4196490 = "E4196490"
	CONST_CODE_E4196491 = "E4196491"
	CONST_CODE_E4196492 = "E4196492"
	CONST_CODE_E4196493 = "E4196493"
	CONST_CODE_E4196494 = "E4196494"
	CONST_CODE_E4196495 = "E4196495"
	CONST_CODE_E4196496 = "E4196496"
	CONST_CODE_E4196497 = "E4196497"
	CONST_CODE_E4196498 = "E4196498"
	CONST_CODE_E4196499 = "E4196499"
	CONST_CODE_E4196500 = "E4196500"
	CONST_CODE_E4196501 = "E4196501"
	CONST_CODE_E4196502 = "E4196502"
	CONST_CODE_E4196512 = "E4196512"
	CONST_CODE_E4196513 = "E4196513"
	CONST_CODE_E4196514 = "E4196514"
	CONST_CODE_E4196515 = "E4196515"
	CONST_CODE_E4196516 = "E4196516"
	CONST_CODE_E4196517 = "E4196517"
	CONST_CODE_E4196518 = "E4196518"
	CONST_CODE_E4196519 = "E4196519"
	CONST_CODE_E4196520 = "E4196520"
	CONST_CODE_E4196521 = "E4196521"
	CONST_CODE_E4196522 = "E4196522"
	CONST_CODE_E4196523 = "E4196523"
	CONST_CODE_E4196524 = "E4196524"
	CONST_CODE_E4196525 = "E4196525"
	CONST_CODE_E4196526 = "E4196526"
	CONST_CODE_E4196527 = "E4196527"
	CONST_CODE_E4196528 = "E4196528"
	CONST_CODE_E4196529 = "E4196529"
	CONST_CODE_E4196531 = "E4196531"
	CONST_CODE_E4196532 = "E4196532"
	CONST_CODE_E4196533 = "E4196533"
	CONST_CODE_E4196534 = "E4196534"
	CONST_CODE_E4196535 = "E4196535"
	CONST_CODE_E4196536 = "E4196536"
	CONST_CODE_E4196537 = "E4196537"
	CONST_CODE_E4196538 = "E4196538"
	CONST_CODE_E4196539 = "E4196539"
	CONST_CODE_E4196540 = "E4196540"
	CONST_CODE_E4196541 = "E4196541"
	CONST_CODE_E4196542 = "E4196542"
	CONST_CODE_E4196543 = "E4196543"
	CONST_CODE_E4196544 = "E4196544"
	CONST_CODE_E4196545 = "E4196545"
	CONST_CODE_E4196546 = "E4196546"
	CONST_CODE_E4196555 = "E4196555"
	CONST_CODE_E4196556 = "E4196556"
	CONST_CODE_E4196557 = "E4196557"
	CONST_CODE_E4196558 = "E4196558"
	CONST_CODE_E4196559 = "E4196559"
	CONST_CODE_E4196560 = "E4196560"
	CONST_CODE_E4196561 = "E4196561"
	CONST_CODE_E4196562 = "E4196562"
	CONST_CODE_E4196563 = "E4196563"
	CONST_CODE_E4196564 = "E4196564"
	CONST_CODE_E4196565 = "E4196565"
	CONST_CODE_E4196566 = "E4196566"
	CONST_CODE_E4196567 = "E4196567"
	CONST_CODE_E4196568 = "E4196568"
	CONST_CODE_E4196569 = "E4196569"
	CONST_CODE_E4196570 = "E4196570"
	CONST_CODE_E4196571 = "E4196571"
	CONST_CODE_E4196572 = "E4196572"
	CONST_CODE_E4196573 = "E4196573"
	CONST_CODE_E4196574 = "E4196574"
	CONST_CODE_E4196575 = "E4196575"
	CONST_CODE_E4196578 = "E4196578"
	CONST_CODE_E4196579 = "E4196579"
	CONST_CODE_E4196580 = "E4196580"
	CONST_CODE_E4196581 = "E4196581"
	CONST_CODE_E4196582 = "E4196582"
	CONST_CODE_E4196583 = "E4196583"
	CONST_CODE_E4196584 = "E4196584"
	CONST_CODE_E4196585 = "E4196585"
	CONST_CODE_E4196586 = "E4196586"
	CONST_CODE_E4196587 = "E4196587"
	CONST_CODE_E4196588 = "E4196588"
	CONST_CODE_E4196589 = "E4196589"
	CONST_CODE_E4196590 = "E4196590"
	CONST_CODE_E4196591 = "E4196591"
	CONST_CODE_E4196592 = "E4196592"
	CONST_CODE_E4196593 = "E4196593"
	CONST_CODE_E4196594 = "E4196594"
	CONST_CODE_E4196595 = "E4196595"
	CONST_CODE_E4196596 = "E4196596"
	CONST_CODE_E4196597 = "E4196597"
	CONST_CODE_E4196598 = "E4196598"
	CONST_CODE_E4196599 = "E4196599"
	CONST_CODE_E4196600 = "E4196600"
	CONST_CODE_E4196601 = "E4196601"
	CONST_CODE_E4196602 = "E4196602"
	CONST_CODE_E4196603 = "E4196603"
	CONST_CODE_E4196604 = "E4196604"
	CONST_CODE_E4196605 = "E4196605"
	CONST_CODE_E4196606 = "E4196606"
	CONST_CODE_E4196607 = "E4196607"
	CONST_CODE_E4196608 = "E4196608"
	CONST_CODE_E4196609 = "E4196609"
	CONST_CODE_E4196610 = "E4196610"
	CONST_CODE_E4196611 = "E4196611"
	CONST_CODE_E4196612 = "E4196612"
	CONST_CODE_E4196613 = "E4196613"
	CONST_CODE_E4196614 = "E4196614"
	CONST_CODE_E4196619 = "E4196619"
	CONST_CODE_E4196620 = "E4196620"
	CONST_CODE_E4196621 = "E4196621"
	CONST_CODE_E4196622 = "E4196622"
	CONST_CODE_E4196623 = "E4196623"
	CONST_CODE_E4196624 = "E4196624"
	CONST_CODE_E4196625 = "E4196625"
	CONST_CODE_E4196626 = "E4196626"
	CONST_CODE_E4196627 = "E4196627"
	CONST_CODE_E4196628 = "E4196628"
	CONST_CODE_E4196629 = "E4196629"
	CONST_CODE_E4196630 = "E4196630"
	CONST_CODE_E4196631 = "E4196631"
	CONST_CODE_E4196632 = "E4196632"
	CONST_CODE_E4196633 = "E4196633"
	CONST_CODE_E4196634 = "E4196634"
	CONST_CODE_E4196635 = "E4196635"
	CONST_CODE_E4196636 = "E4196636"
	CONST_CODE_E4196637 = "E4196637"
	CONST_CODE_E4196638 = "E4196638"
	CONST_CODE_E4196639 = "E4196639"
	CONST_CODE_E4196640 = "E4196640"
	CONST_CODE_E4196641 = "E4196641"
	CONST_CODE_E4196642 = "E4196642"
	CONST_CODE_E4196643 = "E4196643"
	CONST_CODE_E4196644 = "E4196644"
	CONST_CODE_E4196645 = "E4196645"
	CONST_CODE_E4196646 = "E4196646"
	CONST_CODE_E4196647 = "E4196647"
	CONST_CODE_E4196648 = "E4196648"
	CONST_CODE_E4196649 = "E4196649"
	CONST_CODE_E4196650 = "E4196650"
	CONST_CODE_E4196651 = "E4196651"
	CONST_CODE_E4196652 = "E4196652"
	CONST_CODE_E4196653 = "E4196653"
	CONST_CODE_E4196654 = "E4196654"
	CONST_CODE_E4196655 = "E4196655"
	CONST_CODE_E4196656 = "E4196656"
	CONST_CODE_E4196657 = "E4196657"
	CONST_CODE_E4196658 = "E4196658"
	CONST_CODE_E4196659 = "E4196659"
	CONST_CODE_E4196660 = "E4196660"
	CONST_CODE_E4196661 = "E4196661"
	CONST_CODE_E4196662 = "E4196662"
	CONST_CODE_E4196663 = "E4196663"
	CONST_CODE_E4196664 = "E4196664"
	CONST_CODE_E4196665 = "E4196665"
	CONST_CODE_E4196666 = "E4196666"
	CONST_CODE_E4196667 = "E4196667"
	CONST_CODE_E4196668 = "E4196668"
	CONST_CODE_E4196669 = "E4196669"
	CONST_CODE_E4196670 = "E4196670"
	CONST_CODE_E4196671 = "E4196671"
	CONST_CODE_E4196672 = "E4196672"
	CONST_CODE_E4196673 = "E4196673"
	CONST_CODE_E4196674 = "E4196674"
	CONST_CODE_E4196675 = "E4196675"
	CONST_CODE_E4196676 = "E4196676"
	CONST_CODE_E4196677 = "E4196677"
	CONST_CODE_E4196678 = "E4196678"
	CONST_CODE_E4196679 = "E4196679"
	CONST_CODE_E4196680 = "E4196680"
	CONST_CODE_E4196681 = "E4196681"
	CONST_CODE_E4196682 = "E4196682"
	CONST_CODE_E4196683 = "E4196683"
	CONST_CODE_E4196684 = "E4196684"
	CONST_CODE_E4196685 = "E4196685"
	CONST_CODE_E4196686 = "E4196686"
	CONST_CODE_E4196687 = "E4196687"
	CONST_CODE_E4196688 = "E4196688"
	CONST_CODE_E4196689 = "E4196689"
	CONST_CODE_E4196690 = "E4196690"
	CONST_CODE_E4196691 = "E4196691"
	CONST_CODE_E4196692 = "E4196692"
	CONST_CODE_E4196693 = "E4196693"
	CONST_CODE_E4196694 = "E4196694"
	CONST_CODE_E4196695 = "E4196695"
	CONST_CODE_E4196696 = "E4196696"
	CONST_CODE_E4196697 = "E4196697"
	CONST_CODE_E4196698 = "E4196698"
	CONST_CODE_E4196701 = "E4196701"
	CONST_CODE_E4196702 = "E4196702"
	CONST_CODE_E4196703 = "E4196703"
	CONST_CODE_E4196704 = "E4196704"
	CONST_CODE_E4196705 = "E4196705"
	CONST_CODE_E4196706 = "E4196706"
	CONST_CODE_E4196707 = "E4196707"
	CONST_CODE_E4196708 = "E4196708"
	CONST_CODE_E4196709 = "E4196709"
	CONST_CODE_E4196710 = "E4196710"
	CONST_CODE_E4196711 = "E4196711"
	CONST_CODE_E4196712 = "E4196712"
	CONST_CODE_E4196713 = "E4196713"
	CONST_CODE_E4196714 = "E4196714"
	CONST_CODE_E4196715 = "E4196715"
	CONST_CODE_E4196716 = "E4196716"
	CONST_CODE_E4196717 = "E4196717"
	CONST_CODE_E4196718 = "E4196718"
	CONST_CODE_E4196719 = "E4196719"
	CONST_CODE_E4196720 = "E4196720"
	CONST_CODE_E4196721 = "E4196721"
	CONST_CODE_E4196722 = "E4196722"
	CONST_CODE_E4196723 = "E4196723"
	CONST_CODE_E4196724 = "E4196724"
	CONST_CODE_E4196725 = "E4196725"
	CONST_CODE_E4196726 = "E4196726"
	CONST_CODE_E4196727 = "E4196727"
	CONST_CODE_E4196728 = "E4196728"
	CONST_CODE_E4196729 = "E4196729"
	CONST_CODE_E4196730 = "E4196730"
	CONST_CODE_E4196731 = "E4196731"
	CONST_CODE_E4196732 = "E4196732"
	CONST_CODE_E4196733 = "E4196733"
	CONST_CODE_E4196734 = "E4196734"
	CONST_CODE_E4196735 = "E4196735"
	CONST_CODE_E4196736 = "E4196736"
	CONST_CODE_E4196737 = "E4196737"
	CONST_CODE_E4196738 = "E4196738"
	CONST_CODE_E4196739 = "E4196739"
	CONST_CODE_E4196740 = "E4196740"
	CONST_CODE_E4196741 = "E4196741"
	CONST_CODE_E4196742 = "E4196742"
	CONST_CODE_E4196743 = "E4196743"
	CONST_CODE_E4196744 = "E4196744"
	CONST_CODE_E4196745 = "E4196745"
	CONST_CODE_E4196746 = "E4196746"
	CONST_CODE_E4196747 = "E4196747"
	CONST_CODE_E4196748 = "E4196748"
	CONST_CODE_E4196749 = "E4196749"
	CONST_CODE_E4196750 = "E4196750"
	CONST_CODE_E4196751 = "E4196751"
	CONST_CODE_E4196752 = "E4196752"
	CONST_CODE_E4196753 = "E4196753"
	CONST_CODE_E4196754 = "E4196754"
	CONST_CODE_E4196755 = "E4196755"
	CONST_CODE_E4196756 = "E4196756"
	CONST_CODE_E4196757 = "E4196757"
	CONST_CODE_E4196758 = "E4196758"
	CONST_CODE_E4196759 = "E4196759"
	CONST_CODE_E4196760 = "E4196760"
	CONST_CODE_E4196761 = "E4196761"
	CONST_CODE_E4196762 = "E4196762"
	CONST_CODE_E4196763 = "E4196763"
	CONST_CODE_E4196764 = "E4196764"
	CONST_CODE_E4196765 = "E4196765"
	CONST_CODE_E4196766 = "E4196766"
	CONST_CODE_E4196767 = "E4196767"
	CONST_CODE_E4196768 = "E4196768"
	CONST_CODE_E4196769 = "E4196769"
	CONST_CODE_E4196770 = "E4196770"
	CONST_CODE_E4196771 = "E4196771"
	CONST_CODE_E4196772 = "E4196772"
	CONST_CODE_E4196773 = "E4196773"
	CONST_CODE_E4196774 = "E4196774"
	CONST_CODE_E4196775 = "E4196775"
	CONST_CODE_E4196776 = "E4196776"
	CONST_CODE_E4196777 = "E4196777"
	CONST_CODE_E4196778 = "E4196778"
	CONST_CODE_E4196779 = "E4196779"
	CONST_CODE_E4196780 = "E4196780"
	CONST_CODE_E4196781 = "E4196781"
	CONST_CODE_E4196785 = "E4196785"
	CONST_CODE_E4196787 = "E4196787"
	CONST_CODE_E4196788 = "E4196788"
	CONST_CODE_E4196789 = "E4196789"
	CONST_CODE_E4196790 = "E4196790"
	CONST_CODE_E4196791 = "E4196791"
	CONST_CODE_E4196792 = "E4196792"
	CONST_CODE_E4196793 = "E4196793"
	CONST_CODE_E4196794 = "E4196794"
	CONST_CODE_E4196795 = "E4196795"
	CONST_CODE_E4196796 = "E4196796"
	CONST_CODE_E4196797 = "E4196797"
	CONST_CODE_E4196798 = "E4196798"
	CONST_CODE_E4196799 = "E4196799"
	CONST_CODE_E4196800 = "E4196800"
	CONST_CODE_E4196801 = "E4196801"
	CONST_CODE_E4196802 = "E4196802"
	CONST_CODE_E4196803 = "E4196803"
	CONST_CODE_E4196804 = "E4196804"
	CONST_CODE_E4196811 = "E4196811"
	CONST_CODE_E4196812 = "E4196812"
	CONST_CODE_E4196813 = "E4196813"
	CONST_CODE_E4196814 = "E4196814"
	CONST_CODE_E4196815 = "E4196815"
	CONST_CODE_E4196816 = "E4196816"
	CONST_CODE_E4196817 = "E4196817"
	CONST_CODE_E4196818 = "E4196818"
	CONST_CODE_E4196819 = "E4196819"
	CONST_CODE_E4196820 = "E4196820"
	CONST_CODE_E4196821 = "E4196821"
	CONST_CODE_E4196822 = "E4196822"
	CONST_CODE_E4196823 = "E4196823"
	CONST_CODE_E4196824 = "E4196824"
	CONST_CODE_E4196825 = "E4196825"
	CONST_CODE_E4196826 = "E4196826"
	CONST_CODE_E4196827 = "E4196827"
	CONST_CODE_E4196828 = "E4196828"
	CONST_CODE_E4196829 = "E4196829"
	CONST_CODE_E4196830 = "E4196830"
	CONST_CODE_E4196831 = "E4196831"
	CONST_CODE_E4196832 = "E4196832"
	CONST_CODE_E4196833 = "E4196833"
	CONST_CODE_E4196834 = "E4196834"
	CONST_CODE_E4196835 = "E4196835"
	CONST_CODE_E4196836 = "E4196836"
	CONST_CODE_E4196837 = "E4196837"
	CONST_CODE_E4196838 = "E4196838"
	CONST_CODE_E4196839 = "E4196839"
	CONST_CODE_E4196840 = "E4196840"
	CONST_CODE_E4196841 = "E4196841"
	CONST_CODE_E4196842 = "E4196842"
	CONST_CODE_E4196843 = "E4196843"
	CONST_CODE_E4196844 = "E4196844"
	CONST_CODE_E4196845 = "E4196845"
	CONST_CODE_E4196846 = "E4196846"
	CONST_CODE_E4196847 = "E4196847"
	CONST_CODE_E4196848 = "E4196848"
	CONST_CODE_E4196849 = "E4196849"
	CONST_CODE_E4196850 = "E4196850"
	CONST_CODE_E4196851 = "E4196851"
	CONST_CODE_E4196852 = "E4196852"
	CONST_CODE_E4196853 = "E4196853"
	CONST_CODE_E4196854 = "E4196854"
	CONST_CODE_E4196855 = "E4196855"
	CONST_CODE_E4196856 = "E4196856"
	CONST_CODE_E4196857 = "E4196857"
	CONST_CODE_E4196858 = "E4196858"
	CONST_CODE_E4196859 = "E4196859"
	CONST_CODE_E4196860 = "E4196860"
	CONST_CODE_E4196861 = "E4196861"
	CONST_CODE_E4196862 = "E4196862"
	CONST_CODE_E4196863 = "E4196863"
	CONST_CODE_E4196864 = "E4196864"
	CONST_CODE_E4196865 = "E4196865"
	CONST_CODE_E4196866 = "E4196866"
	CONST_CODE_E4196867 = "E4196867"
	CONST_CODE_E4196868 = "E4196868"
	CONST_CODE_E4196869 = "E4196869"
	CONST_CODE_E4196870 = "E4196870"
	CONST_CODE_E4196871 = "E4196871"
	CONST_CODE_E4196872 = "E4196872"
	CONST_CODE_E4196873 = "E4196873"
	CONST_CODE_E4196874 = "E4196874"
	CONST_CODE_E4196875 = "E4196875"
	CONST_CODE_E4196876 = "E4196876"
	CONST_CODE_E4196877 = "E4196877"
	CONST_CODE_E4196878 = "E4196878"
	CONST_CODE_E4196879 = "E4196879"
	CONST_CODE_E4196880 = "E4196880"
	CONST_CODE_E4196881 = "E4196881"
	CONST_CODE_E4196882 = "E4196882"
	CONST_CODE_E4196883 = "E4196883"
	CONST_CODE_E4196884 = "E4196884"
	CONST_CODE_E4196885 = "E4196885"
	CONST_CODE_E4196886 = "E4196886"
	CONST_CODE_E4196887 = "E4196887"
	CONST_CODE_E4196888 = "E4196888"
	CONST_CODE_E4196889 = "E4196889"
	CONST_CODE_E4196890 = "E4196890"
	CONST_CODE_E4196891 = "E4196891"
	CONST_CODE_E4196892 = "E4196892"
	CONST_CODE_E4196893 = "E4196893"
	CONST_CODE_E4196894 = "E4196894"
	CONST_CODE_E4196895 = "E4196895"
	CONST_CODE_E4196896 = "E4196896"
	CONST_CODE_E4196897 = "E4196897"
	CONST_CODE_E4196898 = "E4196898"
	CONST_CODE_E4196899 = "E4196899"
	CONST_CODE_E4196900 = "E4196900"
	CONST_CODE_E4196901 = "E4196901"
	CONST_CODE_E4196902 = "E4196902"
	CONST_CODE_E4196903 = "E4196903"
	CONST_CODE_E4196904 = "E4196904"
	CONST_CODE_E4196905 = "E4196905"
	CONST_CODE_E4196906 = "E4196906"
	CONST_CODE_E4196907 = "E4196907"
	CONST_CODE_E4196908 = "E4196908"
	CONST_CODE_E4196909 = "E4196909"
	CONST_CODE_E4196910 = "E4196910"
	CONST_CODE_E4196911 = "E4196911"
	CONST_CODE_E4196912 = "E4196912"
	CONST_CODE_E4196913 = "E4196913"
	CONST_CODE_E4196914 = "E4196914"
	CONST_CODE_E4196915 = "E4196915"
	CONST_CODE_E4196916 = "E4196916"
	CONST_CODE_E4196917 = "E4196917"
	CONST_CODE_E4196918 = "E4196918"
	CONST_CODE_E4196919 = "E4196919"
	CONST_CODE_E4196920 = "E4196920"
	CONST_CODE_E4196921 = "E4196921"
	CONST_CODE_E4196922 = "E4196922"
	CONST_CODE_E4196923 = "E4196923"
	CONST_CODE_E4196924 = "E4196924"
	CONST_CODE_E4196925 = "E4196925"
	CONST_CODE_E4196926 = "E4196926"
	CONST_CODE_E4196927 = "E4196927"
	CONST_CODE_E4196928 = "E4196928"
	CONST_CODE_E4196929 = "E4196929"
	CONST_CODE_E4196930 = "E4196930"
	CONST_CODE_E4196931 = "E4196931"
	CONST_CODE_E4196932 = "E4196932"
	CONST_CODE_E4196933 = "E4196933"
	CONST_CODE_E4196934 = "E4196934"
	CONST_CODE_E4196935 = "E4196935"
	CONST_CODE_E4196936 = "E4196936"
	CONST_CODE_E4196937 = "E4196937"
	CONST_CODE_E4196938 = "E4196938"
	CONST_CODE_E4196939 = "E4196939"
	CONST_CODE_E4196940 = "E4196940"
	CONST_CODE_E4196941 = "E4196941"
	CONST_CODE_E4196942 = "E4196942"
	CONST_CODE_E4196943 = "E4196943"
	CONST_CODE_E4196944 = "E4196944"
	CONST_CODE_E4196945 = "E4196945"
	CONST_CODE_E4196946 = "E4196946"
	CONST_CODE_E4196947 = "E4196947"
	CONST_CODE_E4196948 = "E4196948"
	CONST_CODE_E4196949 = "E4196949"
	CONST_CODE_E4196950 = "E4196950"
	CONST_CODE_E4196951 = "E4196951"
	CONST_CODE_E4196952 = "E4196952"
	CONST_CODE_E4196953 = "E4196953"
	CONST_CODE_E4196954 = "E4196954"
	CONST_CODE_E4196955 = "E4196955"
	CONST_CODE_E4196956 = "E4196956"
	CONST_CODE_E4196957 = "E4196957"
	CONST_CODE_E4196958 = "E4196958"
	CONST_CODE_E4196959 = "E4196959"
	CONST_CODE_E4196960 = "E4196960"
	CONST_CODE_E4196961 = "E4196961"
	CONST_CODE_E4196962 = "E4196962"
	CONST_CODE_E4196963 = "E4196963"
	CONST_CODE_E4196964 = "E4196964"
	CONST_CODE_E4196965 = "E4196965"
	CONST_CODE_E4196966 = "E4196966"
	CONST_CODE_E4196967 = "E4196967"
	CONST_CODE_E4196968 = "E4196968"
	CONST_CODE_E4196969 = "E4196969"
	CONST_CODE_E4196970 = "E4196970"
	CONST_CODE_E4196971 = "E4196971"
	CONST_CODE_E4196972 = "E4196972"
	CONST_CODE_E4196973 = "E4196973"
	CONST_CODE_E4196974 = "E4196974"
	CONST_CODE_E4196975 = "E4196975"
	CONST_CODE_E4196976 = "E4196976"
	CONST_CODE_E4196977 = "E4196977"
	CONST_CODE_E4196978 = "E4196978"
	CONST_CODE_E4196979 = "E4196979"
	CONST_CODE_E4196980 = "E4196980"
	CONST_CODE_E4196981 = "E4196981"
	CONST_CODE_E4196982 = "E4196982"
	CONST_CODE_E4196983 = "E4196983"
	CONST_CODE_E4196984 = "E4196984"
	CONST_CODE_E4196985 = "E4196985"
	CONST_CODE_E4196986 = "E4196986"
	CONST_CODE_E4196987 = "E4196987"
	CONST_CODE_E4196988 = "E4196988"
	CONST_CODE_E4196989 = "E4196989"
	CONST_CODE_E4196990 = "E4196990"
	CONST_CODE_E4196991 = "E4196991"
	CONST_CODE_E4196992 = "E4196992"
	CONST_CODE_E4196993 = "E4196993"
	CONST_CODE_E4196994 = "E4196994"
	CONST_CODE_E4196995 = "E4196995"
	CONST_CODE_E4196996 = "E4196996"
	CONST_CODE_E4196997 = "E4196997"
	CONST_CODE_E4196998 = "E4196998"
	CONST_CODE_E4197001 = "E4197001"
	CONST_CODE_E4197002 = "E4197002"
	CONST_CODE_E4197003 = "E4197003"
	CONST_CODE_E4197004 = "E4197004"
	CONST_CODE_E4197005 = "E4197005"
	CONST_CODE_E4197006 = "E4197006"
	CONST_CODE_E4197007 = "E4197007"
	CONST_CODE_E4197008 = "E4197008"
	CONST_CODE_E4197009 = "E4197009"
	CONST_CODE_E4197010 = "E4197010"
	CONST_CODE_E4197011 = "E4197011"
	CONST_CODE_E4197012 = "E4197012"
	CONST_CODE_E4197013 = "E4197013"
	CONST_CODE_E4197014 = "E4197014"
	CONST_CODE_E4197015 = "E4197015"
	CONST_CODE_E4197016 = "E4197016"
	CONST_CODE_E4197017 = "E4197017"
	CONST_CODE_E4197018 = "E4197018"
	CONST_CODE_E4197019 = "E4197019"
	CONST_CODE_E4197020 = "E4197020"
	CONST_CODE_E4197021 = "E4197021"
	CONST_CODE_E4197022 = "E4197022"
	CONST_CODE_E4197023 = "E4197023"
	CONST_CODE_E4197024 = "E4197024"
	CONST_CODE_E4197025 = "E4197025"
	CONST_CODE_E4197026 = "E4197026"
	CONST_CODE_E4197027 = "E4197027"
	CONST_CODE_E4197028 = "E4197028"
	CONST_CODE_E4197029 = "E4197029"
	CONST_CODE_E4197030 = "E4197030"
	CONST_CODE_E4197031 = "E4197031"
	CONST_CODE_E4197032 = "E4197032"
	CONST_CODE_E4197033 = "E4197033"
	CONST_CODE_E4197034 = "E4197034"
	CONST_CODE_E4197035 = "E4197035"
	CONST_CODE_E4197036 = "E4197036"
	CONST_CODE_E4197037 = "E4197037"
	CONST_CODE_E4197038 = "E4197038"
	CONST_CODE_E4197039 = "E4197039"
	CONST_CODE_E4197040 = "E4197040"
	CONST_CODE_E4197041 = "E4197041"
	CONST_CODE_E4197042 = "E4197042"
	CONST_CODE_E4197043 = "E4197043"
	CONST_CODE_E4197044 = "E4197044"
	CONST_CODE_E4197045 = "E4197045"
	CONST_CODE_E4197046 = "E4197046"
	CONST_CODE_E4197047 = "E4197047"
	CONST_CODE_E4197048 = "E4197048"
	CONST_CODE_E4197049 = "E4197049"
	CONST_CODE_E4197050 = "E4197050"
	CONST_CODE_E4197051 = "E4197051"
	CONST_CODE_E4197052 = "E4197052"
	CONST_CODE_E4197053 = "E4197053"
	CONST_CODE_E4197054 = "E4197054"
	CONST_CODE_E4197055 = "E4197055"
	CONST_CODE_E4197056 = "E4197056"
	CONST_CODE_E4197057 = "E4197057"
	CONST_CODE_E4197058 = "E4197058"
	CONST_CODE_E4197059 = "E4197059"
	CONST_CODE_E4197060 = "E4197060"
	CONST_CODE_E4197061 = "E4197061"
	CONST_CODE_E4197062 = "E4197062"
	CONST_CODE_E4197063 = "E4197063"
	CONST_CODE_E4197064 = "E4197064"
	CONST_CODE_E4197065 = "E4197065"
	CONST_CODE_E4197066 = "E4197066"
	CONST_CODE_E4197067 = "E4197067"
	CONST_CODE_E4197068 = "E4197068"
	CONST_CODE_E4197069 = "E4197069"
	CONST_CODE_E4197070 = "E4197070"
	CONST_CODE_E4197071 = "E4197071"
	CONST_CODE_E4197072 = "E4197072"
	CONST_CODE_E4197073 = "E4197073"
	CONST_CODE_E4197074 = "E4197074"
	CONST_CODE_E4197075 = "E4197075"
	CONST_CODE_E4197076 = "E4197076"
	CONST_CODE_E4197077 = "E4197077"
	CONST_CODE_E4197078 = "E4197078"
	CONST_CODE_E4197079 = "E4197079"
	CONST_CODE_E4197080 = "E4197080"
	CONST_CODE_E4197081 = "E4197081"
	CONST_CODE_E4197082 = "E4197082"
	CONST_CODE_E4197083 = "E4197083"
	CONST_CODE_E4197084 = "E4197084"
	CONST_CODE_E4197085 = "E4197085"
	CONST_CODE_E4197086 = "E4197086"
	CONST_CODE_E4197087 = "E4197087"
	CONST_CODE_E4197088 = "E4197088"
	CONST_CODE_E4197089 = "E4197089"
	CONST_CODE_E4197090 = "E4197090"
	CONST_CODE_E4197091 = "E4197091"
	CONST_CODE_E4197092 = "E4197092"
	CONST_CODE_E4197093 = "E4197093"
	CONST_CODE_E4197094 = "E4197094"
	CONST_CODE_E4197095 = "E4197095"
	CONST_CODE_E4197096 = "E4197096"
	CONST_CODE_E4197097 = "E4197097"
	CONST_CODE_E4197098 = "E4197098"
	CONST_CODE_E4197099 = "E4197099"
	CONST_CODE_E4197100 = "E4197100"
	CONST_CODE_E4197101 = "E4197101"
	CONST_CODE_E4197102 = "E4197102"
	CONST_CODE_E4197103 = "E4197103"
	CONST_CODE_E4197104 = "E4197104"
	CONST_CODE_E4197105 = "E4197105"
	CONST_CODE_E4197106 = "E4197106"
	CONST_CODE_E4197107 = "E4197107"
	CONST_CODE_E4197108 = "E4197108"
	CONST_CODE_E4197109 = "E4197109"
	CONST_CODE_E4197110 = "E4197110"
	CONST_CODE_E4197111 = "E4197111"
	CONST_CODE_E4197112 = "E4197112"
	CONST_CODE_E4197113 = "E4197113"
	CONST_CODE_E4197114 = "E4197114"
	CONST_CODE_E4197115 = "E4197115"
	CONST_CODE_E4197116 = "E4197116"
	CONST_CODE_E4197117 = "E4197117"
	CONST_CODE_E4197118 = "E4197118"
	CONST_CODE_E4197119 = "E4197119"
	CONST_CODE_E4197120 = "E4197120"
	CONST_CODE_E4197121 = "E4197121"
	CONST_CODE_E4197122 = "E4197122"
	CONST_CODE_E4197123 = "E4197123"
	CONST_CODE_E4197124 = "E4197124"
	CONST_CODE_E4197125 = "E4197125"
	CONST_CODE_E4197126 = "E4197126"
	CONST_CODE_E4197127 = "E4197127"
	CONST_CODE_E4197128 = "E4197128"
	CONST_CODE_E4197129 = "E4197129"
	CONST_CODE_E4197130 = "E4197130"
	CONST_CODE_E4197131 = "E4197131"
	CONST_CODE_E4197132 = "E4197132"
	CONST_CODE_E4197133 = "E4197133"
	CONST_CODE_E4197134 = "E4197134"
	CONST_CODE_E4197135 = "E4197135"
	CONST_CODE_E4197136 = "E4197136"
	CONST_CODE_E4197137 = "E4197137"
	CONST_CODE_E4197138 = "E4197138"
	CONST_CODE_E4197139 = "E4197139"
	CONST_CODE_E4197140 = "E4197140"
	CONST_CODE_E4197141 = "E4197141"
	CONST_CODE_E4197142 = "E4197142"
	CONST_CODE_E4197146 = "E4197146"
	CONST_CODE_E4197147 = "E4197147"
	CONST_CODE_E4197148 = "E4197148"
	CONST_CODE_E4197149 = "E4197149"
	CONST_CODE_E4197150 = "E4197150"
	CONST_CODE_E4197151 = "E4197151"
	CONST_CODE_E4197152 = "E4197152"
	CONST_CODE_E4197153 = "E4197153"
	CONST_CODE_E4197154 = "E4197154"
	CONST_CODE_E4197155 = "E4197155"
	CONST_CODE_E4197156 = "E4197156"
	CONST_CODE_E4197157 = "E4197157"
	CONST_CODE_E4197158 = "E4197158"
	CONST_CODE_E4197159 = "E4197159"
	CONST_CODE_E4197160 = "E4197160"
	CONST_CODE_E4197161 = "E4197161"
	CONST_CODE_E4197162 = "E4197162"
	CONST_CODE_E4197163 = "E4197163"
	CONST_CODE_E4197164 = "E4197164"
	CONST_CODE_E4197165 = "E4197165"
	CONST_CODE_E4197166 = "E4197166"
	CONST_CODE_E4197167 = "E4197167"
	CONST_CODE_E4197168 = "E4197168"
	CONST_CODE_E4197169 = "E4197169"
	CONST_CODE_E4197170 = "E4197170"
	CONST_CODE_E4197171 = "E4197171"
	CONST_CODE_E4197172 = "E4197172"
	CONST_CODE_E4197173 = "E4197173"
	CONST_CODE_E4197174 = "E4197174"
	CONST_CODE_E4197175 = "E4197175"
	CONST_CODE_E4197176 = "E4197176"
	CONST_CODE_E4197177 = "E4197177"
	CONST_CODE_E4197178 = "E4197178"
	CONST_CODE_E4197179 = "E4197179"
	CONST_CODE_E4197180 = "E4197180"
	CONST_CODE_E4197181 = "E4197181"
	CONST_CODE_E4197182 = "E4197182"
	CONST_CODE_E4197183 = "E4197183"
	CONST_CODE_E4197184 = "E4197184"
	CONST_CODE_E4197185 = "E4197185"
	CONST_CODE_E4197186 = "E4197186"
	CONST_CODE_E4197187 = "E4197187"
	CONST_CODE_E4197188 = "E4197188"
	CONST_CODE_E4197189 = "E4197189"
	CONST_CODE_E4197190 = "E4197190"
	CONST_CODE_E4197191 = "E4197191"
	CONST_CODE_E4197192 = "E4197192"
	CONST_CODE_E4197193 = "E4197193"
	CONST_CODE_E4197194 = "E4197194"
	CONST_CODE_E4197195 = "E4197195"
	CONST_CODE_E4197196 = "E4197196"
	CONST_CODE_E4197197 = "E4197197"
	CONST_CODE_E4197198 = "E4197198"
	CONST_CODE_E4197199 = "E4197199"
	CONST_CODE_E4197200 = "E4197200"
	CONST_CODE_E4197201 = "E4197201"
	CONST_CODE_E4197202 = "E4197202"
	CONST_CODE_E4197203 = "E4197203"
	CONST_CODE_E4197204 = "E4197204"
	CONST_CODE_E4197205 = "E4197205"
	CONST_CODE_E4197206 = "E4197206"
	CONST_CODE_E4197207 = "E4197207"
	CONST_CODE_E4197208 = "E4197208"
	CONST_CODE_E4197209 = "E4197209"
	CONST_CODE_E4197210 = "E4197210"
	CONST_CODE_E4197211 = "E4197211"
	CONST_CODE_E4197212 = "E4197212"
	CONST_CODE_E4197213 = "E4197213"
	CONST_CODE_E4197214 = "E4197214"
	CONST_CODE_E4197215 = "E4197215"
	CONST_CODE_E4197216 = "E4197216"
	CONST_CODE_E4197217 = "E4197217"
	CONST_CODE_E4197218 = "E4197218"
	CONST_CODE_E4197219 = "E4197219"
	CONST_CODE_E4197220 = "E4197220"
	CONST_CODE_E4197221 = "E4197221"
	CONST_CODE_E4197222 = "E4197222"
	CONST_CODE_E4197223 = "E4197223"
	CONST_CODE_E4197224 = "E4197224"
	CONST_CODE_E4197225 = "E4197225"
	CONST_CODE_E4197226 = "E4197226"
	CONST_CODE_E4197227 = "E4197227"
	CONST_CODE_E4197228 = "E4197228"
	CONST_CODE_E4197229 = "E4197229"
	CONST_CODE_E4197230 = "E4197230"
	CONST_CODE_E4197231 = "E4197231"
	CONST_CODE_E4197232 = "E4197232"
	CONST_CODE_E4197233 = "E4197233"
	CONST_CODE_E4197234 = "E4197234"
	CONST_CODE_E4197235 = "E4197235"
	CONST_CODE_E4197236 = "E4197236"
	CONST_CODE_E4197237 = "E4197237"
	CONST_CODE_E4197238 = "E4197238"
	CONST_CODE_E4197239 = "E4197239"
	CONST_CODE_E4197240 = "E4197240"
	CONST_CODE_E4197241 = "E4197241"
	CONST_CODE_E4197242 = "E4197242"
	CONST_CODE_E4197243 = "E4197243"
	CONST_CODE_E4197244 = "E4197244"
	CONST_CODE_E4197245 = "E4197245"
	CONST_CODE_E4197246 = "E4197246"
	CONST_CODE_E4197247 = "E4197247"
	CONST_CODE_E4197248 = "E4197248"
	CONST_CODE_E4197249 = "E4197249"
	CONST_CODE_E4197250 = "E4197250"
	CONST_CODE_E4197251 = "E4197251"
	CONST_CODE_E4197252 = "E4197252"
	CONST_CODE_E4197253 = "E4197253"
	CONST_CODE_E4197254 = "E4197254"
	CONST_CODE_E4197255 = "E4197255"
	CONST_CODE_E4197256 = "E4197256"
	CONST_CODE_E4197257 = "E4197257"
	CONST_CODE_E4197258 = "E4197258"
	CONST_CODE_E4197259 = "E4197259"
	CONST_CODE_E4197260 = "E4197260"
	CONST_CODE_E4197261 = "E4197261"
	CONST_CODE_E4197262 = "E4197262"
	CONST_CODE_E4197263 = "E4197263"
	CONST_CODE_E4197264 = "E4197264"
	CONST_CODE_E4197265 = "E4197265"
	CONST_CODE_E4197266 = "E4197266"
	CONST_CODE_E4197267 = "E4197267"
	CONST_CODE_E4197268 = "E4197268"
	CONST_CODE_E4197269 = "E4197269"
	CONST_CODE_E4197270 = "E4197270"
	CONST_CODE_E4197271 = "E4197271"
	CONST_CODE_E4197272 = "E4197272"
	CONST_CODE_E4197273 = "E4197273"
	CONST_CODE_E4197274 = "E4197274"
	CONST_CODE_E4197275 = "E4197275"
	CONST_CODE_E4197276 = "E4197276"
	CONST_CODE_E4197277 = "E4197277"
	CONST_CODE_E4197278 = "E4197278"
	CONST_CODE_E4197279 = "E4197279"
	CONST_CODE_E4197280 = "E4197280"
	CONST_CODE_E4197281 = "E4197281"
	CONST_CODE_E4197282 = "E4197282"
	CONST_CODE_E4197283 = "E4197283"
	CONST_CODE_E4197284 = "E4197284"
	CONST_CODE_E4197285 = "E4197285"
	CONST_CODE_E4197286 = "E4197286"
	CONST_CODE_E4197287 = "E4197287"
	CONST_CODE_E4197288 = "E4197288"
	CONST_CODE_E4197289 = "E4197289"
	CONST_CODE_E4197290 = "E4197290"
	CONST_CODE_E4197291 = "E4197291"
	CONST_CODE_E4197292 = "E4197292"
	CONST_CODE_E4197293 = "E4197293"
	CONST_CODE_E4197294 = "E4197294"
	CONST_CODE_E4197295 = "E4197295"
	CONST_CODE_E4197296 = "E4197296"
	CONST_CODE_E4197297 = "E4197297"
	CONST_CODE_E4197298 = "E4197298"
	CONST_CODE_E4197299 = "E4197299"
	CONST_CODE_E4197300 = "E4197300"
	CONST_CODE_E4197301 = "E4197301"
	CONST_CODE_E4197302 = "E4197302"
	CONST_CODE_E4197303 = "E4197303"
	CONST_CODE_E4197304 = "E4197304"
	CONST_CODE_E4197305 = "E4197305"
	CONST_CODE_E4197306 = "E4197306"
	CONST_CODE_E4197307 = "E4197307"
	CONST_CODE_E4197308 = "E4197308"
	CONST_CODE_E4197309 = "E4197309"
	CONST_CODE_E4197310 = "E4197310"
	CONST_CODE_E4197311 = "E4197311"
	CONST_CODE_E4197312 = "E4197312"
	CONST_CODE_E4197313 = "E4197313"
	CONST_CODE_E4197314 = "E4197314"
	CONST_CODE_E4197315 = "E4197315"
	CONST_CODE_E4197316 = "E4197316"
	CONST_CODE_E4197317 = "E4197317"
	CONST_CODE_E4197318 = "E4197318"
	CONST_CODE_E4197319 = "E4197319"
	CONST_CODE_E4197320 = "E4197320"
	CONST_CODE_E4197321 = "E4197321"
	CONST_CODE_E4197322 = "E4197322"
	CONST_CODE_E4197323 = "E4197323"
	CONST_CODE_E4197324 = "E4197324"
	CONST_CODE_E4197325 = "E4197325"
	CONST_CODE_E4197326 = "E4197326"
	CONST_CODE_E4197327 = "E4197327"
	CONST_CODE_E4197328 = "E4197328"
	CONST_CODE_E4197329 = "E4197329"
	CONST_CODE_E4197330 = "E4197330"
	CONST_CODE_E4197331 = "E4197331"
	CONST_CODE_E4197332 = "E4197332"
	CONST_CODE_E4197333 = "E4197333"
	CONST_CODE_E4197334 = "E4197334"
	CONST_CODE_E4197335 = "E4197335"
	CONST_CODE_E4197336 = "E4197336"
	CONST_CODE_E4197337 = "E4197337"
	CONST_CODE_E4197338 = "E4197338"
	CONST_CODE_E4197339 = "E4197339"
	CONST_CODE_E4197340 = "E4197340"
	CONST_CODE_E4197341 = "E4197341"
	CONST_CODE_F0156 = "F0156"
	CONST_CODE_F0157 = "F0157"
	CONST_CODE_F0169 = "F0169"
	CONST_CODE_F0170 = "F0170"
	CONST_CODE_F0174 = "F0174"
	CONST_CODE_F0175 = "F0175"
	CONST_CODE_F0176 = "F0176"
	CONST_CODE_F0177 = "F0177"
	CONST_CODE_F0178 = "F0178"
	CONST_CODE_F0179 = "F0179"
	CONST_CODE_F0180 = "F0180"
	CONST_CODE_F0181 = "F0181"
	CONST_CODE_F0182 = "F0182"
	CONST_CODE_F0183 = "F0183"
	CONST_CODE_F0184 = "F0184"
	CONST_CODE_F0185 = "F0185"
	CONST_CODE_F0186 = "F0186"
	CONST_CODE_F0187 = "F0187"
	CONST_CODE_F0188 = "F0188"
	CONST_CODE_F0189 = "F0189"
	CONST_CODE_F0190 = "F0190"
	CONST_CODE_F0191 = "F0191"
	CONST_CODE_F0200 = "F0200"
	CONST_CODE_F0203 = "F0203"
	CONST_CODE_F0206 = "F0206"
	CONST_CODE_F0207 = "F0207"
	CONST_CODE_F0209 = "F0209"
	CONST_CODE_F0276 = "F0276"
	CONST_CODE_F0277 = "F0277"
	CONST_CODE_F0278 = "F0278"
	CONST_CODE_F0279 = "F0279"
	CONST_CODE_F0282 = "F0282"
	CONST_CODE_F0283 = "F0283"
	CONST_CODE_F0291 = "F0291"
	CONST_CODE_F0293 = "F0293"
	CONST_CODE_F0294 = "F0294"
	CONST_CODE_F0304 = "F0304"
	CONST_CODE_F0305 = "F0305"
	CONST_CODE_F0306 = "F0306"
	CONST_CODE_F0310 = "F0310"
	CONST_CODE_F0311 = "F0311"
	CONST_CODE_F0312 = "F0312"
	CONST_CODE_F0313 = "F0313"
	CONST_CODE_F0314 = "F0314"
	CONST_CODE_F0315 = "F0315"
	CONST_CODE_F0317 = "F0317"
	CONST_CODE_F0318 = "F0318"
	CONST_CODE_F0319 = "F0319"
	CONST_CODE_F0320 = "F0320"
	CONST_CODE_F0321 = "F0321"
	CONST_CODE_F0322 = "F0322"
	CONST_CODE_F0324 = "F0324"
	CONST_CODE_F0326 = "F0326"
	CONST_CODE_F0327 = "F0327"
	CONST_CODE_F0329 = "F0329"
	CONST_CODE_F0330 = "F0330"
	CONST_CODE_F0331 = "F0331"
	CONST_CODE_F0332 = "F0332"
	CONST_CODE_F0334 = "F0334"
	CONST_CODE_F0337 = "F0337"
	CONST_CODE_F0367 = "F0367"
	CONST_CODE_F0368 = "F0368"
	CONST_CODE_F0369 = "F0369"
	CONST_CODE_F0371 = "F0371"
	CONST_CODE_F0373 = "F0373"
	CONST_CODE_F0374 = "F0374"
	CONST_CODE_F0376 = "F0376"
	CONST_CODE_F0377 = "F0377"
	CONST_CODE_F0378 = "F0378"
	CONST_CODE_F0379 = "F0379"
	CONST_CODE_F0380 = "F0380"
	CONST_CODE_F0381 = "F0381"
	CONST_CODE_F0382 = "F0382"
	CONST_CODE_F0383 = "F0383"
	CONST_CODE_F0384 = "F0384"
	CONST_CODE_F0385 = "F0385"
	CONST_CODE_F0387 = "F0387"
	CONST_CODE_F0389 = "F0389"
	CONST_CODE_F0391 = "F0391"
	CONST_CODE_F0392 = "F0392"
	CONST_CODE_F0393 = "F0393"
	CONST_CODE_F0394 = "F0394"
	CONST_CODE_F0395 = "F0395"
	CONST_CODE_F0396 = "F0396"
	CONST_CODE_F0397 = "F0397"
	CONST_CODE_F0398 = "F0398"
	CONST_CODE_F0399 = "F0399"
	CONST_CODE_F0400 = "F0400"
	CONST_CODE_F0401 = "F0401"
	CONST_CODE_F0402 = "F0402"
	CONST_CODE_F0403 = "F0403"
	CONST_CODE_F0404 = "F0404"
	CONST_CODE_F0405 = "F0405"
	CONST_CODE_F0406 = "F0406"
	CONST_CODE_F0407 = "F0407"
	CONST_CODE_F0408 = "F0408"
	CONST_CODE_F0409 = "F0409"
	CONST_CODE_F0410 = "F0410"
	CONST_CODE_F0411 = "F0411"
	CONST_CODE_F0424 = "F0424"
	CONST_CODE_F0425 = "F0425"
	CONST_CODE_F0428 = "F0428"
	CONST_CODE_F0429 = "F0429"
	CONST_CODE_F0430 = "F0430"
	CONST_CODE_F0434 = "F0434"
	CONST_CODE_F0435 = "F0435"
	CONST_CODE_F0436 = "F0436"
	CONST_CODE_F0440 = "F0440"
	CONST_CODE_F0451 = "F0451"
	CONST_CODE_F0452 = "F0452"
	CONST_CODE_F0456 = "F0456"
	CONST_CODE_F0458 = "F0458"
	CONST_CODE_F0459 = "F0459"
	CONST_CODE_F0460 = "F0460"
	CONST_CODE_F0461 = "F0461"
	CONST_CODE_F0462 = "F0462"
	CONST_CODE_F0463 = "F0463"
	CONST_CODE_F0464 = "F0464"
	CONST_CODE_F0465 = "F0465"
	CONST_CODE_F0466 = "F0466"
	CONST_CODE_F0470 = "F0470"
	CONST_CODE_F0471 = "F0471"
	CONST_CODE_F0476 = "F0476"
	CONST_CODE_F0478 = "F0478"
	CONST_CODE_F0479 = "F0479"
	CONST_CODE_F0480 = "F0480"
	CONST_CODE_F0481 = "F0481"
	CONST_CODE_F0484 = "F0484"
	CONST_CODE_F0502 = "F0502"
	CONST_CODE_F0517 = "F0517"
	CONST_CODE_F0528 = "F0528"
	CONST_CODE_F0531 = "F0531"
	CONST_CODE_F0532 = "F0532"
	CONST_CODE_F0533 = "F0533"
	CONST_CODE_F0535 = "F0535"
	CONST_CODE_F0536 = "F0536"
	CONST_CODE_F0537 = "F0537"
	CONST_CODE_F0538 = "F0538"
	CONST_CODE_F0539 = "F0539"
	CONST_CODE_F0540 = "F0540"
	CONST_CODE_F0543 = "F0543"
	CONST_CODE_F0549 = "F0549"
	CONST_CODE_F0621 = "F0621"
	CONST_CODE_F0622 = "F0622"
	CONST_CODE_F0625 = "F0625"
	CONST_CODE_F0626 = "F0626"
	CONST_CODE_F0635 = "F0635"
	CONST_CODE_F0637 = "F0637"
	CONST_CODE_F0640 = "F0640"
	CONST_CODE_F0642 = "F0642"
	CONST_CODE_F0643 = "F0643"
	CONST_CODE_F0670 = "F0670"
	CONST_CODE_F0671 = "F0671"
	CONST_CODE_F0672 = "F0672"
	CONST_CODE_F0673 = "F0673"
	CONST_CODE_F0674 = "F0674"
	CONST_CODE_F0675 = "F0675"
	CONST_CODE_F0676 = "F0676"
	CONST_CODE_F0677 = "F0677"
	CONST_CODE_F0678 = "F0678"
	CONST_CODE_F0688 = "F0688"
	CONST_CODE_F0689 = "F0689"
	CONST_CODE_F0702 = "F0702"
	CONST_CODE_F0703 = "F0703"
	CONST_CODE_F0708 = "F0708"
	CONST_CODE_F0713 = "F0713"
	CONST_CODE_F0717 = "F0717"
	CONST_CODE_F0727 = "F0727"
	CONST_CODE_F0728 = "F0728"
	CONST_CODE_F0729 = "F0729"
	CONST_CODE_F0730 = "F0730"
	CONST_CODE_F0731 = "F0731"
	CONST_CODE_F0733 = "F0733"
	CONST_CODE_F0734 = "F0734"
	CONST_CODE_F0735 = "F0735"
	CONST_CODE_F0736 = "F0736"
	CONST_CODE_F0740 = "F0740"
	CONST_CODE_F0741 = "F0741"
	CONST_CODE_F0742 = "F0742"
	CONST_CODE_F0743 = "F0743"
	CONST_CODE_F0744 = "F0744"
	CONST_CODE_F0747 = "F0747"
	CONST_CODE_F0757 = "F0757"
	CONST_CODE_F0764 = "F0764"
	CONST_CODE_F0765 = "F0765"
	CONST_CODE_F0766 = "F0766"
	CONST_CODE_F0772 = "F0772"
	CONST_CODE_F0775 = "F0775"
	CONST_CODE_F0776 = "F0776"
	CONST_CODE_F0777 = "F0777"
	CONST_CODE_F0778 = "F0778"
	CONST_CODE_F0794 = "F0794"
	CONST_CODE_F0795 = "F0795"
	CONST_CODE_F0796 = "F0796"
	CONST_CODE_F0797 = "F0797"
	CONST_CODE_F0798 = "F0798"
	CONST_CODE_F0801 = "F0801"
	CONST_CODE_F0821 = "F0821"
	CONST_CODE_F0831 = "F0831"
	CONST_CODE_F0832 = "F0832"
	CONST_CODE_F0833 = "F0833"
	CONST_CODE_F0834 = "F0834"
	CONST_CODE_F0835 = "F0835"
	CONST_CODE_F0836 = "F0836"
	CONST_CODE_F0840 = "F0840"
	CONST_CODE_F0841 = "F0841"
	CONST_CODE_F0842 = "F0842"
	CONST_CODE_F0844 = "F0844"
	CONST_CODE_F0856 = "F0856"
	CONST_CODE_F0858 = "F0858"
	CONST_CODE_F0863 = "F0863"
	CONST_CODE_F0864 = "F0864"
	CONST_CODE_F0865 = "F0865"
	CONST_CODE_F0866 = "F0866"
	CONST_CODE_F0867 = "F0867"
	CONST_CODE_F0868 = "F0868"
	CONST_CODE_F0869 = "F0869"
	CONST_CODE_F0876 = "F0876"
	CONST_CODE_F0881 = "F0881"
	CONST_CODE_F0882 = "F0882"
	CONST_CODE_F0883 = "F0883"
	CONST_CODE_F0884 = "F0884"
	CONST_CODE_F0885 = "F0885"
	CONST_CODE_F0900 = "F0900"
	CONST_CODE_F0901 = "F0901"
	CONST_CODE_F0902 = "F0902"
	CONST_CODE_F0903 = "F0903"
	CONST_CODE_F0909 = "F0909"
	CONST_CODE_F0910 = "F0910"
	CONST_CODE_F0915 = "F0915"
	CONST_CODE_F0916 = "F0916"
	CONST_CODE_F0917 = "F0917"
	CONST_CODE_F0918 = "F0918"
	CONST_CODE_F0919 = "F0919"
	CONST_CODE_F0920 = "F0920"
	CONST_CODE_F0921 = "F0921"
	CONST_CODE_F0932 = "F0932"
	CONST_CODE_F0933 = "F0933"
	CONST_CODE_F0934 = "F0934"
	CONST_CODE_F0935 = "F0935"
	CONST_CODE_F0936 = "F0936"
	CONST_CODE_F0937 = "F0937"
	CONST_CODE_F0988 = "F0988"
	CONST_CODE_F0996 = "F0996"
	CONST_CODE_F0997 = "F0997"
	CONST_CODE_F0998 = "F0998"
	CONST_CODE_F0999 = "F0999"
	CONST_CODE_F1000 = "F1000"
	CONST_CODE_F1000013 = "F1000013"
	CONST_CODE_F1000014 = "F1000014"
	CONST_CODE_F1000015 = "F1000015"
	CONST_CODE_F1000016 = "F1000016"
	CONST_CODE_F1000017 = "F1000017"
	CONST_CODE_F1000018 = "F1000018"
	CONST_CODE_F1000019 = "F1000019"
	CONST_CODE_F1000020 = "F1000020"
	CONST_CODE_F1000021 = "F1000021"
	CONST_CODE_F1000022 = "F1000022"
	CONST_CODE_F1000023 = "F1000023"
	CONST_CODE_F1000024 = "F1000024"
	CONST_CODE_F1000026 = "F1000026"
	CONST_CODE_F1000027 = "F1000027"
	CONST_CODE_F1000028 = "F1000028"
	CONST_CODE_F1000034 = "F1000034"
	CONST_CODE_F1000035 = "F1000035"
	CONST_CODE_F1000040 = "F1000040"
	CONST_CODE_F1000041 = "F1000041"
	CONST_CODE_F1000042 = "F1000042"
	CONST_CODE_F1000048 = "F1000048"
	CONST_CODE_F1000052 = "F1000052"
	CONST_CODE_F1000053 = "F1000053"
	CONST_CODE_F1000054 = "F1000054"
	CONST_CODE_F1000083 = "F1000083"
	CONST_CODE_F1000084 = "F1000084"
	CONST_CODE_F1000085 = "F1000085"
	CONST_CODE_F1000086 = "F1000086"
	CONST_CODE_F1000090 = "F1000090"
	CONST_CODE_F1000091 = "F1000091"
	CONST_CODE_F1000092 = "F1000092"
	CONST_CODE_F1000093 = "F1000093"
	CONST_CODE_F1000123 = "F1000123"
	CONST_CODE_F1000124 = "F1000124"
	CONST_CODE_F1000129 = "F1000129"
	CONST_CODE_F1000156 = "F1000156"
	CONST_CODE_F1000173 = "F1000173"
	CONST_CODE_F1000174 = "F1000174"
	CONST_CODE_F1000203 = "F1000203"
	CONST_CODE_F1000209 = "F1000209"
	CONST_CODE_F1000210 = "F1000210"
	CONST_CODE_F1000227 = "F1000227"
	CONST_CODE_F1000254 = "F1000254"
	CONST_CODE_F1000263 = "F1000263"
	CONST_CODE_F1000279 = "F1000279"
	CONST_CODE_F1000294 = "F1000294"
	CONST_CODE_F1000299 = "F1000299"
	CONST_CODE_F1000302 = "F1000302"
	CONST_CODE_F1000311 = "F1000311"
	CONST_CODE_F1000321 = "F1000321"
	CONST_CODE_F1000322 = "F1000322"
	CONST_CODE_F1000352 = "F1000352"
	CONST_CODE_F1000353 = "F1000353"
	CONST_CODE_F1000366 = "F1000366"
	CONST_CODE_F1000367 = "F1000367"
	CONST_CODE_F1000368 = "F1000368"
	CONST_CODE_F1000398 = "F1000398"
	CONST_CODE_F1000399 = "F1000399"
	CONST_CODE_F1000400 = "F1000400"
	CONST_CODE_F1000401 = "F1000401"
	CONST_CODE_F1000417 = "F1000417"
	CONST_CODE_F1000418 = "F1000418"
	CONST_CODE_F1000419 = "F1000419"
	CONST_CODE_F1000435 = "F1000435"
	CONST_CODE_F1000448 = "F1000448"
	CONST_CODE_F1000449 = "F1000449"
	CONST_CODE_F1000466 = "F1000466"
	CONST_CODE_F1000479 = "F1000479"
	CONST_CODE_F1000486 = "F1000486"
	CONST_CODE_F1000487 = "F1000487"
	CONST_CODE_F1000488 = "F1000488"
	CONST_CODE_F1000489 = "F1000489"
	CONST_CODE_F1000490 = "F1000490"
	CONST_CODE_F1000491 = "F1000491"
	CONST_CODE_F1000492 = "F1000492"
	CONST_CODE_F1000493 = "F1000493"
	CONST_CODE_F1000494 = "F1000494"
	CONST_CODE_F1000495 = "F1000495"
	CONST_CODE_F1000496 = "F1000496"
	CONST_CODE_F1000497 = "F1000497"
	CONST_CODE_F1000498 = "F1000498"
	CONST_CODE_F1000499 = "F1000499"
	CONST_CODE_F1000500 = "F1000500"
	CONST_CODE_F1000501 = "F1000501"
	CONST_CODE_F1000502 = "F1000502"
	CONST_CODE_F1000524 = "F1000524"
	CONST_CODE_F1000525 = "F1000525"
	CONST_CODE_F1000531 = "F1000531"
	CONST_CODE_F1000532 = "F1000532"
	CONST_CODE_F1000533 = "F1000533"
	CONST_CODE_F1000534 = "F1000534"
	CONST_CODE_F1000539 = "F1000539"
	CONST_CODE_F1000648 = "F1000648"
	CONST_CODE_F1000649 = "F1000649"
	CONST_CODE_F1000652 = "F1000652"
	CONST_CODE_F1000659 = "F1000659"
	CONST_CODE_F1000679 = "F1000679"
	CONST_CODE_F1000705 = "F1000705"
	CONST_CODE_F1000707 = "F1000707"
	CONST_CODE_F1000743 = "F1000743"
	CONST_CODE_F1000747 = "F1000747"
	CONST_CODE_F1000748 = "F1000748"
	CONST_CODE_F1000754 = "F1000754"
	CONST_CODE_F1000755 = "F1000755"
	CONST_CODE_F1000756 = "F1000756"
	CONST_CODE_F1000757 = "F1000757"
	CONST_CODE_F1000795 = "F1000795"
	CONST_CODE_F1000797 = "F1000797"
	CONST_CODE_F1001 = "F1001"
	CONST_CODE_F1002 = "F1002"
	CONST_CODE_F1003 = "F1003"
	CONST_CODE_F1004 = "F1004"
	CONST_CODE_F1005 = "F1005"
	CONST_CODE_F1006 = "F1006"
	CONST_CODE_F1007 = "F1007"
	CONST_CODE_F1008 = "F1008"
	CONST_CODE_F1009 = "F1009"
	CONST_CODE_F1010 = "F1010"
	CONST_CODE_F1026 = "F1026"
	CONST_CODE_F1027 = "F1027"
	CONST_CODE_F1028 = "F1028"
	CONST_CODE_F1029 = "F1029"
	CONST_CODE_F1030 = "F1030"
	CONST_CODE_F1031 = "F1031"
	CONST_CODE_F1032 = "F1032"
	CONST_CODE_F1033 = "F1033"
	CONST_CODE_F1034 = "F1034"
	CONST_CODE_F1035 = "F1035"
	CONST_CODE_F1036 = "F1036"
	CONST_CODE_F1037 = "F1037"
	CONST_CODE_F1040 = "F1040"
	CONST_CODE_F1056 = "F1056"
	CONST_CODE_F1057 = "F1057"
	CONST_CODE_F1080 = "F1080"
	CONST_CODE_F1081 = "F1081"
	CONST_CODE_F1082 = "F1082"
	CONST_CODE_F1083 = "F1083"
	CONST_CODE_F1084 = "F1084"
	CONST_CODE_F1085 = "F1085"
	CONST_CODE_F1086 = "F1086"
	CONST_CODE_F1087 = "F1087"
	CONST_CODE_F1088 = "F1088"
	CONST_CODE_F1089 = "F1089"
	CONST_CODE_F1090 = "F1090"
	CONST_CODE_F1091 = "F1091"
	CONST_CODE_F1092 = "F1092"
	CONST_CODE_F1093 = "F1093"
	CONST_CODE_F1094 = "F1094"
	CONST_CODE_F1095 = "F1095"
	CONST_CODE_F1097 = "F1097"
	CONST_CODE_F1098 = "F1098"
	CONST_CODE_F1099 = "F1099"
	CONST_CODE_F1102 = "F1102"
	CONST_CODE_F1103 = "F1103"
	CONST_CODE_F1114 = "F1114"
	CONST_CODE_F1209 = "F1209"
	CONST_CODE_F1211 = "F1211"
	CONST_CODE_F1212 = "F1212"
	CONST_CODE_F1213 = "F1213"
	CONST_CODE_F1214 = "F1214"
	CONST_CODE_F1215 = "F1215"
	CONST_CODE_F1216 = "F1216"
	CONST_CODE_F1217 = "F1217"
	CONST_CODE_F1218 = "F1218"
	CONST_CODE_F1219 = "F1219"
	CONST_CODE_F1220 = "F1220"
	CONST_CODE_F1221 = "F1221"
	CONST_CODE_F1222 = "F1222"
	CONST_CODE_F1223 = "F1223"
	CONST_CODE_F1229 = "F1229"
	CONST_CODE_F1236 = "F1236"
	CONST_CODE_F1237 = "F1237"
	CONST_CODE_F1249 = "F1249"
	CONST_CODE_F1250 = "F1250"
	CONST_CODE_F1251 = "F1251"
	CONST_CODE_F1252 = "F1252"
	CONST_CODE_F1256 = "F1256"
	CONST_CODE_F1257 = "F1257"
	CONST_CODE_F1258 = "F1258"
	CONST_CODE_F1259 = "F1259"
	CONST_CODE_F1260 = "F1260"
	CONST_CODE_F1261 = "F1261"
	CONST_CODE_F1262 = "F1262"
	CONST_CODE_F1279 = "F1279"
	CONST_CODE_F1284 = "F1284"
	CONST_CODE_F1285 = "F1285"
	CONST_CODE_F1304 = "F1304"
	CONST_CODE_F1305 = "F1305"
	CONST_CODE_F1306 = "F1306"
	CONST_CODE_F1320 = "F1320"
	CONST_CODE_F1321 = "F1321"
	CONST_CODE_F1325 = "F1325"
	CONST_CODE_F1328 = "F1328"
	CONST_CODE_F1329 = "F1329"
	CONST_CODE_F1358 = "F1358"
	CONST_CODE_F1359 = "F1359"
	CONST_CODE_F1360 = "F1360"
	CONST_CODE_F1361 = "F1361"
	CONST_CODE_F1362 = "F1362"
	CONST_CODE_F1363 = "F1363"
	CONST_CODE_F1365 = "F1365"
	CONST_CODE_F1366 = "F1366"
	CONST_CODE_F1369 = "F1369"
	CONST_CODE_F1380 = "F1380"
	CONST_CODE_F1382 = "F1382"
	CONST_CODE_F1383 = "F1383"
	CONST_CODE_F1384 = "F1384"
	CONST_CODE_F1385 = "F1385"
	CONST_CODE_F1386 = "F1386"
	CONST_CODE_F1387 = "F1387"
	CONST_CODE_F1388 = "F1388"
	CONST_CODE_F1389 = "F1389"
	CONST_CODE_F1392 = "F1392"
	CONST_CODE_F1396 = "F1396"
	CONST_CODE_F1397 = "F1397"
	CONST_CODE_F1404 = "F1404"
	CONST_CODE_F16405 = "F16405"
	CONST_CODE_F16406 = "F16406"
	CONST_CODE_F16407 = "F16407"
	CONST_CODE_F16408 = "F16408"
	CONST_CODE_F16518 = "F16518"
	CONST_CODE_F16519 = "F16519"
	CONST_CODE_F16520 = "F16520"
	CONST_CODE_F16533 = "F16533"
	CONST_CODE_F16534 = "F16534"
	CONST_CODE_F16535 = "F16535"
	CONST_CODE_F16539 = "F16539"
	CONST_CODE_F16550 = "F16550"
	CONST_CODE_F16576 = "F16576"
	CONST_CODE_F16577 = "F16577"
	CONST_CODE_F16579 = "F16579"
	CONST_CODE_F16580 = "F16580"
	CONST_CODE_F16581 = "F16581"
	CONST_CODE_F16582 = "F16582"
	CONST_CODE_F16600 = "F16600"
	CONST_CODE_F16601 = "F16601"
	CONST_CODE_F16604 = "F16604"
	CONST_CODE_F16605 = "F16605"
	CONST_CODE_F16606 = "F16606"
	CONST_CODE_F16634 = "F16634"
	CONST_CODE_F16635 = "F16635"
	CONST_CODE_F16636 = "F16636"
	CONST_CODE_F16637 = "F16637"
	CONST_CODE_F16641 = "F16641"
	CONST_CODE_F16650 = "F16650"
	CONST_CODE_F16651 = "F16651"
	CONST_CODE_F16653 = "F16653"
	CONST_CODE_F16654 = "F16654"
	CONST_CODE_F16655 = "F16655"
	CONST_CODE_F16656 = "F16656"
	CONST_CODE_F16657 = "F16657"
	CONST_CODE_F16670 = "F16670"
	CONST_CODE_F16673 = "F16673"
	CONST_CODE_F16674 = "F16674"
	CONST_CODE_F16679 = "F16679"
	CONST_CODE_F16680 = "F16680"
	CONST_CODE_F16681 = "F16681"
	CONST_CODE_F16682 = "F16682"
	CONST_CODE_F16683 = "F16683"
	CONST_CODE_F16684 = "F16684"
	CONST_CODE_F16742 = "F16742"
	CONST_CODE_F16745 = "F16745"
	CONST_CODE_F16749 = "F16749"
	CONST_CODE_F16750 = "F16750"
	CONST_CODE_F16803 = "F16803"
	CONST_CODE_F16815 = "F16815"
	CONST_CODE_F16823 = "F16823"
	CONST_CODE_F16852 = "F16852"
	CONST_CODE_F16857 = "F16857"
	CONST_CODE_F16858 = "F16858"
	CONST_CODE_F16879 = "F16879"
	CONST_CODE_F16880 = "F16880"
	CONST_CODE_F16881 = "F16881"
	CONST_CODE_F16898 = "F16898"
	CONST_CODE_F16904 = "F16904"
	CONST_CODE_F16906 = "F16906"
	CONST_CODE_F16931 = "F16931"
	CONST_CODE_F16942 = "F16942"
	CONST_CODE_F16943 = "F16943"
	CONST_CODE_F16944 = "F16944"
	CONST_CODE_F16945 = "F16945"
	CONST_CODE_F16973 = "F16973"
	CONST_CODE_F16974 = "F16974"
	CONST_CODE_F16975 = "F16975"
	CONST_CODE_F16976 = "F16976"
	CONST_CODE_F16977 = "F16977"
	CONST_CODE_F16978 = "F16978"
	CONST_CODE_F16979 = "F16979"
	CONST_CODE_F16980 = "F16980"
	CONST_CODE_F16981 = "F16981"
	CONST_CODE_F16982 = "F16982"
	CONST_CODE_F16983 = "F16983"
	CONST_CODE_F16984 = "F16984"
	CONST_CODE_F16986 = "F16986"
	CONST_CODE_F16987 = "F16987"
	CONST_CODE_F16988 = "F16988"
	CONST_CODE_F16994 = "F16994"
	CONST_CODE_F16995 = "F16995"
	CONST_CODE_F17000 = "F17000"
	CONST_CODE_F17001 = "F17001"
	CONST_CODE_F17002 = "F17002"
	CONST_CODE_F17008 = "F17008"
	CONST_CODE_F17012 = "F17012"
	CONST_CODE_F17013 = "F17013"
	CONST_CODE_F17014 = "F17014"
	CONST_CODE_F17043 = "F17043"
	CONST_CODE_F17044 = "F17044"
	CONST_CODE_F17045 = "F17045"
	CONST_CODE_F17046 = "F17046"
	CONST_CODE_F17050 = "F17050"
	CONST_CODE_F17051 = "F17051"
	CONST_CODE_F17052 = "F17052"
	CONST_CODE_F17053 = "F17053"
	CONST_CODE_F17083 = "F17083"
	CONST_CODE_F17084 = "F17084"
	CONST_CODE_F17089 = "F17089"
	CONST_CODE_F17116 = "F17116"
	CONST_CODE_F17133 = "F17133"
	CONST_CODE_F17134 = "F17134"
	CONST_CODE_F17163 = "F17163"
	CONST_CODE_F17169 = "F17169"
	CONST_CODE_F17170 = "F17170"
	CONST_CODE_F17187 = "F17187"
	CONST_CODE_F17214 = "F17214"
	CONST_CODE_F17223 = "F17223"
	CONST_CODE_F17239 = "F17239"
	CONST_CODE_F17254 = "F17254"
	CONST_CODE_F17259 = "F17259"
	CONST_CODE_F17262 = "F17262"
	CONST_CODE_F17271 = "F17271"
	CONST_CODE_F17281 = "F17281"
	CONST_CODE_F17282 = "F17282"
	CONST_CODE_F17312 = "F17312"
	CONST_CODE_F17313 = "F17313"
	CONST_CODE_F17326 = "F17326"
	CONST_CODE_F17327 = "F17327"
	CONST_CODE_F17328 = "F17328"
	CONST_CODE_F17358 = "F17358"
	CONST_CODE_F17359 = "F17359"
	CONST_CODE_F17360 = "F17360"
	CONST_CODE_F17361 = "F17361"
	CONST_CODE_F17377 = "F17377"
	CONST_CODE_F17378 = "F17378"
	CONST_CODE_F17379 = "F17379"
	CONST_CODE_F17395 = "F17395"
	CONST_CODE_F17408 = "F17408"
	CONST_CODE_F17409 = "F17409"
	CONST_CODE_F17426 = "F17426"
	CONST_CODE_F17439 = "F17439"
	CONST_CODE_F17446 = "F17446"
	CONST_CODE_F17447 = "F17447"
	CONST_CODE_F17448 = "F17448"
	CONST_CODE_F17449 = "F17449"
	CONST_CODE_F17450 = "F17450"
	CONST_CODE_F17451 = "F17451"
	CONST_CODE_F17452 = "F17452"
	CONST_CODE_F17453 = "F17453"
	CONST_CODE_F17454 = "F17454"
	CONST_CODE_F17455 = "F17455"
	CONST_CODE_F17456 = "F17456"
	CONST_CODE_F17457 = "F17457"
	CONST_CODE_F17458 = "F17458"
	CONST_CODE_F17459 = "F17459"
	CONST_CODE_F17460 = "F17460"
	CONST_CODE_F17461 = "F17461"
	CONST_CODE_F17462 = "F17462"
	CONST_CODE_F17484 = "F17484"
	CONST_CODE_F17485 = "F17485"
	CONST_CODE_F17491 = "F17491"
	CONST_CODE_F17492 = "F17492"
	CONST_CODE_F17493 = "F17493"
	CONST_CODE_F17494 = "F17494"
	CONST_CODE_F17499 = "F17499"
	CONST_CODE_F17608 = "F17608"
	CONST_CODE_F17609 = "F17609"
	CONST_CODE_F17612 = "F17612"
	CONST_CODE_F17619 = "F17619"
	CONST_CODE_F17639 = "F17639"
	CONST_CODE_F17665 = "F17665"
	CONST_CODE_F17667 = "F17667"
	CONST_CODE_F17703 = "F17703"
	CONST_CODE_F17707 = "F17707"
	CONST_CODE_F17708 = "F17708"
	CONST_CODE_F17714 = "F17714"
	CONST_CODE_F17715 = "F17715"
	CONST_CODE_F17716 = "F17716"
	CONST_CODE_F17717 = "F17717"
	CONST_CODE_F17755 = "F17755"
	CONST_CODE_F17757 = "F17757"
	CONST_CODE_F33142 = "F33142"
	CONST_CODE_F33144 = "F33144"
	CONST_CODE_F33145 = "F33145"
	CONST_CODE_F33146 = "F33146"
	CONST_CODE_F33167 = "F33167"
	CONST_CODE_F33168 = "F33168"
	CONST_CODE_F33169 = "F33169"
	CONST_CODE_F33170 = "F33170"
	CONST_CODE_F33177 = "F33177"
	CONST_CODE_F33178 = "F33178"
	CONST_CODE_F33179 = "F33179"
	CONST_CODE_F33180 = "F33180"
	CONST_CODE_F33187 = "F33187"
	CONST_CODE_F33188 = "F33188"
	CONST_CODE_F33189 = "F33189"
	CONST_CODE_F33190 = "F33190"
	CONST_CODE_F33197 = "F33197"
	CONST_CODE_F33198 = "F33198"
	CONST_CODE_F33199 = "F33199"
	CONST_CODE_F33200 = "F33200"
	CONST_CODE_F33211 = "F33211"
	CONST_CODE_F33212 = "F33212"
	CONST_CODE_F33213 = "F33213"
	CONST_CODE_F33214 = "F33214"
	CONST_CODE_F33221 = "F33221"
	CONST_CODE_F33222 = "F33222"
	CONST_CODE_F33223 = "F33223"
	CONST_CODE_F33224 = "F33224"
	CONST_CODE_F33231 = "F33231"
	CONST_CODE_F33232 = "F33232"
	CONST_CODE_F33233 = "F33233"
	CONST_CODE_F33234 = "F33234"
	CONST_CODE_F33241 = "F33241"
	CONST_CODE_F33242 = "F33242"
	CONST_CODE_F33243 = "F33243"
	CONST_CODE_F33244 = "F33244"
	CONST_CODE_F33251 = "F33251"
	CONST_CODE_F33252 = "F33252"
	CONST_CODE_F33253 = "F33253"
	CONST_CODE_F33254 = "F33254"
	CONST_CODE_F33261 = "F33261"
	CONST_CODE_F33262 = "F33262"
	CONST_CODE_F33263 = "F33263"
	CONST_CODE_F33264 = "F33264"
	CONST_CODE_F33271 = "F33271"
	CONST_CODE_F33272 = "F33272"
	CONST_CODE_F33273 = "F33273"
	CONST_CODE_F33274 = "F33274"
	CONST_CODE_F33281 = "F33281"
	CONST_CODE_F33282 = "F33282"
	CONST_CODE_F33283 = "F33283"
	CONST_CODE_F33284 = "F33284"
	CONST_CODE_F33291 = "F33291"
	CONST_CODE_F33292 = "F33292"
	CONST_CODE_F33293 = "F33293"
	CONST_CODE_F33294 = "F33294"
	CONST_CODE_F33301 = "F33301"
	CONST_CODE_F33302 = "F33302"
	CONST_CODE_F33303 = "F33303"
	CONST_CODE_F33304 = "F33304"
	CONST_CODE_F33483 = "F33483"
	CONST_CODE_F33485 = "F33485"
	CONST_CODE_F33486 = "F33486"
	CONST_CODE_F33487 = "F33487"
	CONST_CODE_F33491 = "F33491"
	CONST_CODE_F33493 = "F33493"
	CONST_CODE_F33494 = "F33494"
	CONST_CODE_F33495 = "F33495"
	CONST_CODE_F33499 = "F33499"
	CONST_CODE_F33501 = "F33501"
	CONST_CODE_F33502 = "F33502"
	CONST_CODE_F33503 = "F33503"
	CONST_CODE_F33720 = "F33720"
	CONST_CODE_F33721 = "F33721"
	CONST_CODE_F33722 = "F33722"
	CONST_CODE_F33723 = "F33723"
	CONST_CODE_F33730 = "F33730"
	CONST_CODE_F33731 = "F33731"
	CONST_CODE_F33732 = "F33732"
	CONST_CODE_F33733 = "F33733"
	CONST_CODE_F33740 = "F33740"
	CONST_CODE_F33741 = "F33741"
	CONST_CODE_F33742 = "F33742"
	CONST_CODE_F33743 = "F33743"
	CONST_CODE_F33750 = "F33750"
	CONST_CODE_F33751 = "F33751"
	CONST_CODE_F33752 = "F33752"
	CONST_CODE_F33753 = "F33753"
	CONST_CODE_F33760 = "F33760"
	CONST_CODE_F33761 = "F33761"
	CONST_CODE_F33762 = "F33762"
	CONST_CODE_F33763 = "F33763"
	CONST_CODE_F33770 = "F33770"
	CONST_CODE_F33771 = "F33771"
	CONST_CODE_F33772 = "F33772"
	CONST_CODE_F33773 = "F33773"
	CONST_CODE_F33810 = "F33810"
	CONST_CODE_F33811 = "F33811"
	CONST_CODE_F33812 = "F33812"
	CONST_CODE_F33813 = "F33813"
	CONST_CODE_F33820 = "F33820"
	CONST_CODE_F33821 = "F33821"
	CONST_CODE_F33822 = "F33822"
	CONST_CODE_F33823 = "F33823"
	CONST_CODE_F33830 = "F33830"
	CONST_CODE_F33831 = "F33831"
	CONST_CODE_F33832 = "F33832"
	CONST_CODE_F33833 = "F33833"
	CONST_CODE_F33840 = "F33840"
	CONST_CODE_F33841 = "F33841"
	CONST_CODE_F33842 = "F33842"
	CONST_CODE_F33843 = "F33843"
	CONST_CODE_F33850 = "F33850"
	CONST_CODE_F33851 = "F33851"
	CONST_CODE_F33852 = "F33852"
	CONST_CODE_F33853 = "F33853"
	CONST_CODE_F33860 = "F33860"
	CONST_CODE_F33861 = "F33861"
	CONST_CODE_F33862 = "F33862"
	CONST_CODE_F33863 = "F33863"
	CONST_CODE_F33875 = "F33875"
	CONST_CODE_F33876 = "F33876"
	CONST_CODE_F33877 = "F33877"
	CONST_CODE_F33878 = "F33878"
	CONST_CODE_F33885 = "F33885"
	CONST_CODE_F33886 = "F33886"
	CONST_CODE_F33887 = "F33887"
	CONST_CODE_F33888 = "F33888"
	CONST_CODE_F33895 = "F33895"
	CONST_CODE_F33896 = "F33896"
	CONST_CODE_F33897 = "F33897"
	CONST_CODE_F33898 = "F33898"
	CONST_CODE_F33905 = "F33905"
	CONST_CODE_F33906 = "F33906"
	CONST_CODE_F33907 = "F33907"
	CONST_CODE_F33908 = "F33908"
	CONST_CODE_F33915 = "F33915"
	CONST_CODE_F33916 = "F33916"
	CONST_CODE_F33917 = "F33917"
	CONST_CODE_F33918 = "F33918"
	CONST_CODE_F33925 = "F33925"
	CONST_CODE_F33926 = "F33926"
	CONST_CODE_F33927 = "F33927"
	CONST_CODE_F33928 = "F33928"
	CONST_CODE_F33940 = "F33940"
	CONST_CODE_F33941 = "F33941"
	CONST_CODE_F33942 = "F33942"
	CONST_CODE_F33943 = "F33943"
	CONST_CODE_F33950 = "F33950"
	CONST_CODE_F33951 = "F33951"
	CONST_CODE_F33952 = "F33952"
	CONST_CODE_F33953 = "F33953"
	CONST_CODE_F33960 = "F33960"
	CONST_CODE_F33961 = "F33961"
	CONST_CODE_F33962 = "F33962"
	CONST_CODE_F33963 = "F33963"
	CONST_CODE_F33970 = "F33970"
	CONST_CODE_F33971 = "F33971"
	CONST_CODE_F33972 = "F33972"
	CONST_CODE_F33973 = "F33973"
	CONST_CODE_F33980 = "F33980"
	CONST_CODE_F33981 = "F33981"
	CONST_CODE_F33982 = "F33982"
	CONST_CODE_F33983 = "F33983"
	CONST_CODE_F33995 = "F33995"
	CONST_CODE_F33996 = "F33996"
	CONST_CODE_F33997 = "F33997"
	CONST_CODE_F33998 = "F33998"
	CONST_CODE_F34005 = "F34005"
	CONST_CODE_F34006 = "F34006"
	CONST_CODE_F34007 = "F34007"
	CONST_CODE_F34008 = "F34008"
	CONST_CODE_F34015 = "F34015"
	CONST_CODE_F34016 = "F34016"
	CONST_CODE_F34017 = "F34017"
	CONST_CODE_F34018 = "F34018"
	CONST_CODE_F34030 = "F34030"
	CONST_CODE_F34031 = "F34031"
	CONST_CODE_F34032 = "F34032"
	CONST_CODE_F34033 = "F34033"
	CONST_CODE_F34040 = "F34040"
	CONST_CODE_F34041 = "F34041"
	CONST_CODE_F34042 = "F34042"
	CONST_CODE_F34043 = "F34043"
	CONST_CODE_F34050 = "F34050"
	CONST_CODE_F34051 = "F34051"
	CONST_CODE_F34052 = "F34052"
	CONST_CODE_F34053 = "F34053"
	CONST_CODE_F34064 = "F34064"
	CONST_CODE_F34065 = "F34065"
	CONST_CODE_F34066 = "F34066"
	CONST_CODE_F34067 = "F34067"
	CONST_CODE_F34074 = "F34074"
	CONST_CODE_F34075 = "F34075"
	CONST_CODE_F34076 = "F34076"
	CONST_CODE_F34077 = "F34077"
	CONST_CODE_F34084 = "F34084"
	CONST_CODE_F34085 = "F34085"
	CONST_CODE_F34086 = "F34086"
	CONST_CODE_F34087 = "F34087"
	CONST_CODE_F34094 = "F34094"
	CONST_CODE_F34095 = "F34095"
	CONST_CODE_F34096 = "F34096"
	CONST_CODE_F34097 = "F34097"
	CONST_CODE_F34108 = "F34108"
	CONST_CODE_F34109 = "F34109"
	CONST_CODE_F34110 = "F34110"
	CONST_CODE_F34111 = "F34111"
	CONST_CODE_F34118 = "F34118"
	CONST_CODE_F34119 = "F34119"
	CONST_CODE_F34120 = "F34120"
	CONST_CODE_F34121 = "F34121"
	CONST_CODE_F34128 = "F34128"
	CONST_CODE_F34129 = "F34129"
	CONST_CODE_F34130 = "F34130"
	CONST_CODE_F34131 = "F34131"
	CONST_CODE_F34138 = "F34138"
	CONST_CODE_F34139 = "F34139"
	CONST_CODE_F34140 = "F34140"
	CONST_CODE_F34141 = "F34141"
	CONST_CODE_F34148 = "F34148"
	CONST_CODE_F34149 = "F34149"
	CONST_CODE_F34150 = "F34150"
	CONST_CODE_F34151 = "F34151"
	CONST_CODE_F34158 = "F34158"
	CONST_CODE_F34159 = "F34159"
	CONST_CODE_F34160 = "F34160"
	CONST_CODE_F34161 = "F34161"
	CONST_CODE_F34168 = "F34168"
	CONST_CODE_F34169 = "F34169"
	CONST_CODE_F34170 = "F34170"
	CONST_CODE_F34171 = "F34171"
	CONST_CODE_F34178 = "F34178"
	CONST_CODE_F34179 = "F34179"
	CONST_CODE_F34180 = "F34180"
	CONST_CODE_F34181 = "F34181"
	CONST_CODE_F34192 = "F34192"
	CONST_CODE_F34193 = "F34193"
	CONST_CODE_F34194 = "F34194"
	CONST_CODE_F34195 = "F34195"
	CONST_CODE_F34202 = "F34202"
	CONST_CODE_F34203 = "F34203"
	CONST_CODE_F34204 = "F34204"
	CONST_CODE_F34205 = "F34205"
	CONST_CODE_F34212 = "F34212"
	CONST_CODE_F34213 = "F34213"
	CONST_CODE_F34214 = "F34214"
	CONST_CODE_F34215 = "F34215"
	CONST_CODE_F34222 = "F34222"
	CONST_CODE_F34223 = "F34223"
	CONST_CODE_F34224 = "F34224"
	CONST_CODE_F34225 = "F34225"
	CONST_CODE_F34232 = "F34232"
	CONST_CODE_F34233 = "F34233"
	CONST_CODE_F34234 = "F34234"
	CONST_CODE_F34235 = "F34235"
	CONST_CODE_F34246 = "F34246"
	CONST_CODE_F34247 = "F34247"
	CONST_CODE_F34248 = "F34248"
	CONST_CODE_F34249 = "F34249"
	CONST_CODE_F34256 = "F34256"
	CONST_CODE_F34257 = "F34257"
	CONST_CODE_F34258 = "F34258"
	CONST_CODE_F34259 = "F34259"
	CONST_CODE_F34271 = "F34271"
	CONST_CODE_F34272 = "F34272"
	CONST_CODE_F34273 = "F34273"
	CONST_CODE_F34274 = "F34274"
	CONST_CODE_F34281 = "F34281"
	CONST_CODE_F34282 = "F34282"
	CONST_CODE_F34283 = "F34283"
	CONST_CODE_F34284 = "F34284"
	CONST_CODE_F34291 = "F34291"
	CONST_CODE_F34292 = "F34292"
	CONST_CODE_F34293 = "F34293"
	CONST_CODE_F34294 = "F34294"
	CONST_CODE_F34301 = "F34301"
	CONST_CODE_F34302 = "F34302"
	CONST_CODE_F34303 = "F34303"
	CONST_CODE_F34304 = "F34304"
	CONST_CODE_F34316 = "F34316"
	CONST_CODE_F34317 = "F34317"
	CONST_CODE_F34318 = "F34318"
	CONST_CODE_F34319 = "F34319"
	CONST_CODE_F34326 = "F34326"
	CONST_CODE_F34327 = "F34327"
	CONST_CODE_F34328 = "F34328"
	CONST_CODE_F34329 = "F34329"
	CONST_CODE_F34336 = "F34336"
	CONST_CODE_F34337 = "F34337"
	CONST_CODE_F34338 = "F34338"
	CONST_CODE_F34339 = "F34339"
	CONST_CODE_F34346 = "F34346"
	CONST_CODE_F34347 = "F34347"
	CONST_CODE_F34348 = "F34348"
	CONST_CODE_F34349 = "F34349"
	CONST_CODE_F34361 = "F34361"
	CONST_CODE_F34362 = "F34362"
	CONST_CODE_F34363 = "F34363"
	CONST_CODE_F34364 = "F34364"
	CONST_CODE_F34371 = "F34371"
	CONST_CODE_F34372 = "F34372"
	CONST_CODE_F34373 = "F34373"
	CONST_CODE_F34374 = "F34374"
	CONST_CODE_F34381 = "F34381"
	CONST_CODE_F34382 = "F34382"
	CONST_CODE_F34383 = "F34383"
	CONST_CODE_F34384 = "F34384"
	CONST_CODE_F34396 = "F34396"
	CONST_CODE_F34397 = "F34397"
	CONST_CODE_F34398 = "F34398"
	CONST_CODE_F34399 = "F34399"
	CONST_CODE_F34406 = "F34406"
	CONST_CODE_F34407 = "F34407"
	CONST_CODE_F34408 = "F34408"
	CONST_CODE_F34409 = "F34409"
	CONST_CODE_F34416 = "F34416"
	CONST_CODE_F34417 = "F34417"
	CONST_CODE_F34418 = "F34418"
	CONST_CODE_F34419 = "F34419"
	CONST_CODE_F34426 = "F34426"
	CONST_CODE_F34427 = "F34427"
	CONST_CODE_F34428 = "F34428"
	CONST_CODE_F34429 = "F34429"
	CONST_CODE_F34436 = "F34436"
	CONST_CODE_F34437 = "F34437"
	CONST_CODE_F34438 = "F34438"
	CONST_CODE_F34439 = "F34439"
	CONST_CODE_F34451 = "F34451"
	CONST_CODE_F34452 = "F34452"
	CONST_CODE_F34453 = "F34453"
	CONST_CODE_F34454 = "F34454"
	CONST_CODE_F34461 = "F34461"
	CONST_CODE_F34462 = "F34462"
	CONST_CODE_F34463 = "F34463"
	CONST_CODE_F34464 = "F34464"
	CONST_CODE_F34471 = "F34471"
	CONST_CODE_F34472 = "F34472"
	CONST_CODE_F34473 = "F34473"
	CONST_CODE_F34474 = "F34474"
	CONST_CODE_F34481 = "F34481"
	CONST_CODE_F34482 = "F34482"
	CONST_CODE_F34483 = "F34483"
	CONST_CODE_F34484 = "F34484"
	CONST_CODE_F34496 = "F34496"
	CONST_CODE_F34497 = "F34497"
	CONST_CODE_F34498 = "F34498"
	CONST_CODE_F34499 = "F34499"
	CONST_CODE_F34506 = "F34506"
	CONST_CODE_F34507 = "F34507"
	CONST_CODE_F34508 = "F34508"
	CONST_CODE_F34509 = "F34509"
	CONST_CODE_F34516 = "F34516"
	CONST_CODE_F34517 = "F34517"
	CONST_CODE_F34518 = "F34518"
	CONST_CODE_F34519 = "F34519"
	CONST_CODE_F34526 = "F34526"
	CONST_CODE_F34527 = "F34527"
	CONST_CODE_F34528 = "F34528"
	CONST_CODE_F34529 = "F34529"
	CONST_CODE_F34542 = "F34542"
	CONST_CODE_F34543 = "F34543"
	CONST_CODE_F34544 = "F34544"
	CONST_CODE_F34545 = "F34545"
	CONST_CODE_F34552 = "F34552"
	CONST_CODE_F34553 = "F34553"
	CONST_CODE_F34554 = "F34554"
	CONST_CODE_F34555 = "F34555"
	CONST_CODE_F34562 = "F34562"
	CONST_CODE_F34563 = "F34563"
	CONST_CODE_F34564 = "F34564"
	CONST_CODE_F34565 = "F34565"
	CONST_CODE_F34572 = "F34572"
	CONST_CODE_F34573 = "F34573"
	CONST_CODE_F34574 = "F34574"
	CONST_CODE_F34575 = "F34575"
	CONST_CODE_F34588 = "F34588"
	CONST_CODE_F34589 = "F34589"
	CONST_CODE_F34590 = "F34590"
	CONST_CODE_F34591 = "F34591"
	CONST_CODE_F34598 = "F34598"
	CONST_CODE_F34599 = "F34599"
	CONST_CODE_F34600 = "F34600"
	CONST_CODE_F34601 = "F34601"
	CONST_CODE_F34608 = "F34608"
	CONST_CODE_F34609 = "F34609"
	CONST_CODE_F34610 = "F34610"
	CONST_CODE_F34611 = "F34611"
	CONST_CODE_F34618 = "F34618"
	CONST_CODE_F34619 = "F34619"
	CONST_CODE_F34620 = "F34620"
	CONST_CODE_F34621 = "F34621"
	CONST_CODE_F34633 = "F34633"
	CONST_CODE_F34634 = "F34634"
	CONST_CODE_F34635 = "F34635"
	CONST_CODE_F34636 = "F34636"
	CONST_CODE_F34643 = "F34643"
	CONST_CODE_F34644 = "F34644"
	CONST_CODE_F34645 = "F34645"
	CONST_CODE_F34646 = "F34646"
	CONST_CODE_F34653 = "F34653"
	CONST_CODE_F34654 = "F34654"
	CONST_CODE_F34655 = "F34655"
	CONST_CODE_F34656 = "F34656"
	CONST_CODE_F34663 = "F34663"
	CONST_CODE_F34664 = "F34664"
	CONST_CODE_F34665 = "F34665"
	CONST_CODE_F34666 = "F34666"
	CONST_CODE_F34673 = "F34673"
	CONST_CODE_F34674 = "F34674"
	CONST_CODE_F34675 = "F34675"
	CONST_CODE_F34676 = "F34676"
	CONST_CODE_F34688 = "F34688"
	CONST_CODE_F34689 = "F34689"
	CONST_CODE_F34690 = "F34690"
	CONST_CODE_F34691 = "F34691"
	CONST_CODE_F34698 = "F34698"
	CONST_CODE_F34699 = "F34699"
	CONST_CODE_F34700 = "F34700"
	CONST_CODE_F34701 = "F34701"
	CONST_CODE_F34708 = "F34708"
	CONST_CODE_F34709 = "F34709"
	CONST_CODE_F34710 = "F34710"
	CONST_CODE_F34711 = "F34711"
	CONST_CODE_F34718 = "F34718"
	CONST_CODE_F34719 = "F34719"
	CONST_CODE_F34720 = "F34720"
	CONST_CODE_F34721 = "F34721"
	CONST_CODE_F34733 = "F34733"
	CONST_CODE_F34734 = "F34734"
	CONST_CODE_F34735 = "F34735"
	CONST_CODE_F34736 = "F34736"
	CONST_CODE_F34743 = "F34743"
	CONST_CODE_F34744 = "F34744"
	CONST_CODE_F34745 = "F34745"
	CONST_CODE_F34746 = "F34746"
	CONST_CODE_F34753 = "F34753"
	CONST_CODE_F34754 = "F34754"
	CONST_CODE_F34755 = "F34755"
	CONST_CODE_F34756 = "F34756"
	CONST_CODE_F34763 = "F34763"
	CONST_CODE_F34764 = "F34764"
	CONST_CODE_F34765 = "F34765"
	CONST_CODE_F34766 = "F34766"
	CONST_CODE_F34778 = "F34778"
	CONST_CODE_F34779 = "F34779"
	CONST_CODE_F34780 = "F34780"
	CONST_CODE_F34781 = "F34781"
	CONST_CODE_F34788 = "F34788"
	CONST_CODE_F34789 = "F34789"
	CONST_CODE_F34790 = "F34790"
	CONST_CODE_F34791 = "F34791"
	CONST_CODE_F34798 = "F34798"
	CONST_CODE_F34799 = "F34799"
	CONST_CODE_F34800 = "F34800"
	CONST_CODE_F34801 = "F34801"
	CONST_CODE_F34808 = "F34808"
	CONST_CODE_F34809 = "F34809"
	CONST_CODE_F34810 = "F34810"
	CONST_CODE_F34811 = "F34811"
	CONST_CODE_F34822 = "F34822"
	CONST_CODE_F34823 = "F34823"
	CONST_CODE_F34824 = "F34824"
	CONST_CODE_F34825 = "F34825"
	CONST_CODE_F34832 = "F34832"
	CONST_CODE_F34833 = "F34833"
	CONST_CODE_F34834 = "F34834"
	CONST_CODE_F34835 = "F34835"
	CONST_CODE_F34842 = "F34842"
	CONST_CODE_F34843 = "F34843"
	CONST_CODE_F34844 = "F34844"
	CONST_CODE_F34845 = "F34845"
	CONST_CODE_F34852 = "F34852"
	CONST_CODE_F34853 = "F34853"
	CONST_CODE_F34854 = "F34854"
	CONST_CODE_F34855 = "F34855"
	CONST_CODE_F34862 = "F34862"
	CONST_CODE_F34863 = "F34863"
	CONST_CODE_F34864 = "F34864"
	CONST_CODE_F34865 = "F34865"
	CONST_CODE_F34872 = "F34872"
	CONST_CODE_F34873 = "F34873"
	CONST_CODE_F34874 = "F34874"
	CONST_CODE_F34875 = "F34875"
	CONST_CODE_F34882 = "F34882"
	CONST_CODE_F34883 = "F34883"
	CONST_CODE_F34884 = "F34884"
	CONST_CODE_F34885 = "F34885"
	CONST_CODE_F34892 = "F34892"
	CONST_CODE_F34893 = "F34893"
	CONST_CODE_F34894 = "F34894"
	CONST_CODE_F34895 = "F34895"
	CONST_CODE_F34906 = "F34906"
	CONST_CODE_F34907 = "F34907"
	CONST_CODE_F34908 = "F34908"
	CONST_CODE_F34909 = "F34909"
	CONST_CODE_F34916 = "F34916"
	CONST_CODE_F34917 = "F34917"
	CONST_CODE_F34918 = "F34918"
	CONST_CODE_F34919 = "F34919"
	CONST_CODE_F34926 = "F34926"
	CONST_CODE_F34927 = "F34927"
	CONST_CODE_F34928 = "F34928"
	CONST_CODE_F34929 = "F34929"
	CONST_CODE_F34936 = "F34936"
	CONST_CODE_F34937 = "F34937"
	CONST_CODE_F34938 = "F34938"
	CONST_CODE_F34939 = "F34939"
	CONST_CODE_F34950 = "F34950"
	CONST_CODE_F34951 = "F34951"
	CONST_CODE_F34952 = "F34952"
	CONST_CODE_F34953 = "F34953"
	CONST_CODE_F34960 = "F34960"
	CONST_CODE_F34961 = "F34961"
	CONST_CODE_F34962 = "F34962"
	CONST_CODE_F34963 = "F34963"
	CONST_CODE_F34970 = "F34970"
	CONST_CODE_F34971 = "F34971"
	CONST_CODE_F34972 = "F34972"
	CONST_CODE_F34973 = "F34973"
	CONST_CODE_F34980 = "F34980"
	CONST_CODE_F34981 = "F34981"
	CONST_CODE_F34982 = "F34982"
	CONST_CODE_F34983 = "F34983"
	CONST_CODE_F34990 = "F34990"
	CONST_CODE_F34991 = "F34991"
	CONST_CODE_F34992 = "F34992"
	CONST_CODE_F34993 = "F34993"
	CONST_CODE_F35000 = "F35000"
	CONST_CODE_F35001 = "F35001"
	CONST_CODE_F35002 = "F35002"
	CONST_CODE_F35003 = "F35003"
	CONST_CODE_F35010 = "F35010"
	CONST_CODE_F35011 = "F35011"
	CONST_CODE_F35012 = "F35012"
	CONST_CODE_F35013 = "F35013"
	CONST_CODE_F35020 = "F35020"
	CONST_CODE_F35021 = "F35021"
	CONST_CODE_F35022 = "F35022"
	CONST_CODE_F35023 = "F35023"
	CONST_CODE_F35166 = "F35166"
	CONST_CODE_F35168 = "F35168"
	CONST_CODE_F35169 = "F35169"
	CONST_CODE_F35170 = "F35170"
	CONST_CODE_F35174 = "F35174"
	CONST_CODE_F35176 = "F35176"
	CONST_CODE_F35177 = "F35177"
	CONST_CODE_F35178 = "F35178"
	CONST_CODE_F35198 = "F35198"
	CONST_CODE_F35200 = "F35200"
	CONST_CODE_F35201 = "F35201"
	CONST_CODE_F35202 = "F35202"
	CONST_CODE_F35206 = "F35206"
	CONST_CODE_F35208 = "F35208"
	CONST_CODE_F35209 = "F35209"
	CONST_CODE_F35210 = "F35210"
	CONST_CODE_F35214 = "F35214"
	CONST_CODE_F35216 = "F35216"
	CONST_CODE_F35217 = "F35217"
	CONST_CODE_F35218 = "F35218"
	CONST_CODE_F35222 = "F35222"
	CONST_CODE_F35224 = "F35224"
	CONST_CODE_F35225 = "F35225"
	CONST_CODE_F35226 = "F35226"
	CONST_CODE_F35234 = "F35234"
	CONST_CODE_F35236 = "F35236"
	CONST_CODE_F35237 = "F35237"
	CONST_CODE_F35238 = "F35238"
	CONST_CODE_F35242 = "F35242"
	CONST_CODE_F35244 = "F35244"
	CONST_CODE_F35245 = "F35245"
	CONST_CODE_F35246 = "F35246"
	CONST_CODE_F35250 = "F35250"
	CONST_CODE_F35252 = "F35252"
	CONST_CODE_F35253 = "F35253"
	CONST_CODE_F35254 = "F35254"
	CONST_CODE_F35275 = "F35275"
	CONST_CODE_F35276 = "F35276"
	CONST_CODE_F35277 = "F35277"
	CONST_CODE_F35278 = "F35278"
	CONST_CODE_F35285 = "F35285"
	CONST_CODE_F35286 = "F35286"
	CONST_CODE_F35287 = "F35287"
	CONST_CODE_F35288 = "F35288"
	CONST_CODE_F35295 = "F35295"
	CONST_CODE_F35296 = "F35296"
	CONST_CODE_F35297 = "F35297"
	CONST_CODE_F35298 = "F35298"
	CONST_CODE_F35305 = "F35305"
	CONST_CODE_F35306 = "F35306"
	CONST_CODE_F35307 = "F35307"
	CONST_CODE_F35308 = "F35308"
	CONST_CODE_F35315 = "F35315"
	CONST_CODE_F35316 = "F35316"
	CONST_CODE_F35317 = "F35317"
	CONST_CODE_F35318 = "F35318"
	CONST_CODE_F35329 = "F35329"
	CONST_CODE_F35330 = "F35330"
	CONST_CODE_F35331 = "F35331"
	CONST_CODE_F35332 = "F35332"
	CONST_CODE_F35339 = "F35339"
	CONST_CODE_F35340 = "F35340"
	CONST_CODE_F35341 = "F35341"
	CONST_CODE_F35342 = "F35342"
	CONST_CODE_F35349 = "F35349"
	CONST_CODE_F35350 = "F35350"
	CONST_CODE_F35351 = "F35351"
	CONST_CODE_F35352 = "F35352"
	CONST_CODE_F35359 = "F35359"
	CONST_CODE_F35360 = "F35360"
	CONST_CODE_F35361 = "F35361"
	CONST_CODE_F35362 = "F35362"
	CONST_CODE_F35369 = "F35369"
	CONST_CODE_F35370 = "F35370"
	CONST_CODE_F35371 = "F35371"
	CONST_CODE_F35372 = "F35372"
	CONST_CODE_F35379 = "F35379"
	CONST_CODE_F35380 = "F35380"
	CONST_CODE_F35381 = "F35381"
	CONST_CODE_F35382 = "F35382"
	CONST_CODE_F35962 = "F35962"
	CONST_CODE_F35964 = "F35964"
	CONST_CODE_F35965 = "F35965"
	CONST_CODE_F35966 = "F35966"
	CONST_CODE_F35974 = "F35974"
	CONST_CODE_F35976 = "F35976"
	CONST_CODE_F35977 = "F35977"
	CONST_CODE_F35978 = "F35978"
	CONST_CODE_F36234 = "F36234"
	CONST_CODE_F36236 = "F36236"
	CONST_CODE_F36237 = "F36237"
	CONST_CODE_F36238 = "F36238"
	CONST_CODE_F36242 = "F36242"
	CONST_CODE_F36244 = "F36244"
	CONST_CODE_F36245 = "F36245"
	CONST_CODE_F36246 = "F36246"
	CONST_CODE_F36266 = "F36266"
	CONST_CODE_F36268 = "F36268"
	CONST_CODE_F36269 = "F36269"
	CONST_CODE_F36270 = "F36270"
	CONST_CODE_F36274 = "F36274"
	CONST_CODE_F36276 = "F36276"
	CONST_CODE_F36277 = "F36277"
	CONST_CODE_F36278 = "F36278"
	CONST_CODE_F36282 = "F36282"
	CONST_CODE_F36284 = "F36284"
	CONST_CODE_F36285 = "F36285"
	CONST_CODE_F36286 = "F36286"
	CONST_CODE_F36294 = "F36294"
	CONST_CODE_F36296 = "F36296"
	CONST_CODE_F36297 = "F36297"
	CONST_CODE_F36298 = "F36298"
	CONST_CODE_F36302 = "F36302"
	CONST_CODE_F36304 = "F36304"
	CONST_CODE_F36305 = "F36305"
	CONST_CODE_F36306 = "F36306"
	CONST_CODE_F36310 = "F36310"
	CONST_CODE_F36312 = "F36312"
	CONST_CODE_F36313 = "F36313"
	CONST_CODE_F36314 = "F36314"
	CONST_CODE_F36323 = "F36323"
	CONST_CODE_F36325 = "F36325"
	CONST_CODE_F36326 = "F36326"
	CONST_CODE_F36327 = "F36327"
	CONST_CODE_F36335 = "F36335"
	CONST_CODE_F36337 = "F36337"
	CONST_CODE_F36338 = "F36338"
	CONST_CODE_F36339 = "F36339"
	CONST_CODE_F37154 = "F37154"
	CONST_CODE_F37156 = "F37156"
	CONST_CODE_F37157 = "F37157"
	CONST_CODE_F37158 = "F37158"
	CONST_CODE_F37162 = "F37162"
	CONST_CODE_F37164 = "F37164"
	CONST_CODE_F37165 = "F37165"
	CONST_CODE_F37166 = "F37166"
	CONST_CODE_F37170 = "F37170"
	CONST_CODE_F37172 = "F37172"
	CONST_CODE_F37173 = "F37173"
	CONST_CODE_F37174 = "F37174"
	CONST_CODE_F37269 = "F37269"
	CONST_CODE_F37271 = "F37271"
	CONST_CODE_F37272 = "F37272"
	CONST_CODE_F37273 = "F37273"
	CONST_CODE_F37313 = "F37313"
	CONST_CODE_F37314 = "F37314"
	CONST_CODE_F37315 = "F37315"
	CONST_CODE_F37316 = "F37316"
	CONST_CODE_F37323 = "F37323"
	CONST_CODE_F37324 = "F37324"
	CONST_CODE_F37325 = "F37325"
	CONST_CODE_F37326 = "F37326"
	CONST_CODE_F37333 = "F37333"
	CONST_CODE_F37334 = "F37334"
	CONST_CODE_F37335 = "F37335"
	CONST_CODE_F37336 = "F37336"
	CONST_CODE_F37343 = "F37343"
	CONST_CODE_F37344 = "F37344"
	CONST_CODE_F37345 = "F37345"
	CONST_CODE_F37346 = "F37346"
	CONST_CODE_F37353 = "F37353"
	CONST_CODE_F37354 = "F37354"
	CONST_CODE_F37355 = "F37355"
	CONST_CODE_F37356 = "F37356"
	CONST_CODE_F37363 = "F37363"
	CONST_CODE_F37364 = "F37364"
	CONST_CODE_F37365 = "F37365"
	CONST_CODE_F37366 = "F37366"
	CONST_CODE_F37383 = "F37383"
	CONST_CODE_F37384 = "F37384"
	CONST_CODE_F37385 = "F37385"
	CONST_CODE_F37386 = "F37386"
	CONST_CODE_F37393 = "F37393"
	CONST_CODE_F37394 = "F37394"
	CONST_CODE_F37395 = "F37395"
	CONST_CODE_F37396 = "F37396"
	CONST_CODE_F37403 = "F37403"
	CONST_CODE_F37404 = "F37404"
	CONST_CODE_F37405 = "F37405"
	CONST_CODE_F37406 = "F37406"
	CONST_CODE_F37413 = "F37413"
	CONST_CODE_F37414 = "F37414"
	CONST_CODE_F37415 = "F37415"
	CONST_CODE_F37416 = "F37416"
	CONST_CODE_F37423 = "F37423"
	CONST_CODE_F37424 = "F37424"
	CONST_CODE_F37425 = "F37425"
	CONST_CODE_F37426 = "F37426"
	CONST_CODE_F37443 = "F37443"
	CONST_CODE_F37444 = "F37444"
	CONST_CODE_F37445 = "F37445"
	CONST_CODE_F37446 = "F37446"
	CONST_CODE_F37453 = "F37453"
	CONST_CODE_F37454 = "F37454"
	CONST_CODE_F37455 = "F37455"
	CONST_CODE_F37456 = "F37456"
	CONST_CODE_F37463 = "F37463"
	CONST_CODE_F37464 = "F37464"
	CONST_CODE_F37465 = "F37465"
	CONST_CODE_F37466 = "F37466"
	CONST_CODE_F37473 = "F37473"
	CONST_CODE_F37474 = "F37474"
	CONST_CODE_F37475 = "F37475"
	CONST_CODE_F37476 = "F37476"
	CONST_CODE_F37485 = "F37485"
	CONST_CODE_F37486 = "F37486"
	CONST_CODE_F37487 = "F37487"
	CONST_CODE_F37488 = "F37488"
	CONST_CODE_F37495 = "F37495"
	CONST_CODE_F37496 = "F37496"
	CONST_CODE_F37497 = "F37497"
	CONST_CODE_F37498 = "F37498"
	CONST_CODE_F37505 = "F37505"
	CONST_CODE_F37506 = "F37506"
	CONST_CODE_F37507 = "F37507"
	CONST_CODE_F37508 = "F37508"
	CONST_CODE_F37532 = "F37532"
	CONST_CODE_F37533 = "F37533"
	CONST_CODE_F37534 = "F37534"
	CONST_CODE_F37535 = "F37535"
	CONST_CODE_F37543 = "F37543"
	CONST_CODE_F37544 = "F37544"
	CONST_CODE_F37545 = "F37545"
	CONST_CODE_F37546 = "F37546"
	CONST_CODE_F37553 = "F37553"
	CONST_CODE_F37554 = "F37554"
	CONST_CODE_F37555 = "F37555"
	CONST_CODE_F37556 = "F37556"
	CONST_CODE_F37564 = "F37564"
	CONST_CODE_F37566 = "F37566"
	CONST_CODE_F37567 = "F37567"
	CONST_CODE_F37568 = "F37568"
	CONST_CODE_F37572 = "F37572"
	CONST_CODE_F37574 = "F37574"
	CONST_CODE_F37575 = "F37575"
	CONST_CODE_F37576 = "F37576"
	CONST_CODE_F37580 = "F37580"
	CONST_CODE_F37582 = "F37582"
	CONST_CODE_F37583 = "F37583"
	CONST_CODE_F37584 = "F37584"
	CONST_CODE_F37600 = "F37600"
	CONST_CODE_F37602 = "F37602"
	CONST_CODE_F37603 = "F37603"
	CONST_CODE_F37604 = "F37604"
	CONST_CODE_F37610 = "F37610"
	CONST_CODE_F37612 = "F37612"
	CONST_CODE_F37613 = "F37613"
	CONST_CODE_F37614 = "F37614"
	CONST_CODE_F37771 = "F37771"
	CONST_CODE_F37773 = "F37773"
	CONST_CODE_F37774 = "F37774"
	CONST_CODE_F37775 = "F37775"
	CONST_CODE_F37779 = "F37779"
	CONST_CODE_F37781 = "F37781"
	CONST_CODE_F37782 = "F37782"
	CONST_CODE_F37783 = "F37783"
	CONST_CODE_F38022 = "F38022"
	CONST_CODE_F38032 = "F38032"
	CONST_CODE_F38044 = "F38044"
	CONST_CODE_F38054 = "F38054"
	CONST_CODE_F38064 = "F38064"
	CONST_CODE_F38086 = "F38086"
	CONST_CODE_F38096 = "F38096"
	CONST_CODE_F38106 = "F38106"
	CONST_CODE_F38128 = "F38128"
	CONST_CODE_F38138 = "F38138"
	CONST_CODE_F38148 = "F38148"
	CONST_CODE_F38158 = "F38158"
	CONST_CODE_F38311 = "F38311"
	CONST_CODE_F38313 = "F38313"
	CONST_CODE_F38314 = "F38314"
	CONST_CODE_F38315 = "F38315"
	CONST_CODE_F38349 = "F38349"
	CONST_CODE_F38351 = "F38351"
	CONST_CODE_F38352 = "F38352"
	CONST_CODE_F38353 = "F38353"
	CONST_CODE_F38357 = "F38357"
	CONST_CODE_F38359 = "F38359"
	CONST_CODE_F38360 = "F38360"
	CONST_CODE_F38361 = "F38361"
	CONST_CODE_F38408 = "F38408"
	CONST_CODE_F38409 = "F38409"
	CONST_CODE_F38410 = "F38410"
	CONST_CODE_F38411 = "F38411"
	CONST_CODE_F38438 = "F38438"
	CONST_CODE_F38440 = "F38440"
	CONST_CODE_F38441 = "F38441"
	CONST_CODE_F38442 = "F38442"
	CONST_CODE_F38451 = "F38451"
	CONST_CODE_F38453 = "F38453"
	CONST_CODE_F38454 = "F38454"
	CONST_CODE_F38455 = "F38455"
	CONST_CODE_F38779 = "F38779"
	CONST_CODE_F38788 = "F38788"
	CONST_CODE_F38797 = "F38797"
	CONST_CODE_F38806 = "F38806"
	CONST_CODE_F38815 = "F38815"
	CONST_CODE_F38829 = "F38829"
	CONST_CODE_F38838 = "F38838"
	CONST_CODE_F38847 = "F38847"
	CONST_CODE_F38856 = "F38856"
	CONST_CODE_F38909 = "F38909"
	CONST_CODE_F39032 = "F39032"
	CONST_CODE_F39034 = "F39034"
	CONST_CODE_F39035 = "F39035"
	CONST_CODE_F39036 = "F39036"
	CONST_CODE_F39040 = "F39040"
	CONST_CODE_F39042 = "F39042"
	CONST_CODE_F39043 = "F39043"
	CONST_CODE_F39044 = "F39044"
	CONST_CODE_F39240 = "F39240"
	CONST_CODE_F39242 = "F39242"
	CONST_CODE_F39243 = "F39243"
	CONST_CODE_F39244 = "F39244"
	CONST_CODE_F39421 = "F39421"
	CONST_CODE_F39423 = "F39423"
	CONST_CODE_F39424 = "F39424"
	CONST_CODE_F39425 = "F39425"
	CONST_CODE_F39429 = "F39429"
	CONST_CODE_F39431 = "F39431"
	CONST_CODE_F39432 = "F39432"
	CONST_CODE_F39433 = "F39433"
	CONST_CODE_F39437 = "F39437"
	CONST_CODE_F39439 = "F39439"
	CONST_CODE_F39440 = "F39440"
	CONST_CODE_F39441 = "F39441"
	CONST_CODE_F39445 = "F39445"
	CONST_CODE_F39447 = "F39447"
	CONST_CODE_F39448 = "F39448"
	CONST_CODE_F39449 = "F39449"
	CONST_CODE_F39453 = "F39453"
	CONST_CODE_F39455 = "F39455"
	CONST_CODE_F39456 = "F39456"
	CONST_CODE_F39457 = "F39457"
	CONST_CODE_F39464 = "F39464"
	CONST_CODE_F39466 = "F39466"
	CONST_CODE_F39467 = "F39467"
	CONST_CODE_F39468 = "F39468"
	CONST_CODE_F39472 = "F39472"
	CONST_CODE_F39474 = "F39474"
	CONST_CODE_F39475 = "F39475"
	CONST_CODE_F39476 = "F39476"
	CONST_CODE_F39480 = "F39480"
	CONST_CODE_F39482 = "F39482"
	CONST_CODE_F39483 = "F39483"
	CONST_CODE_F39484 = "F39484"
	CONST_CODE_F39488 = "F39488"
	CONST_CODE_F39490 = "F39490"
	CONST_CODE_F39491 = "F39491"
	CONST_CODE_F39492 = "F39492"
	CONST_CODE_F39498 = "F39498"
	CONST_CODE_F39500 = "F39500"
	CONST_CODE_F39501 = "F39501"
	CONST_CODE_F39502 = "F39502"
	CONST_CODE_F39506 = "F39506"
	CONST_CODE_F39508 = "F39508"
	CONST_CODE_F39509 = "F39509"
	CONST_CODE_F39510 = "F39510"
	CONST_CODE_F39514 = "F39514"
	CONST_CODE_F39516 = "F39516"
	CONST_CODE_F39517 = "F39517"
	CONST_CODE_F39518 = "F39518"
	CONST_CODE_F39525 = "F39525"
	CONST_CODE_F39527 = "F39527"
	CONST_CODE_F39528 = "F39528"
	CONST_CODE_F39529 = "F39529"
	CONST_CODE_F39533 = "F39533"
	CONST_CODE_F39535 = "F39535"
	CONST_CODE_F39536 = "F39536"
	CONST_CODE_F39537 = "F39537"
	CONST_CODE_F39541 = "F39541"
	CONST_CODE_F39543 = "F39543"
	CONST_CODE_F39544 = "F39544"
	CONST_CODE_F39545 = "F39545"
	CONST_CODE_F39549 = "F39549"
	CONST_CODE_F39551 = "F39551"
	CONST_CODE_F39552 = "F39552"
	CONST_CODE_F39553 = "F39553"
	CONST_CODE_F39557 = "F39557"
	CONST_CODE_F39559 = "F39559"
	CONST_CODE_F39560 = "F39560"
	CONST_CODE_F39561 = "F39561"
	CONST_CODE_F39565 = "F39565"
	CONST_CODE_F39567 = "F39567"
	CONST_CODE_F39568 = "F39568"
	CONST_CODE_F39569 = "F39569"
	CONST_CODE_F39575 = "F39575"
	CONST_CODE_F39577 = "F39577"
	CONST_CODE_F39578 = "F39578"
	CONST_CODE_F39579 = "F39579"
	CONST_CODE_F40092 = "F40092"
	CONST_CODE_F40094 = "F40094"
	CONST_CODE_F40095 = "F40095"
	CONST_CODE_F40096 = "F40096"
	CONST_CODE_F40100 = "F40100"
	CONST_CODE_F40102 = "F40102"
	CONST_CODE_F40103 = "F40103"
	CONST_CODE_F40104 = "F40104"
	CONST_CODE_F40108 = "F40108"
	CONST_CODE_F40110 = "F40110"
	CONST_CODE_F40111 = "F40111"
	CONST_CODE_F40112 = "F40112"
	CONST_CODE_F40116 = "F40116"
	CONST_CODE_F40118 = "F40118"
	CONST_CODE_F40119 = "F40119"
	CONST_CODE_F40120 = "F40120"
	CONST_CODE_F40124 = "F40124"
	CONST_CODE_F40126 = "F40126"
	CONST_CODE_F40127 = "F40127"
	CONST_CODE_F40128 = "F40128"
	CONST_CODE_F40547 = "F40547"
	CONST_CODE_F40549 = "F40549"
	CONST_CODE_F40550 = "F40550"
	CONST_CODE_F40551 = "F40551"
	CONST_CODE_F40555 = "F40555"
	CONST_CODE_F40557 = "F40557"
	CONST_CODE_F40558 = "F40558"
	CONST_CODE_F40559 = "F40559"
	CONST_CODE_F40563 = "F40563"
	CONST_CODE_F40565 = "F40565"
	CONST_CODE_F40566 = "F40566"
	CONST_CODE_F40567 = "F40567"
	CONST_CODE_F40574 = "F40574"
	CONST_CODE_F40576 = "F40576"
	CONST_CODE_F40577 = "F40577"
	CONST_CODE_F40578 = "F40578"
	CONST_CODE_F40582 = "F40582"
	CONST_CODE_F40584 = "F40584"
	CONST_CODE_F40585 = "F40585"
	CONST_CODE_F40586 = "F40586"
	CONST_CODE_F41199 = "F41199"
	CONST_CODE_F41201 = "F41201"
	CONST_CODE_F41202 = "F41202"
	CONST_CODE_F41203 = "F41203"
	CONST_CODE_F41207 = "F41207"
	CONST_CODE_F41209 = "F41209"
	CONST_CODE_F41210 = "F41210"
	CONST_CODE_F41211 = "F41211"
	CONST_CODE_F41215 = "F41215"
	CONST_CODE_F41217 = "F41217"
	CONST_CODE_F41218 = "F41218"
	CONST_CODE_F41219 = "F41219"
	CONST_CODE_F41289 = "F41289"
	CONST_CODE_F41290 = "F41290"
	CONST_CODE_F41291 = "F41291"
	CONST_CODE_F41292 = "F41292"
	CONST_CODE_F41299 = "F41299"
	CONST_CODE_F41300 = "F41300"
	CONST_CODE_F41301 = "F41301"
	CONST_CODE_F41302 = "F41302"
	CONST_CODE_F41309 = "F41309"
	CONST_CODE_F41310 = "F41310"
	CONST_CODE_F41311 = "F41311"
	CONST_CODE_F41312 = "F41312"
	CONST_CODE_F41319 = "F41319"
	CONST_CODE_F41320 = "F41320"
	CONST_CODE_F41321 = "F41321"
	CONST_CODE_F41322 = "F41322"
	CONST_CODE_F41329 = "F41329"
	CONST_CODE_F41330 = "F41330"
	CONST_CODE_F41331 = "F41331"
	CONST_CODE_F41332 = "F41332"
	CONST_CODE_F41339 = "F41339"
	CONST_CODE_F41340 = "F41340"
	CONST_CODE_F41341 = "F41341"
	CONST_CODE_F41342 = "F41342"
	CONST_CODE_F41349 = "F41349"
	CONST_CODE_F41350 = "F41350"
	CONST_CODE_F41351 = "F41351"
	CONST_CODE_F41352 = "F41352"
	CONST_CODE_F41359 = "F41359"
	CONST_CODE_F41360 = "F41360"
	CONST_CODE_F41361 = "F41361"
	CONST_CODE_F41362 = "F41362"
	CONST_CODE_F4522530 = "F4522530"
	CONST_CODE_F4522532 = "F4522532"
	CONST_CODE_F4522544 = "F4522544"
	CONST_CODE_F4522561 = "F4522561"
	CONST_CODE_F4522588 = "F4522588"
	CONST_CODE_F4522603 = "F4522603"
	CONST_CODE_F4525234 = "F4525234"
	CONST_CODE_F4525239 = "F4525239"
	CONST_CODE_F4525240 = "F4525240"
	CONST_CODE_F4525241 = "F4525241"
	CONST_CODE_F4525247 = "F4525247"
	CONST_CODE_F4525248 = "F4525248"
	CONST_CODE_F4525250 = "F4525250"
	CONST_CODE_F4525251 = "F4525251"
	CONST_CODE_F4525252 = "F4525252"
	CONST_CODE_F4525253 = "F4525253"
	CONST_CODE_F4525254 = "F4525254"
	CONST_CODE_F4526517 = "F4526517"
	CONST_CODE_F4526850 = "F4526850"
	CONST_CODE_F4526851 = "F4526851"
	CONST_CODE_F4526901 = "F4526901"
	CONST_CODE_F4526902 = "F4526902"
	CONST_CODE_F4527601 = "F4527601"
	CONST_CODE_F4528207 = "F4528207"
	CONST_CODE_F4528209 = "F4528209"
	CONST_CODE_F4528211 = "F4528211"
	CONST_CODE_F4528216 = "F4528216"
	CONST_CODE_F4528218 = "F4528218"
	CONST_CODE_F4528220 = "F4528220"
	CONST_CODE_F4528223 = "F4528223"
	CONST_CODE_F4528225 = "F4528225"
	CONST_CODE_F4528227 = "F4528227"
	CONST_CODE_F4528268 = "F4528268"
	CONST_CODE_F4528270 = "F4528270"
	CONST_CODE_F4528591 = "F4528591"
	CONST_CODE_F4528596 = "F4528596"
	CONST_CODE_F4528842 = "F4528842"
	CONST_CODE_F4529444 = "F4529444"
	CONST_CODE_F4529447 = "F4529447"
	CONST_CODE_F4529495 = "F4529495"
	CONST_CODE_F4529514 = "F4529514"
	CONST_CODE_F4529520 = "F4529520"
	CONST_CODE_F4529533 = "F4529533"
	CONST_CODE_F4529971 = "F4529971"
	CONST_CODE_F4529973 = "F4529973"
	CONST_CODE_F4530046 = "F4530046"
	CONST_CODE_F4530080 = "F4530080"
	CONST_CODE_F4530082 = "F4530082"
	CONST_CODE_F4530097 = "F4530097"
	CONST_CODE_F4530100 = "F4530100"
	CONST_CODE_F4530113 = "F4530113"
	CONST_CODE_F4530122 = "F4530122"
	CONST_CODE_F4530125 = "F4530125"
	CONST_CODE_F4530127 = "F4530127"
	CONST_CODE_F4530143 = "F4530143"
	CONST_CODE_F4530204 = "F4530204"
	CONST_CODE_F4530206 = "F4530206"
	CONST_CODE_F4530727 = "F4530727"
	CONST_CODE_F4531222 = "F4531222"
	CONST_CODE_F4531400 = "F4531400"
	CONST_CODE_F4531404 = "F4531404"
	CONST_CODE_F4531414 = "F4531414"
	CONST_CODE_F4531419 = "F4531419"
	CONST_CODE_F4531518 = "F4531518"
	CONST_CODE_F4531578 = "F4531578"
	CONST_CODE_F4531580 = "F4531580"
	CONST_CODE_F4531707 = "F4531707"
	CONST_CODE_F4531711 = "F4531711"
	CONST_CODE_F4531714 = "F4531714"
	CONST_CODE_F4531768 = "F4531768"
	CONST_CODE_F4531770 = "F4531770"
	CONST_CODE_F4531775 = "F4531775"
	CONST_CODE_F4531796 = "F4531796"
	CONST_CODE_F4531810 = "F4531810"
	CONST_CODE_F4531828 = "F4531828"
	CONST_CODE_F4531835 = "F4531835"
	CONST_CODE_F4531839 = "F4531839"
	CONST_CODE_F4531844 = "F4531844"
	CONST_CODE_F4532089 = "F4532089"
	CONST_CODE_F4532091 = "F4532091"
	CONST_CODE_F4532099 = "F4532099"
	CONST_CODE_F4532236 = "F4532236"
	CONST_CODE_F4532238 = "F4532238"
	CONST_CODE_F77845 = "F77845"
	CONST_CODE_F77846 = "F77846"
	CONST_CODE_F77847 = "F77847"
	CONST_CODE_F77848 = "F77848"
	CONST_CODE_F77958 = "F77958"
	CONST_CODE_F77959 = "F77959"
	CONST_CODE_F77960 = "F77960"
	CONST_CODE_F77973 = "F77973"
	CONST_CODE_F77974 = "F77974"
	CONST_CODE_F77975 = "F77975"
	CONST_CODE_F77979 = "F77979"
	CONST_CODE_F77990 = "F77990"
	CONST_CODE_F78016 = "F78016"
	CONST_CODE_F78017 = "F78017"
	CONST_CODE_F78019 = "F78019"
	CONST_CODE_F78020 = "F78020"
	CONST_CODE_F78021 = "F78021"
	CONST_CODE_F78022 = "F78022"
	CONST_CODE_F78040 = "F78040"
	CONST_CODE_F78041 = "F78041"
	CONST_CODE_F78044 = "F78044"
	CONST_CODE_F78045 = "F78045"
	CONST_CODE_F78046 = "F78046"
	CONST_CODE_F78074 = "F78074"
	CONST_CODE_F78075 = "F78075"
	CONST_CODE_F78076 = "F78076"
	CONST_CODE_F78077 = "F78077"
	CONST_CODE_F78081 = "F78081"
	CONST_CODE_F78090 = "F78090"
	CONST_CODE_F78091 = "F78091"
	CONST_CODE_F78093 = "F78093"
	CONST_CODE_F78094 = "F78094"
	CONST_CODE_F78095 = "F78095"
	CONST_CODE_F78096 = "F78096"
	CONST_CODE_F78097 = "F78097"
	CONST_CODE_F78110 = "F78110"
	CONST_CODE_F78113 = "F78113"
	CONST_CODE_F78114 = "F78114"
	CONST_CODE_F78119 = "F78119"
	CONST_CODE_F78120 = "F78120"
	CONST_CODE_F78121 = "F78121"
	CONST_CODE_F78122 = "F78122"
	CONST_CODE_F78123 = "F78123"
	CONST_CODE_F78124 = "F78124"
	CONST_CODE_F78182 = "F78182"
	CONST_CODE_F78185 = "F78185"
	CONST_CODE_F78189 = "F78189"
	CONST_CODE_F78190 = "F78190"
	CONST_CODE_F78243 = "F78243"
	CONST_CODE_F78255 = "F78255"
	CONST_CODE_F78263 = "F78263"
	CONST_CODE_F78292 = "F78292"
	CONST_CODE_F78297 = "F78297"
	CONST_CODE_F78298 = "F78298"
	CONST_CODE_F78319 = "F78319"
	CONST_CODE_F78320 = "F78320"
	CONST_CODE_F78321 = "F78321"
	CONST_CODE_F78338 = "F78338"
	CONST_CODE_F78344 = "F78344"
	CONST_CODE_F78346 = "F78346"
	CONST_CODE_F78371 = "F78371"
	CONST_CODE_F78382 = "F78382"
	CONST_CODE_F78383 = "F78383"
	CONST_CODE_F78384 = "F78384"
	CONST_CODE_F78385 = "F78385"
	CONST_CODE_F78413 = "F78413"
	CONST_CODE_F78414 = "F78414"
	CONST_CODE_F78415 = "F78415"
	CONST_CODE_F78416 = "F78416"
	CONST_CODE_F78417 = "F78417"
	CONST_CODE_F78418 = "F78418"
	CONST_CODE_F78419 = "F78419"
	CONST_CODE_F78420 = "F78420"
	CONST_CODE_F78421 = "F78421"
	CONST_CODE_F78422 = "F78422"
	CONST_CODE_F78423 = "F78423"
	CONST_CODE_F78424 = "F78424"
	CONST_CODE_F78426 = "F78426"
	CONST_CODE_F78427 = "F78427"
	CONST_CODE_F78428 = "F78428"
	CONST_CODE_F78434 = "F78434"
	CONST_CODE_F78435 = "F78435"
	CONST_CODE_F78440 = "F78440"
	CONST_CODE_F78441 = "F78441"
	CONST_CODE_F78442 = "F78442"
	CONST_CODE_F78448 = "F78448"
	CONST_CODE_F78452 = "F78452"
	CONST_CODE_F78453 = "F78453"
	CONST_CODE_F78454 = "F78454"
	CONST_CODE_F78483 = "F78483"
	CONST_CODE_F78484 = "F78484"
	CONST_CODE_F78485 = "F78485"
	CONST_CODE_F78486 = "F78486"
	CONST_CODE_F78490 = "F78490"
	CONST_CODE_F78491 = "F78491"
	CONST_CODE_F78492 = "F78492"
	CONST_CODE_F78493 = "F78493"
	CONST_CODE_F78523 = "F78523"
	CONST_CODE_F78524 = "F78524"
	CONST_CODE_F78529 = "F78529"
	CONST_CODE_F78556 = "F78556"
	CONST_CODE_F78573 = "F78573"
	CONST_CODE_F78574 = "F78574"
	CONST_CODE_F78603 = "F78603"
	CONST_CODE_F78609 = "F78609"
	CONST_CODE_F78610 = "F78610"
	CONST_CODE_F78627 = "F78627"
	CONST_CODE_F78654 = "F78654"
	CONST_CODE_F78663 = "F78663"
	CONST_CODE_F78679 = "F78679"
	CONST_CODE_F78694 = "F78694"
	CONST_CODE_F78699 = "F78699"
	CONST_CODE_F78702 = "F78702"
	CONST_CODE_F78711 = "F78711"
	CONST_CODE_F78721 = "F78721"
	CONST_CODE_F78722 = "F78722"
	CONST_CODE_F78752 = "F78752"
	CONST_CODE_F78753 = "F78753"
	CONST_CODE_F78766 = "F78766"
	CONST_CODE_F78767 = "F78767"
	CONST_CODE_F78768 = "F78768"
	CONST_CODE_F78798 = "F78798"
	CONST_CODE_F78799 = "F78799"
	CONST_CODE_F78800 = "F78800"
	CONST_CODE_F78801 = "F78801"
	CONST_CODE_F78817 = "F78817"
	CONST_CODE_F78818 = "F78818"
	CONST_CODE_F78819 = "F78819"
	CONST_CODE_F78835 = "F78835"
	CONST_CODE_F78848 = "F78848"
	CONST_CODE_F78849 = "F78849"
	CONST_CODE_F78866 = "F78866"
	CONST_CODE_F78879 = "F78879"
	CONST_CODE_F78886 = "F78886"
	CONST_CODE_F78887 = "F78887"
	CONST_CODE_F78888 = "F78888"
	CONST_CODE_F78889 = "F78889"
	CONST_CODE_F78890 = "F78890"
	CONST_CODE_F78891 = "F78891"
	CONST_CODE_F78892 = "F78892"
	CONST_CODE_F78893 = "F78893"
	CONST_CODE_F78894 = "F78894"
	CONST_CODE_F78895 = "F78895"
	CONST_CODE_F78896 = "F78896"
	CONST_CODE_F78897 = "F78897"
	CONST_CODE_F78898 = "F78898"
	CONST_CODE_F78899 = "F78899"
	CONST_CODE_F78900 = "F78900"
	CONST_CODE_F78901 = "F78901"
	CONST_CODE_F78902 = "F78902"
	CONST_CODE_F78924 = "F78924"
	CONST_CODE_F78925 = "F78925"
	CONST_CODE_F78931 = "F78931"
	CONST_CODE_F78932 = "F78932"
	CONST_CODE_F78933 = "F78933"
	CONST_CODE_F78934 = "F78934"
	CONST_CODE_F78939 = "F78939"
	CONST_CODE_F79048 = "F79048"
	CONST_CODE_F79049 = "F79049"
	CONST_CODE_F79052 = "F79052"
	CONST_CODE_F79059 = "F79059"
	CONST_CODE_F79079 = "F79079"
	CONST_CODE_F79105 = "F79105"
	CONST_CODE_F79107 = "F79107"
	CONST_CODE_F79143 = "F79143"
	CONST_CODE_F79147 = "F79147"
	CONST_CODE_F79148 = "F79148"
	CONST_CODE_F79154 = "F79154"
	CONST_CODE_F79155 = "F79155"
	CONST_CODE_F79156 = "F79156"
	CONST_CODE_F79157 = "F79157"
	CONST_CODE_F79195 = "F79195"
	CONST_CODE_F79197 = "F79197"
	CONST_CODE_F999445 = "F999445"
	CONST_CODE_F999446 = "F999446"
	CONST_CODE_F999447 = "F999447"
	CONST_CODE_F999448 = "F999448"
	CONST_CODE_F999558 = "F999558"
	CONST_CODE_F999559 = "F999559"
	CONST_CODE_F999560 = "F999560"
	CONST_CODE_F999573 = "F999573"
	CONST_CODE_F999574 = "F999574"
	CONST_CODE_F999575 = "F999575"
	CONST_CODE_F999579 = "F999579"
	CONST_CODE_F999590 = "F999590"
	CONST_CODE_F999616 = "F999616"
	CONST_CODE_F999617 = "F999617"
	CONST_CODE_F999619 = "F999619"
	CONST_CODE_F999620 = "F999620"
	CONST_CODE_F999621 = "F999621"
	CONST_CODE_F999622 = "F999622"
	CONST_CODE_F999640 = "F999640"
	CONST_CODE_F999641 = "F999641"
	CONST_CODE_F999644 = "F999644"
	CONST_CODE_F999645 = "F999645"
	CONST_CODE_F999646 = "F999646"
	CONST_CODE_F999674 = "F999674"
	CONST_CODE_F999675 = "F999675"
	CONST_CODE_F999676 = "F999676"
	CONST_CODE_F999677 = "F999677"
	CONST_CODE_F999681 = "F999681"
	CONST_CODE_F999690 = "F999690"
	CONST_CODE_F999691 = "F999691"
	CONST_CODE_F999693 = "F999693"
	CONST_CODE_F999694 = "F999694"
	CONST_CODE_F999695 = "F999695"
	CONST_CODE_F999696 = "F999696"
	CONST_CODE_F999697 = "F999697"
	CONST_CODE_F999710 = "F999710"
	CONST_CODE_F999713 = "F999713"
	CONST_CODE_F999714 = "F999714"
	CONST_CODE_F999719 = "F999719"
	CONST_CODE_F999720 = "F999720"
	CONST_CODE_F999721 = "F999721"
	CONST_CODE_F999722 = "F999722"
	CONST_CODE_F999723 = "F999723"
	CONST_CODE_F999724 = "F999724"
	CONST_CODE_F999782 = "F999782"
	CONST_CODE_F999785 = "F999785"
	CONST_CODE_F999789 = "F999789"
	CONST_CODE_F999790 = "F999790"
	CONST_CODE_F999843 = "F999843"
	CONST_CODE_F999855 = "F999855"
	CONST_CODE_F999863 = "F999863"
	CONST_CODE_F999892 = "F999892"
	CONST_CODE_F999897 = "F999897"
	CONST_CODE_F999898 = "F999898"
	CONST_CODE_F999919 = "F999919"
	CONST_CODE_F999920 = "F999920"
	CONST_CODE_F999921 = "F999921"
	CONST_CODE_F999938 = "F999938"
	CONST_CODE_F999944 = "F999944"
	CONST_CODE_F999946 = "F999946"
	CONST_CODE_F999971 = "F999971"
	CONST_CODE_F999982 = "F999982"
	CONST_CODE_F999983 = "F999983"
	CONST_CODE_F999984 = "F999984"
	CONST_CODE_F999985 = "F999985"
	CONST_CODE_GENERIC = "generic"
	CONST_HIGHEST_SEVERITY_CLEARED = "cleared"
	CONST_HIGHEST_SEVERITY_CONDITION = "condition"
	CONST_HIGHEST_SEVERITY_CRITICAL = "critical"
	CONST_HIGHEST_SEVERITY_INFO = "info"
	CONST_HIGHEST_SEVERITY_MAJOR = "major"
	CONST_HIGHEST_SEVERITY_MINOR = "minor"
	CONST_HIGHEST_SEVERITY_WARNING = "warning"
	CONST_ORIG_SEVERITY_CLEARED = "cleared"
	CONST_ORIG_SEVERITY_CONDITION = "condition"
	CONST_ORIG_SEVERITY_CRITICAL = "critical"
	CONST_ORIG_SEVERITY_INFO = "info"
	CONST_ORIG_SEVERITY_MAJOR = "major"
	CONST_ORIG_SEVERITY_MINOR = "minor"
	CONST_ORIG_SEVERITY_WARNING = "warning"
	CONST_PREV_SEVERITY_CLEARED = "cleared"
	CONST_PREV_SEVERITY_CONDITION = "condition"
	CONST_PREV_SEVERITY_CRITICAL = "critical"
	CONST_PREV_SEVERITY_INFO = "info"
	CONST_PREV_SEVERITY_MAJOR = "major"
	CONST_PREV_SEVERITY_MINOR = "minor"
	CONST_PREV_SEVERITY_WARNING = "warning"
	CONST_RULE_AAA_CONFIG_SERVERGROUP = "aaa-config-servergroup"
	CONST_RULE_AAA_LOCALE_LOCALE_NOT_DEPLOYED = "aaa-locale-locale-not-deployed"
	CONST_RULE_AAA_ORG_LOCALE_ORG_NOT_PRESENT = "aaa-org-locale-org-not-present"
	CONST_RULE_AAA_PROVIDER_GROUP_PROVIDERGROUP = "aaa-provider-group-providergroup"
	CONST_RULE_AAA_PROVIDER_GROUP_PROVIDERGROUPSIZE = "aaa-provider-group-providergroupsize"
	CONST_RULE_AAA_ROLE_ROLE_NOT_DEPLOYED = "aaa-role-role-not-deployed"
	CONST_RULE_AAA_USER_LOCAL_USER_NOT_DEPLOYED = "aaa-user-local-user-not-deployed"
	CONST_RULE_AAA_USER_LOCALE_USER_LOCALE_NOT_DEPLOYED = "aaa-user-locale-user-locale-not-deployed"
	CONST_RULE_AAA_USER_ROLE_USER_ROLE_NOT_DEPLOYED = "aaa-user-role-user-role-not-deployed"
	CONST_RULE_ADAPTOR_EXT_ETH_IF_MIS_CONNECT = "adaptor-ext-eth-if-mis-connect"
	CONST_RULE_ADAPTOR_EXT_ETH_IF_MISSING = "adaptor-ext-eth-if-missing"
	CONST_RULE_ADAPTOR_EXT_IF_LINK_DOWN = "adaptor-ext-if-link-down"
	CONST_RULE_ADAPTOR_HOST_ETH_IF_MIS_CONNECT = "adaptor-host-eth-if-mis-connect"
	CONST_RULE_ADAPTOR_HOST_ETH_IF_MISSING = "adaptor-host-eth-if-missing"
	CONST_RULE_ADAPTOR_HOST_IF_LINK_DOWN = "adaptor-host-if-link-down"
	CONST_RULE_ADAPTOR_UNIT_ADAPTOR_REACHABILITY = "adaptor-unit-adaptor-reachability"
	CONST_RULE_ADAPTOR_UNIT_EXTN_MISSING = "adaptor-unit-extn-missing"
	CONST_RULE_ADAPTOR_UNIT_EXTN_UNIDENTIFIABLE_FRU = "adaptor-unit-extn-unidentifiable-fru"
	CONST_RULE_ADAPTOR_UNIT_MISSING = "adaptor-unit-missing"
	CONST_RULE_ADAPTOR_UNIT_UNIDENTIFIABLE_FRU = "adaptor-unit-unidentifiable-fru"
	CONST_RULE_CALLHOME_EP_NO_SNMP_POLICY_FOR_CALLHOME = "callhome-ep-no-snmp-policy-for-callhome"
	CONST_RULE_CAPABILITY_CATALOGUE_LOAD_ERRORS = "capability-catalogue-load-errors"
	CONST_RULE_CIMCVMEDIA_ACTUAL_MOUNT_ENTRY_VMEDIA_MOUNT_FAILED = "cimcvmedia-actual-mount-entry-vmedia-mount-failed"
	CONST_RULE_COMM_DATE_TIME_COMM_TIME_ZONE_INVALID = "comm-date-time-comm-time-zone-invalid"
	CONST_RULE_COMM_SNMP_SYSCONTACT_EMPTY = "comm-snmp-syscontact-empty"
	CONST_RULE_COMM_SNMP_USER_SNMP_USER_NOT_DEPLOYED = "comm-snmp-user-snmp-user-not-deployed"
	CONST_RULE_COMM_SVC_EP_COMM_SVC_NOT_DEPLOYED = "comm-svc-ep-comm-svc-not-deployed"
	CONST_RULE_COMPUTE_ABOARD_MOTHER_BOARD_VOLTAGE_LOWER_THRESHOLD_CRITICAL = "compute-aboard-mother-board-voltage-lower-threshold-critical"
	CONST_RULE_COMPUTE_ABOARD_MOTHER_BOARD_VOLTAGE_THRESHOLD_LOWER_NON_RECOVERABLE = "compute-aboard-mother-board-voltage-threshold-lower-non-recoverable"
	CONST_RULE_COMPUTE_ABOARD_MOTHER_BOARD_VOLTAGE_THRESHOLD_UPPER_NON_RECOVERABLE = "compute-aboard-mother-board-voltage-threshold-upper-non-recoverable"
	CONST_RULE_COMPUTE_ABOARD_MOTHER_BOARD_VOLTAGE_UPPER_THRESHOLD_CRITICAL = "compute-aboard-mother-board-voltage-upper-threshold-critical"
	CONST_RULE_COMPUTE_ABOARD_POWER_USAGE_PROBLEM = "compute-aboard-power-usage-problem"
	CONST_RULE_COMPUTE_ABOARD_THERMAL_PROBLEM = "compute-aboard-thermal-problem"
	CONST_RULE_COMPUTE_BOARD_CMOS_VOLTAGE_THRESHOLD_CRITICAL = "compute-board-cmos-voltage-threshold-critical"
	CONST_RULE_COMPUTE_BOARD_CMOS_VOLTAGE_THRESHOLD_NON_RECOVERABLE = "compute-board-cmos-voltage-threshold-non-recoverable"
	CONST_RULE_COMPUTE_BOARD_POWER_ERROR = "compute-board-power-error"
	CONST_RULE_COMPUTE_BOARD_POWER_FAIL = "compute-board-power-fail"
	CONST_RULE_COMPUTE_IOHUB_THERMAL_NON_CRITICAL = "compute-iohub-thermal-non-critical"
	CONST_RULE_COMPUTE_IOHUB_THERMAL_THRESHOLD_CRITICAL = "compute-iohub-thermal-threshold-critical"
	CONST_RULE_COMPUTE_IOHUB_THERMAL_THRESHOLD_NON_RECOVERABLE = "compute-iohub-thermal-threshold-non-recoverable"
	CONST_RULE_COMPUTE_PHYSICAL_ASSIGNED_INACCESSIBLE = "compute-physical-assigned-inaccessible"
	CONST_RULE_COMPUTE_PHYSICAL_ASSIGNED_MISSING = "compute-physical-assigned-missing"
	CONST_RULE_COMPUTE_PHYSICAL_ASSOCIATION_FAILED = "compute-physical-association-failed"
	CONST_RULE_COMPUTE_PHYSICAL_BIOS_POST_TIMEOUT = "compute-physical-bios-post-timeout"
	CONST_RULE_COMPUTE_PHYSICAL_DISASSOCIATION_FAILED = "compute-physical-disassociation-failed"
	CONST_RULE_COMPUTE_PHYSICAL_DISCOVERY_FAILED = "compute-physical-discovery-failed"
	CONST_RULE_COMPUTE_PHYSICAL_IDENTITY_UNESTABLISHABLE = "compute-physical-identity-unestablishable"
	CONST_RULE_COMPUTE_PHYSICAL_INOPERABLE = "compute-physical-inoperable"
	CONST_RULE_COMPUTE_PHYSICAL_INSUFFICIENTLY_EQUIPPED = "compute-physical-insufficiently-equipped"
	CONST_RULE_COMPUTE_PHYSICAL_NETWORK_MISCONFIGURED = "compute-physical-network-misconfigured"
	CONST_RULE_COMPUTE_PHYSICAL_POST_FAILURE = "compute-physical-post-failure"
	CONST_RULE_COMPUTE_PHYSICAL_POWER_PROBLEM = "compute-physical-power-problem"
	CONST_RULE_COMPUTE_PHYSICAL_THERMAL_PROBLEM = "compute-physical-thermal-problem"
	CONST_RULE_COMPUTE_PHYSICAL_UNASSIGNED_INACCESSIBLE = "compute-physical-unassigned-inaccessible"
	CONST_RULE_COMPUTE_PHYSICAL_UNASSIGNED_MISSING = "compute-physical-unassigned-missing"
	CONST_RULE_COMPUTE_PHYSICAL_UNIDENTIFIED = "compute-physical-unidentified"
	CONST_RULE_COMPUTE_POOL_EMPTY = "compute-pool-empty"
	CONST_RULE_COMPUTE_RTC_BATTERY_INOPERABLE = "compute-rtc-battery-inoperable"
	CONST_RULE_DCX_NS_FAILED = "dcx-ns-failed"
	CONST_RULE_DCX_VC_DOWN = "dcx-vc-down"
	CONST_RULE_DCX_VC_MGMT_VIF_DOWN = "dcx-vc-mgmt-vif-down"
	CONST_RULE_DCX_VIF_LINK_STATE = "dcx-vif-link-state"
	CONST_RULE_EQUIPMENT_CHASSIS_IDENTITY = "equipment-chassis-identity"
	CONST_RULE_EQUIPMENT_CHASSIS_IDENTITY_UNESTABLISHABLE = "equipment-chassis-identity-unestablishable"
	CONST_RULE_EQUIPMENT_CHASSIS_INOPERABLE = "equipment-chassis-inoperable"
	CONST_RULE_EQUIPMENT_CHASSIS_POWER_PROBLEM = "equipment-chassis-power-problem"
	CONST_RULE_EQUIPMENT_CHASSIS_SEEPROM_INOPERABLE = "equipment-chassis-seeprom-inoperable"
	CONST_RULE_EQUIPMENT_CHASSIS_THERMAL_THRESHOLD_CRITICAL = "equipment-chassis-thermal-threshold-critical"
	CONST_RULE_EQUIPMENT_CHASSIS_THERMAL_THRESHOLD_NON_CRITICAL = "equipment-chassis-thermal-threshold-non-critical"
	CONST_RULE_EQUIPMENT_CHASSIS_THERMAL_THRESHOLD_NON_RECOVERABLE = "equipment-chassis-thermal-threshold-non-recoverable"
	CONST_RULE_EQUIPMENT_CHASSIS_UNACKNOWLEDGED = "equipment-chassis-unacknowledged"
	CONST_RULE_EQUIPMENT_CHASSIS_UNSUPPORTED_CONNECTIVITY = "equipment-chassis-unsupported-connectivity"
	CONST_RULE_EQUIPMENT_FAN_DEGRADED = "equipment-fan-degraded"
	CONST_RULE_EQUIPMENT_FAN_INOPERABLE = "equipment-fan-inoperable"
	CONST_RULE_EQUIPMENT_FAN_MISSING = "equipment-fan-missing"
	CONST_RULE_EQUIPMENT_FAN_MODULE_DEGRADED = "equipment-fan-module-degraded"
	CONST_RULE_EQUIPMENT_FAN_MODULE_IDENTITY = "equipment-fan-module-identity"
	CONST_RULE_EQUIPMENT_FAN_MODULE_INOPERABLE = "equipment-fan-module-inoperable"
	CONST_RULE_EQUIPMENT_FAN_MODULE_MISSING = "equipment-fan-module-missing"
	CONST_RULE_EQUIPMENT_FAN_MODULE_THERMAL_THRESHOLD_CRITICAL = "equipment-fan-module-thermal-threshold-critical"
	CONST_RULE_EQUIPMENT_FAN_MODULE_THERMAL_THRESHOLD_NON_CRITICAL = "equipment-fan-module-thermal-threshold-non-critical"
	CONST_RULE_EQUIPMENT_FAN_MODULE_THERMAL_THRESHOLD_NON_RECOVERABLE = "equipment-fan-module-thermal-threshold-non-recoverable"
	CONST_RULE_EQUIPMENT_FAN_PERF_THRESHOLD_CRITICAL = "equipment-fan-perf-threshold-critical"
	CONST_RULE_EQUIPMENT_FAN_PERF_THRESHOLD_LOWER_NON_RECOVERABLE = "equipment-fan-perf-threshold-lower-non-recoverable"
	CONST_RULE_EQUIPMENT_FAN_PERF_THRESHOLD_NON_CRITICAL = "equipment-fan-perf-threshold-non-critical"
	CONST_RULE_EQUIPMENT_FAN_PERF_THRESHOLD_NON_RECOVERABLE = "equipment-fan-perf-threshold-non-recoverable"
	CONST_RULE_EQUIPMENT_FEX_FEX_UNSUPPORTED = "equipment-fex-fex-unsupported"
	CONST_RULE_EQUIPMENT_FEX_IDENTITY = "equipment-fex-identity"
	CONST_RULE_EQUIPMENT_FEX_IDENTITY_UNESTABLISHABLE = "equipment-fex-identity-unestablishable"
	CONST_RULE_EQUIPMENT_FEX_POST_FAILURE = "equipment-fex-post-failure"
	CONST_RULE_EQUIPMENT_HEALTH_LED_CRITICAL_ERROR = "equipment-health-led-critical-error"
	CONST_RULE_EQUIPMENT_HEALTH_LED_MINOR_ERROR = "equipment-health-led-minor-error"
	CONST_RULE_EQUIPMENT_IOCARD_AUTO_UPGRADING_FIRMWARE = "equipment-iocard-auto-upgrading-firmware"
	CONST_RULE_EQUIPMENT_IOCARD_FIRMWARE_UPGRADE = "equipment-iocard-firmware-upgrade"
	CONST_RULE_EQUIPMENT_IOCARD_IDENTITY = "equipment-iocard-identity"
	CONST_RULE_EQUIPMENT_IOCARD_INACCESSIBLE = "equipment-iocard-inaccessible"
	CONST_RULE_EQUIPMENT_IOCARD_PEER_DISCONNECTED = "equipment-iocard-peer-disconnected"
	CONST_RULE_EQUIPMENT_IOCARD_POST_FAILURE = "equipment-iocard-post-failure"
	CONST_RULE_EQUIPMENT_IOCARD_REMOVED = "equipment-iocard-removed"
	CONST_RULE_EQUIPMENT_IOCARD_THERMAL_PROBLEM = "equipment-iocard-thermal-problem"
	CONST_RULE_EQUIPMENT_IOCARD_THERMAL_THRESHOLD_CRITICAL = "equipment-iocard-thermal-threshold-critical"
	CONST_RULE_EQUIPMENT_IOCARD_THERMAL_THRESHOLD_NON_CRITICAL = "equipment-iocard-thermal-threshold-non-critical"
	CONST_RULE_EQUIPMENT_IOCARD_THERMAL_THRESHOLD_NON_RECOVERABLE = "equipment-iocard-thermal-threshold-non-recoverable"
	CONST_RULE_EQUIPMENT_IOCARD_UNACKNOWLEDGED = "equipment-iocard-unacknowledged"
	CONST_RULE_EQUIPMENT_IOCARD_UNSUPPORTED_CONNECTIVITY = "equipment-iocard-unsupported-connectivity"
	CONST_RULE_EQUIPMENT_PSU_IDENTITY = "equipment-psu-identity"
	CONST_RULE_EQUIPMENT_PSU_INOPERABLE = "equipment-psu-inoperable"
	CONST_RULE_EQUIPMENT_PSU_INPUT_ERROR = "equipment-psu-input-error"
	CONST_RULE_EQUIPMENT_PSU_MISSING = "equipment-psu-missing"
	CONST_RULE_EQUIPMENT_PSU_OFFLINE = "equipment-psu-offline"
	CONST_RULE_EQUIPMENT_PSU_PERF_THRESHOLD_CRITICAL = "equipment-psu-perf-threshold-critical"
	CONST_RULE_EQUIPMENT_PSU_PERF_THRESHOLD_NON_CRITICAL = "equipment-psu-perf-threshold-non-critical"
	CONST_RULE_EQUIPMENT_PSU_PERF_THRESHOLD_NON_RECOVERABLE = "equipment-psu-perf-threshold-non-recoverable"
	CONST_RULE_EQUIPMENT_PSU_POWER_SUPPLY_PROBLEM = "equipment-psu-power-supply-problem"
	CONST_RULE_EQUIPMENT_PSU_POWER_SUPPLY_SHUTDOWN = "equipment-psu-power-supply-shutdown"
	CONST_RULE_EQUIPMENT_PSU_POWER_THRESHOLD = "equipment-psu-power-threshold"
	CONST_RULE_EQUIPMENT_PSU_THERMAL_THRESHOLD_CRITICAL = "equipment-psu-thermal-threshold-critical"
	CONST_RULE_EQUIPMENT_PSU_THERMAL_THRESHOLD_NON_CRITICAL = "equipment-psu-thermal-threshold-non-critical"
	CONST_RULE_EQUIPMENT_PSU_THERMAL_THRESHOLD_NON_RECOVERABLE = "equipment-psu-thermal-threshold-non-recoverable"
	CONST_RULE_EQUIPMENT_PSU_VOLTAGE_THRESHOLD_CRITICAL = "equipment-psu-voltage-threshold-critical"
	CONST_RULE_EQUIPMENT_PSU_VOLTAGE_THRESHOLD_NON_CRITICAL = "equipment-psu-voltage-threshold-non-critical"
	CONST_RULE_EQUIPMENT_PSU_VOLTAGE_THRESHOLD_NON_RECOVERABLE = "equipment-psu-voltage-threshold-non-recoverable"
	CONST_RULE_EQUIPMENT_SWITCH_CARD_POWER_OFF = "equipment-switch-card-power-off"
	CONST_RULE_ETHER_SERVER_INTFIO_HARDWARE_FAILURE = "ether-server-intfio-hardware-failure"
	CONST_RULE_ETHER_SWITCH_INTFIO_SATELLITE_CONNECTION_ABSENT = "ether-switch-intfio-satellite-connection-absent"
	CONST_RULE_ETHER_SWITCH_INTFIO_SATELLITE_WIRING_NUMBERS_UNEXPECTED = "ether-switch-intfio-satellite-wiring-numbers-unexpected"
	CONST_RULE_ETHER_SWITCH_INTFIO_SATELLITE_WIRING_PROBLEM = "ether-switch-intfio-satellite-wiring-problem"
	CONST_RULE_EXTMGMT_ARP_TARGETS_ARP_TARGETS_NOT_VALID = "extmgmt-arp-targets-arp-targets-not-valid"
	CONST_RULE_EXTMGMT_IF_MGMTIFDOWN = "extmgmt-if-mgmtifdown"
	CONST_RULE_EXTMGMT_NDISC_TARGETS_NDISC_TARGETS_NOT_VALID = "extmgmt-ndisc-targets-ndisc-targets-not-valid"
	CONST_RULE_EXTPOL_CLIENT_CLIENT_LOST_CONNECTIVITY = "extpol-client-client-lost-connectivity"
	CONST_RULE_EXTPOL_CLIENT_GRACE_PERIOD_WARNING = "extpol-client-grace-period-warning"
	CONST_RULE_EXTPOL_CLIENT_GRACE_PERIOD_WARNING1 = "extpol-client-grace-period-warning1"
	CONST_RULE_EXTPOL_CLIENT_GRACE_PERIOD_WARNING2 = "extpol-client-grace-period-warning2"
	CONST_RULE_EXTPOL_CLIENT_GRACE_PERIOD_WARNING3 = "extpol-client-grace-period-warning3"
	CONST_RULE_EXTPOL_CLIENT_GRACE_PERIOD_WARNING4 = "extpol-client-grace-period-warning4"
	CONST_RULE_EXTPOL_CLIENT_GRACE_PERIOD_WARNING5 = "extpol-client-grace-period-warning5"
	CONST_RULE_EXTPOL_CLIENT_GRACE_PERIOD_WARNING6 = "extpol-client-grace-period-warning6"
	CONST_RULE_EXTPOL_CLIENT_GRACE_PERIOD_WARNING7 = "extpol-client-grace-period-warning7"
	CONST_RULE_EXTVMM_VMNDREF_VM_NETWORK_REFERENCE_INCORRECT = "extvmm-vmndref-vm-network-reference-incorrect"
	CONST_RULE_FABRIC_COMPUTE_SLOT_EP_MISPLACED_IN_CHASSIS_SLOT = "fabric-compute-slot-ep-misplaced-in-chassis-slot"
	CONST_RULE_FABRIC_COMPUTE_SLOT_EP_SERVER_IDENTIFICATION_PROBLEM = "fabric-compute-slot-ep-server-identification-problem"
	CONST_RULE_FABRIC_DCE_SW_SRV_PC_EP_DOWN = "fabric-dce-sw-srv-pc-ep-down"
	CONST_RULE_FABRIC_EP_MGR_EP_TRANS_MODE_FAIL = "fabric-ep-mgr-ep-trans-mode-fail"
	CONST_RULE_FABRIC_ETH_ESTC_PC_EP_DOWN = "fabric-eth-estc-pc-ep-down"
	CONST_RULE_FABRIC_ETH_LAN_EP_MISSING_PRIMARY_VLAN = "fabric-eth-lan-ep-missing-primary-vlan"
	CONST_RULE_FABRIC_ETH_LAN_EP_OVERLAPPING_VLAN = "fabric-eth-lan-ep-overlapping-vlan"
	CONST_RULE_FABRIC_ETH_LAN_EP_UDLD_LINK_DOWN = "fabric-eth-lan-ep-udld-link-down"
	CONST_RULE_FABRIC_ETH_LAN_PC_EP_DOWN = "fabric-eth-lan-pc-ep-down"
	CONST_RULE_FABRIC_ETH_LAN_PC_EP_UDLD_LINK_DOWN = "fabric-eth-lan-pc-ep-udld-link-down"
	CONST_RULE_FABRIC_ETH_LAN_PC_MISSING_PRIMARY_VLAN = "fabric-eth-lan-pc-missing-primary-vlan"
	CONST_RULE_FABRIC_ETH_LAN_PC_OVERLAPPING_VLAN = "fabric-eth-lan-pc-overlapping-vlan"
	CONST_RULE_FABRIC_EXTERNAL_EP_FC_ZONING_ENABLE = "fabric-external-ep-fc-zoning-enable"
	CONST_RULE_FABRIC_EXTERNAL_PC_DOWN = "fabric-external-pc-down"
	CONST_RULE_FABRIC_FC_ESTC_EP_FC_STORAGE_PORT_INVALID = "fabric-fc-estc-ep-fc-storage-port-invalid"
	CONST_RULE_FABRIC_FC_SAN_PC_EP_DOWN = "fabric-fc-san-pc-ep-down"
	CONST_RULE_FABRIC_FC_SAN_PC_EP_INCOMPATIBLE_SPEED = "fabric-fc-san-pc-ep-incompatible-speed"
	CONST_RULE_FABRIC_FC_SAN_PC_FC_PORTCHANNEL_MEMBERS_INVALID = "fabric-fc-san-pc-fc-portchannel-members-invalid"
	CONST_RULE_FABRIC_FC_SAN_PC_INCOMPATIBLE_SPEED = "fabric-fc-san-pc-incompatible-speed"
	CONST_RULE_FABRIC_FCOE_ESTC_EP_DOWN = "fabric-fcoe-estc-ep-down"
	CONST_RULE_FABRIC_FCOE_ESTC_EP_FCOE_STORAGE_PORT_INVALID = "fabric-fcoe-estc-ep-fcoe-storage-port-invalid"
	CONST_RULE_FABRIC_FCOE_SAN_EP_DOWN = "fabric-fcoe-san-ep-down"
	CONST_RULE_FABRIC_FCOE_SAN_EP_UDLD_LINK_DOWN = "fabric-fcoe-san-ep-udld-link-down"
	CONST_RULE_FABRIC_FCOE_SAN_EP_UNSUPPORTED = "fabric-fcoe-san-ep-unsupported"
	CONST_RULE_FABRIC_FCOE_SAN_PC_DOWN = "fabric-fcoe-san-pc-down"
	CONST_RULE_FABRIC_FCOE_SAN_PC_EP_DOWN = "fabric-fcoe-san-pc-ep-down"
	CONST_RULE_FABRIC_FCOE_SAN_PC_EP_UDLD_LINK_DOWN = "fabric-fcoe-san-pc-ep-udld-link-down"
	CONST_RULE_FABRIC_FCOE_SAN_PC_UNSUPPORTED = "fabric-fcoe-san-pc-unsupported"
	CONST_RULE_FABRIC_INTERNAL_PC_DOWN = "fabric-internal-pc-down"
	CONST_RULE_FABRIC_LAN_PIN_GROUP_EMPTY = "fabric-lan-pin-group-empty"
	CONST_RULE_FABRIC_MON_SPAN_CONFIG_FAIL = "fabric-mon-span-config-fail"
	CONST_RULE_FABRIC_NETFLOW_MON_SESSION_FLOW_MON_CONFIG_FAIL = "fabric-netflow-mon-session-flow-mon-config-fail"
	CONST_RULE_FABRIC_NETFLOW_MON_SESSION_NETFLOW_SESSION_CONFIG_FAIL = "fabric-netflow-mon-session-netflow-session-config-fail"
	CONST_RULE_FABRIC_PIN_TARGET_DOWN = "fabric-pin-target-down"
	CONST_RULE_FABRIC_PIO_EP_ERROR_MISCONFIGURED = "fabric-pio-ep-error-misconfigured"
	CONST_RULE_FABRIC_POOLED_VLAN_NAMED_VLAN_UNRESOLVED = "fabric-pooled-vlan-named-vlan-unresolved"
	CONST_RULE_FABRIC_SAN_PIN_GROUP_EMPTY = "fabric-san-pin-group-empty"
	CONST_RULE_FABRIC_VLAN_ERROR_ASSOC_PRIMARY = "fabric-vlan-error-assoc-primary"
	CONST_RULE_FABRIC_VLAN_GROUP_REQ_VLAN_GROUP_PERMIT_UNRESOLVED = "fabric-vlan-group-req-vlan-group-permit-unresolved"
	CONST_RULE_FABRIC_VLAN_MISCONFIGURED = "fabric-vlan-misconfigured"
	CONST_RULE_FABRIC_VLAN_MISCONFIGURED_MCAST_POLICY = "fabric-vlan-misconfigured-mcast-policy"
	CONST_RULE_FABRIC_VLAN_MISMATCH_A = "fabric-vlan-mismatch-a"
	CONST_RULE_FABRIC_VLAN_MISMATCH_B = "fabric-vlan-mismatch-b"
	CONST_RULE_FABRIC_VLAN_PRIMARY_VLAN_MISSING_FOR_COMMUNITY = "fabric-vlan-primary-vlan-missing-for-community"
	CONST_RULE_FABRIC_VLAN_PRIMARY_VLAN_MISSING_FOR_ISOLATED = "fabric-vlan-primary-vlan-missing-for-isolated"
	CONST_RULE_FABRIC_VLAN_REQ_VLAN_PERMIT_UNRESOLVED = "fabric-vlan-req-vlan-permit-unresolved"
	CONST_RULE_FABRIC_VLAN_VLAN_CONFLICT_PERMIT = "fabric-vlan-vlan-conflict-permit"
	CONST_RULE_FABRIC_VSAN_EP_ERROR_DISABLED = "fabric-vsan-ep-error-disabled"
	CONST_RULE_FABRIC_VSAN_ERROR_DISABLED = "fabric-vsan-error-disabled"
	CONST_RULE_FABRIC_VSAN_MEMBERSHIP_DOWN = "fabric-vsan-membership-down"
	CONST_RULE_FCPOOL_INITIATORS_EMPTY = "fcpool-initiators-empty"
	CONST_RULE_FIRMWARE_AUTO_SYNC_POLICY_DEFAULT_HOST_PACKAGE_MISSING = "firmware-auto-sync-policy-default-host-package-missing"
	CONST_RULE_FIRMWARE_AUTO_SYNC_POLICY_DEFAULT_HOST_PACKAGE_MISSING_VERSIONS = "firmware-auto-sync-policy-default-host-package-missing-versions"
	CONST_RULE_FIRMWARE_BOOT_UNIT_ACTIVATE_STATUS_FAILED = "firmware-boot-unit-activate-status-failed"
	CONST_RULE_FIRMWARE_BOOT_UNIT_CANT_BOOT = "firmware-boot-unit-cant-boot"
	CONST_RULE_FIRMWARE_BOOT_UNIT_POWER_CYCLE_REQUIRED = "firmware-boot-unit-power-cycle-required"
	CONST_RULE_FIRMWARE_PACK_ITEM_IMAGE_MISSING = "firmware-pack-item-image-missing"
	CONST_RULE_FIRMWARE_STATUS_CIMC_FIRMWARE_MISMATCH = "firmware-status-cimc-firmware-mismatch"
	CONST_RULE_FIRMWARE_STATUS_PLD_FIRMWARE_MISMATCH = "firmware-status-pld-firmware-mismatch"
	CONST_RULE_FIRMWARE_UPDATABLE_IMAGE_UNUSABLE = "firmware-updatable-image-unusable"
	CONST_RULE_FSM_SAM_DME_AAA_EP_UPDATE_EP = "fsm-sam-dme-aaa-ep-update-ep"
	CONST_RULE_FSM_SAM_DME_AAA_EP_UPDATE_EP_FSM_FAIL = "fsm-sam-dme-aaa-ep-update-ep-fsm-fail"
	CONST_RULE_FSM_SAM_DME_AAA_EP_UPDATE_EP_REMOTE_INV = "fsm-sam-dme-aaa-ep-update-ep-remote-inv"
	CONST_RULE_FSM_SAM_DME_AAA_REALM_UPDATE_REALM = "fsm-sam-dme-aaa-realm-update-realm"
	CONST_RULE_FSM_SAM_DME_AAA_REALM_UPDATE_REALM_FSM_FAIL = "fsm-sam-dme-aaa-realm-update-realm-fsm-fail"
	CONST_RULE_FSM_SAM_DME_AAA_REALM_UPDATE_REALM_REMOTE_INV = "fsm-sam-dme-aaa-realm-update-realm-remote-inv"
	CONST_RULE_FSM_SAM_DME_AAA_USER_EP_UPDATE_USER_EP = "fsm-sam-dme-aaa-user-ep-update-user-ep"
	CONST_RULE_FSM_SAM_DME_AAA_USER_EP_UPDATE_USER_EP_FSM_FAIL = "fsm-sam-dme-aaa-user-ep-update-user-ep-fsm-fail"
	CONST_RULE_FSM_SAM_DME_AAA_USER_EP_UPDATE_USER_EP_REMOTE_INV = "fsm-sam-dme-aaa-user-ep-update-user-ep-remote-inv"
	CONST_RULE_FSM_SAM_DME_ADAPTOR_EXT_ETH_IF_PATH_RESET = "fsm-sam-dme-adaptor-ext-eth-if-path-reset"
	CONST_RULE_FSM_SAM_DME_ADAPTOR_EXT_ETH_IF_PATH_RESET_FSM_FAIL = "fsm-sam-dme-adaptor-ext-eth-if-path-reset-fsm-fail"
	CONST_RULE_FSM_SAM_DME_ADAPTOR_EXT_ETH_IF_PATH_RESET_REMOTE_INV = "fsm-sam-dme-adaptor-ext-eth-if-path-reset-remote-inv"
	CONST_RULE_FSM_SAM_DME_ADAPTOR_HOST_ETH_IF_CIRCUIT_RESET = "fsm-sam-dme-adaptor-host-eth-if-circuit-reset"
	CONST_RULE_FSM_SAM_DME_ADAPTOR_HOST_ETH_IF_CIRCUIT_RESET_FSM_FAIL = "fsm-sam-dme-adaptor-host-eth-if-circuit-reset-fsm-fail"
	CONST_RULE_FSM_SAM_DME_ADAPTOR_HOST_ETH_IF_CIRCUIT_RESET_REMOTE_INV = "fsm-sam-dme-adaptor-host-eth-if-circuit-reset-remote-inv"
	CONST_RULE_FSM_SAM_DME_ADAPTOR_HOST_FC_IF_CIRCUIT_RESET = "fsm-sam-dme-adaptor-host-fc-if-circuit-reset"
	CONST_RULE_FSM_SAM_DME_ADAPTOR_HOST_FC_IF_CIRCUIT_RESET_FSM_FAIL = "fsm-sam-dme-adaptor-host-fc-if-circuit-reset-fsm-fail"
	CONST_RULE_FSM_SAM_DME_ADAPTOR_HOST_FC_IF_CIRCUIT_RESET_REMOTE_INV = "fsm-sam-dme-adaptor-host-fc-if-circuit-reset-remote-inv"
	CONST_RULE_FSM_SAM_DME_ADAPTOR_HOST_FC_IF_RESET_FC_PERS_BINDING = "fsm-sam-dme-adaptor-host-fc-if-reset-fc-pers-binding"
	CONST_RULE_FSM_SAM_DME_ADAPTOR_HOST_FC_IF_RESET_FC_PERS_BINDING_FSM_FAIL = "fsm-sam-dme-adaptor-host-fc-if-reset-fc-pers-binding-fsm-fail"
	CONST_RULE_FSM_SAM_DME_ADAPTOR_HOST_FC_IF_RESET_FC_PERS_BINDING_REMOTE_INV = "fsm-sam-dme-adaptor-host-fc-if-reset-fc-pers-binding-remote-inv"
	CONST_RULE_FSM_SAM_DME_CALLHOME_EP_CONFIG_CALLHOME = "fsm-sam-dme-callhome-ep-config-callhome"
	CONST_RULE_FSM_SAM_DME_CALLHOME_EP_CONFIG_CALLHOME_FSM_FAIL = "fsm-sam-dme-callhome-ep-config-callhome-fsm-fail"
	CONST_RULE_FSM_SAM_DME_CALLHOME_EP_CONFIG_CALLHOME_REMOTE_INV = "fsm-sam-dme-callhome-ep-config-callhome-remote-inv"
	CONST_RULE_FSM_SAM_DME_CAPABILITY_CATALOGUE_ACTIVATE_CATALOG = "fsm-sam-dme-capability-catalogue-activate-catalog"
	CONST_RULE_FSM_SAM_DME_CAPABILITY_CATALOGUE_ACTIVATE_CATALOG_FSM_FAIL = "fsm-sam-dme-capability-catalogue-activate-catalog-fsm-fail"
	CONST_RULE_FSM_SAM_DME_CAPABILITY_CATALOGUE_ACTIVATE_CATALOG_REMOTE_INV = "fsm-sam-dme-capability-catalogue-activate-catalog-remote-inv"
	CONST_RULE_FSM_SAM_DME_CAPABILITY_CATALOGUE_DEPLOY_CATALOGUE = "fsm-sam-dme-capability-catalogue-deploy-catalogue"
	CONST_RULE_FSM_SAM_DME_CAPABILITY_CATALOGUE_DEPLOY_CATALOGUE_FSM_FAIL = "fsm-sam-dme-capability-catalogue-deploy-catalogue-fsm-fail"
	CONST_RULE_FSM_SAM_DME_CAPABILITY_CATALOGUE_DEPLOY_CATALOGUE_REMOTE_INV = "fsm-sam-dme-capability-catalogue-deploy-catalogue-remote-inv"
	CONST_RULE_FSM_SAM_DME_CAPABILITY_MGMT_EXTENSION_ACTIVATE_MGMT_EXT = "fsm-sam-dme-capability-mgmt-extension-activate-mgmt-ext"
	CONST_RULE_FSM_SAM_DME_CAPABILITY_MGMT_EXTENSION_ACTIVATE_MGMT_EXT_FSM_FAIL = "fsm-sam-dme-capability-mgmt-extension-activate-mgmt-ext-fsm-fail"
	CONST_RULE_FSM_SAM_DME_CAPABILITY_MGMT_EXTENSION_ACTIVATE_MGMT_EXT_REMOTE_INV = "fsm-sam-dme-capability-mgmt-extension-activate-mgmt-ext-remote-inv"
	CONST_RULE_FSM_SAM_DME_CAPABILITY_UPDATER_UPDATER = "fsm-sam-dme-capability-updater-updater"
	CONST_RULE_FSM_SAM_DME_CAPABILITY_UPDATER_UPDATER_FSM_FAIL = "fsm-sam-dme-capability-updater-updater-fsm-fail"
	CONST_RULE_FSM_SAM_DME_CAPABILITY_UPDATER_UPDATER_REMOTE_INV = "fsm-sam-dme-capability-updater-updater-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMM_SVC_EP_RESTART_WEB_SVC = "fsm-sam-dme-comm-svc-ep-restart-web-svc"
	CONST_RULE_FSM_SAM_DME_COMM_SVC_EP_RESTART_WEB_SVC_FSM_FAIL = "fsm-sam-dme-comm-svc-ep-restart-web-svc-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMM_SVC_EP_RESTART_WEB_SVC_REMOTE_INV = "fsm-sam-dme-comm-svc-ep-restart-web-svc-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMM_SVC_EP_UPDATE_SVC_EP = "fsm-sam-dme-comm-svc-ep-update-svc-ep"
	CONST_RULE_FSM_SAM_DME_COMM_SVC_EP_UPDATE_SVC_EP_FSM_FAIL = "fsm-sam-dme-comm-svc-ep-update-svc-ep-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMM_SVC_EP_UPDATE_SVC_EP_REMOTE_INV = "fsm-sam-dme-comm-svc-ep-update-svc-ep-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_BLADE_DIAG = "fsm-sam-dme-compute-blade-diag"
	CONST_RULE_FSM_SAM_DME_COMPUTE_BLADE_DIAG_FSM_FAIL = "fsm-sam-dme-compute-blade-diag-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_BLADE_DIAG_REMOTE_INV = "fsm-sam-dme-compute-blade-diag-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_BLADE_DISCOVER = "fsm-sam-dme-compute-blade-discover"
	CONST_RULE_FSM_SAM_DME_COMPUTE_BLADE_DISCOVER_FSM_FAIL = "fsm-sam-dme-compute-blade-discover-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_BLADE_DISCOVER_REMOTE_INV = "fsm-sam-dme-compute-blade-discover-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_ACTIVATE_ADAPTOR = "fsm-sam-dme-compute-physical-activate-adaptor"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_ACTIVATE_ADAPTOR_FSM_FAIL = "fsm-sam-dme-compute-physical-activate-adaptor-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_ACTIVATE_ADAPTOR_REMOTE_INV = "fsm-sam-dme-compute-physical-activate-adaptor-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_ACTIVATEBIOS = "fsm-sam-dme-compute-physical-activatebios"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_ACTIVATEBIOS_FSM_FAIL = "fsm-sam-dme-compute-physical-activatebios-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_ACTIVATEBIOS_REMOTE_INV = "fsm-sam-dme-compute-physical-activatebios-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_ASSOCIATE = "fsm-sam-dme-compute-physical-associate"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_ASSOCIATE_FSM_FAIL = "fsm-sam-dme-compute-physical-associate-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_ASSOCIATE_REMOTE_INV = "fsm-sam-dme-compute-physical-associate-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_BIOS_RECOVERY = "fsm-sam-dme-compute-physical-bios-recovery"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_BIOS_RECOVERY_FSM_FAIL = "fsm-sam-dme-compute-physical-bios-recovery-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_BIOS_RECOVERY_REMOTE_INV = "fsm-sam-dme-compute-physical-bios-recovery-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_CIMC_SESSION_DELETE = "fsm-sam-dme-compute-physical-cimc-session-delete"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_CIMC_SESSION_DELETE_FSM_FAIL = "fsm-sam-dme-compute-physical-cimc-session-delete-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_CIMC_SESSION_DELETE_REMOTE_INV = "fsm-sam-dme-compute-physical-cimc-session-delete-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_CMOS_RESET = "fsm-sam-dme-compute-physical-cmos-reset"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_CMOS_RESET_FSM_FAIL = "fsm-sam-dme-compute-physical-cmos-reset-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_CMOS_RESET_REMOTE_INV = "fsm-sam-dme-compute-physical-cmos-reset-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_CONFIG_BOARD = "fsm-sam-dme-compute-physical-config-board"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_CONFIG_BOARD_FSM_FAIL = "fsm-sam-dme-compute-physical-config-board-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_CONFIG_BOARD_REMOTE_INV = "fsm-sam-dme-compute-physical-config-board-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_CONFIG_SO_LFSM_FAIL = "fsm-sam-dme-compute-physical-config-so-lfsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_CONFIG_SO_LREMOTE_INV = "fsm-sam-dme-compute-physical-config-so-lremote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_CONFIG_SOL = "fsm-sam-dme-compute-physical-config-sol"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_DECOMMISSION = "fsm-sam-dme-compute-physical-decommission"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_DECOMMISSION_FSM_FAIL = "fsm-sam-dme-compute-physical-decommission-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_DECOMMISSION_REMOTE_INV = "fsm-sam-dme-compute-physical-decommission-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_DIAGNOSTIC_INTERRUPT = "fsm-sam-dme-compute-physical-diagnostic-interrupt"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_DIAGNOSTIC_INTERRUPT_FSM_FAIL = "fsm-sam-dme-compute-physical-diagnostic-interrupt-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_DIAGNOSTIC_INTERRUPT_REMOTE_INV = "fsm-sam-dme-compute-physical-diagnostic-interrupt-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_DISASSOCIATE = "fsm-sam-dme-compute-physical-disassociate"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_DISASSOCIATE_FSM_FAIL = "fsm-sam-dme-compute-physical-disassociate-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_DISASSOCIATE_REMOTE_INV = "fsm-sam-dme-compute-physical-disassociate-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_FLASH_CONTROLLER = "fsm-sam-dme-compute-physical-flash-controller"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_FLASH_CONTROLLER_FSM_FAIL = "fsm-sam-dme-compute-physical-flash-controller-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_FLASH_CONTROLLER_REMOTE_INV = "fsm-sam-dme-compute-physical-flash-controller-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_FW_UPGRADE = "fsm-sam-dme-compute-physical-fw-upgrade"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_FW_UPGRADE_FSM_FAIL = "fsm-sam-dme-compute-physical-fw-upgrade-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_FW_UPGRADE_REMOTE_INV = "fsm-sam-dme-compute-physical-fw-upgrade-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_HARD_SHUTDOWN = "fsm-sam-dme-compute-physical-hard-shutdown"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_HARD_SHUTDOWN_FSM_FAIL = "fsm-sam-dme-compute-physical-hard-shutdown-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_HARD_SHUTDOWN_REMOTE_INV = "fsm-sam-dme-compute-physical-hard-shutdown-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_HARDRESET = "fsm-sam-dme-compute-physical-hardreset"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_HARDRESET_FSM_FAIL = "fsm-sam-dme-compute-physical-hardreset-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_HARDRESET_REMOTE_INV = "fsm-sam-dme-compute-physical-hardreset-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_POWER_CAP = "fsm-sam-dme-compute-physical-power-cap"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_POWER_CAP_FSM_FAIL = "fsm-sam-dme-compute-physical-power-cap-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_POWER_CAP_REMOTE_INV = "fsm-sam-dme-compute-physical-power-cap-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_POWERCYCLE = "fsm-sam-dme-compute-physical-powercycle"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_POWERCYCLE_FSM_FAIL = "fsm-sam-dme-compute-physical-powercycle-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_POWERCYCLE_REMOTE_INV = "fsm-sam-dme-compute-physical-powercycle-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_RESET_BMC = "fsm-sam-dme-compute-physical-reset-bmc"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_RESET_BMC_FSM_FAIL = "fsm-sam-dme-compute-physical-reset-bmc-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_RESET_BMC_REMOTE_INV = "fsm-sam-dme-compute-physical-reset-bmc-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_RESET_IPMI = "fsm-sam-dme-compute-physical-reset-ipmi"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_RESET_IPMI_FSM_FAIL = "fsm-sam-dme-compute-physical-reset-ipmi-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_RESET_IPMI_REMOTE_INV = "fsm-sam-dme-compute-physical-reset-ipmi-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_RESET_KVM = "fsm-sam-dme-compute-physical-reset-kvm"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_RESET_KVM_FSM_FAIL = "fsm-sam-dme-compute-physical-reset-kvm-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_RESET_KVM_REMOTE_INV = "fsm-sam-dme-compute-physical-reset-kvm-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_RESET_MEMORY_ERRORS = "fsm-sam-dme-compute-physical-reset-memory-errors"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_RESET_MEMORY_ERRORS_FSM_FAIL = "fsm-sam-dme-compute-physical-reset-memory-errors-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_RESET_MEMORY_ERRORS_REMOTE_INV = "fsm-sam-dme-compute-physical-reset-memory-errors-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_SERVICE_INFRA_DEPLOY = "fsm-sam-dme-compute-physical-service-infra-deploy"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_SERVICE_INFRA_DEPLOY_FSM_FAIL = "fsm-sam-dme-compute-physical-service-infra-deploy-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_SERVICE_INFRA_DEPLOY_REMOTE_INV = "fsm-sam-dme-compute-physical-service-infra-deploy-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_SERVICE_INFRA_WITHDRAW = "fsm-sam-dme-compute-physical-service-infra-withdraw"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_SERVICE_INFRA_WITHDRAW_FSM_FAIL = "fsm-sam-dme-compute-physical-service-infra-withdraw-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_SERVICE_INFRA_WITHDRAW_REMOTE_INV = "fsm-sam-dme-compute-physical-service-infra-withdraw-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_SOFT_SHUTDOWN = "fsm-sam-dme-compute-physical-soft-shutdown"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_SOFT_SHUTDOWN_FSM_FAIL = "fsm-sam-dme-compute-physical-soft-shutdown-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_SOFT_SHUTDOWN_REMOTE_INV = "fsm-sam-dme-compute-physical-soft-shutdown-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_SOFTRESET = "fsm-sam-dme-compute-physical-softreset"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_SOFTRESET_FSM_FAIL = "fsm-sam-dme-compute-physical-softreset-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_SOFTRESET_REMOTE_INV = "fsm-sam-dme-compute-physical-softreset-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_SW_CONN_UPD = "fsm-sam-dme-compute-physical-sw-conn-upd"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_SW_CONN_UPD_FSM_FAIL = "fsm-sam-dme-compute-physical-sw-conn-upd-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_SW_CONN_UPD_REMOTE_INV = "fsm-sam-dme-compute-physical-sw-conn-upd-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_TURNUP = "fsm-sam-dme-compute-physical-turnup"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_TURNUP_FSM_FAIL = "fsm-sam-dme-compute-physical-turnup-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_TURNUP_REMOTE_INV = "fsm-sam-dme-compute-physical-turnup-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_UNCONFIG_SO_LFSM_FAIL = "fsm-sam-dme-compute-physical-unconfig-so-lfsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_UNCONFIG_SO_LREMOTE_INV = "fsm-sam-dme-compute-physical-unconfig-so-lremote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_UNCONFIG_SOL = "fsm-sam-dme-compute-physical-unconfig-sol"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_UPDATE_ADAPTOR = "fsm-sam-dme-compute-physical-update-adaptor"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_UPDATE_ADAPTOR_FSM_FAIL = "fsm-sam-dme-compute-physical-update-adaptor-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_UPDATE_ADAPTOR_REMOTE_INV = "fsm-sam-dme-compute-physical-update-adaptor-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_UPDATE_BOARD_CONTROLLER = "fsm-sam-dme-compute-physical-update-board-controller"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_UPDATE_BOARD_CONTROLLER_FSM_FAIL = "fsm-sam-dme-compute-physical-update-board-controller-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_UPDATE_BOARD_CONTROLLER_REMOTE_INV = "fsm-sam-dme-compute-physical-update-board-controller-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_UPDATE_EXT_USERS = "fsm-sam-dme-compute-physical-update-ext-users"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_UPDATE_EXT_USERS_FSM_FAIL = "fsm-sam-dme-compute-physical-update-ext-users-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_UPDATE_EXT_USERS_REMOTE_INV = "fsm-sam-dme-compute-physical-update-ext-users-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_UPDATEBIOS = "fsm-sam-dme-compute-physical-updatebios"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_UPDATEBIOS_FSM_FAIL = "fsm-sam-dme-compute-physical-updatebios-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_PHYSICAL_UPDATEBIOS_REMOTE_INV = "fsm-sam-dme-compute-physical-updatebios-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_RACK_UNIT_ADAPTER_RESET = "fsm-sam-dme-compute-rack-unit-adapter-reset"
	CONST_RULE_FSM_SAM_DME_COMPUTE_RACK_UNIT_ADAPTER_RESET_FSM_FAIL = "fsm-sam-dme-compute-rack-unit-adapter-reset-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_RACK_UNIT_ADAPTER_RESET_REMOTE_INV = "fsm-sam-dme-compute-rack-unit-adapter-reset-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_RACK_UNIT_CREATE_DHCP_ENTRY = "fsm-sam-dme-compute-rack-unit-create-dhcp-entry"
	CONST_RULE_FSM_SAM_DME_COMPUTE_RACK_UNIT_CREATE_DHCP_ENTRY_FSM_FAIL = "fsm-sam-dme-compute-rack-unit-create-dhcp-entry-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_RACK_UNIT_CREATE_DHCP_ENTRY_REMOTE_INV = "fsm-sam-dme-compute-rack-unit-create-dhcp-entry-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_RACK_UNIT_DISCOVER = "fsm-sam-dme-compute-rack-unit-discover"
	CONST_RULE_FSM_SAM_DME_COMPUTE_RACK_UNIT_DISCOVER_FSM_FAIL = "fsm-sam-dme-compute-rack-unit-discover-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_RACK_UNIT_DISCOVER_REMOTE_INV = "fsm-sam-dme-compute-rack-unit-discover-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_RACK_UNIT_OFFLINE = "fsm-sam-dme-compute-rack-unit-offline"
	CONST_RULE_FSM_SAM_DME_COMPUTE_RACK_UNIT_OFFLINE_FSM_FAIL = "fsm-sam-dme-compute-rack-unit-offline-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_RACK_UNIT_OFFLINE_REMOTE_INV = "fsm-sam-dme-compute-rack-unit-offline-remote-inv"
	CONST_RULE_FSM_SAM_DME_COMPUTE_SERVER_DISC_POLICY_RESOLVE_SCRUB_POLICY = "fsm-sam-dme-compute-server-disc-policy-resolve-scrub-policy"
	CONST_RULE_FSM_SAM_DME_COMPUTE_SERVER_DISC_POLICY_RESOLVE_SCRUB_POLICY_FSM_FAIL = "fsm-sam-dme-compute-server-disc-policy-resolve-scrub-policy-fsm-fail"
	CONST_RULE_FSM_SAM_DME_COMPUTE_SERVER_DISC_POLICY_RESOLVE_SCRUB_POLICY_REMOTE_INV = "fsm-sam-dme-compute-server-disc-policy-resolve-scrub-policy-remote-inv"
	CONST_RULE_FSM_SAM_DME_EPQOS_DEFINITION_DEL_TASK_REMOVE = "fsm-sam-dme-epqos-definition-del-task-remove"
	CONST_RULE_FSM_SAM_DME_EPQOS_DEFINITION_DEL_TASK_REMOVE_FSM_FAIL = "fsm-sam-dme-epqos-definition-del-task-remove-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EPQOS_DEFINITION_DEL_TASK_REMOVE_REMOTE_INV = "fsm-sam-dme-epqos-definition-del-task-remove-remote-inv"
	CONST_RULE_FSM_SAM_DME_EPQOS_DEFINITION_DEPLOY = "fsm-sam-dme-epqos-definition-deploy"
	CONST_RULE_FSM_SAM_DME_EPQOS_DEFINITION_DEPLOY_FSM_FAIL = "fsm-sam-dme-epqos-definition-deploy-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EPQOS_DEFINITION_DEPLOY_REMOTE_INV = "fsm-sam-dme-epqos-definition-deploy-remote-inv"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_BEACON_LED_ILLUMINATE = "fsm-sam-dme-equipment-beacon-led-illuminate"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_BEACON_LED_ILLUMINATE_FSM_FAIL = "fsm-sam-dme-equipment-beacon-led-illuminate-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_BEACON_LED_ILLUMINATE_REMOTE_INV = "fsm-sam-dme-equipment-beacon-led-illuminate-remote-inv"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_CHASSIS_DYNAMIC_REALLOCATION = "fsm-sam-dme-equipment-chassis-dynamic-reallocation"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_CHASSIS_DYNAMIC_REALLOCATION_FSM_FAIL = "fsm-sam-dme-equipment-chassis-dynamic-reallocation-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_CHASSIS_DYNAMIC_REALLOCATION_REMOTE_INV = "fsm-sam-dme-equipment-chassis-dynamic-reallocation-remote-inv"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_CHASSIS_POWER_CAP = "fsm-sam-dme-equipment-chassis-power-cap"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_CHASSIS_POWER_CAP_FSM_FAIL = "fsm-sam-dme-equipment-chassis-power-cap-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_CHASSIS_POWER_CAP_REMOTE_INV = "fsm-sam-dme-equipment-chassis-power-cap-remote-inv"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_CHASSIS_PSU_POLICY_CONFIG = "fsm-sam-dme-equipment-chassis-psu-policy-config"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_CHASSIS_PSU_POLICY_CONFIG_FSM_FAIL = "fsm-sam-dme-equipment-chassis-psu-policy-config-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_CHASSIS_PSU_POLICY_CONFIG_REMOTE_INV = "fsm-sam-dme-equipment-chassis-psu-policy-config-remote-inv"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_CHASSIS_REMOVE_CHASSIS = "fsm-sam-dme-equipment-chassis-remove-chassis"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_CHASSIS_REMOVE_CHASSIS_FSM_FAIL = "fsm-sam-dme-equipment-chassis-remove-chassis-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_CHASSIS_REMOVE_CHASSIS_REMOTE_INV = "fsm-sam-dme-equipment-chassis-remove-chassis-remote-inv"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_FEX_REMOVE_FEX = "fsm-sam-dme-equipment-fex-remove-fex"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_FEX_REMOVE_FEX_FSM_FAIL = "fsm-sam-dme-equipment-fex-remove-fex-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_FEX_REMOVE_FEX_REMOTE_INV = "fsm-sam-dme-equipment-fex-remove-fex-remote-inv"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_LOCATOR_LED_SET_FE_LOCATOR_LED = "fsm-sam-dme-equipment-locator-led-set-fe-locator-led"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_LOCATOR_LED_SET_FE_LOCATOR_LED_FSM_FAIL = "fsm-sam-dme-equipment-locator-led-set-fe-locator-led-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_LOCATOR_LED_SET_FE_LOCATOR_LED_REMOTE_INV = "fsm-sam-dme-equipment-locator-led-set-fe-locator-led-remote-inv"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_LOCATOR_LED_SET_FI_LOCATOR_LED = "fsm-sam-dme-equipment-locator-led-set-fi-locator-led"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_LOCATOR_LED_SET_FI_LOCATOR_LED_FSM_FAIL = "fsm-sam-dme-equipment-locator-led-set-fi-locator-led-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_LOCATOR_LED_SET_FI_LOCATOR_LED_REMOTE_INV = "fsm-sam-dme-equipment-locator-led-set-fi-locator-led-remote-inv"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_LOCATOR_LED_SET_LOCATOR_LED = "fsm-sam-dme-equipment-locator-led-set-locator-led"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_LOCATOR_LED_SET_LOCATOR_LED_FSM_FAIL = "fsm-sam-dme-equipment-locator-led-set-locator-led-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EQUIPMENT_LOCATOR_LED_SET_LOCATOR_LED_REMOTE_INV = "fsm-sam-dme-equipment-locator-led-set-locator-led-remote-inv"
	CONST_RULE_FSM_SAM_DME_EQUIPMENTIOCARD_FE_CONN = "fsm-sam-dme-equipmentiocard-fe-conn"
	CONST_RULE_FSM_SAM_DME_EQUIPMENTIOCARD_FE_CONN_FSM_FAIL = "fsm-sam-dme-equipmentiocard-fe-conn-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EQUIPMENTIOCARD_FE_CONN_REMOTE_INV = "fsm-sam-dme-equipmentiocard-fe-conn-remote-inv"
	CONST_RULE_FSM_SAM_DME_EQUIPMENTIOCARD_FE_PRESENCE = "fsm-sam-dme-equipmentiocard-fe-presence"
	CONST_RULE_FSM_SAM_DME_EQUIPMENTIOCARD_FE_PRESENCE_FSM_FAIL = "fsm-sam-dme-equipmentiocard-fe-presence-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EQUIPMENTIOCARD_FE_PRESENCE_REMOTE_INV = "fsm-sam-dme-equipmentiocard-fe-presence-remote-inv"
	CONST_RULE_FSM_SAM_DME_EQUIPMENTIOCARD_MUX_OFFLINE = "fsm-sam-dme-equipmentiocard-mux-offline"
	CONST_RULE_FSM_SAM_DME_EQUIPMENTIOCARD_MUX_OFFLINE_FSM_FAIL = "fsm-sam-dme-equipmentiocard-mux-offline-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EQUIPMENTIOCARD_MUX_OFFLINE_REMOTE_INV = "fsm-sam-dme-equipmentiocard-mux-offline-remote-inv"
	CONST_RULE_FSM_SAM_DME_EQUIPMENTIOCARD_RESET_CMC = "fsm-sam-dme-equipmentiocard-reset-cmc"
	CONST_RULE_FSM_SAM_DME_EQUIPMENTIOCARD_RESET_CMC_FSM_FAIL = "fsm-sam-dme-equipmentiocard-reset-cmc-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EQUIPMENTIOCARD_RESET_CMC_REMOTE_INV = "fsm-sam-dme-equipmentiocard-reset-cmc-remote-inv"
	CONST_RULE_FSM_SAM_DME_EQUIPMENTIOCARD_RESET_IOM = "fsm-sam-dme-equipmentiocard-reset-iom"
	CONST_RULE_FSM_SAM_DME_EQUIPMENTIOCARD_RESET_IOM_FSM_FAIL = "fsm-sam-dme-equipmentiocard-reset-iom-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EQUIPMENTIOCARD_RESET_IOM_REMOTE_INV = "fsm-sam-dme-equipmentiocard-reset-iom-remote-inv"
	CONST_RULE_FSM_SAM_DME_ETHER_SERVER_INTFIO_CONFIG_SPEED = "fsm-sam-dme-ether-server-intfio-config-speed"
	CONST_RULE_FSM_SAM_DME_ETHER_SERVER_INTFIO_CONFIG_SPEED_FSM_FAIL = "fsm-sam-dme-ether-server-intfio-config-speed-fsm-fail"
	CONST_RULE_FSM_SAM_DME_ETHER_SERVER_INTFIO_CONFIG_SPEED_REMOTE_INV = "fsm-sam-dme-ether-server-intfio-config-speed-remote-inv"
	CONST_RULE_FSM_SAM_DME_EXTPOL_EP_REGISTER_FSM = "fsm-sam-dme-extpol-ep-register-fsm"
	CONST_RULE_FSM_SAM_DME_EXTPOL_EP_REGISTER_FSM_FSM_FAIL = "fsm-sam-dme-extpol-ep-register-fsm-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EXTPOL_EP_REGISTER_FSM_REMOTE_INV = "fsm-sam-dme-extpol-ep-register-fsm-remote-inv"
	CONST_RULE_FSM_SAM_DME_EXTPOL_EP_REPAIR_CERT = "fsm-sam-dme-extpol-ep-repair-cert"
	CONST_RULE_FSM_SAM_DME_EXTPOL_EP_REPAIR_CERT_FSM_FAIL = "fsm-sam-dme-extpol-ep-repair-cert-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EXTPOL_EP_REPAIR_CERT_REMOTE_INV = "fsm-sam-dme-extpol-ep-repair-cert-remote-inv"
	CONST_RULE_FSM_SAM_DME_EXTPOL_PROVIDER_REPORT_CONFIG_IMPORT = "fsm-sam-dme-extpol-provider-report-config-import"
	CONST_RULE_FSM_SAM_DME_EXTPOL_PROVIDER_REPORT_CONFIG_IMPORT_FSM_FAIL = "fsm-sam-dme-extpol-provider-report-config-import-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EXTPOL_PROVIDER_REPORT_CONFIG_IMPORT_REMOTE_INV = "fsm-sam-dme-extpol-provider-report-config-import-remote-inv"
	CONST_RULE_FSM_SAM_DME_EXTPOL_REGISTRY_CROSS_DOMAIN_CONFIG = "fsm-sam-dme-extpol-registry-cross-domain-config"
	CONST_RULE_FSM_SAM_DME_EXTPOL_REGISTRY_CROSS_DOMAIN_CONFIG_FSM_FAIL = "fsm-sam-dme-extpol-registry-cross-domain-config-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EXTPOL_REGISTRY_CROSS_DOMAIN_CONFIG_REMOTE_INV = "fsm-sam-dme-extpol-registry-cross-domain-config-remote-inv"
	CONST_RULE_FSM_SAM_DME_EXTPOL_REGISTRY_CROSS_DOMAIN_DELETE = "fsm-sam-dme-extpol-registry-cross-domain-delete"
	CONST_RULE_FSM_SAM_DME_EXTPOL_REGISTRY_CROSS_DOMAIN_DELETE_FSM_FAIL = "fsm-sam-dme-extpol-registry-cross-domain-delete-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EXTPOL_REGISTRY_CROSS_DOMAIN_DELETE_REMOTE_INV = "fsm-sam-dme-extpol-registry-cross-domain-delete-remote-inv"
	CONST_RULE_FSM_SAM_DME_EXTVMM_EP_CLUSTER_ROLE = "fsm-sam-dme-extvmm-ep-cluster-role"
	CONST_RULE_FSM_SAM_DME_EXTVMM_EP_CLUSTER_ROLE_FSM_FAIL = "fsm-sam-dme-extvmm-ep-cluster-role-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EXTVMM_EP_CLUSTER_ROLE_REMOTE_INV = "fsm-sam-dme-extvmm-ep-cluster-role-remote-inv"
	CONST_RULE_FSM_SAM_DME_EXTVMM_KEY_STORE_CERT_INSTALL = "fsm-sam-dme-extvmm-key-store-cert-install"
	CONST_RULE_FSM_SAM_DME_EXTVMM_KEY_STORE_CERT_INSTALL_FSM_FAIL = "fsm-sam-dme-extvmm-key-store-cert-install-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EXTVMM_KEY_STORE_CERT_INSTALL_REMOTE_INV = "fsm-sam-dme-extvmm-key-store-cert-install-remote-inv"
	CONST_RULE_FSM_SAM_DME_EXTVMM_MASTER_EXT_KEY_CONFIG = "fsm-sam-dme-extvmm-master-ext-key-config"
	CONST_RULE_FSM_SAM_DME_EXTVMM_MASTER_EXT_KEY_CONFIG_FSM_FAIL = "fsm-sam-dme-extvmm-master-ext-key-config-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EXTVMM_MASTER_EXT_KEY_CONFIG_REMOTE_INV = "fsm-sam-dme-extvmm-master-ext-key-config-remote-inv"
	CONST_RULE_FSM_SAM_DME_EXTVMM_NETWORK_SETS_DEPLOY = "fsm-sam-dme-extvmm-network-sets-deploy"
	CONST_RULE_FSM_SAM_DME_EXTVMM_NETWORK_SETS_DEPLOY_FSM_FAIL = "fsm-sam-dme-extvmm-network-sets-deploy-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EXTVMM_NETWORK_SETS_DEPLOY_REMOTE_INV = "fsm-sam-dme-extvmm-network-sets-deploy-remote-inv"
	CONST_RULE_FSM_SAM_DME_EXTVMM_PROVIDER_CONFIG = "fsm-sam-dme-extvmm-provider-config"
	CONST_RULE_FSM_SAM_DME_EXTVMM_PROVIDER_CONFIG_FSM_FAIL = "fsm-sam-dme-extvmm-provider-config-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EXTVMM_PROVIDER_CONFIG_REMOTE_INV = "fsm-sam-dme-extvmm-provider-config-remote-inv"
	CONST_RULE_FSM_SAM_DME_EXTVMM_SWITCH_DEL_TASK_REMOVE_PROVIDER = "fsm-sam-dme-extvmm-switch-del-task-remove-provider"
	CONST_RULE_FSM_SAM_DME_EXTVMM_SWITCH_DEL_TASK_REMOVE_PROVIDER_FSM_FAIL = "fsm-sam-dme-extvmm-switch-del-task-remove-provider-fsm-fail"
	CONST_RULE_FSM_SAM_DME_EXTVMM_SWITCH_DEL_TASK_REMOVE_PROVIDER_REMOTE_INV = "fsm-sam-dme-extvmm-switch-del-task-remove-provider-remote-inv"
	CONST_RULE_FSM_SAM_DME_FABRIC_COMPUTE_SLOT_EP_IDENTIFY = "fsm-sam-dme-fabric-compute-slot-ep-identify"
	CONST_RULE_FSM_SAM_DME_FABRIC_COMPUTE_SLOT_EP_IDENTIFY_FSM_FAIL = "fsm-sam-dme-fabric-compute-slot-ep-identify-fsm-fail"
	CONST_RULE_FSM_SAM_DME_FABRIC_COMPUTE_SLOT_EP_IDENTIFY_REMOTE_INV = "fsm-sam-dme-fabric-compute-slot-ep-identify-remote-inv"
	CONST_RULE_FSM_SAM_DME_FABRIC_EP_MGR_CONFIGURE = "fsm-sam-dme-fabric-ep-mgr-configure"
	CONST_RULE_FSM_SAM_DME_FABRIC_EP_MGR_CONFIGURE_FSM_FAIL = "fsm-sam-dme-fabric-ep-mgr-configure-fsm-fail"
	CONST_RULE_FSM_SAM_DME_FABRIC_EP_MGR_CONFIGURE_REMOTE_INV = "fsm-sam-dme-fabric-ep-mgr-configure-remote-inv"
	CONST_RULE_FSM_SAM_DME_FABRIC_LAN_CLOUD_SWITCH_MODE = "fsm-sam-dme-fabric-lan-cloud-switch-mode"
	CONST_RULE_FSM_SAM_DME_FABRIC_LAN_CLOUD_SWITCH_MODE_FSM_FAIL = "fsm-sam-dme-fabric-lan-cloud-switch-mode-fsm-fail"
	CONST_RULE_FSM_SAM_DME_FABRIC_LAN_CLOUD_SWITCH_MODE_REMOTE_INV = "fsm-sam-dme-fabric-lan-cloud-switch-mode-remote-inv"
	CONST_RULE_FSM_SAM_DME_FABRIC_SAN_CLOUD_SWITCH_MODE = "fsm-sam-dme-fabric-san-cloud-switch-mode"
	CONST_RULE_FSM_SAM_DME_FABRIC_SAN_CLOUD_SWITCH_MODE_FSM_FAIL = "fsm-sam-dme-fabric-san-cloud-switch-mode-fsm-fail"
	CONST_RULE_FSM_SAM_DME_FABRIC_SAN_CLOUD_SWITCH_MODE_REMOTE_INV = "fsm-sam-dme-fabric-san-cloud-switch-mode-remote-inv"
	CONST_RULE_FSM_SAM_DME_FABRIC_VNET_EP_SYNC_EP_PUSH_VNET_EP_DELETION = "fsm-sam-dme-fabric-vnet-ep-sync-ep-push-vnet-ep-deletion"
	CONST_RULE_FSM_SAM_DME_FABRIC_VNET_EP_SYNC_EP_PUSH_VNET_EP_DELETION_FSM_FAIL = "fsm-sam-dme-fabric-vnet-ep-sync-ep-push-vnet-ep-deletion-fsm-fail"
	CONST_RULE_FSM_SAM_DME_FABRIC_VNET_EP_SYNC_EP_PUSH_VNET_EP_DELETION_REMOTE_INV = "fsm-sam-dme-fabric-vnet-ep-sync-ep-push-vnet-ep-deletion-remote-inv"
	CONST_RULE_FSM_SAM_DME_FIRMWARE_DISTRIBUTABLE_DELETE = "fsm-sam-dme-firmware-distributable-delete"
	CONST_RULE_FSM_SAM_DME_FIRMWARE_DISTRIBUTABLE_DELETE_FSM_FAIL = "fsm-sam-dme-firmware-distributable-delete-fsm-fail"
	CONST_RULE_FSM_SAM_DME_FIRMWARE_DISTRIBUTABLE_DELETE_REMOTE_INV = "fsm-sam-dme-firmware-distributable-delete-remote-inv"
	CONST_RULE_FSM_SAM_DME_FIRMWARE_DOWNLOADER_DOWNLOAD = "fsm-sam-dme-firmware-downloader-download"
	CONST_RULE_FSM_SAM_DME_FIRMWARE_DOWNLOADER_DOWNLOAD_FSM_FAIL = "fsm-sam-dme-firmware-downloader-download-fsm-fail"
	CONST_RULE_FSM_SAM_DME_FIRMWARE_DOWNLOADER_DOWNLOAD_REMOTE_INV = "fsm-sam-dme-firmware-downloader-download-remote-inv"
	CONST_RULE_FSM_SAM_DME_FIRMWARE_IMAGE_DELETE = "fsm-sam-dme-firmware-image-delete"
	CONST_RULE_FSM_SAM_DME_FIRMWARE_IMAGE_DELETE_FSM_FAIL = "fsm-sam-dme-firmware-image-delete-fsm-fail"
	CONST_RULE_FSM_SAM_DME_FIRMWARE_IMAGE_DELETE_REMOTE_INV = "fsm-sam-dme-firmware-image-delete-remote-inv"
	CONST_RULE_FSM_SAM_DME_FIRMWARE_SYSTEM_APPLY_CATALOG_PACK = "fsm-sam-dme-firmware-system-apply-catalog-pack"
	CONST_RULE_FSM_SAM_DME_FIRMWARE_SYSTEM_APPLY_CATALOG_PACK_FSM_FAIL = "fsm-sam-dme-firmware-system-apply-catalog-pack-fsm-fail"
	CONST_RULE_FSM_SAM_DME_FIRMWARE_SYSTEM_APPLY_CATALOG_PACK_REMOTE_INV = "fsm-sam-dme-firmware-system-apply-catalog-pack-remote-inv"
	CONST_RULE_FSM_SAM_DME_FIRMWARE_SYSTEM_DEPLOY = "fsm-sam-dme-firmware-system-deploy"
	CONST_RULE_FSM_SAM_DME_FIRMWARE_SYSTEM_DEPLOY_FSM_FAIL = "fsm-sam-dme-firmware-system-deploy-fsm-fail"
	CONST_RULE_FSM_SAM_DME_FIRMWARE_SYSTEM_DEPLOY_REMOTE_INV = "fsm-sam-dme-firmware-system-deploy-remote-inv"
	CONST_RULE_FSM_SAM_DME_GMETA_HOLDER_INVENTORY = "fsm-sam-dme-gmeta-holder-inventory"
	CONST_RULE_FSM_SAM_DME_GMETA_HOLDER_INVENTORY_FSM_FAIL = "fsm-sam-dme-gmeta-holder-inventory-fsm-fail"
	CONST_RULE_FSM_SAM_DME_GMETA_HOLDER_INVENTORY_REMOTE_INV = "fsm-sam-dme-gmeta-holder-inventory-remote-inv"
	CONST_RULE_FSM_SAM_DME_IDENT_IDENT_REQUEST_UPDATE_IDENT = "fsm-sam-dme-ident-ident-request-update-ident"
	CONST_RULE_FSM_SAM_DME_IDENT_IDENT_REQUEST_UPDATE_IDENT_FSM_FAIL = "fsm-sam-dme-ident-ident-request-update-ident-fsm-fail"
	CONST_RULE_FSM_SAM_DME_IDENT_IDENT_REQUEST_UPDATE_IDENT_REMOTE_INV = "fsm-sam-dme-ident-ident-request-update-ident-remote-inv"
	CONST_RULE_FSM_SAM_DME_IDENT_META_SYSTEM_SYNC = "fsm-sam-dme-ident-meta-system-sync"
	CONST_RULE_FSM_SAM_DME_IDENT_META_SYSTEM_SYNC_FSM_FAIL = "fsm-sam-dme-ident-meta-system-sync-fsm-fail"
	CONST_RULE_FSM_SAM_DME_IDENT_META_SYSTEM_SYNC_REMOTE_INV = "fsm-sam-dme-ident-meta-system-sync-remote-inv"
	CONST_RULE_FSM_SAM_DME_LICENSE_DOWNLOADER_DOWNLOAD = "fsm-sam-dme-license-downloader-download"
	CONST_RULE_FSM_SAM_DME_LICENSE_DOWNLOADER_DOWNLOAD_FSM_FAIL = "fsm-sam-dme-license-downloader-download-fsm-fail"
	CONST_RULE_FSM_SAM_DME_LICENSE_DOWNLOADER_DOWNLOAD_REMOTE_INV = "fsm-sam-dme-license-downloader-download-remote-inv"
	CONST_RULE_FSM_SAM_DME_LICENSE_FILE_CLEAR = "fsm-sam-dme-license-file-clear"
	CONST_RULE_FSM_SAM_DME_LICENSE_FILE_CLEAR_FSM_FAIL = "fsm-sam-dme-license-file-clear-fsm-fail"
	CONST_RULE_FSM_SAM_DME_LICENSE_FILE_CLEAR_REMOTE_INV = "fsm-sam-dme-license-file-clear-remote-inv"
	CONST_RULE_FSM_SAM_DME_LICENSE_FILE_INSTALL = "fsm-sam-dme-license-file-install"
	CONST_RULE_FSM_SAM_DME_LICENSE_FILE_INSTALL_FSM_FAIL = "fsm-sam-dme-license-file-install-fsm-fail"
	CONST_RULE_FSM_SAM_DME_LICENSE_FILE_INSTALL_REMOTE_INV = "fsm-sam-dme-license-file-install-remote-inv"
	CONST_RULE_FSM_SAM_DME_LICENSE_INSTANCE_UPDATE_FLEXLM = "fsm-sam-dme-license-instance-update-flexlm"
	CONST_RULE_FSM_SAM_DME_LICENSE_INSTANCE_UPDATE_FLEXLM_FSM_FAIL = "fsm-sam-dme-license-instance-update-flexlm-fsm-fail"
	CONST_RULE_FSM_SAM_DME_LICENSE_INSTANCE_UPDATE_FLEXLM_REMOTE_INV = "fsm-sam-dme-license-instance-update-flexlm-remote-inv"
	CONST_RULE_FSM_SAM_DME_LS_SERVER_CONFIGURE = "fsm-sam-dme-ls-server-configure"
	CONST_RULE_FSM_SAM_DME_LS_SERVER_CONFIGURE_FSM_FAIL = "fsm-sam-dme-ls-server-configure-fsm-fail"
	CONST_RULE_FSM_SAM_DME_LS_SERVER_CONFIGURE_REMOTE_INV = "fsm-sam-dme-ls-server-configure-remote-inv"
	CONST_RULE_FSM_SAM_DME_MGMT_BACKUP_BACKUP = "fsm-sam-dme-mgmt-backup-backup"
	CONST_RULE_FSM_SAM_DME_MGMT_BACKUP_BACKUP_FSM_FAIL = "fsm-sam-dme-mgmt-backup-backup-fsm-fail"
	CONST_RULE_FSM_SAM_DME_MGMT_BACKUP_BACKUP_REMOTE_INV = "fsm-sam-dme-mgmt-backup-backup-remote-inv"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_ACTIVATEBMC = "fsm-sam-dme-mgmt-controller-activatebmc"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_ACTIVATEBMC_FSM_FAIL = "fsm-sam-dme-mgmt-controller-activatebmc-fsm-fail"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_ACTIVATEBMC_REMOTE_INV = "fsm-sam-dme-mgmt-controller-activatebmc-remote-inv"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_ACTIVATEIOM = "fsm-sam-dme-mgmt-controller-activateiom"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_ACTIVATEIOM_FSM_FAIL = "fsm-sam-dme-mgmt-controller-activateiom-fsm-fail"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_ACTIVATEIOM_REMOTE_INV = "fsm-sam-dme-mgmt-controller-activateiom-remote-inv"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_EXT_MGMT_IF_CONFIG = "fsm-sam-dme-mgmt-controller-ext-mgmt-if-config"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_EXT_MGMT_IF_CONFIG_FSM_FAIL = "fsm-sam-dme-mgmt-controller-ext-mgmt-if-config-fsm-fail"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_EXT_MGMT_IF_CONFIG_REMOTE_INV = "fsm-sam-dme-mgmt-controller-ext-mgmt-if-config-remote-inv"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_EXT_MGMT_INTERFACE_CONFIG = "fsm-sam-dme-mgmt-controller-ext-mgmt-interface-config"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_EXT_MGMT_INTERFACE_CONFIG_FSM_FAIL = "fsm-sam-dme-mgmt-controller-ext-mgmt-interface-config-fsm-fail"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_EXT_MGMT_INTERFACE_CONFIG_REMOTE_INV = "fsm-sam-dme-mgmt-controller-ext-mgmt-interface-config-remote-inv"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_ONLINE = "fsm-sam-dme-mgmt-controller-online"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_ONLINE_FSM_FAIL = "fsm-sam-dme-mgmt-controller-online-fsm-fail"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_ONLINE_REMOTE_INV = "fsm-sam-dme-mgmt-controller-online-remote-inv"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_REGISTRY_CONFIG = "fsm-sam-dme-mgmt-controller-registry-config"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_REGISTRY_CONFIG_FSM_FAIL = "fsm-sam-dme-mgmt-controller-registry-config-fsm-fail"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_REGISTRY_CONFIG_REMOTE_INV = "fsm-sam-dme-mgmt-controller-registry-config-remote-inv"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_SYS_CONFIG = "fsm-sam-dme-mgmt-controller-sys-config"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_SYS_CONFIG_FSM_FAIL = "fsm-sam-dme-mgmt-controller-sys-config-fsm-fail"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_SYS_CONFIG_REMOTE_INV = "fsm-sam-dme-mgmt-controller-sys-config-remote-inv"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_UPDATE_SWITCH = "fsm-sam-dme-mgmt-controller-update-switch"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_UPDATE_SWITCH_FSM_FAIL = "fsm-sam-dme-mgmt-controller-update-switch-fsm-fail"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_UPDATE_SWITCH_REMOTE_INV = "fsm-sam-dme-mgmt-controller-update-switch-remote-inv"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_UPDATEBMC = "fsm-sam-dme-mgmt-controller-updatebmc"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_UPDATEBMC_FSM_FAIL = "fsm-sam-dme-mgmt-controller-updatebmc-fsm-fail"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_UPDATEBMC_REMOTE_INV = "fsm-sam-dme-mgmt-controller-updatebmc-remote-inv"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_UPDATEIOM = "fsm-sam-dme-mgmt-controller-updateiom"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_UPDATEIOM_FSM_FAIL = "fsm-sam-dme-mgmt-controller-updateiom-fsm-fail"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_UPDATEIOM_REMOTE_INV = "fsm-sam-dme-mgmt-controller-updateiom-remote-inv"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_UPDATEUCSMANAGER = "fsm-sam-dme-mgmt-controller-updateucsmanager"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_UPDATEUCSMANAGER_FSM_FAIL = "fsm-sam-dme-mgmt-controller-updateucsmanager-fsm-fail"
	CONST_RULE_FSM_SAM_DME_MGMT_CONTROLLER_UPDATEUCSMANAGER_REMOTE_INV = "fsm-sam-dme-mgmt-controller-updateucsmanager-remote-inv"
	CONST_RULE_FSM_SAM_DME_MGMT_EXPORT_POLICY_REPORT_CONFIG_COPY = "fsm-sam-dme-mgmt-export-policy-report-config-copy"
	CONST_RULE_FSM_SAM_DME_MGMT_EXPORT_POLICY_REPORT_CONFIG_COPY_FSM_FAIL = "fsm-sam-dme-mgmt-export-policy-report-config-copy-fsm-fail"
	CONST_RULE_FSM_SAM_DME_MGMT_EXPORT_POLICY_REPORT_CONFIG_COPY_REMOTE_INV = "fsm-sam-dme-mgmt-export-policy-report-config-copy-remote-inv"
	CONST_RULE_FSM_SAM_DME_MGMT_IF_DISABLE_VIP = "fsm-sam-dme-mgmt-if-disable-vip"
	CONST_RULE_FSM_SAM_DME_MGMT_IF_DISABLE_VIP_FSM_FAIL = "fsm-sam-dme-mgmt-if-disable-vip-fsm-fail"
	CONST_RULE_FSM_SAM_DME_MGMT_IF_DISABLE_VIP_REMOTE_INV = "fsm-sam-dme-mgmt-if-disable-vip-remote-inv"
	CONST_RULE_FSM_SAM_DME_MGMT_IF_ENABLE_VIP = "fsm-sam-dme-mgmt-if-enable-vip"
	CONST_RULE_FSM_SAM_DME_MGMT_IF_ENABLE_VIP_FSM_FAIL = "fsm-sam-dme-mgmt-if-enable-vip-fsm-fail"
	CONST_RULE_FSM_SAM_DME_MGMT_IF_ENABLE_VIP_REMOTE_INV = "fsm-sam-dme-mgmt-if-enable-vip-remote-inv"
	CONST_RULE_FSM_SAM_DME_MGMT_IF_ENABLEHA = "fsm-sam-dme-mgmt-if-enableha"
	CONST_RULE_FSM_SAM_DME_MGMT_IF_ENABLEHA_FSM_FAIL = "fsm-sam-dme-mgmt-if-enableha-fsm-fail"
	CONST_RULE_FSM_SAM_DME_MGMT_IF_ENABLEHA_REMOTE_INV = "fsm-sam-dme-mgmt-if-enableha-remote-inv"
	CONST_RULE_FSM_SAM_DME_MGMT_IF_SW_MGMT_INBAND_IF_CONFIG = "fsm-sam-dme-mgmt-if-sw-mgmt-inband-if-config"
	CONST_RULE_FSM_SAM_DME_MGMT_IF_SW_MGMT_INBAND_IF_CONFIG_FSM_FAIL = "fsm-sam-dme-mgmt-if-sw-mgmt-inband-if-config-fsm-fail"
	CONST_RULE_FSM_SAM_DME_MGMT_IF_SW_MGMT_INBAND_IF_CONFIG_REMOTE_INV = "fsm-sam-dme-mgmt-if-sw-mgmt-inband-if-config-remote-inv"
	CONST_RULE_FSM_SAM_DME_MGMT_IF_SW_MGMT_OOB_IF_CONFIG = "fsm-sam-dme-mgmt-if-sw-mgmt-oob-if-config"
	CONST_RULE_FSM_SAM_DME_MGMT_IF_SW_MGMT_OOB_IF_CONFIG_FSM_FAIL = "fsm-sam-dme-mgmt-if-sw-mgmt-oob-if-config-fsm-fail"
	CONST_RULE_FSM_SAM_DME_MGMT_IF_SW_MGMT_OOB_IF_CONFIG_REMOTE_INV = "fsm-sam-dme-mgmt-if-sw-mgmt-oob-if-config-remote-inv"
	CONST_RULE_FSM_SAM_DME_MGMT_IF_VIRTUAL_IF_CONFIG = "fsm-sam-dme-mgmt-if-virtual-if-config"
	CONST_RULE_FSM_SAM_DME_MGMT_IF_VIRTUAL_IF_CONFIG_FSM_FAIL = "fsm-sam-dme-mgmt-if-virtual-if-config-fsm-fail"
	CONST_RULE_FSM_SAM_DME_MGMT_IF_VIRTUAL_IF_CONFIG_REMOTE_INV = "fsm-sam-dme-mgmt-if-virtual-if-config-remote-inv"
	CONST_RULE_FSM_SAM_DME_MGMT_IMPORTER_IMPORT = "fsm-sam-dme-mgmt-importer-import"
	CONST_RULE_FSM_SAM_DME_MGMT_IMPORTER_IMPORT_FSM_FAIL = "fsm-sam-dme-mgmt-importer-import-fsm-fail"
	CONST_RULE_FSM_SAM_DME_MGMT_IMPORTER_IMPORT_REMOTE_INV = "fsm-sam-dme-mgmt-importer-import-remote-inv"
	CONST_RULE_FSM_SAM_DME_MGMTIPV6_IF_ADDR_SW_MGMT_OOB_IPV6_IF_CONFIG = "fsm-sam-dme-mgmtipv6-if-addr-sw-mgmt-oob-ipv6-if-config"
	CONST_RULE_FSM_SAM_DME_MGMTIPV6_IF_ADDR_SW_MGMT_OOB_IPV6_IF_CONFIG_FSM_FAIL = "fsm-sam-dme-mgmtipv6-if-addr-sw-mgmt-oob-ipv6-if-config-fsm-fail"
	CONST_RULE_FSM_SAM_DME_MGMTIPV6_IF_ADDR_SW_MGMT_OOB_IPV6_IF_CONFIG_REMOTE_INV = "fsm-sam-dme-mgmtipv6-if-addr-sw-mgmt-oob-ipv6-if-config-remote-inv"
	CONST_RULE_FSM_SAM_DME_NFS_MOUNT_DEF_REPORT_NFS_MOUNT_SUSPEND = "fsm-sam-dme-nfs-mount-def-report-nfs-mount-suspend"
	CONST_RULE_FSM_SAM_DME_NFS_MOUNT_DEF_REPORT_NFS_MOUNT_SUSPEND_FSM_FAIL = "fsm-sam-dme-nfs-mount-def-report-nfs-mount-suspend-fsm-fail"
	CONST_RULE_FSM_SAM_DME_NFS_MOUNT_DEF_REPORT_NFS_MOUNT_SUSPEND_REMOTE_INV = "fsm-sam-dme-nfs-mount-def-report-nfs-mount-suspend-remote-inv"
	CONST_RULE_FSM_SAM_DME_NFS_MOUNT_INST_MOUNT = "fsm-sam-dme-nfs-mount-inst-mount"
	CONST_RULE_FSM_SAM_DME_NFS_MOUNT_INST_MOUNT_FSM_FAIL = "fsm-sam-dme-nfs-mount-inst-mount-fsm-fail"
	CONST_RULE_FSM_SAM_DME_NFS_MOUNT_INST_MOUNT_REMOTE_INV = "fsm-sam-dme-nfs-mount-inst-mount-remote-inv"
	CONST_RULE_FSM_SAM_DME_NFS_MOUNT_INST_UNMOUNT = "fsm-sam-dme-nfs-mount-inst-unmount"
	CONST_RULE_FSM_SAM_DME_NFS_MOUNT_INST_UNMOUNT_FSM_FAIL = "fsm-sam-dme-nfs-mount-inst-unmount-fsm-fail"
	CONST_RULE_FSM_SAM_DME_NFS_MOUNT_INST_UNMOUNT_REMOTE_INV = "fsm-sam-dme-nfs-mount-inst-unmount-remote-inv"
	CONST_RULE_FSM_SAM_DME_OBSERVE_OBSERVED_RESOLVE_CONTROLLER_FSM = "fsm-sam-dme-observe-observed-resolve-controller-fsm"
	CONST_RULE_FSM_SAM_DME_OBSERVE_OBSERVED_RESOLVE_CONTROLLER_FSM_FSM_FAIL = "fsm-sam-dme-observe-observed-resolve-controller-fsm-fsm-fail"
	CONST_RULE_FSM_SAM_DME_OBSERVE_OBSERVED_RESOLVE_CONTROLLER_FSM_REMOTE_INV = "fsm-sam-dme-observe-observed-resolve-controller-fsm-remote-inv"
	CONST_RULE_FSM_SAM_DME_OBSERVE_OBSERVED_RESOLVE_POLICY_FSM = "fsm-sam-dme-observe-observed-resolve-policy-fsm"
	CONST_RULE_FSM_SAM_DME_OBSERVE_OBSERVED_RESOLVE_POLICY_FSM_FSM_FAIL = "fsm-sam-dme-observe-observed-resolve-policy-fsm-fsm-fail"
	CONST_RULE_FSM_SAM_DME_OBSERVE_OBSERVED_RESOLVE_POLICY_FSM_REMOTE_INV = "fsm-sam-dme-observe-observed-resolve-policy-fsm-remote-inv"
	CONST_RULE_FSM_SAM_DME_OBSERVE_OBSERVED_RESOLVE_RESOURCE_FSM = "fsm-sam-dme-observe-observed-resolve-resource-fsm"
	CONST_RULE_FSM_SAM_DME_OBSERVE_OBSERVED_RESOLVE_RESOURCE_FSM_FSM_FAIL = "fsm-sam-dme-observe-observed-resolve-resource-fsm-fsm-fail"
	CONST_RULE_FSM_SAM_DME_OBSERVE_OBSERVED_RESOLVE_RESOURCE_FSM_REMOTE_INV = "fsm-sam-dme-observe-observed-resolve-resource-fsm-remote-inv"
	CONST_RULE_FSM_SAM_DME_OBSERVE_OBSERVED_RESOLVEVMFSM = "fsm-sam-dme-observe-observed-resolvevmfsm"
	CONST_RULE_FSM_SAM_DME_OBSERVE_OBSERVED_RESOLVEVMFSM_FSM_FAIL = "fsm-sam-dme-observe-observed-resolvevmfsm-fsm-fail"
	CONST_RULE_FSM_SAM_DME_OBSERVE_OBSERVED_RESOLVEVMFSM_REMOTE_INV = "fsm-sam-dme-observe-observed-resolvevmfsm-remote-inv"
	CONST_RULE_FSM_SAM_DME_PKI_EP_UPDATE_EP = "fsm-sam-dme-pki-ep-update-ep"
	CONST_RULE_FSM_SAM_DME_PKI_EP_UPDATE_EP_FSM_FAIL = "fsm-sam-dme-pki-ep-update-ep-fsm-fail"
	CONST_RULE_FSM_SAM_DME_PKI_EP_UPDATE_EP_REMOTE_INV = "fsm-sam-dme-pki-ep-update-ep-remote-inv"
	CONST_RULE_FSM_SAM_DME_POLICY_CONTROL_EP_OPERATE = "fsm-sam-dme-policy-control-ep-operate"
	CONST_RULE_FSM_SAM_DME_POLICY_CONTROL_EP_OPERATE_FSM_FAIL = "fsm-sam-dme-policy-control-ep-operate-fsm-fail"
	CONST_RULE_FSM_SAM_DME_POLICY_CONTROL_EP_OPERATE_REMOTE_INV = "fsm-sam-dme-policy-control-ep-operate-remote-inv"
	CONST_RULE_FSM_SAM_DME_POLICY_CONTROLLED_TYPE_OPERATE = "fsm-sam-dme-policy-controlled-type-operate"
	CONST_RULE_FSM_SAM_DME_POLICY_CONTROLLED_TYPE_OPERATE_FSM_FAIL = "fsm-sam-dme-policy-controlled-type-operate-fsm-fail"
	CONST_RULE_FSM_SAM_DME_POLICY_CONTROLLED_TYPE_OPERATE_REMOTE_INV = "fsm-sam-dme-policy-controlled-type-operate-remote-inv"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_ALL_OPERATION_FSM = "fsm-sam-dme-policy-policy-scope-release-all-operation-fsm"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_ALL_OPERATION_FSM_FSM_FAIL = "fsm-sam-dme-policy-policy-scope-release-all-operation-fsm-fsm-fail"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_ALL_OPERATION_FSM_REMOTE_INV = "fsm-sam-dme-policy-policy-scope-release-all-operation-fsm-remote-inv"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_ALL_POLICY_FSM = "fsm-sam-dme-policy-policy-scope-release-all-policy-fsm"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_ALL_POLICY_FSM_FSM_FAIL = "fsm-sam-dme-policy-policy-scope-release-all-policy-fsm-fsm-fail"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_ALL_POLICY_FSM_REMOTE_INV = "fsm-sam-dme-policy-policy-scope-release-all-policy-fsm-remote-inv"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_ALL_STORAGE_FSM = "fsm-sam-dme-policy-policy-scope-release-all-storage-fsm"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_ALL_STORAGE_FSM_FSM_FAIL = "fsm-sam-dme-policy-policy-scope-release-all-storage-fsm-fsm-fail"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_ALL_STORAGE_FSM_REMOTE_INV = "fsm-sam-dme-policy-policy-scope-release-all-storage-fsm-remote-inv"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_MANY_OPERATION_FSM = "fsm-sam-dme-policy-policy-scope-release-many-operation-fsm"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_MANY_OPERATION_FSM_FSM_FAIL = "fsm-sam-dme-policy-policy-scope-release-many-operation-fsm-fsm-fail"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_MANY_OPERATION_FSM_REMOTE_INV = "fsm-sam-dme-policy-policy-scope-release-many-operation-fsm-remote-inv"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_MANY_POLICY_FSM = "fsm-sam-dme-policy-policy-scope-release-many-policy-fsm"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_MANY_POLICY_FSM_FSM_FAIL = "fsm-sam-dme-policy-policy-scope-release-many-policy-fsm-fsm-fail"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_MANY_POLICY_FSM_REMOTE_INV = "fsm-sam-dme-policy-policy-scope-release-many-policy-fsm-remote-inv"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_MANY_STORAGE_FSM = "fsm-sam-dme-policy-policy-scope-release-many-storage-fsm"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_MANY_STORAGE_FSM_FSM_FAIL = "fsm-sam-dme-policy-policy-scope-release-many-storage-fsm-fsm-fail"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_MANY_STORAGE_FSM_REMOTE_INV = "fsm-sam-dme-policy-policy-scope-release-many-storage-fsm-remote-inv"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_OPERATION_FSM = "fsm-sam-dme-policy-policy-scope-release-operation-fsm"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_OPERATION_FSM_FSM_FAIL = "fsm-sam-dme-policy-policy-scope-release-operation-fsm-fsm-fail"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_OPERATION_FSM_REMOTE_INV = "fsm-sam-dme-policy-policy-scope-release-operation-fsm-remote-inv"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_POLICY_FSM = "fsm-sam-dme-policy-policy-scope-release-policy-fsm"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_POLICY_FSM_FSM_FAIL = "fsm-sam-dme-policy-policy-scope-release-policy-fsm-fsm-fail"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_POLICY_FSM_REMOTE_INV = "fsm-sam-dme-policy-policy-scope-release-policy-fsm-remote-inv"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_STORAGE_FSM = "fsm-sam-dme-policy-policy-scope-release-storage-fsm"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_STORAGE_FSM_FSM_FAIL = "fsm-sam-dme-policy-policy-scope-release-storage-fsm-fsm-fail"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RELEASE_STORAGE_FSM_REMOTE_INV = "fsm-sam-dme-policy-policy-scope-release-storage-fsm-remote-inv"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RESOLVE_ALL_OPERATION_FSM = "fsm-sam-dme-policy-policy-scope-resolve-all-operation-fsm"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RESOLVE_ALL_OPERATION_FSM_FSM_FAIL = "fsm-sam-dme-policy-policy-scope-resolve-all-operation-fsm-fsm-fail"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RESOLVE_ALL_OPERATION_FSM_REMOTE_INV = "fsm-sam-dme-policy-policy-scope-resolve-all-operation-fsm-remote-inv"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RESOLVE_ALL_POLICY_FSM = "fsm-sam-dme-policy-policy-scope-resolve-all-policy-fsm"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RESOLVE_ALL_POLICY_FSM_FSM_FAIL = "fsm-sam-dme-policy-policy-scope-resolve-all-policy-fsm-fsm-fail"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RESOLVE_ALL_POLICY_FSM_REMOTE_INV = "fsm-sam-dme-policy-policy-scope-resolve-all-policy-fsm-remote-inv"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RESOLVE_ALL_STORAGE_FSM = "fsm-sam-dme-policy-policy-scope-resolve-all-storage-fsm"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RESOLVE_ALL_STORAGE_FSM_FSM_FAIL = "fsm-sam-dme-policy-policy-scope-resolve-all-storage-fsm-fsm-fail"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RESOLVE_ALL_STORAGE_FSM_REMOTE_INV = "fsm-sam-dme-policy-policy-scope-resolve-all-storage-fsm-remote-inv"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RESOLVE_MANY_OPERATION_FSM = "fsm-sam-dme-policy-policy-scope-resolve-many-operation-fsm"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RESOLVE_MANY_OPERATION_FSM_FSM_FAIL = "fsm-sam-dme-policy-policy-scope-resolve-many-operation-fsm-fsm-fail"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RESOLVE_MANY_OPERATION_FSM_REMOTE_INV = "fsm-sam-dme-policy-policy-scope-resolve-many-operation-fsm-remote-inv"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RESOLVE_MANY_POLICY_FSM = "fsm-sam-dme-policy-policy-scope-resolve-many-policy-fsm"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RESOLVE_MANY_POLICY_FSM_FSM_FAIL = "fsm-sam-dme-policy-policy-scope-resolve-many-policy-fsm-fsm-fail"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RESOLVE_MANY_POLICY_FSM_REMOTE_INV = "fsm-sam-dme-policy-policy-scope-resolve-many-policy-fsm-remote-inv"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RESOLVE_MANY_STORAGE_FSM = "fsm-sam-dme-policy-policy-scope-resolve-many-storage-fsm"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RESOLVE_MANY_STORAGE_FSM_FSM_FAIL = "fsm-sam-dme-policy-policy-scope-resolve-many-storage-fsm-fsm-fail"
	CONST_RULE_FSM_SAM_DME_POLICY_POLICY_SCOPE_RESOLVE_MANY_STORAGE_FSM_REMOTE_INV = "fsm-sam-dme-policy-policy-scope-resolve-many-storage-fsm-remote-inv"
	CONST_RULE_FSM_SAM_DME_PORTPIO_IN_COMPAT_SFP_PRESENCE = "fsm-sam-dme-portpio-in-compat-sfp-presence"
	CONST_RULE_FSM_SAM_DME_PORTPIO_IN_COMPAT_SFP_PRESENCE_FSM_FAIL = "fsm-sam-dme-portpio-in-compat-sfp-presence-fsm-fail"
	CONST_RULE_FSM_SAM_DME_PORTPIO_IN_COMPAT_SFP_PRESENCE_REMOTE_INV = "fsm-sam-dme-portpio-in-compat-sfp-presence-remote-inv"
	CONST_RULE_FSM_SAM_DME_PORTPIO_IN_COMPAT_SFP_REPLACED = "fsm-sam-dme-portpio-in-compat-sfp-replaced"
	CONST_RULE_FSM_SAM_DME_PORTPIO_IN_COMPAT_SFP_REPLACED_FSM_FAIL = "fsm-sam-dme-portpio-in-compat-sfp-replaced-fsm-fail"
	CONST_RULE_FSM_SAM_DME_PORTPIO_IN_COMPAT_SFP_REPLACED_REMOTE_INV = "fsm-sam-dme-portpio-in-compat-sfp-replaced-remote-inv"
	CONST_RULE_FSM_SAM_DME_QOSCLASS_DEFINITION_CONFIG_GLOBAL_QO_SFSM_FAIL = "fsm-sam-dme-qosclass-definition-config-global-qo-sfsm-fail"
	CONST_RULE_FSM_SAM_DME_QOSCLASS_DEFINITION_CONFIG_GLOBAL_QO_SREMOTE_INV = "fsm-sam-dme-qosclass-definition-config-global-qo-sremote-inv"
	CONST_RULE_FSM_SAM_DME_QOSCLASS_DEFINITION_CONFIG_GLOBAL_QOS = "fsm-sam-dme-qosclass-definition-config-global-qos"
	CONST_RULE_FSM_SAM_DME_STATS_COLLECTION_POLICY_UPDATE_EP = "fsm-sam-dme-stats-collection-policy-update-ep"
	CONST_RULE_FSM_SAM_DME_STATS_COLLECTION_POLICY_UPDATE_EP_FSM_FAIL = "fsm-sam-dme-stats-collection-policy-update-ep-fsm-fail"
	CONST_RULE_FSM_SAM_DME_STATS_COLLECTION_POLICY_UPDATE_EP_REMOTE_INV = "fsm-sam-dme-stats-collection-policy-update-ep-remote-inv"
	CONST_RULE_FSM_SAM_DME_STORAGE_SYSTEM_SYNC = "fsm-sam-dme-storage-system-sync"
	CONST_RULE_FSM_SAM_DME_STORAGE_SYSTEM_SYNC_FSM_FAIL = "fsm-sam-dme-storage-system-sync-fsm-fail"
	CONST_RULE_FSM_SAM_DME_STORAGE_SYSTEM_SYNC_REMOTE_INV = "fsm-sam-dme-storage-system-sync-remote-inv"
	CONST_RULE_FSM_SAM_DME_SW_ACCESS_DOMAIN_DEPLOY = "fsm-sam-dme-sw-access-domain-deploy"
	CONST_RULE_FSM_SAM_DME_SW_ACCESS_DOMAIN_DEPLOY_FSM_FAIL = "fsm-sam-dme-sw-access-domain-deploy-fsm-fail"
	CONST_RULE_FSM_SAM_DME_SW_ACCESS_DOMAIN_DEPLOY_REMOTE_INV = "fsm-sam-dme-sw-access-domain-deploy-remote-inv"
	CONST_RULE_FSM_SAM_DME_SW_ETH_LAN_BORDER_DEPLOY = "fsm-sam-dme-sw-eth-lan-border-deploy"
	CONST_RULE_FSM_SAM_DME_SW_ETH_LAN_BORDER_DEPLOY_FSM_FAIL = "fsm-sam-dme-sw-eth-lan-border-deploy-fsm-fail"
	CONST_RULE_FSM_SAM_DME_SW_ETH_LAN_BORDER_DEPLOY_REMOTE_INV = "fsm-sam-dme-sw-eth-lan-border-deploy-remote-inv"
	CONST_RULE_FSM_SAM_DME_SW_ETH_LAN_FLOW_MON_DEPLOY = "fsm-sam-dme-sw-eth-lan-flow-mon-deploy"
	CONST_RULE_FSM_SAM_DME_SW_ETH_LAN_FLOW_MON_DEPLOY_FSM_FAIL = "fsm-sam-dme-sw-eth-lan-flow-mon-deploy-fsm-fail"
	CONST_RULE_FSM_SAM_DME_SW_ETH_LAN_FLOW_MON_DEPLOY_REMOTE_INV = "fsm-sam-dme-sw-eth-lan-flow-mon-deploy-remote-inv"
	CONST_RULE_FSM_SAM_DME_SW_ETH_MON_DEPLOY = "fsm-sam-dme-sw-eth-mon-deploy"
	CONST_RULE_FSM_SAM_DME_SW_ETH_MON_DEPLOY_FSM_FAIL = "fsm-sam-dme-sw-eth-mon-deploy-fsm-fail"
	CONST_RULE_FSM_SAM_DME_SW_ETH_MON_DEPLOY_REMOTE_INV = "fsm-sam-dme-sw-eth-mon-deploy-remote-inv"
	CONST_RULE_FSM_SAM_DME_SW_FC_MON_DEPLOY = "fsm-sam-dme-sw-fc-mon-deploy"
	CONST_RULE_FSM_SAM_DME_SW_FC_MON_DEPLOY_FSM_FAIL = "fsm-sam-dme-sw-fc-mon-deploy-fsm-fail"
	CONST_RULE_FSM_SAM_DME_SW_FC_MON_DEPLOY_REMOTE_INV = "fsm-sam-dme-sw-fc-mon-deploy-remote-inv"
	CONST_RULE_FSM_SAM_DME_SW_FC_SAN_BORDER_ACTIVATE_ZONE_SET = "fsm-sam-dme-sw-fc-san-border-activate-zone-set"
	CONST_RULE_FSM_SAM_DME_SW_FC_SAN_BORDER_ACTIVATE_ZONE_SET_FSM_FAIL = "fsm-sam-dme-sw-fc-san-border-activate-zone-set-fsm-fail"
	CONST_RULE_FSM_SAM_DME_SW_FC_SAN_BORDER_ACTIVATE_ZONE_SET_REMOTE_INV = "fsm-sam-dme-sw-fc-san-border-activate-zone-set-remote-inv"
	CONST_RULE_FSM_SAM_DME_SW_FC_SAN_BORDER_DEPLOY = "fsm-sam-dme-sw-fc-san-border-deploy"
	CONST_RULE_FSM_SAM_DME_SW_FC_SAN_BORDER_DEPLOY_FSM_FAIL = "fsm-sam-dme-sw-fc-san-border-deploy-fsm-fail"
	CONST_RULE_FSM_SAM_DME_SW_FC_SAN_BORDER_DEPLOY_REMOTE_INV = "fsm-sam-dme-sw-fc-san-border-deploy-remote-inv"
	CONST_RULE_FSM_SAM_DME_SW_PHYS_CONF_PHYSICAL = "fsm-sam-dme-sw-phys-conf-physical"
	CONST_RULE_FSM_SAM_DME_SW_PHYS_CONF_PHYSICAL_FSM_FAIL = "fsm-sam-dme-sw-phys-conf-physical-fsm-fail"
	CONST_RULE_FSM_SAM_DME_SW_PHYS_CONF_PHYSICAL_REMOTE_INV = "fsm-sam-dme-sw-phys-conf-physical-remote-inv"
	CONST_RULE_FSM_SAM_DME_SW_UTILITY_DOMAIN_DEPLOY = "fsm-sam-dme-sw-utility-domain-deploy"
	CONST_RULE_FSM_SAM_DME_SW_UTILITY_DOMAIN_DEPLOY_FSM_FAIL = "fsm-sam-dme-sw-utility-domain-deploy-fsm-fail"
	CONST_RULE_FSM_SAM_DME_SW_UTILITY_DOMAIN_DEPLOY_REMOTE_INV = "fsm-sam-dme-sw-utility-domain-deploy-remote-inv"
	CONST_RULE_FSM_SAM_DME_SYNTHETIC_FS_OBJ_CREATE = "fsm-sam-dme-synthetic-fs-obj-create"
	CONST_RULE_FSM_SAM_DME_SYNTHETIC_FS_OBJ_CREATE_FSM_FAIL = "fsm-sam-dme-synthetic-fs-obj-create-fsm-fail"
	CONST_RULE_FSM_SAM_DME_SYNTHETIC_FS_OBJ_CREATE_REMOTE_INV = "fsm-sam-dme-synthetic-fs-obj-create-remote-inv"
	CONST_RULE_FSM_SAM_DME_SYSDEBUG_AUTO_CORE_FILE_EXPORT_TARGET_CONFIGURE = "fsm-sam-dme-sysdebug-auto-core-file-export-target-configure"
	CONST_RULE_FSM_SAM_DME_SYSDEBUG_AUTO_CORE_FILE_EXPORT_TARGET_CONFIGURE_FSM_FAIL = "fsm-sam-dme-sysdebug-auto-core-file-export-target-configure-fsm-fail"
	CONST_RULE_FSM_SAM_DME_SYSDEBUG_AUTO_CORE_FILE_EXPORT_TARGET_CONFIGURE_REMOTE_INV = "fsm-sam-dme-sysdebug-auto-core-file-export-target-configure-remote-inv"
	CONST_RULE_FSM_SAM_DME_SYSDEBUG_CORE_DOWNLOAD = "fsm-sam-dme-sysdebug-core-download"
	CONST_RULE_FSM_SAM_DME_SYSDEBUG_CORE_DOWNLOAD_FSM_FAIL = "fsm-sam-dme-sysdebug-core-download-fsm-fail"
	CONST_RULE_FSM_SAM_DME_SYSDEBUG_CORE_DOWNLOAD_REMOTE_INV = "fsm-sam-dme-sysdebug-core-download-remote-inv"
	CONST_RULE_FSM_SAM_DME_SYSDEBUG_LOG_CONTROL_EP_LOG_CONTROL_PERSIST = "fsm-sam-dme-sysdebug-log-control-ep-log-control-persist"
	CONST_RULE_FSM_SAM_DME_SYSDEBUG_LOG_CONTROL_EP_LOG_CONTROL_PERSIST_FSM_FAIL = "fsm-sam-dme-sysdebug-log-control-ep-log-control-persist-fsm-fail"
	CONST_RULE_FSM_SAM_DME_SYSDEBUG_LOG_CONTROL_EP_LOG_CONTROL_PERSIST_REMOTE_INV = "fsm-sam-dme-sysdebug-log-control-ep-log-control-persist-remote-inv"
	CONST_RULE_FSM_SAM_DME_SYSDEBUG_LOG_EXPORT_POLICY_CONFIGURE = "fsm-sam-dme-sysdebug-log-export-policy-configure"
	CONST_RULE_FSM_SAM_DME_SYSDEBUG_LOG_EXPORT_POLICY_CONFIGURE_FSM_FAIL = "fsm-sam-dme-sysdebug-log-export-policy-configure-fsm-fail"
	CONST_RULE_FSM_SAM_DME_SYSDEBUG_LOG_EXPORT_POLICY_CONFIGURE_REMOTE_INV = "fsm-sam-dme-sysdebug-log-export-policy-configure-remote-inv"
	CONST_RULE_FSM_SAM_DME_SYSDEBUG_MANUAL_CORE_FILE_EXPORT_TARGET_EXPORT = "fsm-sam-dme-sysdebug-manual-core-file-export-target-export"
	CONST_RULE_FSM_SAM_DME_SYSDEBUG_MANUAL_CORE_FILE_EXPORT_TARGET_EXPORT_FSM_FAIL = "fsm-sam-dme-sysdebug-manual-core-file-export-target-export-fsm-fail"
	CONST_RULE_FSM_SAM_DME_SYSDEBUG_MANUAL_CORE_FILE_EXPORT_TARGET_EXPORT_REMOTE_INV = "fsm-sam-dme-sysdebug-manual-core-file-export-target-export-remote-inv"
	CONST_RULE_FSM_SAM_DME_SYSDEBUG_TECH_SUPPORT_DELETE_TECH_SUP_FILE = "fsm-sam-dme-sysdebug-tech-support-delete-tech-sup-file"
	CONST_RULE_FSM_SAM_DME_SYSDEBUG_TECH_SUPPORT_DELETE_TECH_SUP_FILE_FSM_FAIL = "fsm-sam-dme-sysdebug-tech-support-delete-tech-sup-file-fsm-fail"
	CONST_RULE_FSM_SAM_DME_SYSDEBUG_TECH_SUPPORT_DELETE_TECH_SUP_FILE_REMOTE_INV = "fsm-sam-dme-sysdebug-tech-support-delete-tech-sup-file-remote-inv"
	CONST_RULE_FSM_SAM_DME_SYSDEBUG_TECH_SUPPORT_DOWNLOAD = "fsm-sam-dme-sysdebug-tech-support-download"
	CONST_RULE_FSM_SAM_DME_SYSDEBUG_TECH_SUPPORT_DOWNLOAD_FSM_FAIL = "fsm-sam-dme-sysdebug-tech-support-download-fsm-fail"
	CONST_RULE_FSM_SAM_DME_SYSDEBUG_TECH_SUPPORT_DOWNLOAD_REMOTE_INV = "fsm-sam-dme-sysdebug-tech-support-download-remote-inv"
	CONST_RULE_FSM_SAM_DME_SYSDEBUG_TECH_SUPPORT_INITIATE = "fsm-sam-dme-sysdebug-tech-support-initiate"
	CONST_RULE_FSM_SAM_DME_SYSDEBUG_TECH_SUPPORT_INITIATE_FSM_FAIL = "fsm-sam-dme-sysdebug-tech-support-initiate-fsm-fail"
	CONST_RULE_FSM_SAM_DME_SYSDEBUG_TECH_SUPPORT_INITIATE_REMOTE_INV = "fsm-sam-dme-sysdebug-tech-support-initiate-remote-inv"
	CONST_RULE_FSM_SAM_DME_SYSFILE_MUTATION_GLOBAL = "fsm-sam-dme-sysfile-mutation-global"
	CONST_RULE_FSM_SAM_DME_SYSFILE_MUTATION_GLOBAL_FSM_FAIL = "fsm-sam-dme-sysfile-mutation-global-fsm-fail"
	CONST_RULE_FSM_SAM_DME_SYSFILE_MUTATION_GLOBAL_REMOTE_INV = "fsm-sam-dme-sysfile-mutation-global-remote-inv"
	CONST_RULE_FSM_SAM_DME_SYSFILE_MUTATION_SINGLE = "fsm-sam-dme-sysfile-mutation-single"
	CONST_RULE_FSM_SAM_DME_SYSFILE_MUTATION_SINGLE_FSM_FAIL = "fsm-sam-dme-sysfile-mutation-single-fsm-fail"
	CONST_RULE_FSM_SAM_DME_SYSFILE_MUTATION_SINGLE_REMOTE_INV = "fsm-sam-dme-sysfile-mutation-single-remote-inv"
	CONST_RULE_FSM_SAM_DME_VM_LIFE_CYCLE_POLICY_CONFIG = "fsm-sam-dme-vm-life-cycle-policy-config"
	CONST_RULE_FSM_SAM_DME_VM_LIFE_CYCLE_POLICY_CONFIG_FSM_FAIL = "fsm-sam-dme-vm-life-cycle-policy-config-fsm-fail"
	CONST_RULE_FSM_SAM_DME_VM_LIFE_CYCLE_POLICY_CONFIG_REMOTE_INV = "fsm-sam-dme-vm-life-cycle-policy-config-remote-inv"
	CONST_RULE_FSM_SAM_DME_VNIC_PROFILE_SET_DEPLOY = "fsm-sam-dme-vnic-profile-set-deploy"
	CONST_RULE_FSM_SAM_DME_VNIC_PROFILE_SET_DEPLOY_ALIAS = "fsm-sam-dme-vnic-profile-set-deploy-alias"
	CONST_RULE_FSM_SAM_DME_VNIC_PROFILE_SET_DEPLOY_ALIAS_FSM_FAIL = "fsm-sam-dme-vnic-profile-set-deploy-alias-fsm-fail"
	CONST_RULE_FSM_SAM_DME_VNIC_PROFILE_SET_DEPLOY_ALIAS_REMOTE_INV = "fsm-sam-dme-vnic-profile-set-deploy-alias-remote-inv"
	CONST_RULE_FSM_SAM_DME_VNIC_PROFILE_SET_DEPLOY_FSM_FAIL = "fsm-sam-dme-vnic-profile-set-deploy-fsm-fail"
	CONST_RULE_FSM_SAM_DME_VNIC_PROFILE_SET_DEPLOY_REMOTE_INV = "fsm-sam-dme-vnic-profile-set-deploy-remote-inv"
	CONST_RULE_GENERIC = "generic"
	CONST_RULE_IPPOOL_POOL_EMPTY = "ippool-pool-empty"
	CONST_RULE_IQNPOOL_POOL_EMPTY = "iqnpool-pool-empty"
	CONST_RULE_LICENSE_FILE_BAD_LICENSE_FILE = "license-file-bad-license-file"
	CONST_RULE_LICENSE_FILE_FILE_NOT_DELETED = "license-file-file-not-deleted"
	CONST_RULE_LICENSE_INSTANCE_GRACE_PERIOD_WARNING1 = "license-instance-grace-period-warning1"
	CONST_RULE_LICENSE_INSTANCE_GRACE_PERIOD_WARNING2 = "license-instance-grace-period-warning2"
	CONST_RULE_LICENSE_INSTANCE_GRACE_PERIOD_WARNING3 = "license-instance-grace-period-warning3"
	CONST_RULE_LICENSE_INSTANCE_GRACE_PERIOD_WARNING4 = "license-instance-grace-period-warning4"
	CONST_RULE_LICENSE_INSTANCE_GRACE_PERIOD_WARNING5 = "license-instance-grace-period-warning5"
	CONST_RULE_LICENSE_INSTANCE_GRACE_PERIOD_WARNING6 = "license-instance-grace-period-warning6"
	CONST_RULE_LICENSE_INSTANCE_GRACE_PERIOD_WARNING7 = "license-instance-grace-period-warning7"
	CONST_RULE_LS_COMPUTE_BINDING_ASSIGNMENT_REQUIREMENTS_NOT_MET = "ls-compute-binding-assignment-requirements-not-met"
	CONST_RULE_LS_ISSUES_ISCSI_CONFIG_FAILED = "ls-issues-iscsi-config-failed"
	CONST_RULE_LS_ISSUES_KVM_POLICY_UNSUPPORTED = "ls-issues-kvm-policy-unsupported"
	CONST_RULE_LS_SERVER_ASSOCIATION_FAILED = "ls-server-association-failed"
	CONST_RULE_LS_SERVER_CONFIG_FAILURE = "ls-server-config-failure"
	CONST_RULE_LS_SERVER_DISCOVERY_FAILED = "ls-server-discovery-failed"
	CONST_RULE_LS_SERVER_FAILED = "ls-server-failed"
	CONST_RULE_LS_SERVER_INACCESSIBLE = "ls-server-inaccessible"
	CONST_RULE_LS_SERVER_MAINTENANCE_FAILED = "ls-server-maintenance-failed"
	CONST_RULE_LS_SERVER_REMOVED = "ls-server-removed"
	CONST_RULE_LS_SERVER_SERVER_UNFULFILLED = "ls-server-server-unfulfilled"
	CONST_RULE_LS_SERVER_SVNIC_NOT_PRESENT = "ls-server-svnic-not-present"
	CONST_RULE_LS_SERVER_UNASSOCIATED = "ls-server-unassociated"
	CONST_RULE_LSMAINT_MAINT_POLICY_UNRESOLVABLE_SCHEDULER = "lsmaint-maint-policy-unresolvable-scheduler"
	CONST_RULE_MACPOOL_POOL_EMPTY = "macpool-pool-empty"
	CONST_RULE_MEMORY_ARRAY_VOLTAGE_THRESHOLD_CRITICAL = "memory-array-voltage-threshold-critical"
	CONST_RULE_MEMORY_ARRAY_VOLTAGE_THRESHOLD_NON_CRITICAL = "memory-array-voltage-threshold-non-critical"
	CONST_RULE_MEMORY_ARRAY_VOLTAGE_THRESHOLD_NON_RECOVERABLE = "memory-array-voltage-threshold-non-recoverable"
	CONST_RULE_MEMORY_BUFFER_UNIT_THERMAL_THRESHOLD_CRITICAL = "memory-buffer-unit-thermal-threshold-critical"
	CONST_RULE_MEMORY_BUFFER_UNIT_THERMAL_THRESHOLD_NON_CRITICAL = "memory-buffer-unit-thermal-threshold-non-critical"
	CONST_RULE_MEMORY_BUFFER_UNIT_THERMAL_THRESHOLD_NON_RECOVERABLE = "memory-buffer-unit-thermal-threshold-non-recoverable"
	CONST_RULE_MEMORY_UNIT_DEGRADED = "memory-unit-degraded"
	CONST_RULE_MEMORY_UNIT_DISABLED = "memory-unit-disabled"
	CONST_RULE_MEMORY_UNIT_IDENTITY_UNESTABLISHABLE = "memory-unit-identity-unestablishable"
	CONST_RULE_MEMORY_UNIT_INOPERABLE = "memory-unit-inoperable"
	CONST_RULE_MEMORY_UNIT_THERMAL_THRESHOLD_CRITICAL = "memory-unit-thermal-threshold-critical"
	CONST_RULE_MEMORY_UNIT_THERMAL_THRESHOLD_NON_CRITICAL = "memory-unit-thermal-threshold-non-critical"
	CONST_RULE_MEMORY_UNIT_THERMAL_THRESHOLD_NON_RECOVERABLE = "memory-unit-thermal-threshold-non-recoverable"
	CONST_RULE_MGMT_BACKUP_POLICY_CONFIG_CONFIGURATION_BACKUP_OUTDATED = "mgmt-backup-policy-config-configuration-backup-outdated"
	CONST_RULE_MGMT_CONNECTION_DISABLED = "mgmt-connection-disabled"
	CONST_RULE_MGMT_CONNECTION_UNSUPPORTED_CONNECTIVITY = "mgmt-connection-unsupported-connectivity"
	CONST_RULE_MGMT_CONNECTION_UNUSED = "mgmt-connection-unused"
	CONST_RULE_MGMT_CONTROLLER_UNSUPPORTED_DIMM_BLACKLISTING = "mgmt-controller-unsupported-dimm-blacklisting"
	CONST_RULE_MGMT_ENTITY_DEGRADED = "mgmt-entity-degraded"
	CONST_RULE_MGMT_ENTITY_DEVICE_1_SHARED_STORAGE_ERROR = "mgmt-entity-device-1-shared-storage-error"
	CONST_RULE_MGMT_ENTITY_DEVICE_2_SHARED_STORAGE_ERROR = "mgmt-entity-device-2-shared-storage-error"
	CONST_RULE_MGMT_ENTITY_DEVICE_3_SHARED_STORAGE_ERROR = "mgmt-entity-device-3-shared-storage-error"
	CONST_RULE_MGMT_ENTITY_DOWN = "mgmt-entity-down"
	CONST_RULE_MGMT_ENTITY_ELECTION_FAILURE = "mgmt-entity-election-failure"
	CONST_RULE_MGMT_ENTITY_HA_NOT_READY = "mgmt-entity-ha-not-ready"
	CONST_RULE_MGMT_ENTITY_HA_SSH_KEYS_MISMATCHED = "mgmt-entity-ha-ssh-keys-mismatched"
	CONST_RULE_MGMT_ENTITY_MANAGEMENT_SERVICES_FAILURE = "mgmt-entity-management-services-failure"
	CONST_RULE_MGMT_ENTITY_MANAGEMENT_SERVICES_UNRESPONSIVE = "mgmt-entity-management-services-unresponsive"
	CONST_RULE_MGMT_ENTITY_VERSION_INCOMPATIBLE = "mgmt-entity-version-incompatible"
	CONST_RULE_MGMT_IF_MIS_CONNECT = "mgmt-if-mis-connect"
	CONST_RULE_MGMT_IF_MISSING = "mgmt-if-missing"
	CONST_RULE_MGMT_IF_NEW = "mgmt-if-new"
	CONST_RULE_MGMT_INTERFACE_INBAND_CAP_IS_NOT_AVAILABLE = "mgmt-interface-inband-cap-is-not-available"
	CONST_RULE_MGMT_INTERFACE_INBAND_VLAN_FAILURE = "mgmt-interface-inband-vlan-failure"
	CONST_RULE_MGMT_INTERFACE_UNSUPPORTED_FIRMWARE_VERSION = "mgmt-interface-unsupported-firmware-version"
	CONST_RULE_MGMT_PMON_ENTRY_UCSM_PROCESS_FAILURE = "mgmt-pmon-entry-ucsm-process-failure"
	CONST_RULE_NETWORK_ELEMENT_INOPERABLE = "network-element-inoperable"
	CONST_RULE_NETWORK_ELEMENT_INVENTORY_FAILED = "network-element-inventory-failed"
	CONST_RULE_NETWORK_ELEMENT_THERMAL_THRESHOLD_CRITICAL = "network-element-thermal-threshold-critical"
	CONST_RULE_NETWORK_OPER_LEVEL_EXTRAPRIMARYVLANS = "network-oper-level-extraprimaryvlans"
	CONST_RULE_NETWORK_OPER_LEVEL_EXTRASECONDARYVLANS = "network-oper-level-extrasecondaryvlans"
	CONST_RULE_PKI_KEY_RING_KEY_RING_NOT_DEPLOYED = "pki-key-ring-key-ring-not-deployed"
	CONST_RULE_PKI_KEY_RING_MODULUS = "pki-key-ring-modulus"
	CONST_RULE_PKI_KEY_RING_STATUS = "pki-key-ring-status"
	CONST_RULE_PKI_TP_STATUS = "pki-tp-status"
	CONST_RULE_POLICY_CONTROL_EP_SUSPEND_MODE_ACTIVE = "policy-control-ep-suspend-mode-active"
	CONST_RULE_PORT_PIO_FAILED = "port-pio-failed"
	CONST_RULE_PORT_PIO_HARDWARE_FAILURE = "port-pio-hardware-failure"
	CONST_RULE_PORT_PIO_INVALID_SFP = "port-pio-invalid-sfp"
	CONST_RULE_PORT_PIO_LINK_DOWN = "port-pio-link-down"
	CONST_RULE_PORT_PIO_SFP_NOT_PRESENT = "port-pio-sfp-not-present"
	CONST_RULE_POWER_BUDGET_CHASSIS_PSU_INSUFFICIENT = "power-budget-chassis-psu-insufficient"
	CONST_RULE_POWER_BUDGET_FIRMWARE_MISMATCH = "power-budget-firmware-mismatch"
	CONST_RULE_POWER_BUDGET_POWER_BUDGET_BMC_PROBLEM = "power-budget-power-budget-bmc-problem"
	CONST_RULE_POWER_BUDGET_POWER_BUDGET_CMC_PROBLEM = "power-budget-power-budget-cmc-problem"
	CONST_RULE_POWER_BUDGET_POWER_BUDGET_DISC_FAIL = "power-budget-power-budget-disc-fail"
	CONST_RULE_POWER_BUDGET_POWER_CAP_REACHED_COMMIT = "power-budget-power-cap-reached-commit"
	CONST_RULE_POWER_BUDGET_TSTATE_TRANSITION = "power-budget-tstate-transition"
	CONST_RULE_POWER_CHASSIS_MEMBER_CHASSIS_FIRMWARE_PROBLEM = "power-chassis-member-chassis-firmware-problem"
	CONST_RULE_POWER_CHASSIS_MEMBER_CHASSIS_PSU_INSUFFICIENT = "power-chassis-member-chassis-psu-insufficient"
	CONST_RULE_POWER_CHASSIS_MEMBER_CHASSIS_PSU_REDUNDANCE_FAILURE = "power-chassis-member-chassis-psu-redundance-failure"
	CONST_RULE_POWER_CHASSIS_MEMBER_POWER_GROUP_CAP_INSUFFICIENT = "power-chassis-member-power-group-cap-insufficient"
	CONST_RULE_POWER_GROUP_POWER_GROUP_BUDGET_INCORRECT = "power-group-power-group-budget-incorrect"
	CONST_RULE_POWER_GROUP_POWER_GROUP_INSUFFICIENT_BUDGET = "power-group-power-group-insufficient-budget"
	CONST_RULE_POWER_POLICY_POWER_POLICY_APPLICATION_FAIL = "power-policy-power-policy-application-fail"
	CONST_RULE_PROCESSOR_UNIT_DISABLED = "processor-unit-disabled"
	CONST_RULE_PROCESSOR_UNIT_IDENTITY_UNESTABLISHABLE = "processor-unit-identity-unestablishable"
	CONST_RULE_PROCESSOR_UNIT_INOPERABLE = "processor-unit-inoperable"
	CONST_RULE_PROCESSOR_UNIT_THERMAL_NON_CRITICAL = "processor-unit-thermal-non-critical"
	CONST_RULE_PROCESSOR_UNIT_THERMAL_THRESHOLD_CRITICAL = "processor-unit-thermal-threshold-critical"
	CONST_RULE_PROCESSOR_UNIT_THERMAL_THRESHOLD_NON_RECOVERABLE = "processor-unit-thermal-threshold-non-recoverable"
	CONST_RULE_PROCESSOR_UNIT_VOLTAGE_THRESHOLD_CRITICAL = "processor-unit-voltage-threshold-critical"
	CONST_RULE_PROCESSOR_UNIT_VOLTAGE_THRESHOLD_NON_CRITICAL = "processor-unit-voltage-threshold-non-critical"
	CONST_RULE_PROCESSOR_UNIT_VOLTAGE_THRESHOLD_NON_RECOVERABLE = "processor-unit-voltage-threshold-non-recoverable"
	CONST_RULE_STORAGE_ADEF_CONFIGURATION_ERROR = "storage-adef-configuration-error"
	CONST_RULE_STORAGE_CONTROLLER_INOPERABLE = "storage-controller-inoperable"
	CONST_RULE_STORAGE_CONTROLLER_PATROL_READ_FAILED = "storage-controller-patrol-read-failed"
	CONST_RULE_STORAGE_FLEX_FLASH_CARD_INOPERABLE = "storage-flex-flash-card-inoperable"
	CONST_RULE_STORAGE_FLEX_FLASH_CARD_MISSING = "storage-flex-flash-card-missing"
	CONST_RULE_STORAGE_FLEX_FLASH_CONTROLLER_INOPERABLE = "storage-flex-flash-controller-inoperable"
	CONST_RULE_STORAGE_FLEX_FLASH_CONTROLLER_UNHEALTHY = "storage-flex-flash-controller-unhealthy"
	CONST_RULE_STORAGE_FLEX_FLASH_VIRTUAL_DRIVE_DEGRADED = "storage-flex-flash-virtual-drive-degraded"
	CONST_RULE_STORAGE_FLEX_FLASH_VIRTUAL_DRIVE_INOPERABLE = "storage-flex-flash-virtual-drive-inoperable"
	CONST_RULE_STORAGE_INI_GROUP_SWITCH_MODE_DISABLED = "storage-ini-group-switch-mode-disabled"
	CONST_RULE_STORAGE_INITIATOR_CONFIGURATION_ERROR = "storage-initiator-configuration-error"
	CONST_RULE_STORAGE_INITIATOR_DUPLICATE_FC_ZONE = "storage-initiator-duplicate-fc-zone"
	CONST_RULE_STORAGE_ITEM_CAPACITY_EXCEEDED = "storage-item-capacity-exceeded"
	CONST_RULE_STORAGE_ITEM_CAPACITY_WARNING = "storage-item-capacity-warning"
	CONST_RULE_STORAGE_ITEM_FILESYSTEM_ISSUES = "storage-item-filesystem-issues"
	CONST_RULE_STORAGE_LOCAL_DISK_COPYBACK_FAILED = "storage-local-disk-copyback-failed"
	CONST_RULE_STORAGE_LOCAL_DISK_DEGRADED = "storage-local-disk-degraded"
	CONST_RULE_STORAGE_LOCAL_DISK_INOPERABLE = "storage-local-disk-inoperable"
	CONST_RULE_STORAGE_LOCAL_DISK_MISSING = "storage-local-disk-missing"
	CONST_RULE_STORAGE_LOCAL_DISK_REBUILD_FAILED = "storage-local-disk-rebuild-failed"
	CONST_RULE_STORAGE_LOCAL_DISK_SLOT_EP_UNUSABLE = "storage-local-disk-slot-ep-unusable"
	CONST_RULE_STORAGE_MEZZ_FLASH_LIFE_INOPERABLE = "storage-mezz-flash-life-inoperable"
	CONST_RULE_STORAGE_RAID_BATTERY_DEGRADED = "storage-raid-battery-degraded"
	CONST_RULE_STORAGE_RAID_BATTERY_INOPERABLE = "storage-raid-battery-inoperable"
	CONST_RULE_STORAGE_RAID_BATTERY_RELEARN_ABORTED = "storage-raid-battery-relearn-aborted"
	CONST_RULE_STORAGE_RAID_BATTERY_RELEARN_FAILED = "storage-raid-battery-relearn-failed"
	CONST_RULE_STORAGE_VIRTUAL_DRIVE_CONSISTENCY_CHECK_FAILED = "storage-virtual-drive-consistency-check-failed"
	CONST_RULE_STORAGE_VIRTUAL_DRIVE_DEGRADED = "storage-virtual-drive-degraded"
	CONST_RULE_STORAGE_VIRTUAL_DRIVE_INOPERABLE = "storage-virtual-drive-inoperable"
	CONST_RULE_STORAGE_VIRTUAL_DRIVE_RECONSTRUCTION_FAILED = "storage-virtual-drive-reconstruction-failed"
	CONST_RULE_STORAGE_VSAN_REF_VSAN_UNRESOLVABLE = "storage-vsan-ref-vsan-unresolvable"
	CONST_RULE_SW_VLAN_EXTRASECONDARYVLANSPERPRIMARY = "sw-vlan-extrasecondaryvlansperprimary"
	CONST_RULE_SW_VLAN_PORT_NS_RESOURCE_STATUS = "sw-vlan-port-ns-resource-status"
	CONST_RULE_SW_VLAN_PORT_NS_VLANCOMP_NOT_SUPPORT = "sw-vlan-port-ns-vlancomp-not-support"
	CONST_RULE_SYSDEBUG_AUTO_CORE_FILE_EXPORT_TARGET_AUTO_CORE_TRANSFER_FAILURE = "sysdebug-auto-core-file-export-target-auto-core-transfer-failure"
	CONST_RULE_SYSDEBUG_LOG_EXPORT_STATUS_LOG_EXPORT_FAILURE = "sysdebug-log-export-status-log-export-failure"
	CONST_RULE_SYSDEBUG_MEP_LOG_M_EP_LOG_FULL = "sysdebug-mep-log-m-ep-log-full"
	CONST_RULE_SYSDEBUG_MEP_LOG_M_EP_LOG_LOG = "sysdebug-mep-log-m-ep-log-log"
	CONST_RULE_SYSDEBUG_MEP_LOG_M_EP_LOG_VERY_LOW = "sysdebug-mep-log-m-ep-log-very-low"
	CONST_RULE_SYSDEBUG_MEP_LOG_TRANSFER_ERROR = "sysdebug-mep-log-transfer-error"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_GREATER_THAN_OR_EQUAL_TO9216_DELTA = "tca-adaptor-eth-port-by-size-large-stats-greater-than-or-equal-to9216-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_GREATER_THAN_OR_EQUAL_TO9216_DELTA_AVG = "tca-adaptor-eth-port-by-size-large-stats-greater-than-or-equal-to9216-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_GREATER_THAN_OR_EQUAL_TO9216_DELTA_MAX = "tca-adaptor-eth-port-by-size-large-stats-greater-than-or-equal-to9216-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_GREATER_THAN_OR_EQUAL_TO9216_DELTA_MIN = "tca-adaptor-eth-port-by-size-large-stats-greater-than-or-equal-to9216-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_LESS_THAN_OR_EQUAL_TO1518_DELTA = "tca-adaptor-eth-port-by-size-large-stats-less-than-or-equal-to1518-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_LESS_THAN_OR_EQUAL_TO1518_DELTA_AVG = "tca-adaptor-eth-port-by-size-large-stats-less-than-or-equal-to1518-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_LESS_THAN_OR_EQUAL_TO1518_DELTA_MAX = "tca-adaptor-eth-port-by-size-large-stats-less-than-or-equal-to1518-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_LESS_THAN_OR_EQUAL_TO1518_DELTA_MIN = "tca-adaptor-eth-port-by-size-large-stats-less-than-or-equal-to1518-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_LESS_THAN2048_DELTA = "tca-adaptor-eth-port-by-size-large-stats-less-than2048-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_LESS_THAN2048_DELTA_AVG = "tca-adaptor-eth-port-by-size-large-stats-less-than2048-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_LESS_THAN2048_DELTA_MAX = "tca-adaptor-eth-port-by-size-large-stats-less-than2048-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_LESS_THAN2048_DELTA_MIN = "tca-adaptor-eth-port-by-size-large-stats-less-than2048-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_LESS_THAN4096_DELTA = "tca-adaptor-eth-port-by-size-large-stats-less-than4096-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_LESS_THAN4096_DELTA_AVG = "tca-adaptor-eth-port-by-size-large-stats-less-than4096-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_LESS_THAN4096_DELTA_MAX = "tca-adaptor-eth-port-by-size-large-stats-less-than4096-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_LESS_THAN4096_DELTA_MIN = "tca-adaptor-eth-port-by-size-large-stats-less-than4096-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_LESS_THAN8192_DELTA = "tca-adaptor-eth-port-by-size-large-stats-less-than8192-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_LESS_THAN8192_DELTA_AVG = "tca-adaptor-eth-port-by-size-large-stats-less-than8192-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_LESS_THAN8192_DELTA_MAX = "tca-adaptor-eth-port-by-size-large-stats-less-than8192-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_LESS_THAN8192_DELTA_MIN = "tca-adaptor-eth-port-by-size-large-stats-less-than8192-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_LESS_THAN9216_DELTA = "tca-adaptor-eth-port-by-size-large-stats-less-than9216-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_LESS_THAN9216_DELTA_AVG = "tca-adaptor-eth-port-by-size-large-stats-less-than9216-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_LESS_THAN9216_DELTA_MAX = "tca-adaptor-eth-port-by-size-large-stats-less-than9216-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_LESS_THAN9216_DELTA_MIN = "tca-adaptor-eth-port-by-size-large-stats-less-than9216-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_NO_BREAKDOWN_GREATER_THAN1518_DELTA = "tca-adaptor-eth-port-by-size-large-stats-no-breakdown-greater-than1518-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_NO_BREAKDOWN_GREATER_THAN1518_DELTA_AVG = "tca-adaptor-eth-port-by-size-large-stats-no-breakdown-greater-than1518-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_NO_BREAKDOWN_GREATER_THAN1518_DELTA_MAX = "tca-adaptor-eth-port-by-size-large-stats-no-breakdown-greater-than1518-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_LARGE_STATS_NO_BREAKDOWN_GREATER_THAN1518_DELTA_MIN = "tca-adaptor-eth-port-by-size-large-stats-no-breakdown-greater-than1518-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_SMALL_STATS_EQUALS64_DELTA = "tca-adaptor-eth-port-by-size-small-stats-equals64-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_SMALL_STATS_EQUALS64_DELTA_AVG = "tca-adaptor-eth-port-by-size-small-stats-equals64-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_SMALL_STATS_EQUALS64_DELTA_MAX = "tca-adaptor-eth-port-by-size-small-stats-equals64-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_SMALL_STATS_EQUALS64_DELTA_MIN = "tca-adaptor-eth-port-by-size-small-stats-equals64-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_SMALL_STATS_LESS_THAN1024_DELTA = "tca-adaptor-eth-port-by-size-small-stats-less-than1024-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_SMALL_STATS_LESS_THAN1024_DELTA_AVG = "tca-adaptor-eth-port-by-size-small-stats-less-than1024-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_SMALL_STATS_LESS_THAN1024_DELTA_MAX = "tca-adaptor-eth-port-by-size-small-stats-less-than1024-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_SMALL_STATS_LESS_THAN1024_DELTA_MIN = "tca-adaptor-eth-port-by-size-small-stats-less-than1024-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_SMALL_STATS_LESS_THAN128_DELTA = "tca-adaptor-eth-port-by-size-small-stats-less-than128-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_SMALL_STATS_LESS_THAN128_DELTA_AVG = "tca-adaptor-eth-port-by-size-small-stats-less-than128-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_SMALL_STATS_LESS_THAN128_DELTA_MAX = "tca-adaptor-eth-port-by-size-small-stats-less-than128-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_SMALL_STATS_LESS_THAN128_DELTA_MIN = "tca-adaptor-eth-port-by-size-small-stats-less-than128-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_SMALL_STATS_LESS_THAN256_DELTA = "tca-adaptor-eth-port-by-size-small-stats-less-than256-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_SMALL_STATS_LESS_THAN256_DELTA_AVG = "tca-adaptor-eth-port-by-size-small-stats-less-than256-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_SMALL_STATS_LESS_THAN256_DELTA_MAX = "tca-adaptor-eth-port-by-size-small-stats-less-than256-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_SMALL_STATS_LESS_THAN256_DELTA_MIN = "tca-adaptor-eth-port-by-size-small-stats-less-than256-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_SMALL_STATS_LESS_THAN512_DELTA = "tca-adaptor-eth-port-by-size-small-stats-less-than512-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_SMALL_STATS_LESS_THAN512_DELTA_AVG = "tca-adaptor-eth-port-by-size-small-stats-less-than512-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_SMALL_STATS_LESS_THAN512_DELTA_MAX = "tca-adaptor-eth-port-by-size-small-stats-less-than512-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_SMALL_STATS_LESS_THAN512_DELTA_MIN = "tca-adaptor-eth-port-by-size-small-stats-less-than512-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_SMALL_STATS_LESS_THAN64_DELTA = "tca-adaptor-eth-port-by-size-small-stats-less-than64-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_SMALL_STATS_LESS_THAN64_DELTA_AVG = "tca-adaptor-eth-port-by-size-small-stats-less-than64-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_SMALL_STATS_LESS_THAN64_DELTA_MAX = "tca-adaptor-eth-port-by-size-small-stats-less-than64-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_BY_SIZE_SMALL_STATS_LESS_THAN64_DELTA_MIN = "tca-adaptor-eth-port-by-size-small-stats-less-than64-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_ERR_STATS_BAD_CRC_PACKETS_DELTA = "tca-adaptor-eth-port-err-stats-bad-crc-packets-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_ERR_STATS_BAD_CRC_PACKETS_DELTA_AVG = "tca-adaptor-eth-port-err-stats-bad-crc-packets-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_ERR_STATS_BAD_CRC_PACKETS_DELTA_MAX = "tca-adaptor-eth-port-err-stats-bad-crc-packets-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_ERR_STATS_BAD_CRC_PACKETS_DELTA_MIN = "tca-adaptor-eth-port-err-stats-bad-crc-packets-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_ERR_STATS_BAD_LENGTH_PACKETS_DELTA = "tca-adaptor-eth-port-err-stats-bad-length-packets-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_ERR_STATS_BAD_LENGTH_PACKETS_DELTA_AVG = "tca-adaptor-eth-port-err-stats-bad-length-packets-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_ERR_STATS_BAD_LENGTH_PACKETS_DELTA_MAX = "tca-adaptor-eth-port-err-stats-bad-length-packets-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_ERR_STATS_BAD_LENGTH_PACKETS_DELTA_MIN = "tca-adaptor-eth-port-err-stats-bad-length-packets-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_ERR_STATS_MAC_DISCARDED_PACKETS_DELTA = "tca-adaptor-eth-port-err-stats-mac-discarded-packets-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_ERR_STATS_MAC_DISCARDED_PACKETS_DELTA_AVG = "tca-adaptor-eth-port-err-stats-mac-discarded-packets-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_ERR_STATS_MAC_DISCARDED_PACKETS_DELTA_MAX = "tca-adaptor-eth-port-err-stats-mac-discarded-packets-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_ERR_STATS_MAC_DISCARDED_PACKETS_DELTA_MIN = "tca-adaptor-eth-port-err-stats-mac-discarded-packets-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_MCAST_STATS_BROADCAST_PACKETS_DELTA = "tca-adaptor-eth-port-mcast-stats-broadcast-packets-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_MCAST_STATS_BROADCAST_PACKETS_DELTA_AVG = "tca-adaptor-eth-port-mcast-stats-broadcast-packets-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_MCAST_STATS_BROADCAST_PACKETS_DELTA_MAX = "tca-adaptor-eth-port-mcast-stats-broadcast-packets-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_MCAST_STATS_BROADCAST_PACKETS_DELTA_MIN = "tca-adaptor-eth-port-mcast-stats-broadcast-packets-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_MCAST_STATS_MULTICAST_PACKETS_DELTA = "tca-adaptor-eth-port-mcast-stats-multicast-packets-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_MCAST_STATS_MULTICAST_PACKETS_DELTA_AVG = "tca-adaptor-eth-port-mcast-stats-multicast-packets-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_MCAST_STATS_MULTICAST_PACKETS_DELTA_MAX = "tca-adaptor-eth-port-mcast-stats-multicast-packets-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_MCAST_STATS_MULTICAST_PACKETS_DELTA_MIN = "tca-adaptor-eth-port-mcast-stats-multicast-packets-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_MCAST_STATS_UNICAST_PACKETS_DELTA = "tca-adaptor-eth-port-mcast-stats-unicast-packets-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_MCAST_STATS_UNICAST_PACKETS_DELTA_AVG = "tca-adaptor-eth-port-mcast-stats-unicast-packets-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_MCAST_STATS_UNICAST_PACKETS_DELTA_MAX = "tca-adaptor-eth-port-mcast-stats-unicast-packets-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_MCAST_STATS_UNICAST_PACKETS_DELTA_MIN = "tca-adaptor-eth-port-mcast-stats-unicast-packets-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_OUTSIZED_STATS_OVERSIZED_BAD_CRC_PACKETS_DELTA = "tca-adaptor-eth-port-outsized-stats-oversized-bad-crc-packets-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_OUTSIZED_STATS_OVERSIZED_BAD_CRC_PACKETS_DELTA_AVG = "tca-adaptor-eth-port-outsized-stats-oversized-bad-crc-packets-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_OUTSIZED_STATS_OVERSIZED_BAD_CRC_PACKETS_DELTA_MAX = "tca-adaptor-eth-port-outsized-stats-oversized-bad-crc-packets-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_OUTSIZED_STATS_OVERSIZED_BAD_CRC_PACKETS_DELTA_MIN = "tca-adaptor-eth-port-outsized-stats-oversized-bad-crc-packets-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_OUTSIZED_STATS_OVERSIZED_GOOD_CRC_PACKETS_DELTA = "tca-adaptor-eth-port-outsized-stats-oversized-good-crc-packets-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_OUTSIZED_STATS_OVERSIZED_GOOD_CRC_PACKETS_DELTA_AVG = "tca-adaptor-eth-port-outsized-stats-oversized-good-crc-packets-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_OUTSIZED_STATS_OVERSIZED_GOOD_CRC_PACKETS_DELTA_MAX = "tca-adaptor-eth-port-outsized-stats-oversized-good-crc-packets-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_OUTSIZED_STATS_OVERSIZED_GOOD_CRC_PACKETS_DELTA_MIN = "tca-adaptor-eth-port-outsized-stats-oversized-good-crc-packets-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_OUTSIZED_STATS_OVERSIZED_PACKETS_DELTA = "tca-adaptor-eth-port-outsized-stats-oversized-packets-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_OUTSIZED_STATS_OVERSIZED_PACKETS_DELTA_AVG = "tca-adaptor-eth-port-outsized-stats-oversized-packets-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_OUTSIZED_STATS_OVERSIZED_PACKETS_DELTA_MAX = "tca-adaptor-eth-port-outsized-stats-oversized-packets-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_OUTSIZED_STATS_OVERSIZED_PACKETS_DELTA_MIN = "tca-adaptor-eth-port-outsized-stats-oversized-packets-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_OUTSIZED_STATS_UNDERSIZED_BAD_CRC_PACKETS_DELTA = "tca-adaptor-eth-port-outsized-stats-undersized-bad-crc-packets-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_OUTSIZED_STATS_UNDERSIZED_BAD_CRC_PACKETS_DELTA_AVG = "tca-adaptor-eth-port-outsized-stats-undersized-bad-crc-packets-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_OUTSIZED_STATS_UNDERSIZED_BAD_CRC_PACKETS_DELTA_MAX = "tca-adaptor-eth-port-outsized-stats-undersized-bad-crc-packets-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_OUTSIZED_STATS_UNDERSIZED_BAD_CRC_PACKETS_DELTA_MIN = "tca-adaptor-eth-port-outsized-stats-undersized-bad-crc-packets-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_OUTSIZED_STATS_UNDERSIZED_GOOD_CRC_PACKETS_DELTA = "tca-adaptor-eth-port-outsized-stats-undersized-good-crc-packets-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_OUTSIZED_STATS_UNDERSIZED_GOOD_CRC_PACKETS_DELTA_AVG = "tca-adaptor-eth-port-outsized-stats-undersized-good-crc-packets-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_OUTSIZED_STATS_UNDERSIZED_GOOD_CRC_PACKETS_DELTA_MAX = "tca-adaptor-eth-port-outsized-stats-undersized-good-crc-packets-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_OUTSIZED_STATS_UNDERSIZED_GOOD_CRC_PACKETS_DELTA_MIN = "tca-adaptor-eth-port-outsized-stats-undersized-good-crc-packets-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_STATS_GOOD_PACKETS_DELTA = "tca-adaptor-eth-port-stats-good-packets-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_STATS_GOOD_PACKETS_DELTA_AVG = "tca-adaptor-eth-port-stats-good-packets-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_STATS_GOOD_PACKETS_DELTA_MAX = "tca-adaptor-eth-port-stats-good-packets-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_STATS_GOOD_PACKETS_DELTA_MIN = "tca-adaptor-eth-port-stats-good-packets-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_STATS_PAUSE_PACKETS_DELTA = "tca-adaptor-eth-port-stats-pause-packets-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_STATS_PAUSE_PACKETS_DELTA_AVG = "tca-adaptor-eth-port-stats-pause-packets-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_STATS_PAUSE_PACKETS_DELTA_MAX = "tca-adaptor-eth-port-stats-pause-packets-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_STATS_PAUSE_PACKETS_DELTA_MIN = "tca-adaptor-eth-port-stats-pause-packets-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_STATS_PER_PRIORITY_PAUSE_PACKETS_DELTA = "tca-adaptor-eth-port-stats-per-priority-pause-packets-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_STATS_PER_PRIORITY_PAUSE_PACKETS_DELTA_AVG = "tca-adaptor-eth-port-stats-per-priority-pause-packets-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_STATS_PER_PRIORITY_PAUSE_PACKETS_DELTA_MAX = "tca-adaptor-eth-port-stats-per-priority-pause-packets-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_STATS_PER_PRIORITY_PAUSE_PACKETS_DELTA_MIN = "tca-adaptor-eth-port-stats-per-priority-pause-packets-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_STATS_PPP_PACKETS_DELTA = "tca-adaptor-eth-port-stats-ppp-packets-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_STATS_PPP_PACKETS_DELTA_AVG = "tca-adaptor-eth-port-stats-ppp-packets-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_STATS_PPP_PACKETS_DELTA_MAX = "tca-adaptor-eth-port-stats-ppp-packets-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_STATS_PPP_PACKETS_DELTA_MIN = "tca-adaptor-eth-port-stats-ppp-packets-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_STATS_TOTAL_PACKETS_DELTA = "tca-adaptor-eth-port-stats-total-packets-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_STATS_TOTAL_PACKETS_DELTA_AVG = "tca-adaptor-eth-port-stats-total-packets-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_STATS_TOTAL_PACKETS_DELTA_MAX = "tca-adaptor-eth-port-stats-total-packets-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_STATS_TOTAL_PACKETS_DELTA_MIN = "tca-adaptor-eth-port-stats-total-packets-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_STATS_VLAN_PACKETS_DELTA = "tca-adaptor-eth-port-stats-vlan-packets-delta"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_STATS_VLAN_PACKETS_DELTA_AVG = "tca-adaptor-eth-port-stats-vlan-packets-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_STATS_VLAN_PACKETS_DELTA_MAX = "tca-adaptor-eth-port-stats-vlan-packets-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETH_PORT_STATS_VLAN_PACKETS_DELTA_MIN = "tca-adaptor-eth-port-stats-vlan-packets-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_RX_BYTES_DELTA = "tca-adaptor-ether-if-stats-rx-bytes-delta"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_RX_BYTES_DELTA_AVG = "tca-adaptor-ether-if-stats-rx-bytes-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_RX_BYTES_DELTA_MAX = "tca-adaptor-ether-if-stats-rx-bytes-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_RX_BYTES_DELTA_MIN = "tca-adaptor-ether-if-stats-rx-bytes-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_RX_DROPPED_DELTA = "tca-adaptor-ether-if-stats-rx-dropped-delta"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_RX_DROPPED_DELTA_AVG = "tca-adaptor-ether-if-stats-rx-dropped-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_RX_DROPPED_DELTA_MAX = "tca-adaptor-ether-if-stats-rx-dropped-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_RX_DROPPED_DELTA_MIN = "tca-adaptor-ether-if-stats-rx-dropped-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_RX_ERRORS_DELTA = "tca-adaptor-ether-if-stats-rx-errors-delta"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_RX_ERRORS_DELTA_AVG = "tca-adaptor-ether-if-stats-rx-errors-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_RX_ERRORS_DELTA_MAX = "tca-adaptor-ether-if-stats-rx-errors-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_RX_ERRORS_DELTA_MIN = "tca-adaptor-ether-if-stats-rx-errors-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_RX_PACKETS_DELTA = "tca-adaptor-ether-if-stats-rx-packets-delta"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_RX_PACKETS_DELTA_AVG = "tca-adaptor-ether-if-stats-rx-packets-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_RX_PACKETS_DELTA_MAX = "tca-adaptor-ether-if-stats-rx-packets-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_RX_PACKETS_DELTA_MIN = "tca-adaptor-ether-if-stats-rx-packets-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_TX_BYTES_DELTA = "tca-adaptor-ether-if-stats-tx-bytes-delta"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_TX_BYTES_DELTA_AVG = "tca-adaptor-ether-if-stats-tx-bytes-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_TX_BYTES_DELTA_MAX = "tca-adaptor-ether-if-stats-tx-bytes-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_TX_BYTES_DELTA_MIN = "tca-adaptor-ether-if-stats-tx-bytes-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_TX_DROPPED_DELTA = "tca-adaptor-ether-if-stats-tx-dropped-delta"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_TX_DROPPED_DELTA_AVG = "tca-adaptor-ether-if-stats-tx-dropped-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_TX_DROPPED_DELTA_MAX = "tca-adaptor-ether-if-stats-tx-dropped-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_TX_DROPPED_DELTA_MIN = "tca-adaptor-ether-if-stats-tx-dropped-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_TX_ERRORS_DELTA = "tca-adaptor-ether-if-stats-tx-errors-delta"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_TX_ERRORS_DELTA_AVG = "tca-adaptor-ether-if-stats-tx-errors-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_TX_ERRORS_DELTA_MAX = "tca-adaptor-ether-if-stats-tx-errors-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_TX_ERRORS_DELTA_MIN = "tca-adaptor-ether-if-stats-tx-errors-delta-min"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_TX_PACKETS_DELTA = "tca-adaptor-ether-if-stats-tx-packets-delta"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_TX_PACKETS_DELTA_AVG = "tca-adaptor-ether-if-stats-tx-packets-delta-avg"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_TX_PACKETS_DELTA_MAX = "tca-adaptor-ether-if-stats-tx-packets-delta-max"
	CONST_RULE_TCA_ADAPTOR_ETHER_IF_STATS_TX_PACKETS_DELTA_MIN = "tca-adaptor-ether-if-stats-tx-packets-delta-min"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_INVALIDCRCCOUNT_DELTA = "tca-adaptor-fc-if-event-stats-invalidcrccount-delta"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_INVALIDCRCCOUNT_DELTA_AVG = "tca-adaptor-fc-if-event-stats-invalidcrccount-delta-avg"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_INVALIDCRCCOUNT_DELTA_MAX = "tca-adaptor-fc-if-event-stats-invalidcrccount-delta-max"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_INVALIDCRCCOUNT_DELTA_MIN = "tca-adaptor-fc-if-event-stats-invalidcrccount-delta-min"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_LINK_FAILURE_COUNT_DELTA = "tca-adaptor-fc-if-event-stats-link-failure-count-delta"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_LINK_FAILURE_COUNT_DELTA_AVG = "tca-adaptor-fc-if-event-stats-link-failure-count-delta-avg"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_LINK_FAILURE_COUNT_DELTA_MAX = "tca-adaptor-fc-if-event-stats-link-failure-count-delta-max"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_LINK_FAILURE_COUNT_DELTA_MIN = "tca-adaptor-fc-if-event-stats-link-failure-count-delta-min"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_LIP_COUNT_DELTA = "tca-adaptor-fc-if-event-stats-lip-count-delta"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_LIP_COUNT_DELTA_AVG = "tca-adaptor-fc-if-event-stats-lip-count-delta-avg"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_LIP_COUNT_DELTA_MAX = "tca-adaptor-fc-if-event-stats-lip-count-delta-max"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_LIP_COUNT_DELTA_MIN = "tca-adaptor-fc-if-event-stats-lip-count-delta-min"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_LOSS_OF_SIGNAL_COUNT_DELTA = "tca-adaptor-fc-if-event-stats-loss-of-signal-count-delta"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_LOSS_OF_SIGNAL_COUNT_DELTA_AVG = "tca-adaptor-fc-if-event-stats-loss-of-signal-count-delta-avg"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_LOSS_OF_SIGNAL_COUNT_DELTA_MAX = "tca-adaptor-fc-if-event-stats-loss-of-signal-count-delta-max"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_LOSS_OF_SIGNAL_COUNT_DELTA_MIN = "tca-adaptor-fc-if-event-stats-loss-of-signal-count-delta-min"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_LOSS_OF_SYNC_COUNT_DELTA = "tca-adaptor-fc-if-event-stats-loss-of-sync-count-delta"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_LOSS_OF_SYNC_COUNT_DELTA_AVG = "tca-adaptor-fc-if-event-stats-loss-of-sync-count-delta-avg"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_LOSS_OF_SYNC_COUNT_DELTA_MAX = "tca-adaptor-fc-if-event-stats-loss-of-sync-count-delta-max"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_LOSS_OF_SYNC_COUNT_DELTA_MIN = "tca-adaptor-fc-if-event-stats-loss-of-sync-count-delta-min"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_NOSCOUNT_DELTA = "tca-adaptor-fc-if-event-stats-noscount-delta"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_NOSCOUNT_DELTA_AVG = "tca-adaptor-fc-if-event-stats-noscount-delta-avg"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_NOSCOUNT_DELTA_MAX = "tca-adaptor-fc-if-event-stats-noscount-delta-max"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_NOSCOUNT_DELTA_MIN = "tca-adaptor-fc-if-event-stats-noscount-delta-min"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_SECONDS_SINCE_LAST_RESET_DELTA = "tca-adaptor-fc-if-event-stats-seconds-since-last-reset-delta"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_SECONDS_SINCE_LAST_RESET_DELTA_AVG = "tca-adaptor-fc-if-event-stats-seconds-since-last-reset-delta-avg"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_SECONDS_SINCE_LAST_RESET_DELTA_MAX = "tca-adaptor-fc-if-event-stats-seconds-since-last-reset-delta-max"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_SECONDS_SINCE_LAST_RESET_DELTA_MIN = "tca-adaptor-fc-if-event-stats-seconds-since-last-reset-delta-min"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_SEQ_PROTOCOL_ERR_COUNT_DELTA = "tca-adaptor-fc-if-event-stats-seq-protocol-err-count-delta"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_SEQ_PROTOCOL_ERR_COUNT_DELTA_AVG = "tca-adaptor-fc-if-event-stats-seq-protocol-err-count-delta-avg"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_SEQ_PROTOCOL_ERR_COUNT_DELTA_MAX = "tca-adaptor-fc-if-event-stats-seq-protocol-err-count-delta-max"
	CONST_RULE_TCA_ADAPTOR_FC_IF_EVENT_STATS_SEQ_PROTOCOL_ERR_COUNT_DELTA_MIN = "tca-adaptor-fc-if-event-stats-seq-protocol-err-count-delta-min"
	CONST_RULE_TCA_ADAPTOR_FC_IF_FRAME_STATS_DUMPED_FRAMES_DELTA = "tca-adaptor-fc-if-frame-stats-dumped-frames-delta"
	CONST_RULE_TCA_ADAPTOR_FC_IF_FRAME_STATS_DUMPED_FRAMES_DELTA_AVG = "tca-adaptor-fc-if-frame-stats-dumped-frames-delta-avg"
	CONST_RULE_TCA_ADAPTOR_FC_IF_FRAME_STATS_DUMPED_FRAMES_DELTA_MAX = "tca-adaptor-fc-if-frame-stats-dumped-frames-delta-max"
	CONST_RULE_TCA_ADAPTOR_FC_IF_FRAME_STATS_DUMPED_FRAMES_DELTA_MIN = "tca-adaptor-fc-if-frame-stats-dumped-frames-delta-min"
	CONST_RULE_TCA_ADAPTOR_FC_IF_FRAME_STATS_ERROR_FRAMES_DELTA = "tca-adaptor-fc-if-frame-stats-error-frames-delta"
	CONST_RULE_TCA_ADAPTOR_FC_IF_FRAME_STATS_ERROR_FRAMES_DELTA_AVG = "tca-adaptor-fc-if-frame-stats-error-frames-delta-avg"
	CONST_RULE_TCA_ADAPTOR_FC_IF_FRAME_STATS_ERROR_FRAMES_DELTA_MAX = "tca-adaptor-fc-if-frame-stats-error-frames-delta-max"
	CONST_RULE_TCA_ADAPTOR_FC_IF_FRAME_STATS_ERROR_FRAMES_DELTA_MIN = "tca-adaptor-fc-if-frame-stats-error-frames-delta-min"
	CONST_RULE_TCA_ADAPTOR_FC_IF_FRAME_STATS_RX_FRAMES_DELTA = "tca-adaptor-fc-if-frame-stats-rx-frames-delta"
	CONST_RULE_TCA_ADAPTOR_FC_IF_FRAME_STATS_RX_FRAMES_DELTA_AVG = "tca-adaptor-fc-if-frame-stats-rx-frames-delta-avg"
	CONST_RULE_TCA_ADAPTOR_FC_IF_FRAME_STATS_RX_FRAMES_DELTA_MAX = "tca-adaptor-fc-if-frame-stats-rx-frames-delta-max"
	CONST_RULE_TCA_ADAPTOR_FC_IF_FRAME_STATS_RX_FRAMES_DELTA_MIN = "tca-adaptor-fc-if-frame-stats-rx-frames-delta-min"
	CONST_RULE_TCA_ADAPTOR_FC_IF_FRAME_STATS_TX_FRAMES_DELTA = "tca-adaptor-fc-if-frame-stats-tx-frames-delta"
	CONST_RULE_TCA_ADAPTOR_FC_IF_FRAME_STATS_TX_FRAMES_DELTA_AVG = "tca-adaptor-fc-if-frame-stats-tx-frames-delta-avg"
	CONST_RULE_TCA_ADAPTOR_FC_IF_FRAME_STATS_TX_FRAMES_DELTA_MAX = "tca-adaptor-fc-if-frame-stats-tx-frames-delta-max"
	CONST_RULE_TCA_ADAPTOR_FC_IF_FRAME_STATS_TX_FRAMES_DELTA_MIN = "tca-adaptor-fc-if-frame-stats-tx-frames-delta-min"
	CONST_RULE_TCA_ADAPTOR_FC_IFFC4_STATS_CONTROL_REQUESTS_DELTA = "tca-adaptor-fc-iffc4-stats-control-requests-delta"
	CONST_RULE_TCA_ADAPTOR_FC_IFFC4_STATS_CONTROL_REQUESTS_DELTA_AVG = "tca-adaptor-fc-iffc4-stats-control-requests-delta-avg"
	CONST_RULE_TCA_ADAPTOR_FC_IFFC4_STATS_CONTROL_REQUESTS_DELTA_MAX = "tca-adaptor-fc-iffc4-stats-control-requests-delta-max"
	CONST_RULE_TCA_ADAPTOR_FC_IFFC4_STATS_CONTROL_REQUESTS_DELTA_MIN = "tca-adaptor-fc-iffc4-stats-control-requests-delta-min"
	CONST_RULE_TCA_ADAPTOR_FC_IFFC4_STATS_INPUT_MEGABYTES_DELTA = "tca-adaptor-fc-iffc4-stats-input-megabytes-delta"
	CONST_RULE_TCA_ADAPTOR_FC_IFFC4_STATS_INPUT_MEGABYTES_DELTA_AVG = "tca-adaptor-fc-iffc4-stats-input-megabytes-delta-avg"
	CONST_RULE_TCA_ADAPTOR_FC_IFFC4_STATS_INPUT_MEGABYTES_DELTA_MAX = "tca-adaptor-fc-iffc4-stats-input-megabytes-delta-max"
	CONST_RULE_TCA_ADAPTOR_FC_IFFC4_STATS_INPUT_MEGABYTES_DELTA_MIN = "tca-adaptor-fc-iffc4-stats-input-megabytes-delta-min"
	CONST_RULE_TCA_ADAPTOR_FC_IFFC4_STATS_INPUT_REQUESTS_DELTA = "tca-adaptor-fc-iffc4-stats-input-requests-delta"
	CONST_RULE_TCA_ADAPTOR_FC_IFFC4_STATS_INPUT_REQUESTS_DELTA_AVG = "tca-adaptor-fc-iffc4-stats-input-requests-delta-avg"
	CONST_RULE_TCA_ADAPTOR_FC_IFFC4_STATS_INPUT_REQUESTS_DELTA_MAX = "tca-adaptor-fc-iffc4-stats-input-requests-delta-max"
	CONST_RULE_TCA_ADAPTOR_FC_IFFC4_STATS_INPUT_REQUESTS_DELTA_MIN = "tca-adaptor-fc-iffc4-stats-input-requests-delta-min"
	CONST_RULE_TCA_ADAPTOR_FC_IFFC4_STATS_OUTPUT_MEGABYTES_DELTA = "tca-adaptor-fc-iffc4-stats-output-megabytes-delta"
	CONST_RULE_TCA_ADAPTOR_FC_IFFC4_STATS_OUTPUT_MEGABYTES_DELTA_AVG = "tca-adaptor-fc-iffc4-stats-output-megabytes-delta-avg"
	CONST_RULE_TCA_ADAPTOR_FC_IFFC4_STATS_OUTPUT_MEGABYTES_DELTA_MAX = "tca-adaptor-fc-iffc4-stats-output-megabytes-delta-max"
	CONST_RULE_TCA_ADAPTOR_FC_IFFC4_STATS_OUTPUT_MEGABYTES_DELTA_MIN = "tca-adaptor-fc-iffc4-stats-output-megabytes-delta-min"
	CONST_RULE_TCA_ADAPTOR_FC_IFFC4_STATS_OUTPUT_REQUESTS_DELTA = "tca-adaptor-fc-iffc4-stats-output-requests-delta"
	CONST_RULE_TCA_ADAPTOR_FC_IFFC4_STATS_OUTPUT_REQUESTS_DELTA_AVG = "tca-adaptor-fc-iffc4-stats-output-requests-delta-avg"
	CONST_RULE_TCA_ADAPTOR_FC_IFFC4_STATS_OUTPUT_REQUESTS_DELTA_MAX = "tca-adaptor-fc-iffc4-stats-output-requests-delta-max"
	CONST_RULE_TCA_ADAPTOR_FC_IFFC4_STATS_OUTPUT_REQUESTS_DELTA_MIN = "tca-adaptor-fc-iffc4-stats-output-requests-delta-min"
	CONST_RULE_TCA_ADAPTOR_FC_PORT_STATS_RX_BAD_FRAMES_DELTA = "tca-adaptor-fc-port-stats-rx-bad-frames-delta"
	CONST_RULE_TCA_ADAPTOR_FC_PORT_STATS_RX_BAD_FRAMES_DELTA_AVG = "tca-adaptor-fc-port-stats-rx-bad-frames-delta-avg"
	CONST_RULE_TCA_ADAPTOR_FC_PORT_STATS_RX_BAD_FRAMES_DELTA_MAX = "tca-adaptor-fc-port-stats-rx-bad-frames-delta-max"
	CONST_RULE_TCA_ADAPTOR_FC_PORT_STATS_RX_BAD_FRAMES_DELTA_MIN = "tca-adaptor-fc-port-stats-rx-bad-frames-delta-min"
	CONST_RULE_TCA_ADAPTOR_FC_PORT_STATS_RX_FRAMES_DELTA = "tca-adaptor-fc-port-stats-rx-frames-delta"
	CONST_RULE_TCA_ADAPTOR_FC_PORT_STATS_RX_FRAMES_DELTA_AVG = "tca-adaptor-fc-port-stats-rx-frames-delta-avg"
	CONST_RULE_TCA_ADAPTOR_FC_PORT_STATS_RX_FRAMES_DELTA_MAX = "tca-adaptor-fc-port-stats-rx-frames-delta-max"
	CONST_RULE_TCA_ADAPTOR_FC_PORT_STATS_RX_FRAMES_DELTA_MIN = "tca-adaptor-fc-port-stats-rx-frames-delta-min"
	CONST_RULE_TCA_ADAPTOR_FC_PORT_STATS_TX_BAD_FRAMES_DELTA = "tca-adaptor-fc-port-stats-tx-bad-frames-delta"
	CONST_RULE_TCA_ADAPTOR_FC_PORT_STATS_TX_BAD_FRAMES_DELTA_AVG = "tca-adaptor-fc-port-stats-tx-bad-frames-delta-avg"
	CONST_RULE_TCA_ADAPTOR_FC_PORT_STATS_TX_BAD_FRAMES_DELTA_MAX = "tca-adaptor-fc-port-stats-tx-bad-frames-delta-max"
	CONST_RULE_TCA_ADAPTOR_FC_PORT_STATS_TX_BAD_FRAMES_DELTA_MIN = "tca-adaptor-fc-port-stats-tx-bad-frames-delta-min"
	CONST_RULE_TCA_ADAPTOR_FC_PORT_STATS_TX_FRAMES_DELTA = "tca-adaptor-fc-port-stats-tx-frames-delta"
	CONST_RULE_TCA_ADAPTOR_FC_PORT_STATS_TX_FRAMES_DELTA_AVG = "tca-adaptor-fc-port-stats-tx-frames-delta-avg"
	CONST_RULE_TCA_ADAPTOR_FC_PORT_STATS_TX_FRAMES_DELTA_MAX = "tca-adaptor-fc-port-stats-tx-frames-delta-max"
	CONST_RULE_TCA_ADAPTOR_FC_PORT_STATS_TX_FRAMES_DELTA_MIN = "tca-adaptor-fc-port-stats-tx-frames-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_BASE_ERROR_STATS_CORRECTABLE_ERRORS_DELTA = "tca-adaptor-menlo-base-error-stats-correctable-errors-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_BASE_ERROR_STATS_CORRECTABLE_ERRORS_DELTA_AVG = "tca-adaptor-menlo-base-error-stats-correctable-errors-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_BASE_ERROR_STATS_CORRECTABLE_ERRORS_DELTA_MAX = "tca-adaptor-menlo-base-error-stats-correctable-errors-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_BASE_ERROR_STATS_CORRECTABLE_ERRORS_DELTA_MIN = "tca-adaptor-menlo-base-error-stats-correctable-errors-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_BASE_ERROR_STATS_UNCORRECTABLE_ERRORS_DELTA = "tca-adaptor-menlo-base-error-stats-uncorrectable-errors-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_BASE_ERROR_STATS_UNCORRECTABLE_ERRORS_DELTA_AVG = "tca-adaptor-menlo-base-error-stats-uncorrectable-errors-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_BASE_ERROR_STATS_UNCORRECTABLE_ERRORS_DELTA_MAX = "tca-adaptor-menlo-base-error-stats-uncorrectable-errors-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_BASE_ERROR_STATS_UNCORRECTABLE_ERRORS_DELTA_MIN = "tca-adaptor-menlo-base-error-stats-uncorrectable-errors-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_DCE_PORT_STATS_RX_PAUSECFCDELTA = "tca-adaptor-menlo-dce-port-stats-rx-pausecfcdelta"
	CONST_RULE_TCA_ADAPTOR_MENLO_DCE_PORT_STATS_RX_PAUSECFCDELTA_AVG = "tca-adaptor-menlo-dce-port-stats-rx-pausecfcdelta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_DCE_PORT_STATS_RX_PAUSECFCDELTA_MAX = "tca-adaptor-menlo-dce-port-stats-rx-pausecfcdelta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_DCE_PORT_STATS_RX_PAUSECFCDELTA_MIN = "tca-adaptor-menlo-dce-port-stats-rx-pausecfcdelta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_DCE_PORT_STATS_RX_PAUSEPFCDELTA = "tca-adaptor-menlo-dce-port-stats-rx-pausepfcdelta"
	CONST_RULE_TCA_ADAPTOR_MENLO_DCE_PORT_STATS_RX_PAUSEPFCDELTA_AVG = "tca-adaptor-menlo-dce-port-stats-rx-pausepfcdelta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_DCE_PORT_STATS_RX_PAUSEPFCDELTA_MAX = "tca-adaptor-menlo-dce-port-stats-rx-pausepfcdelta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_DCE_PORT_STATS_RX_PAUSEPFCDELTA_MIN = "tca-adaptor-menlo-dce-port-stats-rx-pausepfcdelta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_DCE_PORT_STATS_TX_PAUSECFCDELTA = "tca-adaptor-menlo-dce-port-stats-tx-pausecfcdelta"
	CONST_RULE_TCA_ADAPTOR_MENLO_DCE_PORT_STATS_TX_PAUSECFCDELTA_AVG = "tca-adaptor-menlo-dce-port-stats-tx-pausecfcdelta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_DCE_PORT_STATS_TX_PAUSECFCDELTA_MAX = "tca-adaptor-menlo-dce-port-stats-tx-pausecfcdelta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_DCE_PORT_STATS_TX_PAUSECFCDELTA_MIN = "tca-adaptor-menlo-dce-port-stats-tx-pausecfcdelta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_DCE_PORT_STATS_TX_PAUSEPFCDELTA = "tca-adaptor-menlo-dce-port-stats-tx-pausepfcdelta"
	CONST_RULE_TCA_ADAPTOR_MENLO_DCE_PORT_STATS_TX_PAUSEPFCDELTA_AVG = "tca-adaptor-menlo-dce-port-stats-tx-pausepfcdelta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_DCE_PORT_STATS_TX_PAUSEPFCDELTA_MAX = "tca-adaptor-menlo-dce-port-stats-tx-pausepfcdelta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_DCE_PORT_STATS_TX_PAUSEPFCDELTA_MIN = "tca-adaptor-menlo-dce-port-stats-tx-pausepfcdelta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_ERROR_STATS_CORRECTABLE_ERRORS_DELTA = "tca-adaptor-menlo-eth-error-stats-correctable-errors-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_ERROR_STATS_CORRECTABLE_ERRORS_DELTA_AVG = "tca-adaptor-menlo-eth-error-stats-correctable-errors-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_ERROR_STATS_CORRECTABLE_ERRORS_DELTA_MAX = "tca-adaptor-menlo-eth-error-stats-correctable-errors-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_ERROR_STATS_CORRECTABLE_ERRORS_DELTA_MIN = "tca-adaptor-menlo-eth-error-stats-correctable-errors-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_ERROR_STATS_DROP_ACL_DELTA = "tca-adaptor-menlo-eth-error-stats-drop-acl-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_ERROR_STATS_DROP_ACL_DELTA_AVG = "tca-adaptor-menlo-eth-error-stats-drop-acl-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_ERROR_STATS_DROP_ACL_DELTA_MAX = "tca-adaptor-menlo-eth-error-stats-drop-acl-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_ERROR_STATS_DROP_ACL_DELTA_MIN = "tca-adaptor-menlo-eth-error-stats-drop-acl-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_ERROR_STATS_POP_ERRORS_DELTA = "tca-adaptor-menlo-eth-error-stats-pop-errors-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_ERROR_STATS_POP_ERRORS_DELTA_AVG = "tca-adaptor-menlo-eth-error-stats-pop-errors-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_ERROR_STATS_POP_ERRORS_DELTA_MAX = "tca-adaptor-menlo-eth-error-stats-pop-errors-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_ERROR_STATS_POP_ERRORS_DELTA_MIN = "tca-adaptor-menlo-eth-error-stats-pop-errors-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_ERROR_STATS_PUSH_ERRORS_DELTA = "tca-adaptor-menlo-eth-error-stats-push-errors-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_ERROR_STATS_PUSH_ERRORS_DELTA_AVG = "tca-adaptor-menlo-eth-error-stats-push-errors-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_ERROR_STATS_PUSH_ERRORS_DELTA_MAX = "tca-adaptor-menlo-eth-error-stats-push-errors-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_ERROR_STATS_PUSH_ERRORS_DELTA_MIN = "tca-adaptor-menlo-eth-error-stats-push-errors-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_ERROR_STATS_UNCORRECTABLE_ERRORS_DELTA = "tca-adaptor-menlo-eth-error-stats-uncorrectable-errors-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_ERROR_STATS_UNCORRECTABLE_ERRORS_DELTA_AVG = "tca-adaptor-menlo-eth-error-stats-uncorrectable-errors-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_ERROR_STATS_UNCORRECTABLE_ERRORS_DELTA_MAX = "tca-adaptor-menlo-eth-error-stats-uncorrectable-errors-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_ERROR_STATS_UNCORRECTABLE_ERRORS_DELTA_MIN = "tca-adaptor-menlo-eth-error-stats-uncorrectable-errors-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_STATS_DROP_OVERRUN_DELTA = "tca-adaptor-menlo-eth-stats-drop-overrun-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_STATS_DROP_OVERRUN_DELTA_AVG = "tca-adaptor-menlo-eth-stats-drop-overrun-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_STATS_DROP_OVERRUN_DELTA_MAX = "tca-adaptor-menlo-eth-stats-drop-overrun-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_STATS_DROP_OVERRUN_DELTA_MIN = "tca-adaptor-menlo-eth-stats-drop-overrun-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_STATS_DROP_RUNT_DELTA = "tca-adaptor-menlo-eth-stats-drop-runt-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_STATS_DROP_RUNT_DELTA_AVG = "tca-adaptor-menlo-eth-stats-drop-runt-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_STATS_DROP_RUNT_DELTA_MAX = "tca-adaptor-menlo-eth-stats-drop-runt-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_STATS_DROP_RUNT_DELTA_MIN = "tca-adaptor-menlo-eth-stats-drop-runt-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_STATS_TRUNCATE_OVERRUN_DELTA = "tca-adaptor-menlo-eth-stats-truncate-overrun-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_STATS_TRUNCATE_OVERRUN_DELTA_AVG = "tca-adaptor-menlo-eth-stats-truncate-overrun-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_STATS_TRUNCATE_OVERRUN_DELTA_MAX = "tca-adaptor-menlo-eth-stats-truncate-overrun-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_ETH_STATS_TRUNCATE_OVERRUN_DELTA_MIN = "tca-adaptor-menlo-eth-stats-truncate-overrun-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_ERROR_STATS_CORRECTABLE_ERRORS_DELTA = "tca-adaptor-menlo-fc-error-stats-correctable-errors-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_ERROR_STATS_CORRECTABLE_ERRORS_DELTA_AVG = "tca-adaptor-menlo-fc-error-stats-correctable-errors-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_ERROR_STATS_CORRECTABLE_ERRORS_DELTA_MAX = "tca-adaptor-menlo-fc-error-stats-correctable-errors-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_ERROR_STATS_CORRECTABLE_ERRORS_DELTA_MIN = "tca-adaptor-menlo-fc-error-stats-correctable-errors-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_ERROR_STATS_POP_ERRORS_DELTA = "tca-adaptor-menlo-fc-error-stats-pop-errors-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_ERROR_STATS_POP_ERRORS_DELTA_AVG = "tca-adaptor-menlo-fc-error-stats-pop-errors-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_ERROR_STATS_POP_ERRORS_DELTA_MAX = "tca-adaptor-menlo-fc-error-stats-pop-errors-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_ERROR_STATS_POP_ERRORS_DELTA_MIN = "tca-adaptor-menlo-fc-error-stats-pop-errors-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_ERROR_STATS_PUSH_ERRORS_DELTA = "tca-adaptor-menlo-fc-error-stats-push-errors-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_ERROR_STATS_PUSH_ERRORS_DELTA_AVG = "tca-adaptor-menlo-fc-error-stats-push-errors-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_ERROR_STATS_PUSH_ERRORS_DELTA_MAX = "tca-adaptor-menlo-fc-error-stats-push-errors-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_ERROR_STATS_PUSH_ERRORS_DELTA_MIN = "tca-adaptor-menlo-fc-error-stats-push-errors-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_ERROR_STATS_UNCORRECTABLE_ERRORS_DELTA = "tca-adaptor-menlo-fc-error-stats-uncorrectable-errors-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_ERROR_STATS_UNCORRECTABLE_ERRORS_DELTA_AVG = "tca-adaptor-menlo-fc-error-stats-uncorrectable-errors-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_ERROR_STATS_UNCORRECTABLE_ERRORS_DELTA_MAX = "tca-adaptor-menlo-fc-error-stats-uncorrectable-errors-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_ERROR_STATS_UNCORRECTABLE_ERRORS_DELTA_MIN = "tca-adaptor-menlo-fc-error-stats-uncorrectable-errors-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_STATS_DROP_ACL_DELTA = "tca-adaptor-menlo-fc-stats-drop-acl-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_STATS_DROP_ACL_DELTA_AVG = "tca-adaptor-menlo-fc-stats-drop-acl-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_STATS_DROP_ACL_DELTA_MAX = "tca-adaptor-menlo-fc-stats-drop-acl-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_STATS_DROP_ACL_DELTA_MIN = "tca-adaptor-menlo-fc-stats-drop-acl-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_STATS_DROP_OVERRUN_DELTA = "tca-adaptor-menlo-fc-stats-drop-overrun-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_STATS_DROP_OVERRUN_DELTA_AVG = "tca-adaptor-menlo-fc-stats-drop-overrun-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_STATS_DROP_OVERRUN_DELTA_MAX = "tca-adaptor-menlo-fc-stats-drop-overrun-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_STATS_DROP_OVERRUN_DELTA_MIN = "tca-adaptor-menlo-fc-stats-drop-overrun-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_STATS_DROP_RUNT_DELTA = "tca-adaptor-menlo-fc-stats-drop-runt-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_STATS_DROP_RUNT_DELTA_AVG = "tca-adaptor-menlo-fc-stats-drop-runt-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_STATS_DROP_RUNT_DELTA_MAX = "tca-adaptor-menlo-fc-stats-drop-runt-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_STATS_DROP_RUNT_DELTA_MIN = "tca-adaptor-menlo-fc-stats-drop-runt-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_STATS_TRUNCATE_OVERRUN_DELTA = "tca-adaptor-menlo-fc-stats-truncate-overrun-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_STATS_TRUNCATE_OVERRUN_DELTA_AVG = "tca-adaptor-menlo-fc-stats-truncate-overrun-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_STATS_TRUNCATE_OVERRUN_DELTA_MAX = "tca-adaptor-menlo-fc-stats-truncate-overrun-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_FC_STATS_TRUNCATE_OVERRUN_DELTA_MIN = "tca-adaptor-menlo-fc-stats-truncate-overrun-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_HOST_PORT_STATS_RX_PAUSECFCDELTA = "tca-adaptor-menlo-host-port-stats-rx-pausecfcdelta"
	CONST_RULE_TCA_ADAPTOR_MENLO_HOST_PORT_STATS_RX_PAUSECFCDELTA_AVG = "tca-adaptor-menlo-host-port-stats-rx-pausecfcdelta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_HOST_PORT_STATS_RX_PAUSECFCDELTA_MAX = "tca-adaptor-menlo-host-port-stats-rx-pausecfcdelta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_HOST_PORT_STATS_RX_PAUSECFCDELTA_MIN = "tca-adaptor-menlo-host-port-stats-rx-pausecfcdelta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_HOST_PORT_STATS_RX_PAUSEPFCDELTA = "tca-adaptor-menlo-host-port-stats-rx-pausepfcdelta"
	CONST_RULE_TCA_ADAPTOR_MENLO_HOST_PORT_STATS_RX_PAUSEPFCDELTA_AVG = "tca-adaptor-menlo-host-port-stats-rx-pausepfcdelta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_HOST_PORT_STATS_RX_PAUSEPFCDELTA_MAX = "tca-adaptor-menlo-host-port-stats-rx-pausepfcdelta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_HOST_PORT_STATS_RX_PAUSEPFCDELTA_MIN = "tca-adaptor-menlo-host-port-stats-rx-pausepfcdelta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_HOST_PORT_STATS_TX_PAUSECFCDELTA = "tca-adaptor-menlo-host-port-stats-tx-pausecfcdelta"
	CONST_RULE_TCA_ADAPTOR_MENLO_HOST_PORT_STATS_TX_PAUSECFCDELTA_AVG = "tca-adaptor-menlo-host-port-stats-tx-pausecfcdelta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_HOST_PORT_STATS_TX_PAUSECFCDELTA_MAX = "tca-adaptor-menlo-host-port-stats-tx-pausecfcdelta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_HOST_PORT_STATS_TX_PAUSECFCDELTA_MIN = "tca-adaptor-menlo-host-port-stats-tx-pausecfcdelta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_HOST_PORT_STATS_TX_PAUSEPFCDELTA = "tca-adaptor-menlo-host-port-stats-tx-pausepfcdelta"
	CONST_RULE_TCA_ADAPTOR_MENLO_HOST_PORT_STATS_TX_PAUSEPFCDELTA_AVG = "tca-adaptor-menlo-host-port-stats-tx-pausepfcdelta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_HOST_PORT_STATS_TX_PAUSEPFCDELTA_MAX = "tca-adaptor-menlo-host-port-stats-tx-pausepfcdelta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_HOST_PORT_STATS_TX_PAUSEPFCDELTA_MIN = "tca-adaptor-menlo-host-port-stats-tx-pausepfcdelta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_ERROR_STATS_CORRECTABLE_ERRORS_DELTA = "tca-adaptor-menlo-mcpu-error-stats-correctable-errors-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_ERROR_STATS_CORRECTABLE_ERRORS_DELTA_AVG = "tca-adaptor-menlo-mcpu-error-stats-correctable-errors-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_ERROR_STATS_CORRECTABLE_ERRORS_DELTA_MAX = "tca-adaptor-menlo-mcpu-error-stats-correctable-errors-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_ERROR_STATS_CORRECTABLE_ERRORS_DELTA_MIN = "tca-adaptor-menlo-mcpu-error-stats-correctable-errors-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_ERROR_STATS_POP_ERRORS_DELTA = "tca-adaptor-menlo-mcpu-error-stats-pop-errors-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_ERROR_STATS_POP_ERRORS_DELTA_AVG = "tca-adaptor-menlo-mcpu-error-stats-pop-errors-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_ERROR_STATS_POP_ERRORS_DELTA_MAX = "tca-adaptor-menlo-mcpu-error-stats-pop-errors-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_ERROR_STATS_POP_ERRORS_DELTA_MIN = "tca-adaptor-menlo-mcpu-error-stats-pop-errors-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_ERROR_STATS_PUSH_ERRORS_DELTA = "tca-adaptor-menlo-mcpu-error-stats-push-errors-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_ERROR_STATS_PUSH_ERRORS_DELTA_AVG = "tca-adaptor-menlo-mcpu-error-stats-push-errors-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_ERROR_STATS_PUSH_ERRORS_DELTA_MAX = "tca-adaptor-menlo-mcpu-error-stats-push-errors-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_ERROR_STATS_PUSH_ERRORS_DELTA_MIN = "tca-adaptor-menlo-mcpu-error-stats-push-errors-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_ERROR_STATS_UNCORRECTABLE_ERRORS_DELTA = "tca-adaptor-menlo-mcpu-error-stats-uncorrectable-errors-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_ERROR_STATS_UNCORRECTABLE_ERRORS_DELTA_AVG = "tca-adaptor-menlo-mcpu-error-stats-uncorrectable-errors-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_ERROR_STATS_UNCORRECTABLE_ERRORS_DELTA_MAX = "tca-adaptor-menlo-mcpu-error-stats-uncorrectable-errors-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_ERROR_STATS_UNCORRECTABLE_ERRORS_DELTA_MIN = "tca-adaptor-menlo-mcpu-error-stats-uncorrectable-errors-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_STATS_DROP_ACL_DELTA = "tca-adaptor-menlo-mcpu-stats-drop-acl-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_STATS_DROP_ACL_DELTA_AVG = "tca-adaptor-menlo-mcpu-stats-drop-acl-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_STATS_DROP_ACL_DELTA_MAX = "tca-adaptor-menlo-mcpu-stats-drop-acl-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_STATS_DROP_ACL_DELTA_MIN = "tca-adaptor-menlo-mcpu-stats-drop-acl-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_STATS_DROP_OVERRUN_DELTA = "tca-adaptor-menlo-mcpu-stats-drop-overrun-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_STATS_DROP_OVERRUN_DELTA_AVG = "tca-adaptor-menlo-mcpu-stats-drop-overrun-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_STATS_DROP_OVERRUN_DELTA_MAX = "tca-adaptor-menlo-mcpu-stats-drop-overrun-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_STATS_DROP_OVERRUN_DELTA_MIN = "tca-adaptor-menlo-mcpu-stats-drop-overrun-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_STATS_DROP_RUNT_DELTA = "tca-adaptor-menlo-mcpu-stats-drop-runt-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_STATS_DROP_RUNT_DELTA_AVG = "tca-adaptor-menlo-mcpu-stats-drop-runt-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_STATS_DROP_RUNT_DELTA_MAX = "tca-adaptor-menlo-mcpu-stats-drop-runt-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_STATS_DROP_RUNT_DELTA_MIN = "tca-adaptor-menlo-mcpu-stats-drop-runt-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_STATS_TRUNCATE_OVERRUN_DELTA = "tca-adaptor-menlo-mcpu-stats-truncate-overrun-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_STATS_TRUNCATE_OVERRUN_DELTA_AVG = "tca-adaptor-menlo-mcpu-stats-truncate-overrun-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_STATS_TRUNCATE_OVERRUN_DELTA_MAX = "tca-adaptor-menlo-mcpu-stats-truncate-overrun-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_MCPU_STATS_TRUNCATE_OVERRUN_DELTA_MIN = "tca-adaptor-menlo-mcpu-stats-truncate-overrun-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_EG_STATS_DROP_CMD_DELTA = "tca-adaptor-menlo-net-eg-stats-drop-cmd-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_EG_STATS_DROP_CMD_DELTA_AVG = "tca-adaptor-menlo-net-eg-stats-drop-cmd-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_EG_STATS_DROP_CMD_DELTA_MAX = "tca-adaptor-menlo-net-eg-stats-drop-cmd-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_EG_STATS_DROP_CMD_DELTA_MIN = "tca-adaptor-menlo-net-eg-stats-drop-cmd-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_EG_STATS_DROP_LIF_CFG_INVALID_DELTA = "tca-adaptor-menlo-net-eg-stats-drop-lif-cfg-invalid-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_EG_STATS_DROP_LIF_CFG_INVALID_DELTA_AVG = "tca-adaptor-menlo-net-eg-stats-drop-lif-cfg-invalid-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_EG_STATS_DROP_LIF_CFG_INVALID_DELTA_MAX = "tca-adaptor-menlo-net-eg-stats-drop-lif-cfg-invalid-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_EG_STATS_DROP_LIF_CFG_INVALID_DELTA_MIN = "tca-adaptor-menlo-net-eg-stats-drop-lif-cfg-invalid-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_EG_STATS_DROP_LIF_MAP_NO_HIT_DELTA = "tca-adaptor-menlo-net-eg-stats-drop-lif-map-no-hit-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_EG_STATS_DROP_LIF_MAP_NO_HIT_DELTA_AVG = "tca-adaptor-menlo-net-eg-stats-drop-lif-map-no-hit-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_EG_STATS_DROP_LIF_MAP_NO_HIT_DELTA_MAX = "tca-adaptor-menlo-net-eg-stats-drop-lif-map-no-hit-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_EG_STATS_DROP_LIF_MAP_NO_HIT_DELTA_MIN = "tca-adaptor-menlo-net-eg-stats-drop-lif-map-no-hit-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_EG_STATS_DROP_SRC_BIND_DELTA = "tca-adaptor-menlo-net-eg-stats-drop-src-bind-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_EG_STATS_DROP_SRC_BIND_DELTA_AVG = "tca-adaptor-menlo-net-eg-stats-drop-src-bind-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_EG_STATS_DROP_SRC_BIND_DELTA_MAX = "tca-adaptor-menlo-net-eg-stats-drop-src-bind-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_EG_STATS_DROP_SRC_BIND_DELTA_MIN = "tca-adaptor-menlo-net-eg-stats-drop-src-bind-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_EG_STATS_LEARN_REQ_DROP_DELTA = "tca-adaptor-menlo-net-eg-stats-learn-req-drop-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_EG_STATS_LEARN_REQ_DROP_DELTA_AVG = "tca-adaptor-menlo-net-eg-stats-learn-req-drop-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_EG_STATS_LEARN_REQ_DROP_DELTA_MAX = "tca-adaptor-menlo-net-eg-stats-learn-req-drop-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_EG_STATS_LEARN_REQ_DROP_DELTA_MIN = "tca-adaptor-menlo-net-eg-stats-learn-req-drop-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_IN_STATS_DROP_FC_LIF_INVALID_DELTA = "tca-adaptor-menlo-net-in-stats-drop-fc-lif-invalid-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_IN_STATS_DROP_FC_LIF_INVALID_DELTA_AVG = "tca-adaptor-menlo-net-in-stats-drop-fc-lif-invalid-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_IN_STATS_DROP_FC_LIF_INVALID_DELTA_MAX = "tca-adaptor-menlo-net-in-stats-drop-fc-lif-invalid-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_IN_STATS_DROP_FC_LIF_INVALID_DELTA_MIN = "tca-adaptor-menlo-net-in-stats-drop-fc-lif-invalid-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_IN_STATS_DROP_FC_MULTICAST_DELTA = "tca-adaptor-menlo-net-in-stats-drop-fc-multicast-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_IN_STATS_DROP_FC_MULTICAST_DELTA_AVG = "tca-adaptor-menlo-net-in-stats-drop-fc-multicast-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_IN_STATS_DROP_FC_MULTICAST_DELTA_MAX = "tca-adaptor-menlo-net-in-stats-drop-fc-multicast-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_IN_STATS_DROP_FC_MULTICAST_DELTA_MIN = "tca-adaptor-menlo-net-in-stats-drop-fc-multicast-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_IN_STATS_DROP_NULL_PIF_DELTA = "tca-adaptor-menlo-net-in-stats-drop-null-pif-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_IN_STATS_DROP_NULL_PIF_DELTA_AVG = "tca-adaptor-menlo-net-in-stats-drop-null-pif-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_IN_STATS_DROP_NULL_PIF_DELTA_MAX = "tca-adaptor-menlo-net-in-stats-drop-null-pif-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_IN_STATS_DROP_NULL_PIF_DELTA_MIN = "tca-adaptor-menlo-net-in-stats-drop-null-pif-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_IN_STATS_FWD_LOOKUP_NO_HIT_DELTA = "tca-adaptor-menlo-net-in-stats-fwd-lookup-no-hit-delta"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_IN_STATS_FWD_LOOKUP_NO_HIT_DELTA_AVG = "tca-adaptor-menlo-net-in-stats-fwd-lookup-no-hit-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_IN_STATS_FWD_LOOKUP_NO_HIT_DELTA_MAX = "tca-adaptor-menlo-net-in-stats-fwd-lookup-no-hit-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLO_NET_IN_STATS_FWD_LOOKUP_NO_HIT_DELTA_MIN = "tca-adaptor-menlo-net-in-stats-fwd-lookup-no-hit-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLOQERROR_STATS_CORRECTABLE_ERRORS_DELTA = "tca-adaptor-menloqerror-stats-correctable-errors-delta"
	CONST_RULE_TCA_ADAPTOR_MENLOQERROR_STATS_CORRECTABLE_ERRORS_DELTA_AVG = "tca-adaptor-menloqerror-stats-correctable-errors-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLOQERROR_STATS_CORRECTABLE_ERRORS_DELTA_MAX = "tca-adaptor-menloqerror-stats-correctable-errors-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLOQERROR_STATS_CORRECTABLE_ERRORS_DELTA_MIN = "tca-adaptor-menloqerror-stats-correctable-errors-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLOQERROR_STATS_POP_ERRORS_DELTA = "tca-adaptor-menloqerror-stats-pop-errors-delta"
	CONST_RULE_TCA_ADAPTOR_MENLOQERROR_STATS_POP_ERRORS_DELTA_AVG = "tca-adaptor-menloqerror-stats-pop-errors-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLOQERROR_STATS_POP_ERRORS_DELTA_MAX = "tca-adaptor-menloqerror-stats-pop-errors-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLOQERROR_STATS_POP_ERRORS_DELTA_MIN = "tca-adaptor-menloqerror-stats-pop-errors-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLOQERROR_STATS_PUSH_ERRORS_DELTA = "tca-adaptor-menloqerror-stats-push-errors-delta"
	CONST_RULE_TCA_ADAPTOR_MENLOQERROR_STATS_PUSH_ERRORS_DELTA_AVG = "tca-adaptor-menloqerror-stats-push-errors-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLOQERROR_STATS_PUSH_ERRORS_DELTA_MAX = "tca-adaptor-menloqerror-stats-push-errors-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLOQERROR_STATS_PUSH_ERRORS_DELTA_MIN = "tca-adaptor-menloqerror-stats-push-errors-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLOQERROR_STATS_UNCORRECTABLE_ERRORS_DELTA = "tca-adaptor-menloqerror-stats-uncorrectable-errors-delta"
	CONST_RULE_TCA_ADAPTOR_MENLOQERROR_STATS_UNCORRECTABLE_ERRORS_DELTA_AVG = "tca-adaptor-menloqerror-stats-uncorrectable-errors-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLOQERROR_STATS_UNCORRECTABLE_ERRORS_DELTA_MAX = "tca-adaptor-menloqerror-stats-uncorrectable-errors-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLOQERROR_STATS_UNCORRECTABLE_ERRORS_DELTA_MIN = "tca-adaptor-menloqerror-stats-uncorrectable-errors-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLOQSTATS_DROP_OVERRUN_N0_DELTA = "tca-adaptor-menloqstats-drop-overrun-n0-delta"
	CONST_RULE_TCA_ADAPTOR_MENLOQSTATS_DROP_OVERRUN_N0_DELTA_AVG = "tca-adaptor-menloqstats-drop-overrun-n0-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLOQSTATS_DROP_OVERRUN_N0_DELTA_MAX = "tca-adaptor-menloqstats-drop-overrun-n0-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLOQSTATS_DROP_OVERRUN_N0_DELTA_MIN = "tca-adaptor-menloqstats-drop-overrun-n0-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLOQSTATS_DROP_OVERRUN_N1_DELTA = "tca-adaptor-menloqstats-drop-overrun-n1-delta"
	CONST_RULE_TCA_ADAPTOR_MENLOQSTATS_DROP_OVERRUN_N1_DELTA_AVG = "tca-adaptor-menloqstats-drop-overrun-n1-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLOQSTATS_DROP_OVERRUN_N1_DELTA_MAX = "tca-adaptor-menloqstats-drop-overrun-n1-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLOQSTATS_DROP_OVERRUN_N1_DELTA_MIN = "tca-adaptor-menloqstats-drop-overrun-n1-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLOQSTATS_TRUNCATE_OVERRUN_N0_DELTA = "tca-adaptor-menloqstats-truncate-overrun-n0-delta"
	CONST_RULE_TCA_ADAPTOR_MENLOQSTATS_TRUNCATE_OVERRUN_N0_DELTA_AVG = "tca-adaptor-menloqstats-truncate-overrun-n0-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLOQSTATS_TRUNCATE_OVERRUN_N0_DELTA_MAX = "tca-adaptor-menloqstats-truncate-overrun-n0-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLOQSTATS_TRUNCATE_OVERRUN_N0_DELTA_MIN = "tca-adaptor-menloqstats-truncate-overrun-n0-delta-min"
	CONST_RULE_TCA_ADAPTOR_MENLOQSTATS_TRUNCATE_OVERRUN_N1_DELTA = "tca-adaptor-menloqstats-truncate-overrun-n1-delta"
	CONST_RULE_TCA_ADAPTOR_MENLOQSTATS_TRUNCATE_OVERRUN_N1_DELTA_AVG = "tca-adaptor-menloqstats-truncate-overrun-n1-delta-avg"
	CONST_RULE_TCA_ADAPTOR_MENLOQSTATS_TRUNCATE_OVERRUN_N1_DELTA_MAX = "tca-adaptor-menloqstats-truncate-overrun-n1-delta-max"
	CONST_RULE_TCA_ADAPTOR_MENLOQSTATS_TRUNCATE_OVERRUN_N1_DELTA_MIN = "tca-adaptor-menloqstats-truncate-overrun-n1-delta-min"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_BYTES_RX_DELTA = "tca-adaptor-vnic-stats-bytes-rx-delta"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_BYTES_RX_DELTA_AVG = "tca-adaptor-vnic-stats-bytes-rx-delta-avg"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_BYTES_RX_DELTA_MAX = "tca-adaptor-vnic-stats-bytes-rx-delta-max"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_BYTES_RX_DELTA_MIN = "tca-adaptor-vnic-stats-bytes-rx-delta-min"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_BYTES_TX_DELTA = "tca-adaptor-vnic-stats-bytes-tx-delta"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_BYTES_TX_DELTA_AVG = "tca-adaptor-vnic-stats-bytes-tx-delta-avg"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_BYTES_TX_DELTA_MAX = "tca-adaptor-vnic-stats-bytes-tx-delta-max"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_BYTES_TX_DELTA_MIN = "tca-adaptor-vnic-stats-bytes-tx-delta-min"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_DROPPED_RX_DELTA = "tca-adaptor-vnic-stats-dropped-rx-delta"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_DROPPED_RX_DELTA_AVG = "tca-adaptor-vnic-stats-dropped-rx-delta-avg"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_DROPPED_RX_DELTA_MAX = "tca-adaptor-vnic-stats-dropped-rx-delta-max"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_DROPPED_RX_DELTA_MIN = "tca-adaptor-vnic-stats-dropped-rx-delta-min"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_DROPPED_TX_DELTA = "tca-adaptor-vnic-stats-dropped-tx-delta"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_DROPPED_TX_DELTA_AVG = "tca-adaptor-vnic-stats-dropped-tx-delta-avg"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_DROPPED_TX_DELTA_MAX = "tca-adaptor-vnic-stats-dropped-tx-delta-max"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_DROPPED_TX_DELTA_MIN = "tca-adaptor-vnic-stats-dropped-tx-delta-min"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_ERRORS_RX_DELTA = "tca-adaptor-vnic-stats-errors-rx-delta"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_ERRORS_RX_DELTA_AVG = "tca-adaptor-vnic-stats-errors-rx-delta-avg"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_ERRORS_RX_DELTA_MAX = "tca-adaptor-vnic-stats-errors-rx-delta-max"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_ERRORS_RX_DELTA_MIN = "tca-adaptor-vnic-stats-errors-rx-delta-min"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_ERRORS_TX_DELTA = "tca-adaptor-vnic-stats-errors-tx-delta"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_ERRORS_TX_DELTA_AVG = "tca-adaptor-vnic-stats-errors-tx-delta-avg"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_ERRORS_TX_DELTA_MAX = "tca-adaptor-vnic-stats-errors-tx-delta-max"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_ERRORS_TX_DELTA_MIN = "tca-adaptor-vnic-stats-errors-tx-delta-min"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_PACKETS_RX_DELTA = "tca-adaptor-vnic-stats-packets-rx-delta"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_PACKETS_RX_DELTA_AVG = "tca-adaptor-vnic-stats-packets-rx-delta-avg"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_PACKETS_RX_DELTA_MAX = "tca-adaptor-vnic-stats-packets-rx-delta-max"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_PACKETS_RX_DELTA_MIN = "tca-adaptor-vnic-stats-packets-rx-delta-min"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_PACKETS_TX_DELTA = "tca-adaptor-vnic-stats-packets-tx-delta"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_PACKETS_TX_DELTA_AVG = "tca-adaptor-vnic-stats-packets-tx-delta-avg"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_PACKETS_TX_DELTA_MAX = "tca-adaptor-vnic-stats-packets-tx-delta-max"
	CONST_RULE_TCA_ADAPTOR_VNIC_STATS_PACKETS_TX_DELTA_MIN = "tca-adaptor-vnic-stats-packets-tx-delta-min"
	CONST_RULE_TCA_COMPUTE_IOHUB_ENV_STATS_TEMPERATURE = "tca-compute-iohub-env-stats-temperature"
	CONST_RULE_TCA_COMPUTE_IOHUB_ENV_STATS_TEMPERATURE_AVG = "tca-compute-iohub-env-stats-temperature-avg"
	CONST_RULE_TCA_COMPUTE_IOHUB_ENV_STATS_TEMPERATURE_MAX = "tca-compute-iohub-env-stats-temperature-max"
	CONST_RULE_TCA_COMPUTE_IOHUB_ENV_STATS_TEMPERATURE_MIN = "tca-compute-iohub-env-stats-temperature-min"
	CONST_RULE_TCA_COMPUTE_MB_POWER_STATS_CONSUMED_POWER = "tca-compute-mb-power-stats-consumed-power"
	CONST_RULE_TCA_COMPUTE_MB_POWER_STATS_CONSUMED_POWER_AVG = "tca-compute-mb-power-stats-consumed-power-avg"
	CONST_RULE_TCA_COMPUTE_MB_POWER_STATS_CONSUMED_POWER_MAX = "tca-compute-mb-power-stats-consumed-power-max"
	CONST_RULE_TCA_COMPUTE_MB_POWER_STATS_CONSUMED_POWER_MIN = "tca-compute-mb-power-stats-consumed-power-min"
	CONST_RULE_TCA_COMPUTE_MB_POWER_STATS_INPUT_CURRENT = "tca-compute-mb-power-stats-input-current"
	CONST_RULE_TCA_COMPUTE_MB_POWER_STATS_INPUT_CURRENT_AVG = "tca-compute-mb-power-stats-input-current-avg"
	CONST_RULE_TCA_COMPUTE_MB_POWER_STATS_INPUT_CURRENT_MAX = "tca-compute-mb-power-stats-input-current-max"
	CONST_RULE_TCA_COMPUTE_MB_POWER_STATS_INPUT_CURRENT_MIN = "tca-compute-mb-power-stats-input-current-min"
	CONST_RULE_TCA_COMPUTE_MB_POWER_STATS_INPUT_VOLTAGE = "tca-compute-mb-power-stats-input-voltage"
	CONST_RULE_TCA_COMPUTE_MB_POWER_STATS_INPUT_VOLTAGE_AVG = "tca-compute-mb-power-stats-input-voltage-avg"
	CONST_RULE_TCA_COMPUTE_MB_POWER_STATS_INPUT_VOLTAGE_MAX = "tca-compute-mb-power-stats-input-voltage-max"
	CONST_RULE_TCA_COMPUTE_MB_POWER_STATS_INPUT_VOLTAGE_MIN = "tca-compute-mb-power-stats-input-voltage-min"
	CONST_RULE_TCA_COMPUTE_MB_TEMP_STATS_FM_TEMP_SEN_IO = "tca-compute-mb-temp-stats-fm-temp-sen-io"
	CONST_RULE_TCA_COMPUTE_MB_TEMP_STATS_FM_TEMP_SEN_IO_AVG = "tca-compute-mb-temp-stats-fm-temp-sen-io-avg"
	CONST_RULE_TCA_COMPUTE_MB_TEMP_STATS_FM_TEMP_SEN_IO_MAX = "tca-compute-mb-temp-stats-fm-temp-sen-io-max"
	CONST_RULE_TCA_COMPUTE_MB_TEMP_STATS_FM_TEMP_SEN_IO_MIN = "tca-compute-mb-temp-stats-fm-temp-sen-io-min"
	CONST_RULE_TCA_COMPUTE_MB_TEMP_STATS_FM_TEMP_SEN_REAR = "tca-compute-mb-temp-stats-fm-temp-sen-rear"
	CONST_RULE_TCA_COMPUTE_MB_TEMP_STATS_FM_TEMP_SEN_REAR_AVG = "tca-compute-mb-temp-stats-fm-temp-sen-rear-avg"
	CONST_RULE_TCA_COMPUTE_MB_TEMP_STATS_FM_TEMP_SEN_REAR_MAX = "tca-compute-mb-temp-stats-fm-temp-sen-rear-max"
	CONST_RULE_TCA_COMPUTE_MB_TEMP_STATS_FM_TEMP_SEN_REAR_MIN = "tca-compute-mb-temp-stats-fm-temp-sen-rear-min"
	CONST_RULE_TCA_COMPUTE_MB_TEMP_STATS_FM_TEMP_SEN_REARL = "tca-compute-mb-temp-stats-fm-temp-sen-rearl"
	CONST_RULE_TCA_COMPUTE_MB_TEMP_STATS_FM_TEMP_SEN_REARLAVG = "tca-compute-mb-temp-stats-fm-temp-sen-rearlavg"
	CONST_RULE_TCA_COMPUTE_MB_TEMP_STATS_FM_TEMP_SEN_REARLMAX = "tca-compute-mb-temp-stats-fm-temp-sen-rearlmax"
	CONST_RULE_TCA_COMPUTE_MB_TEMP_STATS_FM_TEMP_SEN_REARLMIN = "tca-compute-mb-temp-stats-fm-temp-sen-rearlmin"
	CONST_RULE_TCA_COMPUTE_MB_TEMP_STATS_FM_TEMP_SEN_REARR = "tca-compute-mb-temp-stats-fm-temp-sen-rearr"
	CONST_RULE_TCA_COMPUTE_MB_TEMP_STATS_FM_TEMP_SEN_REARRAVG = "tca-compute-mb-temp-stats-fm-temp-sen-rearravg"
	CONST_RULE_TCA_COMPUTE_MB_TEMP_STATS_FM_TEMP_SEN_REARRMAX = "tca-compute-mb-temp-stats-fm-temp-sen-rearrmax"
	CONST_RULE_TCA_COMPUTE_MB_TEMP_STATS_FM_TEMP_SEN_REARRMIN = "tca-compute-mb-temp-stats-fm-temp-sen-rearrmin"
	CONST_RULE_TCA_COMPUTE_PCIE_FATAL_COMPLETION_STATS_ABORT_ERRORS = "tca-compute-pcie-fatal-completion-stats-abort-errors"
	CONST_RULE_TCA_COMPUTE_PCIE_FATAL_COMPLETION_STATS_TIMEOUT_ERRORS = "tca-compute-pcie-fatal-completion-stats-timeout-errors"
	CONST_RULE_TCA_COMPUTE_PCIE_FATAL_COMPLETION_STATS_UNEXPECTED_ERRORS = "tca-compute-pcie-fatal-completion-stats-unexpected-errors"
	CONST_RULE_TCA_COMPUTE_PCIE_FATAL_PROTOCOL_STATS_DLLP_ERRORS = "tca-compute-pcie-fatal-protocol-stats-dllp-errors"
	CONST_RULE_TCA_COMPUTE_PCIE_FATAL_PROTOCOL_STATS_FLOW_CONTROL_ERRORS = "tca-compute-pcie-fatal-protocol-stats-flow-control-errors"
	CONST_RULE_TCA_COMPUTE_PCIE_FATAL_RECEIVE_STATS_BUFFER_OVERFLOW_ERRORS = "tca-compute-pcie-fatal-receive-stats-buffer-overflow-errors"
	CONST_RULE_TCA_COMPUTE_PCIE_FATAL_RECEIVE_STATS_ERR_FATAL_ERRORS = "tca-compute-pcie-fatal-receive-stats-err-fatal-errors"
	CONST_RULE_TCA_COMPUTE_PCIE_FATAL_RECEIVE_STATS_ERR_NON_FATAL_ERRORS = "tca-compute-pcie-fatal-receive-stats-err-non-fatal-errors"
	CONST_RULE_TCA_COMPUTE_PCIE_FATAL_RECEIVE_STATS_UNSUPPORTED_REQUEST_ERRORS = "tca-compute-pcie-fatal-receive-stats-unsupported-request-errors"
	CONST_RULE_TCA_COMPUTE_PCIE_FATAL_STATS_ACS_VIOLATION_ERRORS = "tca-compute-pcie-fatal-stats-acs-violation-errors"
	CONST_RULE_TCA_COMPUTE_PCIE_FATAL_STATS_MALFORMEDTLPERRORS = "tca-compute-pcie-fatal-stats-malformedtlperrors"
	CONST_RULE_TCA_COMPUTE_PCIE_FATAL_STATS_POISONEDTLPERRORS = "tca-compute-pcie-fatal-stats-poisonedtlperrors"
	CONST_RULE_TCA_COMPUTE_PCIE_FATAL_STATS_SURPRISE_LINK_DOWN_ERRORS = "tca-compute-pcie-fatal-stats-surprise-link-down-errors"
	CONST_RULE_TCA_COMPUTE_RACK_UNIT_MB_TEMP_STATS_AMBIENT_TEMP = "tca-compute-rack-unit-mb-temp-stats-ambient-temp"
	CONST_RULE_TCA_COMPUTE_RACK_UNIT_MB_TEMP_STATS_AMBIENT_TEMP_AVG = "tca-compute-rack-unit-mb-temp-stats-ambient-temp-avg"
	CONST_RULE_TCA_COMPUTE_RACK_UNIT_MB_TEMP_STATS_AMBIENT_TEMP_MAX = "tca-compute-rack-unit-mb-temp-stats-ambient-temp-max"
	CONST_RULE_TCA_COMPUTE_RACK_UNIT_MB_TEMP_STATS_AMBIENT_TEMP_MIN = "tca-compute-rack-unit-mb-temp-stats-ambient-temp-min"
	CONST_RULE_TCA_COMPUTE_RACK_UNIT_MB_TEMP_STATS_FRONT_TEMP = "tca-compute-rack-unit-mb-temp-stats-front-temp"
	CONST_RULE_TCA_COMPUTE_RACK_UNIT_MB_TEMP_STATS_FRONT_TEMP_AVG = "tca-compute-rack-unit-mb-temp-stats-front-temp-avg"
	CONST_RULE_TCA_COMPUTE_RACK_UNIT_MB_TEMP_STATS_FRONT_TEMP_MAX = "tca-compute-rack-unit-mb-temp-stats-front-temp-max"
	CONST_RULE_TCA_COMPUTE_RACK_UNIT_MB_TEMP_STATS_FRONT_TEMP_MIN = "tca-compute-rack-unit-mb-temp-stats-front-temp-min"
	CONST_RULE_TCA_COMPUTE_RACK_UNIT_MB_TEMP_STATS_IOH1_TEMP = "tca-compute-rack-unit-mb-temp-stats-ioh1-temp"
	CONST_RULE_TCA_COMPUTE_RACK_UNIT_MB_TEMP_STATS_IOH1_TEMP_AVG = "tca-compute-rack-unit-mb-temp-stats-ioh1-temp-avg"
	CONST_RULE_TCA_COMPUTE_RACK_UNIT_MB_TEMP_STATS_IOH1_TEMP_MAX = "tca-compute-rack-unit-mb-temp-stats-ioh1-temp-max"
	CONST_RULE_TCA_COMPUTE_RACK_UNIT_MB_TEMP_STATS_IOH1_TEMP_MIN = "tca-compute-rack-unit-mb-temp-stats-ioh1-temp-min"
	CONST_RULE_TCA_COMPUTE_RACK_UNIT_MB_TEMP_STATS_IOH2_TEMP = "tca-compute-rack-unit-mb-temp-stats-ioh2-temp"
	CONST_RULE_TCA_COMPUTE_RACK_UNIT_MB_TEMP_STATS_IOH2_TEMP_AVG = "tca-compute-rack-unit-mb-temp-stats-ioh2-temp-avg"
	CONST_RULE_TCA_COMPUTE_RACK_UNIT_MB_TEMP_STATS_IOH2_TEMP_MAX = "tca-compute-rack-unit-mb-temp-stats-ioh2-temp-max"
	CONST_RULE_TCA_COMPUTE_RACK_UNIT_MB_TEMP_STATS_IOH2_TEMP_MIN = "tca-compute-rack-unit-mb-temp-stats-ioh2-temp-min"
	CONST_RULE_TCA_COMPUTE_RACK_UNIT_MB_TEMP_STATS_REAR_TEMP = "tca-compute-rack-unit-mb-temp-stats-rear-temp"
	CONST_RULE_TCA_COMPUTE_RACK_UNIT_MB_TEMP_STATS_REAR_TEMP_AVG = "tca-compute-rack-unit-mb-temp-stats-rear-temp-avg"
	CONST_RULE_TCA_COMPUTE_RACK_UNIT_MB_TEMP_STATS_REAR_TEMP_MAX = "tca-compute-rack-unit-mb-temp-stats-rear-temp-max"
	CONST_RULE_TCA_COMPUTE_RACK_UNIT_MB_TEMP_STATS_REAR_TEMP_MIN = "tca-compute-rack-unit-mb-temp-stats-rear-temp-min"
	CONST_RULE_TCA_EQUIPMENT_CHASSIS_STATS_INPUT_POWER = "tca-equipment-chassis-stats-input-power"
	CONST_RULE_TCA_EQUIPMENT_CHASSIS_STATS_INPUT_POWER_AVG = "tca-equipment-chassis-stats-input-power-avg"
	CONST_RULE_TCA_EQUIPMENT_CHASSIS_STATS_INPUT_POWER_MAX = "tca-equipment-chassis-stats-input-power-max"
	CONST_RULE_TCA_EQUIPMENT_CHASSIS_STATS_INPUT_POWER_MIN = "tca-equipment-chassis-stats-input-power-min"
	CONST_RULE_TCA_EQUIPMENT_CHASSIS_STATS_OUTPUT_POWER = "tca-equipment-chassis-stats-output-power"
	CONST_RULE_TCA_EQUIPMENT_CHASSIS_STATS_OUTPUT_POWER_AVG = "tca-equipment-chassis-stats-output-power-avg"
	CONST_RULE_TCA_EQUIPMENT_CHASSIS_STATS_OUTPUT_POWER_MAX = "tca-equipment-chassis-stats-output-power-max"
	CONST_RULE_TCA_EQUIPMENT_CHASSIS_STATS_OUTPUT_POWER_MIN = "tca-equipment-chassis-stats-output-power-min"
	CONST_RULE_TCA_EQUIPMENT_FAN_MODULE_STATS_AMBIENT_TEMP = "tca-equipment-fan-module-stats-ambient-temp"
	CONST_RULE_TCA_EQUIPMENT_FAN_MODULE_STATS_AMBIENT_TEMP_AVG = "tca-equipment-fan-module-stats-ambient-temp-avg"
	CONST_RULE_TCA_EQUIPMENT_FAN_MODULE_STATS_AMBIENT_TEMP_MAX = "tca-equipment-fan-module-stats-ambient-temp-max"
	CONST_RULE_TCA_EQUIPMENT_FAN_MODULE_STATS_AMBIENT_TEMP_MIN = "tca-equipment-fan-module-stats-ambient-temp-min"
	CONST_RULE_TCA_EQUIPMENT_FAN_STATS_SPEED = "tca-equipment-fan-stats-speed"
	CONST_RULE_TCA_EQUIPMENT_FAN_STATS_SPEED_AVG = "tca-equipment-fan-stats-speed-avg"
	CONST_RULE_TCA_EQUIPMENT_FAN_STATS_SPEED_MAX = "tca-equipment-fan-stats-speed-max"
	CONST_RULE_TCA_EQUIPMENT_FAN_STATS_SPEED_MIN = "tca-equipment-fan-stats-speed-min"
	CONST_RULE_TCA_EQUIPMENT_FEX_ENV_STATS_DIE1 = "tca-equipment-fex-env-stats-die1"
	CONST_RULE_TCA_EQUIPMENT_FEX_ENV_STATS_DIE1_AVG = "tca-equipment-fex-env-stats-die1-avg"
	CONST_RULE_TCA_EQUIPMENT_FEX_ENV_STATS_DIE1_MAX = "tca-equipment-fex-env-stats-die1-max"
	CONST_RULE_TCA_EQUIPMENT_FEX_ENV_STATS_DIE1_MIN = "tca-equipment-fex-env-stats-die1-min"
	CONST_RULE_TCA_EQUIPMENT_FEX_ENV_STATS_INLET = "tca-equipment-fex-env-stats-inlet"
	CONST_RULE_TCA_EQUIPMENT_FEX_ENV_STATS_INLET_AVG = "tca-equipment-fex-env-stats-inlet-avg"
	CONST_RULE_TCA_EQUIPMENT_FEX_ENV_STATS_INLET_MAX = "tca-equipment-fex-env-stats-inlet-max"
	CONST_RULE_TCA_EQUIPMENT_FEX_ENV_STATS_INLET_MIN = "tca-equipment-fex-env-stats-inlet-min"
	CONST_RULE_TCA_EQUIPMENT_FEX_ENV_STATS_INLET1 = "tca-equipment-fex-env-stats-inlet1"
	CONST_RULE_TCA_EQUIPMENT_FEX_ENV_STATS_INLET1_AVG = "tca-equipment-fex-env-stats-inlet1-avg"
	CONST_RULE_TCA_EQUIPMENT_FEX_ENV_STATS_INLET1_MAX = "tca-equipment-fex-env-stats-inlet1-max"
	CONST_RULE_TCA_EQUIPMENT_FEX_ENV_STATS_INLET1_MIN = "tca-equipment-fex-env-stats-inlet1-min"
	CONST_RULE_TCA_EQUIPMENT_FEX_ENV_STATS_OUTLET1 = "tca-equipment-fex-env-stats-outlet1"
	CONST_RULE_TCA_EQUIPMENT_FEX_ENV_STATS_OUTLET1_AVG = "tca-equipment-fex-env-stats-outlet1-avg"
	CONST_RULE_TCA_EQUIPMENT_FEX_ENV_STATS_OUTLET1_MAX = "tca-equipment-fex-env-stats-outlet1-max"
	CONST_RULE_TCA_EQUIPMENT_FEX_ENV_STATS_OUTLET1_MIN = "tca-equipment-fex-env-stats-outlet1-min"
	CONST_RULE_TCA_EQUIPMENT_FEX_ENV_STATS_OUTLET2 = "tca-equipment-fex-env-stats-outlet2"
	CONST_RULE_TCA_EQUIPMENT_FEX_ENV_STATS_OUTLET2_AVG = "tca-equipment-fex-env-stats-outlet2-avg"
	CONST_RULE_TCA_EQUIPMENT_FEX_ENV_STATS_OUTLET2_MAX = "tca-equipment-fex-env-stats-outlet2-max"
	CONST_RULE_TCA_EQUIPMENT_FEX_ENV_STATS_OUTLET2_MIN = "tca-equipment-fex-env-stats-outlet2-min"
	CONST_RULE_TCA_EQUIPMENT_FEX_POWER_SUMMARY_AVAILABLE_POWER = "tca-equipment-fex-power-summary-available-power"
	CONST_RULE_TCA_EQUIPMENT_FEX_POWER_SUMMARY_AVAILABLE_POWER_AVG = "tca-equipment-fex-power-summary-available-power-avg"
	CONST_RULE_TCA_EQUIPMENT_FEX_POWER_SUMMARY_AVAILABLE_POWER_MAX = "tca-equipment-fex-power-summary-available-power-max"
	CONST_RULE_TCA_EQUIPMENT_FEX_POWER_SUMMARY_AVAILABLE_POWER_MIN = "tca-equipment-fex-power-summary-available-power-min"
	CONST_RULE_TCA_EQUIPMENT_FEX_POWER_SUMMARY_MODULE_POWER = "tca-equipment-fex-power-summary-module-power"
	CONST_RULE_TCA_EQUIPMENT_FEX_POWER_SUMMARY_MODULE_POWER_AVG = "tca-equipment-fex-power-summary-module-power-avg"
	CONST_RULE_TCA_EQUIPMENT_FEX_POWER_SUMMARY_MODULE_POWER_MAX = "tca-equipment-fex-power-summary-module-power-max"
	CONST_RULE_TCA_EQUIPMENT_FEX_POWER_SUMMARY_MODULE_POWER_MIN = "tca-equipment-fex-power-summary-module-power-min"
	CONST_RULE_TCA_EQUIPMENT_FEX_POWER_SUMMARY_RESERVED_POWER = "tca-equipment-fex-power-summary-reserved-power"
	CONST_RULE_TCA_EQUIPMENT_FEX_POWER_SUMMARY_RESERVED_POWER_AVG = "tca-equipment-fex-power-summary-reserved-power-avg"
	CONST_RULE_TCA_EQUIPMENT_FEX_POWER_SUMMARY_RESERVED_POWER_MAX = "tca-equipment-fex-power-summary-reserved-power-max"
	CONST_RULE_TCA_EQUIPMENT_FEX_POWER_SUMMARY_RESERVED_POWER_MIN = "tca-equipment-fex-power-summary-reserved-power-min"
	CONST_RULE_TCA_EQUIPMENT_FEX_POWER_SUMMARY_TOTAL_POWER = "tca-equipment-fex-power-summary-total-power"
	CONST_RULE_TCA_EQUIPMENT_FEX_POWER_SUMMARY_TOTAL_POWER_AVG = "tca-equipment-fex-power-summary-total-power-avg"
	CONST_RULE_TCA_EQUIPMENT_FEX_POWER_SUMMARY_TOTAL_POWER_MAX = "tca-equipment-fex-power-summary-total-power-max"
	CONST_RULE_TCA_EQUIPMENT_FEX_POWER_SUMMARY_TOTAL_POWER_MIN = "tca-equipment-fex-power-summary-total-power-min"
	CONST_RULE_TCA_EQUIPMENT_FEX_PSU_INPUT_STATS_CURRENT = "tca-equipment-fex-psu-input-stats-current"
	CONST_RULE_TCA_EQUIPMENT_FEX_PSU_INPUT_STATS_CURRENT_AVG = "tca-equipment-fex-psu-input-stats-current-avg"
	CONST_RULE_TCA_EQUIPMENT_FEX_PSU_INPUT_STATS_CURRENT_MAX = "tca-equipment-fex-psu-input-stats-current-max"
	CONST_RULE_TCA_EQUIPMENT_FEX_PSU_INPUT_STATS_CURRENT_MIN = "tca-equipment-fex-psu-input-stats-current-min"
	CONST_RULE_TCA_EQUIPMENT_FEX_PSU_INPUT_STATS_POWER = "tca-equipment-fex-psu-input-stats-power"
	CONST_RULE_TCA_EQUIPMENT_FEX_PSU_INPUT_STATS_POWER_AVG = "tca-equipment-fex-psu-input-stats-power-avg"
	CONST_RULE_TCA_EQUIPMENT_FEX_PSU_INPUT_STATS_POWER_MAX = "tca-equipment-fex-psu-input-stats-power-max"
	CONST_RULE_TCA_EQUIPMENT_FEX_PSU_INPUT_STATS_POWER_MIN = "tca-equipment-fex-psu-input-stats-power-min"
	CONST_RULE_TCA_EQUIPMENT_FEX_PSU_INPUT_STATS_VOLTAGE = "tca-equipment-fex-psu-input-stats-voltage"
	CONST_RULE_TCA_EQUIPMENT_FEX_PSU_INPUT_STATS_VOLTAGE_AVG = "tca-equipment-fex-psu-input-stats-voltage-avg"
	CONST_RULE_TCA_EQUIPMENT_FEX_PSU_INPUT_STATS_VOLTAGE_MAX = "tca-equipment-fex-psu-input-stats-voltage-max"
	CONST_RULE_TCA_EQUIPMENT_FEX_PSU_INPUT_STATS_VOLTAGE_MIN = "tca-equipment-fex-psu-input-stats-voltage-min"
	CONST_RULE_TCA_EQUIPMENT_IOCARD_STATS_AMBIENT_TEMP = "tca-equipment-iocard-stats-ambient-temp"
	CONST_RULE_TCA_EQUIPMENT_IOCARD_STATS_AMBIENT_TEMP_AVG = "tca-equipment-iocard-stats-ambient-temp-avg"
	CONST_RULE_TCA_EQUIPMENT_IOCARD_STATS_AMBIENT_TEMP_MAX = "tca-equipment-iocard-stats-ambient-temp-max"
	CONST_RULE_TCA_EQUIPMENT_IOCARD_STATS_AMBIENT_TEMP_MIN = "tca-equipment-iocard-stats-ambient-temp-min"
	CONST_RULE_TCA_EQUIPMENT_IOCARD_STATS_TEMP = "tca-equipment-iocard-stats-temp"
	CONST_RULE_TCA_EQUIPMENT_IOCARD_STATS_TEMP_AVG = "tca-equipment-iocard-stats-temp-avg"
	CONST_RULE_TCA_EQUIPMENT_IOCARD_STATS_TEMP_MAX = "tca-equipment-iocard-stats-temp-max"
	CONST_RULE_TCA_EQUIPMENT_IOCARD_STATS_TEMP_MIN = "tca-equipment-iocard-stats-temp-min"
	CONST_RULE_TCA_EQUIPMENT_NETWORK_ELEMENT_FAN_STATS_DRIVE_PERCENTAGE = "tca-equipment-network-element-fan-stats-drive-percentage"
	CONST_RULE_TCA_EQUIPMENT_NETWORK_ELEMENT_FAN_STATS_DRIVE_PERCENTAGE_AVG = "tca-equipment-network-element-fan-stats-drive-percentage-avg"
	CONST_RULE_TCA_EQUIPMENT_NETWORK_ELEMENT_FAN_STATS_DRIVE_PERCENTAGE_MAX = "tca-equipment-network-element-fan-stats-drive-percentage-max"
	CONST_RULE_TCA_EQUIPMENT_NETWORK_ELEMENT_FAN_STATS_DRIVE_PERCENTAGE_MIN = "tca-equipment-network-element-fan-stats-drive-percentage-min"
	CONST_RULE_TCA_EQUIPMENT_NETWORK_ELEMENT_FAN_STATS_SPEED = "tca-equipment-network-element-fan-stats-speed"
	CONST_RULE_TCA_EQUIPMENT_NETWORK_ELEMENT_FAN_STATS_SPEED_AVG = "tca-equipment-network-element-fan-stats-speed-avg"
	CONST_RULE_TCA_EQUIPMENT_NETWORK_ELEMENT_FAN_STATS_SPEED_MAX = "tca-equipment-network-element-fan-stats-speed-max"
	CONST_RULE_TCA_EQUIPMENT_NETWORK_ELEMENT_FAN_STATS_SPEED_MIN = "tca-equipment-network-element-fan-stats-speed-min"
	CONST_RULE_TCA_EQUIPMENT_PSU_INPUT_STATS_CURRENT = "tca-equipment-psu-input-stats-current"
	CONST_RULE_TCA_EQUIPMENT_PSU_INPUT_STATS_CURRENT_AVG = "tca-equipment-psu-input-stats-current-avg"
	CONST_RULE_TCA_EQUIPMENT_PSU_INPUT_STATS_CURRENT_MAX = "tca-equipment-psu-input-stats-current-max"
	CONST_RULE_TCA_EQUIPMENT_PSU_INPUT_STATS_CURRENT_MIN = "tca-equipment-psu-input-stats-current-min"
	CONST_RULE_TCA_EQUIPMENT_PSU_INPUT_STATS_POWER = "tca-equipment-psu-input-stats-power"
	CONST_RULE_TCA_EQUIPMENT_PSU_INPUT_STATS_POWER_AVG = "tca-equipment-psu-input-stats-power-avg"
	CONST_RULE_TCA_EQUIPMENT_PSU_INPUT_STATS_POWER_MAX = "tca-equipment-psu-input-stats-power-max"
	CONST_RULE_TCA_EQUIPMENT_PSU_INPUT_STATS_POWER_MIN = "tca-equipment-psu-input-stats-power-min"
	CONST_RULE_TCA_EQUIPMENT_PSU_INPUT_STATS_VOLTAGE = "tca-equipment-psu-input-stats-voltage"
	CONST_RULE_TCA_EQUIPMENT_PSU_INPUT_STATS_VOLTAGE_AVG = "tca-equipment-psu-input-stats-voltage-avg"
	CONST_RULE_TCA_EQUIPMENT_PSU_INPUT_STATS_VOLTAGE_MAX = "tca-equipment-psu-input-stats-voltage-max"
	CONST_RULE_TCA_EQUIPMENT_PSU_INPUT_STATS_VOLTAGE_MIN = "tca-equipment-psu-input-stats-voltage-min"
	CONST_RULE_TCA_EQUIPMENT_PSU_OUTPUT_STATS_CURRENT = "tca-equipment-psu-output-stats-current"
	CONST_RULE_TCA_EQUIPMENT_PSU_OUTPUT_STATS_CURRENT_AVG = "tca-equipment-psu-output-stats-current-avg"
	CONST_RULE_TCA_EQUIPMENT_PSU_OUTPUT_STATS_CURRENT_MAX = "tca-equipment-psu-output-stats-current-max"
	CONST_RULE_TCA_EQUIPMENT_PSU_OUTPUT_STATS_CURRENT_MIN = "tca-equipment-psu-output-stats-current-min"
	CONST_RULE_TCA_EQUIPMENT_PSU_OUTPUT_STATS_POWER = "tca-equipment-psu-output-stats-power"
	CONST_RULE_TCA_EQUIPMENT_PSU_OUTPUT_STATS_POWER_AVG = "tca-equipment-psu-output-stats-power-avg"
	CONST_RULE_TCA_EQUIPMENT_PSU_OUTPUT_STATS_POWER_MAX = "tca-equipment-psu-output-stats-power-max"
	CONST_RULE_TCA_EQUIPMENT_PSU_OUTPUT_STATS_POWER_MIN = "tca-equipment-psu-output-stats-power-min"
	CONST_RULE_TCA_EQUIPMENT_PSU_OUTPUT_STATS_VOLTAGE = "tca-equipment-psu-output-stats-voltage"
	CONST_RULE_TCA_EQUIPMENT_PSU_OUTPUT_STATS_VOLTAGE_AVG = "tca-equipment-psu-output-stats-voltage-avg"
	CONST_RULE_TCA_EQUIPMENT_PSU_OUTPUT_STATS_VOLTAGE_MAX = "tca-equipment-psu-output-stats-voltage-max"
	CONST_RULE_TCA_EQUIPMENT_PSU_OUTPUT_STATS_VOLTAGE_MIN = "tca-equipment-psu-output-stats-voltage-min"
	CONST_RULE_TCA_EQUIPMENT_PSU_STATS_AMBIENT_TEMP = "tca-equipment-psu-stats-ambient-temp"
	CONST_RULE_TCA_EQUIPMENT_PSU_STATS_AMBIENT_TEMP_AVG = "tca-equipment-psu-stats-ambient-temp-avg"
	CONST_RULE_TCA_EQUIPMENT_PSU_STATS_AMBIENT_TEMP_MAX = "tca-equipment-psu-stats-ambient-temp-max"
	CONST_RULE_TCA_EQUIPMENT_PSU_STATS_AMBIENT_TEMP_MIN = "tca-equipment-psu-stats-ambient-temp-min"
	CONST_RULE_TCA_EQUIPMENT_PSU_STATS_INPUT210V = "tca-equipment-psu-stats-input210v"
	CONST_RULE_TCA_EQUIPMENT_PSU_STATS_INPUT210V_AVG = "tca-equipment-psu-stats-input210v-avg"
	CONST_RULE_TCA_EQUIPMENT_PSU_STATS_INPUT210V_MAX = "tca-equipment-psu-stats-input210v-max"
	CONST_RULE_TCA_EQUIPMENT_PSU_STATS_INPUT210V_MIN = "tca-equipment-psu-stats-input210v-min"
	CONST_RULE_TCA_EQUIPMENT_PSU_STATS_OUTPUT_CURRENT = "tca-equipment-psu-stats-output-current"
	CONST_RULE_TCA_EQUIPMENT_PSU_STATS_OUTPUT_CURRENT_AVG = "tca-equipment-psu-stats-output-current-avg"
	CONST_RULE_TCA_EQUIPMENT_PSU_STATS_OUTPUT_CURRENT_MAX = "tca-equipment-psu-stats-output-current-max"
	CONST_RULE_TCA_EQUIPMENT_PSU_STATS_OUTPUT_CURRENT_MIN = "tca-equipment-psu-stats-output-current-min"
	CONST_RULE_TCA_EQUIPMENT_PSU_STATS_OUTPUT_POWER = "tca-equipment-psu-stats-output-power"
	CONST_RULE_TCA_EQUIPMENT_PSU_STATS_OUTPUT_POWER_AVG = "tca-equipment-psu-stats-output-power-avg"
	CONST_RULE_TCA_EQUIPMENT_PSU_STATS_OUTPUT_POWER_MAX = "tca-equipment-psu-stats-output-power-max"
	CONST_RULE_TCA_EQUIPMENT_PSU_STATS_OUTPUT_POWER_MIN = "tca-equipment-psu-stats-output-power-min"
	CONST_RULE_TCA_EQUIPMENT_PSU_STATS_OUTPUT12V = "tca-equipment-psu-stats-output12v"
	CONST_RULE_TCA_EQUIPMENT_PSU_STATS_OUTPUT12V_AVG = "tca-equipment-psu-stats-output12v-avg"
	CONST_RULE_TCA_EQUIPMENT_PSU_STATS_OUTPUT12V_MAX = "tca-equipment-psu-stats-output12v-max"
	CONST_RULE_TCA_EQUIPMENT_PSU_STATS_OUTPUT12V_MIN = "tca-equipment-psu-stats-output12v-min"
	CONST_RULE_TCA_EQUIPMENT_PSU_STATS_OUTPUT3V3 = "tca-equipment-psu-stats-output3v3"
	CONST_RULE_TCA_EQUIPMENT_PSU_STATS_OUTPUT3V3_AVG = "tca-equipment-psu-stats-output3v3-avg"
	CONST_RULE_TCA_EQUIPMENT_PSU_STATS_OUTPUT3V3_MAX = "tca-equipment-psu-stats-output3v3-max"
	CONST_RULE_TCA_EQUIPMENT_PSU_STATS_OUTPUT3V3_MIN = "tca-equipment-psu-stats-output3v3-min"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_FAN_STATS_SPEED = "tca-equipment-rack-unit-fan-stats-speed"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_FAN_STATS_SPEED_AVG = "tca-equipment-rack-unit-fan-stats-speed-avg"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_FAN_STATS_SPEED_MAX = "tca-equipment-rack-unit-fan-stats-speed-max"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_FAN_STATS_SPEED_MIN = "tca-equipment-rack-unit-fan-stats-speed-min"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_PSU_STATS_AMBIENT_TEMP = "tca-equipment-rack-unit-psu-stats-ambient-temp"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_PSU_STATS_AMBIENT_TEMP_AVG = "tca-equipment-rack-unit-psu-stats-ambient-temp-avg"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_PSU_STATS_AMBIENT_TEMP_MAX = "tca-equipment-rack-unit-psu-stats-ambient-temp-max"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_PSU_STATS_AMBIENT_TEMP_MIN = "tca-equipment-rack-unit-psu-stats-ambient-temp-min"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_PSU_STATS_INPUT_POWER = "tca-equipment-rack-unit-psu-stats-input-power"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_PSU_STATS_INPUT_POWER_AVG = "tca-equipment-rack-unit-psu-stats-input-power-avg"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_PSU_STATS_INPUT_POWER_MAX = "tca-equipment-rack-unit-psu-stats-input-power-max"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_PSU_STATS_INPUT_POWER_MIN = "tca-equipment-rack-unit-psu-stats-input-power-min"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_PSU_STATS_INPUT_VOLTAGE = "tca-equipment-rack-unit-psu-stats-input-voltage"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_PSU_STATS_INPUT_VOLTAGE_AVG = "tca-equipment-rack-unit-psu-stats-input-voltage-avg"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_PSU_STATS_INPUT_VOLTAGE_MAX = "tca-equipment-rack-unit-psu-stats-input-voltage-max"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_PSU_STATS_INPUT_VOLTAGE_MIN = "tca-equipment-rack-unit-psu-stats-input-voltage-min"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_PSU_STATS_OUTPUT_CURRENT = "tca-equipment-rack-unit-psu-stats-output-current"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_PSU_STATS_OUTPUT_CURRENT_AVG = "tca-equipment-rack-unit-psu-stats-output-current-avg"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_PSU_STATS_OUTPUT_CURRENT_MAX = "tca-equipment-rack-unit-psu-stats-output-current-max"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_PSU_STATS_OUTPUT_CURRENT_MIN = "tca-equipment-rack-unit-psu-stats-output-current-min"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_PSU_STATS_OUTPUT_POWER = "tca-equipment-rack-unit-psu-stats-output-power"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_PSU_STATS_OUTPUT_POWER_AVG = "tca-equipment-rack-unit-psu-stats-output-power-avg"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_PSU_STATS_OUTPUT_POWER_MAX = "tca-equipment-rack-unit-psu-stats-output-power-max"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_PSU_STATS_OUTPUT_POWER_MIN = "tca-equipment-rack-unit-psu-stats-output-power-min"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_PSU_STATS_OUTPUT_VOLTAGE = "tca-equipment-rack-unit-psu-stats-output-voltage"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_PSU_STATS_OUTPUT_VOLTAGE_AVG = "tca-equipment-rack-unit-psu-stats-output-voltage-avg"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_PSU_STATS_OUTPUT_VOLTAGE_MAX = "tca-equipment-rack-unit-psu-stats-output-voltage-max"
	CONST_RULE_TCA_EQUIPMENT_RACK_UNIT_PSU_STATS_OUTPUT_VOLTAGE_MIN = "tca-equipment-rack-unit-psu-stats-output-voltage-min"
	CONST_RULE_TCA_ETHER_ERR_STATS_ALIGN_DELTA = "tca-ether-err-stats-align-delta"
	CONST_RULE_TCA_ETHER_ERR_STATS_ALIGN_DELTA_AVG = "tca-ether-err-stats-align-delta-avg"
	CONST_RULE_TCA_ETHER_ERR_STATS_ALIGN_DELTA_MAX = "tca-ether-err-stats-align-delta-max"
	CONST_RULE_TCA_ETHER_ERR_STATS_ALIGN_DELTA_MIN = "tca-ether-err-stats-align-delta-min"
	CONST_RULE_TCA_ETHER_ERR_STATS_DEFERRED_TX_DELTA = "tca-ether-err-stats-deferred-tx-delta"
	CONST_RULE_TCA_ETHER_ERR_STATS_DEFERRED_TX_DELTA_AVG = "tca-ether-err-stats-deferred-tx-delta-avg"
	CONST_RULE_TCA_ETHER_ERR_STATS_DEFERRED_TX_DELTA_MAX = "tca-ether-err-stats-deferred-tx-delta-max"
	CONST_RULE_TCA_ETHER_ERR_STATS_DEFERRED_TX_DELTA_MIN = "tca-ether-err-stats-deferred-tx-delta-min"
	CONST_RULE_TCA_ETHER_ERR_STATS_FCS_DELTA = "tca-ether-err-stats-fcs-delta"
	CONST_RULE_TCA_ETHER_ERR_STATS_FCS_DELTA_AVG = "tca-ether-err-stats-fcs-delta-avg"
	CONST_RULE_TCA_ETHER_ERR_STATS_FCS_DELTA_MAX = "tca-ether-err-stats-fcs-delta-max"
	CONST_RULE_TCA_ETHER_ERR_STATS_FCS_DELTA_MIN = "tca-ether-err-stats-fcs-delta-min"
	CONST_RULE_TCA_ETHER_ERR_STATS_INT_MAC_RX_DELTA = "tca-ether-err-stats-int-mac-rx-delta"
	CONST_RULE_TCA_ETHER_ERR_STATS_INT_MAC_RX_DELTA_AVG = "tca-ether-err-stats-int-mac-rx-delta-avg"
	CONST_RULE_TCA_ETHER_ERR_STATS_INT_MAC_RX_DELTA_MAX = "tca-ether-err-stats-int-mac-rx-delta-max"
	CONST_RULE_TCA_ETHER_ERR_STATS_INT_MAC_RX_DELTA_MIN = "tca-ether-err-stats-int-mac-rx-delta-min"
	CONST_RULE_TCA_ETHER_ERR_STATS_INT_MAC_TX_DELTA = "tca-ether-err-stats-int-mac-tx-delta"
	CONST_RULE_TCA_ETHER_ERR_STATS_INT_MAC_TX_DELTA_AVG = "tca-ether-err-stats-int-mac-tx-delta-avg"
	CONST_RULE_TCA_ETHER_ERR_STATS_INT_MAC_TX_DELTA_MAX = "tca-ether-err-stats-int-mac-tx-delta-max"
	CONST_RULE_TCA_ETHER_ERR_STATS_INT_MAC_TX_DELTA_MIN = "tca-ether-err-stats-int-mac-tx-delta-min"
	CONST_RULE_TCA_ETHER_ERR_STATS_OUT_DISCARD_DELTA = "tca-ether-err-stats-out-discard-delta"
	CONST_RULE_TCA_ETHER_ERR_STATS_OUT_DISCARD_DELTA_AVG = "tca-ether-err-stats-out-discard-delta-avg"
	CONST_RULE_TCA_ETHER_ERR_STATS_OUT_DISCARD_DELTA_MAX = "tca-ether-err-stats-out-discard-delta-max"
	CONST_RULE_TCA_ETHER_ERR_STATS_OUT_DISCARD_DELTA_MIN = "tca-ether-err-stats-out-discard-delta-min"
	CONST_RULE_TCA_ETHER_ERR_STATS_RCV_DELTA = "tca-ether-err-stats-rcv-delta"
	CONST_RULE_TCA_ETHER_ERR_STATS_RCV_DELTA_AVG = "tca-ether-err-stats-rcv-delta-avg"
	CONST_RULE_TCA_ETHER_ERR_STATS_RCV_DELTA_MAX = "tca-ether-err-stats-rcv-delta-max"
	CONST_RULE_TCA_ETHER_ERR_STATS_RCV_DELTA_MIN = "tca-ether-err-stats-rcv-delta-min"
	CONST_RULE_TCA_ETHER_ERR_STATS_UNDER_SIZE_DELTA = "tca-ether-err-stats-under-size-delta"
	CONST_RULE_TCA_ETHER_ERR_STATS_UNDER_SIZE_DELTA_AVG = "tca-ether-err-stats-under-size-delta-avg"
	CONST_RULE_TCA_ETHER_ERR_STATS_UNDER_SIZE_DELTA_MAX = "tca-ether-err-stats-under-size-delta-max"
	CONST_RULE_TCA_ETHER_ERR_STATS_UNDER_SIZE_DELTA_MIN = "tca-ether-err-stats-under-size-delta-min"
	CONST_RULE_TCA_ETHER_ERR_STATS_XMIT_DELTA = "tca-ether-err-stats-xmit-delta"
	CONST_RULE_TCA_ETHER_ERR_STATS_XMIT_DELTA_AVG = "tca-ether-err-stats-xmit-delta-avg"
	CONST_RULE_TCA_ETHER_ERR_STATS_XMIT_DELTA_MAX = "tca-ether-err-stats-xmit-delta-max"
	CONST_RULE_TCA_ETHER_ERR_STATS_XMIT_DELTA_MIN = "tca-ether-err-stats-xmit-delta-min"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_BYTES_RX_DELTA = "tca-ether-fcoe-interface-stats-bytes-rx-delta"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_BYTES_RX_DELTA_AVG = "tca-ether-fcoe-interface-stats-bytes-rx-delta-avg"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_BYTES_RX_DELTA_MAX = "tca-ether-fcoe-interface-stats-bytes-rx-delta-max"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_BYTES_RX_DELTA_MIN = "tca-ether-fcoe-interface-stats-bytes-rx-delta-min"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_BYTES_TX_DELTA = "tca-ether-fcoe-interface-stats-bytes-tx-delta"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_BYTES_TX_DELTA_AVG = "tca-ether-fcoe-interface-stats-bytes-tx-delta-avg"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_BYTES_TX_DELTA_MAX = "tca-ether-fcoe-interface-stats-bytes-tx-delta-max"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_BYTES_TX_DELTA_MIN = "tca-ether-fcoe-interface-stats-bytes-tx-delta-min"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_DROPPED_RX_DELTA = "tca-ether-fcoe-interface-stats-dropped-rx-delta"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_DROPPED_RX_DELTA_AVG = "tca-ether-fcoe-interface-stats-dropped-rx-delta-avg"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_DROPPED_RX_DELTA_MAX = "tca-ether-fcoe-interface-stats-dropped-rx-delta-max"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_DROPPED_RX_DELTA_MIN = "tca-ether-fcoe-interface-stats-dropped-rx-delta-min"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_DROPPED_TX_DELTA = "tca-ether-fcoe-interface-stats-dropped-tx-delta"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_DROPPED_TX_DELTA_AVG = "tca-ether-fcoe-interface-stats-dropped-tx-delta-avg"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_DROPPED_TX_DELTA_MAX = "tca-ether-fcoe-interface-stats-dropped-tx-delta-max"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_DROPPED_TX_DELTA_MIN = "tca-ether-fcoe-interface-stats-dropped-tx-delta-min"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_ERRORS_RX_DELTA = "tca-ether-fcoe-interface-stats-errors-rx-delta"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_ERRORS_RX_DELTA_AVG = "tca-ether-fcoe-interface-stats-errors-rx-delta-avg"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_ERRORS_RX_DELTA_MAX = "tca-ether-fcoe-interface-stats-errors-rx-delta-max"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_ERRORS_RX_DELTA_MIN = "tca-ether-fcoe-interface-stats-errors-rx-delta-min"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_ERRORS_TX_DELTA = "tca-ether-fcoe-interface-stats-errors-tx-delta"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_ERRORS_TX_DELTA_AVG = "tca-ether-fcoe-interface-stats-errors-tx-delta-avg"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_ERRORS_TX_DELTA_MAX = "tca-ether-fcoe-interface-stats-errors-tx-delta-max"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_ERRORS_TX_DELTA_MIN = "tca-ether-fcoe-interface-stats-errors-tx-delta-min"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_PACKETS_RX_DELTA = "tca-ether-fcoe-interface-stats-packets-rx-delta"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_PACKETS_RX_DELTA_AVG = "tca-ether-fcoe-interface-stats-packets-rx-delta-avg"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_PACKETS_RX_DELTA_MAX = "tca-ether-fcoe-interface-stats-packets-rx-delta-max"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_PACKETS_RX_DELTA_MIN = "tca-ether-fcoe-interface-stats-packets-rx-delta-min"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_PACKETS_TX_DELTA = "tca-ether-fcoe-interface-stats-packets-tx-delta"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_PACKETS_TX_DELTA_AVG = "tca-ether-fcoe-interface-stats-packets-tx-delta-avg"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_PACKETS_TX_DELTA_MAX = "tca-ether-fcoe-interface-stats-packets-tx-delta-max"
	CONST_RULE_TCA_ETHER_FCOE_INTERFACE_STATS_PACKETS_TX_DELTA_MIN = "tca-ether-fcoe-interface-stats-packets-tx-delta-min"
	CONST_RULE_TCA_ETHER_LOSS_STATS_CARRIER_SENSE_DELTA = "tca-ether-loss-stats-carrier-sense-delta"
	CONST_RULE_TCA_ETHER_LOSS_STATS_CARRIER_SENSE_DELTA_AVG = "tca-ether-loss-stats-carrier-sense-delta-avg"
	CONST_RULE_TCA_ETHER_LOSS_STATS_CARRIER_SENSE_DELTA_MAX = "tca-ether-loss-stats-carrier-sense-delta-max"
	CONST_RULE_TCA_ETHER_LOSS_STATS_CARRIER_SENSE_DELTA_MIN = "tca-ether-loss-stats-carrier-sense-delta-min"
	CONST_RULE_TCA_ETHER_LOSS_STATS_EXCESS_COLLISION_DELTA = "tca-ether-loss-stats-excess-collision-delta"
	CONST_RULE_TCA_ETHER_LOSS_STATS_EXCESS_COLLISION_DELTA_AVG = "tca-ether-loss-stats-excess-collision-delta-avg"
	CONST_RULE_TCA_ETHER_LOSS_STATS_EXCESS_COLLISION_DELTA_MAX = "tca-ether-loss-stats-excess-collision-delta-max"
	CONST_RULE_TCA_ETHER_LOSS_STATS_EXCESS_COLLISION_DELTA_MIN = "tca-ether-loss-stats-excess-collision-delta-min"
	CONST_RULE_TCA_ETHER_LOSS_STATS_GIANTS_DELTA = "tca-ether-loss-stats-giants-delta"
	CONST_RULE_TCA_ETHER_LOSS_STATS_GIANTS_DELTA_AVG = "tca-ether-loss-stats-giants-delta-avg"
	CONST_RULE_TCA_ETHER_LOSS_STATS_GIANTS_DELTA_MAX = "tca-ether-loss-stats-giants-delta-max"
	CONST_RULE_TCA_ETHER_LOSS_STATS_GIANTS_DELTA_MIN = "tca-ether-loss-stats-giants-delta-min"
	CONST_RULE_TCA_ETHER_LOSS_STATS_LATE_COLLISION_DELTA = "tca-ether-loss-stats-late-collision-delta"
	CONST_RULE_TCA_ETHER_LOSS_STATS_LATE_COLLISION_DELTA_AVG = "tca-ether-loss-stats-late-collision-delta-avg"
	CONST_RULE_TCA_ETHER_LOSS_STATS_LATE_COLLISION_DELTA_MAX = "tca-ether-loss-stats-late-collision-delta-max"
	CONST_RULE_TCA_ETHER_LOSS_STATS_LATE_COLLISION_DELTA_MIN = "tca-ether-loss-stats-late-collision-delta-min"
	CONST_RULE_TCA_ETHER_LOSS_STATS_MULTI_COLLISION_DELTA = "tca-ether-loss-stats-multi-collision-delta"
	CONST_RULE_TCA_ETHER_LOSS_STATS_MULTI_COLLISION_DELTA_AVG = "tca-ether-loss-stats-multi-collision-delta-avg"
	CONST_RULE_TCA_ETHER_LOSS_STATS_MULTI_COLLISION_DELTA_MAX = "tca-ether-loss-stats-multi-collision-delta-max"
	CONST_RULE_TCA_ETHER_LOSS_STATS_MULTI_COLLISION_DELTA_MIN = "tca-ether-loss-stats-multi-collision-delta-min"
	CONST_RULE_TCA_ETHER_LOSS_STATS_SINGLE_COLLISION_DELTA = "tca-ether-loss-stats-single-collision-delta"
	CONST_RULE_TCA_ETHER_LOSS_STATS_SINGLE_COLLISION_DELTA_AVG = "tca-ether-loss-stats-single-collision-delta-avg"
	CONST_RULE_TCA_ETHER_LOSS_STATS_SINGLE_COLLISION_DELTA_MAX = "tca-ether-loss-stats-single-collision-delta-max"
	CONST_RULE_TCA_ETHER_LOSS_STATS_SINGLE_COLLISION_DELTA_MIN = "tca-ether-loss-stats-single-collision-delta-min"
	CONST_RULE_TCA_ETHER_LOSS_STATS_SQETEST_DELTA = "tca-ether-loss-stats-sqetest-delta"
	CONST_RULE_TCA_ETHER_LOSS_STATS_SQETEST_DELTA_AVG = "tca-ether-loss-stats-sqetest-delta-avg"
	CONST_RULE_TCA_ETHER_LOSS_STATS_SQETEST_DELTA_MAX = "tca-ether-loss-stats-sqetest-delta-max"
	CONST_RULE_TCA_ETHER_LOSS_STATS_SQETEST_DELTA_MIN = "tca-ether-loss-stats-sqetest-delta-min"
	CONST_RULE_TCA_ETHER_LOSS_STATS_SYMBOL_DELTA = "tca-ether-loss-stats-symbol-delta"
	CONST_RULE_TCA_ETHER_LOSS_STATS_SYMBOL_DELTA_AVG = "tca-ether-loss-stats-symbol-delta-avg"
	CONST_RULE_TCA_ETHER_LOSS_STATS_SYMBOL_DELTA_MAX = "tca-ether-loss-stats-symbol-delta-max"
	CONST_RULE_TCA_ETHER_LOSS_STATS_SYMBOL_DELTA_MIN = "tca-ether-loss-stats-symbol-delta-min"
	CONST_RULE_TCA_ETHER_PAUSE_STATS_RECV_PAUSE_DELTA = "tca-ether-pause-stats-recv-pause-delta"
	CONST_RULE_TCA_ETHER_PAUSE_STATS_RECV_PAUSE_DELTA_AVG = "tca-ether-pause-stats-recv-pause-delta-avg"
	CONST_RULE_TCA_ETHER_PAUSE_STATS_RECV_PAUSE_DELTA_MAX = "tca-ether-pause-stats-recv-pause-delta-max"
	CONST_RULE_TCA_ETHER_PAUSE_STATS_RECV_PAUSE_DELTA_MIN = "tca-ether-pause-stats-recv-pause-delta-min"
	CONST_RULE_TCA_ETHER_PAUSE_STATS_RESETS_DELTA = "tca-ether-pause-stats-resets-delta"
	CONST_RULE_TCA_ETHER_PAUSE_STATS_RESETS_DELTA_AVG = "tca-ether-pause-stats-resets-delta-avg"
	CONST_RULE_TCA_ETHER_PAUSE_STATS_RESETS_DELTA_MAX = "tca-ether-pause-stats-resets-delta-max"
	CONST_RULE_TCA_ETHER_PAUSE_STATS_RESETS_DELTA_MIN = "tca-ether-pause-stats-resets-delta-min"
	CONST_RULE_TCA_ETHER_PAUSE_STATS_XMIT_PAUSE_DELTA = "tca-ether-pause-stats-xmit-pause-delta"
	CONST_RULE_TCA_ETHER_PAUSE_STATS_XMIT_PAUSE_DELTA_AVG = "tca-ether-pause-stats-xmit-pause-delta-avg"
	CONST_RULE_TCA_ETHER_PAUSE_STATS_XMIT_PAUSE_DELTA_MAX = "tca-ether-pause-stats-xmit-pause-delta-max"
	CONST_RULE_TCA_ETHER_PAUSE_STATS_XMIT_PAUSE_DELTA_MIN = "tca-ether-pause-stats-xmit-pause-delta-min"
	CONST_RULE_TCA_ETHER_RX_STATS_BROADCAST_PACKETS_DELTA = "tca-ether-rx-stats-broadcast-packets-delta"
	CONST_RULE_TCA_ETHER_RX_STATS_BROADCAST_PACKETS_DELTA_AVG = "tca-ether-rx-stats-broadcast-packets-delta-avg"
	CONST_RULE_TCA_ETHER_RX_STATS_BROADCAST_PACKETS_DELTA_MAX = "tca-ether-rx-stats-broadcast-packets-delta-max"
	CONST_RULE_TCA_ETHER_RX_STATS_BROADCAST_PACKETS_DELTA_MIN = "tca-ether-rx-stats-broadcast-packets-delta-min"
	CONST_RULE_TCA_ETHER_RX_STATS_JUMBO_PACKETS_DELTA = "tca-ether-rx-stats-jumbo-packets-delta"
	CONST_RULE_TCA_ETHER_RX_STATS_JUMBO_PACKETS_DELTA_AVG = "tca-ether-rx-stats-jumbo-packets-delta-avg"
	CONST_RULE_TCA_ETHER_RX_STATS_JUMBO_PACKETS_DELTA_MAX = "tca-ether-rx-stats-jumbo-packets-delta-max"
	CONST_RULE_TCA_ETHER_RX_STATS_JUMBO_PACKETS_DELTA_MIN = "tca-ether-rx-stats-jumbo-packets-delta-min"
	CONST_RULE_TCA_ETHER_RX_STATS_MULTICAST_PACKETS_DELTA = "tca-ether-rx-stats-multicast-packets-delta"
	CONST_RULE_TCA_ETHER_RX_STATS_MULTICAST_PACKETS_DELTA_AVG = "tca-ether-rx-stats-multicast-packets-delta-avg"
	CONST_RULE_TCA_ETHER_RX_STATS_MULTICAST_PACKETS_DELTA_MAX = "tca-ether-rx-stats-multicast-packets-delta-max"
	CONST_RULE_TCA_ETHER_RX_STATS_MULTICAST_PACKETS_DELTA_MIN = "tca-ether-rx-stats-multicast-packets-delta-min"
	CONST_RULE_TCA_ETHER_RX_STATS_TOTAL_BYTES_DELTA = "tca-ether-rx-stats-total-bytes-delta"
	CONST_RULE_TCA_ETHER_RX_STATS_TOTAL_BYTES_DELTA_AVG = "tca-ether-rx-stats-total-bytes-delta-avg"
	CONST_RULE_TCA_ETHER_RX_STATS_TOTAL_BYTES_DELTA_MAX = "tca-ether-rx-stats-total-bytes-delta-max"
	CONST_RULE_TCA_ETHER_RX_STATS_TOTAL_BYTES_DELTA_MIN = "tca-ether-rx-stats-total-bytes-delta-min"
	CONST_RULE_TCA_ETHER_RX_STATS_TOTAL_PACKETS_DELTA = "tca-ether-rx-stats-total-packets-delta"
	CONST_RULE_TCA_ETHER_RX_STATS_TOTAL_PACKETS_DELTA_AVG = "tca-ether-rx-stats-total-packets-delta-avg"
	CONST_RULE_TCA_ETHER_RX_STATS_TOTAL_PACKETS_DELTA_MAX = "tca-ether-rx-stats-total-packets-delta-max"
	CONST_RULE_TCA_ETHER_RX_STATS_TOTAL_PACKETS_DELTA_MIN = "tca-ether-rx-stats-total-packets-delta-min"
	CONST_RULE_TCA_ETHER_RX_STATS_UNICAST_PACKETS_DELTA = "tca-ether-rx-stats-unicast-packets-delta"
	CONST_RULE_TCA_ETHER_RX_STATS_UNICAST_PACKETS_DELTA_AVG = "tca-ether-rx-stats-unicast-packets-delta-avg"
	CONST_RULE_TCA_ETHER_RX_STATS_UNICAST_PACKETS_DELTA_MAX = "tca-ether-rx-stats-unicast-packets-delta-max"
	CONST_RULE_TCA_ETHER_RX_STATS_UNICAST_PACKETS_DELTA_MIN = "tca-ether-rx-stats-unicast-packets-delta-min"
	CONST_RULE_TCA_ETHER_TX_STATS_BROADCAST_PACKETS_DELTA = "tca-ether-tx-stats-broadcast-packets-delta"
	CONST_RULE_TCA_ETHER_TX_STATS_BROADCAST_PACKETS_DELTA_AVG = "tca-ether-tx-stats-broadcast-packets-delta-avg"
	CONST_RULE_TCA_ETHER_TX_STATS_BROADCAST_PACKETS_DELTA_MAX = "tca-ether-tx-stats-broadcast-packets-delta-max"
	CONST_RULE_TCA_ETHER_TX_STATS_BROADCAST_PACKETS_DELTA_MIN = "tca-ether-tx-stats-broadcast-packets-delta-min"
	CONST_RULE_TCA_ETHER_TX_STATS_JUMBO_PACKETS_DELTA = "tca-ether-tx-stats-jumbo-packets-delta"
	CONST_RULE_TCA_ETHER_TX_STATS_JUMBO_PACKETS_DELTA_AVG = "tca-ether-tx-stats-jumbo-packets-delta-avg"
	CONST_RULE_TCA_ETHER_TX_STATS_JUMBO_PACKETS_DELTA_MAX = "tca-ether-tx-stats-jumbo-packets-delta-max"
	CONST_RULE_TCA_ETHER_TX_STATS_JUMBO_PACKETS_DELTA_MIN = "tca-ether-tx-stats-jumbo-packets-delta-min"
	CONST_RULE_TCA_ETHER_TX_STATS_MULTICAST_PACKETS_DELTA = "tca-ether-tx-stats-multicast-packets-delta"
	CONST_RULE_TCA_ETHER_TX_STATS_MULTICAST_PACKETS_DELTA_AVG = "tca-ether-tx-stats-multicast-packets-delta-avg"
	CONST_RULE_TCA_ETHER_TX_STATS_MULTICAST_PACKETS_DELTA_MAX = "tca-ether-tx-stats-multicast-packets-delta-max"
	CONST_RULE_TCA_ETHER_TX_STATS_MULTICAST_PACKETS_DELTA_MIN = "tca-ether-tx-stats-multicast-packets-delta-min"
	CONST_RULE_TCA_ETHER_TX_STATS_TOTAL_BYTES_DELTA = "tca-ether-tx-stats-total-bytes-delta"
	CONST_RULE_TCA_ETHER_TX_STATS_TOTAL_BYTES_DELTA_AVG = "tca-ether-tx-stats-total-bytes-delta-avg"
	CONST_RULE_TCA_ETHER_TX_STATS_TOTAL_BYTES_DELTA_MAX = "tca-ether-tx-stats-total-bytes-delta-max"
	CONST_RULE_TCA_ETHER_TX_STATS_TOTAL_BYTES_DELTA_MIN = "tca-ether-tx-stats-total-bytes-delta-min"
	CONST_RULE_TCA_ETHER_TX_STATS_TOTAL_PACKETS_DELTA = "tca-ether-tx-stats-total-packets-delta"
	CONST_RULE_TCA_ETHER_TX_STATS_TOTAL_PACKETS_DELTA_AVG = "tca-ether-tx-stats-total-packets-delta-avg"
	CONST_RULE_TCA_ETHER_TX_STATS_TOTAL_PACKETS_DELTA_MAX = "tca-ether-tx-stats-total-packets-delta-max"
	CONST_RULE_TCA_ETHER_TX_STATS_TOTAL_PACKETS_DELTA_MIN = "tca-ether-tx-stats-total-packets-delta-min"
	CONST_RULE_TCA_ETHER_TX_STATS_UNICAST_PACKETS_DELTA = "tca-ether-tx-stats-unicast-packets-delta"
	CONST_RULE_TCA_ETHER_TX_STATS_UNICAST_PACKETS_DELTA_AVG = "tca-ether-tx-stats-unicast-packets-delta-avg"
	CONST_RULE_TCA_ETHER_TX_STATS_UNICAST_PACKETS_DELTA_MAX = "tca-ether-tx-stats-unicast-packets-delta-max"
	CONST_RULE_TCA_ETHER_TX_STATS_UNICAST_PACKETS_DELTA_MIN = "tca-ether-tx-stats-unicast-packets-delta-min"
	CONST_RULE_TCA_FC_ERR_STATS_CRC_RX_DELTA = "tca-fc-err-stats-crc-rx-delta"
	CONST_RULE_TCA_FC_ERR_STATS_CRC_RX_DELTA_AVG = "tca-fc-err-stats-crc-rx-delta-avg"
	CONST_RULE_TCA_FC_ERR_STATS_CRC_RX_DELTA_MAX = "tca-fc-err-stats-crc-rx-delta-max"
	CONST_RULE_TCA_FC_ERR_STATS_CRC_RX_DELTA_MIN = "tca-fc-err-stats-crc-rx-delta-min"
	CONST_RULE_TCA_FC_ERR_STATS_DISCARD_RX_DELTA = "tca-fc-err-stats-discard-rx-delta"
	CONST_RULE_TCA_FC_ERR_STATS_DISCARD_RX_DELTA_AVG = "tca-fc-err-stats-discard-rx-delta-avg"
	CONST_RULE_TCA_FC_ERR_STATS_DISCARD_RX_DELTA_MAX = "tca-fc-err-stats-discard-rx-delta-max"
	CONST_RULE_TCA_FC_ERR_STATS_DISCARD_RX_DELTA_MIN = "tca-fc-err-stats-discard-rx-delta-min"
	CONST_RULE_TCA_FC_ERR_STATS_DISCARD_TX_DELTA = "tca-fc-err-stats-discard-tx-delta"
	CONST_RULE_TCA_FC_ERR_STATS_DISCARD_TX_DELTA_AVG = "tca-fc-err-stats-discard-tx-delta-avg"
	CONST_RULE_TCA_FC_ERR_STATS_DISCARD_TX_DELTA_MAX = "tca-fc-err-stats-discard-tx-delta-max"
	CONST_RULE_TCA_FC_ERR_STATS_DISCARD_TX_DELTA_MIN = "tca-fc-err-stats-discard-tx-delta-min"
	CONST_RULE_TCA_FC_ERR_STATS_LINK_FAILURES_DELTA = "tca-fc-err-stats-link-failures-delta"
	CONST_RULE_TCA_FC_ERR_STATS_LINK_FAILURES_DELTA_AVG = "tca-fc-err-stats-link-failures-delta-avg"
	CONST_RULE_TCA_FC_ERR_STATS_LINK_FAILURES_DELTA_MAX = "tca-fc-err-stats-link-failures-delta-max"
	CONST_RULE_TCA_FC_ERR_STATS_LINK_FAILURES_DELTA_MIN = "tca-fc-err-stats-link-failures-delta-min"
	CONST_RULE_TCA_FC_ERR_STATS_RX_DELTA = "tca-fc-err-stats-rx-delta"
	CONST_RULE_TCA_FC_ERR_STATS_RX_DELTA_AVG = "tca-fc-err-stats-rx-delta-avg"
	CONST_RULE_TCA_FC_ERR_STATS_RX_DELTA_MAX = "tca-fc-err-stats-rx-delta-max"
	CONST_RULE_TCA_FC_ERR_STATS_RX_DELTA_MIN = "tca-fc-err-stats-rx-delta-min"
	CONST_RULE_TCA_FC_ERR_STATS_SIGNAL_LOSSES_DELTA = "tca-fc-err-stats-signal-losses-delta"
	CONST_RULE_TCA_FC_ERR_STATS_SIGNAL_LOSSES_DELTA_AVG = "tca-fc-err-stats-signal-losses-delta-avg"
	CONST_RULE_TCA_FC_ERR_STATS_SIGNAL_LOSSES_DELTA_MAX = "tca-fc-err-stats-signal-losses-delta-max"
	CONST_RULE_TCA_FC_ERR_STATS_SIGNAL_LOSSES_DELTA_MIN = "tca-fc-err-stats-signal-losses-delta-min"
	CONST_RULE_TCA_FC_ERR_STATS_SYNC_LOSSES_DELTA = "tca-fc-err-stats-sync-losses-delta"
	CONST_RULE_TCA_FC_ERR_STATS_SYNC_LOSSES_DELTA_AVG = "tca-fc-err-stats-sync-losses-delta-avg"
	CONST_RULE_TCA_FC_ERR_STATS_SYNC_LOSSES_DELTA_MAX = "tca-fc-err-stats-sync-losses-delta-max"
	CONST_RULE_TCA_FC_ERR_STATS_SYNC_LOSSES_DELTA_MIN = "tca-fc-err-stats-sync-losses-delta-min"
	CONST_RULE_TCA_FC_ERR_STATS_TOO_LONG_RX_DELTA = "tca-fc-err-stats-too-long-rx-delta"
	CONST_RULE_TCA_FC_ERR_STATS_TOO_LONG_RX_DELTA_AVG = "tca-fc-err-stats-too-long-rx-delta-avg"
	CONST_RULE_TCA_FC_ERR_STATS_TOO_LONG_RX_DELTA_MAX = "tca-fc-err-stats-too-long-rx-delta-max"
	CONST_RULE_TCA_FC_ERR_STATS_TOO_LONG_RX_DELTA_MIN = "tca-fc-err-stats-too-long-rx-delta-min"
	CONST_RULE_TCA_FC_ERR_STATS_TOO_SHORT_RX_DELTA = "tca-fc-err-stats-too-short-rx-delta"
	CONST_RULE_TCA_FC_ERR_STATS_TOO_SHORT_RX_DELTA_AVG = "tca-fc-err-stats-too-short-rx-delta-avg"
	CONST_RULE_TCA_FC_ERR_STATS_TOO_SHORT_RX_DELTA_MAX = "tca-fc-err-stats-too-short-rx-delta-max"
	CONST_RULE_TCA_FC_ERR_STATS_TOO_SHORT_RX_DELTA_MIN = "tca-fc-err-stats-too-short-rx-delta-min"
	CONST_RULE_TCA_FC_ERR_STATS_TX_DELTA = "tca-fc-err-stats-tx-delta"
	CONST_RULE_TCA_FC_ERR_STATS_TX_DELTA_AVG = "tca-fc-err-stats-tx-delta-avg"
	CONST_RULE_TCA_FC_ERR_STATS_TX_DELTA_MAX = "tca-fc-err-stats-tx-delta-max"
	CONST_RULE_TCA_FC_ERR_STATS_TX_DELTA_MIN = "tca-fc-err-stats-tx-delta-min"
	CONST_RULE_TCA_FC_STATS_BYTES_RX_DELTA = "tca-fc-stats-bytes-rx-delta"
	CONST_RULE_TCA_FC_STATS_BYTES_RX_DELTA_AVG = "tca-fc-stats-bytes-rx-delta-avg"
	CONST_RULE_TCA_FC_STATS_BYTES_RX_DELTA_MAX = "tca-fc-stats-bytes-rx-delta-max"
	CONST_RULE_TCA_FC_STATS_BYTES_RX_DELTA_MIN = "tca-fc-stats-bytes-rx-delta-min"
	CONST_RULE_TCA_FC_STATS_BYTES_TX_DELTA = "tca-fc-stats-bytes-tx-delta"
	CONST_RULE_TCA_FC_STATS_BYTES_TX_DELTA_AVG = "tca-fc-stats-bytes-tx-delta-avg"
	CONST_RULE_TCA_FC_STATS_BYTES_TX_DELTA_MAX = "tca-fc-stats-bytes-tx-delta-max"
	CONST_RULE_TCA_FC_STATS_BYTES_TX_DELTA_MIN = "tca-fc-stats-bytes-tx-delta-min"
	CONST_RULE_TCA_FC_STATS_PACKETS_RX_DELTA = "tca-fc-stats-packets-rx-delta"
	CONST_RULE_TCA_FC_STATS_PACKETS_RX_DELTA_AVG = "tca-fc-stats-packets-rx-delta-avg"
	CONST_RULE_TCA_FC_STATS_PACKETS_RX_DELTA_MAX = "tca-fc-stats-packets-rx-delta-max"
	CONST_RULE_TCA_FC_STATS_PACKETS_RX_DELTA_MIN = "tca-fc-stats-packets-rx-delta-min"
	CONST_RULE_TCA_FC_STATS_PACKETS_TX_DELTA = "tca-fc-stats-packets-tx-delta"
	CONST_RULE_TCA_FC_STATS_PACKETS_TX_DELTA_AVG = "tca-fc-stats-packets-tx-delta-avg"
	CONST_RULE_TCA_FC_STATS_PACKETS_TX_DELTA_MAX = "tca-fc-stats-packets-tx-delta-max"
	CONST_RULE_TCA_FC_STATS_PACKETS_TX_DELTA_MIN = "tca-fc-stats-packets-tx-delta-min"
	CONST_RULE_TCA_MEMORY_ARRAY_ENV_STATS_INPUT_CURRENT = "tca-memory-array-env-stats-input-current"
	CONST_RULE_TCA_MEMORY_ARRAY_ENV_STATS_INPUT_CURRENT_AVG = "tca-memory-array-env-stats-input-current-avg"
	CONST_RULE_TCA_MEMORY_ARRAY_ENV_STATS_INPUT_CURRENT_MAX = "tca-memory-array-env-stats-input-current-max"
	CONST_RULE_TCA_MEMORY_ARRAY_ENV_STATS_INPUT_CURRENT_MIN = "tca-memory-array-env-stats-input-current-min"
	CONST_RULE_TCA_MEMORY_BUFFER_UNIT_ENV_STATS_TEMPERATURE = "tca-memory-buffer-unit-env-stats-temperature"
	CONST_RULE_TCA_MEMORY_BUFFER_UNIT_ENV_STATS_TEMPERATURE_AVG = "tca-memory-buffer-unit-env-stats-temperature-avg"
	CONST_RULE_TCA_MEMORY_BUFFER_UNIT_ENV_STATS_TEMPERATURE_MAX = "tca-memory-buffer-unit-env-stats-temperature-max"
	CONST_RULE_TCA_MEMORY_BUFFER_UNIT_ENV_STATS_TEMPERATURE_MIN = "tca-memory-buffer-unit-env-stats-temperature-min"
	CONST_RULE_TCA_MEMORY_ERROR_STATS_ADDRESS_PARITY_ERRORS = "tca-memory-error-stats-address-parity-errors"
	CONST_RULE_TCA_MEMORY_ERROR_STATS_ECC_MULTIBIT_ERRORS = "tca-memory-error-stats-ecc-multibit-errors"
	CONST_RULE_TCA_MEMORY_ERROR_STATS_ECC_SINGLEBIT_ERRORS = "tca-memory-error-stats-ecc-singlebit-errors"
	CONST_RULE_TCA_MEMORY_ERROR_STATS_MISMATCH_ERRORS = "tca-memory-error-stats-mismatch-errors"
	CONST_RULE_TCA_MEMORY_RUNTIME_AVAILABLE = "tca-memory-runtime-available"
	CONST_RULE_TCA_MEMORY_RUNTIME_AVAILABLE_AVG = "tca-memory-runtime-available-avg"
	CONST_RULE_TCA_MEMORY_RUNTIME_AVAILABLE_MAX = "tca-memory-runtime-available-max"
	CONST_RULE_TCA_MEMORY_RUNTIME_AVAILABLE_MIN = "tca-memory-runtime-available-min"
	CONST_RULE_TCA_MEMORY_RUNTIME_CACHED = "tca-memory-runtime-cached"
	CONST_RULE_TCA_MEMORY_RUNTIME_CACHED_AVG = "tca-memory-runtime-cached-avg"
	CONST_RULE_TCA_MEMORY_RUNTIME_CACHED_MAX = "tca-memory-runtime-cached-max"
	CONST_RULE_TCA_MEMORY_RUNTIME_CACHED_MIN = "tca-memory-runtime-cached-min"
	CONST_RULE_TCA_MEMORY_RUNTIME_TOTAL = "tca-memory-runtime-total"
	CONST_RULE_TCA_MEMORY_RUNTIME_TOTAL_AVG = "tca-memory-runtime-total-avg"
	CONST_RULE_TCA_MEMORY_RUNTIME_TOTAL_MAX = "tca-memory-runtime-total-max"
	CONST_RULE_TCA_MEMORY_RUNTIME_TOTAL_MIN = "tca-memory-runtime-total-min"
	CONST_RULE_TCA_MEMORY_UNIT_ENV_STATS_TEMPERATURE = "tca-memory-unit-env-stats-temperature"
	CONST_RULE_TCA_MEMORY_UNIT_ENV_STATS_TEMPERATURE_AVG = "tca-memory-unit-env-stats-temperature-avg"
	CONST_RULE_TCA_MEMORY_UNIT_ENV_STATS_TEMPERATURE_MAX = "tca-memory-unit-env-stats-temperature-max"
	CONST_RULE_TCA_MEMORY_UNIT_ENV_STATS_TEMPERATURE_MIN = "tca-memory-unit-env-stats-temperature-min"
	CONST_RULE_TCA_POWER_GROUP_STATS_POWER = "tca-power-group-stats-power"
	CONST_RULE_TCA_POWER_GROUP_STATS_POWER_AVG = "tca-power-group-stats-power-avg"
	CONST_RULE_TCA_POWER_GROUP_STATS_POWER_MAX = "tca-power-group-stats-power-max"
	CONST_RULE_TCA_POWER_GROUP_STATS_POWER_MIN = "tca-power-group-stats-power-min"
	CONST_RULE_TCA_PROCESSOR_ENV_STATS_INPUT_CURRENT = "tca-processor-env-stats-input-current"
	CONST_RULE_TCA_PROCESSOR_ENV_STATS_INPUT_CURRENT_AVG = "tca-processor-env-stats-input-current-avg"
	CONST_RULE_TCA_PROCESSOR_ENV_STATS_INPUT_CURRENT_MAX = "tca-processor-env-stats-input-current-max"
	CONST_RULE_TCA_PROCESSOR_ENV_STATS_INPUT_CURRENT_MIN = "tca-processor-env-stats-input-current-min"
	CONST_RULE_TCA_PROCESSOR_ENV_STATS_TEMPERATURE = "tca-processor-env-stats-temperature"
	CONST_RULE_TCA_PROCESSOR_ENV_STATS_TEMPERATURE_AVG = "tca-processor-env-stats-temperature-avg"
	CONST_RULE_TCA_PROCESSOR_ENV_STATS_TEMPERATURE_MAX = "tca-processor-env-stats-temperature-max"
	CONST_RULE_TCA_PROCESSOR_ENV_STATS_TEMPERATURE_MIN = "tca-processor-env-stats-temperature-min"
	CONST_RULE_TCA_PROCESSOR_ERROR_STATS_MIRRORING_INTER_SOCK_ERRORS = "tca-processor-error-stats-mirroring-inter-sock-errors"
	CONST_RULE_TCA_PROCESSOR_ERROR_STATS_MIRRORING_INTRA_SOCK_ERRORS = "tca-processor-error-stats-mirroring-intra-sock-errors"
	CONST_RULE_TCA_PROCESSOR_ERROR_STATS_SMI_LINK_CORR_ERRORS = "tca-processor-error-stats-smi-link-corr-errors"
	CONST_RULE_TCA_PROCESSOR_ERROR_STATS_SMI_LINK_UNCORR_ERRORS = "tca-processor-error-stats-smi-link-uncorr-errors"
	CONST_RULE_TCA_PROCESSOR_ERROR_STATS_SPARING_ERRORS = "tca-processor-error-stats-sparing-errors"
	CONST_RULE_TCA_PROCESSOR_RUNTIME_LOAD = "tca-processor-runtime-load"
	CONST_RULE_TCA_PROCESSOR_RUNTIME_LOAD_AVG = "tca-processor-runtime-load-avg"
	CONST_RULE_TCA_PROCESSOR_RUNTIME_LOAD_MAX = "tca-processor-runtime-load-max"
	CONST_RULE_TCA_PROCESSOR_RUNTIME_LOAD_MIN = "tca-processor-runtime-load-min"
	CONST_RULE_TCA_SW_CARD_ENV_STATS_SLOT_OUTLET1 = "tca-sw-card-env-stats-slot-outlet1"
	CONST_RULE_TCA_SW_CARD_ENV_STATS_SLOT_OUTLET1_AVG = "tca-sw-card-env-stats-slot-outlet1-avg"
	CONST_RULE_TCA_SW_CARD_ENV_STATS_SLOT_OUTLET1_MAX = "tca-sw-card-env-stats-slot-outlet1-max"
	CONST_RULE_TCA_SW_CARD_ENV_STATS_SLOT_OUTLET1_MIN = "tca-sw-card-env-stats-slot-outlet1-min"
	CONST_RULE_TCA_SW_CARD_ENV_STATS_SLOT_OUTLET2 = "tca-sw-card-env-stats-slot-outlet2"
	CONST_RULE_TCA_SW_CARD_ENV_STATS_SLOT_OUTLET2_AVG = "tca-sw-card-env-stats-slot-outlet2-avg"
	CONST_RULE_TCA_SW_CARD_ENV_STATS_SLOT_OUTLET2_MAX = "tca-sw-card-env-stats-slot-outlet2-max"
	CONST_RULE_TCA_SW_CARD_ENV_STATS_SLOT_OUTLET2_MIN = "tca-sw-card-env-stats-slot-outlet2-min"
	CONST_RULE_TCA_SW_CARD_ENV_STATS_SLOT_OUTLET3 = "tca-sw-card-env-stats-slot-outlet3"
	CONST_RULE_TCA_SW_CARD_ENV_STATS_SLOT_OUTLET3_AVG = "tca-sw-card-env-stats-slot-outlet3-avg"
	CONST_RULE_TCA_SW_CARD_ENV_STATS_SLOT_OUTLET3_MAX = "tca-sw-card-env-stats-slot-outlet3-max"
	CONST_RULE_TCA_SW_CARD_ENV_STATS_SLOT_OUTLET3_MIN = "tca-sw-card-env-stats-slot-outlet3-min"
	CONST_RULE_TCA_SW_ENV_STATS_FAN_CTRLR_INLET1 = "tca-sw-env-stats-fan-ctrlr-inlet1"
	CONST_RULE_TCA_SW_ENV_STATS_FAN_CTRLR_INLET1_AVG = "tca-sw-env-stats-fan-ctrlr-inlet1-avg"
	CONST_RULE_TCA_SW_ENV_STATS_FAN_CTRLR_INLET1_MAX = "tca-sw-env-stats-fan-ctrlr-inlet1-max"
	CONST_RULE_TCA_SW_ENV_STATS_FAN_CTRLR_INLET1_MIN = "tca-sw-env-stats-fan-ctrlr-inlet1-min"
	CONST_RULE_TCA_SW_ENV_STATS_FAN_CTRLR_INLET2 = "tca-sw-env-stats-fan-ctrlr-inlet2"
	CONST_RULE_TCA_SW_ENV_STATS_FAN_CTRLR_INLET2_AVG = "tca-sw-env-stats-fan-ctrlr-inlet2-avg"
	CONST_RULE_TCA_SW_ENV_STATS_FAN_CTRLR_INLET2_MAX = "tca-sw-env-stats-fan-ctrlr-inlet2-max"
	CONST_RULE_TCA_SW_ENV_STATS_FAN_CTRLR_INLET2_MIN = "tca-sw-env-stats-fan-ctrlr-inlet2-min"
	CONST_RULE_TCA_SW_ENV_STATS_FAN_CTRLR_INLET3 = "tca-sw-env-stats-fan-ctrlr-inlet3"
	CONST_RULE_TCA_SW_ENV_STATS_FAN_CTRLR_INLET3_AVG = "tca-sw-env-stats-fan-ctrlr-inlet3-avg"
	CONST_RULE_TCA_SW_ENV_STATS_FAN_CTRLR_INLET3_MAX = "tca-sw-env-stats-fan-ctrlr-inlet3-max"
	CONST_RULE_TCA_SW_ENV_STATS_FAN_CTRLR_INLET3_MIN = "tca-sw-env-stats-fan-ctrlr-inlet3-min"
	CONST_RULE_TCA_SW_ENV_STATS_FAN_CTRLR_INLET4 = "tca-sw-env-stats-fan-ctrlr-inlet4"
	CONST_RULE_TCA_SW_ENV_STATS_FAN_CTRLR_INLET4_AVG = "tca-sw-env-stats-fan-ctrlr-inlet4-avg"
	CONST_RULE_TCA_SW_ENV_STATS_FAN_CTRLR_INLET4_MAX = "tca-sw-env-stats-fan-ctrlr-inlet4-max"
	CONST_RULE_TCA_SW_ENV_STATS_FAN_CTRLR_INLET4_MIN = "tca-sw-env-stats-fan-ctrlr-inlet4-min"
	CONST_RULE_TCA_SW_ENV_STATS_MAIN_BOARD_OUTLET1 = "tca-sw-env-stats-main-board-outlet1"
	CONST_RULE_TCA_SW_ENV_STATS_MAIN_BOARD_OUTLET1_AVG = "tca-sw-env-stats-main-board-outlet1-avg"
	CONST_RULE_TCA_SW_ENV_STATS_MAIN_BOARD_OUTLET1_MAX = "tca-sw-env-stats-main-board-outlet1-max"
	CONST_RULE_TCA_SW_ENV_STATS_MAIN_BOARD_OUTLET1_MIN = "tca-sw-env-stats-main-board-outlet1-min"
	CONST_RULE_TCA_SW_ENV_STATS_MAIN_BOARD_OUTLET2 = "tca-sw-env-stats-main-board-outlet2"
	CONST_RULE_TCA_SW_ENV_STATS_MAIN_BOARD_OUTLET2_AVG = "tca-sw-env-stats-main-board-outlet2-avg"
	CONST_RULE_TCA_SW_ENV_STATS_MAIN_BOARD_OUTLET2_MAX = "tca-sw-env-stats-main-board-outlet2-max"
	CONST_RULE_TCA_SW_ENV_STATS_MAIN_BOARD_OUTLET2_MIN = "tca-sw-env-stats-main-board-outlet2-min"
	CONST_RULE_TCA_SW_ENV_STATS_PSU_CTRLR_INLET1 = "tca-sw-env-stats-psu-ctrlr-inlet1"
	CONST_RULE_TCA_SW_ENV_STATS_PSU_CTRLR_INLET1_AVG = "tca-sw-env-stats-psu-ctrlr-inlet1-avg"
	CONST_RULE_TCA_SW_ENV_STATS_PSU_CTRLR_INLET1_MAX = "tca-sw-env-stats-psu-ctrlr-inlet1-max"
	CONST_RULE_TCA_SW_ENV_STATS_PSU_CTRLR_INLET1_MIN = "tca-sw-env-stats-psu-ctrlr-inlet1-min"
	CONST_RULE_TCA_SW_ENV_STATS_PSU_CTRLR_INLET2 = "tca-sw-env-stats-psu-ctrlr-inlet2"
	CONST_RULE_TCA_SW_ENV_STATS_PSU_CTRLR_INLET2_AVG = "tca-sw-env-stats-psu-ctrlr-inlet2-avg"
	CONST_RULE_TCA_SW_ENV_STATS_PSU_CTRLR_INLET2_MAX = "tca-sw-env-stats-psu-ctrlr-inlet2-max"
	CONST_RULE_TCA_SW_ENV_STATS_PSU_CTRLR_INLET2_MIN = "tca-sw-env-stats-psu-ctrlr-inlet2-min"
	CONST_RULE_TCA_SW_SYSTEM_STATS_LOAD = "tca-sw-system-stats-load"
	CONST_RULE_TCA_SW_SYSTEM_STATS_LOAD_AVG = "tca-sw-system-stats-load-avg"
	CONST_RULE_TCA_SW_SYSTEM_STATS_LOAD_MAX = "tca-sw-system-stats-load-max"
	CONST_RULE_TCA_SW_SYSTEM_STATS_LOAD_MIN = "tca-sw-system-stats-load-min"
	CONST_RULE_TCA_SW_SYSTEM_STATS_MEM_AVAILABLE = "tca-sw-system-stats-mem-available"
	CONST_RULE_TCA_SW_SYSTEM_STATS_MEM_AVAILABLE_AVG = "tca-sw-system-stats-mem-available-avg"
	CONST_RULE_TCA_SW_SYSTEM_STATS_MEM_AVAILABLE_MAX = "tca-sw-system-stats-mem-available-max"
	CONST_RULE_TCA_SW_SYSTEM_STATS_MEM_AVAILABLE_MIN = "tca-sw-system-stats-mem-available-min"
	CONST_RULE_TCA_SW_SYSTEM_STATS_MEM_CACHED = "tca-sw-system-stats-mem-cached"
	CONST_RULE_TCA_SW_SYSTEM_STATS_MEM_CACHED_AVG = "tca-sw-system-stats-mem-cached-avg"
	CONST_RULE_TCA_SW_SYSTEM_STATS_MEM_CACHED_MAX = "tca-sw-system-stats-mem-cached-max"
	CONST_RULE_TCA_SW_SYSTEM_STATS_MEM_CACHED_MIN = "tca-sw-system-stats-mem-cached-min"
	CONST_RULE_UNR_EXTVMM_FNDREFERENCE_FN_DEF_NAME = "unr-extvmm-fndreference-fn-def-name"
	CONST_RULE_UNR_EXTVMM_VMNDREF_VM_NETWORK_DEF_NAME = "unr-extvmm-vmndref-vm-network-def-name"
	CONST_RULE_UNR_EXTVMM_VMNETWORK_DEFINITION_EXT_IP_POOL_NAME = "unr-extvmm-vmnetwork-definition-ext-ip-pool-name"
	CONST_RULE_UNR_EXTVMM_VMNETWORK_FABRIC_NETWORK_NAME = "unr-extvmm-vmnetwork-fabric-network-name"
	CONST_RULE_UNR_FABRIC_ETH_ESTC_EP_NW_CTRL_POLICY_NAME = "unr-fabric-eth-estc-ep-nw-ctrl-policy-name"
	CONST_RULE_UNR_FABRIC_ETH_ESTC_PC_LACP_POLICY_NAME = "unr-fabric-eth-estc-pc-lacp-policy-name"
	CONST_RULE_UNR_FABRIC_ETH_ESTC_PC_NW_CTRL_POLICY_NAME = "unr-fabric-eth-estc-pc-nw-ctrl-policy-name"
	CONST_RULE_UNR_FABRIC_ETH_LAN_EP_ETH_LINK_PROFILE_NAME = "unr-fabric-eth-lan-ep-eth-link-profile-name"
	CONST_RULE_UNR_FABRIC_ETH_LAN_PC_EP_ETH_LINK_PROFILE_NAME = "unr-fabric-eth-lan-pc-ep-eth-link-profile-name"
	CONST_RULE_UNR_FABRIC_ETH_LAN_PC_LACP_POLICY_NAME = "unr-fabric-eth-lan-pc-lacp-policy-name"
	CONST_RULE_UNR_FABRIC_ETH_LINK_PROFILE_CDP_LINK_POLICY_NAME = "unr-fabric-eth-link-profile-cdp-link-policy-name"
	CONST_RULE_UNR_FABRIC_ETH_LINK_PROFILE_UDLD_LINK_POLICY_NAME = "unr-fabric-eth-link-profile-udld-link-policy-name"
	CONST_RULE_UNR_FABRIC_FCOE_SAN_EP_ETH_LINK_PROFILE_NAME = "unr-fabric-fcoe-san-ep-eth-link-profile-name"
	CONST_RULE_UNR_FABRIC_FCOE_SAN_PC_EP_ETH_LINK_PROFILE_NAME = "unr-fabric-fcoe-san-pc-ep-eth-link-profile-name"
	CONST_RULE_UNR_FABRIC_FCOE_SAN_PC_LACP_POLICY_NAME = "unr-fabric-fcoe-san-pc-lacp-policy-name"
	CONST_RULE_UNR_FABRIC_FLOW_MON_EXPORTER_FLOW_EXP_PROFILE = "unr-fabric-flow-mon-exporter-flow-exp-profile"
	CONST_RULE_UNR_FABRIC_FLOW_MONITOR_FLOW_MON_RECORD_DEF = "unr-fabric-flow-monitor-flow-mon-record-def"
	CONST_RULE_UNR_FABRIC_FLOW_MONITOR_FLOW_TIMEOUT_POLICY = "unr-fabric-flow-monitor-flow-timeout-policy"
	CONST_RULE_UNR_FABRIC_NETFLOW_MON_EXPORTER_REF_NF_MON_EXPORTER_NAME = "unr-fabric-netflow-mon-exporter-ref-nf-mon-exporter-name"
	CONST_RULE_UNR_FABRIC_NETFLOW_MONITOR_REF_NF_MONITOR_NAME = "unr-fabric-netflow-monitor-ref-nf-monitor-name"
	CONST_RULE_UNR_FABRIC_VLAN_MCAST_POLICY_NAME = "unr-fabric-vlan-mcast-policy-name"
	CONST_RULE_UNR_FAULT_SUPPRESS_TASK_SUPPRESS_POLICY_NAME = "unr-fault-suppress-task-suppress-policy-name"
	CONST_RULE_UNR_LS_REQUIREMENT_NAME = "unr-ls-requirement-name"
	CONST_RULE_UNR_LS_SERVER_BIOS_PROFILE_NAME = "unr-ls-server-bios-profile-name"
	CONST_RULE_UNR_LS_SERVER_BOOT_POLICY_NAME = "unr-ls-server-boot-policy-name"
	CONST_RULE_UNR_LS_SERVER_DYNAMIC_CON_POLICY_NAME = "unr-ls-server-dynamic-con-policy-name"
	CONST_RULE_UNR_LS_SERVER_EXTIPPOOL_NAME = "unr-ls-server-extippool-name"
	CONST_RULE_UNR_LS_SERVER_HOST_FW_POLICY_NAME = "unr-ls-server-host-fw-policy-name"
	CONST_RULE_UNR_LS_SERVER_IDENT_POOL_NAME = "unr-ls-server-ident-pool-name"
	CONST_RULE_UNR_LS_SERVER_KVM_MGMT_POLICY_NAME = "unr-ls-server-kvm-mgmt-policy-name"
	CONST_RULE_UNR_LS_SERVER_LOCAL_DISK_POLICY_NAME = "unr-ls-server-local-disk-policy-name"
	CONST_RULE_UNR_LS_SERVER_MAINT_POLICY_NAME = "unr-ls-server-maint-policy-name"
	CONST_RULE_UNR_LS_SERVER_MGMT_ACCESS_POLICY_NAME = "unr-ls-server-mgmt-access-policy-name"
	CONST_RULE_UNR_LS_SERVER_MGMT_FW_POLICY_NAME = "unr-ls-server-mgmt-fw-policy-name"
	CONST_RULE_UNR_LS_SERVER_POWER_POLICY_NAME = "unr-ls-server-power-policy-name"
	CONST_RULE_UNR_LS_SERVER_SCRUB_POLICY_NAME = "unr-ls-server-scrub-policy-name"
	CONST_RULE_UNR_LS_SERVER_SOL_POLICY_NAME = "unr-ls-server-sol-policy-name"
	CONST_RULE_UNR_LS_SERVER_SRC_TEMPL_NAME = "unr-ls-server-src-templ-name"
	CONST_RULE_UNR_LS_SERVER_STATS_POLICY_NAME = "unr-ls-server-stats-policy-name"
	CONST_RULE_UNR_LS_SERVER_VCON_PROFILE_NAME = "unr-ls-server-vcon-profile-name"
	CONST_RULE_UNR_LS_SERVER_VMEDIA_POLICY_NAME = "unr-ls-server-vmedia-policy-name"
	CONST_RULE_UNR_TRIG_TRIGGERABLE_SCHEDULER = "unr-trig-triggerable-scheduler"
	CONST_RULE_UNR_VNIC_AGROUP_STATS_POLICY_NAME = "unr-vnic-agroup-stats-policy-name"
	CONST_RULE_UNR_VNIC_CONN_DEF_LAN_CONN_POLICY_NAME = "unr-vnic-conn-def-lan-conn-policy-name"
	CONST_RULE_UNR_VNIC_CONN_DEF_SAN_CONN_POLICY_NAME = "unr-vnic-conn-def-san-conn-policy-name"
	CONST_RULE_UNR_VNIC_DYNAMIC_CON_POLICY_REF_CON_POLICY_NAME = "unr-vnic-dynamic-con-policy-ref-con-policy-name"
	CONST_RULE_UNR_VNIC_ETHER_BASE_ADAPTOR_PROFILE_NAME = "unr-vnic-ether-base-adaptor-profile-name"
	CONST_RULE_UNR_VNIC_ETHER_BASE_IDENT_POOL_NAME = "unr-vnic-ether-base-ident-pool-name"
	CONST_RULE_UNR_VNIC_ETHER_BASE_NW_CTRL_POLICY_NAME = "unr-vnic-ether-base-nw-ctrl-policy-name"
	CONST_RULE_UNR_VNIC_ETHER_BASE_NW_TEMPL_NAME = "unr-vnic-ether-base-nw-templ-name"
	CONST_RULE_UNR_VNIC_ETHER_BASE_PIN_TO_GROUP_NAME = "unr-vnic-ether-base-pin-to-group-name"
	CONST_RULE_UNR_VNIC_ETHER_BASE_QOS_POLICY_NAME = "unr-vnic-ether-base-qos-policy-name"
	CONST_RULE_UNR_VNIC_FC_BASE_ADAPTOR_PROFILE_NAME = "unr-vnic-fc-base-adaptor-profile-name"
	CONST_RULE_UNR_VNIC_FC_BASE_IDENT_POOL_NAME = "unr-vnic-fc-base-ident-pool-name"
	CONST_RULE_UNR_VNIC_FC_BASE_NW_TEMPL_NAME = "unr-vnic-fc-base-nw-templ-name"
	CONST_RULE_UNR_VNIC_FC_BASE_PIN_TO_GROUP_NAME = "unr-vnic-fc-base-pin-to-group-name"
	CONST_RULE_UNR_VNIC_FC_BASE_QOS_POLICY_NAME = "unr-vnic-fc-base-qos-policy-name"
	CONST_RULE_UNR_VNIC_FC_GROUP_DEF_STORAGE_CONN_POLICY_NAME = "unr-vnic-fc-group-def-storage-conn-policy-name"
	CONST_RULE_UNR_VNIC_FC_GROUP_TEMPL_STORAGE_CONN_POLICY_NAME = "unr-vnic-fc-group-templ-storage-conn-policy-name"
	CONST_RULE_UNR_VNIC_FC_NODE_IDENT_POOL_NAME = "unr-vnic-fc-node-ident-pool-name"
	CONST_RULE_UNR_VNIC_IP_V4_MGMT_POOLED_ADDR_NAME = "unr-vnic-ip-v4-mgmt-pooled-addr-name"
	CONST_RULE_UNR_VNIC_IP_V4_POOLED_ADDR_NAME = "unr-vnic-ip-v4-pooled-addr-name"
	CONST_RULE_UNR_VNIC_IP_V6_MGMT_POOLED_ADDR_NAME = "unr-vnic-ip-v6-mgmt-pooled-addr-name"
	CONST_RULE_UNR_VNIC_IPV4_POOLED_ISCSI_ADDR_IDENT_POOL_NAME = "unr-vnic-ipv4-pooled-iscsi-addr-ident-pool-name"
	CONST_RULE_UNR_VNIC_ISCSI_AUTH_PROFILE_NAME = "unr-vnic-iscsi-auth-profile-name"
	CONST_RULE_UNR_VNIC_ISCSI_BASE_ADAPTOR_PROFILE_NAME = "unr-vnic-iscsi-base-adaptor-profile-name"
	CONST_RULE_UNR_VNIC_ISCSI_BASE_IDENT_POOL_NAME = "unr-vnic-iscsi-base-ident-pool-name"
	CONST_RULE_UNR_VNIC_ISCSI_BOOT_VNIC_AUTH_PROFILE_NAME = "unr-vnic-iscsi-boot-vnic-auth-profile-name"
	CONST_RULE_UNR_VNIC_ISCSI_BOOT_VNIC_IQN_IDENT_POOL_NAME = "unr-vnic-iscsi-boot-vnic-iqn-ident-pool-name"
	CONST_RULE_UNR_VNIC_ISCSI_IQN_IDENT_POOL_NAME = "unr-vnic-iscsi-iqn-ident-pool-name"
	CONST_RULE_UNR_VNIC_ISCSI_NODE_IQN_IDENT_POOL_NAME = "unr-vnic-iscsi-node-iqn-ident-pool-name"
	CONST_RULE_UNR_VNIC_ISCSI_STATIC_TARGET_IF_AUTH_PROFILE_NAME = "unr-vnic-iscsi-static-target-if-auth-profile-name"
	CONST_RULE_UNR_VNIC_LAN_CONN_TEMPL_IDENT_POOL_NAME = "unr-vnic-lan-conn-templ-ident-pool-name"
	CONST_RULE_UNR_VNIC_LAN_CONN_TEMPL_NW_CTRL_POLICY_NAME = "unr-vnic-lan-conn-templ-nw-ctrl-policy-name"
	CONST_RULE_UNR_VNIC_LAN_CONN_TEMPL_QOS_POLICY_NAME = "unr-vnic-lan-conn-templ-qos-policy-name"
	CONST_RULE_UNR_VNIC_PROFILE_NW_CTRL_POLICY_NAME = "unr-vnic-profile-nw-ctrl-policy-name"
	CONST_RULE_UNR_VNIC_PROFILE_QOS_POLICY_NAME = "unr-vnic-profile-qos-policy-name"
	CONST_RULE_UNR_VNIC_SAN_CONN_TEMPL_IDENT_POOL_NAME = "unr-vnic-san-conn-templ-ident-pool-name"
	CONST_RULE_UNR_VNIC_SAN_CONN_TEMPL_QOS_POLICY_NAME = "unr-vnic-san-conn-templ-qos-policy-name"
	CONST_RULE_UNR_VNIC_TEMPL_STATS_POLICY_NAME = "unr-vnic-templ-stats-policy-name"
	CONST_RULE_UNR_VNIC_USNIC_CON_POLICY_REF_CON_POLICY_NAME = "unr-vnic-usnic-con-policy-ref-con-policy-name"
	CONST_RULE_UNR_VNIC_VMQ_CON_POLICY_REF_CON_POLICY_NAME = "unr-vnic-vmq-con-policy-ref-con-policy-name"
	CONST_RULE_UNR_VNIC_VNIC_STATS_POLICY_NAME = "unr-vnic-vnic-stats-policy-name"
	CONST_RULE_UUIDPOOL_POOL_EMPTY = "uuidpool-pool-empty"
	CONST_RULE_VM_VIF_LINK_STATE = "vm-vif-link-state"
	CONST_RULE_VNIC_ETHER_CONFIG_FAILED = "vnic-ether-config-failed"
	CONST_RULE_VNIC_ETHER_IF_INVALID_VLAN = "vnic-ether-if-invalid-vlan"
	CONST_RULE_VNIC_ETHER_IF_REMOTE_VLAN_UNRESOLVABLE = "vnic-ether-if-remote-vlan-unresolvable"
	CONST_RULE_VNIC_ETHER_IF_VLAN_ACCESS_FAULT = "vnic-ether-if-vlan-access-fault"
	CONST_RULE_VNIC_ETHER_IF_VLAN_UNRESOLVABLE = "vnic-ether-if-vlan-unresolvable"
	CONST_RULE_VNIC_ETHER_PINNING_MISCONFIG = "vnic-ether-pinning-misconfig"
	CONST_RULE_VNIC_ETHER_PINNING_MISMATCH = "vnic-ether-pinning-mismatch"
	CONST_RULE_VNIC_ETHER_VIRTUALIZATION_CONFLICT = "vnic-ether-virtualization-conflict"
	CONST_RULE_VNIC_ETHER_VIRTUALIZATION_NETFLOW_CONFLICT = "vnic-ether-virtualization-netflow-conflict"
	CONST_RULE_VNIC_FC_CONFIG_FAILED = "vnic-fc-config-failed"
	CONST_RULE_VNIC_FC_IF_REMOTE_VSAN_UNRESOLVABLE = "vnic-fc-if-remote-vsan-unresolvable"
	CONST_RULE_VNIC_FC_PINNING_MISCONFIG = "vnic-fc-pinning-misconfig"
	CONST_RULE_VNIC_ISCSI_CONFIG_FAILED = "vnic-iscsi-config-failed"
	CONST_RULE_VNIC_PROFILE_PROFILE_CONFIG_INCORRECT = "vnic-profile-profile-config-incorrect"
	CONST_SEVERITY_CLEARED = "cleared"
	CONST_SEVERITY_CONDITION = "condition"
	CONST_SEVERITY_CRITICAL = "critical"
	CONST_SEVERITY_INFO = "info"
	CONST_SEVERITY_MAJOR = "major"
	CONST_SEVERITY_MINOR = "minor"
	CONST_SEVERITY_WARNING = "warning"
	CONST_TYPE_ANY = "any"
	CONST_TYPE_CONFIGURATION = "configuration"
	CONST_TYPE_CONNECTIVITY = "connectivity"
	CONST_TYPE_ENVIRONMENTAL = "environmental"
	CONST_TYPE_EQUIPMENT = "equipment"
	CONST_TYPE_FSM = "fsm"
	CONST_TYPE_GENERIC = "generic"
	CONST_TYPE_MANAGEMENT = "management"
	CONST_TYPE_NETWORK = "network"
	CONST_TYPE_OPERATIONAL = "operational"
	CONST_TYPE_SECURITY = "security"
	CONST_TYPE_SERVER = "server"
	CONST_TYPE_SYSDEBUG = "sysdebug"
