import sys, os

sys.path.append(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))
from UcsHandle import UcsVersion, UcsPropertyMeta, UcsMoMeta
from UcsMeta import _VersionMeta
sys.path.remove(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))

PROPERTY_DICT = {
	"ChildAction":UcsPropertyMeta("ChildAction", "childAction", "string", _VersionMeta.Version101e, UcsPropertyMeta.Internal, 0x1L, None, None, """((deleteAll|ignore|deleteNonPresent),){0,2}(deleteAll|ignore|deleteNonPresent){0,1}""", [], ["0-4294967295"]),
	"Descr":UcsPropertyMeta("Descr", "descr", "string", _VersionMeta.Version101e, UcsPropertyMeta.ReadWrite, 0x2L, None, None, """[ !#$%&\(\)\*\+,\-\./:;\?@\[\]_\{\|\}~a-zA-Z0-9]{0,256}""", [], ["0-4294967295"]),
	"Dn":UcsPropertyMeta("Dn", "dn", "string", _VersionMeta.Version101e, UcsPropertyMeta.ReadOnly, 0x4L, 0, 256, None, [], ["0-4294967295"]),
	"IntId":UcsPropertyMeta("IntId", "intId", "string", _VersionMeta.Version101e, UcsPropertyMeta.Internal, None, None, None, None, ["none"], ["0-4294967295"]),
	"Name":UcsPropertyMeta("Name", "name", "string", _VersionMeta.Version101e, UcsPropertyMeta.ReadWrite, 0x8L, None, None, """[\-\.:_a-zA-Z0-9]{0,16}""", [], ["0-4294967295"]),
	"NormalValue":UcsPropertyMeta("NormalValue", "normalValue", "ulong", _VersionMeta.Version101e, UcsPropertyMeta.ReadWrite, 0x10L, None, None, None, [], ["0-4294967295"]),
	"PolicyLevel":UcsPropertyMeta("PolicyLevel", "policyLevel", "uint", _VersionMeta.Version211a, UcsPropertyMeta.ReadOnly, None, None, None, None, [], ["0-4294967295"]),
	"PolicyOwner":UcsPropertyMeta("PolicyOwner", "policyOwner", "string", _VersionMeta.Version211a, UcsPropertyMeta.ReadWrite, 0x20L, None, None, None, ["local", "pending-policy", "policy"], ["0-4294967295"]),
	"PropId":UcsPropertyMeta("PropId", "propId", "string", _VersionMeta.Version101e, UcsPropertyMeta.Naming, 0x40L, None, None, None, ["adaptorEthPortBySizeLargeStatsgreaterThanOrEqualTo9216Delta", "adaptorEthPortBySizeLargeStatsgreaterThanOrEqualTo9216DeltaAvg", "adaptorEthPortBySizeLargeStatsgreaterThanOrEqualTo9216DeltaMax", "adaptorEthPortBySizeLargeStatsgreaterThanOrEqualTo9216DeltaMin", "adaptorEthPortBySizeLargeStatslessThan2048Delta", "adaptorEthPortBySizeLargeStatslessThan2048DeltaAvg", "adaptorEthPortBySizeLargeStatslessThan2048DeltaMax", "adaptorEthPortBySizeLargeStatslessThan2048DeltaMin", "adaptorEthPortBySizeLargeStatslessThan4096Delta", "adaptorEthPortBySizeLargeStatslessThan4096DeltaAvg", "adaptorEthPortBySizeLargeStatslessThan4096DeltaMax", "adaptorEthPortBySizeLargeStatslessThan4096DeltaMin", "adaptorEthPortBySizeLargeStatslessThan8192Delta", "adaptorEthPortBySizeLargeStatslessThan8192DeltaAvg", "adaptorEthPortBySizeLargeStatslessThan8192DeltaMax", "adaptorEthPortBySizeLargeStatslessThan8192DeltaMin", "adaptorEthPortBySizeLargeStatslessThan9216Delta", "adaptorEthPortBySizeLargeStatslessThan9216DeltaAvg", "adaptorEthPortBySizeLargeStatslessThan9216DeltaMax", "adaptorEthPortBySizeLargeStatslessThan9216DeltaMin", "adaptorEthPortBySizeLargeStatslessThanOrEqualTo1518Delta", "adaptorEthPortBySizeLargeStatslessThanOrEqualTo1518DeltaAvg", "adaptorEthPortBySizeLargeStatslessThanOrEqualTo1518DeltaMax", "adaptorEthPortBySizeLargeStatslessThanOrEqualTo1518DeltaMin", "adaptorEthPortBySizeLargeStatsnoBreakdownGreaterThan1518Delta", "adaptorEthPortBySizeLargeStatsnoBreakdownGreaterThan1518DeltaAvg", "adaptorEthPortBySizeLargeStatsnoBreakdownGreaterThan1518DeltaMax", "adaptorEthPortBySizeLargeStatsnoBreakdownGreaterThan1518DeltaMin", "adaptorEthPortBySizeSmallStatsequals64Delta", "adaptorEthPortBySizeSmallStatsequals64DeltaAvg", "adaptorEthPortBySizeSmallStatsequals64DeltaMax", "adaptorEthPortBySizeSmallStatsequals64DeltaMin", "adaptorEthPortBySizeSmallStatslessThan1024Delta", "adaptorEthPortBySizeSmallStatslessThan1024DeltaAvg", "adaptorEthPortBySizeSmallStatslessThan1024DeltaMax", "adaptorEthPortBySizeSmallStatslessThan1024DeltaMin", "adaptorEthPortBySizeSmallStatslessThan128Delta", "adaptorEthPortBySizeSmallStatslessThan128DeltaAvg", "adaptorEthPortBySizeSmallStatslessThan128DeltaMax", "adaptorEthPortBySizeSmallStatslessThan128DeltaMin", "adaptorEthPortBySizeSmallStatslessThan256Delta", "adaptorEthPortBySizeSmallStatslessThan256DeltaAvg", "adaptorEthPortBySizeSmallStatslessThan256DeltaMax", "adaptorEthPortBySizeSmallStatslessThan256DeltaMin", "adaptorEthPortBySizeSmallStatslessThan512Delta", "adaptorEthPortBySizeSmallStatslessThan512DeltaAvg", "adaptorEthPortBySizeSmallStatslessThan512DeltaMax", "adaptorEthPortBySizeSmallStatslessThan512DeltaMin", "adaptorEthPortBySizeSmallStatslessThan64Delta", "adaptorEthPortBySizeSmallStatslessThan64DeltaAvg", "adaptorEthPortBySizeSmallStatslessThan64DeltaMax", "adaptorEthPortBySizeSmallStatslessThan64DeltaMin", "adaptorEthPortErrStatsbadCrcPacketsDelta", "adaptorEthPortErrStatsbadCrcPacketsDeltaAvg", "adaptorEthPortErrStatsbadCrcPacketsDeltaMax", "adaptorEthPortErrStatsbadCrcPacketsDeltaMin", "adaptorEthPortErrStatsbadLengthPacketsDelta", "adaptorEthPortErrStatsbadLengthPacketsDeltaAvg", "adaptorEthPortErrStatsbadLengthPacketsDeltaMax", "adaptorEthPortErrStatsbadLengthPacketsDeltaMin", "adaptorEthPortErrStatsmacDiscardedPacketsDelta", "adaptorEthPortErrStatsmacDiscardedPacketsDeltaAvg", "adaptorEthPortErrStatsmacDiscardedPacketsDeltaMax", "adaptorEthPortErrStatsmacDiscardedPacketsDeltaMin", "adaptorEthPortMcastStatsbroadcastPacketsDelta", "adaptorEthPortMcastStatsbroadcastPacketsDeltaAvg", "adaptorEthPortMcastStatsbroadcastPacketsDeltaMax", "adaptorEthPortMcastStatsbroadcastPacketsDeltaMin", "adaptorEthPortMcastStatsmulticastPacketsDelta", "adaptorEthPortMcastStatsmulticastPacketsDeltaAvg", "adaptorEthPortMcastStatsmulticastPacketsDeltaMax", "adaptorEthPortMcastStatsmulticastPacketsDeltaMin", "adaptorEthPortMcastStatsunicastPacketsDelta", "adaptorEthPortMcastStatsunicastPacketsDeltaAvg", "adaptorEthPortMcastStatsunicastPacketsDeltaMax", "adaptorEthPortMcastStatsunicastPacketsDeltaMin", "adaptorEthPortOutsizedStatsoversizedBadCrcPacketsDelta", "adaptorEthPortOutsizedStatsoversizedBadCrcPacketsDeltaAvg", "adaptorEthPortOutsizedStatsoversizedBadCrcPacketsDeltaMax", "adaptorEthPortOutsizedStatsoversizedBadCrcPacketsDeltaMin", "adaptorEthPortOutsizedStatsoversizedGoodCrcPacketsDelta", "adaptorEthPortOutsizedStatsoversizedGoodCrcPacketsDeltaAvg", "adaptorEthPortOutsizedStatsoversizedGoodCrcPacketsDeltaMax", "adaptorEthPortOutsizedStatsoversizedGoodCrcPacketsDeltaMin", "adaptorEthPortOutsizedStatsoversizedPacketsDelta", "adaptorEthPortOutsizedStatsoversizedPacketsDeltaAvg", "adaptorEthPortOutsizedStatsoversizedPacketsDeltaMax", "adaptorEthPortOutsizedStatsoversizedPacketsDeltaMin", "adaptorEthPortOutsizedStatsundersizedBadCrcPacketsDelta", "adaptorEthPortOutsizedStatsundersizedBadCrcPacketsDeltaAvg", "adaptorEthPortOutsizedStatsundersizedBadCrcPacketsDeltaMax", "adaptorEthPortOutsizedStatsundersizedBadCrcPacketsDeltaMin", "adaptorEthPortOutsizedStatsundersizedGoodCrcPacketsDelta", "adaptorEthPortOutsizedStatsundersizedGoodCrcPacketsDeltaAvg", "adaptorEthPortOutsizedStatsundersizedGoodCrcPacketsDeltaMax", "adaptorEthPortOutsizedStatsundersizedGoodCrcPacketsDeltaMin", "adaptorEthPortStatsgoodPacketsDelta", "adaptorEthPortStatsgoodPacketsDeltaAvg", "adaptorEthPortStatsgoodPacketsDeltaMax", "adaptorEthPortStatsgoodPacketsDeltaMin", "adaptorEthPortStatspausePacketsDelta", "adaptorEthPortStatspausePacketsDeltaAvg", "adaptorEthPortStatspausePacketsDeltaMax", "adaptorEthPortStatspausePacketsDeltaMin", "adaptorEthPortStatsperPriorityPausePacketsDelta", "adaptorEthPortStatsperPriorityPausePacketsDeltaAvg", "adaptorEthPortStatsperPriorityPausePacketsDeltaMax", "adaptorEthPortStatsperPriorityPausePacketsDeltaMin", "adaptorEthPortStatspppPacketsDelta", "adaptorEthPortStatspppPacketsDeltaAvg", "adaptorEthPortStatspppPacketsDeltaMax", "adaptorEthPortStatspppPacketsDeltaMin", "adaptorEthPortStatstotalPacketsDelta", "adaptorEthPortStatstotalPacketsDeltaAvg", "adaptorEthPortStatstotalPacketsDeltaMax", "adaptorEthPortStatstotalPacketsDeltaMin", "adaptorEthPortStatsvlanPacketsDelta", "adaptorEthPortStatsvlanPacketsDeltaAvg", "adaptorEthPortStatsvlanPacketsDeltaMax", "adaptorEthPortStatsvlanPacketsDeltaMin", "adaptorEtherIfStatsrxBytesDelta", "adaptorEtherIfStatsrxBytesDeltaAvg", "adaptorEtherIfStatsrxBytesDeltaMax", "adaptorEtherIfStatsrxBytesDeltaMin", "adaptorEtherIfStatsrxDroppedDelta", "adaptorEtherIfStatsrxDroppedDeltaAvg", "adaptorEtherIfStatsrxDroppedDeltaMax", "adaptorEtherIfStatsrxDroppedDeltaMin", "adaptorEtherIfStatsrxErrorsDelta", "adaptorEtherIfStatsrxErrorsDeltaAvg", "adaptorEtherIfStatsrxErrorsDeltaMax", "adaptorEtherIfStatsrxErrorsDeltaMin", "adaptorEtherIfStatsrxPacketsDelta", "adaptorEtherIfStatsrxPacketsDeltaAvg", "adaptorEtherIfStatsrxPacketsDeltaMax", "adaptorEtherIfStatsrxPacketsDeltaMin", "adaptorEtherIfStatstxBytesDelta", "adaptorEtherIfStatstxBytesDeltaAvg", "adaptorEtherIfStatstxBytesDeltaMax", "adaptorEtherIfStatstxBytesDeltaMin", "adaptorEtherIfStatstxDroppedDelta", "adaptorEtherIfStatstxDroppedDeltaAvg", "adaptorEtherIfStatstxDroppedDeltaMax", "adaptorEtherIfStatstxDroppedDeltaMin", "adaptorEtherIfStatstxErrorsDelta", "adaptorEtherIfStatstxErrorsDeltaAvg", "adaptorEtherIfStatstxErrorsDeltaMax", "adaptorEtherIfStatstxErrorsDeltaMin", "adaptorEtherIfStatstxPacketsDelta", "adaptorEtherIfStatstxPacketsDeltaAvg", "adaptorEtherIfStatstxPacketsDeltaMax", "adaptorEtherIfStatstxPacketsDeltaMin", "adaptorFcIfEventStatsinvalidCRCCountDelta", "adaptorFcIfEventStatsinvalidCRCCountDeltaAvg", "adaptorFcIfEventStatsinvalidCRCCountDeltaMax", "adaptorFcIfEventStatsinvalidCRCCountDeltaMin", "adaptorFcIfEventStatslinkFailureCountDelta", "adaptorFcIfEventStatslinkFailureCountDeltaAvg", "adaptorFcIfEventStatslinkFailureCountDeltaMax", "adaptorFcIfEventStatslinkFailureCountDeltaMin", "adaptorFcIfEventStatslipCountDelta", "adaptorFcIfEventStatslipCountDeltaAvg", "adaptorFcIfEventStatslipCountDeltaMax", "adaptorFcIfEventStatslipCountDeltaMin", "adaptorFcIfEventStatslossOfSignalCountDelta", "adaptorFcIfEventStatslossOfSignalCountDeltaAvg", "adaptorFcIfEventStatslossOfSignalCountDeltaMax", "adaptorFcIfEventStatslossOfSignalCountDeltaMin", "adaptorFcIfEventStatslossOfSyncCountDelta", "adaptorFcIfEventStatslossOfSyncCountDeltaAvg", "adaptorFcIfEventStatslossOfSyncCountDeltaMax", "adaptorFcIfEventStatslossOfSyncCountDeltaMin", "adaptorFcIfEventStatsnOSCountDelta", "adaptorFcIfEventStatsnOSCountDeltaAvg", "adaptorFcIfEventStatsnOSCountDeltaMax", "adaptorFcIfEventStatsnOSCountDeltaMin", "adaptorFcIfEventStatssecondsSinceLastResetDelta", "adaptorFcIfEventStatssecondsSinceLastResetDeltaAvg", "adaptorFcIfEventStatssecondsSinceLastResetDeltaMax", "adaptorFcIfEventStatssecondsSinceLastResetDeltaMin", "adaptorFcIfEventStatsseqProtocolErrCountDelta", "adaptorFcIfEventStatsseqProtocolErrCountDeltaAvg", "adaptorFcIfEventStatsseqProtocolErrCountDeltaMax", "adaptorFcIfEventStatsseqProtocolErrCountDeltaMin", "adaptorFcIfFC4StatscontrolRequestsDelta", "adaptorFcIfFC4StatscontrolRequestsDeltaAvg", "adaptorFcIfFC4StatscontrolRequestsDeltaMax", "adaptorFcIfFC4StatscontrolRequestsDeltaMin", "adaptorFcIfFC4StatsinputMegabytesDelta", "adaptorFcIfFC4StatsinputMegabytesDeltaAvg", "adaptorFcIfFC4StatsinputMegabytesDeltaMax", "adaptorFcIfFC4StatsinputMegabytesDeltaMin", "adaptorFcIfFC4StatsinputRequestsDelta", "adaptorFcIfFC4StatsinputRequestsDeltaAvg", "adaptorFcIfFC4StatsinputRequestsDeltaMax", "adaptorFcIfFC4StatsinputRequestsDeltaMin", "adaptorFcIfFC4StatsoutputMegabytesDelta", "adaptorFcIfFC4StatsoutputMegabytesDeltaAvg", "adaptorFcIfFC4StatsoutputMegabytesDeltaMax", "adaptorFcIfFC4StatsoutputMegabytesDeltaMin", "adaptorFcIfFC4StatsoutputRequestsDelta", "adaptorFcIfFC4StatsoutputRequestsDeltaAvg", "adaptorFcIfFC4StatsoutputRequestsDeltaMax", "adaptorFcIfFC4StatsoutputRequestsDeltaMin", "adaptorFcIfFrameStatsdumpedFramesDelta", "adaptorFcIfFrameStatsdumpedFramesDeltaAvg", "adaptorFcIfFrameStatsdumpedFramesDeltaMax", "adaptorFcIfFrameStatsdumpedFramesDeltaMin", "adaptorFcIfFrameStatserrorFramesDelta", "adaptorFcIfFrameStatserrorFramesDeltaAvg", "adaptorFcIfFrameStatserrorFramesDeltaMax", "adaptorFcIfFrameStatserrorFramesDeltaMin", "adaptorFcIfFrameStatsrxFramesDelta", "adaptorFcIfFrameStatsrxFramesDeltaAvg", "adaptorFcIfFrameStatsrxFramesDeltaMax", "adaptorFcIfFrameStatsrxFramesDeltaMin", "adaptorFcIfFrameStatstxFramesDelta", "adaptorFcIfFrameStatstxFramesDeltaAvg", "adaptorFcIfFrameStatstxFramesDeltaMax", "adaptorFcIfFrameStatstxFramesDeltaMin", "adaptorFcPortStatsrxBadFramesDelta", "adaptorFcPortStatsrxBadFramesDeltaAvg", "adaptorFcPortStatsrxBadFramesDeltaMax", "adaptorFcPortStatsrxBadFramesDeltaMin", "adaptorFcPortStatsrxFramesDelta", "adaptorFcPortStatsrxFramesDeltaAvg", "adaptorFcPortStatsrxFramesDeltaMax", "adaptorFcPortStatsrxFramesDeltaMin", "adaptorFcPortStatstxBadFramesDelta", "adaptorFcPortStatstxBadFramesDeltaAvg", "adaptorFcPortStatstxBadFramesDeltaMax", "adaptorFcPortStatstxBadFramesDeltaMin", "adaptorFcPortStatstxFramesDelta", "adaptorFcPortStatstxFramesDeltaAvg", "adaptorFcPortStatstxFramesDeltaMax", "adaptorFcPortStatstxFramesDeltaMin", "adaptorMenloBaseErrorStatscorrectableErrorsDelta", "adaptorMenloBaseErrorStatscorrectableErrorsDeltaAvg", "adaptorMenloBaseErrorStatscorrectableErrorsDeltaMax", "adaptorMenloBaseErrorStatscorrectableErrorsDeltaMin", "adaptorMenloBaseErrorStatsuncorrectableErrorsDelta", "adaptorMenloBaseErrorStatsuncorrectableErrorsDeltaAvg", "adaptorMenloBaseErrorStatsuncorrectableErrorsDeltaMax", "adaptorMenloBaseErrorStatsuncorrectableErrorsDeltaMin", "adaptorMenloDcePortStatsrxPauseCFCDelta", "adaptorMenloDcePortStatsrxPauseCFCDeltaAvg", "adaptorMenloDcePortStatsrxPauseCFCDeltaMax", "adaptorMenloDcePortStatsrxPauseCFCDeltaMin", "adaptorMenloDcePortStatsrxPausePFCDelta", "adaptorMenloDcePortStatsrxPausePFCDeltaAvg", "adaptorMenloDcePortStatsrxPausePFCDeltaMax", "adaptorMenloDcePortStatsrxPausePFCDeltaMin", "adaptorMenloDcePortStatstxPauseCFCDelta", "adaptorMenloDcePortStatstxPauseCFCDeltaAvg", "adaptorMenloDcePortStatstxPauseCFCDeltaMax", "adaptorMenloDcePortStatstxPauseCFCDeltaMin", "adaptorMenloDcePortStatstxPausePFCDelta", "adaptorMenloDcePortStatstxPausePFCDeltaAvg", "adaptorMenloDcePortStatstxPausePFCDeltaMax", "adaptorMenloDcePortStatstxPausePFCDeltaMin", "adaptorMenloEthErrorStatscorrectableErrorsDelta", "adaptorMenloEthErrorStatscorrectableErrorsDeltaAvg", "adaptorMenloEthErrorStatscorrectableErrorsDeltaMax", "adaptorMenloEthErrorStatscorrectableErrorsDeltaMin", "adaptorMenloEthErrorStatsdropAclDelta", "adaptorMenloEthErrorStatsdropAclDeltaAvg", "adaptorMenloEthErrorStatsdropAclDeltaMax", "adaptorMenloEthErrorStatsdropAclDeltaMin", "adaptorMenloEthErrorStatspopErrorsDelta", "adaptorMenloEthErrorStatspopErrorsDeltaAvg", "adaptorMenloEthErrorStatspopErrorsDeltaMax", "adaptorMenloEthErrorStatspopErrorsDeltaMin", "adaptorMenloEthErrorStatspushErrorsDelta", "adaptorMenloEthErrorStatspushErrorsDeltaAvg", "adaptorMenloEthErrorStatspushErrorsDeltaMax", "adaptorMenloEthErrorStatspushErrorsDeltaMin", "adaptorMenloEthErrorStatsuncorrectableErrorsDelta", "adaptorMenloEthErrorStatsuncorrectableErrorsDeltaAvg", "adaptorMenloEthErrorStatsuncorrectableErrorsDeltaMax", "adaptorMenloEthErrorStatsuncorrectableErrorsDeltaMin", "adaptorMenloEthStatsdropOverrunDelta", "adaptorMenloEthStatsdropOverrunDeltaAvg", "adaptorMenloEthStatsdropOverrunDeltaMax", "adaptorMenloEthStatsdropOverrunDeltaMin", "adaptorMenloEthStatsdropRuntDelta", "adaptorMenloEthStatsdropRuntDeltaAvg", "adaptorMenloEthStatsdropRuntDeltaMax", "adaptorMenloEthStatsdropRuntDeltaMin", "adaptorMenloEthStatstruncateOverrunDelta", "adaptorMenloEthStatstruncateOverrunDeltaAvg", "adaptorMenloEthStatstruncateOverrunDeltaMax", "adaptorMenloEthStatstruncateOverrunDeltaMin", "adaptorMenloFcErrorStatscorrectableErrorsDelta", "adaptorMenloFcErrorStatscorrectableErrorsDeltaAvg", "adaptorMenloFcErrorStatscorrectableErrorsDeltaMax", "adaptorMenloFcErrorStatscorrectableErrorsDeltaMin", "adaptorMenloFcErrorStatspopErrorsDelta", "adaptorMenloFcErrorStatspopErrorsDeltaAvg", "adaptorMenloFcErrorStatspopErrorsDeltaMax", "adaptorMenloFcErrorStatspopErrorsDeltaMin", "adaptorMenloFcErrorStatspushErrorsDelta", "adaptorMenloFcErrorStatspushErrorsDeltaAvg", "adaptorMenloFcErrorStatspushErrorsDeltaMax", "adaptorMenloFcErrorStatspushErrorsDeltaMin", "adaptorMenloFcErrorStatsuncorrectableErrorsDelta", "adaptorMenloFcErrorStatsuncorrectableErrorsDeltaAvg", "adaptorMenloFcErrorStatsuncorrectableErrorsDeltaMax", "adaptorMenloFcErrorStatsuncorrectableErrorsDeltaMin", "adaptorMenloFcStatsdropAclDelta", "adaptorMenloFcStatsdropAclDeltaAvg", "adaptorMenloFcStatsdropAclDeltaMax", "adaptorMenloFcStatsdropAclDeltaMin", "adaptorMenloFcStatsdropOverrunDelta", "adaptorMenloFcStatsdropOverrunDeltaAvg", "adaptorMenloFcStatsdropOverrunDeltaMax", "adaptorMenloFcStatsdropOverrunDeltaMin", "adaptorMenloFcStatsdropRuntDelta", "adaptorMenloFcStatsdropRuntDeltaAvg", "adaptorMenloFcStatsdropRuntDeltaMax", "adaptorMenloFcStatsdropRuntDeltaMin", "adaptorMenloFcStatstruncateOverrunDelta", "adaptorMenloFcStatstruncateOverrunDeltaAvg", "adaptorMenloFcStatstruncateOverrunDeltaMax", "adaptorMenloFcStatstruncateOverrunDeltaMin", "adaptorMenloHostPortStatsrxPauseCFCDelta", "adaptorMenloHostPortStatsrxPauseCFCDeltaAvg", "adaptorMenloHostPortStatsrxPauseCFCDeltaMax", "adaptorMenloHostPortStatsrxPauseCFCDeltaMin", "adaptorMenloHostPortStatsrxPausePFCDelta", "adaptorMenloHostPortStatsrxPausePFCDeltaAvg", "adaptorMenloHostPortStatsrxPausePFCDeltaMax", "adaptorMenloHostPortStatsrxPausePFCDeltaMin", "adaptorMenloHostPortStatstxPauseCFCDelta", "adaptorMenloHostPortStatstxPauseCFCDeltaAvg", "adaptorMenloHostPortStatstxPauseCFCDeltaMax", "adaptorMenloHostPortStatstxPauseCFCDeltaMin", "adaptorMenloHostPortStatstxPausePFCDelta", "adaptorMenloHostPortStatstxPausePFCDeltaAvg", "adaptorMenloHostPortStatstxPausePFCDeltaMax", "adaptorMenloHostPortStatstxPausePFCDeltaMin", "adaptorMenloMcpuErrorStatscorrectableErrorsDelta", "adaptorMenloMcpuErrorStatscorrectableErrorsDeltaAvg", "adaptorMenloMcpuErrorStatscorrectableErrorsDeltaMax", "adaptorMenloMcpuErrorStatscorrectableErrorsDeltaMin", "adaptorMenloMcpuErrorStatspopErrorsDelta", "adaptorMenloMcpuErrorStatspopErrorsDeltaAvg", "adaptorMenloMcpuErrorStatspopErrorsDeltaMax", "adaptorMenloMcpuErrorStatspopErrorsDeltaMin", "adaptorMenloMcpuErrorStatspushErrorsDelta", "adaptorMenloMcpuErrorStatspushErrorsDeltaAvg", "adaptorMenloMcpuErrorStatspushErrorsDeltaMax", "adaptorMenloMcpuErrorStatspushErrorsDeltaMin", "adaptorMenloMcpuErrorStatsuncorrectableErrorsDelta", "adaptorMenloMcpuErrorStatsuncorrectableErrorsDeltaAvg", "adaptorMenloMcpuErrorStatsuncorrectableErrorsDeltaMax", "adaptorMenloMcpuErrorStatsuncorrectableErrorsDeltaMin", "adaptorMenloMcpuStatsdropAclDelta", "adaptorMenloMcpuStatsdropAclDeltaAvg", "adaptorMenloMcpuStatsdropAclDeltaMax", "adaptorMenloMcpuStatsdropAclDeltaMin", "adaptorMenloMcpuStatsdropOverrunDelta", "adaptorMenloMcpuStatsdropOverrunDeltaAvg", "adaptorMenloMcpuStatsdropOverrunDeltaMax", "adaptorMenloMcpuStatsdropOverrunDeltaMin", "adaptorMenloMcpuStatsdropRuntDelta", "adaptorMenloMcpuStatsdropRuntDeltaAvg", "adaptorMenloMcpuStatsdropRuntDeltaMax", "adaptorMenloMcpuStatsdropRuntDeltaMin", "adaptorMenloMcpuStatstruncateOverrunDelta", "adaptorMenloMcpuStatstruncateOverrunDeltaAvg", "adaptorMenloMcpuStatstruncateOverrunDeltaMax", "adaptorMenloMcpuStatstruncateOverrunDeltaMin", "adaptorMenloNetEgStatsdropCmdDelta", "adaptorMenloNetEgStatsdropCmdDeltaAvg", "adaptorMenloNetEgStatsdropCmdDeltaMax", "adaptorMenloNetEgStatsdropCmdDeltaMin", "adaptorMenloNetEgStatsdropLifCfgInvalidDelta", "adaptorMenloNetEgStatsdropLifCfgInvalidDeltaAvg", "adaptorMenloNetEgStatsdropLifCfgInvalidDeltaMax", "adaptorMenloNetEgStatsdropLifCfgInvalidDeltaMin", "adaptorMenloNetEgStatsdropLifMapNoHitDelta", "adaptorMenloNetEgStatsdropLifMapNoHitDeltaAvg", "adaptorMenloNetEgStatsdropLifMapNoHitDeltaMax", "adaptorMenloNetEgStatsdropLifMapNoHitDeltaMin", "adaptorMenloNetEgStatsdropSrcBindDelta", "adaptorMenloNetEgStatsdropSrcBindDeltaAvg", "adaptorMenloNetEgStatsdropSrcBindDeltaMax", "adaptorMenloNetEgStatsdropSrcBindDeltaMin", "adaptorMenloNetEgStatslearnReqDropDelta", "adaptorMenloNetEgStatslearnReqDropDeltaAvg", "adaptorMenloNetEgStatslearnReqDropDeltaMax", "adaptorMenloNetEgStatslearnReqDropDeltaMin", "adaptorMenloNetInStatsdropFcLifInvalidDelta", "adaptorMenloNetInStatsdropFcLifInvalidDeltaAvg", "adaptorMenloNetInStatsdropFcLifInvalidDeltaMax", "adaptorMenloNetInStatsdropFcLifInvalidDeltaMin", "adaptorMenloNetInStatsdropFcMulticastDelta", "adaptorMenloNetInStatsdropFcMulticastDeltaAvg", "adaptorMenloNetInStatsdropFcMulticastDeltaMax", "adaptorMenloNetInStatsdropFcMulticastDeltaMin", "adaptorMenloNetInStatsdropNullPifDelta", "adaptorMenloNetInStatsdropNullPifDeltaAvg", "adaptorMenloNetInStatsdropNullPifDeltaMax", "adaptorMenloNetInStatsdropNullPifDeltaMin", "adaptorMenloNetInStatsfwdLookupNoHitDelta", "adaptorMenloNetInStatsfwdLookupNoHitDeltaAvg", "adaptorMenloNetInStatsfwdLookupNoHitDeltaMax", "adaptorMenloNetInStatsfwdLookupNoHitDeltaMin", "adaptorMenloQErrorStatscorrectableErrorsDelta", "adaptorMenloQErrorStatscorrectableErrorsDeltaAvg", "adaptorMenloQErrorStatscorrectableErrorsDeltaMax", "adaptorMenloQErrorStatscorrectableErrorsDeltaMin", "adaptorMenloQErrorStatspopErrorsDelta", "adaptorMenloQErrorStatspopErrorsDeltaAvg", "adaptorMenloQErrorStatspopErrorsDeltaMax", "adaptorMenloQErrorStatspopErrorsDeltaMin", "adaptorMenloQErrorStatspushErrorsDelta", "adaptorMenloQErrorStatspushErrorsDeltaAvg", "adaptorMenloQErrorStatspushErrorsDeltaMax", "adaptorMenloQErrorStatspushErrorsDeltaMin", "adaptorMenloQErrorStatsuncorrectableErrorsDelta", "adaptorMenloQErrorStatsuncorrectableErrorsDeltaAvg", "adaptorMenloQErrorStatsuncorrectableErrorsDeltaMax", "adaptorMenloQErrorStatsuncorrectableErrorsDeltaMin", "adaptorMenloQStatsdropOverrunN0Delta", "adaptorMenloQStatsdropOverrunN0DeltaAvg", "adaptorMenloQStatsdropOverrunN0DeltaMax", "adaptorMenloQStatsdropOverrunN0DeltaMin", "adaptorMenloQStatsdropOverrunN1Delta", "adaptorMenloQStatsdropOverrunN1DeltaAvg", "adaptorMenloQStatsdropOverrunN1DeltaMax", "adaptorMenloQStatsdropOverrunN1DeltaMin", "adaptorMenloQStatstruncateOverrunN0Delta", "adaptorMenloQStatstruncateOverrunN0DeltaAvg", "adaptorMenloQStatstruncateOverrunN0DeltaMax", "adaptorMenloQStatstruncateOverrunN0DeltaMin", "adaptorMenloQStatstruncateOverrunN1Delta", "adaptorMenloQStatstruncateOverrunN1DeltaAvg", "adaptorMenloQStatstruncateOverrunN1DeltaMax", "adaptorMenloQStatstruncateOverrunN1DeltaMin", "adaptorVnicStatsbytesRxDelta", "adaptorVnicStatsbytesRxDeltaAvg", "adaptorVnicStatsbytesRxDeltaMax", "adaptorVnicStatsbytesRxDeltaMin", "adaptorVnicStatsbytesTxDelta", "adaptorVnicStatsbytesTxDeltaAvg", "adaptorVnicStatsbytesTxDeltaMax", "adaptorVnicStatsbytesTxDeltaMin", "adaptorVnicStatsdroppedRxDelta", "adaptorVnicStatsdroppedRxDeltaAvg", "adaptorVnicStatsdroppedRxDeltaMax", "adaptorVnicStatsdroppedRxDeltaMin", "adaptorVnicStatsdroppedTxDelta", "adaptorVnicStatsdroppedTxDeltaAvg", "adaptorVnicStatsdroppedTxDeltaMax", "adaptorVnicStatsdroppedTxDeltaMin", "adaptorVnicStatserrorsRxDelta", "adaptorVnicStatserrorsRxDeltaAvg", "adaptorVnicStatserrorsRxDeltaMax", "adaptorVnicStatserrorsRxDeltaMin", "adaptorVnicStatserrorsTxDelta", "adaptorVnicStatserrorsTxDeltaAvg", "adaptorVnicStatserrorsTxDeltaMax", "adaptorVnicStatserrorsTxDeltaMin", "adaptorVnicStatspacketsRxDelta", "adaptorVnicStatspacketsRxDeltaAvg", "adaptorVnicStatspacketsRxDeltaMax", "adaptorVnicStatspacketsRxDeltaMin", "adaptorVnicStatspacketsTxDelta", "adaptorVnicStatspacketsTxDeltaAvg", "adaptorVnicStatspacketsTxDeltaMax", "adaptorVnicStatspacketsTxDeltaMin", "computeIOHubEnvStatstemperature", "computeIOHubEnvStatstemperatureAvg", "computeIOHubEnvStatstemperatureMax", "computeIOHubEnvStatstemperatureMin", "computeMbPowerStatsconsumedPower", "computeMbPowerStatsconsumedPowerAvg", "computeMbPowerStatsconsumedPowerMax", "computeMbPowerStatsconsumedPowerMin", "computeMbPowerStatsinputCurrent", "computeMbPowerStatsinputCurrentAvg", "computeMbPowerStatsinputCurrentMax", "computeMbPowerStatsinputCurrentMin", "computeMbPowerStatsinputVoltage", "computeMbPowerStatsinputVoltageAvg", "computeMbPowerStatsinputVoltageMax", "computeMbPowerStatsinputVoltageMin", "computeMbTempStatsfmTempSenIo", "computeMbTempStatsfmTempSenIoAvg", "computeMbTempStatsfmTempSenIoMax", "computeMbTempStatsfmTempSenIoMin", "computeMbTempStatsfmTempSenRear", "computeMbTempStatsfmTempSenRearAvg", "computeMbTempStatsfmTempSenRearL", "computeMbTempStatsfmTempSenRearLAvg", "computeMbTempStatsfmTempSenRearLMax", "computeMbTempStatsfmTempSenRearLMin", "computeMbTempStatsfmTempSenRearMax", "computeMbTempStatsfmTempSenRearMin", "computeMbTempStatsfmTempSenRearR", "computeMbTempStatsfmTempSenRearRAvg", "computeMbTempStatsfmTempSenRearRMax", "computeMbTempStatsfmTempSenRearRMin", "computePCIeFatalCompletionStatsAbortErrors", "computePCIeFatalCompletionStatsTimeoutErrors", "computePCIeFatalCompletionStatsunexpectedErrors", "computePCIeFatalProtocolStatsdllpErrors", "computePCIeFatalProtocolStatsflowControlErrors", "computePCIeFatalReceiveStatsbufferOverflowErrors", "computePCIeFatalReceiveStatserrFatalErrors", "computePCIeFatalReceiveStatserrNonFatalErrors", "computePCIeFatalReceiveStatsunsupportedRequestErrors", "computePCIeFatalStatsacsViolationErrors", "computePCIeFatalStatsmalformedTLPErrors", "computePCIeFatalStatspoisonedTLPErrors", "computePCIeFatalStatssurpriseLinkDownErrors", "computeRackUnitMbTempStatsambientTemp", "computeRackUnitMbTempStatsambientTempAvg", "computeRackUnitMbTempStatsambientTempMax", "computeRackUnitMbTempStatsambientTempMin", "computeRackUnitMbTempStatsfrontTemp", "computeRackUnitMbTempStatsfrontTempAvg", "computeRackUnitMbTempStatsfrontTempMax", "computeRackUnitMbTempStatsfrontTempMin", "computeRackUnitMbTempStatsioh1Temp", "computeRackUnitMbTempStatsioh1TempAvg", "computeRackUnitMbTempStatsioh1TempMax", "computeRackUnitMbTempStatsioh1TempMin", "computeRackUnitMbTempStatsioh2Temp", "computeRackUnitMbTempStatsioh2TempAvg", "computeRackUnitMbTempStatsioh2TempMax", "computeRackUnitMbTempStatsioh2TempMin", "computeRackUnitMbTempStatsrearTemp", "computeRackUnitMbTempStatsrearTempAvg", "computeRackUnitMbTempStatsrearTempMax", "computeRackUnitMbTempStatsrearTempMin", "equipmentChassisStatsinputPower", "equipmentChassisStatsinputPowerAvg", "equipmentChassisStatsinputPowerMax", "equipmentChassisStatsinputPowerMin", "equipmentChassisStatsoutputPower", "equipmentChassisStatsoutputPowerAvg", "equipmentChassisStatsoutputPowerMax", "equipmentChassisStatsoutputPowerMin", "equipmentFanModuleStatsambientTemp", "equipmentFanModuleStatsambientTempAvg", "equipmentFanModuleStatsambientTempMax", "equipmentFanModuleStatsambientTempMin", "equipmentFanStatsspeed", "equipmentFanStatsspeedAvg", "equipmentFanStatsspeedMax", "equipmentFanStatsspeedMin", "equipmentFexEnvStatsdie1", "equipmentFexEnvStatsdie1Avg", "equipmentFexEnvStatsdie1Max", "equipmentFexEnvStatsdie1Min", "equipmentFexEnvStatsinlet", "equipmentFexEnvStatsinlet1", "equipmentFexEnvStatsinlet1Avg", "equipmentFexEnvStatsinlet1Max", "equipmentFexEnvStatsinlet1Min", "equipmentFexEnvStatsinletAvg", "equipmentFexEnvStatsinletMax", "equipmentFexEnvStatsinletMin", "equipmentFexEnvStatsoutlet1", "equipmentFexEnvStatsoutlet1Avg", "equipmentFexEnvStatsoutlet1Max", "equipmentFexEnvStatsoutlet1Min", "equipmentFexEnvStatsoutlet2", "equipmentFexEnvStatsoutlet2Avg", "equipmentFexEnvStatsoutlet2Max", "equipmentFexEnvStatsoutlet2Min", "equipmentFexPowerSummaryModulePower", "equipmentFexPowerSummaryModulePowerAvg", "equipmentFexPowerSummaryModulePowerMax", "equipmentFexPowerSummaryModulePowerMin", "equipmentFexPowerSummaryavailablePower", "equipmentFexPowerSummaryavailablePowerAvg", "equipmentFexPowerSummaryavailablePowerMax", "equipmentFexPowerSummaryavailablePowerMin", "equipmentFexPowerSummaryreservedPower", "equipmentFexPowerSummaryreservedPowerAvg", "equipmentFexPowerSummaryreservedPowerMax", "equipmentFexPowerSummaryreservedPowerMin", "equipmentFexPowerSummarytotalPower", "equipmentFexPowerSummarytotalPowerAvg", "equipmentFexPowerSummarytotalPowerMax", "equipmentFexPowerSummarytotalPowerMin", "equipmentFexPsuInputStatscurrent", "equipmentFexPsuInputStatscurrentAvg", "equipmentFexPsuInputStatscurrentMax", "equipmentFexPsuInputStatscurrentMin", "equipmentFexPsuInputStatspower", "equipmentFexPsuInputStatspowerAvg", "equipmentFexPsuInputStatspowerMax", "equipmentFexPsuInputStatspowerMin", "equipmentFexPsuInputStatsvoltage", "equipmentFexPsuInputStatsvoltageAvg", "equipmentFexPsuInputStatsvoltageMax", "equipmentFexPsuInputStatsvoltageMin", "equipmentIOCardStatsambientTemp", "equipmentIOCardStatsambientTempAvg", "equipmentIOCardStatsambientTempMax", "equipmentIOCardStatsambientTempMin", "equipmentIOCardStatstemp", "equipmentIOCardStatstempAvg", "equipmentIOCardStatstempMax", "equipmentIOCardStatstempMin", "equipmentNetworkElementFanStatsdrivePercentage", "equipmentNetworkElementFanStatsdrivePercentageAvg", "equipmentNetworkElementFanStatsdrivePercentageMax", "equipmentNetworkElementFanStatsdrivePercentageMin", "equipmentNetworkElementFanStatsspeed", "equipmentNetworkElementFanStatsspeedAvg", "equipmentNetworkElementFanStatsspeedMax", "equipmentNetworkElementFanStatsspeedMin", "equipmentPsuInputStatscurrent", "equipmentPsuInputStatscurrentAvg", "equipmentPsuInputStatscurrentMax", "equipmentPsuInputStatscurrentMin", "equipmentPsuInputStatspower", "equipmentPsuInputStatspowerAvg", "equipmentPsuInputStatspowerMax", "equipmentPsuInputStatspowerMin", "equipmentPsuInputStatsvoltage", "equipmentPsuInputStatsvoltageAvg", "equipmentPsuInputStatsvoltageMax", "equipmentPsuInputStatsvoltageMin", "equipmentPsuOutputStatscurrent", "equipmentPsuOutputStatscurrentAvg", "equipmentPsuOutputStatscurrentMax", "equipmentPsuOutputStatscurrentMin", "equipmentPsuOutputStatspower", "equipmentPsuOutputStatspowerAvg", "equipmentPsuOutputStatspowerMax", "equipmentPsuOutputStatspowerMin", "equipmentPsuOutputStatsvoltage", "equipmentPsuOutputStatsvoltageAvg", "equipmentPsuOutputStatsvoltageMax", "equipmentPsuOutputStatsvoltageMin", "equipmentPsuStatsambientTemp", "equipmentPsuStatsambientTempAvg", "equipmentPsuStatsambientTempMax", "equipmentPsuStatsambientTempMin", "equipmentPsuStatsinput210v", "equipmentPsuStatsinput210vAvg", "equipmentPsuStatsinput210vMax", "equipmentPsuStatsinput210vMin", "equipmentPsuStatsoutput12v", "equipmentPsuStatsoutput12vAvg", "equipmentPsuStatsoutput12vMax", "equipmentPsuStatsoutput12vMin", "equipmentPsuStatsoutput3v3", "equipmentPsuStatsoutput3v3Avg", "equipmentPsuStatsoutput3v3Max", "equipmentPsuStatsoutput3v3Min", "equipmentPsuStatsoutputCurrent", "equipmentPsuStatsoutputCurrentAvg", "equipmentPsuStatsoutputCurrentMax", "equipmentPsuStatsoutputCurrentMin", "equipmentPsuStatsoutputPower", "equipmentPsuStatsoutputPowerAvg", "equipmentPsuStatsoutputPowerMax", "equipmentPsuStatsoutputPowerMin", "equipmentRackUnitFanStatsspeed", "equipmentRackUnitFanStatsspeedAvg", "equipmentRackUnitFanStatsspeedMax", "equipmentRackUnitFanStatsspeedMin", "equipmentRackUnitPsuStatsambientTemp", "equipmentRackUnitPsuStatsambientTempAvg", "equipmentRackUnitPsuStatsambientTempMax", "equipmentRackUnitPsuStatsambientTempMin", "equipmentRackUnitPsuStatsinputPower", "equipmentRackUnitPsuStatsinputPowerAvg", "equipmentRackUnitPsuStatsinputPowerMax", "equipmentRackUnitPsuStatsinputPowerMin", "equipmentRackUnitPsuStatsinputVoltage", "equipmentRackUnitPsuStatsinputVoltageAvg", "equipmentRackUnitPsuStatsinputVoltageMax", "equipmentRackUnitPsuStatsinputVoltageMin", "equipmentRackUnitPsuStatsoutputCurrent", "equipmentRackUnitPsuStatsoutputCurrentAvg", "equipmentRackUnitPsuStatsoutputCurrentMax", "equipmentRackUnitPsuStatsoutputCurrentMin", "equipmentRackUnitPsuStatsoutputPower", "equipmentRackUnitPsuStatsoutputPowerAvg", "equipmentRackUnitPsuStatsoutputPowerMax", "equipmentRackUnitPsuStatsoutputPowerMin", "equipmentRackUnitPsuStatsoutputVoltage", "equipmentRackUnitPsuStatsoutputVoltageAvg", "equipmentRackUnitPsuStatsoutputVoltageMax", "equipmentRackUnitPsuStatsoutputVoltageMin", "etherErrStatsalignDelta", "etherErrStatsalignDeltaAvg", "etherErrStatsalignDeltaMax", "etherErrStatsalignDeltaMin", "etherErrStatsdeferredTxDelta", "etherErrStatsdeferredTxDeltaAvg", "etherErrStatsdeferredTxDeltaMax", "etherErrStatsdeferredTxDeltaMin", "etherErrStatsfcsDelta", "etherErrStatsfcsDeltaAvg", "etherErrStatsfcsDeltaMax", "etherErrStatsfcsDeltaMin", "etherErrStatsintMacRxDelta", "etherErrStatsintMacRxDeltaAvg", "etherErrStatsintMacRxDeltaMax", "etherErrStatsintMacRxDeltaMin", "etherErrStatsintMacTxDelta", "etherErrStatsintMacTxDeltaAvg", "etherErrStatsintMacTxDeltaMax", "etherErrStatsintMacTxDeltaMin", "etherErrStatsoutDiscardDelta", "etherErrStatsoutDiscardDeltaAvg", "etherErrStatsoutDiscardDeltaMax", "etherErrStatsoutDiscardDeltaMin", "etherErrStatsrcvDelta", "etherErrStatsrcvDeltaAvg", "etherErrStatsrcvDeltaMax", "etherErrStatsrcvDeltaMin", "etherErrStatsunderSizeDelta", "etherErrStatsunderSizeDeltaAvg", "etherErrStatsunderSizeDeltaMax", "etherErrStatsunderSizeDeltaMin", "etherErrStatsxmitDelta", "etherErrStatsxmitDeltaAvg", "etherErrStatsxmitDeltaMax", "etherErrStatsxmitDeltaMin", "etherFcoeInterfaceStatsbytesRxDelta", "etherFcoeInterfaceStatsbytesRxDeltaAvg", "etherFcoeInterfaceStatsbytesRxDeltaMax", "etherFcoeInterfaceStatsbytesRxDeltaMin", "etherFcoeInterfaceStatsbytesTxDelta", "etherFcoeInterfaceStatsbytesTxDeltaAvg", "etherFcoeInterfaceStatsbytesTxDeltaMax", "etherFcoeInterfaceStatsbytesTxDeltaMin", "etherFcoeInterfaceStatsdroppedRxDelta", "etherFcoeInterfaceStatsdroppedRxDeltaAvg", "etherFcoeInterfaceStatsdroppedRxDeltaMax", "etherFcoeInterfaceStatsdroppedRxDeltaMin", "etherFcoeInterfaceStatsdroppedTxDelta", "etherFcoeInterfaceStatsdroppedTxDeltaAvg", "etherFcoeInterfaceStatsdroppedTxDeltaMax", "etherFcoeInterfaceStatsdroppedTxDeltaMin", "etherFcoeInterfaceStatserrorsRxDelta", "etherFcoeInterfaceStatserrorsRxDeltaAvg", "etherFcoeInterfaceStatserrorsRxDeltaMax", "etherFcoeInterfaceStatserrorsRxDeltaMin", "etherFcoeInterfaceStatserrorsTxDelta", "etherFcoeInterfaceStatserrorsTxDeltaAvg", "etherFcoeInterfaceStatserrorsTxDeltaMax", "etherFcoeInterfaceStatserrorsTxDeltaMin", "etherFcoeInterfaceStatspacketsRxDelta", "etherFcoeInterfaceStatspacketsRxDeltaAvg", "etherFcoeInterfaceStatspacketsRxDeltaMax", "etherFcoeInterfaceStatspacketsRxDeltaMin", "etherFcoeInterfaceStatspacketsTxDelta", "etherFcoeInterfaceStatspacketsTxDeltaAvg", "etherFcoeInterfaceStatspacketsTxDeltaMax", "etherFcoeInterfaceStatspacketsTxDeltaMin", "etherLossStatsSQETestDelta", "etherLossStatsSQETestDeltaAvg", "etherLossStatsSQETestDeltaMax", "etherLossStatsSQETestDeltaMin", "etherLossStatscarrierSenseDelta", "etherLossStatscarrierSenseDeltaAvg", "etherLossStatscarrierSenseDeltaMax", "etherLossStatscarrierSenseDeltaMin", "etherLossStatsexcessCollisionDelta", "etherLossStatsexcessCollisionDeltaAvg", "etherLossStatsexcessCollisionDeltaMax", "etherLossStatsexcessCollisionDeltaMin", "etherLossStatsgiantsDelta", "etherLossStatsgiantsDeltaAvg", "etherLossStatsgiantsDeltaMax", "etherLossStatsgiantsDeltaMin", "etherLossStatslateCollisionDelta", "etherLossStatslateCollisionDeltaAvg", "etherLossStatslateCollisionDeltaMax", "etherLossStatslateCollisionDeltaMin", "etherLossStatsmultiCollisionDelta", "etherLossStatsmultiCollisionDeltaAvg", "etherLossStatsmultiCollisionDeltaMax", "etherLossStatsmultiCollisionDeltaMin", "etherLossStatssingleCollisionDelta", "etherLossStatssingleCollisionDeltaAvg", "etherLossStatssingleCollisionDeltaMax", "etherLossStatssingleCollisionDeltaMin", "etherLossStatssymbolDelta", "etherLossStatssymbolDeltaAvg", "etherLossStatssymbolDeltaMax", "etherLossStatssymbolDeltaMin", "etherPauseStatsrecvPauseDelta", "etherPauseStatsrecvPauseDeltaAvg", "etherPauseStatsrecvPauseDeltaMax", "etherPauseStatsrecvPauseDeltaMin", "etherPauseStatsresetsDelta", "etherPauseStatsresetsDeltaAvg", "etherPauseStatsresetsDeltaMax", "etherPauseStatsresetsDeltaMin", "etherPauseStatsxmitPauseDelta", "etherPauseStatsxmitPauseDeltaAvg", "etherPauseStatsxmitPauseDeltaMax", "etherPauseStatsxmitPauseDeltaMin", "etherRxStatsbroadcastPacketsDelta", "etherRxStatsbroadcastPacketsDeltaAvg", "etherRxStatsbroadcastPacketsDeltaMax", "etherRxStatsbroadcastPacketsDeltaMin", "etherRxStatsjumboPacketsDelta", "etherRxStatsjumboPacketsDeltaAvg", "etherRxStatsjumboPacketsDeltaMax", "etherRxStatsjumboPacketsDeltaMin", "etherRxStatsmulticastPacketsDelta", "etherRxStatsmulticastPacketsDeltaAvg", "etherRxStatsmulticastPacketsDeltaMax", "etherRxStatsmulticastPacketsDeltaMin", "etherRxStatstotalBytesDelta", "etherRxStatstotalBytesDeltaAvg", "etherRxStatstotalBytesDeltaMax", "etherRxStatstotalBytesDeltaMin", "etherRxStatstotalPacketsDelta", "etherRxStatstotalPacketsDeltaAvg", "etherRxStatstotalPacketsDeltaMax", "etherRxStatstotalPacketsDeltaMin", "etherRxStatsunicastPacketsDelta", "etherRxStatsunicastPacketsDeltaAvg", "etherRxStatsunicastPacketsDeltaMax", "etherRxStatsunicastPacketsDeltaMin", "etherTxStatsbroadcastPacketsDelta", "etherTxStatsbroadcastPacketsDeltaAvg", "etherTxStatsbroadcastPacketsDeltaMax", "etherTxStatsbroadcastPacketsDeltaMin", "etherTxStatsjumboPacketsDelta", "etherTxStatsjumboPacketsDeltaAvg", "etherTxStatsjumboPacketsDeltaMax", "etherTxStatsjumboPacketsDeltaMin", "etherTxStatsmulticastPacketsDelta", "etherTxStatsmulticastPacketsDeltaAvg", "etherTxStatsmulticastPacketsDeltaMax", "etherTxStatsmulticastPacketsDeltaMin", "etherTxStatstotalBytesDelta", "etherTxStatstotalBytesDeltaAvg", "etherTxStatstotalBytesDeltaMax", "etherTxStatstotalBytesDeltaMin", "etherTxStatstotalPacketsDelta", "etherTxStatstotalPacketsDeltaAvg", "etherTxStatstotalPacketsDeltaMax", "etherTxStatstotalPacketsDeltaMin", "etherTxStatsunicastPacketsDelta", "etherTxStatsunicastPacketsDeltaAvg", "etherTxStatsunicastPacketsDeltaMax", "etherTxStatsunicastPacketsDeltaMin", "fcErrStatscrcRxDelta", "fcErrStatscrcRxDeltaAvg", "fcErrStatscrcRxDeltaMax", "fcErrStatscrcRxDeltaMin", "fcErrStatsdiscardRxDelta", "fcErrStatsdiscardRxDeltaAvg", "fcErrStatsdiscardRxDeltaMax", "fcErrStatsdiscardRxDeltaMin", "fcErrStatsdiscardTxDelta", "fcErrStatsdiscardTxDeltaAvg", "fcErrStatsdiscardTxDeltaMax", "fcErrStatsdiscardTxDeltaMin", "fcErrStatslinkFailuresDelta", "fcErrStatslinkFailuresDeltaAvg", "fcErrStatslinkFailuresDeltaMax", "fcErrStatslinkFailuresDeltaMin", "fcErrStatsrxDelta", "fcErrStatsrxDeltaAvg", "fcErrStatsrxDeltaMax", "fcErrStatsrxDeltaMin", "fcErrStatssignalLossesDelta", "fcErrStatssignalLossesDeltaAvg", "fcErrStatssignalLossesDeltaMax", "fcErrStatssignalLossesDeltaMin", "fcErrStatssyncLossesDelta", "fcErrStatssyncLossesDeltaAvg", "fcErrStatssyncLossesDeltaMax", "fcErrStatssyncLossesDeltaMin", "fcErrStatstooLongRxDelta", "fcErrStatstooLongRxDeltaAvg", "fcErrStatstooLongRxDeltaMax", "fcErrStatstooLongRxDeltaMin", "fcErrStatstooShortRxDelta", "fcErrStatstooShortRxDeltaAvg", "fcErrStatstooShortRxDeltaMax", "fcErrStatstooShortRxDeltaMin", "fcErrStatstxDelta", "fcErrStatstxDeltaAvg", "fcErrStatstxDeltaMax", "fcErrStatstxDeltaMin", "fcStatsbytesRxDelta", "fcStatsbytesRxDeltaAvg", "fcStatsbytesRxDeltaMax", "fcStatsbytesRxDeltaMin", "fcStatsbytesTxDelta", "fcStatsbytesTxDeltaAvg", "fcStatsbytesTxDeltaMax", "fcStatsbytesTxDeltaMin", "fcStatspacketsRxDelta", "fcStatspacketsRxDeltaAvg", "fcStatspacketsRxDeltaMax", "fcStatspacketsRxDeltaMin", "fcStatspacketsTxDelta", "fcStatspacketsTxDeltaAvg", "fcStatspacketsTxDeltaMax", "fcStatspacketsTxDeltaMin", "memoryArrayEnvStatsinputCurrent", "memoryArrayEnvStatsinputCurrentAvg", "memoryArrayEnvStatsinputCurrentMax", "memoryArrayEnvStatsinputCurrentMin", "memoryBufferUnitEnvStatstemperature", "memoryBufferUnitEnvStatstemperatureAvg", "memoryBufferUnitEnvStatstemperatureMax", "memoryBufferUnitEnvStatstemperatureMin", "memoryErrorStatsaddressParityErrors", "memoryErrorStatseccMultibitErrors", "memoryErrorStatseccSinglebitErrors", "memoryErrorStatsmismatchErrors", "memoryRuntimeavailable", "memoryRuntimeavailableAvg", "memoryRuntimeavailableMax", "memoryRuntimeavailableMin", "memoryRuntimecached", "memoryRuntimecachedAvg", "memoryRuntimecachedMax", "memoryRuntimecachedMin", "memoryRuntimetotal", "memoryRuntimetotalAvg", "memoryRuntimetotalMax", "memoryRuntimetotalMin", "memoryUnitEnvStatstemperature", "memoryUnitEnvStatstemperatureAvg", "memoryUnitEnvStatstemperatureMax", "memoryUnitEnvStatstemperatureMin", "powerGroupStatspower", "powerGroupStatspowerAvg", "powerGroupStatspowerMax", "powerGroupStatspowerMin", "processorEnvStatsinputCurrent", "processorEnvStatsinputCurrentAvg", "processorEnvStatsinputCurrentMax", "processorEnvStatsinputCurrentMin", "processorEnvStatstemperature", "processorEnvStatstemperatureAvg", "processorEnvStatstemperatureMax", "processorEnvStatstemperatureMin", "processorErrorStatsmirroringInterSockErrors", "processorErrorStatsmirroringIntraSockErrors", "processorErrorStatssmiLinkCorrErrors", "processorErrorStatssmiLinkUncorrErrors", "processorErrorStatssparingErrors", "processorRuntimeload", "processorRuntimeloadAvg", "processorRuntimeloadMax", "processorRuntimeloadMin", "swCardEnvStatsSlotOutlet1", "swCardEnvStatsSlotOutlet1Avg", "swCardEnvStatsSlotOutlet1Max", "swCardEnvStatsSlotOutlet1Min", "swCardEnvStatsSlotOutlet2", "swCardEnvStatsSlotOutlet2Avg", "swCardEnvStatsSlotOutlet2Max", "swCardEnvStatsSlotOutlet2Min", "swCardEnvStatsSlotOutlet3", "swCardEnvStatsSlotOutlet3Avg", "swCardEnvStatsSlotOutlet3Max", "swCardEnvStatsSlotOutlet3Min", "swEnvStatsfanCtrlrInlet1", "swEnvStatsfanCtrlrInlet1Avg", "swEnvStatsfanCtrlrInlet1Max", "swEnvStatsfanCtrlrInlet1Min", "swEnvStatsfanCtrlrInlet2", "swEnvStatsfanCtrlrInlet2Avg", "swEnvStatsfanCtrlrInlet2Max", "swEnvStatsfanCtrlrInlet2Min", "swEnvStatsfanCtrlrInlet3", "swEnvStatsfanCtrlrInlet3Avg", "swEnvStatsfanCtrlrInlet3Max", "swEnvStatsfanCtrlrInlet3Min", "swEnvStatsfanCtrlrInlet4", "swEnvStatsfanCtrlrInlet4Avg", "swEnvStatsfanCtrlrInlet4Max", "swEnvStatsfanCtrlrInlet4Min", "swEnvStatsmainBoardOutlet1", "swEnvStatsmainBoardOutlet1Avg", "swEnvStatsmainBoardOutlet1Max", "swEnvStatsmainBoardOutlet1Min", "swEnvStatsmainBoardOutlet2", "swEnvStatsmainBoardOutlet2Avg", "swEnvStatsmainBoardOutlet2Max", "swEnvStatsmainBoardOutlet2Min", "swEnvStatspsuCtrlrInlet1", "swEnvStatspsuCtrlrInlet1Avg", "swEnvStatspsuCtrlrInlet1Max", "swEnvStatspsuCtrlrInlet1Min", "swEnvStatspsuCtrlrInlet2", "swEnvStatspsuCtrlrInlet2Avg", "swEnvStatspsuCtrlrInlet2Max", "swEnvStatspsuCtrlrInlet2Min", "swSystemStatsload", "swSystemStatsloadAvg", "swSystemStatsloadMax", "swSystemStatsloadMin", "swSystemStatsmemAvailable", "swSystemStatsmemAvailableAvg", "swSystemStatsmemAvailableMax", "swSystemStatsmemAvailableMin", "swSystemStatsmemCached", "swSystemStatsmemCachedAvg", "swSystemStatsmemCachedMax", "swSystemStatsmemCachedMin", "unspecified"], ["0-4294967295"]),
	"PropType":UcsPropertyMeta("PropType", "propType", "string", _VersionMeta.Version101e, UcsPropertyMeta.ReadOnly, None, None, None, None, ["float", "uint32", "uint64"], ["0-4294967295"]),
	"Rn":UcsPropertyMeta("Rn", "rn", "string", _VersionMeta.Version101e, UcsPropertyMeta.ReadOnly, 0x80L, 0, 256, None, [], ["0-4294967295"]),
	"Status":UcsPropertyMeta("Status", "status", "string", _VersionMeta.Version101e, UcsPropertyMeta.ReadWrite, 0x100L, None, None, """((removed|created|modified|deleted),){0,3}(removed|created|modified|deleted){0,1}""", [], ["0-4294967295"]),
	"Meta":UcsMoMeta("StatsThr64Definition", "statsThr64Definition", "[PropId]", _VersionMeta.Version101e, "InputOutput", 0x1ffL, [], [u'statsThr32Value', u'statsThr64Value', u'statsThrFloatValue'], ["Add", "Get", "Set"], ["admin", "operations"])
}

